/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:26:26 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3e/bin/bigloo -srfi enable-resolv -srfi enable-gmp -srfi enable-unistring -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3e/lib/bigloo/4.3e -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3e/lib/bigloo/4.3e -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate.scm -o objs/obj_p/Eval/evaluate.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
static BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_ev_exprz00_bglt BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
static obj_t BGl_objectzd2initzd2zz__evaluatez00();
extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
extern obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
static obj_t BGl_appendzd221009zd2zz__evaluatez00(obj_t, obj_t);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_symbol2982z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluatez00();
static obj_t BGl_symbol2990z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2992z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2994z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2995z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
static obj_t BGl_symbol2997z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2999z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
static obj_t BGl_evepairifyz00zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t, obj_t);
extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
extern int bgl_debug();
extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_convertz00zz__evaluatez00(obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__evaluatez00();
extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
extern obj_t BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t, obj_t, bool_t);
extern obj_t c_substring(obj_t, long, long);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_profzd2initzd2zz__evaluatez00();
static obj_t BGl_loopze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_loopze71ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
static BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_globalz00_bglt BGl_convzd2globalzd2zz__evaluatez00(obj_t, obj_t, obj_t);
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
extern obj_t bgl_reverse(obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluatez00();
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
extern obj_t bgl_reverse_bang(obj_t);
extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31356ze3ze1zz__evaluatez00(obj_t);
static obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl_getzd2location3zd2zz__evaluatez00(obj_t, obj_t, obj_t);
extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
extern obj_t BGl_findzd2statezd2zz__evaluate_compz00();
static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
static obj_t BGl_symbol3001z00zz__evaluatez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
static obj_t BGl_symbol3003z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3005z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3007z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_expandz00zz__expandz00(obj_t);
static obj_t BGl_symbol3008z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
static obj_t BGl_symbol3010z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3012z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3014z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3016z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3018z00zz__evaluatez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t);
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
static obj_t BGl_symbol3020z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3022z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3024z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3026z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3028z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluatez00();
static obj_t BGl_symbol3030z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3032z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3034z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3036z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3038z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00();
static obj_t BGl_symbol3040z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3042z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3044z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_symbol3046z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3048z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_keyword3095z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3050z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3052z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3054z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3056z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol3059z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
static obj_t BGl_symbol3062z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3064z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
static obj_t BGl_symbol3067z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3069z00zz__evaluatez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol3071z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3073z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_rconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol3075z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3077z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3079z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
static obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int);
static obj_t BGl_symbol3081z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3083z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3085z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3087z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3089z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3091z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3093z00zz__evaluatez00 = BUNSPEC;
extern obj_t bstring_to_keyword(obj_t);
BGL_EXPORTED_DECL obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
static BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t);
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
static obj_t BGl_uconvze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string3011z00zz__evaluatez00, BgL_bgl_string3011za700za7za7_3098za7, "real", 4 );
DEFINE_STRING( BGl_string3013z00zz__evaluatez00, BgL_bgl_string3013za700za7za7_3099za7, "breal", 5 );
DEFINE_STRING( BGl_string3015z00zz__evaluatez00, BgL_bgl_string3015za700za7za7_3100za7, "real?", 5 );
DEFINE_STRING( BGl_string3017z00zz__evaluatez00, BgL_bgl_string3017za700za7za7_3101za7, "bool", 4 );
DEFINE_STRING( BGl_string3019z00zz__evaluatez00, BgL_bgl_string3019za700za7za7_3102za7, "boolean?", 8 );
DEFINE_STRING( BGl_string3021z00zz__evaluatez00, BgL_bgl_string3021za700za7za7_3103za7, "struct", 6 );
DEFINE_STRING( BGl_string3023z00zz__evaluatez00, BgL_bgl_string3023za700za7za7_3104za7, "struct?", 7 );
DEFINE_STRING( BGl_string3025z00zz__evaluatez00, BgL_bgl_string3025za700za7za7_3105za7, "class", 5 );
DEFINE_STRING( BGl_string3027z00zz__evaluatez00, BgL_bgl_string3027za700za7za7_3106za7, "class?", 6 );
DEFINE_STRING( BGl_string3029z00zz__evaluatez00, BgL_bgl_string3029za700za7za7_3107za7, "string", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2restorezd2bpz12zd2envzc0zz__evaluatez00, BgL_bgl_za762evaluate2za7d2r3108z00, BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3031z00zz__evaluatez00, BgL_bgl_string3031za700za7za7_3109za7, "bstring", 7 );
DEFINE_STRING( BGl_string3033z00zz__evaluatez00, BgL_bgl_string3033za700za7za7_3110za7, "string?", 7 );
DEFINE_STRING( BGl_string3035z00zz__evaluatez00, BgL_bgl_string3035za700za7za7_3111za7, "o", 1 );
DEFINE_STRING( BGl_string3037z00zz__evaluatez00, BgL_bgl_string3037za700za7za7_3112za7, "quote", 5 );
DEFINE_STRING( BGl_string3039z00zz__evaluatez00, BgL_bgl_string3039za700za7za7_3113za7, "class-exists", 12 );
DEFINE_STRING( BGl_string3041z00zz__evaluatez00, BgL_bgl_string3041za700za7za7_3114za7, "c", 1 );
DEFINE_STRING( BGl_string3043z00zz__evaluatez00, BgL_bgl_string3043za700za7za7_3115za7, "isa?", 4 );
DEFINE_STRING( BGl_string3045z00zz__evaluatez00, BgL_bgl_string3045za700za7za7_3116za7, "if", 2 );
DEFINE_STRING( BGl_string3047z00zz__evaluatez00, BgL_bgl_string3047za700za7za7_3117za7, "let", 3 );
DEFINE_STRING( BGl_string3049z00zz__evaluatez00, BgL_bgl_string3049za700za7za7_3118za7, "lambda", 6 );
DEFINE_STRING( BGl_string3051z00zz__evaluatez00, BgL_bgl_string3051za700za7za7_3119za7, "bigloo-type-error/location", 26 );
DEFINE_STRING( BGl_string3053z00zz__evaluatez00, BgL_bgl_string3053za700za7za7_3120za7, "bigloo-type-error", 17 );
DEFINE_STRING( BGl_string3055z00zz__evaluatez00, BgL_bgl_string3055za700za7za7_3121za7, "at", 2 );
DEFINE_STRING( BGl_string3057z00zz__evaluatez00, BgL_bgl_string3057za700za7za7_3122za7, "tmp", 3 );
DEFINE_STRING( BGl_string3058z00zz__evaluatez00, BgL_bgl_string3058za700za7za7_3123za7, "~a::~a", 6 );
DEFINE_STRING( BGl_string3060z00zz__evaluatez00, BgL_bgl_string3060za700za7za7_3124za7, "\\@", 2 );
DEFINE_STRING( BGl_string3061z00zz__evaluatez00, BgL_bgl_string3061za700za7za7_3125za7, "Illegal form", 12 );
DEFINE_STRING( BGl_string3063z00zz__evaluatez00, BgL_bgl_string3063za700za7za7_3126za7, "begin", 5 );
DEFINE_STRING( BGl_string3065z00zz__evaluatez00, BgL_bgl_string3065za700za7za7_3127za7, " ", 1 );
DEFINE_STRING( BGl_string3066z00zz__evaluatez00, BgL_bgl_string3066za700za7za7_3128za7, "Illegal non toplevel module declaration", 39 );
DEFINE_STRING( BGl_string3068z00zz__evaluatez00, BgL_bgl_string3068za700za7za7_3129za7, "module", 6 );
DEFINE_STRING( BGl_string3070z00zz__evaluatez00, BgL_bgl_string3070za700za7za7_3130za7, "@", 1 );
DEFINE_STRING( BGl_string3072z00zz__evaluatez00, BgL_bgl_string3072za700za7za7_3131za7, "->", 2 );
DEFINE_STRING( BGl_string3074z00zz__evaluatez00, BgL_bgl_string3074za700za7za7_3132za7, "trap", 4 );
DEFINE_STRING( BGl_string3076z00zz__evaluatez00, BgL_bgl_string3076za700za7za7_3133za7, "or", 2 );
DEFINE_STRING( BGl_string3078z00zz__evaluatez00, BgL_bgl_string3078za700za7za7_3134za7, "and", 3 );
DEFINE_STRING( BGl_string3080z00zz__evaluatez00, BgL_bgl_string3080za700za7za7_3135za7, "let*", 4 );
DEFINE_STRING( BGl_string3082z00zz__evaluatez00, BgL_bgl_string3082za700za7za7_3136za7, "letrec", 6 );
DEFINE_STRING( BGl_string3084z00zz__evaluatez00, BgL_bgl_string3084za700za7za7_3137za7, "set!", 4 );
DEFINE_STRING( BGl_string3086z00zz__evaluatez00, BgL_bgl_string3086za700za7za7_3138za7, "define", 6 );
DEFINE_STRING( BGl_string3088z00zz__evaluatez00, BgL_bgl_string3088za700za7za7_3139za7, "bind-exit", 9 );
DEFINE_STRING( BGl_string3090z00zz__evaluatez00, BgL_bgl_string3090za700za7za7_3140za7, "unwind-protect", 14 );
DEFINE_STRING( BGl_string3092z00zz__evaluatez00, BgL_bgl_string3092za700za7za7_3141za7, "with-handler", 12 );
DEFINE_STRING( BGl_string3094z00zz__evaluatez00, BgL_bgl_string3094za700za7za7_3142za7, "synchronize", 11 );
DEFINE_STRING( BGl_string3096z00zz__evaluatez00, BgL_bgl_string3096za700za7za7_3143za7, "prelock", 7 );
DEFINE_STRING( BGl_string3097z00zz__evaluatez00, BgL_bgl_string3097za700za7za7_3144za7, "__evaluate", 10 );
DEFINE_STRING( BGl_string2976z00zz__evaluatez00, BgL_bgl_string2976za700za7za7_3145za7, "", 0 );
DEFINE_STRING( BGl_string2977z00zz__evaluatez00, BgL_bgl_string2977za700za7za7_3146za7, "/builddir/build/BUILD/bigloo4.3e/runtime/Eval/evaluate.scm", 58 );
DEFINE_STRING( BGl_string2978z00zz__evaluatez00, BgL_bgl_string2978za700za7za7_3147za7, "&evaluate2-restore-bp!", 22 );
DEFINE_STRING( BGl_string2979z00zz__evaluatez00, BgL_bgl_string2979za700za7za7_3148za7, "bint", 4 );
extern obj_t BGl_errorzd2envzd2zz__errorz00;
DEFINE_STRING( BGl_string2980z00zz__evaluatez00, BgL_bgl_string2980za700za7za7_3149za7, "&evaluate2-restore-state!", 25 );
DEFINE_STRING( BGl_string2981z00zz__evaluatez00, BgL_bgl_string2981za700za7za7_3150za7, "vector", 6 );
DEFINE_STRING( BGl_string2983z00zz__evaluatez00, BgL_bgl_string2983za700za7za7_3151za7, "toplevel", 8 );
DEFINE_STRING( BGl_string2984z00zz__evaluatez00, BgL_bgl_string2984za700za7za7_3152za7, "eval", 4 );
DEFINE_STRING( BGl_string2985z00zz__evaluatez00, BgL_bgl_string2985za700za7za7_3153za7, "Bad syntax", 10 );
DEFINE_STRING( BGl_string2986z00zz__evaluatez00, BgL_bgl_string2986za700za7za7_3154za7, "Class \"~a\" has no field \"~a\"", 28 );
DEFINE_STRING( BGl_string2987z00zz__evaluatez00, BgL_bgl_string2987za700za7za7_3155za7, "Static type not a class", 23 );
DEFINE_STRING( BGl_string2988z00zz__evaluatez00, BgL_bgl_string2988za700za7za7_3156za7, "Variable unbound", 16 );
DEFINE_STRING( BGl_string2989z00zz__evaluatez00, BgL_bgl_string2989za700za7za7_3157za7, "Field read-only", 15 );
DEFINE_STRING( BGl_string2991z00zz__evaluatez00, BgL_bgl_string2991za700za7za7_3158za7, "pair", 4 );
DEFINE_STRING( BGl_string2993z00zz__evaluatez00, BgL_bgl_string2993za700za7za7_3159za7, "pair?", 5 );
DEFINE_STRING( BGl_string2996z00zz__evaluatez00, BgL_bgl_string2996za700za7za7_3160za7, "vector?", 7 );
DEFINE_STRING( BGl_string2998z00zz__evaluatez00, BgL_bgl_string2998za700za7za7_3161za7, "symbol", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00, BgL_bgl_za762setza7d2evaluat3162z00, BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2restorezd2statez12zd2envzc0zz__evaluatez00, BgL_bgl_za762evaluate2za7d2r3163z00, BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00, BgL_bgl_za762getza7d2evaluat3164z00, BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2envzd2zz__evaluatez00, BgL_bgl_za762evaluate2za762za73165za7, BGl_z62evaluate2z62zz__evaluatez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3000z00zz__evaluatez00, BgL_bgl_string3000za700za7za7_3166za7, "symbol?", 7 );
DEFINE_STRING( BGl_string3002z00zz__evaluatez00, BgL_bgl_string3002za700za7za7_3167za7, "char", 4 );
DEFINE_STRING( BGl_string3004z00zz__evaluatez00, BgL_bgl_string3004za700za7za7_3168za7, "char?", 5 );
DEFINE_STRING( BGl_string3006z00zz__evaluatez00, BgL_bgl_string3006za700za7za7_3169za7, "int", 3 );
DEFINE_STRING( BGl_string3009z00zz__evaluatez00, BgL_bgl_string3009za700za7za7_3170za7, "integer?", 8 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol2982z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2990z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2992z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2994z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2995z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2997z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2999z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3001z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3003z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3005z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3007z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3008z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3010z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3012z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3014z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3016z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3018z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3020z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3022z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3024z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3026z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3028z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3030z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3032z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3034z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3036z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3038z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3040z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3042z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3044z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3046z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3048z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_keyword3095z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3050z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3052z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3054z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3056z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3059z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3062z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3064z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3067z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3069z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3071z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3073z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3075z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3077z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3079z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3081z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3083z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3085z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3087z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3089z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3091z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3093z00zz__evaluatez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "(\"append-21009\" \"BGl_appendzd221009zd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"untype-ident\" \"Eval/evaluate.scm\" 2232) \"BGl_untypezd2identzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-evaluation-context\" \"Eval/evaluate.scm\" 2931) \"BGl_getzd2evaluationzd2contextz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&get-evaluation-context\" \"Eval/evaluate.scm\" 2931) \"BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"set-evaluation-context!\" \"Eval/evaluate.scm\" 3411) \"BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&set-evaluation-context!\" \"Eval/evaluate.scm\" 3411) \"BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2-restore-bp!\" \"Eval/evaluate.scm\" 3852) \"BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2-restore-bp!\" \"Eval/evaluate.scm\" 3852) \"BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2-restore-state!\" \"Eval/evaluate.scm\" 4196) \"BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2-restore-state!\" \"Eval/evaluate.scm\" 4196) \"BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2\" \"Eval/evaluate.scm\" 4542) \"BGl_evaluate2z00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2\" \"Eval/evaluate.scm\" 4542) \"BGl_z62evaluate2z62zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1356>\" \"Eval/evaluate.scm\" 4852) \"BGl_z62zc3anonymousza31356ze3ze1zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-location\" \"Eval/evaluate.scm\" 5140) \"BGl_getzd2locationzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-location3\" \"Eval/evaluate.scm\" 5433) \"BGl_getzd2location3zd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"convert\" \"Eval/evaluate.scm\" 5771) \"BGl_convertz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-var\" \"Eval/evaluate.scm\" 6072) \"BGl_convzd2varzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-begin\" \"Eval/evaluate.scm\" 6493) \"BGl_convzd2beginzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-global\" \"Eval/evaluate.scm\" 7205) \"BGl_convzd2globalzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-field-ref\" \"Eval/evaluate.scm\" 7586) \"BGl_convzd2fieldzd2refz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-field-set\" \"Eval/evaluate.scm\" 8653) \"BGl_convzd2fieldzd2setz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-class-field-ref\" \"Eval/evaluate.scm\" 10000) \"BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-class-field-set\" \"Eval/evaluate.scm\" 10442) \"BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evepairify\" \"Eval/evaluate.scm\" 10878) \"BGl_evepairifyz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-check\" \"Eval/evaluate.scm\" 11160) \"BGl_typezd2checkzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-checks\" \"Eval/evaluate.scm\" 12286) \"BGl_typezd2checkszd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"loop~1\" \"Eval/evaluate.scm\" 12386) \"BGl_loopze71ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-result\" \"Eval/evaluate.scm\" 12939) \"BGl_typezd2resultzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv\" \"Eval/evaluate.scm\" 13411) \"BGl_convz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"loop~0\" \"Eval/evaluate.scm\" 13977) \"BGl_loopze70ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"rconv/loc~0\" \"Eval/evaluate.scm\" 13544) \"BGl_rconvzf2locze70z15zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"uconv/loc~0\" \"Eval/evaluate.scm\" 13783) \"BGl_uconvzf2locze70z15zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-vals~0\" \"Eval/evaluate.scm\" 17731) \"BGl_convzd2valsze70z35zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-lambda~0\" \"Eval/evaluate.scm\" 14524) \"BGl_convzd2lambdaze70z35zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"uconv~0\" \"Eval/evaluate.scm\" 13850) \"BGl_uconvze70ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long BgL_checksumz00_4452, char * BgL_fromz00_4453)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluatez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluatez00(); 
BGl_cnstzd2initzd2zz__evaluatez00(); 
BGl_importedzd2moduleszd2initz00zz__evaluatez00(); 
return 
BGl_profzd2initzd2zz__evaluatez00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
BGl_symbol2982z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2983z00zz__evaluatez00); 
BGl_symbol2990z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2991z00zz__evaluatez00); 
BGl_symbol2992z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2993z00zz__evaluatez00); 
BGl_symbol2994z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2981z00zz__evaluatez00); 
BGl_symbol2995z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2996z00zz__evaluatez00); 
BGl_symbol2997z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2998z00zz__evaluatez00); 
BGl_symbol2999z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3000z00zz__evaluatez00); 
BGl_symbol3001z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3002z00zz__evaluatez00); 
BGl_symbol3003z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3004z00zz__evaluatez00); 
BGl_symbol3005z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3006z00zz__evaluatez00); 
BGl_symbol3007z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2979z00zz__evaluatez00); 
BGl_symbol3008z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3009z00zz__evaluatez00); 
BGl_symbol3010z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3011z00zz__evaluatez00); 
BGl_symbol3012z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3013z00zz__evaluatez00); 
BGl_symbol3014z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3015z00zz__evaluatez00); 
BGl_symbol3016z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3017z00zz__evaluatez00); 
BGl_symbol3018z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3019z00zz__evaluatez00); 
BGl_symbol3020z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3021z00zz__evaluatez00); 
BGl_symbol3022z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3023z00zz__evaluatez00); 
BGl_symbol3024z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3025z00zz__evaluatez00); 
BGl_symbol3026z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3027z00zz__evaluatez00); 
BGl_symbol3028z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3029z00zz__evaluatez00); 
BGl_symbol3030z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3031z00zz__evaluatez00); 
BGl_symbol3032z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3033z00zz__evaluatez00); 
BGl_symbol3034z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3035z00zz__evaluatez00); 
BGl_symbol3036z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3037z00zz__evaluatez00); 
BGl_symbol3038z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3039z00zz__evaluatez00); 
BGl_symbol3040z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3041z00zz__evaluatez00); 
BGl_symbol3042z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3043z00zz__evaluatez00); 
BGl_symbol3044z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3045z00zz__evaluatez00); 
BGl_symbol3046z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3047z00zz__evaluatez00); 
BGl_symbol3048z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3049z00zz__evaluatez00); 
BGl_symbol3050z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3051z00zz__evaluatez00); 
BGl_symbol3052z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3053z00zz__evaluatez00); 
BGl_symbol3054z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3055z00zz__evaluatez00); 
BGl_symbol3056z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3057z00zz__evaluatez00); 
BGl_symbol3059z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3060z00zz__evaluatez00); 
BGl_symbol3062z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3063z00zz__evaluatez00); 
BGl_symbol3064z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3065z00zz__evaluatez00); 
BGl_symbol3067z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3068z00zz__evaluatez00); 
BGl_symbol3069z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3070z00zz__evaluatez00); 
BGl_symbol3071z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3072z00zz__evaluatez00); 
BGl_symbol3073z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3074z00zz__evaluatez00); 
BGl_symbol3075z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3076z00zz__evaluatez00); 
BGl_symbol3077z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3078z00zz__evaluatez00); 
BGl_symbol3079z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3080z00zz__evaluatez00); 
BGl_symbol3081z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3082z00zz__evaluatez00); 
BGl_symbol3083z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3084z00zz__evaluatez00); 
BGl_symbol3085z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3086z00zz__evaluatez00); 
BGl_symbol3087z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3088z00zz__evaluatez00); 
BGl_symbol3089z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3090z00zz__evaluatez00); 
BGl_symbol3091z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3092z00zz__evaluatez00); 
BGl_symbol3093z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3094z00zz__evaluatez00); 
return ( 
BGl_keyword3095z00zz__evaluatez00 = 
bstring_to_keyword(BGl_string3096z00zz__evaluatez00), BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
return 
write_bprof_table();} 
BGL_FUNCTION_END;
}



/* append-21009 */
obj_t BGl_appendzd221009zd2zz__evaluatez00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{ BGL_FUNCTION_BEGIN;
{ 
{ 
obj_t BgL_headz00_1123;
BgL_headz00_1123 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
obj_t BgL_prevz00_1124;obj_t BgL_tailz00_1125;
BgL_prevz00_1124 = BgL_headz00_1123; 
BgL_tailz00_1125 = BgL_l1z00_1; 
BgL_loopz00_1126:
if(
PAIRP(BgL_tailz00_1125))
{ 
obj_t BgL_newzd2prevzd2_1128;
BgL_newzd2prevzd2_1128 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_1125), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_1124, BgL_newzd2prevzd2_1128); 
{ 
obj_t BgL_tailz00_4524;obj_t BgL_prevz00_4523;
BgL_prevz00_4523 = BgL_newzd2prevzd2_1128; 
BgL_tailz00_4524 = 
CDR(BgL_tailz00_1125); 
BgL_tailz00_1125 = BgL_tailz00_4524; 
BgL_prevz00_1124 = BgL_prevz00_4523; 
goto BgL_loopz00_1126;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_1123);} } } 
BGL_FUNCTION_END;
}



/* untype-ident */
obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 73 */
{ /* Eval/evaluate.scm 74 */
obj_t BgL_stringz00_1131;
{ /* Eval/evaluate.scm 74 */
obj_t BgL_res2642z00_3095;
{ /* Eval/evaluate.scm 74 */
obj_t BgL_arg2498z00_3094;
BgL_arg2498z00_3094 = 
SYMBOL_TO_STRING(BgL_idz00_3); 
BgL_res2642z00_3095 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2498z00_3094); } 
BgL_stringz00_1131 = BgL_res2642z00_3095; } 
{ /* Eval/evaluate.scm 74 */
long BgL_lenz00_1132;
BgL_lenz00_1132 = 
STRING_LENGTH(BgL_stringz00_1131); 
{ /* Eval/evaluate.scm 75 */

{ 
long BgL_walkerz00_1134;
BgL_walkerz00_1134 = ((long)0); 
BgL_zc3anonymousza31302ze3z83_1135:
if(
(BgL_walkerz00_1134==BgL_lenz00_1132))
{ /* Eval/evaluate.scm 78 */
return 
MAKE_YOUNG_PAIR(BgL_idz00_3, BFALSE);}  else 
{ /* Eval/evaluate.scm 80 */
bool_t BgL_testz00_4533;
if(
(
STRING_REF(BgL_stringz00_1131, BgL_walkerz00_1134)==((unsigned char)':')))
{ /* Eval/evaluate.scm 80 */
if(
(BgL_walkerz00_1134<
(BgL_lenz00_1132-((long)1))))
{ /* Eval/evaluate.scm 81 */
BgL_testz00_4533 = 
(
STRING_REF(BgL_stringz00_1131, 
(BgL_walkerz00_1134+((long)1)))==((unsigned char)':'))
; }  else 
{ /* Eval/evaluate.scm 81 */
BgL_testz00_4533 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 80 */
BgL_testz00_4533 = ((bool_t)0)
; } 
if(BgL_testz00_4533)
{ /* Eval/evaluate.scm 83 */
obj_t BgL_arg1330z00_1146;obj_t BgL_arg1331z00_1147;
BgL_arg1330z00_1146 = 
bstring_to_symbol(
c_substring(BgL_stringz00_1131, ((long)0), BgL_walkerz00_1134)); 
{ /* Eval/evaluate.scm 84 */
obj_t BgL_arg1333z00_1149;
{ /* Eval/evaluate.scm 84 */
long BgL_arg1334z00_1150;
BgL_arg1334z00_1150 = 
(BgL_walkerz00_1134+((long)2)); 
{ /* Ieee/string.scm 189 */
long BgL_endz00_1153;
BgL_endz00_1153 = 
STRING_LENGTH(BgL_stringz00_1131); 
{ /* Ieee/string.scm 189 */

BgL_arg1333z00_1149 = 
BGl_substringz00zz__r4_strings_6_7z00(BgL_stringz00_1131, BgL_arg1334z00_1150, BgL_endz00_1153); } } } 
BgL_arg1331z00_1147 = 
bstring_to_symbol(BgL_arg1333z00_1149); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1330z00_1146, BgL_arg1331z00_1147);}  else 
{ 
long BgL_walkerz00_4550;
BgL_walkerz00_4550 = 
(BgL_walkerz00_1134+((long)1)); 
BgL_walkerz00_1134 = BgL_walkerz00_4550; 
goto BgL_zc3anonymousza31302ze3z83_1135;} } } } } } } 
BGL_FUNCTION_END;
}



/* get-evaluation-context */
BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 91 */
{ /* Eval/evaluate.scm 92 */
obj_t BgL_sz00_1162;
BgL_sz00_1162 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 93 */
obj_t BgL_bpz00_1163;
BgL_bpz00_1163 = 
VECTOR_REF(
((obj_t)BgL_sz00_1162),((long)0)); 
{ /* Eval/evaluate.scm 94 */
obj_t BgL_rz00_1164;
BgL_rz00_1164 = 
make_vector(
(long)CINT(BgL_bpz00_1163), BGl_string2976z00zz__evaluatez00); 
{ 
long BgL_iz00_1166;
BgL_iz00_1166 = ((long)0); 
BgL_zc3anonymousza31341ze3z83_1167:
if(
(BgL_iz00_1166<
(long)CINT(BgL_bpz00_1163)))
{ /* Eval/evaluate.scm 96 */
{ /* Eval/evaluate.scm 97 */
obj_t BgL_arg1343z00_1169;
BgL_arg1343z00_1169 = 
VECTOR_REF(
((obj_t)BgL_sz00_1162),BgL_iz00_1166); 
VECTOR_SET(BgL_rz00_1164,BgL_iz00_1166,BgL_arg1343z00_1169); } 
{ 
long BgL_iz00_4563;
BgL_iz00_4563 = 
(BgL_iz00_1166+((long)1)); 
BgL_iz00_1166 = BgL_iz00_4563; 
goto BgL_zc3anonymousza31341ze3z83_1167;} }  else 
{ /* Eval/evaluate.scm 96 */((bool_t)0); } } 
return BgL_rz00_1164;} } } } 
BGL_FUNCTION_END;
}



/* &get-evaluation-context */
obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t BgL_envz00_4401)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 91 */
return 
BGl_getzd2evaluationzd2contextz00zz__evaluatez00();} 
BGL_FUNCTION_END;
}



/* set-evaluation-context! */
BGL_EXPORTED_DEF obj_t BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 104 */
{ /* Eval/evaluate.scm 105 */
obj_t BgL_sz00_1172;
BgL_sz00_1172 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 106 */
obj_t BgL_bpz00_1173;
BgL_bpz00_1173 = 
VECTOR_REF(
((obj_t)BgL_vz00_4),((long)0)); 
{ 
long BgL_iz00_1175;
{ /* Eval/evaluate.scm 107 */
bool_t BgL_tmpz00_4569;
BgL_iz00_1175 = ((long)0); 
BgL_zc3anonymousza31345ze3z83_1176:
if(
(BgL_iz00_1175<
(long)CINT(BgL_bpz00_1173)))
{ /* Eval/evaluate.scm 108 */
{ /* Eval/evaluate.scm 109 */
obj_t BgL_arg1347z00_1178;
BgL_arg1347z00_1178 = 
VECTOR_REF(
((obj_t)BgL_vz00_4),BgL_iz00_1175); 
VECTOR_SET(
((obj_t)BgL_sz00_1172),BgL_iz00_1175,BgL_arg1347z00_1178); } 
{ 
long BgL_iz00_4577;
BgL_iz00_4577 = 
(BgL_iz00_1175+((long)1)); 
BgL_iz00_1175 = BgL_iz00_4577; 
goto BgL_zc3anonymousza31345ze3z83_1176;} }  else 
{ /* Eval/evaluate.scm 108 */
BgL_tmpz00_4569 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_4569);} } } } } 
BGL_FUNCTION_END;
}



/* &set-evaluation-context! */
obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t BgL_envz00_4402, obj_t BgL_vz00_4403)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 104 */
return 
BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_4403);} 
BGL_FUNCTION_END;
}



/* evaluate2-restore-bp! */
BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int BgL_bpz00_5)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 115 */
{ /* Eval/evaluate.scm 116 */
obj_t BgL_sz00_1181;
{ /* Eval/evaluate.scm 116 */
obj_t BgL_tmpz00_4581;
BgL_tmpz00_4581 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_sz00_1181 = 
BGL_ENV_EVSTATE(BgL_tmpz00_4581); } 
return 
VECTOR_SET(
((obj_t)BgL_sz00_1181),((long)0),
BINT(BgL_bpz00_5));} } 
BGL_FUNCTION_END;
}



/* &evaluate2-restore-bp! */
obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t BgL_envz00_4404, obj_t BgL_bpz00_4405)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 115 */
{ /* Eval/evaluate.scm 116 */
int BgL_auxz00_4587;
{ /* Eval/evaluate.scm 116 */
obj_t BgL_tmpz00_4588;
if(
INTEGERP(BgL_bpz00_4405))
{ /* Eval/evaluate.scm 116 */
BgL_tmpz00_4588 = BgL_bpz00_4405
; }  else 
{ 
obj_t BgL_auxz00_4591;
BgL_auxz00_4591 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2977z00zz__evaluatez00, 
BINT(((long)3890)), BGl_string2978z00zz__evaluatez00, BGl_string2979z00zz__evaluatez00, BgL_bpz00_4405); 
FAILURE(BgL_auxz00_4591,BFALSE,BFALSE);} 
BgL_auxz00_4587 = 
CINT(BgL_tmpz00_4588); } 
return 
BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(BgL_auxz00_4587);} } 
BGL_FUNCTION_END;
}



/* evaluate2-restore-state! */
BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t BgL_statez00_6)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 122 */
{ /* Eval/evaluate.scm 124 */
obj_t BgL_tmpz00_4597;
BgL_tmpz00_4597 = 
BGL_CURRENT_DYNAMIC_ENV(); 
return 
BGL_ENV_EVSTATE_SET(BgL_tmpz00_4597, BgL_statez00_6);} } 
BGL_FUNCTION_END;
}



/* &evaluate2-restore-state! */
obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t BgL_envz00_4406, obj_t BgL_statez00_4407)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 122 */
{ /* Eval/evaluate.scm 123 */
obj_t BgL_auxz00_4600;
if(
VECTORP(BgL_statez00_4407))
{ /* Eval/evaluate.scm 123 */
BgL_auxz00_4600 = BgL_statez00_4407
; }  else 
{ 
obj_t BgL_auxz00_4603;
BgL_auxz00_4603 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2977z00zz__evaluatez00, 
BINT(((long)4240)), BGl_string2980z00zz__evaluatez00, BGl_string2981z00zz__evaluatez00, BgL_statez00_4407); 
FAILURE(BgL_auxz00_4603,BFALSE,BFALSE);} 
return 
BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(BgL_auxz00_4600);} } 
BGL_FUNCTION_END;
}



/* evaluate2 */
BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_7, obj_t BgL_envz00_8, obj_t BgL_locz00_9)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 129 */
{ /* Eval/evaluate.scm 130 */
BgL_ev_exprz00_bglt BgL_astz00_1184;
{ /* Eval/evaluate.scm 130 */
obj_t BgL_arg1358z00_1199;
BgL_arg1358z00_1199 = 
BGl_convertz00zz__evaluatez00(BgL_sexpz00_7, BgL_envz00_8, BgL_locz00_9); 
BgL_astz00_1184 = 
BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1358z00_1199)); } 
{ /* Eval/evaluate.scm 131 */
bool_t BgL_testz00_4611;
{ /* Eval/evaluate.scm 131 */
int BgL_arg1355z00_1189;
BgL_arg1355z00_1189 = 
bgl_debug(); 
BgL_testz00_4611 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1355z00_1189), 
BINT(((long)10))); } 
if(BgL_testz00_4611)
{ /* Eval/evaluate.scm 131 */
BGl_ppz00zz__ppz00(
BGl_uncompilez00zz__evaluate_uncompz00(BgL_astz00_1184), BNIL); }  else 
{ /* Eval/evaluate.scm 131 */BFALSE; } } 
BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_1184); 
{ /* Eval/evaluate.scm 133 */
int BgL_nz00_1190;
BgL_nz00_1190 = 
BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_1184); 
{ /* Eval/evaluate.scm 134 */
obj_t BgL_fz00_1191;
BgL_fz00_1191 = 
BGl_compilez00zz__evaluate_compz00(BgL_astz00_1184); 
{ /* Eval/evaluate.scm 135 */
obj_t BgL_sz00_1192;
BgL_sz00_1192 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 136 */
obj_t BgL_bpz00_1193;
BgL_bpz00_1193 = 
VECTOR_REF(
((obj_t)BgL_sz00_1192),((long)0)); 
{ /* Eval/evaluate.scm 137 */
obj_t BgL_exitd1062z00_1194;
BgL_exitd1062z00_1194 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate.scm 139 */
obj_t BgL_zc3anonymousza31356ze3z83_4408;
BgL_zc3anonymousza31356ze3z83_4408 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31356ze3ze1zz__evaluatez00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza31356ze3z83_4408, 
(int)(((long)0)), BgL_sz00_1192); 
PROCEDURE_SET(BgL_zc3anonymousza31356ze3z83_4408, 
(int)(((long)1)), BgL_bpz00_1193); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1062z00_1194, BgL_zc3anonymousza31356ze3z83_4408); 
{ /* Eval/evaluate.scm 138 */
obj_t BgL_tmp1064z00_1196;
BgL_tmp1064z00_1196 = 
PROCEDURE_ENTRY(BgL_fz00_1191)(BgL_fz00_1191, BgL_sz00_1192, BEOA); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1062z00_1194); 
BGl_z62zc3anonymousza31356ze3ze1zz__evaluatez00(BgL_zc3anonymousza31356ze3z83_4408); 
return BgL_tmp1064z00_1196;} } } } } } } } } 
BGL_FUNCTION_END;
}



/* &evaluate2 */
obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_4409, obj_t BgL_sexpz00_4410, obj_t BgL_envz00_4411, obj_t BgL_locz00_4412)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 129 */
return 
BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_4410, BgL_envz00_4411, BgL_locz00_4412);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1356> */
obj_t BGl_z62zc3anonymousza31356ze3ze1zz__evaluatez00(obj_t BgL_envz00_4413)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 137 */
{ /* Eval/evaluate.scm 139 */
obj_t BgL_sz00_4414;obj_t BgL_bpz00_4415;
BgL_sz00_4414 = 
PROCEDURE_REF(BgL_envz00_4413, 
(int)(((long)0))); 
BgL_bpz00_4415 = 
PROCEDURE_REF(BgL_envz00_4413, 
(int)(((long)1))); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_4414),((long)0),BgL_bpz00_4415);} } 
BGL_FUNCTION_END;
}



/* get-location */
obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_10, obj_t BgL_locz00_11)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 144 */
{ /* Eval/evaluate.scm 145 */
obj_t BgL__ortest_1065z00_1200;
BgL__ortest_1065z00_1200 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_10); 
if(
CBOOL(BgL__ortest_1065z00_1200))
{ /* Eval/evaluate.scm 145 */
return BgL__ortest_1065z00_1200;}  else 
{ /* Eval/evaluate.scm 145 */
return BgL_locz00_11;} } } 
BGL_FUNCTION_END;
}



/* get-location3 */
obj_t BGl_getzd2location3zd2zz__evaluatez00(obj_t BgL_expz00_12, obj_t BgL_lstz00_13, obj_t BgL_locz00_14)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 150 */
{ /* Eval/evaluate.scm 151 */
obj_t BgL__ortest_1066z00_1201;
BgL__ortest_1066z00_1201 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_12); 
if(
CBOOL(BgL__ortest_1066z00_1201))
{ /* Eval/evaluate.scm 151 */
return BgL__ortest_1066z00_1201;}  else 
{ /* Eval/evaluate.scm 152 */
obj_t BgL__ortest_1067z00_1202;
BgL__ortest_1067z00_1202 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lstz00_13); 
if(
CBOOL(BgL__ortest_1067z00_1202))
{ /* Eval/evaluate.scm 152 */
return BgL__ortest_1067z00_1202;}  else 
{ /* Eval/evaluate.scm 152 */
return BgL_locz00_14;} } } } 
BGL_FUNCTION_END;
}



/* convert */
obj_t BGl_convertz00zz__evaluatez00(obj_t BgL_ez00_15, obj_t BgL_globalsz00_16, obj_t BgL_locz00_17)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 158 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_15, BNIL, BgL_globalsz00_16, BFALSE, BGl_symbol2982z00zz__evaluatez00, BgL_locz00_17, ((bool_t)1));} 
BGL_FUNCTION_END;
}



/* conv-var */
obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_18, obj_t BgL_localsz00_19)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 164 */
{ 
obj_t BgL_lz00_1204;
BgL_lz00_1204 = BgL_localsz00_19; 
BgL_zc3anonymousza31359ze3z83_1205:
if(
NULLP(BgL_lz00_1204))
{ /* Eval/evaluate.scm 166 */
return BFALSE;}  else 
{ /* Eval/evaluate.scm 168 */
obj_t BgL_rvz00_1207;
BgL_rvz00_1207 = 
CAR(
((obj_t)BgL_lz00_1204)); 
if(
(BgL_vz00_18==
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_rvz00_1207)))->BgL_namez00)))
{ /* Eval/evaluate.scm 170 */
return BgL_rvz00_1207;}  else 
{ 
obj_t BgL_lz00_4664;
BgL_lz00_4664 = 
CDR(
((obj_t)BgL_lz00_1204)); 
BgL_lz00_1204 = BgL_lz00_4664; 
goto BgL_zc3anonymousza31359ze3z83_1205;} } } } 
BGL_FUNCTION_END;
}



/* conv-begin */
obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_20, obj_t BgL_localsz00_21, obj_t BgL_globalsz00_22, obj_t BgL_tailzf3zf3_23, obj_t BgL_wherez00_24, obj_t BgL_locz00_25, bool_t BgL_topzf3zf3_26)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 177 */
{ /* Eval/evaluate.scm 178 */
obj_t BgL_locz00_1214;
BgL_locz00_1214 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_lz00_20, BgL_locz00_25); 
{ 
obj_t BgL_e1z00_1218;obj_t BgL_rz00_1219;obj_t BgL_ez00_1216;
if(
NULLP(BgL_lz00_20))
{ 
BgL_ev_littz00_bglt BgL_auxz00_4670;
{ /* Eval/evaluate.scm 181 */
BgL_ev_littz00_bglt BgL_new1070z00_1231;
{ /* Eval/evaluate.scm 182 */
BgL_ev_littz00_bglt BgL_new1069z00_1232;
BgL_new1069z00_1232 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 182 */
long BgL_arg1374z00_1233;
{ /* Eval/evaluate.scm 182 */
long BgL_res2665z00_3162;
BgL_res2665z00_3162 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg1374z00_1233 = BgL_res2665z00_3162; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_1232), BgL_arg1374z00_1233); } 
BgL_new1070z00_1231 = BgL_new1069z00_1232; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1070z00_1231))->BgL_valuez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4670 = BgL_new1070z00_1231; } 
return 
((obj_t)BgL_auxz00_4670);}  else 
{ /* Eval/evaluate.scm 179 */
if(
PAIRP(BgL_lz00_20))
{ /* Eval/evaluate.scm 179 */
if(
NULLP(
CDR(BgL_lz00_20)))
{ /* Eval/evaluate.scm 179 */
BgL_ez00_1216 = 
CAR(BgL_lz00_20); 
return 
BGl_convz00zz__evaluatez00(BgL_ez00_1216, BgL_localsz00_21, BgL_globalsz00_22, BgL_tailzf3zf3_23, BgL_wherez00_24, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_1216, BgL_locz00_1214), BgL_topzf3zf3_26);}  else 
{ /* Eval/evaluate.scm 179 */
obj_t BgL_arg1371z00_1228;obj_t BgL_arg1372z00_1229;
BgL_arg1371z00_1228 = 
CAR(BgL_lz00_20); 
BgL_arg1372z00_1229 = 
CDR(BgL_lz00_20); 
{ 
BgL_ev_prog2z00_bglt BgL_auxz00_4687;
BgL_e1z00_1218 = BgL_arg1371z00_1228; 
BgL_rz00_1219 = BgL_arg1372z00_1229; 
{ /* Eval/evaluate.scm 186 */
BgL_ev_prog2z00_bglt BgL_new1072z00_1235;
{ /* Eval/evaluate.scm 187 */
BgL_ev_prog2z00_bglt BgL_new1071z00_1237;
BgL_new1071z00_1237 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate.scm 187 */
long BgL_arg1377z00_1238;
{ /* Eval/evaluate.scm 187 */
long BgL_res2666z00_3166;
BgL_res2666z00_3166 = 
BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00); 
BgL_arg1377z00_1238 = BgL_res2666z00_3166; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1071z00_1237), BgL_arg1377z00_1238); } 
BgL_new1072z00_1235 = BgL_new1071z00_1237; } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4692;
{ /* Eval/evaluate.scm 187 */
obj_t BgL_arg1376z00_1236;
BgL_arg1376z00_1236 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_e1z00_1218, BgL_locz00_1214); 
BgL_auxz00_4692 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_e1z00_1218, BgL_localsz00_21, BgL_globalsz00_22, BFALSE, BgL_wherez00_24, BgL_arg1376z00_1236, BgL_topzf3zf3_26)); } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1072z00_1235))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4692),BUNSPEC); } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1072z00_1235))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_rz00_1219, BgL_localsz00_21, BgL_globalsz00_22, BgL_tailzf3zf3_23, BgL_wherez00_24, BgL_locz00_1214, BgL_topzf3zf3_26))),BUNSPEC); 
BgL_auxz00_4687 = BgL_new1072z00_1235; } 
return 
((obj_t)BgL_auxz00_4687);} } }  else 
{ /* Eval/evaluate.scm 179 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_1214, BGl_string2984z00zz__evaluatez00, BGl_string2985z00zz__evaluatez00, BgL_lz00_20);} } } } } 
BGL_FUNCTION_END;
}



/* conv-global */
BgL_ev_globalz00_bglt BGl_convzd2globalzd2zz__evaluatez00(obj_t BgL_locz00_27, obj_t BgL_idz00_28, obj_t BgL_globalsz00_29)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 195 */
{ /* Eval/evaluate.scm 196 */
BgL_ev_globalz00_bglt BgL_new1074z00_1239;
{ /* Eval/evaluate.scm 197 */
BgL_ev_globalz00_bglt BgL_new1073z00_1241;
BgL_new1073z00_1241 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate.scm 197 */
long BgL_arg1379z00_1242;
{ /* Eval/evaluate.scm 197 */
long BgL_res2670z00_3177;
BgL_res2670z00_3177 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BgL_arg1379z00_1242 = BgL_res2670z00_3177; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_1241), BgL_arg1379z00_1242); } 
BgL_new1074z00_1239 = BgL_new1073z00_1241; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1074z00_1239))->BgL_locz00)=((obj_t)BgL_locz00_27),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1074z00_1239))->BgL_namez00)=((obj_t)BgL_idz00_28),BUNSPEC); 
{ 
obj_t BgL_auxz00_4708;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_29))
{ /* Eval/evaluate.scm 199 */
BgL_auxz00_4708 = BgL_globalsz00_29
; }  else 
{ /* Eval/evaluate.scm 199 */
BgL_auxz00_4708 = 
BGL_MODULE()
; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1074z00_1239))->BgL_modz00)=((obj_t)BgL_auxz00_4708),BUNSPEC); } 
return BgL_new1074z00_1239;} } 
BGL_FUNCTION_END;
}



/* conv-field-ref */
obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_30, obj_t BgL_localsz00_31, obj_t BgL_globalsz00_32, obj_t BgL_tailzf3zf3_33, obj_t BgL_wherez00_34, obj_t BgL_locz00_35, bool_t BgL_topzf3zf3_36)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 204 */
{ /* Eval/evaluate.scm 205 */
obj_t BgL_lz00_1243;
BgL_lz00_1243 = 
CDR(
((obj_t)BgL_ez00_30)); 
{ /* Eval/evaluate.scm 205 */
obj_t BgL_vz00_1244;
BgL_vz00_1244 = 
BGl_convzd2varzd2zz__evaluatez00(
CAR(
((obj_t)BgL_lz00_1243)), BgL_localsz00_31); 
{ /* Eval/evaluate.scm 206 */

if(
BGl_isazf3zf3zz__objectz00(BgL_vz00_1244, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate.scm 209 */
obj_t BgL_g1077z00_1247;obj_t BgL_g1078z00_1248;
{ /* Eval/evaluate.scm 210 */
obj_t BgL_arg1398z00_1271;
BgL_arg1398z00_1271 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1244)))->BgL_typez00); 
BgL_g1077z00_1247 = 
BGl_classzd2existszd2zz__objectz00(BgL_arg1398z00_1271); } 
BgL_g1078z00_1248 = 
CDR(
((obj_t)BgL_lz00_1243)); 
{ 
BgL_ev_exprz00_bglt BgL_nodez00_1250;obj_t BgL_klassz00_1251;obj_t BgL_fieldsz00_1252;
BgL_nodez00_1250 = 
((BgL_ev_exprz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_1244)); 
BgL_klassz00_1251 = BgL_g1077z00_1247; 
BgL_fieldsz00_1252 = BgL_g1078z00_1248; 
BgL_zc3anonymousza31381ze3z83_1253:
if(
NULLP(BgL_fieldsz00_1252))
{ /* Eval/evaluate.scm 213 */
return 
((obj_t)BgL_nodez00_1250);}  else 
{ /* Eval/evaluate.scm 213 */
if(
BGl_classzf3zf3zz__objectz00(BgL_klassz00_1251))
{ /* Eval/evaluate.scm 216 */
obj_t BgL_fieldz00_1256;
{ /* Eval/evaluate.scm 216 */
obj_t BgL_arg1396z00_1267;
BgL_arg1396z00_1267 = 
CAR(
((obj_t)BgL_fieldsz00_1252)); 
BgL_fieldz00_1256 = 
BGl_findzd2classzd2fieldz00zz__objectz00(BgL_klassz00_1251, BgL_arg1396z00_1267); } 
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_fieldz00_1256))
{ /* Eval/evaluate.scm 218 */
BgL_ev_appz00_bglt BgL_nodez00_1258;
BgL_nodez00_1258 = 
BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(BgL_fieldz00_1256, BgL_nodez00_1250, BgL_locz00_35, BgL_tailzf3zf3_33); 
{ /* Eval/evaluate.scm 221 */
obj_t BgL_arg1385z00_1259;obj_t BgL_arg1387z00_1260;
BgL_arg1385z00_1259 = 
BGl_classzd2fieldzd2typez00zz__objectz00(BgL_fieldz00_1256); 
BgL_arg1387z00_1260 = 
CDR(
((obj_t)BgL_fieldsz00_1252)); 
{ 
obj_t BgL_fieldsz00_4742;obj_t BgL_klassz00_4741;BgL_ev_exprz00_bglt BgL_nodez00_4739;
BgL_nodez00_4739 = 
((BgL_ev_exprz00_bglt)BgL_nodez00_1258); 
BgL_klassz00_4741 = BgL_arg1385z00_1259; 
BgL_fieldsz00_4742 = BgL_arg1387z00_1260; 
BgL_fieldsz00_1252 = BgL_fieldsz00_4742; 
BgL_klassz00_1251 = BgL_klassz00_4741; 
BgL_nodez00_1250 = BgL_nodez00_4739; 
goto BgL_zc3anonymousza31381ze3z83_1253;} } }  else 
{ /* Eval/evaluate.scm 223 */
obj_t BgL_arg1388z00_1261;obj_t BgL_arg1389z00_1262;
BgL_arg1388z00_1261 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1244)))->BgL_typez00); 
{ /* Eval/evaluate.scm 224 */
obj_t BgL_arg1390z00_1263;obj_t BgL_arg1391z00_1264;
BgL_arg1390z00_1263 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1244)))->BgL_typez00); 
BgL_arg1391z00_1264 = 
CAR(
((obj_t)BgL_fieldsz00_1252)); 
{ /* Eval/evaluate.scm 224 */
obj_t BgL_list1392z00_1265;
{ /* Eval/evaluate.scm 224 */
obj_t BgL_arg1393z00_1266;
BgL_arg1393z00_1266 = 
MAKE_YOUNG_PAIR(BgL_arg1391z00_1264, BNIL); 
BgL_list1392z00_1265 = 
MAKE_YOUNG_PAIR(BgL_arg1390z00_1263, BgL_arg1393z00_1266); } 
BgL_arg1389z00_1262 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2986z00zz__evaluatez00, BgL_list1392z00_1265); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1388z00_1261, BgL_arg1389z00_1262, BgL_ez00_30);} }  else 
{ /* Eval/evaluate.scm 227 */
obj_t BgL_arg1397z00_1268;
{ /* Eval/evaluate.scm 227 */
obj_t BgL__ortest_1079z00_1269;
BgL__ortest_1079z00_1269 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1244)))->BgL_typez00); 
if(
CBOOL(BgL__ortest_1079z00_1269))
{ /* Eval/evaluate.scm 227 */
BgL_arg1397z00_1268 = BgL__ortest_1079z00_1269; }  else 
{ /* Eval/evaluate.scm 227 */
BgL_arg1397z00_1268 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1244)))->BgL_namez00); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1397z00_1268, BGl_string2987z00zz__evaluatez00, BgL_ez00_30);} } } }  else 
{ /* Eval/evaluate.scm 229 */
obj_t BgL_arg1399z00_1272;
{ /* Eval/evaluate.scm 229 */
obj_t BgL_pairz00_3190;
BgL_pairz00_3190 = 
CDR(
((obj_t)BgL_ez00_30)); 
BgL_arg1399z00_1272 = 
CAR(BgL_pairz00_3190); } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1399z00_1272, BGl_string2988z00zz__evaluatez00, BgL_ez00_30);} } } } } 
BGL_FUNCTION_END;
}



/* conv-field-set */
obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_37, obj_t BgL_e2z00_38, obj_t BgL_ez00_39, obj_t BgL_localsz00_40, obj_t BgL_globalsz00_41, obj_t BgL_tailzf3zf3_42, obj_t BgL_wherez00_43, obj_t BgL_locz00_44, bool_t BgL_topzf3zf3_45)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 234 */
{ /* Eval/evaluate.scm 235 */
obj_t BgL_vz00_1274;
BgL_vz00_1274 = 
BGl_convzd2varzd2zz__evaluatez00(
CAR(BgL_lz00_37), BgL_localsz00_40); 
{ /* Eval/evaluate.scm 235 */
obj_t BgL_e2z00_1275;
BgL_e2z00_1275 = 
BGl_convz00zz__evaluatez00(BgL_e2z00_38, BgL_localsz00_40, BgL_globalsz00_41, BFALSE, BgL_wherez00_43, BgL_locz00_44, ((bool_t)0)); 
{ /* Eval/evaluate.scm 236 */

if(
BGl_isazf3zf3zz__objectz00(BgL_vz00_1274, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate.scm 239 */
obj_t BgL_g1081z00_1278;obj_t BgL_g1082z00_1279;
{ /* Eval/evaluate.scm 240 */
obj_t BgL_arg1426z00_1310;
BgL_arg1426z00_1310 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1274)))->BgL_typez00); 
BgL_g1081z00_1278 = 
BGl_classzd2existszd2zz__objectz00(BgL_arg1426z00_1310); } 
BgL_g1082z00_1279 = 
CDR(BgL_lz00_37); 
{ 
BgL_ev_exprz00_bglt BgL_nodez00_1281;obj_t BgL_klassz00_1282;obj_t BgL_fieldsz00_1283;
BgL_nodez00_1281 = 
((BgL_ev_exprz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_1274)); 
BgL_klassz00_1282 = BgL_g1081z00_1278; 
BgL_fieldsz00_1283 = BgL_g1082z00_1279; 
BgL_zc3anonymousza31402ze3z83_1284:
if(
NULLP(BgL_fieldsz00_1283))
{ /* Eval/evaluate.scm 243 */
return 
((obj_t)BgL_nodez00_1281);}  else 
{ /* Eval/evaluate.scm 243 */
if(
BGl_classzf3zf3zz__objectz00(BgL_klassz00_1282))
{ /* Eval/evaluate.scm 246 */
obj_t BgL_fieldz00_1287;
{ /* Eval/evaluate.scm 246 */
obj_t BgL_arg1424z00_1306;
BgL_arg1424z00_1306 = 
CAR(
((obj_t)BgL_fieldsz00_1283)); 
BgL_fieldz00_1287 = 
BGl_findzd2classzd2fieldz00zz__objectz00(BgL_klassz00_1282, BgL_arg1424z00_1306); } 
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_fieldz00_1287))
{ /* Eval/evaluate.scm 247 */
if(
NULLP(
CDR(
((obj_t)BgL_fieldsz00_1283))))
{ /* Eval/evaluate.scm 248 */
if(
BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_1287))
{ /* Eval/evaluate.scm 251 */
obj_t BgL_arg1409z00_1292;
{ /* Eval/evaluate.scm 251 */
obj_t BgL_list1410z00_1293;
{ /* Eval/evaluate.scm 251 */
obj_t BgL_arg1411z00_1294;
BgL_arg1411z00_1294 = 
MAKE_YOUNG_PAIR(BgL_e2z00_1275, BNIL); 
BgL_list1410z00_1293 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_nodez00_1281), BgL_arg1411z00_1294); } 
BgL_arg1409z00_1292 = BgL_list1410z00_1293; } 
return 
((obj_t)
BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(BgL_fieldz00_1287, BgL_arg1409z00_1292, BgL_locz00_44, BgL_tailzf3zf3_42));}  else 
{ /* Eval/evaluate.scm 252 */
obj_t BgL_arg1412z00_1295;
BgL_arg1412z00_1295 = 
CAR(
((obj_t)BgL_fieldsz00_1283)); 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1412z00_1295, BGl_string2989z00zz__evaluatez00, BgL_ez00_39);} }  else 
{ /* Eval/evaluate.scm 255 */
BgL_ev_appz00_bglt BgL_nodez00_1296;
BgL_nodez00_1296 = 
BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(BgL_fieldz00_1287, BgL_nodez00_1281, BgL_locz00_44, BgL_tailzf3zf3_42); 
{ /* Eval/evaluate.scm 258 */
obj_t BgL_arg1413z00_1297;obj_t BgL_arg1416z00_1298;
BgL_arg1413z00_1297 = 
BGl_classzd2fieldzd2typez00zz__objectz00(BgL_fieldz00_1287); 
BgL_arg1416z00_1298 = 
CDR(
((obj_t)BgL_fieldsz00_1283)); 
{ 
obj_t BgL_fieldsz00_4806;obj_t BgL_klassz00_4805;BgL_ev_exprz00_bglt BgL_nodez00_4803;
BgL_nodez00_4803 = 
((BgL_ev_exprz00_bglt)BgL_nodez00_1296); 
BgL_klassz00_4805 = BgL_arg1413z00_1297; 
BgL_fieldsz00_4806 = BgL_arg1416z00_1298; 
BgL_fieldsz00_1283 = BgL_fieldsz00_4806; 
BgL_klassz00_1282 = BgL_klassz00_4805; 
BgL_nodez00_1281 = BgL_nodez00_4803; 
goto BgL_zc3anonymousza31402ze3z83_1284;} } } }  else 
{ /* Eval/evaluate.scm 260 */
obj_t BgL_arg1418z00_1300;obj_t BgL_arg1419z00_1301;
BgL_arg1418z00_1300 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1274)))->BgL_typez00); 
{ /* Eval/evaluate.scm 261 */
obj_t BgL_arg1420z00_1302;obj_t BgL_arg1421z00_1303;
BgL_arg1420z00_1302 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1274)))->BgL_typez00); 
BgL_arg1421z00_1303 = 
CAR(
((obj_t)BgL_fieldsz00_1283)); 
{ /* Eval/evaluate.scm 261 */
obj_t BgL_list1422z00_1304;
{ /* Eval/evaluate.scm 261 */
obj_t BgL_arg1423z00_1305;
BgL_arg1423z00_1305 = 
MAKE_YOUNG_PAIR(BgL_arg1421z00_1303, BNIL); 
BgL_list1422z00_1304 = 
MAKE_YOUNG_PAIR(BgL_arg1420z00_1302, BgL_arg1423z00_1305); } 
BgL_arg1419z00_1301 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2986z00zz__evaluatez00, BgL_list1422z00_1304); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1418z00_1300, BgL_arg1419z00_1301, BgL_ez00_39);} }  else 
{ /* Eval/evaluate.scm 265 */
obj_t BgL_arg1425z00_1307;
{ /* Eval/evaluate.scm 265 */
obj_t BgL__ortest_1083z00_1308;
BgL__ortest_1083z00_1308 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1274)))->BgL_typez00); 
if(
CBOOL(BgL__ortest_1083z00_1308))
{ /* Eval/evaluate.scm 265 */
BgL_arg1425z00_1307 = BgL__ortest_1083z00_1308; }  else 
{ /* Eval/evaluate.scm 265 */
BgL_arg1425z00_1307 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1274)))->BgL_namez00); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1425z00_1307, BGl_string2987z00zz__evaluatez00, BgL_ez00_39);} } } }  else 
{ /* Eval/evaluate.scm 237 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, 
CAR(BgL_lz00_37), BGl_string2988z00zz__evaluatez00, BgL_ez00_39);} } } } } 
BGL_FUNCTION_END;
}



/* make-class-field-ref */
BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t BgL_fieldz00_46, BgL_ev_exprz00_bglt BgL_argz00_47, obj_t BgL_locz00_48, obj_t BgL_tailzf3zf3_49)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 271 */
{ /* Eval/evaluate.scm 272 */
obj_t BgL_getz00_1313;
BgL_getz00_1313 = 
BGl_classzd2fieldzd2accessorz00zz__objectz00(BgL_fieldz00_46); 
{ /* Eval/evaluate.scm 273 */
BgL_ev_appz00_bglt BgL_new1085z00_1314;
{ /* Eval/evaluate.scm 274 */
BgL_ev_appz00_bglt BgL_new1084z00_1319;
BgL_new1084z00_1319 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 274 */
long BgL_arg1433z00_1320;
{ /* Eval/evaluate.scm 274 */
long BgL_res2675z00_3203;
BgL_res2675z00_3203 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg1433z00_1320 = BgL_res2675z00_3203; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1084z00_1319), BgL_arg1433z00_1320); } 
BgL_new1085z00_1314 = BgL_new1084z00_1319; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1085z00_1314))->BgL_locz00)=((obj_t)BgL_locz00_48),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4834;
{ /* Eval/evaluate.scm 275 */
BgL_ev_littz00_bglt BgL_new1087z00_1315;
{ /* Eval/evaluate.scm 275 */
BgL_ev_littz00_bglt BgL_new1086z00_1316;
BgL_new1086z00_1316 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 275 */
long BgL_arg1431z00_1317;
{ /* Eval/evaluate.scm 275 */
long BgL_res2676z00_3207;
{ /* Eval/evaluate.scm 275 */
obj_t BgL_classz00_3206;
BgL_classz00_3206 = BGl_ev_littz00zz__evaluate_typesz00; 
BgL_res2676z00_3207 = 
BGL_CLASS_INDEX(BgL_classz00_3206); } 
BgL_arg1431z00_1317 = BgL_res2676z00_3207; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1086z00_1316), BgL_arg1431z00_1317); } 
BgL_new1087z00_1315 = BgL_new1086z00_1316; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1087z00_1315))->BgL_valuez00)=((obj_t)BgL_getz00_1313),BUNSPEC); 
BgL_auxz00_4834 = 
((BgL_ev_exprz00_bglt)BgL_new1087z00_1315); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1085z00_1314))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4834),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4842;
{ /* Eval/evaluate.scm 276 */
obj_t BgL_list1432z00_1318;
BgL_list1432z00_1318 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_argz00_47), BNIL); 
BgL_auxz00_4842 = BgL_list1432z00_1318; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1085z00_1314))->BgL_argsz00)=((obj_t)BgL_auxz00_4842),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1085z00_1314))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_49),BUNSPEC); 
return BgL_new1085z00_1314;} } } 
BGL_FUNCTION_END;
}



/* make-class-field-set */
BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t BgL_fieldz00_50, obj_t BgL_argsz00_51, obj_t BgL_locz00_52, obj_t BgL_tailzf3zf3_53)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 282 */
{ /* Eval/evaluate.scm 283 */
obj_t BgL_setz00_1321;
BgL_setz00_1321 = 
BGl_classzd2fieldzd2mutatorz00zz__objectz00(BgL_fieldz00_50); 
{ /* Eval/evaluate.scm 284 */
BgL_ev_appz00_bglt BgL_new1089z00_1322;
{ /* Eval/evaluate.scm 285 */
BgL_ev_appz00_bglt BgL_new1088z00_1326;
BgL_new1088z00_1326 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 285 */
long BgL_arg1435z00_1327;
{ /* Eval/evaluate.scm 285 */
long BgL_res2678z00_3212;
BgL_res2678z00_3212 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg1435z00_1327 = BgL_res2678z00_3212; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1088z00_1326), BgL_arg1435z00_1327); } 
BgL_new1089z00_1322 = BgL_new1088z00_1326; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1089z00_1322))->BgL_locz00)=((obj_t)BgL_locz00_52),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4853;
{ /* Eval/evaluate.scm 286 */
BgL_ev_littz00_bglt BgL_new1091z00_1323;
{ /* Eval/evaluate.scm 286 */
BgL_ev_littz00_bglt BgL_new1090z00_1324;
BgL_new1090z00_1324 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 286 */
long BgL_arg1434z00_1325;
{ /* Eval/evaluate.scm 286 */
long BgL_res2679z00_3216;
{ /* Eval/evaluate.scm 286 */
obj_t BgL_classz00_3215;
BgL_classz00_3215 = BGl_ev_littz00zz__evaluate_typesz00; 
BgL_res2679z00_3216 = 
BGL_CLASS_INDEX(BgL_classz00_3215); } 
BgL_arg1434z00_1325 = BgL_res2679z00_3216; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1090z00_1324), BgL_arg1434z00_1325); } 
BgL_new1091z00_1323 = BgL_new1090z00_1324; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1091z00_1323))->BgL_valuez00)=((obj_t)BgL_setz00_1321),BUNSPEC); 
BgL_auxz00_4853 = 
((BgL_ev_exprz00_bglt)BgL_new1091z00_1323); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1089z00_1322))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4853),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1089z00_1322))->BgL_argsz00)=((obj_t)BgL_argsz00_51),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1089z00_1322))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_53),BUNSPEC); 
return BgL_new1089z00_1322;} } } 
BGL_FUNCTION_END;
}



/* evepairify */
obj_t BGl_evepairifyz00zz__evaluatez00(obj_t BgL_pz00_54, obj_t BgL_locz00_55)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 293 */
{ /* Eval/evaluate.scm 294 */
obj_t BgL_arg1436z00_1328;obj_t BgL_arg1437z00_1329;
BgL_arg1436z00_1328 = 
CAR(BgL_pz00_54); 
BgL_arg1437z00_1329 = 
CDR(BgL_pz00_54); 
{ /* Eval/evaluate.scm 294 */
obj_t BgL_res2680z00_3221;
BgL_res2680z00_3221 = 
MAKE_YOUNG_EPAIR(BgL_arg1436z00_1328, BgL_arg1437z00_1329, BgL_locz00_55); 
return BgL_res2680z00_3221;} } } 
BGL_FUNCTION_END;
}



/* type-check */
obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t BgL_varz00_56, obj_t BgL_tnamez00_57, obj_t BgL_locz00_58, obj_t BgL_procnamez00_59, obj_t BgL_bodyz00_60)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 299 */
if(
SYMBOLP(BgL_tnamez00_57))
{ /* Eval/evaluate.scm 302 */
obj_t BgL_predz00_1331;
if(
(BgL_tnamez00_57==BGl_symbol2990z00zz__evaluatez00))
{ /* Eval/evaluate.scm 302 */
BgL_predz00_1331 = BGl_symbol2992z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 302 */
if(
(BgL_tnamez00_57==BGl_symbol2994z00zz__evaluatez00))
{ /* Eval/evaluate.scm 302 */
BgL_predz00_1331 = BGl_symbol2995z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 302 */
if(
(BgL_tnamez00_57==BGl_symbol2997z00zz__evaluatez00))
{ /* Eval/evaluate.scm 302 */
BgL_predz00_1331 = BGl_symbol2999z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 302 */
if(
(BgL_tnamez00_57==BGl_symbol3001z00zz__evaluatez00))
{ /* Eval/evaluate.scm 302 */
BgL_predz00_1331 = BGl_symbol3003z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 302 */
bool_t BgL_testz00_4876;
{ /* Eval/evaluate.scm 302 */
bool_t BgL__ortest_1092z00_1407;
BgL__ortest_1092z00_1407 = 
(BgL_tnamez00_57==BGl_symbol3005z00zz__evaluatez00); 
if(BgL__ortest_1092z00_1407)
{ /* Eval/evaluate.scm 302 */
BgL_testz00_4876 = BgL__ortest_1092z00_1407
; }  else 
{ /* Eval/evaluate.scm 302 */
BgL_testz00_4876 = 
(BgL_tnamez00_57==BGl_symbol3007z00zz__evaluatez00)
; } } 
if(BgL_testz00_4876)
{ /* Eval/evaluate.scm 302 */
BgL_predz00_1331 = BGl_symbol3008z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 302 */
bool_t BgL_testz00_4880;
{ /* Eval/evaluate.scm 302 */
bool_t BgL__ortest_1093z00_1406;
BgL__ortest_1093z00_1406 = 
(BgL_tnamez00_57==BGl_symbol3010z00zz__evaluatez00); 
if(BgL__ortest_1093z00_1406)
{ /* Eval/evaluate.scm 302 */
BgL_testz00_4880 = BgL__ortest_1093z00_1406
; }  else 
{ /* Eval/evaluate.scm 302 */
BgL_testz00_4880 = 
(BgL_tnamez00_57==BGl_symbol3012z00zz__evaluatez00)
; } } 
if(BgL_testz00_4880)
{ /* Eval/evaluate.scm 302 */
BgL_predz00_1331 = BGl_symbol3014z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 302 */
if(
(BgL_tnamez00_57==BGl_symbol3016z00zz__evaluatez00))
{ /* Eval/evaluate.scm 302 */
BgL_predz00_1331 = BGl_symbol3018z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 302 */
if(
(BgL_tnamez00_57==BGl_symbol3020z00zz__evaluatez00))
{ /* Eval/evaluate.scm 302 */
BgL_predz00_1331 = BGl_symbol3022z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 302 */
if(
(BgL_tnamez00_57==BGl_symbol3024z00zz__evaluatez00))
{ /* Eval/evaluate.scm 302 */
BgL_predz00_1331 = BGl_symbol3026z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 302 */
bool_t BgL_testz00_4890;
{ /* Eval/evaluate.scm 302 */
bool_t BgL__ortest_1094z00_1405;
BgL__ortest_1094z00_1405 = 
(BgL_tnamez00_57==BGl_symbol3028z00zz__evaluatez00); 
if(BgL__ortest_1094z00_1405)
{ /* Eval/evaluate.scm 302 */
BgL_testz00_4890 = BgL__ortest_1094z00_1405
; }  else 
{ /* Eval/evaluate.scm 302 */
BgL_testz00_4890 = 
(BgL_tnamez00_57==BGl_symbol3030z00zz__evaluatez00)
; } } 
if(BgL_testz00_4890)
{ /* Eval/evaluate.scm 302 */
BgL_predz00_1331 = BGl_symbol3032z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1485z00_1385;
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1486z00_1386;obj_t BgL_arg1487z00_1387;
BgL_arg1486z00_1386 = 
MAKE_YOUNG_PAIR(BGl_symbol3034z00zz__evaluatez00, BNIL); 
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1488z00_1388;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1489z00_1389;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1490z00_1390;obj_t BgL_arg1491z00_1391;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1492z00_1392;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1494z00_1393;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1495z00_1394;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1497z00_1395;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1498z00_1396;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1499z00_1397;
BgL_arg1499z00_1397 = 
MAKE_YOUNG_PAIR(BgL_tnamez00_57, BNIL); 
BgL_arg1498z00_1396 = 
MAKE_YOUNG_PAIR(BGl_symbol3036z00zz__evaluatez00, BgL_arg1499z00_1397); } 
BgL_arg1497z00_1395 = 
MAKE_YOUNG_PAIR(BgL_arg1498z00_1396, BNIL); } 
BgL_arg1495z00_1394 = 
MAKE_YOUNG_PAIR(BGl_symbol3038z00zz__evaluatez00, BgL_arg1497z00_1395); } 
BgL_arg1494z00_1393 = 
MAKE_YOUNG_PAIR(BgL_arg1495z00_1394, BNIL); } 
BgL_arg1492z00_1392 = 
MAKE_YOUNG_PAIR(BGl_symbol3040z00zz__evaluatez00, BgL_arg1494z00_1393); } 
BgL_arg1490z00_1390 = 
MAKE_YOUNG_PAIR(BgL_arg1492z00_1392, BNIL); } 
{ /* Eval/evaluate.scm 315 */
obj_t BgL_arg1500z00_1398;
{ /* Eval/evaluate.scm 315 */
obj_t BgL_arg1501z00_1399;
{ /* Eval/evaluate.scm 315 */
obj_t BgL_arg1502z00_1400;
{ /* Eval/evaluate.scm 315 */
obj_t BgL_arg1503z00_1401;obj_t BgL_arg1504z00_1402;
{ /* Eval/evaluate.scm 315 */
obj_t BgL_arg1506z00_1403;
{ /* Eval/evaluate.scm 315 */
obj_t BgL_arg1507z00_1404;
BgL_arg1507z00_1404 = 
MAKE_YOUNG_PAIR(BGl_symbol3040z00zz__evaluatez00, BNIL); 
BgL_arg1506z00_1403 = 
MAKE_YOUNG_PAIR(BGl_symbol3034z00zz__evaluatez00, BgL_arg1507z00_1404); } 
BgL_arg1503z00_1401 = 
MAKE_YOUNG_PAIR(BGl_symbol3042z00zz__evaluatez00, BgL_arg1506z00_1403); } 
BgL_arg1504z00_1402 = 
MAKE_YOUNG_PAIR(BTRUE, BNIL); 
BgL_arg1502z00_1400 = 
MAKE_YOUNG_PAIR(BgL_arg1503z00_1401, BgL_arg1504z00_1402); } 
BgL_arg1501z00_1399 = 
MAKE_YOUNG_PAIR(BGl_symbol3040z00zz__evaluatez00, BgL_arg1502z00_1400); } 
BgL_arg1500z00_1398 = 
MAKE_YOUNG_PAIR(BGl_symbol3044z00zz__evaluatez00, BgL_arg1501z00_1399); } 
BgL_arg1491z00_1391 = 
MAKE_YOUNG_PAIR(BgL_arg1500z00_1398, BNIL); } 
BgL_arg1489z00_1389 = 
MAKE_YOUNG_PAIR(BgL_arg1490z00_1390, BgL_arg1491z00_1391); } 
BgL_arg1488z00_1388 = 
MAKE_YOUNG_PAIR(BGl_symbol3046z00zz__evaluatez00, BgL_arg1489z00_1389); } 
BgL_arg1487z00_1387 = 
MAKE_YOUNG_PAIR(BgL_arg1488z00_1388, BNIL); } 
BgL_arg1485z00_1385 = 
MAKE_YOUNG_PAIR(BgL_arg1486z00_1386, BgL_arg1487z00_1387); } 
BgL_predz00_1331 = 
MAKE_YOUNG_PAIR(BGl_symbol3048z00zz__evaluatez00, BgL_arg1485z00_1385); } } } } } } } } } } 
{ /* Eval/evaluate.scm 317 */
obj_t BgL_arg1439z00_1332;
{ /* Eval/evaluate.scm 317 */
obj_t BgL_arg1441z00_1333;
{ /* Eval/evaluate.scm 317 */
obj_t BgL_arg1442z00_1334;obj_t BgL_arg1443z00_1335;
{ /* Eval/evaluate.scm 317 */
obj_t BgL_arg1444z00_1336;
BgL_arg1444z00_1336 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL); 
BgL_arg1442z00_1334 = 
MAKE_YOUNG_PAIR(BgL_predz00_1331, BgL_arg1444z00_1336); } 
{ /* Eval/evaluate.scm 317 */
obj_t BgL_arg1445z00_1337;
{ /* Eval/evaluate.scm 317 */
obj_t BgL_arg1446z00_1338;
{ 
obj_t BgL_fnamez00_1339;obj_t BgL_posz00_1340;
if(
PAIRP(BgL_locz00_58))
{ /* Eval/evaluate.scm 317 */
obj_t BgL_cdrzd2138zd2_1345;
BgL_cdrzd2138zd2_1345 = 
CDR(BgL_locz00_58); 
if(
(
CAR(BgL_locz00_58)==BGl_symbol3054z00zz__evaluatez00))
{ /* Eval/evaluate.scm 317 */
if(
PAIRP(BgL_cdrzd2138zd2_1345))
{ /* Eval/evaluate.scm 317 */
obj_t BgL_cdrzd2142zd2_1349;
BgL_cdrzd2142zd2_1349 = 
CDR(BgL_cdrzd2138zd2_1345); 
if(
PAIRP(BgL_cdrzd2142zd2_1349))
{ /* Eval/evaluate.scm 317 */
if(
NULLP(
CDR(BgL_cdrzd2142zd2_1349)))
{ /* Eval/evaluate.scm 317 */
BgL_fnamez00_1339 = 
CAR(BgL_cdrzd2138zd2_1345); 
BgL_posz00_1340 = 
CAR(BgL_cdrzd2142zd2_1349); 
{ /* Eval/evaluate.scm 322 */
obj_t BgL_arg1458z00_1357;
{ /* Eval/evaluate.scm 322 */
obj_t BgL_arg1459z00_1358;obj_t BgL_arg1460z00_1359;
if(
SYMBOLP(BgL_procnamez00_59))
{ /* Eval/evaluate.scm 322 */
obj_t BgL_res2690z00_3240;
{ /* Eval/evaluate.scm 322 */
obj_t BgL_arg2498z00_3239;
BgL_arg2498z00_3239 = 
SYMBOL_TO_STRING(BgL_procnamez00_59); 
BgL_res2690z00_3240 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2498z00_3239); } 
BgL_arg1459z00_1358 = BgL_res2690z00_3240; }  else 
{ /* Eval/evaluate.scm 322 */
BgL_arg1459z00_1358 = BFALSE; } 
{ /* Eval/evaluate.scm 323 */
obj_t BgL_arg1462z00_1361;obj_t BgL_arg1463z00_1362;
{ /* Eval/evaluate.scm 323 */
obj_t BgL_res2691z00_3243;
{ /* Eval/evaluate.scm 323 */
obj_t BgL_arg2498z00_3242;
BgL_arg2498z00_3242 = 
SYMBOL_TO_STRING(
((obj_t)BgL_tnamez00_57)); 
BgL_res2691z00_3243 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2498z00_3242); } 
BgL_arg1462z00_1361 = BgL_res2691z00_3243; } 
{ /* Eval/evaluate.scm 321 */
obj_t BgL_arg1465z00_1363;
{ /* Eval/evaluate.scm 321 */
obj_t BgL_arg1466z00_1364;
BgL_arg1466z00_1364 = 
MAKE_YOUNG_PAIR(BgL_posz00_1340, BNIL); 
BgL_arg1465z00_1363 = 
MAKE_YOUNG_PAIR(BgL_fnamez00_1339, BgL_arg1466z00_1364); } 
BgL_arg1463z00_1362 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BgL_arg1465z00_1363); } 
BgL_arg1460z00_1359 = 
MAKE_YOUNG_PAIR(BgL_arg1462z00_1361, BgL_arg1463z00_1362); } 
BgL_arg1458z00_1357 = 
MAKE_YOUNG_PAIR(BgL_arg1459z00_1358, BgL_arg1460z00_1359); } 
BgL_arg1446z00_1338 = 
MAKE_YOUNG_PAIR(BGl_symbol3050z00zz__evaluatez00, BgL_arg1458z00_1357); } }  else 
{ /* Eval/evaluate.scm 317 */
BgL_tagzd2131zd2_1342:
{ /* Eval/evaluate.scm 327 */
obj_t BgL_arg1467z00_1365;
{ /* Eval/evaluate.scm 327 */
obj_t BgL_arg1468z00_1366;obj_t BgL_arg1469z00_1367;
if(
SYMBOLP(BgL_procnamez00_59))
{ /* Eval/evaluate.scm 327 */
obj_t BgL_res2693z00_3247;
{ /* Eval/evaluate.scm 327 */
obj_t BgL_arg2498z00_3246;
BgL_arg2498z00_3246 = 
SYMBOL_TO_STRING(BgL_procnamez00_59); 
BgL_res2693z00_3247 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2498z00_3246); } 
BgL_arg1468z00_1366 = BgL_res2693z00_3247; }  else 
{ /* Eval/evaluate.scm 327 */
BgL_arg1468z00_1366 = BFALSE; } 
{ /* Eval/evaluate.scm 328 */
obj_t BgL_arg1471z00_1369;obj_t BgL_arg1473z00_1370;
{ /* Eval/evaluate.scm 328 */
obj_t BgL_res2694z00_3250;
{ /* Eval/evaluate.scm 328 */
obj_t BgL_arg2498z00_3249;
BgL_arg2498z00_3249 = 
SYMBOL_TO_STRING(
((obj_t)BgL_tnamez00_57)); 
BgL_res2694z00_3250 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2498z00_3249); } 
BgL_arg1471z00_1369 = BgL_res2694z00_3250; } 
BgL_arg1473z00_1370 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL); 
BgL_arg1469z00_1367 = 
MAKE_YOUNG_PAIR(BgL_arg1471z00_1369, BgL_arg1473z00_1370); } 
BgL_arg1467z00_1365 = 
MAKE_YOUNG_PAIR(BgL_arg1468z00_1366, BgL_arg1469z00_1367); } 
BgL_arg1446z00_1338 = 
MAKE_YOUNG_PAIR(BGl_symbol3052z00zz__evaluatez00, BgL_arg1467z00_1365); } } }  else 
{ /* Eval/evaluate.scm 317 */
goto BgL_tagzd2131zd2_1342;} }  else 
{ /* Eval/evaluate.scm 317 */
goto BgL_tagzd2131zd2_1342;} }  else 
{ /* Eval/evaluate.scm 317 */
goto BgL_tagzd2131zd2_1342;} }  else 
{ /* Eval/evaluate.scm 317 */
goto BgL_tagzd2131zd2_1342;} } 
BgL_arg1445z00_1337 = 
MAKE_YOUNG_PAIR(BgL_arg1446z00_1338, BNIL); } 
BgL_arg1443z00_1335 = 
MAKE_YOUNG_PAIR(BgL_bodyz00_60, BgL_arg1445z00_1337); } 
BgL_arg1441z00_1333 = 
MAKE_YOUNG_PAIR(BgL_arg1442z00_1334, BgL_arg1443z00_1335); } 
BgL_arg1439z00_1332 = 
MAKE_YOUNG_PAIR(BGl_symbol3044z00zz__evaluatez00, BgL_arg1441z00_1333); } 
return 
BGl_evepairifyz00zz__evaluatez00(BgL_arg1439z00_1332, BgL_locz00_58);} }  else 
{ /* Eval/evaluate.scm 301 */
return BgL_bodyz00_60;} } 
BGL_FUNCTION_END;
}



/* type-checks */
obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t BgL_varsz00_61, obj_t BgL_srcsz00_62, obj_t BgL_bodyz00_63, obj_t BgL_locz00_64, obj_t BgL_procnamez00_65)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 335 */
{ /* Eval/evaluate.scm 336 */
bool_t BgL_testz00_4962;
{ /* Eval/evaluate.scm 336 */
int BgL_arg1518z00_1426;
BgL_arg1518z00_1426 = 
bgl_debug(); 
BgL_testz00_4962 = 
(
(long)(BgL_arg1518z00_1426)<=((long)0)); } 
if(BgL_testz00_4962)
{ /* Eval/evaluate.scm 336 */
return BgL_bodyz00_63;}  else 
{ /* Eval/evaluate.scm 336 */
return 
BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_63, BgL_procnamez00_65, BgL_locz00_64, BgL_varsz00_61, BgL_srcsz00_62);} } } 
BGL_FUNCTION_END;
}



/* loop~1 */
obj_t BGl_loopze71ze7zz__evaluatez00(obj_t BgL_bodyz00_4447, obj_t BgL_procnamez00_4446, obj_t BgL_locz00_4445, obj_t BgL_varsz00_1411, obj_t BgL_srcsz00_1412)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 338 */
BGl_loopze71ze7zz__evaluatez00:
if(
NULLP(BgL_varsz00_1411))
{ /* Eval/evaluate.scm 340 */
return BgL_bodyz00_4447;}  else 
{ /* Eval/evaluate.scm 342 */
obj_t BgL_vz00_1415;
BgL_vz00_1415 = 
CAR(
((obj_t)BgL_varsz00_1411)); 
{ /* Eval/evaluate.scm 342 */
obj_t BgL_idz00_1416;
BgL_idz00_1416 = 
CAR(
((obj_t)BgL_vz00_1415)); 
{ /* Eval/evaluate.scm 343 */
obj_t BgL_tnamez00_1417;
BgL_tnamez00_1417 = 
CDR(
((obj_t)BgL_vz00_1415)); 
{ /* Eval/evaluate.scm 344 */

if(
CBOOL(BgL_tnamez00_1417))
{ /* Eval/evaluate.scm 346 */
obj_t BgL_locz00_1418;
{ /* Eval/evaluate.scm 346 */
obj_t BgL_arg1515z00_1422;
BgL_arg1515z00_1422 = 
CAR(
((obj_t)BgL_srcsz00_1412)); 
BgL_locz00_1418 = 
BGl_getzd2location3zd2zz__evaluatez00(BgL_arg1515z00_1422, BgL_srcsz00_1412, BgL_locz00_4445); } 
{ /* Eval/evaluate.scm 348 */
obj_t BgL_arg1512z00_1419;
{ /* Eval/evaluate.scm 348 */
obj_t BgL_arg1513z00_1420;obj_t BgL_arg1514z00_1421;
BgL_arg1513z00_1420 = 
CDR(
((obj_t)BgL_varsz00_1411)); 
BgL_arg1514z00_1421 = 
CDR(
((obj_t)BgL_srcsz00_1412)); 
BgL_arg1512z00_1419 = 
BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_4447, BgL_procnamez00_4446, BgL_locz00_4445, BgL_arg1513z00_1420, BgL_arg1514z00_1421); } 
return 
BGl_typezd2checkzd2zz__evaluatez00(BgL_idz00_1416, BgL_tnamez00_1417, BgL_locz00_1418, BgL_procnamez00_4446, BgL_arg1512z00_1419);} }  else 
{ /* Eval/evaluate.scm 349 */
obj_t BgL_arg1516z00_1423;obj_t BgL_arg1517z00_1424;
BgL_arg1516z00_1423 = 
CDR(
((obj_t)BgL_varsz00_1411)); 
BgL_arg1517z00_1424 = 
CDR(
((obj_t)BgL_srcsz00_1412)); 
{ 
obj_t BgL_srcsz00_4991;obj_t BgL_varsz00_4990;
BgL_varsz00_4990 = BgL_arg1516z00_1423; 
BgL_srcsz00_4991 = BgL_arg1517z00_1424; 
BgL_srcsz00_1412 = BgL_srcsz00_4991; 
BgL_varsz00_1411 = BgL_varsz00_4990; 
goto BGl_loopze71ze7zz__evaluatez00;} } } } } } } 
BGL_FUNCTION_END;
}



/* type-result */
obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t BgL_typez00_66, obj_t BgL_bodyz00_67, obj_t BgL_locz00_68)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 354 */
{ /* Eval/evaluate.scm 355 */
bool_t BgL_testz00_4992;
if(
CBOOL(BgL_typez00_66))
{ /* Eval/evaluate.scm 355 */
int BgL_arg1536z00_1441;
BgL_arg1536z00_1441 = 
bgl_debug(); 
BgL_testz00_4992 = 
(
(long)(BgL_arg1536z00_1441)>=((long)1)); }  else 
{ /* Eval/evaluate.scm 355 */
BgL_testz00_4992 = ((bool_t)0)
; } 
if(BgL_testz00_4992)
{ /* Eval/evaluate.scm 356 */
obj_t BgL_tmpz00_1429;
BgL_tmpz00_1429 = 
BGl_gensymz00zz__r4_symbols_6_4z00(BGl_symbol3056z00zz__evaluatez00); 
{ /* Eval/evaluate.scm 358 */
obj_t BgL_arg1521z00_1430;obj_t BgL_arg1522z00_1431;
{ /* Eval/evaluate.scm 358 */
obj_t BgL_arg1523z00_1432;
{ /* Eval/evaluate.scm 358 */
obj_t BgL_arg1526z00_1433;obj_t BgL_arg1527z00_1434;
{ /* Eval/evaluate.scm 358 */
obj_t BgL_arg1529z00_1435;
{ /* Eval/evaluate.scm 358 */
obj_t BgL_arg1530z00_1436;obj_t BgL_arg1531z00_1437;
{ /* Eval/evaluate.scm 358 */
obj_t BgL_arg1533z00_1438;
{ /* Eval/evaluate.scm 358 */
obj_t BgL_list1534z00_1439;
{ /* Eval/evaluate.scm 358 */
obj_t BgL_arg1535z00_1440;
BgL_arg1535z00_1440 = 
MAKE_YOUNG_PAIR(BgL_typez00_66, BNIL); 
BgL_list1534z00_1439 = 
MAKE_YOUNG_PAIR(BgL_tmpz00_1429, BgL_arg1535z00_1440); } 
BgL_arg1533z00_1438 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3058z00zz__evaluatez00, BgL_list1534z00_1439); } 
BgL_arg1530z00_1436 = 
bstring_to_symbol(BgL_arg1533z00_1438); } 
BgL_arg1531z00_1437 = 
MAKE_YOUNG_PAIR(BgL_bodyz00_67, BNIL); 
BgL_arg1529z00_1435 = 
MAKE_YOUNG_PAIR(BgL_arg1530z00_1436, BgL_arg1531z00_1437); } 
BgL_arg1526z00_1433 = 
MAKE_YOUNG_PAIR(BgL_arg1529z00_1435, BNIL); } 
BgL_arg1527z00_1434 = 
MAKE_YOUNG_PAIR(BgL_tmpz00_1429, BNIL); 
BgL_arg1523z00_1432 = 
MAKE_YOUNG_PAIR(BgL_arg1526z00_1433, BgL_arg1527z00_1434); } 
BgL_arg1521z00_1430 = 
MAKE_YOUNG_PAIR(BGl_symbol3046z00zz__evaluatez00, BgL_arg1523z00_1432); } 
BgL_arg1522z00_1431 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bodyz00_67, BgL_locz00_68); 
return 
BGl_evepairifyz00zz__evaluatez00(BgL_arg1521z00_1430, BgL_arg1522z00_1431);} }  else 
{ /* Eval/evaluate.scm 355 */
return BgL_bodyz00_67;} } } 
BGL_FUNCTION_END;
}



/* conv */
obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_69, obj_t BgL_localsz00_70, obj_t BgL_globalsz00_71, obj_t BgL_tailzf3zf3_72, obj_t BgL_wherez00_73, obj_t BgL_locz00_74, bool_t BgL_topzf3zf3_75)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 366 */
BGl_convz00zz__evaluatez00:
{ 
obj_t BgL_ez00_2620;obj_t BgL_locz00_2621;obj_t BgL_wherez00_2622;obj_t BgL_ez00_2630;obj_t BgL_wherez00_2631;
{ 
obj_t BgL_xz00_1450;obj_t BgL_bahz00_1452;obj_t BgL_idz00_1454;obj_t BgL_modnamez00_1455;obj_t BgL_lz00_1457;obj_t BgL_funz00_1459;obj_t BgL_argsz00_1460;obj_t BgL_ez00_1462;obj_t BgL_vz00_1464;obj_t BgL_pz00_1466;obj_t BgL_tz00_1467;obj_t BgL_oz00_1468;obj_t BgL_pz00_1470;obj_t BgL_tz00_1471;obj_t BgL_argsz00_1473;obj_t BgL_argsz00_1475;obj_t BgL_lz00_1477;obj_t BgL_bindsz00_1479;obj_t BgL_bodyz00_1480;obj_t BgL_bindsz00_1482;obj_t BgL_bodyz00_1483;obj_t BgL_bindsz00_1485;obj_t BgL_bodyz00_1486;obj_t BgL_idz00_1488;obj_t BgL_modnamez00_1489;obj_t BgL_ez00_1490;obj_t BgL_lz00_1492;obj_t BgL_e2z00_1493;obj_t BgL_vz00_1495;obj_t BgL_ez00_1496;obj_t BgL_gvz00_1499;obj_t BgL_formalsz00_1500;obj_t BgL_bodyz00_1501;obj_t BgL_gvz00_1503;obj_t BgL_gez00_1504;obj_t BgL_vz00_1506;obj_t BgL_bodyz00_1507;obj_t BgL_ez00_1509;obj_t BgL_bodyz00_1510;obj_t BgL_hz00_1512;obj_t BgL_bodyz00_1513;obj_t BgL_mz00_1515;obj_t BgL_pz00_1516;obj_t BgL_bodyz00_1517;obj_t BgL_mz00_1519;obj_t BgL_bodyz00_1520;obj_t BgL_formalsz00_1522;obj_t BgL_bodyz00_1523;obj_t BgL_fz00_1525;obj_t BgL_argsz00_1526;
if(
PAIRP(BgL_ez00_69))
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3067z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
BgL_bahz00_1452 = 
CDR(BgL_ez00_69); 
if(BgL_topzf3zf3_75)
{ /* Eval/evaluate.scm 433 */
obj_t BgL_formsz00_2310;
BgL_formsz00_2310 = 
BGl_evmodulez00zz__evmodulez00(BgL_ez00_69, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_69, BgL_locz00_74)); 
{ /* Eval/evaluate.scm 434 */
obj_t BgL_arg2195z00_2311;obj_t BgL_arg2196z00_2312;
BgL_arg2195z00_2311 = 
BGl_expandz00zz__expandz00(BgL_formsz00_2310); 
BgL_arg2196z00_2312 = 
BGL_MODULE(); 
{ 
bool_t BgL_topzf3zf3_5025;obj_t BgL_wherez00_5024;obj_t BgL_tailzf3zf3_5023;obj_t BgL_globalsz00_5022;obj_t BgL_ez00_5021;
BgL_ez00_5021 = BgL_arg2195z00_2311; 
BgL_globalsz00_5022 = BgL_arg2196z00_2312; 
BgL_tailzf3zf3_5023 = BgL_wherez00_73; 
BgL_wherez00_5024 = BFALSE; 
BgL_topzf3zf3_5025 = ((bool_t)1); 
BgL_topzf3zf3_75 = BgL_topzf3zf3_5025; 
BgL_wherez00_73 = BgL_wherez00_5024; 
BgL_tailzf3zf3_72 = BgL_tailzf3zf3_5023; 
BgL_globalsz00_71 = BgL_globalsz00_5022; 
BgL_ez00_69 = BgL_ez00_5021; 
goto BGl_convz00zz__evaluatez00;} } }  else 
{ /* Eval/evaluate.scm 432 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2984z00zz__evaluatez00, BGl_string3066z00zz__evaluatez00, BgL_ez00_69);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd2249zd2_1534;
BgL_cdrzd2249zd2_1534 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3069z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd2249zd2_1534))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd2252zd2_1538;obj_t BgL_cdrzd2253zd2_1539;
BgL_carzd2252zd2_1538 = 
CAR(BgL_cdrzd2249zd2_1534); 
BgL_cdrzd2253zd2_1539 = 
CDR(BgL_cdrzd2249zd2_1534); 
if(
SYMBOLP(BgL_carzd2252zd2_1538))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd2253zd2_1539))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd2257zd2_1542;
BgL_carzd2257zd2_1542 = 
CAR(BgL_cdrzd2253zd2_1539); 
if(
SYMBOLP(BgL_carzd2257zd2_1542))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd2253zd2_1539)))
{ 
BgL_ev_globalz00_bglt BgL_auxz00_5046;
BgL_idz00_1454 = BgL_carzd2252zd2_1538; 
BgL_modnamez00_1455 = BgL_carzd2257zd2_1542; 
{ /* Eval/evaluate.scm 438 */
BgL_ev_globalz00_bglt BgL_new1105z00_2314;
{ /* Eval/evaluate.scm 439 */
BgL_ev_globalz00_bglt BgL_new1104z00_2315;
BgL_new1104z00_2315 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate.scm 439 */
long BgL_arg2198z00_2316;
{ /* Eval/evaluate.scm 439 */
long BgL_res2718z00_3313;
BgL_res2718z00_3313 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BgL_arg2198z00_2316 = BgL_res2718z00_3313; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1104z00_2315), BgL_arg2198z00_2316); } 
BgL_new1105z00_2314 = BgL_new1104z00_2315; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1105z00_2314))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1105z00_2314))->BgL_namez00)=((obj_t)BgL_idz00_1454),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1105z00_2314))->BgL_modz00)=((obj_t)
BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_1455)),BUNSPEC); 
BgL_auxz00_5046 = BgL_new1105z00_2314; } 
return 
((obj_t)BgL_auxz00_5046);}  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd2302zd2_1546;
BgL_carzd2302zd2_1546 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd2302zd2_1546))
{ /* Eval/evaluate.scm 425 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd2302zd2_1546, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_5062;
BgL_funz00_1459 = BgL_carzd2302zd2_1546; 
BgL_argsz00_1460 = BgL_cdrzd2249zd2_1534; 
BgL_tagzd2152zd2_1461:
{ /* Eval/evaluate.scm 450 */
obj_t BgL_funz00_2343;obj_t BgL_argsz00_2344;
BgL_funz00_2343 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_funz00_1459); 
BgL_argsz00_2344 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1460); 
{ /* Eval/evaluate.scm 451 */
BgL_ev_appz00_bglt BgL_new1107z00_2345;
{ /* Eval/evaluate.scm 452 */
BgL_ev_appz00_bglt BgL_new1106z00_2346;
BgL_new1106z00_2346 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 452 */
long BgL_arg2212z00_2347;
{ /* Eval/evaluate.scm 452 */
long BgL_res2723z00_3324;
BgL_res2723z00_3324 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg2212z00_2347 = BgL_res2723z00_3324; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1106z00_2346), BgL_arg2212z00_2347); } 
BgL_new1107z00_2345 = BgL_new1106z00_2346; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1107z00_2345))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1107z00_2345))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_funz00_2343)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1107z00_2345))->BgL_argsz00)=((obj_t)BgL_argsz00_2344),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1107z00_2345))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_72),BUNSPEC); 
BgL_auxz00_5062 = BgL_new1107z00_2345; } } 
return 
((obj_t)BgL_auxz00_5062);}  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5075;
BgL_fz00_1525 = BgL_carzd2302zd2_1546; 
BgL_argsz00_1526 = BgL_cdrzd2249zd2_1534; 
BgL_tagzd2175zd2_1527:
{ /* Eval/evaluate.scm 598 */
obj_t BgL_funz00_2609;obj_t BgL_argsz00_2610;
BgL_funz00_2609 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_fz00_1525); 
BgL_argsz00_2610 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1526); 
{ /* Eval/evaluate.scm 599 */
BgL_ev_appz00_bglt BgL_new1155z00_2611;
{ /* Eval/evaluate.scm 600 */
BgL_ev_appz00_bglt BgL_new1154z00_2612;
BgL_new1154z00_2612 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 600 */
long BgL_arg2332z00_2613;
{ /* Eval/evaluate.scm 600 */
long BgL_res2787z00_3534;
BgL_res2787z00_3534 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg2332z00_2613 = BgL_res2787z00_3534; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1154z00_2612), BgL_arg2332z00_2613); } 
BgL_new1155z00_2611 = BgL_new1154z00_2612; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1155z00_2611))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1155z00_2611))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_funz00_2609)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1155z00_2611))->BgL_argsz00)=((obj_t)BgL_argsz00_2610),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1155z00_2611))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_72),BUNSPEC); 
BgL_auxz00_5075 = BgL_new1155z00_2611; } } 
return 
((obj_t)BgL_auxz00_5075);} }  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5088;
{ 
obj_t BgL_argsz00_5090;obj_t BgL_fz00_5089;
BgL_fz00_5089 = BgL_carzd2302zd2_1546; 
BgL_argsz00_5090 = BgL_cdrzd2249zd2_1534; 
BgL_argsz00_1526 = BgL_argsz00_5090; 
BgL_fz00_1525 = BgL_fz00_5089; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5088);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd21005zd2_1557;
BgL_carzd21005zd2_1557 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd21005zd2_1557))
{ /* Eval/evaluate.scm 425 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd21005zd2_1557, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_5098;
{ 
obj_t BgL_argsz00_5100;obj_t BgL_funz00_5099;
BgL_funz00_5099 = BgL_carzd21005zd2_1557; 
BgL_argsz00_5100 = BgL_cdrzd2249zd2_1534; 
BgL_argsz00_1460 = BgL_argsz00_5100; 
BgL_funz00_1459 = BgL_funz00_5099; 
goto BgL_tagzd2152zd2_1461;} 
return 
((obj_t)BgL_auxz00_5098);}  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5102;
{ 
obj_t BgL_argsz00_5104;obj_t BgL_fz00_5103;
BgL_fz00_5103 = BgL_carzd21005zd2_1557; 
BgL_argsz00_5104 = BgL_cdrzd2249zd2_1534; 
BgL_argsz00_1526 = BgL_argsz00_5104; 
BgL_fz00_1525 = BgL_fz00_5103; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5102);} }  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5106;
{ 
obj_t BgL_argsz00_5108;obj_t BgL_fz00_5107;
BgL_fz00_5107 = BgL_carzd21005zd2_1557; 
BgL_argsz00_5108 = BgL_cdrzd2249zd2_1534; 
BgL_argsz00_1526 = BgL_argsz00_5108; 
BgL_fz00_1525 = BgL_fz00_5107; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5106);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd21708zd2_1567;
BgL_carzd21708zd2_1567 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd21708zd2_1567))
{ /* Eval/evaluate.scm 425 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd21708zd2_1567, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_5116;
{ 
obj_t BgL_argsz00_5118;obj_t BgL_funz00_5117;
BgL_funz00_5117 = BgL_carzd21708zd2_1567; 
BgL_argsz00_5118 = BgL_cdrzd2249zd2_1534; 
BgL_argsz00_1460 = BgL_argsz00_5118; 
BgL_funz00_1459 = BgL_funz00_5117; 
goto BgL_tagzd2152zd2_1461;} 
return 
((obj_t)BgL_auxz00_5116);}  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5120;
{ 
obj_t BgL_argsz00_5122;obj_t BgL_fz00_5121;
BgL_fz00_5121 = BgL_carzd21708zd2_1567; 
BgL_argsz00_5122 = BgL_cdrzd2249zd2_1534; 
BgL_argsz00_1526 = BgL_argsz00_5122; 
BgL_fz00_1525 = BgL_fz00_5121; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5120);} }  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5124;
{ 
obj_t BgL_argsz00_5126;obj_t BgL_fz00_5125;
BgL_fz00_5125 = BgL_carzd21708zd2_1567; 
BgL_argsz00_5126 = BgL_cdrzd2249zd2_1534; 
BgL_argsz00_1526 = BgL_argsz00_5126; 
BgL_fz00_1525 = BgL_fz00_5125; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5124);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd22411zd2_1577;
BgL_carzd22411zd2_1577 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd22411zd2_1577))
{ /* Eval/evaluate.scm 425 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd22411zd2_1577, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_5134;
{ 
obj_t BgL_argsz00_5136;obj_t BgL_funz00_5135;
BgL_funz00_5135 = BgL_carzd22411zd2_1577; 
BgL_argsz00_5136 = BgL_cdrzd2249zd2_1534; 
BgL_argsz00_1460 = BgL_argsz00_5136; 
BgL_funz00_1459 = BgL_funz00_5135; 
goto BgL_tagzd2152zd2_1461;} 
return 
((obj_t)BgL_auxz00_5134);}  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5138;
{ 
obj_t BgL_argsz00_5140;obj_t BgL_fz00_5139;
BgL_fz00_5139 = BgL_carzd22411zd2_1577; 
BgL_argsz00_5140 = BgL_cdrzd2249zd2_1534; 
BgL_argsz00_1526 = BgL_argsz00_5140; 
BgL_fz00_1525 = BgL_fz00_5139; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5138);} }  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5142;
{ 
obj_t BgL_argsz00_5144;obj_t BgL_fz00_5143;
BgL_fz00_5143 = BgL_carzd22411zd2_1577; 
BgL_argsz00_5144 = BgL_cdrzd2249zd2_1534; 
BgL_argsz00_1526 = BgL_argsz00_5144; 
BgL_fz00_1525 = BgL_fz00_5143; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5142);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd23114zd2_1587;
BgL_carzd23114zd2_1587 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd23114zd2_1587))
{ /* Eval/evaluate.scm 425 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd23114zd2_1587, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_5152;
{ 
obj_t BgL_argsz00_5154;obj_t BgL_funz00_5153;
BgL_funz00_5153 = BgL_carzd23114zd2_1587; 
BgL_argsz00_5154 = BgL_cdrzd2249zd2_1534; 
BgL_argsz00_1460 = BgL_argsz00_5154; 
BgL_funz00_1459 = BgL_funz00_5153; 
goto BgL_tagzd2152zd2_1461;} 
return 
((obj_t)BgL_auxz00_5152);}  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5156;
{ 
obj_t BgL_argsz00_5158;obj_t BgL_fz00_5157;
BgL_fz00_5157 = BgL_carzd23114zd2_1587; 
BgL_argsz00_5158 = BgL_cdrzd2249zd2_1534; 
BgL_argsz00_1526 = BgL_argsz00_5158; 
BgL_fz00_1525 = BgL_fz00_5157; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5156);} }  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5160;
{ 
obj_t BgL_argsz00_5162;obj_t BgL_fz00_5161;
BgL_fz00_5161 = BgL_carzd23114zd2_1587; 
BgL_argsz00_5162 = BgL_cdrzd2249zd2_1534; 
BgL_argsz00_1526 = BgL_argsz00_5162; 
BgL_fz00_1525 = BgL_fz00_5161; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5160);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3071z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
BgL_lz00_1457 = BgL_cdrzd2249zd2_1534; 
{ /* Eval/evaluate.scm 443 */
bool_t BgL_testz00_5167;
if(
PAIRP(BgL_lz00_1457))
{ /* Eval/evaluate.scm 443 */
bool_t BgL_testz00_5170;
{ /* Eval/evaluate.scm 443 */
obj_t BgL_tmpz00_5171;
BgL_tmpz00_5171 = 
CDR(BgL_lz00_1457); 
BgL_testz00_5170 = 
PAIRP(BgL_tmpz00_5171); } 
if(BgL_testz00_5170)
{ 
obj_t BgL_l1202z00_2334;
BgL_l1202z00_2334 = BgL_lz00_1457; 
BgL_zc3anonymousza32208ze3z83_2335:
if(
NULLP(BgL_l1202z00_2334))
{ /* Eval/evaluate.scm 443 */
BgL_testz00_5167 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate.scm 443 */
bool_t BgL_testz00_5176;
{ /* Eval/evaluate.scm 443 */
obj_t BgL_tmpz00_5177;
BgL_tmpz00_5177 = 
CAR(
((obj_t)BgL_l1202z00_2334)); 
BgL_testz00_5176 = 
SYMBOLP(BgL_tmpz00_5177); } 
if(BgL_testz00_5176)
{ 
obj_t BgL_l1202z00_5181;
BgL_l1202z00_5181 = 
CDR(
((obj_t)BgL_l1202z00_2334)); 
BgL_l1202z00_2334 = BgL_l1202z00_5181; 
goto BgL_zc3anonymousza32208ze3z83_2335;}  else 
{ /* Eval/evaluate.scm 443 */
BgL_testz00_5167 = ((bool_t)0)
; } } }  else 
{ /* Eval/evaluate.scm 443 */
BgL_testz00_5167 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 443 */
BgL_testz00_5167 = ((bool_t)0)
; } 
if(BgL_testz00_5167)
{ /* Eval/evaluate.scm 443 */
return 
BGl_convzd2fieldzd2refz00zz__evaluatez00(BgL_ez00_69, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 443 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2984z00zz__evaluatez00, BGl_string3061z00zz__evaluatez00, BgL_ez00_69);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd23820zd2_1600;
BgL_carzd23820zd2_1600 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd23820zd2_1600))
{ /* Eval/evaluate.scm 425 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd23820zd2_1600, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_5192;
{ 
obj_t BgL_argsz00_5194;obj_t BgL_funz00_5193;
BgL_funz00_5193 = BgL_carzd23820zd2_1600; 
BgL_argsz00_5194 = BgL_cdrzd2249zd2_1534; 
BgL_argsz00_1460 = BgL_argsz00_5194; 
BgL_funz00_1459 = BgL_funz00_5193; 
goto BgL_tagzd2152zd2_1461;} 
return 
((obj_t)BgL_auxz00_5192);}  else 
{ /* Eval/evaluate.scm 425 */
if(
(BgL_carzd23820zd2_1600==BGl_symbol3073z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd2249zd2_1534))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd2249zd2_1534)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1604z00_1611;
BgL_arg1604z00_1611 = 
CAR(BgL_cdrzd2249zd2_1534); 
{ 
BgL_ev_trapz00_bglt BgL_auxz00_5204;
BgL_ez00_1462 = BgL_arg1604z00_1611; 
BgL_tagzd2153zd2_1463:
{ /* Eval/evaluate.scm 457 */
BgL_ev_trapz00_bglt BgL_new1109z00_2348;
{ /* Eval/evaluate.scm 458 */
BgL_ev_trapz00_bglt BgL_new1108z00_2349;
BgL_new1108z00_2349 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate.scm 458 */
long BgL_arg2213z00_2350;
{ /* Eval/evaluate.scm 458 */
long BgL_res2724z00_3328;
BgL_res2724z00_3328 = 
BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00); 
BgL_arg2213z00_2350 = BgL_res2724z00_3328; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1108z00_2349), BgL_arg2213z00_2350); } 
BgL_new1109z00_2348 = BgL_new1108z00_2349; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1109z00_2348)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1462))),BUNSPEC); 
BgL_auxz00_5204 = BgL_new1109z00_2348; } 
return 
((obj_t)BgL_auxz00_5204);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1605z00_1612;obj_t BgL_arg1607z00_1613;
BgL_arg1605z00_1612 = 
CAR(BgL_ez00_69); 
BgL_arg1607z00_1613 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5216;
{ 
obj_t BgL_argsz00_5218;obj_t BgL_fz00_5217;
BgL_fz00_5217 = BgL_arg1605z00_1612; 
BgL_argsz00_5218 = BgL_arg1607z00_1613; 
BgL_argsz00_1526 = BgL_argsz00_5218; 
BgL_fz00_1525 = BgL_fz00_5217; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5216);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1609z00_1615;obj_t BgL_arg1610z00_1616;
BgL_arg1609z00_1615 = 
CAR(BgL_ez00_69); 
BgL_arg1610z00_1616 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5222;
{ 
obj_t BgL_argsz00_5224;obj_t BgL_fz00_5223;
BgL_fz00_5223 = BgL_arg1609z00_1615; 
BgL_argsz00_5224 = BgL_arg1610z00_1616; 
BgL_argsz00_1526 = BgL_argsz00_5224; 
BgL_fz00_1525 = BgL_fz00_5223; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5222);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd24489zd2_1617;
BgL_cdrzd24489zd2_1617 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3036z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd24489zd2_1617))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd24489zd2_1617)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1619z00_1623;
BgL_arg1619z00_1623 = 
CAR(BgL_cdrzd24489zd2_1617); 
{ 
BgL_ev_littz00_bglt BgL_auxz00_5236;
BgL_vz00_1464 = BgL_arg1619z00_1623; 
BgL_tagzd2154zd2_1465:
{ /* Eval/evaluate.scm 460 */
BgL_ev_littz00_bglt BgL_new1111z00_2351;
{ /* Eval/evaluate.scm 461 */
BgL_ev_littz00_bglt BgL_new1110z00_2352;
BgL_new1110z00_2352 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 461 */
long BgL_arg2214z00_2353;
{ /* Eval/evaluate.scm 461 */
long BgL_res2725z00_3332;
BgL_res2725z00_3332 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg2214z00_2353 = BgL_res2725z00_3332; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_2352), BgL_arg2214z00_2353); } 
BgL_new1111z00_2351 = BgL_new1110z00_2352; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1111z00_2351))->BgL_valuez00)=((obj_t)BgL_vz00_1464),BUNSPEC); 
BgL_auxz00_5236 = BgL_new1111z00_2351; } 
return 
((obj_t)BgL_auxz00_5236);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1620z00_1624;
BgL_arg1620z00_1624 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5244;
{ 
obj_t BgL_argsz00_5246;obj_t BgL_fz00_5245;
BgL_fz00_5245 = BgL_arg1620z00_1624; 
BgL_argsz00_5246 = BgL_cdrzd24489zd2_1617; 
BgL_argsz00_1526 = BgL_argsz00_5246; 
BgL_fz00_1525 = BgL_fz00_5245; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5244);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1629z00_1627;
BgL_arg1629z00_1627 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5249;
{ 
obj_t BgL_argsz00_5251;obj_t BgL_fz00_5250;
BgL_fz00_5250 = BgL_arg1629z00_1627; 
BgL_argsz00_5251 = BgL_cdrzd24489zd2_1617; 
BgL_argsz00_1526 = BgL_argsz00_5251; 
BgL_fz00_1525 = BgL_fz00_5250; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5249);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3044z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd24489zd2_1617))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd25099zd2_1633;
BgL_cdrzd25099zd2_1633 = 
CDR(BgL_cdrzd24489zd2_1617); 
if(
PAIRP(BgL_cdrzd25099zd2_1633))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd25104zd2_1635;
BgL_cdrzd25104zd2_1635 = 
CDR(BgL_cdrzd25099zd2_1633); 
if(
PAIRP(BgL_cdrzd25104zd2_1635))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd25104zd2_1635)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1640z00_1639;obj_t BgL_arg1641z00_1640;obj_t BgL_arg1642z00_1641;
BgL_arg1640z00_1639 = 
CAR(BgL_cdrzd24489zd2_1617); 
BgL_arg1641z00_1640 = 
CAR(BgL_cdrzd25099zd2_1633); 
BgL_arg1642z00_1641 = 
CAR(BgL_cdrzd25104zd2_1635); 
{ 
BgL_ev_ifz00_bglt BgL_auxz00_5270;
BgL_pz00_1466 = BgL_arg1640z00_1639; 
BgL_tz00_1467 = BgL_arg1641z00_1640; 
BgL_oz00_1468 = BgL_arg1642z00_1641; 
BgL_tagzd2155zd2_1469:
{ /* Eval/evaluate.scm 463 */
BgL_ev_ifz00_bglt BgL_new1113z00_2354;
{ /* Eval/evaluate.scm 464 */
BgL_ev_ifz00_bglt BgL_new1112z00_2358;
BgL_new1112z00_2358 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate.scm 464 */
long BgL_arg2218z00_2359;
{ /* Eval/evaluate.scm 464 */
long BgL_res2726z00_3336;
BgL_res2726z00_3336 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BgL_arg2218z00_2359 = BgL_res2726z00_3336; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1112z00_2358), BgL_arg2218z00_2359); } 
BgL_new1113z00_2354 = BgL_new1112z00_2358; } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5275;
{ /* Eval/evaluate.scm 464 */
obj_t BgL_arg2215z00_2355;
BgL_arg2215z00_2355 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_pz00_1466, BgL_locz00_74); 
BgL_auxz00_5275 = 
((BgL_ev_exprz00_bglt)
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1466, BgL_arg2215z00_2355)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1113z00_2354))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5275),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5280;
{ /* Eval/evaluate.scm 465 */
obj_t BgL_arg2216z00_2356;
BgL_arg2216z00_2356 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_tz00_1467, BgL_locz00_74); 
BgL_auxz00_5280 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_tz00_1467, BgL_arg2216z00_2356)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1113z00_2354))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5280),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5285;
{ /* Eval/evaluate.scm 466 */
obj_t BgL_arg2217z00_2357;
BgL_arg2217z00_2357 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_oz00_1468, BgL_locz00_74); 
BgL_auxz00_5285 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_oz00_1468, BgL_arg2217z00_2357)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1113z00_2354))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5285),BUNSPEC); } 
BgL_auxz00_5270 = BgL_new1113z00_2354; } 
return 
((obj_t)BgL_auxz00_5270);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1643z00_1642;obj_t BgL_arg1646z00_1643;
BgL_arg1643z00_1642 = 
CAR(BgL_ez00_69); 
BgL_arg1646z00_1643 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5293;
{ 
obj_t BgL_argsz00_5295;obj_t BgL_fz00_5294;
BgL_fz00_5294 = BgL_arg1643z00_1642; 
BgL_argsz00_5295 = BgL_arg1646z00_1643; 
BgL_argsz00_1526 = BgL_argsz00_5295; 
BgL_fz00_1525 = BgL_fz00_5294; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5293);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd25402zd2_1645;
BgL_cdrzd25402zd2_1645 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd25408zd2_1646;
BgL_cdrzd25408zd2_1646 = 
CDR(
((obj_t)BgL_cdrzd25402zd2_1645)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd25408zd2_1646))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1650z00_1649;obj_t BgL_arg1651z00_1650;
BgL_arg1650z00_1649 = 
CAR(
((obj_t)BgL_cdrzd25402zd2_1645)); 
BgL_arg1651z00_1650 = 
CAR(
((obj_t)BgL_cdrzd25408zd2_1646)); 
{ 
BgL_ev_ifz00_bglt BgL_auxz00_5308;
BgL_pz00_1470 = BgL_arg1650z00_1649; 
BgL_tz00_1471 = BgL_arg1651z00_1650; 
BgL_tagzd2156zd2_1472:
{ /* Eval/evaluate.scm 468 */
BgL_ev_ifz00_bglt BgL_new1115z00_2360;
{ /* Eval/evaluate.scm 469 */
BgL_ev_ifz00_bglt BgL_new1114z00_2364;
BgL_new1114z00_2364 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate.scm 469 */
long BgL_arg2222z00_2365;
{ /* Eval/evaluate.scm 469 */
long BgL_res2727z00_3340;
BgL_res2727z00_3340 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BgL_arg2222z00_2365 = BgL_res2727z00_3340; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1114z00_2364), BgL_arg2222z00_2365); } 
BgL_new1115z00_2360 = BgL_new1114z00_2364; } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5313;
{ /* Eval/evaluate.scm 469 */
obj_t BgL_arg2219z00_2361;
BgL_arg2219z00_2361 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_pz00_1470, BgL_locz00_74); 
BgL_auxz00_5313 = 
((BgL_ev_exprz00_bglt)
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1470, BgL_arg2219z00_2361)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1115z00_2360))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5313),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5318;
{ /* Eval/evaluate.scm 470 */
obj_t BgL_arg2220z00_2362;
BgL_arg2220z00_2362 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_tz00_1471, BgL_locz00_74); 
BgL_auxz00_5318 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_tz00_1471, BgL_arg2220z00_2362)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1115z00_2360))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5318),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5323;
{ /* Eval/evaluate.scm 471 */
obj_t BgL_arg2221z00_2363;
BgL_arg2221z00_2363 = 
BGl_getzd2locationzd2zz__evaluatez00(BFALSE, BgL_locz00_74); 
BgL_auxz00_5323 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_arg2221z00_2363)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1115z00_2360))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5323),BUNSPEC); } 
BgL_auxz00_5308 = BgL_new1115z00_2360; } 
return 
((obj_t)BgL_auxz00_5308);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1652z00_1651;
BgL_arg1652z00_1651 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5330;
{ 
obj_t BgL_argsz00_5332;obj_t BgL_fz00_5331;
BgL_fz00_5331 = BgL_arg1652z00_1651; 
BgL_argsz00_5332 = BgL_cdrzd25402zd2_1645; 
BgL_argsz00_1526 = BgL_argsz00_5332; 
BgL_fz00_1525 = BgL_fz00_5331; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5330);} } } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1655z00_1654;obj_t BgL_arg1656z00_1655;
BgL_arg1655z00_1654 = 
CAR(BgL_ez00_69); 
BgL_arg1656z00_1655 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5336;
{ 
obj_t BgL_argsz00_5338;obj_t BgL_fz00_5337;
BgL_fz00_5337 = BgL_arg1655z00_1654; 
BgL_argsz00_5338 = BgL_arg1656z00_1655; 
BgL_argsz00_1526 = BgL_argsz00_5338; 
BgL_fz00_1525 = BgL_fz00_5337; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5336);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1657z00_1656;obj_t BgL_arg1659z00_1657;
BgL_arg1657z00_1656 = 
CAR(BgL_ez00_69); 
BgL_arg1659z00_1657 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5342;
{ 
obj_t BgL_argsz00_5344;obj_t BgL_fz00_5343;
BgL_fz00_5343 = BgL_arg1657z00_1656; 
BgL_argsz00_5344 = BgL_arg1659z00_1657; 
BgL_argsz00_1526 = BgL_argsz00_5344; 
BgL_fz00_1525 = BgL_fz00_5343; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5342);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3075z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1663z00_1660;
BgL_arg1663z00_1660 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_orz00_bglt BgL_auxz00_5350;
BgL_argsz00_1473 = BgL_arg1663z00_1660; 
BgL_tagzd2157zd2_1474:
{ /* Eval/evaluate.scm 473 */
BgL_ev_orz00_bglt BgL_new1117z00_2366;
{ /* Eval/evaluate.scm 474 */
BgL_ev_orz00_bglt BgL_new1116z00_2367;
BgL_new1116z00_2367 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate.scm 474 */
long BgL_arg2223z00_2368;
{ /* Eval/evaluate.scm 474 */
long BgL_res2728z00_3344;
BgL_res2728z00_3344 = 
BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00); 
BgL_arg2223z00_2368 = BgL_res2728z00_3344; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1116z00_2367), BgL_arg2223z00_2368); } 
BgL_new1117z00_2366 = BgL_new1116z00_2367; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1117z00_2366)))->BgL_argsz00)=((obj_t)
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1473)),BUNSPEC); 
BgL_auxz00_5350 = BgL_new1117z00_2366; } 
return 
((obj_t)BgL_auxz00_5350);} }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3077z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1667z00_1663;
BgL_arg1667z00_1663 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_andz00_bglt BgL_auxz00_5363;
BgL_argsz00_1475 = BgL_arg1667z00_1663; 
BgL_tagzd2158zd2_1476:
{ /* Eval/evaluate.scm 476 */
BgL_ev_andz00_bglt BgL_new1119z00_2369;
{ /* Eval/evaluate.scm 477 */
BgL_ev_andz00_bglt BgL_new1118z00_2370;
BgL_new1118z00_2370 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate.scm 477 */
long BgL_arg2224z00_2371;
{ /* Eval/evaluate.scm 477 */
long BgL_res2729z00_3348;
BgL_res2729z00_3348 = 
BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00); 
BgL_arg2224z00_2371 = BgL_res2729z00_3348; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1118z00_2370), BgL_arg2224z00_2371); } 
BgL_new1119z00_2369 = BgL_new1118z00_2370; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1119z00_2369)))->BgL_argsz00)=((obj_t)
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1475)),BUNSPEC); 
BgL_auxz00_5363 = BgL_new1119z00_2369; } 
return 
((obj_t)BgL_auxz00_5363);} }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3062z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
BgL_lz00_1477 = 
CDR(BgL_ez00_69); 
BgL_tagzd2159zd2_1478:
return 
BGl_convzd2beginzd2zz__evaluatez00(BgL_lz00_1477, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd26301zd2_1667;
BgL_cdrzd26301zd2_1667 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3046z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd26301zd2_1667))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1674z00_1671;obj_t BgL_arg1675z00_1672;
BgL_arg1674z00_1671 = 
CAR(BgL_cdrzd26301zd2_1667); 
BgL_arg1675z00_1672 = 
CDR(BgL_cdrzd26301zd2_1667); 
{ 
BgL_ev_letz00_bglt BgL_auxz00_5385;
BgL_bindsz00_1479 = BgL_arg1674z00_1671; 
BgL_bodyz00_1480 = BgL_arg1675z00_1672; 
BgL_tagzd2160zd2_1481:
{ /* Eval/evaluate.scm 481 */
obj_t BgL_ubindsz00_2372;
if(
NULLP(BgL_bindsz00_1479))
{ /* Eval/evaluate.scm 481 */
BgL_ubindsz00_2372 = BNIL; }  else 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_head1207z00_2417;
{ /* Eval/evaluate.scm 481 */
obj_t BgL_res2731z00_3352;
BgL_res2731z00_3352 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1207z00_2417 = BgL_res2731z00_3352; } 
{ 
obj_t BgL_l1205z00_2419;obj_t BgL_tail1208z00_2420;
BgL_l1205z00_2419 = BgL_bindsz00_1479; 
BgL_tail1208z00_2420 = BgL_head1207z00_2417; 
BgL_zc3anonymousza32243ze3z83_2421:
if(
NULLP(BgL_l1205z00_2419))
{ /* Eval/evaluate.scm 481 */
BgL_ubindsz00_2372 = 
CDR(BgL_head1207z00_2417); }  else 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_newtail1209z00_2423;
{ /* Eval/evaluate.scm 481 */
obj_t BgL_arg2246z00_2425;
{ /* Eval/evaluate.scm 481 */
obj_t BgL_bz00_2426;
BgL_bz00_2426 = 
CAR(
((obj_t)BgL_l1205z00_2419)); 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_arg2247z00_2427;
BgL_arg2247z00_2427 = 
CAR(
((obj_t)BgL_bz00_2426)); 
BgL_arg2246z00_2425 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2247z00_2427); } } 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_res2733z00_3357;
BgL_res2733z00_3357 = 
MAKE_YOUNG_PAIR(BgL_arg2246z00_2425, BNIL); 
BgL_newtail1209z00_2423 = BgL_res2733z00_3357; } } 
SET_CDR(BgL_tail1208z00_2420, BgL_newtail1209z00_2423); 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_arg2245z00_2424;
BgL_arg2245z00_2424 = 
CDR(
((obj_t)BgL_l1205z00_2419)); 
{ 
obj_t BgL_tail1208z00_5402;obj_t BgL_l1205z00_5401;
BgL_l1205z00_5401 = BgL_arg2245z00_2424; 
BgL_tail1208z00_5402 = BgL_newtail1209z00_2423; 
BgL_tail1208z00_2420 = BgL_tail1208z00_5402; 
BgL_l1205z00_2419 = BgL_l1205z00_5401; 
goto BgL_zc3anonymousza32243ze3z83_2421;} } } } } 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_varsz00_2373;
if(
NULLP(BgL_ubindsz00_2372))
{ /* Eval/evaluate.scm 482 */
BgL_varsz00_2373 = BNIL; }  else 
{ /* Eval/evaluate.scm 482 */
obj_t BgL_head1212z00_2401;
{ /* Eval/evaluate.scm 482 */
obj_t BgL_res2735z00_3361;
BgL_res2735z00_3361 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1212z00_2401 = BgL_res2735z00_3361; } 
{ 
obj_t BgL_l1210z00_2403;obj_t BgL_tail1213z00_2404;
BgL_l1210z00_2403 = BgL_ubindsz00_2372; 
BgL_tail1213z00_2404 = BgL_head1212z00_2401; 
BgL_zc3anonymousza32237ze3z83_2405:
if(
NULLP(BgL_l1210z00_2403))
{ /* Eval/evaluate.scm 482 */
BgL_varsz00_2373 = 
CDR(BgL_head1212z00_2401); }  else 
{ /* Eval/evaluate.scm 482 */
obj_t BgL_newtail1214z00_2407;
{ /* Eval/evaluate.scm 482 */
BgL_ev_varz00_bglt BgL_arg2240z00_2409;
{ /* Eval/evaluate.scm 482 */
obj_t BgL_iz00_2410;
BgL_iz00_2410 = 
CAR(
((obj_t)BgL_l1210z00_2403)); 
{ /* Eval/evaluate.scm 483 */
BgL_ev_varz00_bglt BgL_new1121z00_2411;
{ /* Eval/evaluate.scm 485 */
BgL_ev_varz00_bglt BgL_new1120z00_2412;
BgL_new1120z00_2412 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 485 */
long BgL_arg2241z00_2413;
{ /* Eval/evaluate.scm 485 */
long BgL_res2737z00_3366;
BgL_res2737z00_3366 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg2241z00_2413 = BgL_res2737z00_3366; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_2412), BgL_arg2241z00_2413); } 
BgL_new1121z00_2411 = BgL_new1120z00_2412; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1121z00_2411))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_iz00_2410))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1121z00_2411))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1121z00_2411))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_iz00_2410))),BUNSPEC); 
BgL_arg2240z00_2409 = BgL_new1121z00_2411; } } 
{ /* Eval/evaluate.scm 482 */
obj_t BgL_res2738z00_3371;
BgL_res2738z00_3371 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2240z00_2409), BNIL); 
BgL_newtail1214z00_2407 = BgL_res2738z00_3371; } } 
SET_CDR(BgL_tail1213z00_2404, BgL_newtail1214z00_2407); 
{ /* Eval/evaluate.scm 482 */
obj_t BgL_arg2239z00_2408;
BgL_arg2239z00_2408 = 
CDR(
((obj_t)BgL_l1210z00_2403)); 
{ 
obj_t BgL_tail1213z00_5428;obj_t BgL_l1210z00_5427;
BgL_l1210z00_5427 = BgL_arg2239z00_2408; 
BgL_tail1213z00_5428 = BgL_newtail1214z00_2407; 
BgL_tail1213z00_2404 = BgL_tail1213z00_5428; 
BgL_l1210z00_2403 = BgL_l1210z00_5427; 
goto BgL_zc3anonymousza32237ze3z83_2405;} } } } } 
{ /* Eval/evaluate.scm 482 */
obj_t BgL_bodyz00_2374;
{ /* Eval/evaluate.scm 487 */
bool_t BgL_testz00_5429;
{ /* Eval/evaluate.scm 487 */
obj_t BgL_tmpz00_5430;
BgL_tmpz00_5430 = 
CDR(
((obj_t)BgL_bodyz00_1480)); 
BgL_testz00_5429 = 
PAIRP(BgL_tmpz00_5430); } 
if(BgL_testz00_5429)
{ /* Eval/evaluate.scm 487 */
obj_t BgL_res2740z00_3377;
BgL_res2740z00_3377 = 
MAKE_YOUNG_EPAIR(BGl_symbol3062z00zz__evaluatez00, BgL_bodyz00_1480, BgL_locz00_74); 
BgL_bodyz00_2374 = BgL_res2740z00_3377; }  else 
{ /* Eval/evaluate.scm 487 */
BgL_bodyz00_2374 = 
CAR(
((obj_t)BgL_bodyz00_1480)); } } 
{ /* Eval/evaluate.scm 487 */
obj_t BgL_tbodyz00_2375;
BgL_tbodyz00_2375 = 
BGl_typezd2checkszd2zz__evaluatez00(BgL_ubindsz00_2372, BgL_bindsz00_1479, BgL_bodyz00_2374, BgL_locz00_74, BgL_wherez00_73); 
{ /* Eval/evaluate.scm 488 */

{ /* Eval/evaluate.scm 489 */
obj_t BgL_blocz00_2376;
BgL_blocz00_2376 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1479, BgL_locz00_74); 
{ /* Eval/evaluate.scm 490 */
BgL_ev_letz00_bglt BgL_new1123z00_2377;
{ /* Eval/evaluate.scm 491 */
BgL_ev_letz00_bglt BgL_new1122z00_2394;
BgL_new1122z00_2394 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate.scm 491 */
long BgL_arg2232z00_2395;
{ /* Eval/evaluate.scm 491 */
long BgL_res2741z00_3380;
BgL_res2741z00_3380 = 
BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00); 
BgL_arg2232z00_2395 = BgL_res2741z00_3380; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1122z00_2394), BgL_arg2232z00_2395); } 
BgL_new1123z00_2377 = BgL_new1122z00_2394; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1123z00_2377)))->BgL_varsz00)=((obj_t)BgL_varsz00_2373),BUNSPEC); 
{ 
obj_t BgL_auxz00_5445;
if(
NULLP(BgL_bindsz00_1479))
{ /* Eval/evaluate.scm 492 */
BgL_auxz00_5445 = BNIL
; }  else 
{ /* Eval/evaluate.scm 492 */
obj_t BgL_head1217z00_2380;
{ /* Eval/evaluate.scm 492 */
obj_t BgL_res2743z00_3384;
BgL_res2743z00_3384 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1217z00_2380 = BgL_res2743z00_3384; } 
{ 
obj_t BgL_l1215z00_2382;obj_t BgL_tail1218z00_2383;
BgL_l1215z00_2382 = BgL_bindsz00_1479; 
BgL_tail1218z00_2383 = BgL_head1217z00_2380; 
BgL_zc3anonymousza32226ze3z83_2384:
if(
NULLP(BgL_l1215z00_2382))
{ /* Eval/evaluate.scm 492 */
BgL_auxz00_5445 = 
CDR(BgL_head1217z00_2380)
; }  else 
{ /* Eval/evaluate.scm 492 */
obj_t BgL_newtail1219z00_2386;
{ /* Eval/evaluate.scm 492 */
obj_t BgL_arg2229z00_2388;
{ /* Eval/evaluate.scm 492 */
obj_t BgL_bz00_2389;
BgL_bz00_2389 = 
CAR(
((obj_t)BgL_l1215z00_2382)); 
{ /* Eval/evaluate.scm 493 */
obj_t BgL_locz00_2390;
BgL_locz00_2390 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bz00_2389, BgL_blocz00_2376); 
{ /* Eval/evaluate.scm 494 */
obj_t BgL_arg2230z00_2391;
{ /* Eval/evaluate.scm 494 */
obj_t BgL_pairz00_3391;
BgL_pairz00_3391 = 
CDR(
((obj_t)BgL_bz00_2389)); 
BgL_arg2230z00_2391 = 
CAR(BgL_pairz00_3391); } 
BgL_arg2229z00_2388 = 
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_arg2230z00_2391, BgL_locz00_2390); } } } 
{ /* Eval/evaluate.scm 492 */
obj_t BgL_res2745z00_3392;
BgL_res2745z00_3392 = 
MAKE_YOUNG_PAIR(BgL_arg2229z00_2388, BNIL); 
BgL_newtail1219z00_2386 = BgL_res2745z00_3392; } } 
SET_CDR(BgL_tail1218z00_2383, BgL_newtail1219z00_2386); 
{ /* Eval/evaluate.scm 492 */
obj_t BgL_arg2228z00_2387;
BgL_arg2228z00_2387 = 
CDR(
((obj_t)BgL_l1215z00_2382)); 
{ 
obj_t BgL_tail1218z00_5465;obj_t BgL_l1215z00_5464;
BgL_l1215z00_5464 = BgL_arg2228z00_2387; 
BgL_tail1218z00_5465 = BgL_newtail1219z00_2386; 
BgL_tail1218z00_2383 = BgL_tail1218z00_5465; 
BgL_l1215z00_2382 = BgL_l1215z00_5464; 
goto BgL_zc3anonymousza32226ze3z83_2384;} } } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1123z00_2377)))->BgL_valsz00)=((obj_t)BgL_auxz00_5445),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5467;
{ /* Eval/evaluate.scm 496 */
obj_t BgL_arg2231z00_2393;
BgL_arg2231z00_2393 = 
BGl_appendzd221009zd2zz__evaluatez00(BgL_varsz00_2373, BgL_localsz00_70); 
BgL_auxz00_5467 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_tbodyz00_2375, BgL_arg2231z00_2393, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1123z00_2377)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5467),BUNSPEC); } 
((((BgL_ev_letz00_bglt)COBJECT(BgL_new1123z00_2377))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5385 = BgL_new1123z00_2377; } } } } } } } 
return 
((obj_t)BgL_auxz00_5385);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1676z00_1673;
BgL_arg1676z00_1673 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5476;
{ 
obj_t BgL_argsz00_5478;obj_t BgL_fz00_5477;
BgL_fz00_5477 = BgL_arg1676z00_1673; 
BgL_argsz00_5478 = BgL_cdrzd26301zd2_1667; 
BgL_argsz00_1526 = BgL_argsz00_5478; 
BgL_fz00_1525 = BgL_fz00_5477; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5476);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3079z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd26301zd2_1667))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1681z00_1679;obj_t BgL_arg1682z00_1680;
BgL_arg1681z00_1679 = 
CAR(BgL_cdrzd26301zd2_1667); 
BgL_arg1682z00_1680 = 
CDR(BgL_cdrzd26301zd2_1667); 
{ 
BgL_ev_letza2za2_bglt BgL_auxz00_5487;
BgL_bindsz00_1482 = BgL_arg1681z00_1679; 
BgL_bodyz00_1483 = BgL_arg1682z00_1680; 
BgL_tagzd2161zd2_1484:
{ /* Eval/evaluate.scm 504 */
obj_t BgL_varsz00_2430;obj_t BgL_blocz00_2431;
if(
NULLP(BgL_bindsz00_1482))
{ /* Eval/evaluate.scm 504 */
BgL_varsz00_2430 = BNIL; }  else 
{ /* Eval/evaluate.scm 504 */
obj_t BgL_head1222z00_2439;
{ /* Eval/evaluate.scm 504 */
obj_t BgL_res2748z00_3407;
BgL_res2748z00_3407 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1222z00_2439 = BgL_res2748z00_3407; } 
{ 
obj_t BgL_l1220z00_2441;obj_t BgL_tail1223z00_2442;
BgL_l1220z00_2441 = BgL_bindsz00_1482; 
BgL_tail1223z00_2442 = BgL_head1222z00_2439; 
BgL_zc3anonymousza32252ze3z83_2443:
if(
NULLP(BgL_l1220z00_2441))
{ /* Eval/evaluate.scm 504 */
BgL_varsz00_2430 = 
CDR(BgL_head1222z00_2439); }  else 
{ /* Eval/evaluate.scm 504 */
obj_t BgL_newtail1224z00_2445;
{ /* Eval/evaluate.scm 504 */
BgL_ev_varz00_bglt BgL_arg2255z00_2447;
{ /* Eval/evaluate.scm 504 */
obj_t BgL_bz00_2448;
BgL_bz00_2448 = 
CAR(
((obj_t)BgL_l1220z00_2441)); 
{ /* Eval/evaluate.scm 505 */
obj_t BgL_iz00_2449;
{ /* Eval/evaluate.scm 505 */
obj_t BgL_arg2257z00_2453;
BgL_arg2257z00_2453 = 
CAR(
((obj_t)BgL_bz00_2448)); 
BgL_iz00_2449 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2257z00_2453); } 
{ /* Eval/evaluate.scm 506 */
BgL_ev_varz00_bglt BgL_new1125z00_2450;
{ /* Eval/evaluate.scm 508 */
BgL_ev_varz00_bglt BgL_new1124z00_2451;
BgL_new1124z00_2451 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 508 */
long BgL_arg2256z00_2452;
{ /* Eval/evaluate.scm 508 */
long BgL_res2750z00_3413;
BgL_res2750z00_3413 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg2256z00_2452 = BgL_res2750z00_3413; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1124z00_2451), BgL_arg2256z00_2452); } 
BgL_new1125z00_2450 = BgL_new1124z00_2451; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1125z00_2450))->BgL_namez00)=((obj_t)
CAR(BgL_iz00_2449)),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1125z00_2450))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1125z00_2450))->BgL_typez00)=((obj_t)
CDR(BgL_iz00_2449)),BUNSPEC); 
BgL_arg2255z00_2447 = BgL_new1125z00_2450; } } } 
{ /* Eval/evaluate.scm 504 */
obj_t BgL_res2751z00_3418;
BgL_res2751z00_3418 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2255z00_2447), BNIL); 
BgL_newtail1224z00_2445 = BgL_res2751z00_3418; } } 
SET_CDR(BgL_tail1223z00_2442, BgL_newtail1224z00_2445); 
{ /* Eval/evaluate.scm 504 */
obj_t BgL_arg2254z00_2446;
BgL_arg2254z00_2446 = 
CDR(
((obj_t)BgL_l1220z00_2441)); 
{ 
obj_t BgL_tail1223z00_5514;obj_t BgL_l1220z00_5513;
BgL_l1220z00_5513 = BgL_arg2254z00_2446; 
BgL_tail1223z00_5514 = BgL_newtail1224z00_2445; 
BgL_tail1223z00_2442 = BgL_tail1223z00_5514; 
BgL_l1220z00_2441 = BgL_l1220z00_5513; 
goto BgL_zc3anonymousza32252ze3z83_2443;} } } } } 
BgL_blocz00_2431 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1482, BgL_locz00_74); 
{ /* Eval/evaluate.scm 511 */
BgL_ev_letza2za2_bglt BgL_new1127z00_2432;
{ /* Eval/evaluate.scm 512 */
BgL_ev_letza2za2_bglt BgL_new1126z00_2435;
BgL_new1126z00_2435 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate.scm 512 */
long BgL_arg2250z00_2436;
{ /* Eval/evaluate.scm 512 */
long BgL_res2752z00_3422;
BgL_res2752z00_3422 = 
BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00); 
BgL_arg2250z00_2436 = BgL_res2752z00_3422; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1126z00_2435), BgL_arg2250z00_2436); } 
BgL_new1127z00_2432 = BgL_new1126z00_2435; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1127z00_2432)))->BgL_varsz00)=((obj_t)BgL_varsz00_2430),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1127z00_2432)))->BgL_valsz00)=((obj_t)
BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_bindsz00_1482, BgL_varsz00_2430, BgL_localsz00_70, BgL_blocz00_2431)),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5525;
{ /* Eval/evaluate.scm 514 */
obj_t BgL_arg2248z00_2433;
{ /* Eval/evaluate.scm 514 */
obj_t BgL_arg2249z00_2434;
BgL_arg2249z00_2434 = 
bgl_reverse(BgL_varsz00_2430); 
BgL_arg2248z00_2433 = 
BGl_appendzd221009zd2zz__evaluatez00(BgL_arg2249z00_2434, BgL_localsz00_70); } 
BgL_auxz00_5525 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1483, BgL_arg2248z00_2433, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1127z00_2432)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5525),BUNSPEC); } 
((((BgL_ev_letza2za2_bglt)COBJECT(BgL_new1127z00_2432))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5487 = BgL_new1127z00_2432; } } 
return 
((obj_t)BgL_auxz00_5487);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1683z00_1681;obj_t BgL_arg1684z00_1682;
BgL_arg1683z00_1681 = 
CAR(BgL_ez00_69); 
BgL_arg1684z00_1682 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5536;
{ 
obj_t BgL_argsz00_5538;obj_t BgL_fz00_5537;
BgL_fz00_5537 = BgL_arg1683z00_1681; 
BgL_argsz00_5538 = BgL_arg1684z00_1682; 
BgL_argsz00_1526 = BgL_argsz00_5538; 
BgL_fz00_1525 = BgL_fz00_5537; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5536);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd26695zd2_1683;
BgL_cdrzd26695zd2_1683 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3081z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd26695zd2_1683))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1688z00_1687;obj_t BgL_arg1689z00_1688;
BgL_arg1688z00_1687 = 
CAR(BgL_cdrzd26695zd2_1683); 
BgL_arg1689z00_1688 = 
CDR(BgL_cdrzd26695zd2_1683); 
{ 
BgL_ev_letrecz00_bglt BgL_auxz00_5548;
BgL_bindsz00_1485 = BgL_arg1688z00_1687; 
BgL_bodyz00_1486 = BgL_arg1689z00_1688; 
BgL_tagzd2162zd2_1487:
{ /* Eval/evaluate.scm 516 */
obj_t BgL_ubindsz00_2471;
if(
NULLP(BgL_bindsz00_1485))
{ /* Eval/evaluate.scm 516 */
BgL_ubindsz00_2471 = BNIL; }  else 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_head1227z00_2521;
{ /* Eval/evaluate.scm 516 */
obj_t BgL_res2754z00_3426;
BgL_res2754z00_3426 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1227z00_2521 = BgL_res2754z00_3426; } 
{ 
obj_t BgL_l1225z00_2523;obj_t BgL_tail1228z00_2524;
BgL_l1225z00_2523 = BgL_bindsz00_1485; 
BgL_tail1228z00_2524 = BgL_head1227z00_2521; 
BgL_zc3anonymousza32291ze3z83_2525:
if(
NULLP(BgL_l1225z00_2523))
{ /* Eval/evaluate.scm 516 */
BgL_ubindsz00_2471 = 
CDR(BgL_head1227z00_2521); }  else 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_newtail1229z00_2527;
{ /* Eval/evaluate.scm 516 */
obj_t BgL_arg2294z00_2529;
{ /* Eval/evaluate.scm 516 */
obj_t BgL_bz00_2530;
BgL_bz00_2530 = 
CAR(
((obj_t)BgL_l1225z00_2523)); 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_arg2295z00_2531;
BgL_arg2295z00_2531 = 
CAR(
((obj_t)BgL_bz00_2530)); 
BgL_arg2294z00_2529 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2295z00_2531); } } 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_res2756z00_3431;
BgL_res2756z00_3431 = 
MAKE_YOUNG_PAIR(BgL_arg2294z00_2529, BNIL); 
BgL_newtail1229z00_2527 = BgL_res2756z00_3431; } } 
SET_CDR(BgL_tail1228z00_2524, BgL_newtail1229z00_2527); 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_arg2293z00_2528;
BgL_arg2293z00_2528 = 
CDR(
((obj_t)BgL_l1225z00_2523)); 
{ 
obj_t BgL_tail1228z00_5565;obj_t BgL_l1225z00_5564;
BgL_l1225z00_5564 = BgL_arg2293z00_2528; 
BgL_tail1228z00_5565 = BgL_newtail1229z00_2527; 
BgL_tail1228z00_2524 = BgL_tail1228z00_5565; 
BgL_l1225z00_2523 = BgL_l1225z00_5564; 
goto BgL_zc3anonymousza32291ze3z83_2525;} } } } } 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_varsz00_2472;
if(
NULLP(BgL_ubindsz00_2471))
{ /* Eval/evaluate.scm 517 */
BgL_varsz00_2472 = BNIL; }  else 
{ /* Eval/evaluate.scm 517 */
obj_t BgL_head1232z00_2505;
{ /* Eval/evaluate.scm 517 */
obj_t BgL_res2758z00_3435;
BgL_res2758z00_3435 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1232z00_2505 = BgL_res2758z00_3435; } 
{ 
obj_t BgL_l1230z00_2507;obj_t BgL_tail1233z00_2508;
BgL_l1230z00_2507 = BgL_ubindsz00_2471; 
BgL_tail1233z00_2508 = BgL_head1232z00_2505; 
BgL_zc3anonymousza32285ze3z83_2509:
if(
NULLP(BgL_l1230z00_2507))
{ /* Eval/evaluate.scm 517 */
BgL_varsz00_2472 = 
CDR(BgL_head1232z00_2505); }  else 
{ /* Eval/evaluate.scm 517 */
obj_t BgL_newtail1234z00_2511;
{ /* Eval/evaluate.scm 517 */
BgL_ev_varz00_bglt BgL_arg2288z00_2513;
{ /* Eval/evaluate.scm 517 */
obj_t BgL_iz00_2514;
BgL_iz00_2514 = 
CAR(
((obj_t)BgL_l1230z00_2507)); 
{ /* Eval/evaluate.scm 518 */
BgL_ev_varz00_bglt BgL_new1129z00_2515;
{ /* Eval/evaluate.scm 520 */
BgL_ev_varz00_bglt BgL_new1128z00_2516;
BgL_new1128z00_2516 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 520 */
long BgL_arg2289z00_2517;
{ /* Eval/evaluate.scm 520 */
long BgL_res2760z00_3440;
BgL_res2760z00_3440 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg2289z00_2517 = BgL_res2760z00_3440; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1128z00_2516), BgL_arg2289z00_2517); } 
BgL_new1129z00_2515 = BgL_new1128z00_2516; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1129z00_2515))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_iz00_2514))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1129z00_2515))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1129z00_2515))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_iz00_2514))),BUNSPEC); 
BgL_arg2288z00_2513 = BgL_new1129z00_2515; } } 
{ /* Eval/evaluate.scm 517 */
obj_t BgL_res2761z00_3445;
BgL_res2761z00_3445 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2288z00_2513), BNIL); 
BgL_newtail1234z00_2511 = BgL_res2761z00_3445; } } 
SET_CDR(BgL_tail1233z00_2508, BgL_newtail1234z00_2511); 
{ /* Eval/evaluate.scm 517 */
obj_t BgL_arg2287z00_2512;
BgL_arg2287z00_2512 = 
CDR(
((obj_t)BgL_l1230z00_2507)); 
{ 
obj_t BgL_tail1233z00_5591;obj_t BgL_l1230z00_5590;
BgL_l1230z00_5590 = BgL_arg2287z00_2512; 
BgL_tail1233z00_5591 = BgL_newtail1234z00_2511; 
BgL_tail1233z00_2508 = BgL_tail1233z00_5591; 
BgL_l1230z00_2507 = BgL_l1230z00_5590; 
goto BgL_zc3anonymousza32285ze3z83_2509;} } } } } 
{ /* Eval/evaluate.scm 517 */
obj_t BgL_localsz00_2473;
BgL_localsz00_2473 = 
BGl_appendzd221009zd2zz__evaluatez00(BgL_varsz00_2472, BgL_localsz00_70); 
{ /* Eval/evaluate.scm 522 */
obj_t BgL_bodyz00_2474;
{ /* Eval/evaluate.scm 523 */
bool_t BgL_testz00_5593;
{ /* Eval/evaluate.scm 523 */
obj_t BgL_tmpz00_5594;
BgL_tmpz00_5594 = 
CDR(
((obj_t)BgL_bodyz00_1486)); 
BgL_testz00_5593 = 
PAIRP(BgL_tmpz00_5594); } 
if(BgL_testz00_5593)
{ /* Eval/evaluate.scm 523 */
obj_t BgL_res2763z00_3451;
BgL_res2763z00_3451 = 
MAKE_YOUNG_EPAIR(BGl_symbol3062z00zz__evaluatez00, BgL_bodyz00_1486, BgL_locz00_74); 
BgL_bodyz00_2474 = BgL_res2763z00_3451; }  else 
{ /* Eval/evaluate.scm 523 */
BgL_bodyz00_2474 = 
CAR(
((obj_t)BgL_bodyz00_1486)); } } 
{ /* Eval/evaluate.scm 523 */
obj_t BgL_tbodyz00_2475;
BgL_tbodyz00_2475 = 
BGl_typezd2checkszd2zz__evaluatez00(BgL_ubindsz00_2471, BgL_bindsz00_1485, BgL_bodyz00_2474, BgL_locz00_74, BgL_wherez00_73); 
{ /* Eval/evaluate.scm 524 */
obj_t BgL_blocz00_2476;
BgL_blocz00_2476 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1485, BgL_locz00_74); 
{ /* Eval/evaluate.scm 525 */

{ /* Eval/evaluate.scm 526 */
BgL_ev_letrecz00_bglt BgL_new1131z00_2477;
{ /* Eval/evaluate.scm 527 */
BgL_ev_letrecz00_bglt BgL_new1130z00_2498;
BgL_new1130z00_2498 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate.scm 527 */
long BgL_arg2280z00_2499;
{ /* Eval/evaluate.scm 527 */
long BgL_res2764z00_3454;
BgL_res2764z00_3454 = 
BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00); 
BgL_arg2280z00_2499 = BgL_res2764z00_3454; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1130z00_2498), BgL_arg2280z00_2499); } 
BgL_new1131z00_2477 = BgL_new1130z00_2498; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1131z00_2477)))->BgL_varsz00)=((obj_t)BgL_varsz00_2472),BUNSPEC); 
{ 
obj_t BgL_auxz00_5609;
if(
NULLP(BgL_bindsz00_1485))
{ /* Eval/evaluate.scm 528 */
BgL_auxz00_5609 = BNIL
; }  else 
{ /* Eval/evaluate.scm 528 */
obj_t BgL_head1237z00_2480;
{ /* Eval/evaluate.scm 528 */
obj_t BgL_res2766z00_3458;
BgL_res2766z00_3458 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1237z00_2480 = BgL_res2766z00_3458; } 
{ 
obj_t BgL_l1235z00_2482;obj_t BgL_tail1238z00_2483;
BgL_l1235z00_2482 = BgL_bindsz00_1485; 
BgL_tail1238z00_2483 = BgL_head1237z00_2480; 
BgL_zc3anonymousza32269ze3z83_2484:
if(
NULLP(BgL_l1235z00_2482))
{ /* Eval/evaluate.scm 528 */
BgL_auxz00_5609 = 
CDR(BgL_head1237z00_2480)
; }  else 
{ /* Eval/evaluate.scm 528 */
obj_t BgL_newtail1239z00_2486;
{ /* Eval/evaluate.scm 528 */
obj_t BgL_arg2272z00_2488;
{ /* Eval/evaluate.scm 528 */
obj_t BgL_bz00_2489;
BgL_bz00_2489 = 
CAR(
((obj_t)BgL_l1235z00_2482)); 
{ /* Eval/evaluate.scm 529 */
obj_t BgL_arg2273z00_2490;obj_t BgL_arg2274z00_2491;obj_t BgL_arg2275z00_2492;
{ /* Eval/evaluate.scm 529 */
obj_t BgL_pairz00_3465;
BgL_pairz00_3465 = 
CDR(
((obj_t)BgL_bz00_2489)); 
BgL_arg2273z00_2490 = 
CAR(BgL_pairz00_3465); } 
{ /* Eval/evaluate.scm 529 */
obj_t BgL_arg2276z00_2493;
BgL_arg2276z00_2493 = 
CAR(
((obj_t)BgL_bz00_2489)); 
{ /* Eval/evaluate.scm 529 */
obj_t BgL_list2277z00_2494;
{ /* Eval/evaluate.scm 529 */
obj_t BgL_arg2278z00_2495;
{ /* Eval/evaluate.scm 529 */
obj_t BgL_arg2279z00_2496;
BgL_arg2279z00_2496 = 
MAKE_YOUNG_PAIR(BgL_wherez00_73, BNIL); 
BgL_arg2278z00_2495 = 
MAKE_YOUNG_PAIR(BGl_symbol3064z00zz__evaluatez00, BgL_arg2279z00_2496); } 
BgL_list2277z00_2494 = 
MAKE_YOUNG_PAIR(BgL_arg2276z00_2493, BgL_arg2278z00_2495); } 
BgL_arg2274z00_2491 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2277z00_2494); } } 
BgL_arg2275z00_2492 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bz00_2489, BgL_blocz00_2476); 
BgL_arg2272z00_2488 = 
BGl_convz00zz__evaluatez00(BgL_arg2273z00_2490, BgL_localsz00_2473, BgL_globalsz00_71, BFALSE, BgL_arg2274z00_2491, BgL_arg2275z00_2492, ((bool_t)0)); } } 
{ /* Eval/evaluate.scm 528 */
obj_t BgL_res2768z00_3467;
BgL_res2768z00_3467 = 
MAKE_YOUNG_PAIR(BgL_arg2272z00_2488, BNIL); 
BgL_newtail1239z00_2486 = BgL_res2768z00_3467; } } 
SET_CDR(BgL_tail1238z00_2483, BgL_newtail1239z00_2486); 
{ /* Eval/evaluate.scm 528 */
obj_t BgL_arg2271z00_2487;
BgL_arg2271z00_2487 = 
CDR(
((obj_t)BgL_l1235z00_2482)); 
{ 
obj_t BgL_tail1238z00_5635;obj_t BgL_l1235z00_5634;
BgL_l1235z00_5634 = BgL_arg2271z00_2487; 
BgL_tail1238z00_5635 = BgL_newtail1239z00_2486; 
BgL_tail1238z00_2483 = BgL_tail1238z00_5635; 
BgL_l1235z00_2482 = BgL_l1235z00_5634; 
goto BgL_zc3anonymousza32269ze3z83_2484;} } } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1131z00_2477)))->BgL_valsz00)=((obj_t)BgL_auxz00_5609),BUNSPEC); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1131z00_2477)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_tbodyz00_2475, BgL_localsz00_2473, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_5548 = BgL_new1131z00_2477; } } } } } } } } 
return 
((obj_t)BgL_auxz00_5548);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1690z00_1689;
BgL_arg1690z00_1689 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5643;
{ 
obj_t BgL_argsz00_5645;obj_t BgL_fz00_5644;
BgL_fz00_5644 = BgL_arg1690z00_1689; 
BgL_argsz00_5645 = BgL_cdrzd26695zd2_1683; 
BgL_argsz00_1526 = BgL_argsz00_5645; 
BgL_fz00_1525 = BgL_fz00_5644; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5643);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3083z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd26695zd2_1683))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd26869zd2_1695;obj_t BgL_cdrzd26870zd2_1696;
BgL_carzd26869zd2_1695 = 
CAR(BgL_cdrzd26695zd2_1683); 
BgL_cdrzd26870zd2_1696 = 
CDR(BgL_cdrzd26695zd2_1683); 
if(
PAIRP(BgL_carzd26869zd2_1695))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd26874zd2_1698;
BgL_cdrzd26874zd2_1698 = 
CDR(BgL_carzd26869zd2_1695); 
if(
(
CAR(BgL_carzd26869zd2_1695)==BGl_symbol3069z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd26874zd2_1698))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd26877zd2_1702;obj_t BgL_cdrzd26878zd2_1703;
BgL_carzd26877zd2_1702 = 
CAR(BgL_cdrzd26874zd2_1698); 
BgL_cdrzd26878zd2_1703 = 
CDR(BgL_cdrzd26874zd2_1698); 
if(
SYMBOLP(BgL_carzd26877zd2_1702))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd26878zd2_1703))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd26882zd2_1706;
BgL_carzd26882zd2_1706 = 
CAR(BgL_cdrzd26878zd2_1703); 
if(
SYMBOLP(BgL_carzd26882zd2_1706))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd26878zd2_1703)))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd26870zd2_1696))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd26870zd2_1696)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1707z00_1713;
BgL_arg1707z00_1713 = 
CAR(BgL_cdrzd26870zd2_1696); 
{ 
BgL_ev_setglobalz00_bglt BgL_auxz00_5680;
BgL_idz00_1488 = BgL_carzd26877zd2_1702; 
BgL_modnamez00_1489 = BgL_carzd26882zd2_1706; 
BgL_ez00_1490 = BgL_arg1707z00_1713; 
BgL_tagzd2163zd2_1491:
{ /* Eval/evaluate.scm 532 */
BgL_ev_setglobalz00_bglt BgL_new1133z00_2533;
{ /* Eval/evaluate.scm 536 */
BgL_ev_setglobalz00_bglt BgL_new1132z00_2534;
BgL_new1132z00_2534 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 536 */
long BgL_arg2296z00_2535;
{ /* Eval/evaluate.scm 536 */
long BgL_res2769z00_3471;
BgL_res2769z00_3471 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BgL_arg2296z00_2535 = BgL_res2769z00_3471; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1132z00_2534), BgL_arg2296z00_2535); } 
BgL_new1133z00_2533 = BgL_new1132z00_2534; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1133z00_2533)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1490))),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1133z00_2533))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1133z00_2533))->BgL_namez00)=((obj_t)BgL_idz00_1488),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1133z00_2533))->BgL_modz00)=((obj_t)
BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_1489)),BUNSPEC); 
BgL_auxz00_5680 = BgL_new1133z00_2533; } 
return 
((obj_t)BgL_auxz00_5680);} }  else 
{ /* Eval/evaluate.scm 425 */
BgL_tagzd2166zd2_1498:
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2984z00zz__evaluatez00, BGl_string3061z00zz__evaluatez00, BgL_ez00_69);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd26998zd2_1715;
BgL_cdrzd26998zd2_1715 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27002zd2_1716;
BgL_cdrzd27002zd2_1716 = 
CDR(
((obj_t)BgL_cdrzd26998zd2_1715)); 
if(
PAIRP(BgL_cdrzd27002zd2_1716))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd27002zd2_1716)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1712z00_1720;obj_t BgL_arg1713z00_1721;
BgL_arg1712z00_1720 = 
CAR(
((obj_t)BgL_cdrzd26998zd2_1715)); 
BgL_arg1713z00_1721 = 
CAR(BgL_cdrzd27002zd2_1716); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5706;
BgL_vz00_1495 = BgL_arg1712z00_1720; 
BgL_ez00_1496 = BgL_arg1713z00_1721; 
BgL_tagzd2165zd2_1497:
{ /* Eval/evaluate.scm 542 */
obj_t BgL_cvz00_2562;obj_t BgL_ez00_2563;
BgL_cvz00_2562 = 
BGl_convzd2varzd2zz__evaluatez00(BgL_vz00_1495, BgL_localsz00_70); 
BgL_ez00_2563 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1496); 
if(
CBOOL(BgL_cvz00_2562))
{ /* Eval/evaluate.scm 544 */
BgL_ev_setlocalz00_bglt BgL_new1135z00_2564;
{ /* Eval/evaluate.scm 546 */
BgL_ev_setlocalz00_bglt BgL_new1134z00_2565;
BgL_new1134z00_2565 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate.scm 546 */
long BgL_arg2310z00_2566;
{ /* Eval/evaluate.scm 546 */
long BgL_res2774z00_3482;
BgL_res2774z00_3482 = 
BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BgL_arg2310z00_2566 = BgL_res2774z00_3482; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1134z00_2565), BgL_arg2310z00_2566); } 
BgL_new1135z00_2564 = BgL_new1134z00_2565; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1135z00_2564)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_ez00_2563)),BUNSPEC); 
((((BgL_ev_setlocalz00_bglt)COBJECT(BgL_new1135z00_2564))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_cvz00_2562)),BUNSPEC); 
BgL_auxz00_5706 = 
((BgL_ev_hookz00_bglt)BgL_new1135z00_2564); }  else 
{ /* Eval/evaluate.scm 547 */
BgL_ev_setglobalz00_bglt BgL_new1137z00_2567;
{ /* Eval/evaluate.scm 551 */
BgL_ev_setglobalz00_bglt BgL_new1136z00_2569;
BgL_new1136z00_2569 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 551 */
long BgL_arg2312z00_2570;
{ /* Eval/evaluate.scm 551 */
long BgL_res2775z00_3486;
BgL_res2775z00_3486 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BgL_arg2312z00_2570 = BgL_res2775z00_3486; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1136z00_2569), BgL_arg2312z00_2570); } 
BgL_new1137z00_2567 = BgL_new1136z00_2569; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1137z00_2567)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_ez00_2563)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1137z00_2567))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1137z00_2567))->BgL_namez00)=((obj_t)BgL_vz00_1495),BUNSPEC); 
{ 
obj_t BgL_auxz00_5730;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 550 */
BgL_auxz00_5730 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 550 */
BgL_auxz00_5730 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1137z00_2567))->BgL_modz00)=((obj_t)BgL_auxz00_5730),BUNSPEC); } 
BgL_auxz00_5706 = 
((BgL_ev_hookz00_bglt)BgL_new1137z00_2567); } } 
return 
((obj_t)BgL_auxz00_5706);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27059zd2_1724;
BgL_cdrzd27059zd2_1724 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27063zd2_1725;
BgL_cdrzd27063zd2_1725 = 
CDR(
((obj_t)BgL_cdrzd27059zd2_1724)); 
if(
PAIRP(BgL_cdrzd27063zd2_1725))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd27063zd2_1725)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1719z00_1729;obj_t BgL_arg1720z00_1730;
BgL_arg1719z00_1729 = 
CAR(
((obj_t)BgL_cdrzd27059zd2_1724)); 
BgL_arg1720z00_1730 = 
CAR(BgL_cdrzd27063zd2_1725); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5748;
{ 
obj_t BgL_ez00_5750;obj_t BgL_vz00_5749;
BgL_vz00_5749 = BgL_arg1719z00_1729; 
BgL_ez00_5750 = BgL_arg1720z00_1730; 
BgL_ez00_1496 = BgL_ez00_5750; 
BgL_vz00_1495 = BgL_vz00_5749; 
goto BgL_tagzd2165zd2_1497;} 
return 
((obj_t)BgL_auxz00_5748);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27120zd2_1732;
BgL_cdrzd27120zd2_1732 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27124zd2_1733;
BgL_cdrzd27124zd2_1733 = 
CDR(
((obj_t)BgL_cdrzd27120zd2_1732)); 
if(
PAIRP(BgL_cdrzd27124zd2_1733))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd27124zd2_1733)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1725z00_1737;obj_t BgL_arg1726z00_1738;
BgL_arg1725z00_1737 = 
CAR(
((obj_t)BgL_cdrzd27120zd2_1732)); 
BgL_arg1726z00_1738 = 
CAR(BgL_cdrzd27124zd2_1733); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5763;
{ 
obj_t BgL_ez00_5765;obj_t BgL_vz00_5764;
BgL_vz00_5764 = BgL_arg1725z00_1737; 
BgL_ez00_5765 = BgL_arg1726z00_1738; 
BgL_ez00_1496 = BgL_ez00_5765; 
BgL_vz00_1495 = BgL_vz00_5764; 
goto BgL_tagzd2165zd2_1497;} 
return 
((obj_t)BgL_auxz00_5763);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27181zd2_1740;
BgL_cdrzd27181zd2_1740 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27185zd2_1741;
BgL_cdrzd27185zd2_1741 = 
CDR(
((obj_t)BgL_cdrzd27181zd2_1740)); 
if(
PAIRP(BgL_cdrzd27185zd2_1741))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd27185zd2_1741)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1731z00_1745;obj_t BgL_arg1732z00_1746;
BgL_arg1731z00_1745 = 
CAR(
((obj_t)BgL_cdrzd27181zd2_1740)); 
BgL_arg1732z00_1746 = 
CAR(BgL_cdrzd27185zd2_1741); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5778;
{ 
obj_t BgL_ez00_5780;obj_t BgL_vz00_5779;
BgL_vz00_5779 = BgL_arg1731z00_1745; 
BgL_ez00_5780 = BgL_arg1732z00_1746; 
BgL_ez00_1496 = BgL_ez00_5780; 
BgL_vz00_1495 = BgL_vz00_5779; 
goto BgL_tagzd2165zd2_1497;} 
return 
((obj_t)BgL_auxz00_5778);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27242zd2_1748;
BgL_cdrzd27242zd2_1748 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27246zd2_1749;
BgL_cdrzd27246zd2_1749 = 
CDR(
((obj_t)BgL_cdrzd27242zd2_1748)); 
if(
PAIRP(BgL_cdrzd27246zd2_1749))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd27246zd2_1749)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1737z00_1753;obj_t BgL_arg1738z00_1754;
BgL_arg1737z00_1753 = 
CAR(
((obj_t)BgL_cdrzd27242zd2_1748)); 
BgL_arg1738z00_1754 = 
CAR(BgL_cdrzd27246zd2_1749); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5793;
{ 
obj_t BgL_ez00_5795;obj_t BgL_vz00_5794;
BgL_vz00_5794 = BgL_arg1737z00_1753; 
BgL_ez00_5795 = BgL_arg1738z00_1754; 
BgL_ez00_1496 = BgL_ez00_5795; 
BgL_vz00_1495 = BgL_vz00_5794; 
goto BgL_tagzd2165zd2_1497;} 
return 
((obj_t)BgL_auxz00_5793);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27290zd2_1756;
BgL_cdrzd27290zd2_1756 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd27293zd2_1757;obj_t BgL_cdrzd27294zd2_1758;
BgL_carzd27293zd2_1757 = 
CAR(
((obj_t)BgL_cdrzd27290zd2_1756)); 
BgL_cdrzd27294zd2_1758 = 
CDR(
((obj_t)BgL_cdrzd27290zd2_1756)); 
if(
(
CAR(
((obj_t)BgL_carzd27293zd2_1757))==BGl_symbol3071z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd27294zd2_1758))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd27294zd2_1758)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1745z00_1764;obj_t BgL_arg1746z00_1765;
BgL_arg1745z00_1764 = 
CDR(
((obj_t)BgL_carzd27293zd2_1757)); 
BgL_arg1746z00_1765 = 
CAR(BgL_cdrzd27294zd2_1758); 
BgL_lz00_1492 = BgL_arg1745z00_1764; 
BgL_e2z00_1493 = BgL_arg1746z00_1765; 
BgL_tagzd2164zd2_1494:
{ /* Eval/evaluate.scm 538 */
bool_t BgL_testz00_5814;
if(
PAIRP(BgL_lz00_1492))
{ /* Eval/evaluate.scm 538 */
bool_t BgL_testz00_5817;
{ /* Eval/evaluate.scm 538 */
obj_t BgL_tmpz00_5818;
BgL_tmpz00_5818 = 
CDR(BgL_lz00_1492); 
BgL_testz00_5817 = 
PAIRP(BgL_tmpz00_5818); } 
if(BgL_testz00_5817)
{ 
obj_t BgL_l1240z00_2553;
BgL_l1240z00_2553 = BgL_lz00_1492; 
BgL_zc3anonymousza32306ze3z83_2554:
if(
NULLP(BgL_l1240z00_2553))
{ /* Eval/evaluate.scm 538 */
BgL_testz00_5814 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate.scm 538 */
bool_t BgL_testz00_5823;
{ /* Eval/evaluate.scm 538 */
obj_t BgL_tmpz00_5824;
BgL_tmpz00_5824 = 
CAR(
((obj_t)BgL_l1240z00_2553)); 
BgL_testz00_5823 = 
SYMBOLP(BgL_tmpz00_5824); } 
if(BgL_testz00_5823)
{ 
obj_t BgL_l1240z00_5828;
BgL_l1240z00_5828 = 
CDR(
((obj_t)BgL_l1240z00_2553)); 
BgL_l1240z00_2553 = BgL_l1240z00_5828; 
goto BgL_zc3anonymousza32306ze3z83_2554;}  else 
{ /* Eval/evaluate.scm 538 */
BgL_testz00_5814 = ((bool_t)0)
; } } }  else 
{ /* Eval/evaluate.scm 538 */
BgL_testz00_5814 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 538 */
BgL_testz00_5814 = ((bool_t)0)
; } 
if(BgL_testz00_5814)
{ /* Eval/evaluate.scm 538 */
return 
BGl_convzd2fieldzd2setz00zz__evaluatez00(BgL_lz00_1492, BgL_e2z00_1493, BgL_ez00_69, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 538 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2984z00zz__evaluatez00, BGl_string3061z00zz__evaluatez00, BgL_ez00_69);} } }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27370zd2_1768;
BgL_cdrzd27370zd2_1768 = 
CDR(
((obj_t)BgL_cdrzd27290zd2_1756)); 
if(
PAIRP(BgL_cdrzd27370zd2_1768))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd27370zd2_1768)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1751z00_1772;obj_t BgL_arg1752z00_1773;
BgL_arg1751z00_1772 = 
CAR(
((obj_t)BgL_cdrzd27290zd2_1756)); 
BgL_arg1752z00_1773 = 
CAR(BgL_cdrzd27370zd2_1768); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5843;
{ 
obj_t BgL_ez00_5845;obj_t BgL_vz00_5844;
BgL_vz00_5844 = BgL_arg1751z00_1772; 
BgL_ez00_5845 = BgL_arg1752z00_1773; 
BgL_ez00_1496 = BgL_ez00_5845; 
BgL_vz00_1495 = BgL_vz00_5844; 
goto BgL_tagzd2165zd2_1497;} 
return 
((obj_t)BgL_auxz00_5843);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} } } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27427zd2_1777;
BgL_cdrzd27427zd2_1777 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27431zd2_1778;
BgL_cdrzd27431zd2_1778 = 
CDR(
((obj_t)BgL_cdrzd27427zd2_1777)); 
if(
PAIRP(BgL_cdrzd27431zd2_1778))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd27431zd2_1778)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1759z00_1782;obj_t BgL_arg1760z00_1783;
BgL_arg1759z00_1782 = 
CAR(
((obj_t)BgL_cdrzd27427zd2_1777)); 
BgL_arg1760z00_1783 = 
CAR(BgL_cdrzd27431zd2_1778); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5858;
{ 
obj_t BgL_ez00_5860;obj_t BgL_vz00_5859;
BgL_vz00_5859 = BgL_arg1759z00_1782; 
BgL_ez00_5860 = BgL_arg1760z00_1783; 
BgL_ez00_1496 = BgL_ez00_5860; 
BgL_vz00_1495 = BgL_vz00_5859; 
goto BgL_tagzd2165zd2_1497;} 
return 
((obj_t)BgL_auxz00_5858);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} } } }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27552zd2_1785;
BgL_cdrzd27552zd2_1785 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3085z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd27552zd2_1785))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27557zd2_1789;
BgL_cdrzd27557zd2_1789 = 
CDR(BgL_cdrzd27552zd2_1785); 
if(
PAIRP(BgL_cdrzd27557zd2_1789))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd27561zd2_1791;
BgL_carzd27561zd2_1791 = 
CAR(BgL_cdrzd27557zd2_1789); 
if(
PAIRP(BgL_carzd27561zd2_1791))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27566zd2_1793;
BgL_cdrzd27566zd2_1793 = 
CDR(BgL_carzd27561zd2_1791); 
if(
(
CAR(BgL_carzd27561zd2_1791)==BGl_symbol3048z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd27566zd2_1793))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27570zd2_1797;
BgL_cdrzd27570zd2_1797 = 
CDR(BgL_cdrzd27566zd2_1793); 
if(
PAIRP(BgL_cdrzd27570zd2_1797))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd27570zd2_1797)))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd27557zd2_1789)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1775z00_1803;obj_t BgL_arg1776z00_1804;obj_t BgL_arg1777z00_1805;
BgL_arg1775z00_1803 = 
CAR(BgL_cdrzd27552zd2_1785); 
BgL_arg1776z00_1804 = 
CAR(BgL_cdrzd27566zd2_1793); 
BgL_arg1777z00_1805 = 
CAR(BgL_cdrzd27570zd2_1797); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5892;
BgL_gvz00_1499 = BgL_arg1775z00_1803; 
BgL_formalsz00_1500 = BgL_arg1776z00_1804; 
BgL_bodyz00_1501 = BgL_arg1777z00_1805; 
BgL_tagzd2167zd2_1502:
{ /* Eval/evaluate.scm 555 */
obj_t BgL_tidz00_2571;
BgL_tidz00_2571 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_gvz00_1499); 
{ /* Eval/evaluate.scm 556 */
BgL_ev_defglobalz00_bglt BgL_new1139z00_2572;
{ /* Eval/evaluate.scm 560 */
BgL_ev_defglobalz00_bglt BgL_new1138z00_2575;
BgL_new1138z00_2575 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 560 */
long BgL_arg2315z00_2576;
{ /* Eval/evaluate.scm 560 */
long BgL_res2776z00_3490;
BgL_res2776z00_3490 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BgL_arg2315z00_2576 = BgL_res2776z00_3490; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1138z00_2575), BgL_arg2315z00_2576); } 
BgL_new1139z00_2572 = BgL_new1138z00_2575; } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5898;
{ /* Eval/evaluate.scm 560 */
obj_t BgL_arg2313z00_2573;
BgL_arg2313z00_2573 = 
CDR(BgL_tidz00_2571); 
BgL_auxz00_5898 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2lambdaze70z35zz__evaluatez00(BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_locz00_74, BgL_formalsz00_1500, BgL_bodyz00_1501, BgL_gvz00_1499, BgL_arg2313z00_2573)); } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1139z00_2572)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5898),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1139z00_2572)))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1139z00_2572)))->BgL_namez00)=((obj_t)
CAR(BgL_tidz00_2571)),BUNSPEC); 
{ 
obj_t BgL_auxz00_5909;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 559 */
BgL_auxz00_5909 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 559 */
BgL_auxz00_5909 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1139z00_2572)))->BgL_modz00)=((obj_t)BgL_auxz00_5909),BUNSPEC); } 
BgL_auxz00_5892 = BgL_new1139z00_2572; } } 
return 
((obj_t)BgL_auxz00_5892);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1778z00_1806;
BgL_arg1778z00_1806 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5917;
{ 
obj_t BgL_argsz00_5919;obj_t BgL_fz00_5918;
BgL_fz00_5918 = BgL_arg1778z00_1806; 
BgL_argsz00_5919 = BgL_cdrzd27552zd2_1785; 
BgL_argsz00_1526 = BgL_argsz00_5919; 
BgL_fz00_1525 = BgL_fz00_5918; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5917);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27670zd2_1810;
BgL_cdrzd27670zd2_1810 = 
CDR(
((obj_t)BgL_cdrzd27552zd2_1785)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27670zd2_1810))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1783z00_1813;obj_t BgL_arg1784z00_1814;
BgL_arg1783z00_1813 = 
CAR(
((obj_t)BgL_cdrzd27552zd2_1785)); 
BgL_arg1784z00_1814 = 
CAR(
((obj_t)BgL_cdrzd27670zd2_1810)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5931;
BgL_gvz00_1503 = BgL_arg1783z00_1813; 
BgL_gez00_1504 = BgL_arg1784z00_1814; 
BgL_tagzd2168zd2_1505:
{ /* Eval/evaluate.scm 562 */
obj_t BgL_tidz00_2577;
BgL_tidz00_2577 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_gvz00_1503); 
{ /* Eval/evaluate.scm 563 */
BgL_ev_defglobalz00_bglt BgL_new1141z00_2578;
{ /* Eval/evaluate.scm 567 */
BgL_ev_defglobalz00_bglt BgL_new1140z00_2583;
BgL_new1140z00_2583 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 567 */
long BgL_arg2320z00_2584;
{ /* Eval/evaluate.scm 567 */
long BgL_res2777z00_3496;
BgL_res2777z00_3496 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BgL_arg2320z00_2584 = BgL_res2777z00_3496; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1140z00_2583), BgL_arg2320z00_2584); } 
BgL_new1141z00_2578 = BgL_new1140z00_2583; } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5937;
{ /* Eval/evaluate.scm 568 */
obj_t BgL_arg2316z00_2579;
{ /* Eval/evaluate.scm 568 */
obj_t BgL_arg2318z00_2581;
BgL_arg2318z00_2581 = 
CDR(BgL_tidz00_2577); 
BgL_arg2316z00_2579 = 
BGl_typezd2resultzd2zz__evaluatez00(BgL_arg2318z00_2581, BgL_gez00_1504, BgL_locz00_74); } 
{ 
obj_t BgL_auxz00_5941;
BgL_ez00_2630 = BgL_arg2316z00_2579; 
if(BgL_topzf3zf3_75)
{ /* Eval/evaluate.scm 569 */
BgL_wherez00_2631 = BgL_gvz00_1503; }  else 
{ /* Eval/evaluate.scm 569 */
BgL_wherez00_2631 = BgL_wherez00_73; } 
BgL_ez00_2620 = BgL_ez00_2630; 
BgL_locz00_2621 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_2630, BgL_locz00_74); 
BgL_wherez00_2622 = BgL_wherez00_2631; 
BgL_auxz00_5941 = 
BGl_convz00zz__evaluatez00(BgL_ez00_2620, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_2622, BgL_locz00_2621, ((bool_t)0)); 
BgL_auxz00_5937 = 
((BgL_ev_exprz00_bglt)BgL_auxz00_5941); } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1141z00_2578)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5937),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1141z00_2578)))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1141z00_2578)))->BgL_namez00)=((obj_t)
CAR(BgL_tidz00_2577)),BUNSPEC); 
{ 
obj_t BgL_auxz00_5952;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 566 */
BgL_auxz00_5952 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 566 */
BgL_auxz00_5952 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1141z00_2578)))->BgL_modz00)=((obj_t)BgL_auxz00_5952),BUNSPEC); } 
BgL_auxz00_5931 = BgL_new1141z00_2578; } } 
return 
((obj_t)BgL_auxz00_5931);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1785z00_1815;obj_t BgL_arg1786z00_1816;
BgL_arg1785z00_1815 = 
CAR(BgL_ez00_69); 
BgL_arg1786z00_1816 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5961;
{ 
obj_t BgL_argsz00_5963;obj_t BgL_fz00_5962;
BgL_fz00_5962 = BgL_arg1785z00_1815; 
BgL_argsz00_5963 = BgL_arg1786z00_1816; 
BgL_argsz00_1526 = BgL_argsz00_5963; 
BgL_fz00_1525 = BgL_fz00_5962; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5961);} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27757zd2_1820;
BgL_cdrzd27757zd2_1820 = 
CDR(
((obj_t)BgL_cdrzd27552zd2_1785)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27757zd2_1820))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1791z00_1823;obj_t BgL_arg1792z00_1824;
BgL_arg1791z00_1823 = 
CAR(
((obj_t)BgL_cdrzd27552zd2_1785)); 
BgL_arg1792z00_1824 = 
CAR(
((obj_t)BgL_cdrzd27757zd2_1820)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5975;
{ 
obj_t BgL_gez00_5977;obj_t BgL_gvz00_5976;
BgL_gvz00_5976 = BgL_arg1791z00_1823; 
BgL_gez00_5977 = BgL_arg1792z00_1824; 
BgL_gez00_1504 = BgL_gez00_5977; 
BgL_gvz00_1503 = BgL_gvz00_5976; 
goto BgL_tagzd2168zd2_1505;} 
return 
((obj_t)BgL_auxz00_5975);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1793z00_1825;obj_t BgL_arg1794z00_1826;
BgL_arg1793z00_1825 = 
CAR(BgL_ez00_69); 
BgL_arg1794z00_1826 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5981;
{ 
obj_t BgL_argsz00_5983;obj_t BgL_fz00_5982;
BgL_fz00_5982 = BgL_arg1793z00_1825; 
BgL_argsz00_5983 = BgL_arg1794z00_1826; 
BgL_argsz00_1526 = BgL_argsz00_5983; 
BgL_fz00_1525 = BgL_fz00_5982; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_5981);} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27844zd2_1829;
BgL_cdrzd27844zd2_1829 = 
CDR(
((obj_t)BgL_cdrzd27552zd2_1785)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27844zd2_1829))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1798z00_1832;obj_t BgL_arg1799z00_1833;
BgL_arg1798z00_1832 = 
CAR(
((obj_t)BgL_cdrzd27552zd2_1785)); 
BgL_arg1799z00_1833 = 
CAR(
((obj_t)BgL_cdrzd27844zd2_1829)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5995;
{ 
obj_t BgL_gez00_5997;obj_t BgL_gvz00_5996;
BgL_gvz00_5996 = BgL_arg1798z00_1832; 
BgL_gez00_5997 = BgL_arg1799z00_1833; 
BgL_gez00_1504 = BgL_gez00_5997; 
BgL_gvz00_1503 = BgL_gvz00_5996; 
goto BgL_tagzd2168zd2_1505;} 
return 
((obj_t)BgL_auxz00_5995);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1800z00_1834;obj_t BgL_arg1801z00_1835;
BgL_arg1800z00_1834 = 
CAR(BgL_ez00_69); 
BgL_arg1801z00_1835 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6001;
{ 
obj_t BgL_argsz00_6003;obj_t BgL_fz00_6002;
BgL_fz00_6002 = BgL_arg1800z00_1834; 
BgL_argsz00_6003 = BgL_arg1801z00_1835; 
BgL_argsz00_1526 = BgL_argsz00_6003; 
BgL_fz00_1525 = BgL_fz00_6002; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6001);} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27931zd2_1838;
BgL_cdrzd27931zd2_1838 = 
CDR(
((obj_t)BgL_cdrzd27552zd2_1785)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27931zd2_1838))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1805z00_1841;obj_t BgL_arg1806z00_1842;
BgL_arg1805z00_1841 = 
CAR(
((obj_t)BgL_cdrzd27552zd2_1785)); 
BgL_arg1806z00_1842 = 
CAR(
((obj_t)BgL_cdrzd27931zd2_1838)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6015;
{ 
obj_t BgL_gez00_6017;obj_t BgL_gvz00_6016;
BgL_gvz00_6016 = BgL_arg1805z00_1841; 
BgL_gez00_6017 = BgL_arg1806z00_1842; 
BgL_gez00_1504 = BgL_gez00_6017; 
BgL_gvz00_1503 = BgL_gvz00_6016; 
goto BgL_tagzd2168zd2_1505;} 
return 
((obj_t)BgL_auxz00_6015);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1807z00_1843;obj_t BgL_arg1808z00_1844;
BgL_arg1807z00_1843 = 
CAR(BgL_ez00_69); 
BgL_arg1808z00_1844 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6021;
{ 
obj_t BgL_argsz00_6023;obj_t BgL_fz00_6022;
BgL_fz00_6022 = BgL_arg1807z00_1843; 
BgL_argsz00_6023 = BgL_arg1808z00_1844; 
BgL_argsz00_1526 = BgL_argsz00_6023; 
BgL_fz00_1525 = BgL_fz00_6022; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6021);} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd28018zd2_1848;
BgL_cdrzd28018zd2_1848 = 
CDR(
((obj_t)BgL_cdrzd27552zd2_1785)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd28018zd2_1848))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1813z00_1851;obj_t BgL_arg1814z00_1852;
BgL_arg1813z00_1851 = 
CAR(
((obj_t)BgL_cdrzd27552zd2_1785)); 
BgL_arg1814z00_1852 = 
CAR(
((obj_t)BgL_cdrzd28018zd2_1848)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6035;
{ 
obj_t BgL_gez00_6037;obj_t BgL_gvz00_6036;
BgL_gvz00_6036 = BgL_arg1813z00_1851; 
BgL_gez00_6037 = BgL_arg1814z00_1852; 
BgL_gez00_1504 = BgL_gez00_6037; 
BgL_gvz00_1503 = BgL_gvz00_6036; 
goto BgL_tagzd2168zd2_1505;} 
return 
((obj_t)BgL_auxz00_6035);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1815z00_1853;obj_t BgL_arg1816z00_1854;
BgL_arg1815z00_1853 = 
CAR(BgL_ez00_69); 
BgL_arg1816z00_1854 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6041;
{ 
obj_t BgL_argsz00_6043;obj_t BgL_fz00_6042;
BgL_fz00_6042 = BgL_arg1815z00_1853; 
BgL_argsz00_6043 = BgL_arg1816z00_1854; 
BgL_argsz00_1526 = BgL_argsz00_6043; 
BgL_fz00_1525 = BgL_fz00_6042; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6041);} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1818z00_1856;
BgL_arg1818z00_1856 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6046;
{ 
obj_t BgL_argsz00_6048;obj_t BgL_fz00_6047;
BgL_fz00_6047 = BgL_arg1818z00_1856; 
BgL_argsz00_6048 = BgL_cdrzd27552zd2_1785; 
BgL_argsz00_1526 = BgL_argsz00_6048; 
BgL_fz00_1525 = BgL_fz00_6047; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6046);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1820z00_1858;
BgL_arg1820z00_1858 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6051;
{ 
obj_t BgL_argsz00_6053;obj_t BgL_fz00_6052;
BgL_fz00_6052 = BgL_arg1820z00_1858; 
BgL_argsz00_6053 = BgL_cdrzd27552zd2_1785; 
BgL_argsz00_1526 = BgL_argsz00_6053; 
BgL_fz00_1525 = BgL_fz00_6052; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6051);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3087z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd27552zd2_1785))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd28260zd2_1864;
BgL_carzd28260zd2_1864 = 
CAR(BgL_cdrzd27552zd2_1785); 
if(
PAIRP(BgL_carzd28260zd2_1864))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_carzd28260zd2_1864)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1828z00_1868;obj_t BgL_arg1829z00_1869;
BgL_arg1828z00_1868 = 
CAR(BgL_carzd28260zd2_1864); 
BgL_arg1829z00_1869 = 
CDR(BgL_cdrzd27552zd2_1785); 
{ 
BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_6068;
BgL_vz00_1506 = BgL_arg1828z00_1868; 
BgL_bodyz00_1507 = BgL_arg1829z00_1869; 
BgL_tagzd2169zd2_1508:
{ /* Eval/evaluate.scm 571 */
BgL_ev_varz00_bglt BgL_varz00_2585;
{ /* Eval/evaluate.scm 571 */
BgL_ev_varz00_bglt BgL_new1143z00_2590;
{ /* Eval/evaluate.scm 571 */
BgL_ev_varz00_bglt BgL_new1142z00_2591;
BgL_new1142z00_2591 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 571 */
long BgL_arg2323z00_2592;
{ /* Eval/evaluate.scm 571 */
long BgL_res2778z00_3502;
BgL_res2778z00_3502 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg2323z00_2592 = BgL_res2778z00_3502; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_2591), BgL_arg2323z00_2592); } 
BgL_new1143z00_2590 = BgL_new1142z00_2591; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1143z00_2590))->BgL_namez00)=((obj_t)BgL_vz00_1506),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1143z00_2590))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1143z00_2590))->BgL_typez00)=((obj_t)BFALSE),BUNSPEC); 
BgL_varz00_2585 = BgL_new1143z00_2590; } 
{ /* Eval/evaluate.scm 572 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1145z00_2586;
{ /* Eval/evaluate.scm 573 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1144z00_2588;
BgL_new1144z00_2588 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate.scm 573 */
long BgL_arg2322z00_2589;
{ /* Eval/evaluate.scm 573 */
long BgL_res2779z00_3506;
BgL_res2779z00_3506 = 
BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BgL_arg2322z00_2589 = BgL_res2779z00_3506; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1144z00_2588), BgL_arg2322z00_2589); } 
BgL_new1145z00_2586 = BgL_new1144z00_2588; } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1145z00_2586))->BgL_varz00)=((BgL_ev_varz00_bglt)BgL_varz00_2585),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_6081;
{ /* Eval/evaluate.scm 574 */
obj_t BgL_arg2321z00_2587;
BgL_arg2321z00_2587 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_varz00_2585), BgL_localsz00_70); 
BgL_auxz00_6081 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1507, BgL_arg2321z00_2587, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1145z00_2586))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_6081),BUNSPEC); } 
BgL_auxz00_6068 = BgL_new1145z00_2586; } } 
return 
((obj_t)BgL_auxz00_6068);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1830z00_1870;obj_t BgL_arg1831z00_1871;
BgL_arg1830z00_1870 = 
CAR(BgL_ez00_69); 
BgL_arg1831z00_1871 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6090;
{ 
obj_t BgL_argsz00_6092;obj_t BgL_fz00_6091;
BgL_fz00_6091 = BgL_arg1830z00_1870; 
BgL_argsz00_6092 = BgL_arg1831z00_1871; 
BgL_argsz00_1526 = BgL_argsz00_6092; 
BgL_fz00_1525 = BgL_fz00_6091; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6090);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1833z00_1873;obj_t BgL_arg1834z00_1874;
BgL_arg1833z00_1873 = 
CAR(BgL_ez00_69); 
BgL_arg1834z00_1874 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6096;
{ 
obj_t BgL_argsz00_6098;obj_t BgL_fz00_6097;
BgL_fz00_6097 = BgL_arg1833z00_1873; 
BgL_argsz00_6098 = BgL_arg1834z00_1874; 
BgL_argsz00_1526 = BgL_argsz00_6098; 
BgL_fz00_1525 = BgL_fz00_6097; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6096);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1835z00_1875;obj_t BgL_arg1836z00_1876;
BgL_arg1835z00_1875 = 
CAR(BgL_ez00_69); 
BgL_arg1836z00_1876 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6102;
{ 
obj_t BgL_argsz00_6104;obj_t BgL_fz00_6103;
BgL_fz00_6103 = BgL_arg1835z00_1875; 
BgL_argsz00_6104 = BgL_arg1836z00_1876; 
BgL_argsz00_1526 = BgL_argsz00_6104; 
BgL_fz00_1525 = BgL_fz00_6103; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6102);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd28425zd2_1877;
BgL_cdrzd28425zd2_1877 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3089z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd28425zd2_1877))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1840z00_1881;obj_t BgL_arg1841z00_1882;
BgL_arg1840z00_1881 = 
CAR(BgL_cdrzd28425zd2_1877); 
BgL_arg1841z00_1882 = 
CDR(BgL_cdrzd28425zd2_1877); 
{ 
BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_6114;
BgL_ez00_1509 = BgL_arg1840z00_1881; 
BgL_bodyz00_1510 = BgL_arg1841z00_1882; 
BgL_tagzd2170zd2_1511:
{ /* Eval/evaluate.scm 576 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1147z00_2593;
{ /* Eval/evaluate.scm 577 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1146z00_2594;
BgL_new1146z00_2594 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate.scm 577 */
long BgL_arg2324z00_2595;
{ /* Eval/evaluate.scm 577 */
long BgL_res2780z00_3510;
BgL_res2780z00_3510 = 
BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BgL_arg2324z00_2595 = BgL_res2780z00_3510; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1146z00_2594), BgL_arg2324z00_2595); } 
BgL_new1147z00_2593 = BgL_new1146z00_2594; } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1147z00_2593))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1509))),BUNSPEC); 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1147z00_2593))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1510, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6114 = BgL_new1147z00_2593; } 
return 
((obj_t)BgL_auxz00_6114);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1842z00_1883;
BgL_arg1842z00_1883 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6127;
{ 
obj_t BgL_argsz00_6129;obj_t BgL_fz00_6128;
BgL_fz00_6128 = BgL_arg1842z00_1883; 
BgL_argsz00_6129 = BgL_cdrzd28425zd2_1877; 
BgL_argsz00_1526 = BgL_argsz00_6129; 
BgL_fz00_1525 = BgL_fz00_6128; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6127);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3091z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd28425zd2_1877))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1847z00_1889;obj_t BgL_arg1848z00_1890;
BgL_arg1847z00_1889 = 
CAR(BgL_cdrzd28425zd2_1877); 
BgL_arg1848z00_1890 = 
CDR(BgL_cdrzd28425zd2_1877); 
{ 
BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_6138;
BgL_hz00_1512 = BgL_arg1847z00_1889; 
BgL_bodyz00_1513 = BgL_arg1848z00_1890; 
BgL_tagzd2171zd2_1514:
{ /* Eval/evaluate.scm 580 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1149z00_2596;
{ /* Eval/evaluate.scm 581 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1148z00_2597;
BgL_new1148z00_2597 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate.scm 581 */
long BgL_arg2325z00_2598;
{ /* Eval/evaluate.scm 581 */
long BgL_res2781z00_3514;
BgL_res2781z00_3514 = 
BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BgL_arg2325z00_2598 = BgL_res2781z00_3514; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1148z00_2597), BgL_arg2325z00_2598); } 
BgL_new1149z00_2596 = BgL_new1148z00_2597; } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1149z00_2596))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_hz00_1512))),BUNSPEC); 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1149z00_2596))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1513, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6138 = BgL_new1149z00_2596; } 
return 
((obj_t)BgL_auxz00_6138);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1849z00_1891;obj_t BgL_arg1850z00_1892;
BgL_arg1849z00_1891 = 
CAR(BgL_ez00_69); 
BgL_arg1850z00_1892 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6152;
{ 
obj_t BgL_argsz00_6154;obj_t BgL_fz00_6153;
BgL_fz00_6153 = BgL_arg1849z00_1891; 
BgL_argsz00_6154 = BgL_arg1850z00_1892; 
BgL_argsz00_1526 = BgL_argsz00_6154; 
BgL_fz00_1525 = BgL_fz00_6153; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6152);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd28528zd2_1893;
BgL_cdrzd28528zd2_1893 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3093z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd28528zd2_1893))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd28533zd2_1897;
BgL_cdrzd28533zd2_1897 = 
CDR(BgL_cdrzd28528zd2_1893); 
if(
PAIRP(BgL_cdrzd28533zd2_1897))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd28538zd2_1899;
BgL_cdrzd28538zd2_1899 = 
CDR(BgL_cdrzd28533zd2_1897); 
if(
(
CAR(BgL_cdrzd28533zd2_1897)==BGl_keyword3095z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd28538zd2_1899))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1858z00_1903;obj_t BgL_arg1859z00_1904;obj_t BgL_arg1860z00_1905;
BgL_arg1858z00_1903 = 
CAR(BgL_cdrzd28528zd2_1893); 
BgL_arg1859z00_1904 = 
CAR(BgL_cdrzd28538zd2_1899); 
BgL_arg1860z00_1905 = 
CDR(BgL_cdrzd28538zd2_1899); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6174;
BgL_mz00_1515 = BgL_arg1858z00_1903; 
BgL_pz00_1516 = BgL_arg1859z00_1904; 
BgL_bodyz00_1517 = BgL_arg1860z00_1905; 
BgL_tagzd2172zd2_1518:
{ /* Eval/evaluate.scm 584 */
BgL_ev_synchroniza7eza7_bglt BgL_new1151z00_2599;
{ /* Eval/evaluate.scm 585 */
BgL_ev_synchroniza7eza7_bglt BgL_new1150z00_2600;
BgL_new1150z00_2600 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate.scm 585 */
long BgL_arg2326z00_2601;
{ /* Eval/evaluate.scm 585 */
long BgL_res2782z00_3518;
BgL_res2782z00_3518 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BgL_arg2326z00_2601 = BgL_res2782z00_3518; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1150z00_2600), BgL_arg2326z00_2601); } 
BgL_new1151z00_2599 = BgL_new1150z00_2600; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1151z00_2599))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1151z00_2599))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_mz00_1515))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1151z00_2599))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1516))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1151z00_2599))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1517, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6174 = BgL_new1151z00_2599; } 
return 
((obj_t)BgL_auxz00_6174);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1861z00_1907;obj_t BgL_arg1862z00_1908;
BgL_arg1861z00_1907 = 
CAR(
((obj_t)BgL_cdrzd28528zd2_1893)); 
BgL_arg1862z00_1908 = 
CDR(
((obj_t)BgL_cdrzd28528zd2_1893)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6194;
BgL_mz00_1519 = BgL_arg1861z00_1907; 
BgL_bodyz00_1520 = BgL_arg1862z00_1908; 
BgL_tagzd2173zd2_1521:
{ /* Eval/evaluate.scm 590 */
BgL_ev_synchroniza7eza7_bglt BgL_new1153z00_2602;
{ /* Eval/evaluate.scm 591 */
BgL_ev_synchroniza7eza7_bglt BgL_new1152z00_2603;
BgL_new1152z00_2603 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate.scm 591 */
long BgL_arg2327z00_2604;
{ /* Eval/evaluate.scm 591 */
long BgL_res2783z00_3522;
BgL_res2783z00_3522 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BgL_arg2327z00_2604 = BgL_res2783z00_3522; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1152z00_2603), BgL_arg2327z00_2604); } 
BgL_new1153z00_2602 = BgL_new1152z00_2603; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1153z00_2602))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1153z00_2602))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_mz00_1519))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1153z00_2602))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BNIL))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1153z00_2602))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1520, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6194 = BgL_new1153z00_2602; } 
return 
((obj_t)BgL_auxz00_6194);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1863z00_1910;obj_t BgL_arg1864z00_1911;
BgL_arg1863z00_1910 = 
CAR(
((obj_t)BgL_cdrzd28528zd2_1893)); 
BgL_arg1864z00_1911 = 
CDR(
((obj_t)BgL_cdrzd28528zd2_1893)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6214;
{ 
obj_t BgL_bodyz00_6216;obj_t BgL_mz00_6215;
BgL_mz00_6215 = BgL_arg1863z00_1910; 
BgL_bodyz00_6216 = BgL_arg1864z00_1911; 
BgL_bodyz00_1520 = BgL_bodyz00_6216; 
BgL_mz00_1519 = BgL_mz00_6215; 
goto BgL_tagzd2173zd2_1521;} 
return 
((obj_t)BgL_auxz00_6214);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1866z00_1914;obj_t BgL_arg1867z00_1915;
BgL_arg1866z00_1914 = 
CAR(
((obj_t)BgL_cdrzd28528zd2_1893)); 
BgL_arg1867z00_1915 = 
CDR(
((obj_t)BgL_cdrzd28528zd2_1893)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6222;
{ 
obj_t BgL_bodyz00_6224;obj_t BgL_mz00_6223;
BgL_mz00_6223 = BgL_arg1866z00_1914; 
BgL_bodyz00_6224 = BgL_arg1867z00_1915; 
BgL_bodyz00_1520 = BgL_bodyz00_6224; 
BgL_mz00_1519 = BgL_mz00_6223; 
goto BgL_tagzd2173zd2_1521;} 
return 
((obj_t)BgL_auxz00_6222);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1868z00_1916;
BgL_arg1868z00_1916 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6227;
{ 
obj_t BgL_argsz00_6229;obj_t BgL_fz00_6228;
BgL_fz00_6228 = BgL_arg1868z00_1916; 
BgL_argsz00_6229 = BgL_cdrzd28528zd2_1893; 
BgL_argsz00_1526 = BgL_argsz00_6229; 
BgL_fz00_1525 = BgL_fz00_6228; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6227);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3048z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd28528zd2_1893))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd28638zd2_1922;
BgL_cdrzd28638zd2_1922 = 
CDR(BgL_cdrzd28528zd2_1893); 
if(
PAIRP(BgL_cdrzd28638zd2_1922))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd28638zd2_1922)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1876z00_1926;obj_t BgL_arg1877z00_1927;
BgL_arg1876z00_1926 = 
CAR(BgL_cdrzd28528zd2_1893); 
BgL_arg1877z00_1927 = 
CAR(BgL_cdrzd28638zd2_1922); 
{ 
BgL_ev_absz00_bglt BgL_auxz00_6244;
BgL_formalsz00_1522 = BgL_arg1876z00_1926; 
BgL_bodyz00_1523 = BgL_arg1877z00_1927; 
BgL_tagzd2174zd2_1524:
{ /* Eval/evaluate.scm 596 */
obj_t BgL_arg2328z00_2605;
{ /* Eval/evaluate.scm 596 */
obj_t BgL_arg2329z00_2606;
{ /* Eval/evaluate.scm 596 */
obj_t BgL_arg2330z00_2607;obj_t BgL_arg2331z00_2608;
{ /* Eval/evaluate.scm 596 */
obj_t BgL_res2784z00_3527;
{ /* Eval/evaluate.scm 596 */
obj_t BgL_symbolz00_3525;
BgL_symbolz00_3525 = BGl_symbol3059z00zz__evaluatez00; 
{ /* Eval/evaluate.scm 596 */
obj_t BgL_arg2498z00_3526;
BgL_arg2498z00_3526 = 
SYMBOL_TO_STRING(BgL_symbolz00_3525); 
BgL_res2784z00_3527 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2498z00_3526); } } 
BgL_arg2330z00_2607 = BgL_res2784z00_3527; } 
{ /* Eval/evaluate.scm 596 */
obj_t BgL_res2785z00_3530;
{ /* Eval/evaluate.scm 596 */
obj_t BgL_arg2498z00_3529;
BgL_arg2498z00_3529 = 
SYMBOL_TO_STRING(
((obj_t)BgL_wherez00_73)); 
BgL_res2785z00_3530 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2498z00_3529); } 
BgL_arg2331z00_2608 = BgL_res2785z00_3530; } 
BgL_arg2329z00_2606 = 
string_append(BgL_arg2330z00_2607, BgL_arg2331z00_2608); } 
BgL_arg2328z00_2605 = 
bstring_to_symbol(BgL_arg2329z00_2606); } 
BgL_auxz00_6244 = 
BGl_convzd2lambdaze70z35zz__evaluatez00(BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_locz00_74, BgL_formalsz00_1522, BgL_bodyz00_1523, BgL_arg2328z00_2605, BFALSE); } 
return 
((obj_t)BgL_auxz00_6244);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1878z00_1928;obj_t BgL_arg1879z00_1929;
BgL_arg1878z00_1928 = 
CAR(BgL_ez00_69); 
BgL_arg1879z00_1929 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6256;
{ 
obj_t BgL_argsz00_6258;obj_t BgL_fz00_6257;
BgL_fz00_6257 = BgL_arg1878z00_1928; 
BgL_argsz00_6258 = BgL_arg1879z00_1929; 
BgL_argsz00_1526 = BgL_argsz00_6258; 
BgL_fz00_1525 = BgL_fz00_6257; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6256);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1881z00_1931;obj_t BgL_arg1882z00_1932;
BgL_arg1881z00_1931 = 
CAR(BgL_ez00_69); 
BgL_arg1882z00_1932 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6262;
{ 
obj_t BgL_argsz00_6264;obj_t BgL_fz00_6263;
BgL_fz00_6263 = BgL_arg1881z00_1931; 
BgL_argsz00_6264 = BgL_arg1882z00_1932; 
BgL_argsz00_1526 = BgL_argsz00_6264; 
BgL_fz00_1525 = BgL_fz00_6263; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6262);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1883z00_1933;obj_t BgL_arg1884z00_1934;
BgL_arg1883z00_1933 = 
CAR(BgL_ez00_69); 
BgL_arg1884z00_1934 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6268;
{ 
obj_t BgL_argsz00_6270;obj_t BgL_fz00_6269;
BgL_fz00_6269 = BgL_arg1883z00_1933; 
BgL_argsz00_6270 = BgL_arg1884z00_1934; 
BgL_argsz00_1526 = BgL_argsz00_6270; 
BgL_fz00_1525 = BgL_fz00_6269; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6268);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1885z00_1935;obj_t BgL_arg1886z00_1936;
BgL_arg1885z00_1935 = 
CAR(BgL_ez00_69); 
BgL_arg1886z00_1936 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6274;
{ 
obj_t BgL_argsz00_6276;obj_t BgL_fz00_6275;
BgL_fz00_6275 = BgL_arg1885z00_1935; 
BgL_argsz00_6276 = BgL_arg1886z00_1936; 
BgL_argsz00_1526 = BgL_argsz00_6276; 
BgL_fz00_1525 = BgL_fz00_6275; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6274);} } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(BgL_carzd23820zd2_1600==BGl_symbol3073z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd2249zd2_1534))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd2249zd2_1534)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1908z00_1960;
BgL_arg1908z00_1960 = 
CAR(BgL_cdrzd2249zd2_1534); 
{ 
BgL_ev_trapz00_bglt BgL_auxz00_6286;
{ 
obj_t BgL_ez00_6287;
BgL_ez00_6287 = BgL_arg1908z00_1960; 
BgL_ez00_1462 = BgL_ez00_6287; 
goto BgL_tagzd2153zd2_1463;} 
return 
((obj_t)BgL_auxz00_6286);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1909z00_1961;obj_t BgL_arg1910z00_1962;
BgL_arg1909z00_1961 = 
CAR(BgL_ez00_69); 
BgL_arg1910z00_1962 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6291;
{ 
obj_t BgL_argsz00_6293;obj_t BgL_fz00_6292;
BgL_fz00_6292 = BgL_arg1909z00_1961; 
BgL_argsz00_6293 = BgL_arg1910z00_1962; 
BgL_argsz00_1526 = BgL_argsz00_6293; 
BgL_fz00_1525 = BgL_fz00_6292; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6291);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1912z00_1964;obj_t BgL_arg1913z00_1965;
BgL_arg1912z00_1964 = 
CAR(BgL_ez00_69); 
BgL_arg1913z00_1965 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6297;
{ 
obj_t BgL_argsz00_6299;obj_t BgL_fz00_6298;
BgL_fz00_6298 = BgL_arg1912z00_1964; 
BgL_argsz00_6299 = BgL_arg1913z00_1965; 
BgL_argsz00_1526 = BgL_argsz00_6299; 
BgL_fz00_1525 = BgL_fz00_6298; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6297);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd29337zd2_1966;
BgL_cdrzd29337zd2_1966 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3036z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd29337zd2_1966))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd29337zd2_1966)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1919z00_1972;
BgL_arg1919z00_1972 = 
CAR(BgL_cdrzd29337zd2_1966); 
{ 
BgL_ev_littz00_bglt BgL_auxz00_6311;
{ 
obj_t BgL_vz00_6312;
BgL_vz00_6312 = BgL_arg1919z00_1972; 
BgL_vz00_1464 = BgL_vz00_6312; 
goto BgL_tagzd2154zd2_1465;} 
return 
((obj_t)BgL_auxz00_6311);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1920z00_1973;
BgL_arg1920z00_1973 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6315;
{ 
obj_t BgL_argsz00_6317;obj_t BgL_fz00_6316;
BgL_fz00_6316 = BgL_arg1920z00_1973; 
BgL_argsz00_6317 = BgL_cdrzd29337zd2_1966; 
BgL_argsz00_1526 = BgL_argsz00_6317; 
BgL_fz00_1525 = BgL_fz00_6316; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6315);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1923z00_1976;
BgL_arg1923z00_1976 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6320;
{ 
obj_t BgL_argsz00_6322;obj_t BgL_fz00_6321;
BgL_fz00_6321 = BgL_arg1923z00_1976; 
BgL_argsz00_6322 = BgL_cdrzd29337zd2_1966; 
BgL_argsz00_1526 = BgL_argsz00_6322; 
BgL_fz00_1525 = BgL_fz00_6321; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6320);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3044z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd29337zd2_1966))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd29947zd2_1982;
BgL_cdrzd29947zd2_1982 = 
CDR(BgL_cdrzd29337zd2_1966); 
if(
PAIRP(BgL_cdrzd29947zd2_1982))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd29952zd2_1984;
BgL_cdrzd29952zd2_1984 = 
CDR(BgL_cdrzd29947zd2_1982); 
if(
PAIRP(BgL_cdrzd29952zd2_1984))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd29952zd2_1984)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1932z00_1988;obj_t BgL_arg1933z00_1989;obj_t BgL_arg1934z00_1990;
BgL_arg1932z00_1988 = 
CAR(BgL_cdrzd29337zd2_1966); 
BgL_arg1933z00_1989 = 
CAR(BgL_cdrzd29947zd2_1982); 
BgL_arg1934z00_1990 = 
CAR(BgL_cdrzd29952zd2_1984); 
{ 
BgL_ev_ifz00_bglt BgL_auxz00_6341;
{ 
obj_t BgL_oz00_6344;obj_t BgL_tz00_6343;obj_t BgL_pz00_6342;
BgL_pz00_6342 = BgL_arg1932z00_1988; 
BgL_tz00_6343 = BgL_arg1933z00_1989; 
BgL_oz00_6344 = BgL_arg1934z00_1990; 
BgL_oz00_1468 = BgL_oz00_6344; 
BgL_tz00_1467 = BgL_tz00_6343; 
BgL_pz00_1466 = BgL_pz00_6342; 
goto BgL_tagzd2155zd2_1469;} 
return 
((obj_t)BgL_auxz00_6341);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1935z00_1991;obj_t BgL_arg1936z00_1992;
BgL_arg1935z00_1991 = 
CAR(BgL_ez00_69); 
BgL_arg1936z00_1992 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6348;
{ 
obj_t BgL_argsz00_6350;obj_t BgL_fz00_6349;
BgL_fz00_6349 = BgL_arg1935z00_1991; 
BgL_argsz00_6350 = BgL_arg1936z00_1992; 
BgL_argsz00_1526 = BgL_argsz00_6350; 
BgL_fz00_1525 = BgL_fz00_6349; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6348);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd210250zd2_1994;
BgL_cdrzd210250zd2_1994 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd210256zd2_1995;
BgL_cdrzd210256zd2_1995 = 
CDR(
((obj_t)BgL_cdrzd210250zd2_1994)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd210256zd2_1995))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1940z00_1998;obj_t BgL_arg1941z00_1999;
BgL_arg1940z00_1998 = 
CAR(
((obj_t)BgL_cdrzd210250zd2_1994)); 
BgL_arg1941z00_1999 = 
CAR(
((obj_t)BgL_cdrzd210256zd2_1995)); 
{ 
BgL_ev_ifz00_bglt BgL_auxz00_6363;
{ 
obj_t BgL_tz00_6365;obj_t BgL_pz00_6364;
BgL_pz00_6364 = BgL_arg1940z00_1998; 
BgL_tz00_6365 = BgL_arg1941z00_1999; 
BgL_tz00_1471 = BgL_tz00_6365; 
BgL_pz00_1470 = BgL_pz00_6364; 
goto BgL_tagzd2156zd2_1472;} 
return 
((obj_t)BgL_auxz00_6363);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1942z00_2000;
BgL_arg1942z00_2000 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6368;
{ 
obj_t BgL_argsz00_6370;obj_t BgL_fz00_6369;
BgL_fz00_6369 = BgL_arg1942z00_2000; 
BgL_argsz00_6370 = BgL_cdrzd210250zd2_1994; 
BgL_argsz00_1526 = BgL_argsz00_6370; 
BgL_fz00_1525 = BgL_fz00_6369; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6368);} } } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1945z00_2003;obj_t BgL_arg1946z00_2004;
BgL_arg1945z00_2003 = 
CAR(BgL_ez00_69); 
BgL_arg1946z00_2004 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6374;
{ 
obj_t BgL_argsz00_6376;obj_t BgL_fz00_6375;
BgL_fz00_6375 = BgL_arg1945z00_2003; 
BgL_argsz00_6376 = BgL_arg1946z00_2004; 
BgL_argsz00_1526 = BgL_argsz00_6376; 
BgL_fz00_1525 = BgL_fz00_6375; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6374);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1947z00_2005;obj_t BgL_arg1948z00_2006;
BgL_arg1947z00_2005 = 
CAR(BgL_ez00_69); 
BgL_arg1948z00_2006 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6380;
{ 
obj_t BgL_argsz00_6382;obj_t BgL_fz00_6381;
BgL_fz00_6381 = BgL_arg1947z00_2005; 
BgL_argsz00_6382 = BgL_arg1948z00_2006; 
BgL_argsz00_1526 = BgL_argsz00_6382; 
BgL_fz00_1525 = BgL_fz00_6381; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6380);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3075z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1951z00_2009;
BgL_arg1951z00_2009 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_orz00_bglt BgL_auxz00_6388;
{ 
obj_t BgL_argsz00_6389;
BgL_argsz00_6389 = BgL_arg1951z00_2009; 
BgL_argsz00_1473 = BgL_argsz00_6389; 
goto BgL_tagzd2157zd2_1474;} 
return 
((obj_t)BgL_auxz00_6388);} }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3077z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1954z00_2012;
BgL_arg1954z00_2012 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_andz00_bglt BgL_auxz00_6395;
{ 
obj_t BgL_argsz00_6396;
BgL_argsz00_6396 = BgL_arg1954z00_2012; 
BgL_argsz00_1475 = BgL_argsz00_6396; 
goto BgL_tagzd2158zd2_1476;} 
return 
((obj_t)BgL_auxz00_6395);} }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3062z00zz__evaluatez00))
{ 
obj_t BgL_lz00_6401;
BgL_lz00_6401 = 
CDR(BgL_ez00_69); 
BgL_lz00_1477 = BgL_lz00_6401; 
goto BgL_tagzd2159zd2_1478;}  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd211149zd2_2016;
BgL_cdrzd211149zd2_2016 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3046z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd211149zd2_2016))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1961z00_2020;obj_t BgL_arg1962z00_2021;
BgL_arg1961z00_2020 = 
CAR(BgL_cdrzd211149zd2_2016); 
BgL_arg1962z00_2021 = 
CDR(BgL_cdrzd211149zd2_2016); 
{ 
BgL_ev_letz00_bglt BgL_auxz00_6411;
{ 
obj_t BgL_bodyz00_6413;obj_t BgL_bindsz00_6412;
BgL_bindsz00_6412 = BgL_arg1961z00_2020; 
BgL_bodyz00_6413 = BgL_arg1962z00_2021; 
BgL_bodyz00_1480 = BgL_bodyz00_6413; 
BgL_bindsz00_1479 = BgL_bindsz00_6412; 
goto BgL_tagzd2160zd2_1481;} 
return 
((obj_t)BgL_auxz00_6411);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1963z00_2022;
BgL_arg1963z00_2022 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6416;
{ 
obj_t BgL_argsz00_6418;obj_t BgL_fz00_6417;
BgL_fz00_6417 = BgL_arg1963z00_2022; 
BgL_argsz00_6418 = BgL_cdrzd211149zd2_2016; 
BgL_argsz00_1526 = BgL_argsz00_6418; 
BgL_fz00_1525 = BgL_fz00_6417; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6416);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3079z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd211149zd2_2016))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1968z00_2028;obj_t BgL_arg1969z00_2029;
BgL_arg1968z00_2028 = 
CAR(BgL_cdrzd211149zd2_2016); 
BgL_arg1969z00_2029 = 
CDR(BgL_cdrzd211149zd2_2016); 
{ 
BgL_ev_letza2za2_bglt BgL_auxz00_6427;
{ 
obj_t BgL_bodyz00_6429;obj_t BgL_bindsz00_6428;
BgL_bindsz00_6428 = BgL_arg1968z00_2028; 
BgL_bodyz00_6429 = BgL_arg1969z00_2029; 
BgL_bodyz00_1483 = BgL_bodyz00_6429; 
BgL_bindsz00_1482 = BgL_bindsz00_6428; 
goto BgL_tagzd2161zd2_1484;} 
return 
((obj_t)BgL_auxz00_6427);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1970z00_2030;obj_t BgL_arg1971z00_2031;
BgL_arg1970z00_2030 = 
CAR(BgL_ez00_69); 
BgL_arg1971z00_2031 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6433;
{ 
obj_t BgL_argsz00_6435;obj_t BgL_fz00_6434;
BgL_fz00_6434 = BgL_arg1970z00_2030; 
BgL_argsz00_6435 = BgL_arg1971z00_2031; 
BgL_argsz00_1526 = BgL_argsz00_6435; 
BgL_fz00_1525 = BgL_fz00_6434; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6433);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd211543zd2_2032;
BgL_cdrzd211543zd2_2032 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3081z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd211543zd2_2032))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1975z00_2036;obj_t BgL_arg1976z00_2037;
BgL_arg1975z00_2036 = 
CAR(BgL_cdrzd211543zd2_2032); 
BgL_arg1976z00_2037 = 
CDR(BgL_cdrzd211543zd2_2032); 
{ 
BgL_ev_letrecz00_bglt BgL_auxz00_6445;
{ 
obj_t BgL_bodyz00_6447;obj_t BgL_bindsz00_6446;
BgL_bindsz00_6446 = BgL_arg1975z00_2036; 
BgL_bodyz00_6447 = BgL_arg1976z00_2037; 
BgL_bodyz00_1486 = BgL_bodyz00_6447; 
BgL_bindsz00_1485 = BgL_bindsz00_6446; 
goto BgL_tagzd2162zd2_1487;} 
return 
((obj_t)BgL_auxz00_6445);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1977z00_2038;
BgL_arg1977z00_2038 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6450;
{ 
obj_t BgL_argsz00_6452;obj_t BgL_fz00_6451;
BgL_fz00_6451 = BgL_arg1977z00_2038; 
BgL_argsz00_6452 = BgL_cdrzd211543zd2_2032; 
BgL_argsz00_1526 = BgL_argsz00_6452; 
BgL_fz00_1525 = BgL_fz00_6451; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6450);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3083z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd211543zd2_2032))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd211717zd2_2044;obj_t BgL_cdrzd211718zd2_2045;
BgL_carzd211717zd2_2044 = 
CAR(BgL_cdrzd211543zd2_2032); 
BgL_cdrzd211718zd2_2045 = 
CDR(BgL_cdrzd211543zd2_2032); 
if(
PAIRP(BgL_carzd211717zd2_2044))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd211722zd2_2047;
BgL_cdrzd211722zd2_2047 = 
CDR(BgL_carzd211717zd2_2044); 
if(
(
CAR(BgL_carzd211717zd2_2044)==BGl_symbol3069z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd211722zd2_2047))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd211725zd2_2051;obj_t BgL_cdrzd211726zd2_2052;
BgL_carzd211725zd2_2051 = 
CAR(BgL_cdrzd211722zd2_2047); 
BgL_cdrzd211726zd2_2052 = 
CDR(BgL_cdrzd211722zd2_2047); 
if(
SYMBOLP(BgL_carzd211725zd2_2051))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd211726zd2_2052))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd211730zd2_2055;
BgL_carzd211730zd2_2055 = 
CAR(BgL_cdrzd211726zd2_2052); 
if(
SYMBOLP(BgL_carzd211730zd2_2055))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd211726zd2_2052)))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd211718zd2_2045))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd211718zd2_2045)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1994z00_2062;
BgL_arg1994z00_2062 = 
CAR(BgL_cdrzd211718zd2_2045); 
{ 
BgL_ev_setglobalz00_bglt BgL_auxz00_6487;
{ 
obj_t BgL_ez00_6490;obj_t BgL_modnamez00_6489;obj_t BgL_idz00_6488;
BgL_idz00_6488 = BgL_carzd211725zd2_2051; 
BgL_modnamez00_6489 = BgL_carzd211730zd2_2055; 
BgL_ez00_6490 = BgL_arg1994z00_2062; 
BgL_ez00_1490 = BgL_ez00_6490; 
BgL_modnamez00_1489 = BgL_modnamez00_6489; 
BgL_idz00_1488 = BgL_idz00_6488; 
goto BgL_tagzd2163zd2_1491;} 
return 
((obj_t)BgL_auxz00_6487);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd211846zd2_2064;
BgL_cdrzd211846zd2_2064 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd211850zd2_2065;
BgL_cdrzd211850zd2_2065 = 
CDR(
((obj_t)BgL_cdrzd211846zd2_2064)); 
if(
PAIRP(BgL_cdrzd211850zd2_2065))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd211850zd2_2065)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1999z00_2069;obj_t BgL_arg2000z00_2070;
BgL_arg1999z00_2069 = 
CAR(
((obj_t)BgL_cdrzd211846zd2_2064)); 
BgL_arg2000z00_2070 = 
CAR(BgL_cdrzd211850zd2_2065); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6503;
{ 
obj_t BgL_ez00_6505;obj_t BgL_vz00_6504;
BgL_vz00_6504 = BgL_arg1999z00_2069; 
BgL_ez00_6505 = BgL_arg2000z00_2070; 
BgL_ez00_1496 = BgL_ez00_6505; 
BgL_vz00_1495 = BgL_vz00_6504; 
goto BgL_tagzd2165zd2_1497;} 
return 
((obj_t)BgL_auxz00_6503);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd211907zd2_2073;
BgL_cdrzd211907zd2_2073 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd211911zd2_2074;
BgL_cdrzd211911zd2_2074 = 
CDR(
((obj_t)BgL_cdrzd211907zd2_2073)); 
if(
PAIRP(BgL_cdrzd211911zd2_2074))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd211911zd2_2074)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2006z00_2078;obj_t BgL_arg2007z00_2079;
BgL_arg2006z00_2078 = 
CAR(
((obj_t)BgL_cdrzd211907zd2_2073)); 
BgL_arg2007z00_2079 = 
CAR(BgL_cdrzd211911zd2_2074); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6518;
{ 
obj_t BgL_ez00_6520;obj_t BgL_vz00_6519;
BgL_vz00_6519 = BgL_arg2006z00_2078; 
BgL_ez00_6520 = BgL_arg2007z00_2079; 
BgL_ez00_1496 = BgL_ez00_6520; 
BgL_vz00_1495 = BgL_vz00_6519; 
goto BgL_tagzd2165zd2_1497;} 
return 
((obj_t)BgL_auxz00_6518);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd211968zd2_2081;
BgL_cdrzd211968zd2_2081 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd211972zd2_2082;
BgL_cdrzd211972zd2_2082 = 
CDR(
((obj_t)BgL_cdrzd211968zd2_2081)); 
if(
PAIRP(BgL_cdrzd211972zd2_2082))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd211972zd2_2082)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2012z00_2086;obj_t BgL_arg2013z00_2087;
BgL_arg2012z00_2086 = 
CAR(
((obj_t)BgL_cdrzd211968zd2_2081)); 
BgL_arg2013z00_2087 = 
CAR(BgL_cdrzd211972zd2_2082); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6533;
{ 
obj_t BgL_ez00_6535;obj_t BgL_vz00_6534;
BgL_vz00_6534 = BgL_arg2012z00_2086; 
BgL_ez00_6535 = BgL_arg2013z00_2087; 
BgL_ez00_1496 = BgL_ez00_6535; 
BgL_vz00_1495 = BgL_vz00_6534; 
goto BgL_tagzd2165zd2_1497;} 
return 
((obj_t)BgL_auxz00_6533);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212029zd2_2089;
BgL_cdrzd212029zd2_2089 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212033zd2_2090;
BgL_cdrzd212033zd2_2090 = 
CDR(
((obj_t)BgL_cdrzd212029zd2_2089)); 
if(
PAIRP(BgL_cdrzd212033zd2_2090))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd212033zd2_2090)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2018z00_2094;obj_t BgL_arg2019z00_2095;
BgL_arg2018z00_2094 = 
CAR(
((obj_t)BgL_cdrzd212029zd2_2089)); 
BgL_arg2019z00_2095 = 
CAR(BgL_cdrzd212033zd2_2090); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6548;
{ 
obj_t BgL_ez00_6550;obj_t BgL_vz00_6549;
BgL_vz00_6549 = BgL_arg2018z00_2094; 
BgL_ez00_6550 = BgL_arg2019z00_2095; 
BgL_ez00_1496 = BgL_ez00_6550; 
BgL_vz00_1495 = BgL_vz00_6549; 
goto BgL_tagzd2165zd2_1497;} 
return 
((obj_t)BgL_auxz00_6548);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212090zd2_2097;
BgL_cdrzd212090zd2_2097 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212094zd2_2098;
BgL_cdrzd212094zd2_2098 = 
CDR(
((obj_t)BgL_cdrzd212090zd2_2097)); 
if(
PAIRP(BgL_cdrzd212094zd2_2098))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd212094zd2_2098)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2024z00_2102;obj_t BgL_arg2025z00_2103;
BgL_arg2024z00_2102 = 
CAR(
((obj_t)BgL_cdrzd212090zd2_2097)); 
BgL_arg2025z00_2103 = 
CAR(BgL_cdrzd212094zd2_2098); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6563;
{ 
obj_t BgL_ez00_6565;obj_t BgL_vz00_6564;
BgL_vz00_6564 = BgL_arg2024z00_2102; 
BgL_ez00_6565 = BgL_arg2025z00_2103; 
BgL_ez00_1496 = BgL_ez00_6565; 
BgL_vz00_1495 = BgL_vz00_6564; 
goto BgL_tagzd2165zd2_1497;} 
return 
((obj_t)BgL_auxz00_6563);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212138zd2_2105;
BgL_cdrzd212138zd2_2105 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd212141zd2_2106;obj_t BgL_cdrzd212142zd2_2107;
BgL_carzd212141zd2_2106 = 
CAR(
((obj_t)BgL_cdrzd212138zd2_2105)); 
BgL_cdrzd212142zd2_2107 = 
CDR(
((obj_t)BgL_cdrzd212138zd2_2105)); 
if(
(
CAR(
((obj_t)BgL_carzd212141zd2_2106))==BGl_symbol3071z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd212142zd2_2107))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd212142zd2_2107)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2032z00_2113;obj_t BgL_arg2033z00_2114;
BgL_arg2032z00_2113 = 
CDR(
((obj_t)BgL_carzd212141zd2_2106)); 
BgL_arg2033z00_2114 = 
CAR(BgL_cdrzd212142zd2_2107); 
{ 
obj_t BgL_e2z00_6585;obj_t BgL_lz00_6584;
BgL_lz00_6584 = BgL_arg2032z00_2113; 
BgL_e2z00_6585 = BgL_arg2033z00_2114; 
BgL_e2z00_1493 = BgL_e2z00_6585; 
BgL_lz00_1492 = BgL_lz00_6584; 
goto BgL_tagzd2164zd2_1494;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212218zd2_2117;
BgL_cdrzd212218zd2_2117 = 
CDR(
((obj_t)BgL_cdrzd212138zd2_2105)); 
if(
PAIRP(BgL_cdrzd212218zd2_2117))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd212218zd2_2117)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2038z00_2121;obj_t BgL_arg2039z00_2122;
BgL_arg2038z00_2121 = 
CAR(
((obj_t)BgL_cdrzd212138zd2_2105)); 
BgL_arg2039z00_2122 = 
CAR(BgL_cdrzd212218zd2_2117); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6596;
{ 
obj_t BgL_ez00_6598;obj_t BgL_vz00_6597;
BgL_vz00_6597 = BgL_arg2038z00_2121; 
BgL_ez00_6598 = BgL_arg2039z00_2122; 
BgL_ez00_1496 = BgL_ez00_6598; 
BgL_vz00_1495 = BgL_vz00_6597; 
goto BgL_tagzd2165zd2_1497;} 
return 
((obj_t)BgL_auxz00_6596);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} } } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212275zd2_2126;
BgL_cdrzd212275zd2_2126 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212279zd2_2127;
BgL_cdrzd212279zd2_2127 = 
CDR(
((obj_t)BgL_cdrzd212275zd2_2126)); 
if(
PAIRP(BgL_cdrzd212279zd2_2127))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd212279zd2_2127)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2046z00_2131;obj_t BgL_arg2047z00_2132;
BgL_arg2046z00_2131 = 
CAR(
((obj_t)BgL_cdrzd212275zd2_2126)); 
BgL_arg2047z00_2132 = 
CAR(BgL_cdrzd212279zd2_2127); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6611;
{ 
obj_t BgL_ez00_6613;obj_t BgL_vz00_6612;
BgL_vz00_6612 = BgL_arg2046z00_2131; 
BgL_ez00_6613 = BgL_arg2047z00_2132; 
BgL_ez00_1496 = BgL_ez00_6613; 
BgL_vz00_1495 = BgL_vz00_6612; 
goto BgL_tagzd2165zd2_1497;} 
return 
((obj_t)BgL_auxz00_6611);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} } } }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1498;} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212400zd2_2134;
BgL_cdrzd212400zd2_2134 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3085z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd212400zd2_2134))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212405zd2_2138;
BgL_cdrzd212405zd2_2138 = 
CDR(BgL_cdrzd212400zd2_2134); 
if(
PAIRP(BgL_cdrzd212405zd2_2138))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd212409zd2_2140;
BgL_carzd212409zd2_2140 = 
CAR(BgL_cdrzd212405zd2_2138); 
if(
PAIRP(BgL_carzd212409zd2_2140))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212414zd2_2142;
BgL_cdrzd212414zd2_2142 = 
CDR(BgL_carzd212409zd2_2140); 
if(
(
CAR(BgL_carzd212409zd2_2140)==BGl_symbol3048z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd212414zd2_2142))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212418zd2_2146;
BgL_cdrzd212418zd2_2146 = 
CDR(BgL_cdrzd212414zd2_2142); 
if(
PAIRP(BgL_cdrzd212418zd2_2146))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd212418zd2_2146)))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd212405zd2_2138)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2062z00_2152;obj_t BgL_arg2063z00_2153;obj_t BgL_arg2064z00_2154;
BgL_arg2062z00_2152 = 
CAR(BgL_cdrzd212400zd2_2134); 
BgL_arg2063z00_2153 = 
CAR(BgL_cdrzd212414zd2_2142); 
BgL_arg2064z00_2154 = 
CAR(BgL_cdrzd212418zd2_2146); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6645;
{ 
obj_t BgL_bodyz00_6648;obj_t BgL_formalsz00_6647;obj_t BgL_gvz00_6646;
BgL_gvz00_6646 = BgL_arg2062z00_2152; 
BgL_formalsz00_6647 = BgL_arg2063z00_2153; 
BgL_bodyz00_6648 = BgL_arg2064z00_2154; 
BgL_bodyz00_1501 = BgL_bodyz00_6648; 
BgL_formalsz00_1500 = BgL_formalsz00_6647; 
BgL_gvz00_1499 = BgL_gvz00_6646; 
goto BgL_tagzd2167zd2_1502;} 
return 
((obj_t)BgL_auxz00_6645);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2065z00_2155;
BgL_arg2065z00_2155 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6651;
{ 
obj_t BgL_argsz00_6653;obj_t BgL_fz00_6652;
BgL_fz00_6652 = BgL_arg2065z00_2155; 
BgL_argsz00_6653 = BgL_cdrzd212400zd2_2134; 
BgL_argsz00_1526 = BgL_argsz00_6653; 
BgL_fz00_1525 = BgL_fz00_6652; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6651);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212518zd2_2159;
BgL_cdrzd212518zd2_2159 = 
CDR(
((obj_t)BgL_cdrzd212400zd2_2134)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212518zd2_2159))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2070z00_2162;obj_t BgL_arg2071z00_2163;
BgL_arg2070z00_2162 = 
CAR(
((obj_t)BgL_cdrzd212400zd2_2134)); 
BgL_arg2071z00_2163 = 
CAR(
((obj_t)BgL_cdrzd212518zd2_2159)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6665;
{ 
obj_t BgL_gez00_6667;obj_t BgL_gvz00_6666;
BgL_gvz00_6666 = BgL_arg2070z00_2162; 
BgL_gez00_6667 = BgL_arg2071z00_2163; 
BgL_gez00_1504 = BgL_gez00_6667; 
BgL_gvz00_1503 = BgL_gvz00_6666; 
goto BgL_tagzd2168zd2_1505;} 
return 
((obj_t)BgL_auxz00_6665);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2072z00_2164;obj_t BgL_arg2073z00_2165;
BgL_arg2072z00_2164 = 
CAR(BgL_ez00_69); 
BgL_arg2073z00_2165 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6671;
{ 
obj_t BgL_argsz00_6673;obj_t BgL_fz00_6672;
BgL_fz00_6672 = BgL_arg2072z00_2164; 
BgL_argsz00_6673 = BgL_arg2073z00_2165; 
BgL_argsz00_1526 = BgL_argsz00_6673; 
BgL_fz00_1525 = BgL_fz00_6672; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6671);} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212605zd2_2169;
BgL_cdrzd212605zd2_2169 = 
CDR(
((obj_t)BgL_cdrzd212400zd2_2134)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212605zd2_2169))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2078z00_2172;obj_t BgL_arg2079z00_2173;
BgL_arg2078z00_2172 = 
CAR(
((obj_t)BgL_cdrzd212400zd2_2134)); 
BgL_arg2079z00_2173 = 
CAR(
((obj_t)BgL_cdrzd212605zd2_2169)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6685;
{ 
obj_t BgL_gez00_6687;obj_t BgL_gvz00_6686;
BgL_gvz00_6686 = BgL_arg2078z00_2172; 
BgL_gez00_6687 = BgL_arg2079z00_2173; 
BgL_gez00_1504 = BgL_gez00_6687; 
BgL_gvz00_1503 = BgL_gvz00_6686; 
goto BgL_tagzd2168zd2_1505;} 
return 
((obj_t)BgL_auxz00_6685);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2080z00_2174;obj_t BgL_arg2081z00_2175;
BgL_arg2080z00_2174 = 
CAR(BgL_ez00_69); 
BgL_arg2081z00_2175 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6691;
{ 
obj_t BgL_argsz00_6693;obj_t BgL_fz00_6692;
BgL_fz00_6692 = BgL_arg2080z00_2174; 
BgL_argsz00_6693 = BgL_arg2081z00_2175; 
BgL_argsz00_1526 = BgL_argsz00_6693; 
BgL_fz00_1525 = BgL_fz00_6692; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6691);} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212692zd2_2178;
BgL_cdrzd212692zd2_2178 = 
CDR(
((obj_t)BgL_cdrzd212400zd2_2134)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212692zd2_2178))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2085z00_2181;obj_t BgL_arg2086z00_2182;
BgL_arg2085z00_2181 = 
CAR(
((obj_t)BgL_cdrzd212400zd2_2134)); 
BgL_arg2086z00_2182 = 
CAR(
((obj_t)BgL_cdrzd212692zd2_2178)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6705;
{ 
obj_t BgL_gez00_6707;obj_t BgL_gvz00_6706;
BgL_gvz00_6706 = BgL_arg2085z00_2181; 
BgL_gez00_6707 = BgL_arg2086z00_2182; 
BgL_gez00_1504 = BgL_gez00_6707; 
BgL_gvz00_1503 = BgL_gvz00_6706; 
goto BgL_tagzd2168zd2_1505;} 
return 
((obj_t)BgL_auxz00_6705);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2087z00_2183;obj_t BgL_arg2088z00_2184;
BgL_arg2087z00_2183 = 
CAR(BgL_ez00_69); 
BgL_arg2088z00_2184 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6711;
{ 
obj_t BgL_argsz00_6713;obj_t BgL_fz00_6712;
BgL_fz00_6712 = BgL_arg2087z00_2183; 
BgL_argsz00_6713 = BgL_arg2088z00_2184; 
BgL_argsz00_1526 = BgL_argsz00_6713; 
BgL_fz00_1525 = BgL_fz00_6712; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6711);} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212779zd2_2187;
BgL_cdrzd212779zd2_2187 = 
CDR(
((obj_t)BgL_cdrzd212400zd2_2134)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212779zd2_2187))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2092z00_2190;obj_t BgL_arg2093z00_2191;
BgL_arg2092z00_2190 = 
CAR(
((obj_t)BgL_cdrzd212400zd2_2134)); 
BgL_arg2093z00_2191 = 
CAR(
((obj_t)BgL_cdrzd212779zd2_2187)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6725;
{ 
obj_t BgL_gez00_6727;obj_t BgL_gvz00_6726;
BgL_gvz00_6726 = BgL_arg2092z00_2190; 
BgL_gez00_6727 = BgL_arg2093z00_2191; 
BgL_gez00_1504 = BgL_gez00_6727; 
BgL_gvz00_1503 = BgL_gvz00_6726; 
goto BgL_tagzd2168zd2_1505;} 
return 
((obj_t)BgL_auxz00_6725);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2094z00_2192;obj_t BgL_arg2095z00_2193;
BgL_arg2094z00_2192 = 
CAR(BgL_ez00_69); 
BgL_arg2095z00_2193 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6731;
{ 
obj_t BgL_argsz00_6733;obj_t BgL_fz00_6732;
BgL_fz00_6732 = BgL_arg2094z00_2192; 
BgL_argsz00_6733 = BgL_arg2095z00_2193; 
BgL_argsz00_1526 = BgL_argsz00_6733; 
BgL_fz00_1525 = BgL_fz00_6732; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6731);} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212866zd2_2197;
BgL_cdrzd212866zd2_2197 = 
CDR(
((obj_t)BgL_cdrzd212400zd2_2134)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212866zd2_2197))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2100z00_2200;obj_t BgL_arg2101z00_2201;
BgL_arg2100z00_2200 = 
CAR(
((obj_t)BgL_cdrzd212400zd2_2134)); 
BgL_arg2101z00_2201 = 
CAR(
((obj_t)BgL_cdrzd212866zd2_2197)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6745;
{ 
obj_t BgL_gez00_6747;obj_t BgL_gvz00_6746;
BgL_gvz00_6746 = BgL_arg2100z00_2200; 
BgL_gez00_6747 = BgL_arg2101z00_2201; 
BgL_gez00_1504 = BgL_gez00_6747; 
BgL_gvz00_1503 = BgL_gvz00_6746; 
goto BgL_tagzd2168zd2_1505;} 
return 
((obj_t)BgL_auxz00_6745);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2102z00_2202;obj_t BgL_arg2103z00_2203;
BgL_arg2102z00_2202 = 
CAR(BgL_ez00_69); 
BgL_arg2103z00_2203 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6751;
{ 
obj_t BgL_argsz00_6753;obj_t BgL_fz00_6752;
BgL_fz00_6752 = BgL_arg2102z00_2202; 
BgL_argsz00_6753 = BgL_arg2103z00_2203; 
BgL_argsz00_1526 = BgL_argsz00_6753; 
BgL_fz00_1525 = BgL_fz00_6752; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6751);} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2105z00_2205;
BgL_arg2105z00_2205 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6756;
{ 
obj_t BgL_argsz00_6758;obj_t BgL_fz00_6757;
BgL_fz00_6757 = BgL_arg2105z00_2205; 
BgL_argsz00_6758 = BgL_cdrzd212400zd2_2134; 
BgL_argsz00_1526 = BgL_argsz00_6758; 
BgL_fz00_1525 = BgL_fz00_6757; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6756);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2107z00_2207;
BgL_arg2107z00_2207 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6761;
{ 
obj_t BgL_argsz00_6763;obj_t BgL_fz00_6762;
BgL_fz00_6762 = BgL_arg2107z00_2207; 
BgL_argsz00_6763 = BgL_cdrzd212400zd2_2134; 
BgL_argsz00_1526 = BgL_argsz00_6763; 
BgL_fz00_1525 = BgL_fz00_6762; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6761);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3087z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd212400zd2_2134))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd213108zd2_2213;
BgL_carzd213108zd2_2213 = 
CAR(BgL_cdrzd212400zd2_2134); 
if(
PAIRP(BgL_carzd213108zd2_2213))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_carzd213108zd2_2213)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2115z00_2217;obj_t BgL_arg2116z00_2218;
BgL_arg2115z00_2217 = 
CAR(BgL_carzd213108zd2_2213); 
BgL_arg2116z00_2218 = 
CDR(BgL_cdrzd212400zd2_2134); 
{ 
BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_6778;
{ 
obj_t BgL_bodyz00_6780;obj_t BgL_vz00_6779;
BgL_vz00_6779 = BgL_arg2115z00_2217; 
BgL_bodyz00_6780 = BgL_arg2116z00_2218; 
BgL_bodyz00_1507 = BgL_bodyz00_6780; 
BgL_vz00_1506 = BgL_vz00_6779; 
goto BgL_tagzd2169zd2_1508;} 
return 
((obj_t)BgL_auxz00_6778);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2117z00_2219;obj_t BgL_arg2118z00_2220;
BgL_arg2117z00_2219 = 
CAR(BgL_ez00_69); 
BgL_arg2118z00_2220 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6784;
{ 
obj_t BgL_argsz00_6786;obj_t BgL_fz00_6785;
BgL_fz00_6785 = BgL_arg2117z00_2219; 
BgL_argsz00_6786 = BgL_arg2118z00_2220; 
BgL_argsz00_1526 = BgL_argsz00_6786; 
BgL_fz00_1525 = BgL_fz00_6785; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6784);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2120z00_2222;obj_t BgL_arg2121z00_2223;
BgL_arg2120z00_2222 = 
CAR(BgL_ez00_69); 
BgL_arg2121z00_2223 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6790;
{ 
obj_t BgL_argsz00_6792;obj_t BgL_fz00_6791;
BgL_fz00_6791 = BgL_arg2120z00_2222; 
BgL_argsz00_6792 = BgL_arg2121z00_2223; 
BgL_argsz00_1526 = BgL_argsz00_6792; 
BgL_fz00_1525 = BgL_fz00_6791; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6790);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2122z00_2224;obj_t BgL_arg2123z00_2225;
BgL_arg2122z00_2224 = 
CAR(BgL_ez00_69); 
BgL_arg2123z00_2225 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6796;
{ 
obj_t BgL_argsz00_6798;obj_t BgL_fz00_6797;
BgL_fz00_6797 = BgL_arg2122z00_2224; 
BgL_argsz00_6798 = BgL_arg2123z00_2225; 
BgL_argsz00_1526 = BgL_argsz00_6798; 
BgL_fz00_1525 = BgL_fz00_6797; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6796);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd213273zd2_2226;
BgL_cdrzd213273zd2_2226 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3089z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd213273zd2_2226))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2127z00_2230;obj_t BgL_arg2128z00_2231;
BgL_arg2127z00_2230 = 
CAR(BgL_cdrzd213273zd2_2226); 
BgL_arg2128z00_2231 = 
CDR(BgL_cdrzd213273zd2_2226); 
{ 
BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_6808;
{ 
obj_t BgL_bodyz00_6810;obj_t BgL_ez00_6809;
BgL_ez00_6809 = BgL_arg2127z00_2230; 
BgL_bodyz00_6810 = BgL_arg2128z00_2231; 
BgL_bodyz00_1510 = BgL_bodyz00_6810; 
BgL_ez00_1509 = BgL_ez00_6809; 
goto BgL_tagzd2170zd2_1511;} 
return 
((obj_t)BgL_auxz00_6808);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2129z00_2232;
BgL_arg2129z00_2232 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6813;
{ 
obj_t BgL_argsz00_6815;obj_t BgL_fz00_6814;
BgL_fz00_6814 = BgL_arg2129z00_2232; 
BgL_argsz00_6815 = BgL_cdrzd213273zd2_2226; 
BgL_argsz00_1526 = BgL_argsz00_6815; 
BgL_fz00_1525 = BgL_fz00_6814; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6813);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3091z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd213273zd2_2226))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2134z00_2238;obj_t BgL_arg2135z00_2239;
BgL_arg2134z00_2238 = 
CAR(BgL_cdrzd213273zd2_2226); 
BgL_arg2135z00_2239 = 
CDR(BgL_cdrzd213273zd2_2226); 
{ 
BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_6824;
{ 
obj_t BgL_bodyz00_6826;obj_t BgL_hz00_6825;
BgL_hz00_6825 = BgL_arg2134z00_2238; 
BgL_bodyz00_6826 = BgL_arg2135z00_2239; 
BgL_bodyz00_1513 = BgL_bodyz00_6826; 
BgL_hz00_1512 = BgL_hz00_6825; 
goto BgL_tagzd2171zd2_1514;} 
return 
((obj_t)BgL_auxz00_6824);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2136z00_2240;obj_t BgL_arg2137z00_2241;
BgL_arg2136z00_2240 = 
CAR(BgL_ez00_69); 
BgL_arg2137z00_2241 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6830;
{ 
obj_t BgL_argsz00_6832;obj_t BgL_fz00_6831;
BgL_fz00_6831 = BgL_arg2136z00_2240; 
BgL_argsz00_6832 = BgL_arg2137z00_2241; 
BgL_argsz00_1526 = BgL_argsz00_6832; 
BgL_fz00_1525 = BgL_fz00_6831; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6830);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd213376zd2_2242;
BgL_cdrzd213376zd2_2242 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3093z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd213376zd2_2242))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd213381zd2_2246;
BgL_cdrzd213381zd2_2246 = 
CDR(BgL_cdrzd213376zd2_2242); 
if(
PAIRP(BgL_cdrzd213381zd2_2246))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd213386zd2_2248;
BgL_cdrzd213386zd2_2248 = 
CDR(BgL_cdrzd213381zd2_2246); 
if(
(
CAR(BgL_cdrzd213381zd2_2246)==BGl_keyword3095z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd213386zd2_2248))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2145z00_2252;obj_t BgL_arg2146z00_2253;obj_t BgL_arg2147z00_2254;
BgL_arg2145z00_2252 = 
CAR(BgL_cdrzd213376zd2_2242); 
BgL_arg2146z00_2253 = 
CAR(BgL_cdrzd213386zd2_2248); 
BgL_arg2147z00_2254 = 
CDR(BgL_cdrzd213386zd2_2248); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6852;
{ 
obj_t BgL_bodyz00_6855;obj_t BgL_pz00_6854;obj_t BgL_mz00_6853;
BgL_mz00_6853 = BgL_arg2145z00_2252; 
BgL_pz00_6854 = BgL_arg2146z00_2253; 
BgL_bodyz00_6855 = BgL_arg2147z00_2254; 
BgL_bodyz00_1517 = BgL_bodyz00_6855; 
BgL_pz00_1516 = BgL_pz00_6854; 
BgL_mz00_1515 = BgL_mz00_6853; 
goto BgL_tagzd2172zd2_1518;} 
return 
((obj_t)BgL_auxz00_6852);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2148z00_2256;obj_t BgL_arg2149z00_2257;
BgL_arg2148z00_2256 = 
CAR(
((obj_t)BgL_cdrzd213376zd2_2242)); 
BgL_arg2149z00_2257 = 
CDR(
((obj_t)BgL_cdrzd213376zd2_2242)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6861;
{ 
obj_t BgL_bodyz00_6863;obj_t BgL_mz00_6862;
BgL_mz00_6862 = BgL_arg2148z00_2256; 
BgL_bodyz00_6863 = BgL_arg2149z00_2257; 
BgL_bodyz00_1520 = BgL_bodyz00_6863; 
BgL_mz00_1519 = BgL_mz00_6862; 
goto BgL_tagzd2173zd2_1521;} 
return 
((obj_t)BgL_auxz00_6861);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2150z00_2259;obj_t BgL_arg2151z00_2260;
BgL_arg2150z00_2259 = 
CAR(
((obj_t)BgL_cdrzd213376zd2_2242)); 
BgL_arg2151z00_2260 = 
CDR(
((obj_t)BgL_cdrzd213376zd2_2242)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6869;
{ 
obj_t BgL_bodyz00_6871;obj_t BgL_mz00_6870;
BgL_mz00_6870 = BgL_arg2150z00_2259; 
BgL_bodyz00_6871 = BgL_arg2151z00_2260; 
BgL_bodyz00_1520 = BgL_bodyz00_6871; 
BgL_mz00_1519 = BgL_mz00_6870; 
goto BgL_tagzd2173zd2_1521;} 
return 
((obj_t)BgL_auxz00_6869);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2153z00_2263;obj_t BgL_arg2154z00_2264;
BgL_arg2153z00_2263 = 
CAR(
((obj_t)BgL_cdrzd213376zd2_2242)); 
BgL_arg2154z00_2264 = 
CDR(
((obj_t)BgL_cdrzd213376zd2_2242)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6877;
{ 
obj_t BgL_bodyz00_6879;obj_t BgL_mz00_6878;
BgL_mz00_6878 = BgL_arg2153z00_2263; 
BgL_bodyz00_6879 = BgL_arg2154z00_2264; 
BgL_bodyz00_1520 = BgL_bodyz00_6879; 
BgL_mz00_1519 = BgL_mz00_6878; 
goto BgL_tagzd2173zd2_1521;} 
return 
((obj_t)BgL_auxz00_6877);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2155z00_2265;
BgL_arg2155z00_2265 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6882;
{ 
obj_t BgL_argsz00_6884;obj_t BgL_fz00_6883;
BgL_fz00_6883 = BgL_arg2155z00_2265; 
BgL_argsz00_6884 = BgL_cdrzd213376zd2_2242; 
BgL_argsz00_1526 = BgL_argsz00_6884; 
BgL_fz00_1525 = BgL_fz00_6883; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6882);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3048z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd213376zd2_2242))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd213486zd2_2271;
BgL_cdrzd213486zd2_2271 = 
CDR(BgL_cdrzd213376zd2_2242); 
if(
PAIRP(BgL_cdrzd213486zd2_2271))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd213486zd2_2271)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2163z00_2275;obj_t BgL_arg2164z00_2276;
BgL_arg2163z00_2275 = 
CAR(BgL_cdrzd213376zd2_2242); 
BgL_arg2164z00_2276 = 
CAR(BgL_cdrzd213486zd2_2271); 
{ 
BgL_ev_absz00_bglt BgL_auxz00_6899;
{ 
obj_t BgL_bodyz00_6901;obj_t BgL_formalsz00_6900;
BgL_formalsz00_6900 = BgL_arg2163z00_2275; 
BgL_bodyz00_6901 = BgL_arg2164z00_2276; 
BgL_bodyz00_1523 = BgL_bodyz00_6901; 
BgL_formalsz00_1522 = BgL_formalsz00_6900; 
goto BgL_tagzd2174zd2_1524;} 
return 
((obj_t)BgL_auxz00_6899);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2165z00_2277;obj_t BgL_arg2166z00_2278;
BgL_arg2165z00_2277 = 
CAR(BgL_ez00_69); 
BgL_arg2166z00_2278 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6905;
{ 
obj_t BgL_argsz00_6907;obj_t BgL_fz00_6906;
BgL_fz00_6906 = BgL_arg2165z00_2277; 
BgL_argsz00_6907 = BgL_arg2166z00_2278; 
BgL_argsz00_1526 = BgL_argsz00_6907; 
BgL_fz00_1525 = BgL_fz00_6906; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6905);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2168z00_2280;obj_t BgL_arg2169z00_2281;
BgL_arg2168z00_2280 = 
CAR(BgL_ez00_69); 
BgL_arg2169z00_2281 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6911;
{ 
obj_t BgL_argsz00_6913;obj_t BgL_fz00_6912;
BgL_fz00_6912 = BgL_arg2168z00_2280; 
BgL_argsz00_6913 = BgL_arg2169z00_2281; 
BgL_argsz00_1526 = BgL_argsz00_6913; 
BgL_fz00_1525 = BgL_fz00_6912; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6911);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2170z00_2282;obj_t BgL_arg2171z00_2283;
BgL_arg2170z00_2282 = 
CAR(BgL_ez00_69); 
BgL_arg2171z00_2283 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6917;
{ 
obj_t BgL_argsz00_6919;obj_t BgL_fz00_6918;
BgL_fz00_6918 = BgL_arg2170z00_2282; 
BgL_argsz00_6919 = BgL_arg2171z00_2283; 
BgL_argsz00_1526 = BgL_argsz00_6919; 
BgL_fz00_1525 = BgL_fz00_6918; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6917);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2172z00_2284;obj_t BgL_arg2173z00_2285;
BgL_arg2172z00_2284 = 
CAR(BgL_ez00_69); 
BgL_arg2173z00_2285 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6923;
{ 
obj_t BgL_argsz00_6925;obj_t BgL_fz00_6924;
BgL_fz00_6924 = BgL_arg2172z00_2284; 
BgL_argsz00_6925 = BgL_arg2173z00_2285; 
BgL_argsz00_1526 = BgL_argsz00_6925; 
BgL_fz00_1525 = BgL_fz00_6924; 
goto BgL_tagzd2175zd2_1527;} 
return 
((obj_t)BgL_auxz00_6923);} } } } } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate.scm 425 */
BgL_xz00_1450 = BgL_ez00_69; 
if(
SYMBOLP(BgL_xz00_1450))
{ /* Eval/evaluate.scm 428 */
obj_t BgL__ortest_1101z00_2306;
BgL__ortest_1101z00_2306 = 
BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_1450, BgL_localsz00_70); 
if(
CBOOL(BgL__ortest_1101z00_2306))
{ /* Eval/evaluate.scm 428 */
return BgL__ortest_1101z00_2306;}  else 
{ /* Eval/evaluate.scm 428 */
return 
((obj_t)
BGl_convzd2globalzd2zz__evaluatez00(BgL_locz00_74, BgL_xz00_1450, BgL_globalsz00_71));} }  else 
{ /* Eval/evaluate.scm 429 */
BgL_ev_littz00_bglt BgL_new1103z00_2307;
{ /* Eval/evaluate.scm 430 */
BgL_ev_littz00_bglt BgL_new1102z00_2308;
BgL_new1102z00_2308 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 430 */
long BgL_arg2194z00_2309;
{ /* Eval/evaluate.scm 430 */
long BgL_res2717z00_3309;
BgL_res2717z00_3309 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg2194z00_2309 = BgL_res2717z00_3309; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1102z00_2308), BgL_arg2194z00_2309); } 
BgL_new1103z00_2307 = BgL_new1102z00_2308; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1103z00_2307))->BgL_valuez00)=((obj_t)BgL_xz00_1450),BUNSPEC); 
return 
((obj_t)BgL_new1103z00_2307);} } } } } 
BGL_FUNCTION_END;
}



/* loop~0 */
obj_t BGl_loopze70ze7zz__evaluatez00(obj_t BgL_wherez00_4423, obj_t BgL_globalsz00_4422, obj_t BgL_localsz00_4421, obj_t BgL_locz00_4420, obj_t BgL_esz00_2637)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 387 */
if(
NULLP(BgL_esz00_2637))
{ /* Eval/evaluate.scm 388 */
return BNIL;}  else 
{ /* Eval/evaluate.scm 390 */
obj_t BgL_ez00_2640;
BgL_ez00_2640 = 
CAR(
((obj_t)BgL_esz00_2637)); 
{ /* Eval/evaluate.scm 391 */
obj_t BgL_arg2345z00_2641;obj_t BgL_arg2346z00_2642;
BgL_arg2345z00_2641 = 
BGl_convz00zz__evaluatez00(BgL_ez00_2640, BgL_localsz00_4421, BgL_globalsz00_4422, BFALSE, BgL_wherez00_4423, 
BGl_getzd2location3zd2zz__evaluatez00(BgL_ez00_2640, BgL_esz00_2637, BgL_locz00_4420), ((bool_t)0)); 
{ /* Eval/evaluate.scm 392 */
obj_t BgL_arg2348z00_2644;
BgL_arg2348z00_2644 = 
CDR(
((obj_t)BgL_esz00_2637)); 
BgL_arg2346z00_2642 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_4423, BgL_globalsz00_4422, BgL_localsz00_4421, BgL_locz00_4420, BgL_arg2348z00_2644); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2345z00_2641, BgL_arg2346z00_2642);} } } 
BGL_FUNCTION_END;
}



/* rconv/loc~0 */
obj_t BGl_rconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4427, obj_t BgL_tailzf3zf3_4426, obj_t BgL_globalsz00_4425, obj_t BgL_localsz00_4424, obj_t BgL_ez00_2614, obj_t BgL_locz00_2615)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 369 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_2614, BgL_localsz00_4424, BgL_globalsz00_4425, BgL_tailzf3zf3_4426, BgL_wherez00_4427, BgL_locz00_2615, ((bool_t)0));} 
BGL_FUNCTION_END;
}



/* uconv/loc~0 */
obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4430, obj_t BgL_globalsz00_4429, obj_t BgL_localsz00_4428, obj_t BgL_ez00_2624, obj_t BgL_locz00_2625)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 378 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_2624, BgL_localsz00_4428, BgL_globalsz00_4429, BFALSE, BgL_wherez00_4430, BgL_locz00_2625, ((bool_t)0));} 
BGL_FUNCTION_END;
}



/* conv-vals~0 */
obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t BgL_wherez00_4432, obj_t BgL_globalsz00_4431, obj_t BgL_lz00_2455, obj_t BgL_varsz00_2456, obj_t BgL_localsz00_2457, obj_t BgL_locz00_2458)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 503 */
if(
NULLP(BgL_lz00_2455))
{ /* Eval/evaluate.scm 499 */
return BNIL;}  else 
{ /* Eval/evaluate.scm 501 */
obj_t BgL_locz00_2461;
{ /* Eval/evaluate.scm 501 */
obj_t BgL_arg2267z00_2469;
BgL_arg2267z00_2469 = 
CAR(
((obj_t)BgL_lz00_2455)); 
BgL_locz00_2461 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_arg2267z00_2469, BgL_locz00_2458); } 
{ /* Eval/evaluate.scm 502 */
obj_t BgL_arg2260z00_2462;obj_t BgL_arg2261z00_2463;
{ /* Eval/evaluate.scm 502 */
obj_t BgL_arg2262z00_2464;
{ /* Eval/evaluate.scm 502 */
obj_t BgL_pairz00_3402;
{ /* Eval/evaluate.scm 502 */
obj_t BgL_pairz00_3401;
BgL_pairz00_3401 = 
CAR(
((obj_t)BgL_lz00_2455)); 
BgL_pairz00_3402 = 
CDR(BgL_pairz00_3401); } 
BgL_arg2262z00_2464 = 
CAR(BgL_pairz00_3402); } 
BgL_arg2260z00_2462 = 
BGl_convz00zz__evaluatez00(BgL_arg2262z00_2464, BgL_localsz00_2457, BgL_globalsz00_4431, BFALSE, BgL_wherez00_4432, BgL_locz00_2461, ((bool_t)0)); } 
{ /* Eval/evaluate.scm 503 */
obj_t BgL_arg2263z00_2465;obj_t BgL_arg2264z00_2466;obj_t BgL_arg2265z00_2467;
BgL_arg2263z00_2465 = 
CDR(
((obj_t)BgL_lz00_2455)); 
BgL_arg2264z00_2466 = 
CDR(
((obj_t)BgL_varsz00_2456)); 
{ /* Eval/evaluate.scm 503 */
obj_t BgL_arg2266z00_2468;
BgL_arg2266z00_2468 = 
CAR(
((obj_t)BgL_varsz00_2456)); 
BgL_arg2265z00_2467 = 
MAKE_YOUNG_PAIR(BgL_arg2266z00_2468, BgL_localsz00_2457); } 
BgL_arg2261z00_2463 = 
BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_4432, BgL_globalsz00_4431, BgL_arg2263z00_2465, BgL_arg2264z00_2466, BgL_arg2265z00_2467, BgL_locz00_2461); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2260z00_2462, BgL_arg2261z00_2463);} } } 
BGL_FUNCTION_END;
}



/* conv-lambda~0 */
BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t BgL_globalsz00_4436, obj_t BgL_localsz00_4435, obj_t BgL_ez00_4434, obj_t BgL_locz00_4433, obj_t BgL_formalsz00_2646, obj_t BgL_bodyz00_2647, obj_t BgL_wherez00_2648, obj_t BgL_typez00_2649)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 405 */
{ 
obj_t BgL_lz00_2680;
{ /* Eval/evaluate.scm 407 */
obj_t BgL_argsz00_2652;
BgL_lz00_2680 = 
BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(BgL_formalsz00_2646, BGl_errorzd2envzd2zz__errorz00, ((bool_t)1)); 
{ 
obj_t BgL_rz00_2684;obj_t BgL_flatz00_2685;long BgL_arityz00_2686;
BgL_rz00_2684 = BgL_lz00_2680; 
BgL_flatz00_2685 = BNIL; 
BgL_arityz00_2686 = ((long)0); 
BgL_zc3anonymousza32362ze3z83_2687:
if(
NULLP(BgL_rz00_2684))
{ /* Eval/evaluate.scm 400 */
obj_t BgL_val0_1193z00_2689;
BgL_val0_1193z00_2689 = 
bgl_reverse_bang(BgL_flatz00_2685); 
{ /* Eval/evaluate.scm 400 */
int BgL_res2705z00_3280;
{ /* Eval/evaluate.scm 400 */
int BgL_tmpz00_6974;
BgL_tmpz00_6974 = 
(int)(((long)2)); 
BgL_res2705z00_3280 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6974); } BgL_res2705z00_3280; } 
{ /* Eval/evaluate.scm 400 */
obj_t BgL_auxz00_6979;int BgL_tmpz00_6977;
BgL_auxz00_6979 = 
BINT(BgL_arityz00_2686); 
BgL_tmpz00_6977 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6977, BgL_auxz00_6979); } 
BgL_argsz00_2652 = BgL_val0_1193z00_2689; }  else 
{ /* Eval/evaluate.scm 399 */
if(
PAIRP(BgL_rz00_2684))
{ /* Eval/evaluate.scm 404 */
obj_t BgL_arg2365z00_2692;obj_t BgL_arg2366z00_2693;long BgL_arg2367z00_2694;
BgL_arg2365z00_2692 = 
CDR(BgL_rz00_2684); 
BgL_arg2366z00_2693 = 
MAKE_YOUNG_PAIR(
BGl_untypezd2identzd2zz__evaluatez00(
CAR(BgL_rz00_2684)), BgL_flatz00_2685); 
BgL_arg2367z00_2694 = 
(BgL_arityz00_2686+((long)1)); 
{ 
long BgL_arityz00_6991;obj_t BgL_flatz00_6990;obj_t BgL_rz00_6989;
BgL_rz00_6989 = BgL_arg2365z00_2692; 
BgL_flatz00_6990 = BgL_arg2366z00_2693; 
BgL_arityz00_6991 = BgL_arg2367z00_2694; 
BgL_arityz00_2686 = BgL_arityz00_6991; 
BgL_flatz00_2685 = BgL_flatz00_6990; 
BgL_rz00_2684 = BgL_rz00_6989; 
goto BgL_zc3anonymousza32362ze3z83_2687;} }  else 
{ /* Eval/evaluate.scm 402 */
obj_t BgL_val0_1195z00_2697;long BgL_val1_1196z00_2698;
{ /* Eval/evaluate.scm 402 */
obj_t BgL_arg2370z00_2699;
BgL_arg2370z00_2699 = 
MAKE_YOUNG_PAIR(
BGl_untypezd2identzd2zz__evaluatez00(BgL_rz00_2684), BgL_flatz00_2685); 
BgL_val0_1195z00_2697 = 
bgl_reverse_bang(BgL_arg2370z00_2699); } 
BgL_val1_1196z00_2698 = 
(((long)-1)-BgL_arityz00_2686); 
{ /* Eval/evaluate.scm 402 */
int BgL_res2709z00_3288;
{ /* Eval/evaluate.scm 402 */
int BgL_tmpz00_6996;
BgL_tmpz00_6996 = 
(int)(((long)2)); 
BgL_res2709z00_3288 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6996); } BgL_res2709z00_3288; } 
{ /* Eval/evaluate.scm 402 */
obj_t BgL_auxz00_7001;int BgL_tmpz00_6999;
BgL_auxz00_7001 = 
BINT(BgL_val1_1196z00_2698); 
BgL_tmpz00_6999 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6999, BgL_auxz00_7001); } 
BgL_argsz00_2652 = BgL_val0_1195z00_2697; } } } 
{ /* Eval/evaluate.scm 408 */
obj_t BgL_arityz00_2653;
{ /* Eval/evaluate.scm 409 */
int BgL_tmpz00_7005;
BgL_tmpz00_7005 = 
(int)(((long)1)); 
BgL_arityz00_2653 = 
BGL_MVALUES_VAL(BgL_tmpz00_7005); } 
{ /* Eval/evaluate.scm 409 */
obj_t BgL_varsz00_2654;obj_t BgL_bodyz00_2655;obj_t BgL_nlocz00_2656;
if(
NULLP(BgL_argsz00_2652))
{ /* Eval/evaluate.scm 409 */
BgL_varsz00_2654 = BNIL; }  else 
{ /* Eval/evaluate.scm 409 */
obj_t BgL_head1199z00_2663;
{ /* Eval/evaluate.scm 409 */
obj_t BgL_res2711z00_3290;
BgL_res2711z00_3290 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1199z00_2663 = BgL_res2711z00_3290; } 
{ 
obj_t BgL_l1197z00_2665;obj_t BgL_tail1200z00_2666;
BgL_l1197z00_2665 = BgL_argsz00_2652; 
BgL_tail1200z00_2666 = BgL_head1199z00_2663; 
BgL_zc3anonymousza32353ze3z83_2667:
if(
NULLP(BgL_l1197z00_2665))
{ /* Eval/evaluate.scm 409 */
BgL_varsz00_2654 = 
CDR(BgL_head1199z00_2663); }  else 
{ /* Eval/evaluate.scm 409 */
obj_t BgL_newtail1201z00_2669;
{ /* Eval/evaluate.scm 409 */
BgL_ev_varz00_bglt BgL_arg2356z00_2671;
{ /* Eval/evaluate.scm 409 */
obj_t BgL_vz00_2672;
BgL_vz00_2672 = 
CAR(
((obj_t)BgL_l1197z00_2665)); 
{ /* Eval/evaluate.scm 410 */
BgL_ev_varz00_bglt BgL_new1097z00_2673;
{ /* Eval/evaluate.scm 412 */
BgL_ev_varz00_bglt BgL_new1096z00_2674;
BgL_new1096z00_2674 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 412 */
long BgL_arg2357z00_2675;
{ /* Eval/evaluate.scm 412 */
long BgL_res2713z00_3295;
BgL_res2713z00_3295 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg2357z00_2675 = BgL_res2713z00_3295; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1096z00_2674), BgL_arg2357z00_2675); } 
BgL_new1097z00_2673 = BgL_new1096z00_2674; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1097z00_2673))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_vz00_2672))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1097z00_2673))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1097z00_2673))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_vz00_2672))),BUNSPEC); 
BgL_arg2356z00_2671 = BgL_new1097z00_2673; } } 
{ /* Eval/evaluate.scm 409 */
obj_t BgL_res2714z00_3300;
BgL_res2714z00_3300 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2356z00_2671), BNIL); 
BgL_newtail1201z00_2669 = BgL_res2714z00_3300; } } 
SET_CDR(BgL_tail1200z00_2666, BgL_newtail1201z00_2669); 
{ /* Eval/evaluate.scm 409 */
obj_t BgL_arg2355z00_2670;
BgL_arg2355z00_2670 = 
CDR(
((obj_t)BgL_l1197z00_2665)); 
{ 
obj_t BgL_tail1200z00_7033;obj_t BgL_l1197z00_7032;
BgL_l1197z00_7032 = BgL_arg2355z00_2670; 
BgL_tail1200z00_7033 = BgL_newtail1201z00_2669; 
BgL_tail1200z00_2666 = BgL_tail1200z00_7033; 
BgL_l1197z00_2665 = BgL_l1197z00_7032; 
goto BgL_zc3anonymousza32353ze3z83_2667;} } } } } 
BgL_bodyz00_2655 = 
BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(BgL_ez00_4434, BgL_formalsz00_2646, 
BGl_typezd2checkszd2zz__evaluatez00(BgL_argsz00_2652, BgL_argsz00_2652, 
BGl_typezd2resultzd2zz__evaluatez00(BgL_typez00_2649, BgL_bodyz00_2647, BgL_locz00_4433), BgL_locz00_4433, BgL_wherez00_2648), BGl_errorzd2envzd2zz__errorz00); 
BgL_nlocz00_2656 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bodyz00_2647, BgL_locz00_4433); 
{ /* Eval/evaluate.scm 418 */
BgL_ev_absz00_bglt BgL_new1100z00_2657;
{ /* Eval/evaluate.scm 419 */
BgL_ev_absz00_bglt BgL_new1098z00_2659;
BgL_new1098z00_2659 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate.scm 419 */
long BgL_arg2351z00_2660;
{ /* Eval/evaluate.scm 419 */
long BgL_res2715z00_3304;
BgL_res2715z00_3304 = 
BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00); 
BgL_arg2351z00_2660 = BgL_res2715z00_3304; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_2659), BgL_arg2351z00_2660); } 
BgL_new1100z00_2657 = BgL_new1098z00_2659; } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2657))->BgL_locz00)=((obj_t)BgL_locz00_4433),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2657))->BgL_wherez00)=((obj_t)BgL_wherez00_2648),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2657))->BgL_arityz00)=((obj_t)BgL_arityz00_2653),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2657))->BgL_varsz00)=((obj_t)BgL_varsz00_2654),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_7046;
{ /* Eval/evaluate.scm 423 */
obj_t BgL_arg2350z00_2658;
BgL_arg2350z00_2658 = 
BGl_appendzd221009zd2zz__evaluatez00(BgL_varsz00_2654, BgL_localsz00_4435); 
BgL_auxz00_7046 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_bodyz00_2655, BgL_arg2350z00_2658, BgL_globalsz00_4436, BTRUE, BgL_wherez00_2648, BgL_nlocz00_2656, ((bool_t)0))); } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2657))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_7046),BUNSPEC); } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2657))->BgL_siza7eza7)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2657))->BgL_bindz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2657))->BgL_freez00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2657))->BgL_innerz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2657))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
return BgL_new1100z00_2657;} } } } } } 
BGL_FUNCTION_END;
}



/* uconv~0 */
obj_t BGl_uconvze70ze7zz__evaluatez00(obj_t BgL_locz00_4440, obj_t BgL_wherez00_4439, obj_t BgL_globalsz00_4438, obj_t BgL_localsz00_4437, obj_t BgL_ez00_2627)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 381 */
return 
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_4439, BgL_globalsz00_4438, BgL_localsz00_4437, BgL_ez00_2627, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_2627, BgL_locz00_4440));} 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)321192832), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)298117150), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)1047446), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)316564232), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)454272164), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)357154522), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)434692624), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-400105135), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)525089668), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)80758636), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)23062368), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)6183155), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(((long)483789130), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(((long)121298760), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long)193509656), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_compz00(((long)444000678), 
BSTRING_TO_STRING(BGl_string3097z00zz__evaluatez00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
