/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:26:26 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3e/bin/bigloo -srfi enable-resolv -srfi enable-gmp -srfi enable-unistring -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3e/lib/bigloo/4.3e -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3e/lib/bigloo/4.3e -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_comp.scm -o objs/obj_p/Eval/evaluate_comp.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32688ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5231z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5233z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5235z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5237z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5239z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31992ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32794ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32956ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5241z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5243z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5245z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5247z00zz__evaluate_compz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62zc3anonymousza32303ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33016ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32779ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_litt1397zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32990ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33598ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt, obj_t);
static obj_t BGl_z62zc3anonymousza32038ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza32797ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5278z00zz__evaluate_compz00 = BUNSPEC;
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33303ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32977ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5295z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5297z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5299z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza33037ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_compz00();
static obj_t BGl_cadrerrvz00zz__evaluate_compz00(obj_t);
extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_or1401zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33143ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33038ze3ze1zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3anonymousza32147ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33128ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3anonymousza32092ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32149ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_z62run5100z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_appendzd221009zd2zz__evaluate_compz00(obj_t, obj_t);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_z62run5102z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5104z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_zc3exitza33034ze3ze70z64zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run5106z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5108z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32700ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza33073ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33219ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static long BGl_correctz00zz__evaluate_compz00(obj_t, long);
static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long, obj_t, obj_t);
static obj_t BGl_z62run5110z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62run5112z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5114z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t, obj_t, long);
static obj_t BGl_z62run5116z62zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t);
static obj_t BGl_z62run5118z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32612ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33163ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
static obj_t BGl_z62run5120z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5122z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62run5124z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5126z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5128z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31900ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33431ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33180ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5130z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5132z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5134z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5136z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5138z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33327ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_reset_profilez00zz__evaluate_compz00();
static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run5140z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5142z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5144z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
static obj_t BGl_z62run5146z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5148z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32704ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33506ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_labels1421zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33523ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32632ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32616ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32349ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5101z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5103z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5105z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32188ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5107z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5109z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5111z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31816ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
static obj_t BGl_z62main5113z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5115z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5117z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5119z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32724ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5121z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32708ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33348ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5123z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5125z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5127z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t);
static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5129z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32652ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33292ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32636ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5131z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5133z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main5135z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main5137z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main5139z62zz__evaluate_compz00(obj_t);
extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_z62compzd2ev_bindzd2exit1413z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
extern int bgl_debug();
static obj_t BGl_z62zc3anonymousza32831ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33560ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32815ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33455ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32726ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5141z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33188ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32297ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5143z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5145z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_global1391zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
static obj_t BGl_z62main5147z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t, obj_t, obj_t, long, obj_t);
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
extern obj_t create_struct(obj_t, int);
static obj_t BGl_get_profilez00zz__evaluate_compz00();
static obj_t BGl_z62zc3anonymousza33472ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33383ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
extern long bgl_list_length(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00();
static obj_t BGl_z62compzd2ev_withzd2handler1417z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32922ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32906ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31837ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32299ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza32672ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32907ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32818ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32656ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33548ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_letza21409z12zz__evaluate_compz00(obj_t, obj_t, obj_t);
static bool_t BGl_cadrzf3zf3zz__evaluate_compz00(obj_t);
static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3anonymousza31946ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31857ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32692ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza32676ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__evaluate_compz00();
extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62zc3anonymousza32871ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32855ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33495ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31948ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
static obj_t BGl_symbol5301z00zz__evaluate_compz00 = BUNSPEC;
static bool_t BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32696ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_if1399zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol5153z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_trap1385zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol5155z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5157z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33023ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_makezd2statezd2zz__evaluate_compz00();
extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol5163z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza33202ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33024ze3ze1zz__evaluate_compz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5171z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5173z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5175z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5178z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza33041ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_prog21405zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32788ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5181z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5183z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5185z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5187z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5189z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32119ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl_symbol5191z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5193z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5195z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5197z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00();
static obj_t BGl_symbol5199z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_defglobal1395zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32225ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33027ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_setglobal1393zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32153ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32064ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_compz00();
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza33312ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33150ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33134ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza32260ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33062ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t bgl_reverse_bang(obj_t);
static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
static obj_t BGl_z62zc3anonymousza33241ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33209ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
static obj_t BGl_z62compzd2ev_let1407zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_goto1423zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza33421ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33170ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33405ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33227ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_zc3exitza33017ze3ze70z64zz__evaluate_compz00(obj_t, obj_t, obj_t, long, obj_t);
static obj_t BGl_z62zc3anonymousza32620ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33260ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32443ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33067ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_synchroniza7e1419z17zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
static obj_t BGl_z62run5064z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5066z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5068z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32712ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33336ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5070z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5072z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5074z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5076z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5078z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32640ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32624ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_var1387zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run5080z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_app1425zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run5082z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5084z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5086z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33621ze3ze1zz__evaluate_compz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00();
static obj_t BGl_z62zc3anonymousza32803ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5088z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31750ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33249ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5090z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5092z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5094z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5096z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5098z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33444ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t bigloo_string_lt(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31930ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33534ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32716ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza32822ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32660ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32806ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32644ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33284ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32628ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_and1403zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static bool_t BGl_checkzd2stackzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_z62zc3anonymousza32912ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33374ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31916ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33358ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33269ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
static obj_t BGl_z62main5063z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5065z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5067z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5069z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33642ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5071z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62main5073z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5075z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5077z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5079z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_abs1427zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
static obj_t BGl_z62zc3anonymousza32809ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5081z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5083z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5085z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5087z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5089z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_z62compzd2ev_letrec1411zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32842ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32680ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33482ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32664ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31773ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32648ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32397ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5091z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5093z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5095z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5097z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5099z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32011ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32932ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31952ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32860ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31880ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33395ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza32829ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62comp1381z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_setlocal1389zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31971ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31882ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32684ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32668ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_unwindzd2prote1415z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol5201z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5203z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5205z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5207z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5209z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32032ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
static obj_t BGl_z62zc3anonymousza32880ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32791ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5211z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5213z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5215z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5217z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5219z00zz__evaluate_compz00 = BUNSPEC;
extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt, obj_t);
static obj_t BGl_z62zc3anonymousza33578ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31796ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5221z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5223z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5225z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5227z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5229z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32034ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STATIC_BGL_PROCEDURE( BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_bgl_za762za7c3lexintza7a1za75305z00, BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_compilezd2envzd2zz__evaluate_compz00, BgL_bgl_za762compileza762za7za7_5306z00, BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
DEFINE_STRING( BGl_string5200z00zz__evaluate_compz00, BgL_bgl_string5200za700za7za7_5307za7, "=", 1 );
DEFINE_STRING( BGl_string5202z00zz__evaluate_compz00, BgL_bgl_string5202za700za7za7_5308za7, "+fx", 3 );
DEFINE_STRING( BGl_string5204z00zz__evaluate_compz00, BgL_bgl_string5204za700za7za7_5309za7, "fixnum", 6 );
DEFINE_STRING( BGl_string5206z00zz__evaluate_compz00, BgL_bgl_string5206za700za7za7_5310za7, "-fx", 3 );
extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
DEFINE_STRING( BGl_string5208z00zz__evaluate_compz00, BgL_bgl_string5208za700za7za7_5311za7, "*fx", 3 );
DEFINE_STRING( BGl_string5210z00zz__evaluate_compz00, BgL_bgl_string5210za700za7za7_5312za7, "/fx", 3 );
DEFINE_STRING( BGl_string5212z00zz__evaluate_compz00, BgL_bgl_string5212za700za7za7_5313za7, "<fx", 3 );
extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string5214z00zz__evaluate_compz00, BgL_bgl_string5214za700za7za7_5314za7, ">fx", 3 );
DEFINE_STRING( BGl_string5216z00zz__evaluate_compz00, BgL_bgl_string5216za700za7za7_5315za7, "<=fx", 4 );
DEFINE_STRING( BGl_string5218z00zz__evaluate_compz00, BgL_bgl_string5218za700za7za7_5316za7, ">=fx", 4 );
DEFINE_STRING( BGl_string5220z00zz__evaluate_compz00, BgL_bgl_string5220za700za7za7_5317za7, "=fx", 3 );
DEFINE_STRING( BGl_string5222z00zz__evaluate_compz00, BgL_bgl_string5222za700za7za7_5318za7, "+fl", 3 );
DEFINE_STRING( BGl_string5224z00zz__evaluate_compz00, BgL_bgl_string5224za700za7za7_5319za7, "flonum", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_findzd2statezd2envz00zz__evaluate_compz00, BgL_bgl_za762findza7d2stateza75320za7, BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5226z00zz__evaluate_compz00, BgL_bgl_string5226za700za7za7_5321za7, "-fl", 3 );
DEFINE_STRING( BGl_string5228z00zz__evaluate_compz00, BgL_bgl_string5228za700za7za7_5322za7, "*fl", 3 );
DEFINE_STRING( BGl_string5230z00zz__evaluate_compz00, BgL_bgl_string5230za700za7za7_5323za7, "/fl", 3 );
DEFINE_STRING( BGl_string5232z00zz__evaluate_compz00, BgL_bgl_string5232za700za7za7_5324za7, "<fl", 3 );
DEFINE_STRING( BGl_string5234z00zz__evaluate_compz00, BgL_bgl_string5234za700za7za7_5325za7, ">fl", 3 );
DEFINE_STRING( BGl_string5236z00zz__evaluate_compz00, BgL_bgl_string5236za700za7za7_5326za7, "<=fl", 4 );
DEFINE_STRING( BGl_string5238z00zz__evaluate_compz00, BgL_bgl_string5238za700za7za7_5327za7, ">=fl", 4 );
DEFINE_STRING( BGl_string5240z00zz__evaluate_compz00, BgL_bgl_string5240za700za7za7_5328za7, "=fl", 3 );
DEFINE_STRING( BGl_string5242z00zz__evaluate_compz00, BgL_bgl_string5242za700za7za7_5329za7, "car", 3 );
DEFINE_STRING( BGl_string5244z00zz__evaluate_compz00, BgL_bgl_string5244za700za7za7_5330za7, "pair", 4 );
DEFINE_STRING( BGl_string5246z00zz__evaluate_compz00, BgL_bgl_string5246za700za7za7_5331za7, "cdr", 3 );
DEFINE_STRING( BGl_string5248z00zz__evaluate_compz00, BgL_bgl_string5248za700za7za7_5332za7, "cadr", 4 );
extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
DEFINE_STRING( BGl_string5250z00zz__evaluate_compz00, BgL_bgl_string5250za700za7za7_5333za7, "comp1381", 8 );
DEFINE_STRING( BGl_string5251z00zz__evaluate_compz00, BgL_bgl_string5251za700za7za7_5334za7, "internal error: not defined for", 31 );
DEFINE_STRING( BGl_string5252z00zz__evaluate_compz00, BgL_bgl_string5252za700za7za7_5335za7, "&comp", 5 );
DEFINE_STRING( BGl_string5254z00zz__evaluate_compz00, BgL_bgl_string5254za700za7za7_5336za7, "comp", 4 );
DEFINE_STRING( BGl_string5276z00zz__evaluate_compz00, BgL_bgl_string5276za700za7za7_5337za7, "internal error", 14 );
DEFINE_STRING( BGl_string5277z00zz__evaluate_compz00, BgL_bgl_string5277za700za7za7_5338za7, "must be dead code", 17 );
DEFINE_STRING( BGl_string5279z00zz__evaluate_compz00, BgL_bgl_string5279za700za7za7_5339za7, "notyet", 6 );
extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string5280z00zz__evaluate_compz00, BgL_bgl_string5280za700za7za7_5340za7, "synchronize", 11 );
DEFINE_STRING( BGl_string5281z00zz__evaluate_compz00, BgL_bgl_string5281za700za7za7_5341za7, "mutex", 5 );
DEFINE_STRING( BGl_string5282z00zz__evaluate_compz00, BgL_bgl_string5282za700za7za7_5342za7, "set!", 4 );
DEFINE_STRING( BGl_string5283z00zz__evaluate_compz00, BgL_bgl_string5283za700za7za7_5343za7, "read-only variable", 18 );
DEFINE_STRING( BGl_string5284z00zz__evaluate_compz00, BgL_bgl_string5284za700za7za7_5344za7, "\nRedefinition of compiled variable -- ", 38 );
DEFINE_STRING( BGl_string5285z00zz__evaluate_compz00, BgL_bgl_string5285za700za7za7_5345za7, "Unbound variable", 16 );
DEFINE_STRING( BGl_string5286z00zz__evaluate_compz00, BgL_bgl_string5286za700za7za7_5346za7, "Uninitialized variable", 22 );
DEFINE_STRING( BGl_string5296z00zz__evaluate_compz00, BgL_bgl_string5296za700za7za7_5347za7, "get_sp", 6 );
DEFINE_STRING( BGl_string5298z00zz__evaluate_compz00, BgL_bgl_string5298za700za7za7_5348za7, "reset_profile", 13 );
extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
DEFINE_STATIC_BGL_GENERIC( BGl_compzd2envzd2zz__evaluate_compz00, BgL_bgl_za762compza762za7za7__ev5349z00, BGl_z62compz62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;
extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string5300z00zz__evaluate_compz00, BgL_bgl_string5300za700za7za7_5350za7, "get_profile", 11 );
DEFINE_STRING( BGl_string5302z00zz__evaluate_compz00, BgL_bgl_string5302za700za7za7_5351za7, "reset_stack", 11 );
DEFINE_STRING( BGl_string5303z00zz__evaluate_compz00, BgL_bgl_string5303za700za7za7_5352za7, "internal error: unknown command", 31 );
DEFINE_STRING( BGl_string5304z00zz__evaluate_compz00, BgL_bgl_string5304za700za7za7_5353za7, "__evaluate_comp", 15 );
DEFINE_STRING( BGl_string5154z00zz__evaluate_compz00, BgL_bgl_string5154za700za7za7_5354za7, "all", 3 );
DEFINE_STRING( BGl_string5156z00zz__evaluate_compz00, BgL_bgl_string5156za700za7za7_5355za7, "label-tag", 9 );
DEFINE_STRING( BGl_string5158z00zz__evaluate_compz00, BgL_bgl_string5158za700za7za7_5356za7, "bounce", 6 );
DEFINE_STRING( BGl_string5159z00zz__evaluate_compz00, BgL_bgl_string5159za700za7za7_5357za7, "non non non", 11 );
DEFINE_STRING( BGl_string5160z00zz__evaluate_compz00, BgL_bgl_string5160za700za7za7_5358za7, " in ", 4 );
DEFINE_STRING( BGl_string5161z00zz__evaluate_compz00, BgL_bgl_string5161za700za7za7_5359za7, "eval", 4 );
DEFINE_STRING( BGl_string5162z00zz__evaluate_compz00, BgL_bgl_string5162za700za7za7_5360za7, "internal error: not found", 25 );
DEFINE_STRING( BGl_string5164z00zz__evaluate_compz00, BgL_bgl_string5164za700za7za7_5361za7, "at", 2 );
DEFINE_STRING( BGl_string5165z00zz__evaluate_compz00, BgL_bgl_string5165za700za7za7_5362za7, "", 0 );
DEFINE_STRING( BGl_string5166z00zz__evaluate_compz00, BgL_bgl_string5166za700za7za7_5363za7, "/builddir/build/BUILD/bigloo4.3e/runtime/Eval/evaluate_comp.scm", 63 );
DEFINE_STRING( BGl_string5167z00zz__evaluate_compz00, BgL_bgl_string5167za700za7za7_5364za7, "&compile", 8 );
DEFINE_STRING( BGl_string5168z00zz__evaluate_compz00, BgL_bgl_string5168za700za7za7_5365za7, "ev_expr", 7 );
extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
DEFINE_STRING( BGl_string5169z00zz__evaluate_compz00, BgL_bgl_string5169za700za7za7_5366za7, "expecting ~a, got ~a", 20 );
extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string5170z00zz__evaluate_compz00, BgL_bgl_string5170za700za7za7_5367za7, "wrong number of argument", 24 );
DEFINE_STRING( BGl_string5172z00zz__evaluate_compz00, BgL_bgl_string5172za700za7za7_5368za7, "mcell", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5249z00zz__evaluate_compz00, BgL_bgl_za762comp1381za762za7za75369z00, BGl_z62comp1381z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5174z00zz__evaluate_compz00, BgL_bgl_string5174za700za7za7_5370za7, "internal", 8 );
DEFINE_STRING( BGl_string5176z00zz__evaluate_compz00, BgL_bgl_string5176za700za7za7_5371za7, "impossible", 10 );
DEFINE_STRING( BGl_string5177z00zz__evaluate_compz00, BgL_bgl_string5177za700za7za7_5372za7, "procedure", 9 );
DEFINE_STRING( BGl_string5179z00zz__evaluate_compz00, BgL_bgl_string5179za700za7za7_5373za7, "user", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5253z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_tra5374z00, BGl_z62compzd2ev_trap1385zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5255z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_var5375z00, BGl_z62compzd2ev_var1387zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5180z00zz__evaluate_compz00, BgL_bgl_string5180za700za7za7_5376za7, "invalid byte code", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5256z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_set5377z00, BGl_z62compzd2ev_setlocal1389zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5257z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_glo5378z00, BGl_z62compzd2ev_global1391zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5182z00zz__evaluate_compz00, BgL_bgl_string5182za700za7za7_5379za7, "+", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5258z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_set5380z00, BGl_z62compzd2ev_setglobal1393zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5259z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_def5381z00, BGl_z62compzd2ev_defglobal1395zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5184z00zz__evaluate_compz00, BgL_bgl_string5184za700za7za7_5382za7, "number", 6 );
DEFINE_STRING( BGl_string5186z00zz__evaluate_compz00, BgL_bgl_string5186za700za7za7_5383za7, "-", 1 );
DEFINE_STRING( BGl_string5188z00zz__evaluate_compz00, BgL_bgl_string5188za700za7za7_5384za7, "*", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5260z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_lit5385z00, BGl_z62compzd2ev_litt1397zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5261z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_if15386z00, BGl_z62compzd2ev_if1399zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5262z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_or15387z00, BGl_z62compzd2ev_or1401zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5263z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_and5388z00, BGl_z62compzd2ev_and1403zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5264z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_pro5389z00, BGl_z62compzd2ev_prog21405zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5265z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let5390z00, BGl_z62compzd2ev_let1407zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5190z00zz__evaluate_compz00, BgL_bgl_string5190za700za7za7_5391za7, "/", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5266z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let5392z00, BGl_z62compzd2ev_letza21409z12zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5267z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let5393z00, BGl_z62compzd2ev_letrec1411zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5192z00zz__evaluate_compz00, BgL_bgl_string5192za700za7za7_5394za7, "<", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5268z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_bin5395z00, BGl_z62compzd2ev_bindzd2exit1413z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5269z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_unw5396z00, BGl_z62compzd2ev_unwindzd2prote1415z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5194z00zz__evaluate_compz00, BgL_bgl_string5194za700za7za7_5397za7, ">", 1 );
DEFINE_STRING( BGl_string5196z00zz__evaluate_compz00, BgL_bgl_string5196za700za7za7_5398za7, "<=", 2 );
DEFINE_STRING( BGl_string5198z00zz__evaluate_compz00, BgL_bgl_string5198za700za7za7_5399za7, ">=", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5270z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_wit5400z00, BGl_z62compzd2ev_withzd2handler1417z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5271z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_syn5401z00, BGl_z62compzd2ev_synchroniza7e1419z17zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5272z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_lab5402z00, BGl_z62compzd2ev_labels1421zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5273z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_got5403z00, BGl_z62compzd2ev_goto1423zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5274z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_app5404z00, BGl_z62compzd2ev_app1425zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5275z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_abs5405z00, BGl_z62compzd2ev_abs1427zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5287z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75406za7, BGl_z62zc3anonymousza32788ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5288z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75407za7, BGl_z62zc3anonymousza32791ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5289z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75408za7, BGl_z62zc3anonymousza32794ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5290z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75409za7, BGl_z62zc3anonymousza32797ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5291z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75410za7, BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5292z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75411za7, BGl_z62zc3anonymousza32803ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5293z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75412za7, BGl_z62zc3anonymousza32806ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5294z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75413za7, BGl_z62zc3anonymousza32809ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol5231z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5233z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5235z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5237z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5239z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5241z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5243z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5245z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5247z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5278z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5295z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5297z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5299z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5301z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5153z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5155z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5157z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5163z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5171z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5173z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5175z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5178z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5181z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5183z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5185z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5187z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5189z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5191z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5193z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5195z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5197z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5199z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5201z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5203z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5205z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5207z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5209z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5211z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5213z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5215z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5217z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5219z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5221z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5223z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5225z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5227z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5229z00zz__evaluate_compz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_comp.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "(\"append-21009\" \"BGl_appendzd221009zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"reset_profile\" \"Eval/evaluate_comp.scm\" 3738) \"BGl_reset_profilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"o->s~0\" \"Eval/evaluate_comp.scm\" 3991) \"BGl_ozd2ze3sze70zd6zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<lexint\" \"Eval/evaluate_comp.scm\" 3822) \"BGl_z62zc3lexintza1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"get_profile\" \"Eval/evaluate_comp.scm\" 4130) \"BGl_get_profilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~1\" \"Eval/evaluate_comp.scm\" 4155) \"BGl_recze71ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"index\" \"Eval/evaluate_comp.scm\" 4323) \"BGl_indexz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"_index\" \"Eval/evaluate_comp.scm\" 4474) \"BGl__indexz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"lname\" \"Eval/evaluate_comp.scm\" 5060) \"BGl_lnamez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"loc-type-error\" \"Eval/evaluate_comp.scm\" 5157) \"BGl_loczd2typezd2errorz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-state\" \"Eval/evaluate_comp.scm\" 5415) \"BGl_makezd2statezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"find-state\" \"Eval/evaluate_comp.scm\" 5531) \"BGl_findzd2statezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&find-state\" \"Eval/evaluate_comp.scm\" 5531) \"BGl_z62findzd2statezb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"compile\" \"Eval/evaluate_comp.scm\" 6974) \"BGl_compilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&compile\" \"Eval/evaluate_comp.scm\" 6974) \"BGl_z62compilez62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"global-fun-value\" \"Eval/evaluate_comp.scm\" 8623) \"BGl_globalzd2funzd2valuez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"catch-goto-trampoline\" \"Eval/evaluate_comp.scm\" 17346) \"BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-boxes-args-on-sp\" \"Eval/evaluate_comp.scm\" 18720) \"BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"sub-stk\" \"Eval/evaluate_comp.scm\" 19328) \"BGl_subzd2stkzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"catch-trampoline\" \"Eval/evaluate_comp.scm\" 19829) \"BGl_catchzd2trampolinezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"check-stack\" \"Eval/evaluate_comp.scm\" 20164) \"BGl_checkzd2stackzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-with-push\" \"Eval/evaluate_comp.scm\" 20234) \"BGl_compzd2withzd2pushz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~0\" \"Eval/evaluate_comp.scm\" 20479) \"BGl_recze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"subr-call-with-push\" \"Eval/evaluate_comp.scm\" 20642) \"BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-args-on-sp\" \"Eval/evaluate_comp.scm\" 20879) \"BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-nargs-on-sp\" \"Eval/evaluate_comp.scm\" 21039) \"BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"need-shift\" \"Eval/evaluate_comp.scm\" 23185) \"BGl_needzd2shiftzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-old-call\" \"Eval/evaluate_comp.scm\" 23450) \"BGl_compzd2oldzd2callz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1750>\" \"Eval/evaluate_comp.scm\" 23890) \"BGl_z62zc3anonymousza31750ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1773>\" \"Eval/evaluate_comp.scm\" 23890) \"BGl_z62zc3anonymousza31773ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1796>\" \"Eval/evaluate_comp.scm\" 24231) \"BGl_z62zc3anonymousza31796ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1816>\" \"Eval/evaluate_comp.scm\" 24231) \"BGl_z62zc3anonymousza31816ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1837>\" \"Eval/evaluate_comp.scm\" 23663) \"BGl_z62zc3anonymousza31837ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1857>\" \"Eval/evaluate_comp.scm\" 23663) \"BGl_z62zc3anonymousza31857ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call0\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_compzd2call0zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1880>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31880ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1882>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31882ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1886>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1900>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31900ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1916>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31916ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1930>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31930ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call1\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_compzd2call1zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1946>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31946ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1948>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31948ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1952>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31952ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1971>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31971ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1992>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31992ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2011>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32011ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call2\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_compzd2call2zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2032>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32032ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2034>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32034ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2038>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32038ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2064>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32064ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2092>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32092ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2119>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32119ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call3\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_compzd2call3zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2147>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32147ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2149>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32149ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2153>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32153ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2188>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32188ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2225>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32225ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2260>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32260ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call4\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_compzd2call4zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2297>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32297ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2299>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32299ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2303>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32303ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2349>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32349ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2397>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32397ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2443>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32443ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"is-constant-fun?\" \"Eval/evaluate_comp.scm\" 28401) \"BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"compile-float-arith\" \"Eval/evaluate_comp.scm\" 29045) \"BGl_compilezd2floatzd2arithz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"eval-float-arith\" \"Eval/evaluate_comp.scm\" 30433) \"BGl_evalzd2floatzd2arithz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"E~0\" \"Eval/evaluate_comp.scm\" 31265) \"BGl_Eze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"arith-expression\" \"Eval/evaluate_comp.scm\" 31282) \"BGl_arithzd2expressionzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2612>\" \"Eval/evaluate_comp.scm\" 31546) \"BGl_z62zc3anonymousza32612ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"inline-call\" \"Eval/evaluate_comp.scm\" 32473) \"BGl_inlinezd2callzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2616>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32616ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2620>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32620ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2624>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32624ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2628>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32628ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2632>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32632ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2636>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32636ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2640>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32640ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2644>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32644ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2648>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32648ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2652>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32652ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2656>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32656ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2660>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32660ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2664>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32664ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2668>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32668ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2672>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32672ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2676>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32676ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2680>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32680ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2684>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32684ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2688>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32688ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2692>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32692ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2696>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32696ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2700>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32700ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2704>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32704ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2708>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32708ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2712>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32712ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2716>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32716ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2720>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2724>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32724ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2726>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32726ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2729>\" \"Eval/evaluate_comp.scm\" 32662) \"BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2732>\" \"Eval/evaluate_comp.scm\" 32662) \"BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2735>\" \"Eval/evaluate_comp.scm\" 32662) \"BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cadr?\" \"Eval/evaluate_comp.scm\" 33050) \"BGl_cadrzf3zf3zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cadrerrv\" \"Eval/evaluate_comp.scm\" 33106) \"BGl_cadrerrvz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"correct\" \"Eval/evaluate_comp.scm\" 34120) \"BGl_correctz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bind-frame\" \"Eval/evaluate_comp.scm\" 34206) \"BGl_bindzd2framezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-boxes\" \"Eval/evaluate_comp.scm\" 38533) \"BGl_makezd2boxeszd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"free-collect\" \"Eval/evaluate_comp.scm\" 38789) \"BGl_freezd2collectzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"free-restore\" \"Eval/evaluate_comp.scm\" 39059) \"BGl_freezd2restorezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp1381\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_z62comp1381z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_compz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_z62compz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_abs1427\" \"Eval/evaluate_comp.scm\" 38059) \"BGl_z62compzd2ev_abs1427zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3523>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33523ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62mainz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62runz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3534>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33534ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5063\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5063z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5064\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5064z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3548>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33548ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5065\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5065z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5066\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5066z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3560>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33560ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5067\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5067z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5068\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5068z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3472>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33472ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5069\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5069z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5070\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5070z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3482>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33482ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5071\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5071z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5072\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5072z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3495>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33495ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5073\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5073z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5074\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5074z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3506>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33506ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5075\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5075z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5076\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5076z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3421>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33421ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5077\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5077z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5078\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5078z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3431>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33431ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5079\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5079z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5080\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5080z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3444>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33444ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5081\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5081z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5082\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5082z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3455>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33455ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5083\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5083z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5084\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5084z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3374>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33374ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5085\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5085z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5086\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5086z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3383>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33383ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5087\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5087z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5088\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5088z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3395>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33395ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5089\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5089z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5090\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5090z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3405>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33405ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5091\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5091z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5092\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5092z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3327>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33327ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5093\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5093z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5094\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5094z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3336>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33336ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5095\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5095z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5096\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5096z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3348>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33348ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5097\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5097z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5098\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5098z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3358>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33358ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5099\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5099z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5100\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5100z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3284>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33284ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5101\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5101z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5102\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5102z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3292>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33292ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5103\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5103z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5104\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5104z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3303>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33303ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5105\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5105z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5106\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5106z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3312>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33312ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5107\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5107z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5108\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5108z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3241>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33241ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5109\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5109z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5110\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5110z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3249>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33249ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5111\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5111z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5112\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5112z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3260>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33260ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5113\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5113z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5114\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5114z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3269>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33269ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5115\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5115z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5116\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5116z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3202>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33202ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5117\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5117z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5118\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5118z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3209>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33209ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5119\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5119z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5120\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5120z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3219>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33219ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5121\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5121z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5122\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5122z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3227>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33227ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5123\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5123z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5124\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5124z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3163>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33163ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5125\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5125z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5126\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5126z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3170>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33170ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5127\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5127z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5128\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5128z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3180>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33180ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5129\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5129z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5130\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5130z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3188>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33188ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5131\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5131z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5132\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5132z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3128>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33128ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5133\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5133z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5134\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5134z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3134>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33134ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5135\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5135z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5136\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5136z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3143>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33143ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5137\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5137z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5138\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5138z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3150>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33150ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5139\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5139z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5140\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5140z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3578>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33578ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5141\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5141z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5142\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5142z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3598>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33598ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5143\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5143z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5144\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5144z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3621>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33621ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5145\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5145z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5146\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5146z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3642>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33642ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5147\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5147z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5148\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5148z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_app1425\" \"Eval/evaluate_comp.scm\" 33674) \"BGl_z62compzd2ev_app1425zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_goto1423\" \"Eval/evaluate_comp.scm\" 17686) \"BGl_z62compzd2ev_goto1423zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3067>\" \"Eval/evaluate_comp.scm\" 18311) \"BGl_z62zc3anonymousza33067ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3073>\" \"Eval/evaluate_comp.scm\" 18592) \"BGl_z62zc3anonymousza33073ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_labels1421\" \"Eval/evaluate_comp.scm\" 16611) \"BGl_z62compzd2ev_labels1421zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3062>\" \"Eval/evaluate_comp.scm\" 17284) \"BGl_z62zc3anonymousza33062ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_synchronize1419\" \"Eval/evaluate_comp.scm\" 15984) \"BGl_z62compzd2ev_synchroniza7e1419z17zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3041>\" \"Eval/evaluate_comp.scm\" 16194) \"BGl_z62zc3anonymousza33041ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_with-handler1417\" \"Eval/evaluate_comp.scm\" 15642) \"BGl_z62compzd2ev_withzd2handler1417z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3027>\" \"Eval/evaluate_comp.scm\" 15807) \"BGl_z62zc3anonymousza33027ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"<exit:3034>~0\" \"Eval/evaluate_comp.scm\" 15914) \"BGl_zc3exitza33034ze3ze70z64zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3037>\" \"Eval/evaluate_comp.scm\" 15914) \"BGl_z62zc3anonymousza33037ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3038>\" \"Eval/evaluate_comp.scm\" 15914) \"BGl_z62zc3anonymousza33038ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_unwind-prote1415\" \"Eval/evaluate_comp.scm\" 15334) \"BGl_z62compzd2ev_unwindzd2prote1415z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3023>\" \"Eval/evaluate_comp.scm\" 15485) \"BGl_z62zc3anonymousza33023ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3024>\" \"Eval/evaluate_comp.scm\" 15554) \"BGl_z62zc3anonymousza33024ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_bind-exit1413\" \"Eval/evaluate_comp.scm\" 14879) \"BGl_z62compzd2ev_bindzd2exit1413z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3016>\" \"Eval/evaluate_comp.scm\" 15118) \"BGl_z62zc3anonymousza33016ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"<exit:3017>~0\" \"Eval/evaluate_comp.scm\" 15185) \"BGl_zc3exitza33017ze3ze70z64zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&exit\" \"Eval/evaluate_comp.scm\" 15185) \"BGl_z62exitz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_letrec1411\" \"Eval/evaluate_comp.scm\" 13826) \"BGl_z62compzd2ev_letrec1411zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2977>\" \"Eval/evaluate_comp.scm\" 14108) \"BGl_z62zc3anonymousza32977ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2990>\" \"Eval/evaluate_comp.scm\" 14464) \"BGl_z62zc3anonymousza32990ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_let*1409\" \"Eval/evaluate_comp.scm\" 13331) \"BGl_z62compzd2ev_letza21409z12zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2956>\" \"Eval/evaluate_comp.scm\" 13566) \"BGl_z62zc3anonymousza32956ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_let1407\" \"Eval/evaluate_comp.scm\" 12651) \"BGl_z62compzd2ev_let1407zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2935>\" \"Eval/evaluate_comp.scm\" 12978) \"BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_prog21405\" \"Eval/evaluate_comp.scm\" 12457) \"BGl_z62compzd2ev_prog21405zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2932>\" \"Eval/evaluate_comp.scm\" 12587) \"BGl_z62zc3anonymousza32932ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_and1403\" \"Eval/evaluate_comp.scm\" 12171) \"BGl_z62compzd2ev_and1403zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2922>\" \"Eval/evaluate_comp.scm\" 12302) \"BGl_z62zc3anonymousza32922ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_or1401\" \"Eval/evaluate_comp.scm\" 11913) \"BGl_z62compzd2ev_or1401zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2912>\" \"Eval/evaluate_comp.scm\" 12042) \"BGl_z62zc3anonymousza32912ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_if1399\" \"Eval/evaluate_comp.scm\" 11709) \"BGl_z62compzd2ev_if1399zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2907>\" \"Eval/evaluate_comp.scm\" 11846) \"BGl_z62zc3anonymousza32907ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_litt1397\" \"Eval/evaluate_comp.scm\" 11590) \"BGl_z62compzd2ev_litt1397zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2906>\" \"Eval/evaluate_comp.scm\" 11669) \"BGl_z62zc3anonymousza32906ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_defglobal1395\" \"Eval/evaluate_comp.scm\" 10633) \"BGl_z62compzd2ev_defglobal1395zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2880>\" \"Eval/evaluate_comp.scm\" 10759) \"BGl_z62zc3anonymousza32880ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_setglobal1393\" \"Eval/evaluate_comp.scm\" 9772) \"BGl_z62compzd2ev_setglobal1393zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2855>\" \"Eval/evaluate_comp.scm\" 9982) \"BGl_z62zc3anonymousza32855ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2860>\" \"Eval/evaluate_comp.scm\" 10155) \"BGl_z62zc3anonymousza32860ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2871>\" \"Eval/evaluate_comp.scm\" 10415) \"BGl_z62zc3anonymousza32871ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_global1391\" \"Eval/evaluate_comp.scm\" 8830) \"BGl_z62compzd2ev_global1391zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2829>\" \"Eval/evaluate_comp.scm\" 9018) \"BGl_z62zc3anonymousza32829ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2831>\" \"Eval/evaluate_comp.scm\" 9111) \"BGl_z62zc3anonymousza32831ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2842>\" \"Eval/evaluate_comp.scm\" 9364) \"BGl_z62zc3anonymousza32842ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_setlocal1389\" \"Eval/evaluate_comp.scm\" 8242) \"BGl_z62compzd2ev_setlocal1389zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2818>\" \"Eval/evaluate_comp.scm\" 8418) \"BGl_z62zc3anonymousza32818ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2822>\" \"Eval/evaluate_comp.scm\" 8525) \"BGl_z62zc3anonymousza32822ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_var1387\" \"Eval/evaluate_comp.scm\" 8097) \"BGl_z62compzd2ev_var1387zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2806>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32806ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2809>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32809ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2800>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2803>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32803ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2794>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32794ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2797>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32797ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2788>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32788ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2791>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32791ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2812>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2815>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32815ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_trap1385\" \"Eval/evaluate_comp.scm\" 7340) \"BGl_z62compzd2ev_trap1385zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2779>\" \"Eval/evaluate_comp.scm\" 7442) \"BGl_z62zc3anonymousza32779ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long BgL_checksumz00_14967, char * BgL_fromz00_14968)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_compz00(); 
BGl_cnstzd2initzd2zz__evaluate_compz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_compz00(); 
BGl_genericzd2initzd2zz__evaluate_compz00(); 
BGl_methodzd2initzd2zz__evaluate_compz00(); 
BGl_toplevelzd2initzd2zz__evaluate_compz00(); 
return 
BGl_profzd2initzd2zz__evaluate_compz00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
BGl_symbol5153z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5154z00zz__evaluate_compz00); 
BGl_symbol5155z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5156z00zz__evaluate_compz00); 
BGl_symbol5157z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5158z00zz__evaluate_compz00); 
BGl_symbol5163z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5164z00zz__evaluate_compz00); 
BGl_symbol5171z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5172z00zz__evaluate_compz00); 
BGl_symbol5173z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5174z00zz__evaluate_compz00); 
BGl_symbol5175z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5176z00zz__evaluate_compz00); 
BGl_symbol5178z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5179z00zz__evaluate_compz00); 
BGl_symbol5181z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5182z00zz__evaluate_compz00); 
BGl_symbol5183z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5184z00zz__evaluate_compz00); 
BGl_symbol5185z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5186z00zz__evaluate_compz00); 
BGl_symbol5187z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5188z00zz__evaluate_compz00); 
BGl_symbol5189z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5190z00zz__evaluate_compz00); 
BGl_symbol5191z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5192z00zz__evaluate_compz00); 
BGl_symbol5193z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5194z00zz__evaluate_compz00); 
BGl_symbol5195z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5196z00zz__evaluate_compz00); 
BGl_symbol5197z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5198z00zz__evaluate_compz00); 
BGl_symbol5199z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5200z00zz__evaluate_compz00); 
BGl_symbol5201z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5202z00zz__evaluate_compz00); 
BGl_symbol5203z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5204z00zz__evaluate_compz00); 
BGl_symbol5205z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5206z00zz__evaluate_compz00); 
BGl_symbol5207z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5208z00zz__evaluate_compz00); 
BGl_symbol5209z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5210z00zz__evaluate_compz00); 
BGl_symbol5211z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5212z00zz__evaluate_compz00); 
BGl_symbol5213z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5214z00zz__evaluate_compz00); 
BGl_symbol5215z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5216z00zz__evaluate_compz00); 
BGl_symbol5217z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5218z00zz__evaluate_compz00); 
BGl_symbol5219z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5220z00zz__evaluate_compz00); 
BGl_symbol5221z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5222z00zz__evaluate_compz00); 
BGl_symbol5223z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5224z00zz__evaluate_compz00); 
BGl_symbol5225z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5226z00zz__evaluate_compz00); 
BGl_symbol5227z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5228z00zz__evaluate_compz00); 
BGl_symbol5229z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5230z00zz__evaluate_compz00); 
BGl_symbol5231z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5232z00zz__evaluate_compz00); 
BGl_symbol5233z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5234z00zz__evaluate_compz00); 
BGl_symbol5235z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5236z00zz__evaluate_compz00); 
BGl_symbol5237z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5238z00zz__evaluate_compz00); 
BGl_symbol5239z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5240z00zz__evaluate_compz00); 
BGl_symbol5241z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5242z00zz__evaluate_compz00); 
BGl_symbol5243z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5244z00zz__evaluate_compz00); 
BGl_symbol5245z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5246z00zz__evaluate_compz00); 
BGl_symbol5247z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5248z00zz__evaluate_compz00); 
BGl_symbol5278z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5279z00zz__evaluate_compz00); 
BGl_symbol5295z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5296z00zz__evaluate_compz00); 
BGl_symbol5297z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5298z00zz__evaluate_compz00); 
BGl_symbol5299z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5300z00zz__evaluate_compz00); 
return ( 
BGl_symbol5301z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5302z00zz__evaluate_compz00), BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
return 
write_bprof_table();} 
BGL_FUNCTION_END;
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
{ /* Eval/evaluate_comp.scm 114 */
BGL_LONGLONG_T BgL_arg1469z00_1338;
{ /* Eval/evaluate_comp.scm 114 */
BGL_LONGLONG_T BgL_res3955z00_6367;
BgL_res3955z00_6367 = 
LONG_TO_LLONG(((long)0)); 
BgL_arg1469z00_1338 = BgL_res3955z00_6367; } 
{ /* Eval/evaluate_comp.scm 114 */
obj_t BgL_list1470z00_1339;
{ /* Eval/evaluate_comp.scm 114 */
obj_t BgL_arg1471z00_1340;
BgL_arg1471z00_1340 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1469z00_1338), BNIL); 
BgL_list1470z00_1339 = 
MAKE_YOUNG_PAIR(BGl_symbol5153z00zz__evaluate_compz00, BgL_arg1471z00_1340); } 
BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BgL_list1470z00_1339; } } 
BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 = ((long)8192); 
BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = 
create_struct(BGl_symbol5155z00zz__evaluate_compz00, 
(int)(((long)0))); 
BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = 
create_struct(BGl_symbol5157z00zz__evaluate_compz00, 
(int)(((long)0))); 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* append-21009 */
obj_t BGl_appendzd221009zd2zz__evaluate_compz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{ BGL_FUNCTION_BEGIN;
{ 
{ 
obj_t BgL_headz00_1341;
BgL_headz00_1341 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
obj_t BgL_prevz00_1342;obj_t BgL_tailz00_1343;
BgL_prevz00_1342 = BgL_headz00_1341; 
BgL_tailz00_1343 = BgL_l1z00_1; 
BgL_loopz00_1344:
if(
PAIRP(BgL_tailz00_1343))
{ 
obj_t BgL_newzd2prevzd2_1346;
BgL_newzd2prevzd2_1346 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_1343), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_1342, BgL_newzd2prevzd2_1346); 
{ 
obj_t BgL_tailz00_15043;obj_t BgL_prevz00_15042;
BgL_prevz00_15042 = BgL_newzd2prevzd2_1346; 
BgL_tailz00_15043 = 
CDR(BgL_tailz00_1343); 
BgL_tailz00_1343 = BgL_tailz00_15043; 
BgL_prevz00_1342 = BgL_prevz00_15042; 
goto BgL_loopz00_1344;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_1341);} } } 
BGL_FUNCTION_END;
}



/* reset_profile */
obj_t BGl_reset_profilez00zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 132 */
{ /* Eval/evaluate_comp.scm 133 */
BGL_LONGLONG_T BgL_arg1492z00_1369;
{ /* Eval/evaluate_comp.scm 133 */
BGL_LONGLONG_T BgL_res3962z00_6380;
BgL_res3962z00_6380 = 
LONG_TO_LLONG(((long)0)); 
BgL_arg1492z00_1369 = BgL_res3962z00_6380; } 
{ /* Eval/evaluate_comp.scm 133 */
obj_t BgL_list1493z00_1370;
{ /* Eval/evaluate_comp.scm 133 */
obj_t BgL_arg1494z00_1371;
BgL_arg1494z00_1371 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1492z00_1369), BNIL); 
BgL_list1493z00_1370 = 
MAKE_YOUNG_PAIR(BGl_symbol5153z00zz__evaluate_compz00, BgL_arg1494z00_1371); } 
return ( 
BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BgL_list1493z00_1370, BUNSPEC) ;} } } 
BGL_FUNCTION_END;
}



/* o->s~0 */
obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t BgL_vz00_1380)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 141 */
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_1380))
{ /* Ieee/fixnum.scm 977 */

return 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_vz00_1380), ((long)10));}  else 
{ /* Eval/evaluate_comp.scm 138 */
if(
SYMBOLP(BgL_vz00_1380))
{ /* Eval/evaluate_comp.scm 139 */
obj_t BgL_res3965z00_6385;
{ /* Eval/evaluate_comp.scm 139 */
obj_t BgL_arg3812z00_6384;
BgL_arg3812z00_6384 = 
SYMBOL_TO_STRING(BgL_vz00_1380); 
BgL_res3965z00_6385 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg3812z00_6384); } 
return BgL_res3965z00_6385;}  else 
{ /* Eval/evaluate_comp.scm 139 */
if(
STRINGP(BgL_vz00_1380))
{ /* Eval/evaluate_comp.scm 140 */
return BgL_vz00_1380;}  else 
{ /* Eval/evaluate_comp.scm 140 */
return BGl_string5159z00zz__evaluate_compz00;} } } } 
BGL_FUNCTION_END;
}



/* &<lexint */
obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_10544, obj_t BgL_t1z00_10545, obj_t BgL_t2z00_10546)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 135 */
{ /* Eval/evaluate_comp.scm 138 */
bool_t BgL_tmpz00_15060;
{ /* Eval/evaluate_comp.scm 142 */
obj_t BgL_v1z00_12536;obj_t BgL_v2z00_12537;
BgL_v1z00_12536 = 
CAR(
((obj_t)BgL_t1z00_10545)); 
BgL_v2z00_12537 = 
CAR(
((obj_t)BgL_t2z00_10546)); 
{ /* Eval/evaluate_comp.scm 143 */
bool_t BgL_testz00_15065;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_12536))
{ /* Eval/evaluate_comp.scm 143 */
BgL_testz00_15065 = 
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v2z00_12537)
; }  else 
{ /* Eval/evaluate_comp.scm 143 */
BgL_testz00_15065 = ((bool_t)0)
; } 
if(BgL_testz00_15065)
{ /* Eval/evaluate_comp.scm 143 */
BgL_tmpz00_15060 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_12536, BgL_v2z00_12537)
; }  else 
{ /* Eval/evaluate_comp.scm 143 */
BgL_tmpz00_15060 = 
bigloo_string_lt(
BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v1z00_12536), 
BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v2z00_12537))
; } } } 
return 
BBOOL(BgL_tmpz00_15060);} } 
BGL_FUNCTION_END;
}



/* get_profile */
obj_t BGl_get_profilez00zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 147 */
BGl_recze71ze7zz__evaluate_compz00(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00); 
return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;} 
BGL_FUNCTION_END;
}



/* rec~1 */
bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t BgL_tz00_1389)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 148 */
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_arg1506z00_1391;obj_t BgL_arg1507z00_1392;
BgL_arg1506z00_1391 = 
CDR(
((obj_t)BgL_tz00_1389)); 
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_arg1508z00_1393;
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_pairz00_6396;
BgL_pairz00_6396 = 
CDR(
((obj_t)BgL_tz00_1389)); 
BgL_arg1508z00_1393 = 
CDR(BgL_pairz00_6396); } 
BgL_arg1507z00_1392 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1508z00_1393); } 
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_tmpz00_15081;
BgL_tmpz00_15081 = 
((obj_t)BgL_arg1506z00_1391); 
SET_CDR(BgL_tmpz00_15081, BgL_arg1507z00_1392); } } 
{ /* Eval/evaluate_comp.scm 150 */
obj_t BgL_g1284z00_1394;
{ /* Eval/evaluate_comp.scm 150 */
obj_t BgL_pairz00_6401;
BgL_pairz00_6401 = 
CDR(
((obj_t)BgL_tz00_1389)); 
BgL_g1284z00_1394 = 
CDR(BgL_pairz00_6401); } 
{ 
obj_t BgL_l1282z00_1396;
BgL_l1282z00_1396 = BgL_g1284z00_1394; 
BgL_zc3anonymousza31509ze3z83_1397:
if(
PAIRP(BgL_l1282z00_1396))
{ /* Eval/evaluate_comp.scm 150 */
BGl_recze71ze7zz__evaluate_compz00(
CAR(BgL_l1282z00_1396)); 
{ 
obj_t BgL_l1282z00_15091;
BgL_l1282z00_15091 = 
CDR(BgL_l1282z00_1396); 
BgL_l1282z00_1396 = BgL_l1282z00_15091; 
goto BgL_zc3anonymousza31509ze3z83_1397;} }  else 
{ /* Eval/evaluate_comp.scm 150 */
return ((bool_t)1);} } } } 
BGL_FUNCTION_END;
}



/* index */
obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 156 */
{ 
obj_t BgL_lz00_1404;long BgL_nz00_1405;
BgL_lz00_1404 = BgL_lz00_7; 
BgL_nz00_1405 = ((long)0); 
BgL_zc3anonymousza31512ze3z83_1406:
if(
NULLP(BgL_lz00_1404))
{ /* Eval/evaluate_comp.scm 158 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 158 */
if(
(BgL_xz00_6==
CAR(
((obj_t)BgL_lz00_1404))))
{ /* Eval/evaluate_comp.scm 159 */
return 
BINT(BgL_nz00_1405);}  else 
{ 
long BgL_nz00_15103;obj_t BgL_lz00_15100;
BgL_lz00_15100 = 
CDR(
((obj_t)BgL_lz00_1404)); 
BgL_nz00_15103 = 
(BgL_nz00_1405+((long)1)); 
BgL_nz00_1405 = BgL_nz00_15103; 
BgL_lz00_1404 = BgL_lz00_15100; 
goto BgL_zc3anonymousza31512ze3z83_1406;} } } } 
BGL_FUNCTION_END;
}



/* _index */
obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 163 */
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL__ortest_1075z00_1414;
BgL__ortest_1075z00_1414 = 
BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9); 
if(
CBOOL(BgL__ortest_1075z00_1414))
{ /* Eval/evaluate_comp.scm 164 */
return BgL__ortest_1075z00_1414;}  else 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1519z00_1415;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1521z00_1416;
if(
NULLP(BgL_lz00_9))
{ /* Eval/evaluate_comp.scm 164 */
BgL_arg1521z00_1416 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_head1287z00_1422;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1534z00_1434;
BgL_arg1534z00_1434 = 
BGl_lnamez00zz__evaluate_compz00(
CAR(
((obj_t)BgL_lz00_9))); 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_res3972z00_6412;
BgL_res3972z00_6412 = 
MAKE_YOUNG_PAIR(BgL_arg1534z00_1434, BNIL); 
BgL_head1287z00_1422 = BgL_res3972z00_6412; } } 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_g1290z00_1423;
BgL_g1290z00_1423 = 
CDR(
((obj_t)BgL_lz00_9)); 
{ 
obj_t BgL_l1285z00_1425;obj_t BgL_tail1288z00_1426;
BgL_l1285z00_1425 = BgL_g1290z00_1423; 
BgL_tail1288z00_1426 = BgL_head1287z00_1422; 
BgL_zc3anonymousza31528ze3z83_1427:
if(
NULLP(BgL_l1285z00_1425))
{ /* Eval/evaluate_comp.scm 164 */
BgL_arg1521z00_1416 = BgL_head1287z00_1422; }  else 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_newtail1289z00_1429;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1531z00_1431;
BgL_arg1531z00_1431 = 
BGl_lnamez00zz__evaluate_compz00(
CAR(
((obj_t)BgL_l1285z00_1425))); 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_res3974z00_6416;
BgL_res3974z00_6416 = 
MAKE_YOUNG_PAIR(BgL_arg1531z00_1431, BNIL); 
BgL_newtail1289z00_1429 = BgL_res3974z00_6416; } } 
SET_CDR(BgL_tail1288z00_1426, BgL_newtail1289z00_1429); 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1530z00_1430;
BgL_arg1530z00_1430 = 
CDR(
((obj_t)BgL_l1285z00_1425)); 
{ 
obj_t BgL_tail1288z00_15126;obj_t BgL_l1285z00_15125;
BgL_l1285z00_15125 = BgL_arg1530z00_1430; 
BgL_tail1288z00_15126 = BgL_newtail1289z00_1429; 
BgL_tail1288z00_1426 = BgL_tail1288z00_15126; 
BgL_l1285z00_1425 = BgL_l1285z00_15125; 
goto BgL_zc3anonymousza31528ze3z83_1427;} } } } } } 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_list1522z00_1417;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1523z00_1418;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1526z00_1419;
BgL_arg1526z00_1419 = 
MAKE_YOUNG_PAIR(BgL_arg1521z00_1416, BNIL); 
BgL_arg1523z00_1418 = 
MAKE_YOUNG_PAIR(BGl_string5160z00zz__evaluate_compz00, BgL_arg1526z00_1419); } 
BgL_list1522z00_1417 = 
MAKE_YOUNG_PAIR(BgL_xz00_8, BgL_arg1523z00_1418); } 
BgL_arg1519z00_1415 = BgL_list1522z00_1417; } } 
return 
BGl_errorz00zz__errorz00(BGl_string5161z00zz__evaluate_compz00, BGl_string5162z00zz__evaluate_compz00, BgL_arg1519z00_1415);} } } 
BGL_FUNCTION_END;
}



/* lname */
obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 188 */
if(
BGl_isazf3zf3zz__objectz00(BgL_vz00_16, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 189 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_16)))->BgL_namez00);}  else 
{ /* Eval/evaluate_comp.scm 189 */
return BgL_vz00_16;} } 
BGL_FUNCTION_END;
}



/* loc-type-error */
obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17, obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 193 */
{ 
obj_t BgL_fnamez00_1455;obj_t BgL_locz00_1456;
if(
PAIRP(BgL_locz00_20))
{ /* Eval/evaluate_comp.scm 194 */
obj_t BgL_cdrzd2194zd2_1461;
BgL_cdrzd2194zd2_1461 = 
CDR(BgL_locz00_20); 
if(
(
CAR(BgL_locz00_20)==BGl_symbol5163z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 194 */
if(
PAIRP(BgL_cdrzd2194zd2_1461))
{ /* Eval/evaluate_comp.scm 194 */
obj_t BgL_cdrzd2198zd2_1465;
BgL_cdrzd2198zd2_1465 = 
CDR(BgL_cdrzd2194zd2_1461); 
if(
PAIRP(BgL_cdrzd2198zd2_1465))
{ /* Eval/evaluate_comp.scm 194 */
if(
NULLP(
CDR(BgL_cdrzd2198zd2_1465)))
{ /* Eval/evaluate_comp.scm 194 */
BgL_fnamez00_1455 = 
CAR(BgL_cdrzd2194zd2_1461); 
BgL_locz00_1456 = 
CAR(BgL_cdrzd2198zd2_1465); 
return 
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19, BgL_fnamez00_1455, BgL_locz00_1456);}  else 
{ /* Eval/evaluate_comp.scm 194 */
BgL_tagzd2187zd2_1458:
return 
BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1458;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1458;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1458;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1458;} } } 
BGL_FUNCTION_END;
}



/* make-state */
obj_t BGl_makezd2statezd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 206 */
{ /* Eval/evaluate_comp.scm 207 */
obj_t BgL_stkz00_1481;
BgL_stkz00_1481 = 
make_vector(((long)8192), BGl_string5165z00zz__evaluate_compz00); 
VECTOR_SET(BgL_stkz00_1481,((long)0),
BINT(((long)2))); 
return BgL_stkz00_1481;} } 
BGL_FUNCTION_END;
}



/* find-state */
BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 211 */
{ /* Eval/evaluate_comp.scm 212 */
obj_t BgL_sz00_1482;
{ /* Eval/evaluate_comp.scm 212 */
obj_t BgL_tmpz00_15156;
BgL_tmpz00_15156 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_sz00_1482 = 
BGL_ENV_EVSTATE(BgL_tmpz00_15156); } 
if(
VECTORP(BgL_sz00_1482))
{ /* Eval/evaluate_comp.scm 213 */
return BgL_sz00_1482;}  else 
{ /* Eval/evaluate_comp.scm 214 */
obj_t BgL_statez00_1484;
BgL_statez00_1484 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 215 */
obj_t BgL_tmpz00_15162;
BgL_tmpz00_15162 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_tmpz00_15162, BgL_statez00_1484); } 
return BgL_statez00_1484;} } } 
BGL_FUNCTION_END;
}



/* &find-state */
obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_10547)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 211 */
return 
BGl_findzd2statezd2zz__evaluate_compz00();} 
BGL_FUNCTION_END;
}



/* compile */
BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_34)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 273 */
return 
BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);} 
BGL_FUNCTION_END;
}



/* &compile */
obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_10548, obj_t BgL_ez00_10549)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 273 */
{ /* Eval/evaluate_comp.scm 274 */
BgL_ev_exprz00_bglt BgL_auxz00_15167;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_10549, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 274 */
BgL_auxz00_15167 = 
((BgL_ev_exprz00_bglt)BgL_ez00_10549)
; }  else 
{ 
obj_t BgL_auxz00_15171;
BgL_auxz00_15171 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string5166z00zz__evaluate_compz00, 
BINT(((long)7006)), BGl_string5167z00zz__evaluate_compz00, BGl_string5168z00zz__evaluate_compz00, BgL_ez00_10549); 
FAILURE(BgL_auxz00_15171,BFALSE,BFALSE);} 
return 
BGl_compilez00zz__evaluate_compz00(BgL_auxz00_15167);} } 
BGL_FUNCTION_END;
}



/* global-fun-value */
obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_43)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 332 */
if(
BGl_isazf3zf3zz__objectz00(
((obj_t)BgL_ez00_43), BGl_ev_globalz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 335 */
obj_t BgL_gz00_1540;
{ /* Eval/evaluate_comp.scm 335 */
obj_t BgL_arg1616z00_1541;obj_t BgL_arg1617z00_1542;
BgL_arg1616z00_1541 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_ez00_43)))->BgL_modz00); 
BgL_arg1617z00_1542 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_ez00_43)))->BgL_namez00); 
BgL_gz00_1540 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg1616z00_1541, BgL_arg1617z00_1542); } 
if(
CBOOL(BgL_gz00_1540))
{ /* Eval/evaluate_comp.scm 336 */
return 
VECTOR_REF(
((obj_t)BgL_gz00_1540),((long)2));}  else 
{ /* Eval/evaluate_comp.scm 336 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 333 */
return BFALSE;} } 
BGL_FUNCTION_END;
}



/* catch-goto-trampoline */
obj_t BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(obj_t BgL_fz00_78, obj_t BgL_sz00_79)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 586 */
{ 
obj_t BgL_fz00_1552;
BgL_fz00_1552 = BgL_fz00_78; 
BgL_zc3anonymousza31630ze3z83_1553:
{ /* Eval/evaluate_comp.scm 590 */
obj_t BgL_rz00_1554;
BgL_rz00_1554 = 
PROCEDURE_ENTRY(BgL_fz00_1552)(BgL_fz00_1552, BgL_sz00_79, BEOA); 
{ /* Eval/evaluate_comp.scm 592 */
bool_t BgL_testz00_15192;
if(
PROCEDUREP(BgL_rz00_1554))
{ /* Eval/evaluate_comp.scm 592 */
obj_t BgL_arg1634z00_1559;
BgL_arg1634z00_1559 = 
PROCEDURE_ATTR(BgL_rz00_1554); 
if(
STRUCTP(BgL_arg1634z00_1559))
{ /* Eval/evaluate_comp.scm 562 */
BgL_testz00_15192 = 
(
STRUCT_KEY(BgL_arg1634z00_1559)==BGl_symbol5155z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 562 */
BgL_testz00_15192 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 592 */
BgL_testz00_15192 = ((bool_t)0)
; } 
if(BgL_testz00_15192)
{ 
obj_t BgL_fz00_15200;
BgL_fz00_15200 = BgL_rz00_1554; 
BgL_fz00_1552 = BgL_fz00_15200; 
goto BgL_zc3anonymousza31630ze3z83_1553;}  else 
{ /* Eval/evaluate_comp.scm 592 */
return BgL_rz00_1554;} } } } } 
BGL_FUNCTION_END;
}



/* push-boxes-args-on-sp */
obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t BgL_sz00_82, obj_t BgL_argsz00_83, obj_t BgL_boxesz00_84, long BgL_spz00_85, obj_t BgL_locz00_86)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 616 */
{ 
obj_t BgL_lz00_1562;obj_t BgL_bsz00_1563;long BgL_spz00_1564;
BgL_lz00_1562 = BgL_argsz00_83; 
BgL_bsz00_1563 = BgL_boxesz00_84; 
BgL_spz00_1564 = BgL_spz00_85; 
BgL_zc3anonymousza31635ze3z83_1565:
if(
NULLP(BgL_lz00_1562))
{ /* Eval/evaluate_comp.scm 618 */
if(
NULLP(BgL_bsz00_1563))
{ /* Eval/evaluate_comp.scm 619 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 622 */
obj_t BgL_arg1638z00_1568;
{ /* Eval/evaluate_comp.scm 622 */
long BgL_arg1640z00_1569;long BgL_arg1641z00_1570;
BgL_arg1640z00_1569 = 
bgl_list_length(BgL_boxesz00_84); 
BgL_arg1641z00_1570 = 
bgl_list_length(BgL_argsz00_83); 
{ /* Eval/evaluate_comp.scm 621 */
obj_t BgL_list1642z00_1571;
{ /* Eval/evaluate_comp.scm 621 */
obj_t BgL_arg1643z00_1572;
BgL_arg1643z00_1572 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1641z00_1570), BNIL); 
BgL_list1642z00_1571 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1640z00_1569), BgL_arg1643z00_1572); } 
BgL_arg1638z00_1568 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5169z00zz__evaluate_compz00, BgL_list1642z00_1571); } } 
return 
BGl_everrorz00zz__everrorz00(BgL_locz00_86, BGl_string5161z00zz__evaluate_compz00, BGl_string5170z00zz__evaluate_compz00, BgL_arg1638z00_1568);} }  else 
{ /* Eval/evaluate_comp.scm 618 */
if(
NULLP(BgL_bsz00_1563))
{ /* Eval/evaluate_comp.scm 626 */
obj_t BgL_arg1646z00_1574;
{ /* Eval/evaluate_comp.scm 626 */
long BgL_arg1647z00_1575;long BgL_arg1648z00_1576;
BgL_arg1647z00_1575 = 
bgl_list_length(BgL_boxesz00_84); 
BgL_arg1648z00_1576 = 
bgl_list_length(BgL_argsz00_83); 
{ /* Eval/evaluate_comp.scm 625 */
obj_t BgL_list1649z00_1577;
{ /* Eval/evaluate_comp.scm 625 */
obj_t BgL_arg1650z00_1578;
BgL_arg1650z00_1578 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1648z00_1576), BNIL); 
BgL_list1649z00_1577 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1647z00_1575), BgL_arg1650z00_1578); } 
BgL_arg1646z00_1574 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5169z00zz__evaluate_compz00, BgL_list1649z00_1577); } } 
return 
BGl_everrorz00zz__everrorz00(BgL_locz00_86, BGl_string5161z00zz__evaluate_compz00, BGl_string5170z00zz__evaluate_compz00, BgL_arg1646z00_1574);}  else 
{ /* Eval/evaluate_comp.scm 623 */
{ /* Eval/evaluate_comp.scm 629 */
obj_t BgL_arg1651z00_1579;
{ /* Eval/evaluate_comp.scm 629 */
obj_t BgL_vz00_1580;
{ /* Eval/evaluate_comp.scm 629 */
obj_t BgL_fun1653z00_1582;
BgL_fun1653z00_1582 = 
CAR(
((obj_t)BgL_lz00_1562)); 
BgL_vz00_1580 = 
PROCEDURE_ENTRY(BgL_fun1653z00_1582)(BgL_fun1653z00_1582, BgL_sz00_82, BEOA); } 
if(
CBOOL(
CAR(
((obj_t)BgL_bsz00_1563))))
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_6458;
BgL_newz00_6458 = 
create_struct(BGl_symbol5171z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_15235;
BgL_tmpz00_15235 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_6458, BgL_tmpz00_15235, BgL_vz00_1580); } 
BgL_arg1651z00_1579 = BgL_newz00_6458; }  else 
{ /* Eval/evaluate_comp.scm 630 */
BgL_arg1651z00_1579 = BgL_vz00_1580; } } 
VECTOR_SET(
((obj_t)BgL_sz00_82),BgL_spz00_1564,BgL_arg1651z00_1579); } 
{ /* Eval/evaluate_comp.scm 633 */
obj_t BgL_arg1654z00_1583;obj_t BgL_arg1655z00_1584;long BgL_arg1656z00_1585;
BgL_arg1654z00_1583 = 
CDR(
((obj_t)BgL_lz00_1562)); 
BgL_arg1655z00_1584 = 
CDR(
((obj_t)BgL_bsz00_1563)); 
BgL_arg1656z00_1585 = 
(BgL_spz00_1564+((long)1)); 
{ 
long BgL_spz00_15247;obj_t BgL_bsz00_15246;obj_t BgL_lz00_15245;
BgL_lz00_15245 = BgL_arg1654z00_1583; 
BgL_bsz00_15246 = BgL_arg1655z00_1584; 
BgL_spz00_15247 = BgL_arg1656z00_1585; 
BgL_spz00_1564 = BgL_spz00_15247; 
BgL_bsz00_1563 = BgL_bsz00_15246; 
BgL_lz00_1562 = BgL_lz00_15245; 
goto BgL_zc3anonymousza31635ze3z83_1565;} } } } } } 
BGL_FUNCTION_END;
}



/* sub-stk */
obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_88, obj_t BgL_l2z00_89)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 638 */
BGl_subzd2stkzd2zz__evaluate_compz00:
if(
NULLP(BgL_l1z00_88))
{ /* Eval/evaluate_comp.scm 639 */
return BgL_l2z00_89;}  else 
{ /* Eval/evaluate_comp.scm 639 */
if(
(
CAR(
((obj_t)BgL_l1z00_88))==
CAR(
((obj_t)BgL_l2z00_89))))
{ /* Eval/evaluate_comp.scm 642 */
obj_t BgL_arg1663z00_1591;obj_t BgL_arg1664z00_1592;
BgL_arg1663z00_1591 = 
CDR(
((obj_t)BgL_l1z00_88)); 
BgL_arg1664z00_1592 = 
CDR(
((obj_t)BgL_l2z00_89)); 
{ 
obj_t BgL_l2z00_15261;obj_t BgL_l1z00_15260;
BgL_l1z00_15260 = BgL_arg1663z00_1591; 
BgL_l2z00_15261 = BgL_arg1664z00_1592; 
BgL_l2z00_89 = BgL_l2z00_15261; 
BgL_l1z00_88 = BgL_l1z00_15260; 
goto BGl_subzd2stkzd2zz__evaluate_compz00;} }  else 
{ /* Eval/evaluate_comp.scm 640 */
return 
BGl_errorz00zz__errorz00(BGl_string5161z00zz__evaluate_compz00, BGl_symbol5173z00zz__evaluate_compz00, BGl_symbol5175z00zz__evaluate_compz00);} } } 
BGL_FUNCTION_END;
}



/* catch-trampoline */
obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_93, obj_t BgL_sz00_94, obj_t BgL_bpz00_95)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 662 */
{ /* Eval/evaluate_comp.scm 663 */
obj_t BgL_savedzd2bpzd2_1603;
BgL_savedzd2bpzd2_1603 = 
VECTOR_REF(
((obj_t)BgL_sz00_94),((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_94),((long)0),BgL_bpz00_95); 
{ 
obj_t BgL_fz00_1605;
BgL_fz00_1605 = BgL_fz00_93; 
BgL_zc3anonymousza31674ze3z83_1606:
{ /* Eval/evaluate_comp.scm 666 */
obj_t BgL_rz00_1607;
BgL_rz00_1607 = 
PROCEDURE_ENTRY(BgL_fz00_1605)(BgL_fz00_1605, BgL_sz00_94, BEOA); 
{ /* Eval/evaluate_comp.scm 667 */
bool_t BgL_testz00_15271;
if(
PROCEDUREP(BgL_rz00_1607))
{ /* Eval/evaluate_comp.scm 667 */
obj_t BgL_arg1678z00_1612;
BgL_arg1678z00_1612 = 
PROCEDURE_ATTR(BgL_rz00_1607); 
if(
STRUCTP(BgL_arg1678z00_1612))
{ /* Eval/evaluate_comp.scm 647 */
BgL_testz00_15271 = 
(
STRUCT_KEY(BgL_arg1678z00_1612)==BGl_symbol5157z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 647 */
BgL_testz00_15271 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 667 */
BgL_testz00_15271 = ((bool_t)0)
; } 
if(BgL_testz00_15271)
{ 
obj_t BgL_fz00_15279;
BgL_fz00_15279 = BgL_rz00_1607; 
BgL_fz00_1605 = BgL_fz00_15279; 
goto BgL_zc3anonymousza31674ze3z83_1606;}  else 
{ /* Eval/evaluate_comp.scm 667 */
VECTOR_SET(
((obj_t)BgL_sz00_94),((long)0),BgL_savedzd2bpzd2_1603); 
return BgL_rz00_1607;} } } } } } 
BGL_FUNCTION_END;
}



/* check-stack */
bool_t BGl_checkzd2stackzd2zz__evaluate_compz00(obj_t BgL_sz00_114, obj_t BgL_bpz00_115, obj_t BgL_nz00_116)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 678 */
return 
(
(
(long)CINT(BgL_bpz00_115)+
(long)CINT(BgL_nz00_116))<
VECTOR_LENGTH(
((obj_t)BgL_sz00_114)));} 
BGL_FUNCTION_END;
}



/* comp-with-push */
obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_117, obj_t BgL_stkz00_118)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 681 */
if(
NULLP(BgL_eza2za2_117))
{ /* Eval/evaluate_comp.scm 683 */
return BNIL;}  else 
{ /* Eval/evaluate_comp.scm 685 */
obj_t BgL_arg1689z00_1625;obj_t BgL_arg1690z00_1626;
{ /* Eval/evaluate_comp.scm 685 */
obj_t BgL_arg1691z00_1627;
BgL_arg1691z00_1627 = 
CAR(
((obj_t)BgL_eza2za2_117)); 
BgL_arg1689z00_1625 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg1691z00_1627), BgL_stkz00_118); } 
{ /* Eval/evaluate_comp.scm 686 */
obj_t BgL_arg1692z00_1628;obj_t BgL_arg1694z00_1629;
BgL_arg1692z00_1628 = 
CDR(
((obj_t)BgL_eza2za2_117)); 
{ /* Eval/evaluate_comp.scm 686 */
obj_t BgL_arg1695z00_1630;
BgL_arg1695z00_1630 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
BgL_arg1694z00_1629 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_118, BgL_arg1695z00_1630); } 
BgL_arg1690z00_1626 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1692z00_1628, BgL_arg1694z00_1629); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1689z00_1625, BgL_arg1690z00_1626);} } 
BGL_FUNCTION_END;
}



/* rec~0 */
obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t BgL_stkz00_12521, obj_t BgL_lz00_1632, long BgL_iz00_1633)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 689 */
if(
NULLP(BgL_lz00_1632))
{ /* Eval/evaluate_comp.scm 690 */
return BNIL;}  else 
{ /* Eval/evaluate_comp.scm 690 */
if(
(BgL_iz00_1633==((long)0)))
{ /* Eval/evaluate_comp.scm 691 */
return 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1632, BgL_stkz00_12521);}  else 
{ /* Eval/evaluate_comp.scm 692 */
obj_t BgL_arg1699z00_1637;obj_t BgL_arg1700z00_1638;
{ /* Eval/evaluate_comp.scm 692 */
obj_t BgL_arg1701z00_1639;
BgL_arg1701z00_1639 = 
CAR(
((obj_t)BgL_lz00_1632)); 
BgL_arg1699z00_1637 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg1701z00_1639), BgL_stkz00_12521); } 
{ /* Eval/evaluate_comp.scm 693 */
obj_t BgL_arg1702z00_1640;long BgL_arg1703z00_1641;
BgL_arg1702z00_1640 = 
CDR(
((obj_t)BgL_lz00_1632)); 
BgL_arg1703z00_1641 = 
(BgL_iz00_1633-((long)1)); 
BgL_arg1700z00_1638 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_12521, BgL_arg1702z00_1640, BgL_arg1703z00_1641); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1699z00_1637, BgL_arg1700z00_1638);} } } 
BGL_FUNCTION_END;
}



/* subr-call-with-push */
obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_122, obj_t BgL_fz00_123, obj_t BgL_argsz00_124, obj_t BgL_bpz00_125, obj_t BgL_siza7eza7_126)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 695 */
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_argsz00_1643;
if(
NULLP(BgL_argsz00_124))
{ /* Eval/evaluate_comp.scm 697 */
BgL_argsz00_1643 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_head1336z00_1648;
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_res4007z00_6523;
BgL_res4007z00_6523 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1336z00_1648 = BgL_res4007z00_6523; } 
{ 
obj_t BgL_l1334z00_1650;obj_t BgL_tail1337z00_1651;
BgL_l1334z00_1650 = BgL_argsz00_124; 
BgL_tail1337z00_1651 = BgL_head1336z00_1648; 
BgL_zc3anonymousza31706ze3z83_1652:
if(
NULLP(BgL_l1334z00_1650))
{ /* Eval/evaluate_comp.scm 697 */
BgL_argsz00_1643 = 
CDR(BgL_head1336z00_1648); }  else 
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_newtail1338z00_1654;
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_arg1709z00_1656;
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_az00_1657;
BgL_az00_1657 = 
CAR(
((obj_t)BgL_l1334z00_1650)); 
BgL_arg1709z00_1656 = 
PROCEDURE_ENTRY(BgL_az00_1657)(BgL_az00_1657, BgL_sz00_122, BEOA); } 
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_res4009z00_6527;
BgL_res4009z00_6527 = 
MAKE_YOUNG_PAIR(BgL_arg1709z00_1656, BNIL); 
BgL_newtail1338z00_1654 = BgL_res4009z00_6527; } } 
SET_CDR(BgL_tail1337z00_1651, BgL_newtail1338z00_1654); 
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_arg1708z00_1655;
BgL_arg1708z00_1655 = 
CDR(
((obj_t)BgL_l1334z00_1650)); 
{ 
obj_t BgL_tail1337z00_15331;obj_t BgL_l1334z00_15330;
BgL_l1334z00_15330 = BgL_arg1708z00_1655; 
BgL_tail1337z00_15331 = BgL_newtail1338z00_1654; 
BgL_tail1337z00_1651 = BgL_tail1337z00_15331; 
BgL_l1334z00_1650 = BgL_l1334z00_15330; 
goto BgL_zc3anonymousza31706ze3z83_1652;} } } } } 
{ /* Eval/evaluate_comp.scm 698 */
long BgL_arg1704z00_1644;
BgL_arg1704z00_1644 = 
(
(long)CINT(BgL_bpz00_125)+
(long)CINT(BgL_siza7eza7_126)); 
VECTOR_SET(
((obj_t)BgL_sz00_122),((long)0),
BINT(BgL_arg1704z00_1644)); } 
{ /* Eval/evaluate_comp.scm 699 */
obj_t BgL_za2za2resza2za2z00_1645;
BgL_za2za2resza2za2z00_1645 = 
apply(BgL_fz00_123, BgL_argsz00_1643); 
VECTOR_SET(
((obj_t)BgL_sz00_122),((long)0),BgL_bpz00_125); 
return BgL_za2za2resza2za2z00_1645;} } } 
BGL_FUNCTION_END;
}



/* push-args-on-sp */
bool_t BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(obj_t BgL_sz00_127, obj_t BgL_argsz00_128, obj_t BgL_spz00_129)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 702 */
{ 
obj_t BgL_lz00_1660;obj_t BgL_spz00_1661;
BgL_lz00_1660 = BgL_argsz00_128; 
BgL_spz00_1661 = BgL_spz00_129; 
BgL_zc3anonymousza31710ze3z83_1662:
if(
NULLP(BgL_lz00_1660))
{ /* Eval/evaluate_comp.scm 704 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_comp.scm 704 */
{ /* Eval/evaluate_comp.scm 705 */
obj_t BgL_arg1712z00_1664;
{ /* Eval/evaluate_comp.scm 705 */
obj_t BgL_fun1713z00_1665;
BgL_fun1713z00_1665 = 
CAR(
((obj_t)BgL_lz00_1660)); 
BgL_arg1712z00_1664 = 
PROCEDURE_ENTRY(BgL_fun1713z00_1665)(BgL_fun1713z00_1665, BgL_sz00_127, BEOA); } 
{ /* Eval/evaluate_comp.scm 705 */
long BgL_kz00_6538;
BgL_kz00_6538 = 
(long)CINT(BgL_spz00_1661); 
VECTOR_SET(
((obj_t)BgL_sz00_127),BgL_kz00_6538,BgL_arg1712z00_1664); } } 
{ /* Eval/evaluate_comp.scm 706 */
obj_t BgL_arg1714z00_1666;long BgL_arg1715z00_1667;
BgL_arg1714z00_1666 = 
CDR(
((obj_t)BgL_lz00_1660)); 
BgL_arg1715z00_1667 = 
(
(long)CINT(BgL_spz00_1661)+((long)1)); 
{ 
obj_t BgL_spz00_15358;obj_t BgL_lz00_15357;
BgL_lz00_15357 = BgL_arg1714z00_1666; 
BgL_spz00_15358 = 
BINT(BgL_arg1715z00_1667); 
BgL_spz00_1661 = BgL_spz00_15358; 
BgL_lz00_1660 = BgL_lz00_15357; 
goto BgL_zc3anonymousza31710ze3z83_1662;} } } } } 
BGL_FUNCTION_END;
}



/* push-nargs-on-sp */
obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t BgL_arityz00_130, obj_t BgL_sz00_131, obj_t BgL_argsz00_132, obj_t BgL_spz00_133)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 708 */
{ /* Eval/evaluate_comp.scm 709 */
long BgL_g1144z00_1669;
BgL_g1144z00_1669 = 
(((long)-1)-
(long)CINT(BgL_arityz00_130)); 
{ 
obj_t BgL_lz00_1671;obj_t BgL_spz00_1672;long BgL_nz00_1673;
BgL_lz00_1671 = BgL_argsz00_132; 
BgL_spz00_1672 = BgL_spz00_133; 
BgL_nz00_1673 = BgL_g1144z00_1669; 
BgL_zc3anonymousza31716ze3z83_1674:
if(
(BgL_nz00_1673==((long)0)))
{ 
obj_t BgL_lz00_1678;obj_t BgL_rz00_1679;
BgL_lz00_1678 = BgL_lz00_1671; 
BgL_rz00_1679 = BNIL; 
BgL_zc3anonymousza31718ze3z83_1680:
if(
NULLP(BgL_lz00_1678))
{ /* Eval/evaluate_comp.scm 713 */
obj_t BgL_arg1720z00_1682;
BgL_arg1720z00_1682 = 
bgl_reverse_bang(BgL_rz00_1679); 
{ /* Eval/evaluate_comp.scm 713 */
long BgL_kz00_6548;
BgL_kz00_6548 = 
(long)CINT(BgL_spz00_1672); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_131),BgL_kz00_6548,BgL_arg1720z00_1682);} }  else 
{ /* Eval/evaluate_comp.scm 714 */
obj_t BgL_arg1721z00_1683;obj_t BgL_arg1722z00_1684;
BgL_arg1721z00_1683 = 
CDR(
((obj_t)BgL_lz00_1678)); 
{ /* Eval/evaluate_comp.scm 714 */
obj_t BgL_arg1723z00_1685;
{ /* Eval/evaluate_comp.scm 714 */
obj_t BgL_fun1724z00_1686;
BgL_fun1724z00_1686 = 
CAR(
((obj_t)BgL_lz00_1678)); 
BgL_arg1723z00_1685 = 
PROCEDURE_ENTRY(BgL_fun1724z00_1686)(BgL_fun1724z00_1686, BgL_sz00_131, BEOA); } 
BgL_arg1722z00_1684 = 
MAKE_YOUNG_PAIR(BgL_arg1723z00_1685, BgL_rz00_1679); } 
{ 
obj_t BgL_rz00_15380;obj_t BgL_lz00_15379;
BgL_lz00_15379 = BgL_arg1721z00_1683; 
BgL_rz00_15380 = BgL_arg1722z00_1684; 
BgL_rz00_1679 = BgL_rz00_15380; 
BgL_lz00_1678 = BgL_lz00_15379; 
goto BgL_zc3anonymousza31718ze3z83_1680;} } }  else 
{ /* Eval/evaluate_comp.scm 710 */
{ /* Eval/evaluate_comp.scm 715 */
obj_t BgL_arg1725z00_1688;
{ /* Eval/evaluate_comp.scm 715 */
obj_t BgL_fun1726z00_1689;
BgL_fun1726z00_1689 = 
CAR(
((obj_t)BgL_lz00_1671)); 
BgL_arg1725z00_1688 = 
PROCEDURE_ENTRY(BgL_fun1726z00_1689)(BgL_fun1726z00_1689, BgL_sz00_131, BEOA); } 
{ /* Eval/evaluate_comp.scm 715 */
long BgL_kz00_6553;
BgL_kz00_6553 = 
(long)CINT(BgL_spz00_1672); 
VECTOR_SET(
((obj_t)BgL_sz00_131),BgL_kz00_6553,BgL_arg1725z00_1688); } } 
{ /* Eval/evaluate_comp.scm 716 */
obj_t BgL_arg1727z00_1690;long BgL_arg1728z00_1691;long BgL_arg1729z00_1692;
BgL_arg1727z00_1690 = 
CDR(
((obj_t)BgL_lz00_1671)); 
BgL_arg1728z00_1691 = 
(
(long)CINT(BgL_spz00_1672)+((long)1)); 
BgL_arg1729z00_1692 = 
(BgL_nz00_1673-((long)1)); 
{ 
long BgL_nz00_15398;obj_t BgL_spz00_15396;obj_t BgL_lz00_15395;
BgL_lz00_15395 = BgL_arg1727z00_1690; 
BgL_spz00_15396 = 
BINT(BgL_arg1728z00_1691); 
BgL_nz00_15398 = BgL_arg1729z00_1692; 
BgL_nz00_1673 = BgL_nz00_15398; 
BgL_spz00_1672 = BgL_spz00_15396; 
BgL_lz00_1671 = BgL_lz00_15395; 
goto BgL_zc3anonymousza31716ze3z83_1674;} } } } } } 
BGL_FUNCTION_END;
}



/* need-shift */
bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_134, obj_t BgL_stkz00_135)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 759 */
{ 
obj_t BgL_lz00_1695;obj_t BgL_stkz00_1696;
BgL_lz00_1695 = BgL_argsz00_134; 
BgL_stkz00_1696 = BgL_stkz00_135; 
BgL_zc3anonymousza31730ze3z83_1697:
{ /* Eval/evaluate_comp.scm 763 */
bool_t BgL_testz00_15399;
if(
NULLP(BgL_lz00_1695))
{ /* Eval/evaluate_comp.scm 763 */
BgL_testz00_15399 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 763 */
BgL_testz00_15399 = 
NULLP(BgL_stkz00_1696)
; } 
if(BgL_testz00_15399)
{ /* Eval/evaluate_comp.scm 763 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_comp.scm 765 */
bool_t BgL_testz00_15403;
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL_g1341z00_1714;
BgL_g1341z00_1714 = 
CDR(
((obj_t)BgL_lz00_1695)); 
{ 
obj_t BgL_l1339z00_1716;
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL_tmpz00_15406;
BgL_l1339z00_1716 = BgL_g1341z00_1714; 
BgL_zc3anonymousza31741ze3z83_1717:
if(
NULLP(BgL_l1339z00_1716))
{ /* Eval/evaluate_comp.scm 765 */
BgL_tmpz00_15406 = BFALSE
; }  else 
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL__ortest_1342z00_1719;
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL_ez00_1721;
BgL_ez00_1721 = 
CAR(
((obj_t)BgL_l1339z00_1716)); 
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL_arg1743z00_1722;obj_t BgL_arg1744z00_1723;
BgL_arg1743z00_1722 = 
CAR(
((obj_t)BgL_stkz00_1696)); 
BgL_arg1744z00_1723 = 
BGl_usez00zz__evaluate_usez00(
((BgL_ev_exprz00_bglt)BgL_ez00_1721), BNIL); 
BgL__ortest_1342z00_1719 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1743z00_1722, BgL_arg1744z00_1723); } } 
if(
CBOOL(BgL__ortest_1342z00_1719))
{ /* Eval/evaluate_comp.scm 765 */
BgL_tmpz00_15406 = BgL__ortest_1342z00_1719
; }  else 
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL_arg1742z00_1720;
BgL_arg1742z00_1720 = 
CDR(
((obj_t)BgL_l1339z00_1716)); 
{ 
obj_t BgL_l1339z00_15420;
BgL_l1339z00_15420 = BgL_arg1742z00_1720; 
BgL_l1339z00_1716 = BgL_l1339z00_15420; 
goto BgL_zc3anonymousza31741ze3z83_1717;} } } 
BgL_testz00_15403 = 
CBOOL(BgL_tmpz00_15406); } } } 
if(BgL_testz00_15403)
{ /* Eval/evaluate_comp.scm 765 */
return ((bool_t)1);}  else 
{ /* Eval/evaluate_comp.scm 767 */
obj_t BgL_arg1739z00_1712;obj_t BgL_arg1740z00_1713;
BgL_arg1739z00_1712 = 
CDR(
((obj_t)BgL_lz00_1695)); 
BgL_arg1740z00_1713 = 
CDR(
((obj_t)BgL_stkz00_1696)); 
{ 
obj_t BgL_stkz00_15427;obj_t BgL_lz00_15426;
BgL_lz00_15426 = BgL_arg1739z00_1712; 
BgL_stkz00_15427 = BgL_arg1740z00_1713; 
BgL_stkz00_1696 = BgL_stkz00_15427; 
BgL_lz00_1695 = BgL_lz00_15426; 
goto BgL_zc3anonymousza31730ze3z83_1697;} } } } } } 
BGL_FUNCTION_END;
}



/* comp-old-call */
obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt BgL_ez00_136, obj_t BgL_stkz00_137)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 769 */
{ /* Eval/evaluate_comp.scm 771 */
long BgL_siza7eza7_1728;long BgL_nbargsz00_1729;obj_t BgL_fz00_1730;obj_t BgL_symbzd2funzd2_1731;
BgL_siza7eza7_1728 = 
bgl_list_length(BgL_stkz00_137); 
BgL_nbargsz00_1729 = 
bgl_list_length(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00)); 
BgL_fz00_1730 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_funz00), BgL_stkz00_137); 
BgL_symbzd2funzd2_1731 = 
BGl_uncompilez00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_funz00)); 
if(
CBOOL(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_tailzf3zf3)))
{ /* Eval/evaluate_comp.scm 773 */
if(
BGl_needzd2shiftzd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137))
{ /* Eval/evaluate_comp.scm 780 */
bool_t BgL_testz00_15441;
{ /* Eval/evaluate_comp.scm 780 */
int BgL_arg1793z00_1810;
BgL_arg1793z00_1810 = 
bgl_debug(); 
BgL_testz00_15441 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1793z00_1810), 
BINT(((long)0))); } 
if(BgL_testz00_15441)
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_argsz00_1737;
BgL_argsz00_1737 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_zc3anonymousza31750ze3z83_10550;
BgL_zc3anonymousza31750ze3z83_10550 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31750ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza31750ze3z83_10550, 
(int)(((long)0)), BgL_fz00_1730); 
PROCEDURE_SET(BgL_zc3anonymousza31750ze3z83_10550, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31750ze3z83_10550, 
(int)(((long)2)), BgL_symbzd2funzd2_1731); 
PROCEDURE_SET(BgL_zc3anonymousza31750ze3z83_10550, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1729)); 
PROCEDURE_SET(BgL_zc3anonymousza31750ze3z83_10550, 
(int)(((long)4)), BgL_argsz00_1737); 
PROCEDURE_SET(BgL_zc3anonymousza31750ze3z83_10550, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1728)); 
return BgL_zc3anonymousza31750ze3z83_10550;} }  else 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_argsz00_1775;
BgL_argsz00_1775 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_zc3anonymousza31773ze3z83_10551;
BgL_zc3anonymousza31773ze3z83_10551 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31773ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza31773ze3z83_10551, 
(int)(((long)0)), BgL_fz00_1730); 
PROCEDURE_SET(BgL_zc3anonymousza31773ze3z83_10551, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31773ze3z83_10551, 
(int)(((long)2)), BgL_symbzd2funzd2_1731); 
PROCEDURE_SET(BgL_zc3anonymousza31773ze3z83_10551, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1729)); 
PROCEDURE_SET(BgL_zc3anonymousza31773ze3z83_10551, 
(int)(((long)4)), BgL_argsz00_1775); 
PROCEDURE_SET(BgL_zc3anonymousza31773ze3z83_10551, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1728)); 
return BgL_zc3anonymousza31773ze3z83_10551;} } }  else 
{ /* Eval/evaluate_comp.scm 788 */
bool_t BgL_testz00_15486;
{ /* Eval/evaluate_comp.scm 788 */
int BgL_arg1833z00_1880;
BgL_arg1833z00_1880 = 
bgl_debug(); 
BgL_testz00_15486 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1833z00_1880), 
BINT(((long)0))); } 
if(BgL_testz00_15486)
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_argsz00_1813;
BgL_argsz00_1813 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137, 
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_siza7eza7_1728); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_zc3anonymousza31796ze3z83_10552;
BgL_zc3anonymousza31796ze3z83_10552 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31796ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza31796ze3z83_10552, 
(int)(((long)0)), BgL_fz00_1730); 
PROCEDURE_SET(BgL_zc3anonymousza31796ze3z83_10552, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31796ze3z83_10552, 
(int)(((long)2)), BgL_symbzd2funzd2_1731); 
PROCEDURE_SET(BgL_zc3anonymousza31796ze3z83_10552, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1729)); 
PROCEDURE_SET(BgL_zc3anonymousza31796ze3z83_10552, 
(int)(((long)4)), BgL_argsz00_1813); 
return BgL_zc3anonymousza31796ze3z83_10552;} }  else 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_argsz00_1848;
BgL_argsz00_1848 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137, 
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_siza7eza7_1728); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_zc3anonymousza31816ze3z83_10553;
BgL_zc3anonymousza31816ze3z83_10553 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31816ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza31816ze3z83_10553, 
(int)(((long)0)), BgL_fz00_1730); 
PROCEDURE_SET(BgL_zc3anonymousza31816ze3z83_10553, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31816ze3z83_10553, 
(int)(((long)2)), BgL_symbzd2funzd2_1731); 
PROCEDURE_SET(BgL_zc3anonymousza31816ze3z83_10553, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1729)); 
PROCEDURE_SET(BgL_zc3anonymousza31816ze3z83_10553, 
(int)(((long)4)), BgL_argsz00_1848); 
return BgL_zc3anonymousza31816ze3z83_10553;} } } }  else 
{ /* Eval/evaluate_comp.scm 774 */
bool_t BgL_testz00_15525;
{ /* Eval/evaluate_comp.scm 774 */
int BgL_arg1874z00_1951;
BgL_arg1874z00_1951 = 
bgl_debug(); 
BgL_testz00_15525 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1874z00_1951), 
BINT(((long)0))); } 
if(BgL_testz00_15525)
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_argsz00_1884;
BgL_argsz00_1884 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_zc3anonymousza31837ze3z83_10554;
BgL_zc3anonymousza31837ze3z83_10554 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31837ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza31837ze3z83_10554, 
(int)(((long)0)), BgL_fz00_1730); 
PROCEDURE_SET(BgL_zc3anonymousza31837ze3z83_10554, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31837ze3z83_10554, 
(int)(((long)2)), BgL_symbzd2funzd2_1731); 
PROCEDURE_SET(BgL_zc3anonymousza31837ze3z83_10554, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1729)); 
PROCEDURE_SET(BgL_zc3anonymousza31837ze3z83_10554, 
(int)(((long)4)), BgL_argsz00_1884); 
PROCEDURE_SET(BgL_zc3anonymousza31837ze3z83_10554, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1728)); 
return BgL_zc3anonymousza31837ze3z83_10554;} }  else 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_argsz00_1919;
BgL_argsz00_1919 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_zc3anonymousza31857ze3z83_10555;
BgL_zc3anonymousza31857ze3z83_10555 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31857ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza31857ze3z83_10555, 
(int)(((long)0)), BgL_fz00_1730); 
PROCEDURE_SET(BgL_zc3anonymousza31857ze3z83_10555, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31857ze3z83_10555, 
(int)(((long)2)), BgL_symbzd2funzd2_1731); 
PROCEDURE_SET(BgL_zc3anonymousza31857ze3z83_10555, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1729)); 
PROCEDURE_SET(BgL_zc3anonymousza31857ze3z83_10555, 
(int)(((long)4)), BgL_argsz00_1919); 
PROCEDURE_SET(BgL_zc3anonymousza31857ze3z83_10555, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1728)); 
return BgL_zc3anonymousza31857ze3z83_10555;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1750> */
obj_t BGl_z62zc3anonymousza31750ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10556, obj_t BgL_sz00_10563)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 780 */
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_fz00_10557;BgL_ev_appz00_bglt BgL_i1152z00_10558;obj_t BgL_symbzd2funzd2_10559;long BgL_nbargsz00_10560;obj_t BgL_argsz00_10561;long BgL_siza7eza7_10562;
BgL_fz00_10557 = 
PROCEDURE_REF(BgL_envz00_10556, 
(int)(((long)0))); 
BgL_i1152z00_10558 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10556, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10559 = 
PROCEDURE_REF(BgL_envz00_10556, 
(int)(((long)2))); 
BgL_nbargsz00_10560 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10556, 
(int)(((long)3)))); 
BgL_argsz00_10561 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10556, 
(int)(((long)4)))); 
BgL_siza7eza7_10562 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10556, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_bpz00_12542;
BgL_bpz00_12542 = 
VECTOR_REF(
((obj_t)BgL_sz00_10563),((long)0)); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_fz00_12543;
BgL_fz00_12543 = 
PROCEDURE_ENTRY(BgL_fz00_10557)(BgL_fz00_10557, BgL_sz00_10563, BEOA); 
if(
PROCEDUREP(BgL_fz00_12543))
{ /* Eval/evaluate_comp.scm 780 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 780 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10558))->BgL_locz00), BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_12543); } 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_ufz00_12544;
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_tmpz00_15596;
BgL_tmpz00_15596 = 
((obj_t)BgL_fz00_12543); 
BgL_ufz00_12544 = 
PROCEDURE_ATTR(BgL_tmpz00_15596); } 
{ /* Eval/evaluate_comp.scm 780 */
bool_t BgL_testz00_15599;
if(
STRUCTP(BgL_ufz00_12544))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15599 = 
(
STRUCT_KEY(BgL_ufz00_12544)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15599 = ((bool_t)0)
; } 
if(BgL_testz00_15599)
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_arityz00_12545;obj_t BgL_runz00_12546;obj_t BgL_sfz00_12547;
BgL_arityz00_12545 = 
STRUCT_REF(BgL_ufz00_12544, 
(int)(((long)0))); 
BgL_runz00_12546 = 
STRUCT_REF(BgL_ufz00_12544, 
(int)(((long)1))); 
BgL_sfz00_12547 = 
STRUCT_REF(BgL_ufz00_12544, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 780 */
long BgL_spz00_12548;
BgL_spz00_12548 = 
(
(long)CINT(BgL_bpz00_12542)+BgL_siza7eza7_10562); 
if(
(
(long)CINT(BgL_arityz00_12545)==BgL_nbargsz00_10560))
{ /* Eval/evaluate_comp.scm 780 */
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10563, BgL_argsz00_10561, 
BINT(BgL_spz00_12548)); 
{ /* Eval/evaluate_comp.scm 784 */
long BgL_arg1755z00_12549;
BgL_arg1755z00_12549 = 
(BgL_spz00_12548+BgL_nbargsz00_10560); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10563, 
(long)CINT(BgL_bpz00_12542), BgL_sz00_10563, 
BINT(BgL_spz00_12548), 
BINT(BgL_arg1755z00_12549)); } }  else 
{ /* Eval/evaluate_comp.scm 780 */
bool_t BgL_testz00_15622;
if(
(
(long)CINT(BgL_arityz00_12545)>=((long)0)))
{ /* Eval/evaluate_comp.scm 780 */
BgL_testz00_15622 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 780 */
BgL_testz00_15622 = 
(
(long)CINT(BgL_arityz00_12545)<
(((long)-1)-BgL_nbargsz00_10560))
; } 
if(BgL_testz00_15622)
{ /* Eval/evaluate_comp.scm 780 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10558))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12544, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10560), 
CINT(BgL_arityz00_12545)); }  else 
{ /* Eval/evaluate_comp.scm 780 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12545, BgL_sz00_10563, BgL_argsz00_10561, 
BINT(BgL_spz00_12548)); 
{ /* Eval/evaluate_comp.scm 786 */
long BgL_arg1761z00_12550;
BgL_arg1761z00_12550 = 
(BgL_spz00_12548+
(((long)0)-
(long)CINT(BgL_arityz00_12545))); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10563, 
(long)CINT(BgL_bpz00_12542), BgL_sz00_10563, 
BINT(BgL_spz00_12548), 
BINT(BgL_arg1761z00_12550)); } } } 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_z12denvz12_12551;
BgL_z12denvz12_12551 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_tmpz00_15645;
BgL_tmpz00_15645 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10558))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12551, BgL_tmpz00_15645); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10563, BgL_bpz00_12542, BgL_sfz00_12547))
{ /* Eval/evaluate_comp.scm 780 */
return BgL_runz00_12546;}  else 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_nsz00_12552;
BgL_nsz00_12552 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 780 */
long BgL_arg1766z00_12553;
BgL_arg1766z00_12553 = 
(
(long)CINT(BgL_bpz00_12542)+BgL_nbargsz00_10560); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12552, ((long)2), BgL_sz00_10563, BgL_bpz00_12542, 
BINT(BgL_arg1766z00_12553)); } 
VECTOR_SET(BgL_nsz00_12552,((long)1),BgL_sz00_10563); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12551, BgL_nsz00_12552); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_ez00_12554;
BgL_ez00_12554 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12554, BgL_sz00_10563); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_____rz00_12555;
BgL_____rz00_12555 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12546, BgL_nsz00_12552, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12554); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12551, BgL_sz00_10563); 
return BgL_____rz00_12555;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 780 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12543, 
(int)(BgL_nbargsz00_10560)))
{ /* Eval/evaluate_comp.scm 780 */
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_auxz00_15668;obj_t BgL_tmpz00_15666;
BgL_auxz00_15668 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10558))->BgL_locz00); 
BgL_tmpz00_15666 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_15666, BgL_auxz00_15668); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10563, BgL_fz00_12543, BgL_argsz00_10561, BgL_bpz00_12542, 
BINT(BgL_siza7eza7_10562));}  else 
{ /* Eval/evaluate_comp.scm 780 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10558))->BgL_locz00), BgL_symbzd2funzd2_10559, 
(int)(BgL_nbargsz00_10560), 
PROCEDURE_ARITY(BgL_fz00_12543));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1773> */
obj_t BGl_z62zc3anonymousza31773ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10564, obj_t BgL_sz00_10571)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 780 */
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_fz00_10565;BgL_ev_appz00_bglt BgL_i1152z00_10566;obj_t BgL_symbzd2funzd2_10567;long BgL_nbargsz00_10568;obj_t BgL_argsz00_10569;long BgL_siza7eza7_10570;
BgL_fz00_10565 = 
PROCEDURE_REF(BgL_envz00_10564, 
(int)(((long)0))); 
BgL_i1152z00_10566 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10564, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10567 = 
PROCEDURE_REF(BgL_envz00_10564, 
(int)(((long)2))); 
BgL_nbargsz00_10568 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10564, 
(int)(((long)3)))); 
BgL_argsz00_10569 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10564, 
(int)(((long)4)))); 
BgL_siza7eza7_10570 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10564, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_bpz00_12556;
BgL_bpz00_12556 = 
VECTOR_REF(
((obj_t)BgL_sz00_10571),((long)0)); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_fz00_12557;
BgL_fz00_12557 = 
PROCEDURE_ENTRY(BgL_fz00_10565)(BgL_fz00_10565, BgL_sz00_10571, BEOA); 
if(
PROCEDUREP(BgL_fz00_12557))
{ /* Eval/evaluate_comp.scm 780 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 780 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10566))->BgL_locz00), BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_12557); } 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_ufz00_12558;
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_tmpz00_15703;
BgL_tmpz00_15703 = 
((obj_t)BgL_fz00_12557); 
BgL_ufz00_12558 = 
PROCEDURE_ATTR(BgL_tmpz00_15703); } 
{ /* Eval/evaluate_comp.scm 780 */
bool_t BgL_testz00_15706;
if(
STRUCTP(BgL_ufz00_12558))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15706 = 
(
STRUCT_KEY(BgL_ufz00_12558)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15706 = ((bool_t)0)
; } 
if(BgL_testz00_15706)
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_arityz00_12559;obj_t BgL_runz00_12560;obj_t BgL_sfz00_12561;
BgL_arityz00_12559 = 
STRUCT_REF(BgL_ufz00_12558, 
(int)(((long)0))); 
BgL_runz00_12560 = 
STRUCT_REF(BgL_ufz00_12558, 
(int)(((long)1))); 
BgL_sfz00_12561 = 
STRUCT_REF(BgL_ufz00_12558, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 780 */
long BgL_spz00_12562;
BgL_spz00_12562 = 
(
(long)CINT(BgL_bpz00_12556)+BgL_siza7eza7_10570); 
if(
(
(long)CINT(BgL_arityz00_12559)==BgL_nbargsz00_10568))
{ /* Eval/evaluate_comp.scm 780 */
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10571, BgL_argsz00_10569, 
BINT(BgL_spz00_12562)); 
{ /* Eval/evaluate_comp.scm 784 */
long BgL_arg1778z00_12563;
BgL_arg1778z00_12563 = 
(BgL_spz00_12562+BgL_nbargsz00_10568); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10571, 
(long)CINT(BgL_bpz00_12556), BgL_sz00_10571, 
BINT(BgL_spz00_12562), 
BINT(BgL_arg1778z00_12563)); } }  else 
{ /* Eval/evaluate_comp.scm 780 */
bool_t BgL_testz00_15729;
if(
(
(long)CINT(BgL_arityz00_12559)>=((long)0)))
{ /* Eval/evaluate_comp.scm 780 */
BgL_testz00_15729 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 780 */
BgL_testz00_15729 = 
(
(long)CINT(BgL_arityz00_12559)<
(((long)-1)-BgL_nbargsz00_10568))
; } 
if(BgL_testz00_15729)
{ /* Eval/evaluate_comp.scm 780 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10566))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12558, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10568), 
CINT(BgL_arityz00_12559)); }  else 
{ /* Eval/evaluate_comp.scm 780 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12559, BgL_sz00_10571, BgL_argsz00_10569, 
BINT(BgL_spz00_12562)); 
{ /* Eval/evaluate_comp.scm 786 */
long BgL_arg1784z00_12564;
BgL_arg1784z00_12564 = 
(BgL_spz00_12562+
(((long)0)-
(long)CINT(BgL_arityz00_12559))); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10571, 
(long)CINT(BgL_bpz00_12556), BgL_sz00_10571, 
BINT(BgL_spz00_12562), 
BINT(BgL_arg1784z00_12564)); } } } 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_z12denvz12_12565;
BgL_z12denvz12_12565 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10571, BgL_bpz00_12556, BgL_sfz00_12561))
{ /* Eval/evaluate_comp.scm 780 */
return BgL_runz00_12560;}  else 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_nsz00_12566;
BgL_nsz00_12566 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 780 */
long BgL_arg1788z00_12567;
BgL_arg1788z00_12567 = 
(
(long)CINT(BgL_bpz00_12556)+BgL_nbargsz00_10568); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12566, ((long)2), BgL_sz00_10571, BgL_bpz00_12556, 
BINT(BgL_arg1788z00_12567)); } 
VECTOR_SET(BgL_nsz00_12566,((long)1),BgL_sz00_10571); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12565, BgL_nsz00_12566); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_ez00_12568;
BgL_ez00_12568 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12568, BgL_sz00_10571); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_____rz00_12569;
BgL_____rz00_12569 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12560, BgL_nsz00_12566, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12568); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12565, BgL_sz00_10571); 
return BgL_____rz00_12569;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 780 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12557, 
(int)(BgL_nbargsz00_10568)))
{ /* Eval/evaluate_comp.scm 780 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10571, BgL_fz00_12557, BgL_argsz00_10569, BgL_bpz00_12556, 
BINT(BgL_siza7eza7_10570));}  else 
{ /* Eval/evaluate_comp.scm 780 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10566))->BgL_locz00), BgL_symbzd2funzd2_10567, 
(int)(BgL_nbargsz00_10568), 
PROCEDURE_ARITY(BgL_fz00_12557));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1796> */
obj_t BGl_z62zc3anonymousza31796ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10572, obj_t BgL_sz00_10578)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 788 */
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_fz00_10573;BgL_ev_appz00_bglt BgL_i1152z00_10574;obj_t BgL_symbzd2funzd2_10575;long BgL_nbargsz00_10576;obj_t BgL_argsz00_10577;
BgL_fz00_10573 = 
PROCEDURE_REF(BgL_envz00_10572, 
(int)(((long)0))); 
BgL_i1152z00_10574 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10572, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10575 = 
PROCEDURE_REF(BgL_envz00_10572, 
(int)(((long)2))); 
BgL_nbargsz00_10576 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10572, 
(int)(((long)3)))); 
BgL_argsz00_10577 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10572, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_bpz00_12570;
BgL_bpz00_12570 = 
VECTOR_REF(
((obj_t)BgL_sz00_10578),((long)0)); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_fz00_12571;
BgL_fz00_12571 = 
PROCEDURE_ENTRY(BgL_fz00_10573)(BgL_fz00_10573, BgL_sz00_10578, BEOA); 
if(
PROCEDUREP(BgL_fz00_12571))
{ /* Eval/evaluate_comp.scm 788 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 788 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10574))->BgL_locz00), BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_12571); } 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_ufz00_12572;
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_tmpz00_15799;
BgL_tmpz00_15799 = 
((obj_t)BgL_fz00_12571); 
BgL_ufz00_12572 = 
PROCEDURE_ATTR(BgL_tmpz00_15799); } 
{ /* Eval/evaluate_comp.scm 788 */
bool_t BgL_testz00_15802;
if(
STRUCTP(BgL_ufz00_12572))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15802 = 
(
STRUCT_KEY(BgL_ufz00_12572)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15802 = ((bool_t)0)
; } 
if(BgL_testz00_15802)
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_arityz00_12573;obj_t BgL_runz00_12574;obj_t BgL_sfz00_12575;
BgL_arityz00_12573 = 
STRUCT_REF(BgL_ufz00_12572, 
(int)(((long)0))); 
BgL_runz00_12574 = 
STRUCT_REF(BgL_ufz00_12572, 
(int)(((long)1))); 
BgL_sfz00_12575 = 
STRUCT_REF(BgL_ufz00_12572, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12573)==BgL_nbargsz00_10576))
{ /* Eval/evaluate_comp.scm 788 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10578, BgL_argsz00_10577, BgL_bpz00_12570)); }  else 
{ /* Eval/evaluate_comp.scm 788 */
bool_t BgL_testz00_15818;
if(
(
(long)CINT(BgL_arityz00_12573)>=((long)0)))
{ /* Eval/evaluate_comp.scm 788 */
BgL_testz00_15818 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 788 */
BgL_testz00_15818 = 
(
(long)CINT(BgL_arityz00_12573)<
(((long)-1)-BgL_nbargsz00_10576))
; } 
if(BgL_testz00_15818)
{ /* Eval/evaluate_comp.scm 788 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10574))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12572, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10576), 
CINT(BgL_arityz00_12573)); }  else 
{ /* Eval/evaluate_comp.scm 788 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12573, BgL_sz00_10578, BgL_argsz00_10577, BgL_bpz00_12570); } } 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_z12denvz12_12576;
BgL_z12denvz12_12576 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_tmpz00_15833;
BgL_tmpz00_15833 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10574))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12576, BgL_tmpz00_15833); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10578, BgL_bpz00_12570, BgL_sfz00_12575))
{ /* Eval/evaluate_comp.scm 788 */
return BgL_runz00_12574;}  else 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_nsz00_12577;
BgL_nsz00_12577 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 788 */
long BgL_arg1809z00_12578;
BgL_arg1809z00_12578 = 
(
(long)CINT(BgL_bpz00_12570)+BgL_nbargsz00_10576); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12577, ((long)2), BgL_sz00_10578, BgL_bpz00_12570, 
BINT(BgL_arg1809z00_12578)); } 
VECTOR_SET(BgL_nsz00_12577,((long)1),BgL_sz00_10578); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12576, BgL_nsz00_12577); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_ez00_12579;
BgL_ez00_12579 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12579, BgL_sz00_10578); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_____rz00_12580;
BgL_____rz00_12580 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12574, BgL_nsz00_12577, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12579); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12576, BgL_sz00_10578); 
return BgL_____rz00_12580;} } } } }  else 
{ /* Eval/evaluate_comp.scm 788 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12571, 
(int)(BgL_nbargsz00_10576)))
{ /* Eval/evaluate_comp.scm 788 */
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_auxz00_15856;obj_t BgL_tmpz00_15854;
BgL_auxz00_15856 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10574))->BgL_locz00); 
BgL_tmpz00_15854 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_15854, BgL_auxz00_15856); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10578, BgL_fz00_12571, BgL_argsz00_10577, BgL_bpz00_12570, 
BINT(BgL_nbargsz00_10576));}  else 
{ /* Eval/evaluate_comp.scm 788 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10574))->BgL_locz00), BgL_symbzd2funzd2_10575, 
(int)(BgL_nbargsz00_10576), 
PROCEDURE_ARITY(BgL_fz00_12571));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1816> */
obj_t BGl_z62zc3anonymousza31816ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10579, obj_t BgL_sz00_10585)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 788 */
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_fz00_10580;BgL_ev_appz00_bglt BgL_i1152z00_10581;obj_t BgL_symbzd2funzd2_10582;long BgL_nbargsz00_10583;obj_t BgL_argsz00_10584;
BgL_fz00_10580 = 
PROCEDURE_REF(BgL_envz00_10579, 
(int)(((long)0))); 
BgL_i1152z00_10581 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10579, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10582 = 
PROCEDURE_REF(BgL_envz00_10579, 
(int)(((long)2))); 
BgL_nbargsz00_10583 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10579, 
(int)(((long)3)))); 
BgL_argsz00_10584 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10579, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_bpz00_12581;
BgL_bpz00_12581 = 
VECTOR_REF(
((obj_t)BgL_sz00_10585),((long)0)); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_fz00_12582;
BgL_fz00_12582 = 
PROCEDURE_ENTRY(BgL_fz00_10580)(BgL_fz00_10580, BgL_sz00_10585, BEOA); 
if(
PROCEDUREP(BgL_fz00_12582))
{ /* Eval/evaluate_comp.scm 788 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 788 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10581))->BgL_locz00), BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_12582); } 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_ufz00_12583;
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_tmpz00_15888;
BgL_tmpz00_15888 = 
((obj_t)BgL_fz00_12582); 
BgL_ufz00_12583 = 
PROCEDURE_ATTR(BgL_tmpz00_15888); } 
{ /* Eval/evaluate_comp.scm 788 */
bool_t BgL_testz00_15891;
if(
STRUCTP(BgL_ufz00_12583))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15891 = 
(
STRUCT_KEY(BgL_ufz00_12583)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15891 = ((bool_t)0)
; } 
if(BgL_testz00_15891)
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_arityz00_12584;obj_t BgL_runz00_12585;obj_t BgL_sfz00_12586;
BgL_arityz00_12584 = 
STRUCT_REF(BgL_ufz00_12583, 
(int)(((long)0))); 
BgL_runz00_12585 = 
STRUCT_REF(BgL_ufz00_12583, 
(int)(((long)1))); 
BgL_sfz00_12586 = 
STRUCT_REF(BgL_ufz00_12583, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12584)==BgL_nbargsz00_10583))
{ /* Eval/evaluate_comp.scm 788 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10585, BgL_argsz00_10584, BgL_bpz00_12581)); }  else 
{ /* Eval/evaluate_comp.scm 788 */
bool_t BgL_testz00_15907;
if(
(
(long)CINT(BgL_arityz00_12584)>=((long)0)))
{ /* Eval/evaluate_comp.scm 788 */
BgL_testz00_15907 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 788 */
BgL_testz00_15907 = 
(
(long)CINT(BgL_arityz00_12584)<
(((long)-1)-BgL_nbargsz00_10583))
; } 
if(BgL_testz00_15907)
{ /* Eval/evaluate_comp.scm 788 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10581))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12583, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10583), 
CINT(BgL_arityz00_12584)); }  else 
{ /* Eval/evaluate_comp.scm 788 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12584, BgL_sz00_10585, BgL_argsz00_10584, BgL_bpz00_12581); } } 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_z12denvz12_12587;
BgL_z12denvz12_12587 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10585, BgL_bpz00_12581, BgL_sfz00_12586))
{ /* Eval/evaluate_comp.scm 788 */
return BgL_runz00_12585;}  else 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_nsz00_12588;
BgL_nsz00_12588 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 788 */
long BgL_arg1828z00_12589;
BgL_arg1828z00_12589 = 
(
(long)CINT(BgL_bpz00_12581)+BgL_nbargsz00_10583); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12588, ((long)2), BgL_sz00_10585, BgL_bpz00_12581, 
BINT(BgL_arg1828z00_12589)); } 
VECTOR_SET(BgL_nsz00_12588,((long)1),BgL_sz00_10585); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12587, BgL_nsz00_12588); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_ez00_12590;
BgL_ez00_12590 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12590, BgL_sz00_10585); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_____rz00_12591;
BgL_____rz00_12591 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12585, BgL_nsz00_12588, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12590); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12587, BgL_sz00_10585); 
return BgL_____rz00_12591;} } } } }  else 
{ /* Eval/evaluate_comp.scm 788 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12582, 
(int)(BgL_nbargsz00_10583)))
{ /* Eval/evaluate_comp.scm 788 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10585, BgL_fz00_12582, BgL_argsz00_10584, BgL_bpz00_12581, 
BINT(BgL_nbargsz00_10583));}  else 
{ /* Eval/evaluate_comp.scm 788 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10581))->BgL_locz00), BgL_symbzd2funzd2_10582, 
(int)(BgL_nbargsz00_10583), 
PROCEDURE_ARITY(BgL_fz00_12582));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1837> */
obj_t BGl_z62zc3anonymousza31837ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10586, obj_t BgL_sz00_10593)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 774 */
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_fz00_10587;BgL_ev_appz00_bglt BgL_i1152z00_10588;obj_t BgL_symbzd2funzd2_10589;long BgL_nbargsz00_10590;obj_t BgL_argsz00_10591;long BgL_siza7eza7_10592;
BgL_fz00_10587 = 
PROCEDURE_REF(BgL_envz00_10586, 
(int)(((long)0))); 
BgL_i1152z00_10588 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10586, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10589 = 
PROCEDURE_REF(BgL_envz00_10586, 
(int)(((long)2))); 
BgL_nbargsz00_10590 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10586, 
(int)(((long)3)))); 
BgL_argsz00_10591 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10586, 
(int)(((long)4)))); 
BgL_siza7eza7_10592 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10586, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_bpz00_12592;
BgL_bpz00_12592 = 
VECTOR_REF(
((obj_t)BgL_sz00_10593),((long)0)); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_fz00_12593;
BgL_fz00_12593 = 
PROCEDURE_ENTRY(BgL_fz00_10587)(BgL_fz00_10587, BgL_sz00_10593, BEOA); 
if(
PROCEDUREP(BgL_fz00_12593))
{ /* Eval/evaluate_comp.scm 774 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 774 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10588))->BgL_locz00), BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_12593); } 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_ufz00_12594;
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_tmpz00_15972;
BgL_tmpz00_15972 = 
((obj_t)BgL_fz00_12593); 
BgL_ufz00_12594 = 
PROCEDURE_ATTR(BgL_tmpz00_15972); } 
{ /* Eval/evaluate_comp.scm 774 */
bool_t BgL_testz00_15975;
if(
STRUCTP(BgL_ufz00_12594))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15975 = 
(
STRUCT_KEY(BgL_ufz00_12594)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15975 = ((bool_t)0)
; } 
if(BgL_testz00_15975)
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_arityz00_12595;obj_t BgL_runz00_12596;obj_t BgL_sfz00_12597;
BgL_arityz00_12595 = 
STRUCT_REF(BgL_ufz00_12594, 
(int)(((long)0))); 
BgL_runz00_12596 = 
STRUCT_REF(BgL_ufz00_12594, 
(int)(((long)1))); 
BgL_sfz00_12597 = 
STRUCT_REF(BgL_ufz00_12594, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 774 */
long BgL_spz00_12598;
BgL_spz00_12598 = 
(
(long)CINT(BgL_bpz00_12592)+BgL_siza7eza7_10592); 
if(
(
(long)CINT(BgL_arityz00_12595)==BgL_nbargsz00_10590))
{ /* Eval/evaluate_comp.scm 774 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10593, BgL_argsz00_10591, 
BINT(BgL_spz00_12598))); }  else 
{ /* Eval/evaluate_comp.scm 774 */
bool_t BgL_testz00_15994;
if(
(
(long)CINT(BgL_arityz00_12595)>=((long)0)))
{ /* Eval/evaluate_comp.scm 774 */
BgL_testz00_15994 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 774 */
BgL_testz00_15994 = 
(
(long)CINT(BgL_arityz00_12595)<
(((long)-1)-BgL_nbargsz00_10590))
; } 
if(BgL_testz00_15994)
{ /* Eval/evaluate_comp.scm 774 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10588))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12594, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10590), 
CINT(BgL_arityz00_12595)); }  else 
{ /* Eval/evaluate_comp.scm 774 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12595, BgL_sz00_10593, BgL_argsz00_10591, 
BINT(BgL_spz00_12598)); } } 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_z12denvz12_12599;
BgL_z12denvz12_12599 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_tmpz00_16010;
BgL_tmpz00_16010 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10588))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12599, BgL_tmpz00_16010); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10593, 
BINT(BgL_spz00_12598), BgL_sfz00_12597))
{ /* Eval/evaluate_comp.scm 774 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12596, BgL_sz00_10593, 
BINT(BgL_spz00_12598));}  else 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_nsz00_12600;
BgL_nsz00_12600 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 774 */
long BgL_arg1850z00_12601;
BgL_arg1850z00_12601 = 
(BgL_spz00_12598+BgL_nbargsz00_10590); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12600, ((long)2), BgL_sz00_10593, 
BINT(BgL_spz00_12598), 
BINT(BgL_arg1850z00_12601)); } 
VECTOR_SET(BgL_nsz00_12600,((long)1),BgL_sz00_10593); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12599, BgL_nsz00_12600); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_ez00_12602;
BgL_ez00_12602 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12602, BgL_sz00_10593); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_____rz00_12603;
BgL_____rz00_12603 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12596, BgL_nsz00_12600, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12602); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12599, BgL_sz00_10593); 
return BgL_____rz00_12603;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 774 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12593, 
(int)(BgL_nbargsz00_10590)))
{ /* Eval/evaluate_comp.scm 774 */
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_auxz00_16036;obj_t BgL_tmpz00_16034;
BgL_auxz00_16036 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10588))->BgL_locz00); 
BgL_tmpz00_16034 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16034, BgL_auxz00_16036); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10593, BgL_fz00_12593, BgL_argsz00_10591, BgL_bpz00_12592, 
BINT(BgL_siza7eza7_10592));}  else 
{ /* Eval/evaluate_comp.scm 774 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10588))->BgL_locz00), BgL_symbzd2funzd2_10589, 
(int)(BgL_nbargsz00_10590), 
PROCEDURE_ARITY(BgL_fz00_12593));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1857> */
obj_t BGl_z62zc3anonymousza31857ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10594, obj_t BgL_sz00_10601)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 774 */
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_fz00_10595;BgL_ev_appz00_bglt BgL_i1152z00_10596;obj_t BgL_symbzd2funzd2_10597;long BgL_nbargsz00_10598;obj_t BgL_argsz00_10599;long BgL_siza7eza7_10600;
BgL_fz00_10595 = 
PROCEDURE_REF(BgL_envz00_10594, 
(int)(((long)0))); 
BgL_i1152z00_10596 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10594, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10597 = 
PROCEDURE_REF(BgL_envz00_10594, 
(int)(((long)2))); 
BgL_nbargsz00_10598 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10594, 
(int)(((long)3)))); 
BgL_argsz00_10599 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10594, 
(int)(((long)4)))); 
BgL_siza7eza7_10600 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10594, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_bpz00_12604;
BgL_bpz00_12604 = 
VECTOR_REF(
((obj_t)BgL_sz00_10601),((long)0)); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_fz00_12605;
BgL_fz00_12605 = 
PROCEDURE_ENTRY(BgL_fz00_10595)(BgL_fz00_10595, BgL_sz00_10601, BEOA); 
if(
PROCEDUREP(BgL_fz00_12605))
{ /* Eval/evaluate_comp.scm 774 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 774 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10596))->BgL_locz00), BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_12605); } 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_ufz00_12606;
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_tmpz00_16071;
BgL_tmpz00_16071 = 
((obj_t)BgL_fz00_12605); 
BgL_ufz00_12606 = 
PROCEDURE_ATTR(BgL_tmpz00_16071); } 
{ /* Eval/evaluate_comp.scm 774 */
bool_t BgL_testz00_16074;
if(
STRUCTP(BgL_ufz00_12606))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16074 = 
(
STRUCT_KEY(BgL_ufz00_12606)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16074 = ((bool_t)0)
; } 
if(BgL_testz00_16074)
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_arityz00_12607;obj_t BgL_runz00_12608;obj_t BgL_sfz00_12609;
BgL_arityz00_12607 = 
STRUCT_REF(BgL_ufz00_12606, 
(int)(((long)0))); 
BgL_runz00_12608 = 
STRUCT_REF(BgL_ufz00_12606, 
(int)(((long)1))); 
BgL_sfz00_12609 = 
STRUCT_REF(BgL_ufz00_12606, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 774 */
long BgL_spz00_12610;
BgL_spz00_12610 = 
(
(long)CINT(BgL_bpz00_12604)+BgL_siza7eza7_10600); 
if(
(
(long)CINT(BgL_arityz00_12607)==BgL_nbargsz00_10598))
{ /* Eval/evaluate_comp.scm 774 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10601, BgL_argsz00_10599, 
BINT(BgL_spz00_12610))); }  else 
{ /* Eval/evaluate_comp.scm 774 */
bool_t BgL_testz00_16093;
if(
(
(long)CINT(BgL_arityz00_12607)>=((long)0)))
{ /* Eval/evaluate_comp.scm 774 */
BgL_testz00_16093 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 774 */
BgL_testz00_16093 = 
(
(long)CINT(BgL_arityz00_12607)<
(((long)-1)-BgL_nbargsz00_10598))
; } 
if(BgL_testz00_16093)
{ /* Eval/evaluate_comp.scm 774 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10596))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12606, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10598), 
CINT(BgL_arityz00_12607)); }  else 
{ /* Eval/evaluate_comp.scm 774 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12607, BgL_sz00_10601, BgL_argsz00_10599, 
BINT(BgL_spz00_12610)); } } 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_z12denvz12_12611;
BgL_z12denvz12_12611 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10601, 
BINT(BgL_spz00_12610), BgL_sfz00_12609))
{ /* Eval/evaluate_comp.scm 774 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12608, BgL_sz00_10601, 
BINT(BgL_spz00_12610));}  else 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_nsz00_12612;
BgL_nsz00_12612 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 774 */
long BgL_arg1869z00_12613;
BgL_arg1869z00_12613 = 
(BgL_spz00_12610+BgL_nbargsz00_10598); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12612, ((long)2), BgL_sz00_10601, 
BINT(BgL_spz00_12610), 
BINT(BgL_arg1869z00_12613)); } 
VECTOR_SET(BgL_nsz00_12612,((long)1),BgL_sz00_10601); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12611, BgL_nsz00_12612); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_ez00_12614;
BgL_ez00_12614 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12614, BgL_sz00_10601); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_____rz00_12615;
BgL_____rz00_12615 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12608, BgL_nsz00_12612, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12614); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12611, BgL_sz00_10601); 
return BgL_____rz00_12615;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 774 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12605, 
(int)(BgL_nbargsz00_10598)))
{ /* Eval/evaluate_comp.scm 774 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10601, BgL_fz00_12605, BgL_argsz00_10599, BgL_bpz00_12604, 
BINT(BgL_siza7eza7_10600));}  else 
{ /* Eval/evaluate_comp.scm 774 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10596))->BgL_locz00), BgL_symbzd2funzd2_10597, 
(int)(BgL_nbargsz00_10598), 
PROCEDURE_ARITY(BgL_fz00_12605));} } } } } } } } 
BGL_FUNCTION_END;
}



/* comp-call0 */
obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_138, BgL_ev_exprz00_bglt BgL_vfunz00_139, obj_t BgL_symbzd2funzd2_140, obj_t BgL_funz00_141, obj_t BgL_tailzf3zf3_142, obj_t BgL_stkz00_143, long BgL_siza7eza7_144)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_cfunz00_1955;
BgL_cfunz00_1955 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_139, ((long)0), BgL_locz00_138, BgL_symbzd2funzd2_140); 
if(
CBOOL(BgL_cfunz00_1955))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16139;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg1883z00_1969;
BgL_arg1883z00_1969 = 
bgl_debug(); 
BgL_testz00_16139 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1883z00_1969), 
BINT(((long)0))); } 
if(BgL_testz00_16139)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31880ze3z83_10602;
BgL_zc3anonymousza31880ze3z83_10602 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31880ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza31880ze3z83_10602, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_144)); 
PROCEDURE_SET(BgL_zc3anonymousza31880ze3z83_10602, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3anonymousza31880ze3z83_10602, 
(int)(((long)2)), BgL_cfunz00_1955); 
return BgL_zc3anonymousza31880ze3z83_10602;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31882ze3z83_10603;
BgL_zc3anonymousza31882ze3z83_10603 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31882ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza31882ze3z83_10603, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_144)); 
PROCEDURE_SET(BgL_zc3anonymousza31882ze3z83_10603, 
(int)(((long)1)), BgL_cfunz00_1955); 
return BgL_zc3anonymousza31882ze3z83_10603;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
CBOOL(BgL_tailzf3zf3_142))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16164;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg1913z00_2033;
BgL_arg1913z00_2033 = 
bgl_debug(); 
BgL_testz00_16164 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1913z00_2033), 
BINT(((long)0))); } 
if(BgL_testz00_16164)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31886ze3z83_10604;
BgL_zc3anonymousza31886ze3z83_10604 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza31886ze3z83_10604, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3anonymousza31886ze3z83_10604, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3anonymousza31886ze3z83_10604, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3anonymousza31886ze3z83_10604, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3anonymousza31886ze3z83_10604;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31900ze3z83_10605;
BgL_zc3anonymousza31900ze3z83_10605 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31900ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza31900ze3z83_10605, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3anonymousza31900ze3z83_10605, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3anonymousza31900ze3z83_10605, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3anonymousza31900ze3z83_10605, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3anonymousza31900ze3z83_10605;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16193;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg1943z00_2097;
BgL_arg1943z00_2097 = 
bgl_debug(); 
BgL_testz00_16193 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1943z00_2097), 
BINT(((long)0))); } 
if(BgL_testz00_16193)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31916ze3z83_10606;
BgL_zc3anonymousza31916ze3z83_10606 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31916ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza31916ze3z83_10606, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3anonymousza31916ze3z83_10606, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3anonymousza31916ze3z83_10606, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3anonymousza31916ze3z83_10606, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3anonymousza31916ze3z83_10606;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31930ze3z83_10607;
BgL_zc3anonymousza31930ze3z83_10607 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31930ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza31930ze3z83_10607, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3anonymousza31930ze3z83_10607, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3anonymousza31930ze3z83_10607, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3anonymousza31930ze3z83_10607, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3anonymousza31930ze3z83_10607;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1880> */
obj_t BGl_z62zc3anonymousza31880ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10608, obj_t BgL_sz00_10612)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_siza7eza7_10609;obj_t BgL_locz00_10610;obj_t BgL_cfunz00_10611;
BgL_siza7eza7_10609 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10608, 
(int)(((long)0)))); 
BgL_locz00_10610 = 
PROCEDURE_REF(BgL_envz00_10608, 
(int)(((long)1))); 
BgL_cfunz00_10611 = 
PROCEDURE_REF(BgL_envz00_10608, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12616;
BgL_bpz00_12616 = 
VECTOR_REF(
((obj_t)BgL_sz00_10612),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */

{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12617;
BgL_nbpz00_12617 = 
(
(long)CINT(BgL_bpz00_12616)+BgL_siza7eza7_10609); 
VECTOR_SET(
((obj_t)BgL_sz00_10612),((long)0),
BINT(BgL_nbpz00_12617)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16236;
BgL_tmpz00_16236 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16236, BgL_locz00_10610); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12618;
BgL_rz00_12618 = 
PROCEDURE_ENTRY(BgL_cfunz00_10611)(BgL_cfunz00_10611, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10612),((long)0),BgL_bpz00_12616); 
return BgL_rz00_12618;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1882> */
obj_t BGl_z62zc3anonymousza31882ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10613, obj_t BgL_sz00_10616)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_siza7eza7_10614;obj_t BgL_cfunz00_10615;
BgL_siza7eza7_10614 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10613, 
(int)(((long)0)))); 
BgL_cfunz00_10615 = 
PROCEDURE_REF(BgL_envz00_10613, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12619;
BgL_bpz00_12619 = 
VECTOR_REF(
((obj_t)BgL_sz00_10616),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */

{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12620;
BgL_nbpz00_12620 = 
(
(long)CINT(BgL_bpz00_12619)+BgL_siza7eza7_10614); 
VECTOR_SET(
((obj_t)BgL_sz00_10616),((long)0),
BINT(BgL_nbpz00_12620)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12621;
BgL_rz00_12621 = 
PROCEDURE_ENTRY(BgL_cfunz00_10615)(BgL_cfunz00_10615, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10616),((long)0),BgL_bpz00_12619); 
return BgL_rz00_12621;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1886> */
obj_t BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10617, obj_t BgL_sz00_10622)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10618;obj_t BgL_locz00_10619;obj_t BgL_symbzd2funzd2_10620;long BgL_siza7eza7_10621;
BgL_funz00_10618 = 
PROCEDURE_REF(BgL_envz00_10617, 
(int)(((long)0))); 
BgL_locz00_10619 = 
PROCEDURE_REF(BgL_envz00_10617, 
(int)(((long)1))); 
BgL_symbzd2funzd2_10620 = 
PROCEDURE_REF(BgL_envz00_10617, 
(int)(((long)2))); 
BgL_siza7eza7_10621 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10617, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12622;
BgL_bpz00_12622 = 
VECTOR_REF(
((obj_t)BgL_sz00_10622),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12623;
BgL_fz00_12623 = 
PROCEDURE_ENTRY(BgL_funz00_10618)(BgL_funz00_10618, BgL_sz00_10622, BEOA); 
if(
PROCEDUREP(BgL_fz00_12623))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10619, BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_12623); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12624;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16279;
BgL_tmpz00_16279 = 
((obj_t)BgL_fz00_12623); 
BgL_ufz00_12624 = 
PROCEDURE_ATTR(BgL_tmpz00_16279); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16282;
if(
STRUCTP(BgL_ufz00_12624))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16282 = 
(
STRUCT_KEY(BgL_ufz00_12624)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16282 = ((bool_t)0)
; } 
if(BgL_testz00_16282)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12625;obj_t BgL_runz00_12626;obj_t BgL_sfz00_12627;
BgL_arityz00_12625 = 
STRUCT_REF(BgL_ufz00_12624, 
(int)(((long)0))); 
BgL_runz00_12626 = 
STRUCT_REF(BgL_ufz00_12624, 
(int)(((long)1))); 
BgL_sfz00_12627 = 
STRUCT_REF(BgL_ufz00_12624, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12625)==((long)0)))
{ /* Eval/evaluate_comp.scm 889 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_12625))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12625)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1891z00_12630;obj_t BgL_arg1892z00_12631;
BgL_arg1891z00_12630 = 
(
(long)CINT(BgL_bpz00_12622)+((long)0)); 
BgL_arg1892z00_12631 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10622),BgL_arg1891z00_12630,BgL_arg1892z00_12631); } break;
default: 
BgL_case_else1168z00_12628:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1894z00_12629;
BgL_arg1894z00_12629 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12624), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10619, BgL_arg1894z00_12629, 
(int)(((long)0)), 
CINT(BgL_arityz00_12625)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1168z00_12628;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12632;
BgL_z12denvz12_12632 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12632, BgL_locz00_10619); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10622, BgL_bpz00_12622, BgL_sfz00_12627))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12626;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12633;
BgL_nsz00_12633 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1896z00_12634;
BgL_arg1896z00_12634 = 
(
(long)CINT(BgL_bpz00_12622)+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12633, ((long)2), BgL_sz00_10622, BgL_bpz00_12622, 
BINT(BgL_arg1896z00_12634)); } 
VECTOR_SET(BgL_nsz00_12633,((long)1),BgL_sz00_10622); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12632, BgL_nsz00_12633); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12635;
BgL_ez00_12635 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12635, BgL_sz00_10622); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12636;
BgL_____rz00_12636 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12626, BgL_nsz00_12633, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12635); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12632, BgL_sz00_10622); 
return BgL_____rz00_12636;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12623, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12637;
BgL_nbpz00_12637 = 
(
(long)CINT(BgL_bpz00_12622)+BgL_siza7eza7_10621); 
VECTOR_SET(
((obj_t)BgL_sz00_10622),((long)0),
BINT(BgL_nbpz00_12637)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16335;
BgL_tmpz00_16335 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16335, BgL_locz00_10619); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12638;
BgL_rz00_12638 = 
PROCEDURE_ENTRY(BgL_fz00_12623)(BgL_fz00_12623, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10622),((long)0),BgL_bpz00_12622); 
return BgL_rz00_12638;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10619, BgL_symbzd2funzd2_10620, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_12623));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1900> */
obj_t BGl_z62zc3anonymousza31900ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10623, obj_t BgL_sz00_10628)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10624;obj_t BgL_locz00_10625;obj_t BgL_symbzd2funzd2_10626;long BgL_siza7eza7_10627;
BgL_funz00_10624 = 
PROCEDURE_REF(BgL_envz00_10623, 
(int)(((long)0))); 
BgL_locz00_10625 = 
PROCEDURE_REF(BgL_envz00_10623, 
(int)(((long)1))); 
BgL_symbzd2funzd2_10626 = 
PROCEDURE_REF(BgL_envz00_10623, 
(int)(((long)2))); 
BgL_siza7eza7_10627 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10623, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12639;
BgL_bpz00_12639 = 
VECTOR_REF(
((obj_t)BgL_sz00_10628),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12640;
BgL_fz00_12640 = 
PROCEDURE_ENTRY(BgL_funz00_10624)(BgL_funz00_10624, BgL_sz00_10628, BEOA); 
if(
PROCEDUREP(BgL_fz00_12640))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10625, BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_12640); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12641;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16364;
BgL_tmpz00_16364 = 
((obj_t)BgL_fz00_12640); 
BgL_ufz00_12641 = 
PROCEDURE_ATTR(BgL_tmpz00_16364); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16367;
if(
STRUCTP(BgL_ufz00_12641))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16367 = 
(
STRUCT_KEY(BgL_ufz00_12641)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16367 = ((bool_t)0)
; } 
if(BgL_testz00_16367)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12642;obj_t BgL_runz00_12643;obj_t BgL_sfz00_12644;
BgL_arityz00_12642 = 
STRUCT_REF(BgL_ufz00_12641, 
(int)(((long)0))); 
BgL_runz00_12643 = 
STRUCT_REF(BgL_ufz00_12641, 
(int)(((long)1))); 
BgL_sfz00_12644 = 
STRUCT_REF(BgL_ufz00_12641, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12642)==((long)0)))
{ /* Eval/evaluate_comp.scm 889 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_12642))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12642)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1905z00_12647;obj_t BgL_arg1906z00_12648;
BgL_arg1905z00_12647 = 
(
(long)CINT(BgL_bpz00_12639)+((long)0)); 
BgL_arg1906z00_12648 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10628),BgL_arg1905z00_12647,BgL_arg1906z00_12648); } break;
default: 
BgL_case_else1170z00_12645:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1908z00_12646;
BgL_arg1908z00_12646 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12641), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10625, BgL_arg1908z00_12646, 
(int)(((long)0)), 
CINT(BgL_arityz00_12642)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1170z00_12645;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12649;
BgL_z12denvz12_12649 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10628, BgL_bpz00_12639, BgL_sfz00_12644))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12643;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12650;
BgL_nsz00_12650 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1910z00_12651;
BgL_arg1910z00_12651 = 
(
(long)CINT(BgL_bpz00_12639)+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12650, ((long)2), BgL_sz00_10628, BgL_bpz00_12639, 
BINT(BgL_arg1910z00_12651)); } 
VECTOR_SET(BgL_nsz00_12650,((long)1),BgL_sz00_10628); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12649, BgL_nsz00_12650); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12652;
BgL_ez00_12652 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12652, BgL_sz00_10628); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12653;
BgL_____rz00_12653 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12643, BgL_nsz00_12650, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12652); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12649, BgL_sz00_10628); 
return BgL_____rz00_12653;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12640, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12654;
BgL_nbpz00_12654 = 
(
(long)CINT(BgL_bpz00_12639)+BgL_siza7eza7_10627); 
VECTOR_SET(
((obj_t)BgL_sz00_10628),((long)0),
BINT(BgL_nbpz00_12654)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12655;
BgL_rz00_12655 = 
PROCEDURE_ENTRY(BgL_fz00_12640)(BgL_fz00_12640, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10628),((long)0),BgL_bpz00_12639); 
return BgL_rz00_12655;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10625, BgL_symbzd2funzd2_10626, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_12640));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1916> */
obj_t BGl_z62zc3anonymousza31916ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10629, obj_t BgL_sz00_10634)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10630;obj_t BgL_locz00_10631;obj_t BgL_symbzd2funzd2_10632;long BgL_siza7eza7_10633;
BgL_funz00_10630 = 
PROCEDURE_REF(BgL_envz00_10629, 
(int)(((long)0))); 
BgL_locz00_10631 = 
PROCEDURE_REF(BgL_envz00_10629, 
(int)(((long)1))); 
BgL_symbzd2funzd2_10632 = 
PROCEDURE_REF(BgL_envz00_10629, 
(int)(((long)2))); 
BgL_siza7eza7_10633 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10629, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12656;
BgL_bpz00_12656 = 
VECTOR_REF(
((obj_t)BgL_sz00_10634),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12657;
BgL_fz00_12657 = 
PROCEDURE_ENTRY(BgL_funz00_10630)(BgL_funz00_10630, BgL_sz00_10634, BEOA); 
if(
PROCEDUREP(BgL_fz00_12657))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10631, BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_12657); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12658;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16445;
BgL_tmpz00_16445 = 
((obj_t)BgL_fz00_12657); 
BgL_ufz00_12658 = 
PROCEDURE_ATTR(BgL_tmpz00_16445); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16448;
if(
STRUCTP(BgL_ufz00_12658))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16448 = 
(
STRUCT_KEY(BgL_ufz00_12658)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16448 = ((bool_t)0)
; } 
if(BgL_testz00_16448)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12659;obj_t BgL_runz00_12660;obj_t BgL_sfz00_12661;
BgL_arityz00_12659 = 
STRUCT_REF(BgL_ufz00_12658, 
(int)(((long)0))); 
BgL_runz00_12660 = 
STRUCT_REF(BgL_ufz00_12658, 
(int)(((long)1))); 
BgL_sfz00_12661 = 
STRUCT_REF(BgL_ufz00_12658, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12662;
BgL_spz00_12662 = 
(
(long)CINT(BgL_bpz00_12656)+BgL_siza7eza7_10633); 
if(
(
(long)CINT(BgL_arityz00_12659)==((long)0)))
{ /* Eval/evaluate_comp.scm 889 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_12659))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12659)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1921z00_12665;obj_t BgL_arg1922z00_12666;
BgL_arg1921z00_12665 = 
(BgL_spz00_12662+((long)0)); 
BgL_arg1922z00_12666 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10634),BgL_arg1921z00_12665,BgL_arg1922z00_12666); } break;
default: 
BgL_case_else1172z00_12663:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1924z00_12664;
BgL_arg1924z00_12664 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12658), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10631, BgL_arg1924z00_12664, 
(int)(((long)0)), 
CINT(BgL_arityz00_12659)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1172z00_12663;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12667;
BgL_z12denvz12_12667 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12667, BgL_locz00_10631); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10634, 
BINT(BgL_spz00_12662), BgL_sfz00_12661))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12660, BgL_sz00_10634, 
BINT(BgL_spz00_12662));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12668;
BgL_nsz00_12668 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1926z00_12669;
BgL_arg1926z00_12669 = 
(BgL_spz00_12662+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12668, ((long)2), BgL_sz00_10634, 
BINT(BgL_spz00_12662), 
BINT(BgL_arg1926z00_12669)); } 
VECTOR_SET(BgL_nsz00_12668,((long)1),BgL_sz00_10634); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12667, BgL_nsz00_12668); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12670;
BgL_ez00_12670 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12670, BgL_sz00_10634); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12671;
BgL_____rz00_12671 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12660, BgL_nsz00_12668, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12670); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12667, BgL_sz00_10634); 
return BgL_____rz00_12671;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12657, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12672;
BgL_nbpz00_12672 = 
(
(long)CINT(BgL_bpz00_12656)+BgL_siza7eza7_10633); 
VECTOR_SET(
((obj_t)BgL_sz00_10634),((long)0),
BINT(BgL_nbpz00_12672)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16505;
BgL_tmpz00_16505 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16505, BgL_locz00_10631); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12673;
BgL_rz00_12673 = 
PROCEDURE_ENTRY(BgL_fz00_12657)(BgL_fz00_12657, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10634),((long)0),BgL_bpz00_12656); 
return BgL_rz00_12673;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10631, BgL_symbzd2funzd2_10632, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_12657));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1930> */
obj_t BGl_z62zc3anonymousza31930ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10635, obj_t BgL_sz00_10640)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10636;obj_t BgL_locz00_10637;obj_t BgL_symbzd2funzd2_10638;long BgL_siza7eza7_10639;
BgL_funz00_10636 = 
PROCEDURE_REF(BgL_envz00_10635, 
(int)(((long)0))); 
BgL_locz00_10637 = 
PROCEDURE_REF(BgL_envz00_10635, 
(int)(((long)1))); 
BgL_symbzd2funzd2_10638 = 
PROCEDURE_REF(BgL_envz00_10635, 
(int)(((long)2))); 
BgL_siza7eza7_10639 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10635, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12674;
BgL_bpz00_12674 = 
VECTOR_REF(
((obj_t)BgL_sz00_10640),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12675;
BgL_fz00_12675 = 
PROCEDURE_ENTRY(BgL_funz00_10636)(BgL_funz00_10636, BgL_sz00_10640, BEOA); 
if(
PROCEDUREP(BgL_fz00_12675))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10637, BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_12675); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12676;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16534;
BgL_tmpz00_16534 = 
((obj_t)BgL_fz00_12675); 
BgL_ufz00_12676 = 
PROCEDURE_ATTR(BgL_tmpz00_16534); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16537;
if(
STRUCTP(BgL_ufz00_12676))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16537 = 
(
STRUCT_KEY(BgL_ufz00_12676)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16537 = ((bool_t)0)
; } 
if(BgL_testz00_16537)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12677;obj_t BgL_runz00_12678;obj_t BgL_sfz00_12679;
BgL_arityz00_12677 = 
STRUCT_REF(BgL_ufz00_12676, 
(int)(((long)0))); 
BgL_runz00_12678 = 
STRUCT_REF(BgL_ufz00_12676, 
(int)(((long)1))); 
BgL_sfz00_12679 = 
STRUCT_REF(BgL_ufz00_12676, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12680;
BgL_spz00_12680 = 
(
(long)CINT(BgL_bpz00_12674)+BgL_siza7eza7_10639); 
if(
(
(long)CINT(BgL_arityz00_12677)==((long)0)))
{ /* Eval/evaluate_comp.scm 889 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_12677))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12677)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1935z00_12683;obj_t BgL_arg1936z00_12684;
BgL_arg1935z00_12683 = 
(BgL_spz00_12680+((long)0)); 
BgL_arg1936z00_12684 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10640),BgL_arg1935z00_12683,BgL_arg1936z00_12684); } break;
default: 
BgL_case_else1174z00_12681:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1938z00_12682;
BgL_arg1938z00_12682 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12676), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10637, BgL_arg1938z00_12682, 
(int)(((long)0)), 
CINT(BgL_arityz00_12677)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1174z00_12681;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12685;
BgL_z12denvz12_12685 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10640, 
BINT(BgL_spz00_12680), BgL_sfz00_12679))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12678, BgL_sz00_10640, 
BINT(BgL_spz00_12680));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12686;
BgL_nsz00_12686 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1940z00_12687;
BgL_arg1940z00_12687 = 
(BgL_spz00_12680+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12686, ((long)2), BgL_sz00_10640, 
BINT(BgL_spz00_12680), 
BINT(BgL_arg1940z00_12687)); } 
VECTOR_SET(BgL_nsz00_12686,((long)1),BgL_sz00_10640); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12685, BgL_nsz00_12686); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12688;
BgL_ez00_12688 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12688, BgL_sz00_10640); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12689;
BgL_____rz00_12689 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12678, BgL_nsz00_12686, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12688); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12685, BgL_sz00_10640); 
return BgL_____rz00_12689;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12675, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12690;
BgL_nbpz00_12690 = 
(
(long)CINT(BgL_bpz00_12674)+BgL_siza7eza7_10639); 
VECTOR_SET(
((obj_t)BgL_sz00_10640),((long)0),
BINT(BgL_nbpz00_12690)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12691;
BgL_rz00_12691 = 
PROCEDURE_ENTRY(BgL_fz00_12675)(BgL_fz00_12675, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10640),((long)0),BgL_bpz00_12674); 
return BgL_rz00_12691;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10637, BgL_symbzd2funzd2_10638, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_12675));} } } } } } } } 
BGL_FUNCTION_END;
}



/* comp-call1 */
obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_145, BgL_ev_exprz00_bglt BgL_vfunz00_146, obj_t BgL_symbzd2funzd2_147, obj_t BgL_funz00_148, obj_t BgL_tailzf3zf3_149, obj_t BgL_stkz00_150, long BgL_siza7eza7_151, obj_t BgL_a1z00_152)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_cfunz00_2098;
BgL_cfunz00_2098 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_146, ((long)1), BgL_locz00_145, BgL_symbzd2funzd2_147); 
if(
CBOOL(BgL_cfunz00_2098))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16604;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg1949z00_2114;
BgL_arg1949z00_2114 = 
bgl_debug(); 
BgL_testz00_16604 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1949z00_2114), 
BINT(((long)0))); } 
if(BgL_testz00_16604)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31946ze3z83_10641;
BgL_zc3anonymousza31946ze3z83_10641 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31946ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza31946ze3z83_10641, 
(int)(((long)0)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza31946ze3z83_10641, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_151)); 
PROCEDURE_SET(BgL_zc3anonymousza31946ze3z83_10641, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3anonymousza31946ze3z83_10641, 
(int)(((long)3)), BgL_cfunz00_2098); 
return BgL_zc3anonymousza31946ze3z83_10641;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31948ze3z83_10642;
BgL_zc3anonymousza31948ze3z83_10642 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31948ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza31948ze3z83_10642, 
(int)(((long)0)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza31948ze3z83_10642, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_151)); 
PROCEDURE_SET(BgL_zc3anonymousza31948ze3z83_10642, 
(int)(((long)2)), BgL_cfunz00_2098); 
return BgL_zc3anonymousza31948ze3z83_10642;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
CBOOL(BgL_tailzf3zf3_149))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16633;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg1989z00_2190;
BgL_arg1989z00_2190 = 
bgl_debug(); 
BgL_testz00_16633 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1989z00_2190), 
BINT(((long)0))); } 
if(BgL_testz00_16633)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31952ze3z83_10643;
BgL_zc3anonymousza31952ze3z83_10643 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31952ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza31952ze3z83_10643, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3anonymousza31952ze3z83_10643, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza31952ze3z83_10643, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3anonymousza31952ze3z83_10643, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3anonymousza31952ze3z83_10643, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3anonymousza31952ze3z83_10643;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31971ze3z83_10644;
BgL_zc3anonymousza31971ze3z83_10644 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31971ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza31971ze3z83_10644, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3anonymousza31971ze3z83_10644, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza31971ze3z83_10644, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3anonymousza31971ze3z83_10644, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3anonymousza31971ze3z83_10644, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3anonymousza31971ze3z83_10644;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16666;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2029z00_2266;
BgL_arg2029z00_2266 = 
bgl_debug(); 
BgL_testz00_16666 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2029z00_2266), 
BINT(((long)0))); } 
if(BgL_testz00_16666)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31992ze3z83_10645;
BgL_zc3anonymousza31992ze3z83_10645 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31992ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza31992ze3z83_10645, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3anonymousza31992ze3z83_10645, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza31992ze3z83_10645, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3anonymousza31992ze3z83_10645, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3anonymousza31992ze3z83_10645, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3anonymousza31992ze3z83_10645;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32011ze3z83_10646;
BgL_zc3anonymousza32011ze3z83_10646 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32011ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza32011ze3z83_10646, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3anonymousza32011ze3z83_10646, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza32011ze3z83_10646, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3anonymousza32011ze3z83_10646, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3anonymousza32011ze3z83_10646, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3anonymousza32011ze3z83_10646;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1946> */
obj_t BGl_z62zc3anonymousza31946ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10647, obj_t BgL_sz00_10652)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10648;long BgL_siza7eza7_10649;obj_t BgL_locz00_10650;obj_t BgL_cfunz00_10651;
BgL_a1z00_10648 = 
PROCEDURE_REF(BgL_envz00_10647, 
(int)(((long)0))); 
BgL_siza7eza7_10649 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10647, 
(int)(((long)1)))); 
BgL_locz00_10650 = 
PROCEDURE_REF(BgL_envz00_10647, 
(int)(((long)2))); 
BgL_cfunz00_10651 = 
PROCEDURE_REF(BgL_envz00_10647, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12692;
BgL_bpz00_12692 = 
VECTOR_REF(
((obj_t)BgL_sz00_10652),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12693;
BgL_a1z00_12693 = 
PROCEDURE_ENTRY(BgL_a1z00_10648)(BgL_a1z00_10648, BgL_sz00_10652, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12694;
BgL_nbpz00_12694 = 
(
(long)CINT(BgL_bpz00_12692)+BgL_siza7eza7_10649); 
VECTOR_SET(
((obj_t)BgL_sz00_10652),((long)0),
BINT(BgL_nbpz00_12694)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16719;
BgL_tmpz00_16719 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16719, BgL_locz00_10650); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12695;
BgL_rz00_12695 = 
PROCEDURE_ENTRY(BgL_cfunz00_10651)(BgL_cfunz00_10651, BgL_a1z00_12693, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10652),((long)0),BgL_bpz00_12692); 
return BgL_rz00_12695;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1948> */
obj_t BGl_z62zc3anonymousza31948ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10653, obj_t BgL_sz00_10657)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10654;long BgL_siza7eza7_10655;obj_t BgL_cfunz00_10656;
BgL_a1z00_10654 = 
PROCEDURE_REF(BgL_envz00_10653, 
(int)(((long)0))); 
BgL_siza7eza7_10655 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10653, 
(int)(((long)1)))); 
BgL_cfunz00_10656 = 
PROCEDURE_REF(BgL_envz00_10653, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12696;
BgL_bpz00_12696 = 
VECTOR_REF(
((obj_t)BgL_sz00_10657),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12697;
BgL_a1z00_12697 = 
PROCEDURE_ENTRY(BgL_a1z00_10654)(BgL_a1z00_10654, BgL_sz00_10657, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12698;
BgL_nbpz00_12698 = 
(
(long)CINT(BgL_bpz00_12696)+BgL_siza7eza7_10655); 
VECTOR_SET(
((obj_t)BgL_sz00_10657),((long)0),
BINT(BgL_nbpz00_12698)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12699;
BgL_rz00_12699 = 
PROCEDURE_ENTRY(BgL_cfunz00_10656)(BgL_cfunz00_10656, BgL_a1z00_12697, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10657),((long)0),BgL_bpz00_12696); 
return BgL_rz00_12699;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1952> */
obj_t BGl_z62zc3anonymousza31952ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10658, obj_t BgL_sz00_10664)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10659;obj_t BgL_a1z00_10660;obj_t BgL_locz00_10661;obj_t BgL_symbzd2funzd2_10662;long BgL_siza7eza7_10663;
BgL_funz00_10659 = 
PROCEDURE_REF(BgL_envz00_10658, 
(int)(((long)0))); 
BgL_a1z00_10660 = 
PROCEDURE_REF(BgL_envz00_10658, 
(int)(((long)1))); 
BgL_locz00_10661 = 
PROCEDURE_REF(BgL_envz00_10658, 
(int)(((long)2))); 
BgL_symbzd2funzd2_10662 = 
PROCEDURE_REF(BgL_envz00_10658, 
(int)(((long)3))); 
BgL_siza7eza7_10663 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10658, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12700;
BgL_bpz00_12700 = 
VECTOR_REF(
((obj_t)BgL_sz00_10664),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12701;obj_t BgL_a1z00_12702;
BgL_fz00_12701 = 
PROCEDURE_ENTRY(BgL_funz00_10659)(BgL_funz00_10659, BgL_sz00_10664, BEOA); 
BgL_a1z00_12702 = 
PROCEDURE_ENTRY(BgL_a1z00_10660)(BgL_a1z00_10660, BgL_sz00_10664, BEOA); 
if(
PROCEDUREP(BgL_fz00_12701))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10661, BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_12701); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12703;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16776;
BgL_tmpz00_16776 = 
((obj_t)BgL_fz00_12701); 
BgL_ufz00_12703 = 
PROCEDURE_ATTR(BgL_tmpz00_16776); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16779;
if(
STRUCTP(BgL_ufz00_12703))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16779 = 
(
STRUCT_KEY(BgL_ufz00_12703)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16779 = ((bool_t)0)
; } 
if(BgL_testz00_16779)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12704;obj_t BgL_runz00_12705;obj_t BgL_sfz00_12706;
BgL_arityz00_12704 = 
STRUCT_REF(BgL_ufz00_12703, 
(int)(((long)0))); 
BgL_runz00_12705 = 
STRUCT_REF(BgL_ufz00_12703, 
(int)(((long)1))); 
BgL_sfz00_12706 = 
STRUCT_REF(BgL_ufz00_12703, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12704)==((long)1)))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1956z00_12707;
BgL_arg1956z00_12707 = 
(
(long)CINT(BgL_bpz00_12700)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10664),BgL_arg1956z00_12707,BgL_a1z00_12702); }  else 
{ 

if(
INTEGERP(BgL_arityz00_12704))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12704)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1958z00_12710;obj_t BgL_arg1959z00_12711;
BgL_arg1958z00_12710 = 
(
(long)CINT(BgL_bpz00_12700)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list1960z00_12712;
BgL_list1960z00_12712 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12702, BNIL); 
BgL_arg1959z00_12711 = BgL_list1960z00_12712; } 
VECTOR_SET(
((obj_t)BgL_sz00_10664),BgL_arg1958z00_12710,BgL_arg1959z00_12711); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1961z00_12713;
BgL_arg1961z00_12713 = 
(
(long)CINT(BgL_bpz00_12700)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10664),BgL_arg1961z00_12713,BgL_a1z00_12702); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1962z00_12714;obj_t BgL_arg1963z00_12715;
BgL_arg1962z00_12714 = 
(
(long)CINT(BgL_bpz00_12700)+((long)1)); 
BgL_arg1963z00_12715 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10664),BgL_arg1962z00_12714,BgL_arg1963z00_12715); } break;
default: 
BgL_case_else1176z00_12708:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1965z00_12709;
BgL_arg1965z00_12709 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12703), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10661, BgL_arg1965z00_12709, 
(int)(((long)1)), 
CINT(BgL_arityz00_12704)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1176z00_12708;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12716;
BgL_z12denvz12_12716 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12716, BgL_locz00_10661); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10664, BgL_bpz00_12700, BgL_sfz00_12706))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12705;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12717;
BgL_nsz00_12717 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1967z00_12718;
BgL_arg1967z00_12718 = 
(
(long)CINT(BgL_bpz00_12700)+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12717, ((long)2), BgL_sz00_10664, BgL_bpz00_12700, 
BINT(BgL_arg1967z00_12718)); } 
VECTOR_SET(BgL_nsz00_12717,((long)1),BgL_sz00_10664); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12716, BgL_nsz00_12717); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12719;
BgL_ez00_12719 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12719, BgL_sz00_10664); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12720;
BgL_____rz00_12720 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12705, BgL_nsz00_12717, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12719); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12716, BgL_sz00_10664); 
return BgL_____rz00_12720;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12701, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12721;
BgL_nbpz00_12721 = 
(
(long)CINT(BgL_bpz00_12700)+BgL_siza7eza7_10663); 
VECTOR_SET(
((obj_t)BgL_sz00_10664),((long)0),
BINT(BgL_nbpz00_12721)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16845;
BgL_tmpz00_16845 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16845, BgL_locz00_10661); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12722;
BgL_rz00_12722 = 
PROCEDURE_ENTRY(BgL_fz00_12701)(BgL_fz00_12701, BgL_a1z00_12702, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10664),((long)0),BgL_bpz00_12700); 
return BgL_rz00_12722;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10661, BgL_symbzd2funzd2_10662, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_12701));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1971> */
obj_t BGl_z62zc3anonymousza31971ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10665, obj_t BgL_sz00_10671)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10666;obj_t BgL_a1z00_10667;obj_t BgL_locz00_10668;obj_t BgL_symbzd2funzd2_10669;long BgL_siza7eza7_10670;
BgL_funz00_10666 = 
PROCEDURE_REF(BgL_envz00_10665, 
(int)(((long)0))); 
BgL_a1z00_10667 = 
PROCEDURE_REF(BgL_envz00_10665, 
(int)(((long)1))); 
BgL_locz00_10668 = 
PROCEDURE_REF(BgL_envz00_10665, 
(int)(((long)2))); 
BgL_symbzd2funzd2_10669 = 
PROCEDURE_REF(BgL_envz00_10665, 
(int)(((long)3))); 
BgL_siza7eza7_10670 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10665, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12723;
BgL_bpz00_12723 = 
VECTOR_REF(
((obj_t)BgL_sz00_10671),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12724;obj_t BgL_a1z00_12725;
BgL_fz00_12724 = 
PROCEDURE_ENTRY(BgL_funz00_10666)(BgL_funz00_10666, BgL_sz00_10671, BEOA); 
BgL_a1z00_12725 = 
PROCEDURE_ENTRY(BgL_a1z00_10667)(BgL_a1z00_10667, BgL_sz00_10671, BEOA); 
if(
PROCEDUREP(BgL_fz00_12724))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10668, BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_12724); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12726;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16881;
BgL_tmpz00_16881 = 
((obj_t)BgL_fz00_12724); 
BgL_ufz00_12726 = 
PROCEDURE_ATTR(BgL_tmpz00_16881); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16884;
if(
STRUCTP(BgL_ufz00_12726))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16884 = 
(
STRUCT_KEY(BgL_ufz00_12726)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16884 = ((bool_t)0)
; } 
if(BgL_testz00_16884)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12727;obj_t BgL_runz00_12728;obj_t BgL_sfz00_12729;
BgL_arityz00_12727 = 
STRUCT_REF(BgL_ufz00_12726, 
(int)(((long)0))); 
BgL_runz00_12728 = 
STRUCT_REF(BgL_ufz00_12726, 
(int)(((long)1))); 
BgL_sfz00_12729 = 
STRUCT_REF(BgL_ufz00_12726, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12727)==((long)1)))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1975z00_12730;
BgL_arg1975z00_12730 = 
(
(long)CINT(BgL_bpz00_12723)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10671),BgL_arg1975z00_12730,BgL_a1z00_12725); }  else 
{ 

if(
INTEGERP(BgL_arityz00_12727))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12727)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1977z00_12733;obj_t BgL_arg1978z00_12734;
BgL_arg1977z00_12733 = 
(
(long)CINT(BgL_bpz00_12723)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list1979z00_12735;
BgL_list1979z00_12735 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12725, BNIL); 
BgL_arg1978z00_12734 = BgL_list1979z00_12735; } 
VECTOR_SET(
((obj_t)BgL_sz00_10671),BgL_arg1977z00_12733,BgL_arg1978z00_12734); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1980z00_12736;
BgL_arg1980z00_12736 = 
(
(long)CINT(BgL_bpz00_12723)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10671),BgL_arg1980z00_12736,BgL_a1z00_12725); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1981z00_12737;obj_t BgL_arg1982z00_12738;
BgL_arg1981z00_12737 = 
(
(long)CINT(BgL_bpz00_12723)+((long)1)); 
BgL_arg1982z00_12738 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10671),BgL_arg1981z00_12737,BgL_arg1982z00_12738); } break;
default: 
BgL_case_else1178z00_12731:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1984z00_12732;
BgL_arg1984z00_12732 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12726), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10668, BgL_arg1984z00_12732, 
(int)(((long)1)), 
CINT(BgL_arityz00_12727)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1178z00_12731;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12739;
BgL_z12denvz12_12739 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10671, BgL_bpz00_12723, BgL_sfz00_12729))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12728;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12740;
BgL_nsz00_12740 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1986z00_12741;
BgL_arg1986z00_12741 = 
(
(long)CINT(BgL_bpz00_12723)+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12740, ((long)2), BgL_sz00_10671, BgL_bpz00_12723, 
BINT(BgL_arg1986z00_12741)); } 
VECTOR_SET(BgL_nsz00_12740,((long)1),BgL_sz00_10671); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12739, BgL_nsz00_12740); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12742;
BgL_ez00_12742 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12742, BgL_sz00_10671); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12743;
BgL_____rz00_12743 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12728, BgL_nsz00_12740, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12742); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12739, BgL_sz00_10671); 
return BgL_____rz00_12743;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12724, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12744;
BgL_nbpz00_12744 = 
(
(long)CINT(BgL_bpz00_12723)+BgL_siza7eza7_10670); 
VECTOR_SET(
((obj_t)BgL_sz00_10671),((long)0),
BINT(BgL_nbpz00_12744)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12745;
BgL_rz00_12745 = 
PROCEDURE_ENTRY(BgL_fz00_12724)(BgL_fz00_12724, BgL_a1z00_12725, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10671),((long)0),BgL_bpz00_12723); 
return BgL_rz00_12745;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10668, BgL_symbzd2funzd2_10669, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_12724));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1992> */
obj_t BGl_z62zc3anonymousza31992ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10672, obj_t BgL_sz00_10678)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10673;obj_t BgL_a1z00_10674;obj_t BgL_locz00_10675;obj_t BgL_symbzd2funzd2_10676;long BgL_siza7eza7_10677;
BgL_funz00_10673 = 
PROCEDURE_REF(BgL_envz00_10672, 
(int)(((long)0))); 
BgL_a1z00_10674 = 
PROCEDURE_REF(BgL_envz00_10672, 
(int)(((long)1))); 
BgL_locz00_10675 = 
PROCEDURE_REF(BgL_envz00_10672, 
(int)(((long)2))); 
BgL_symbzd2funzd2_10676 = 
PROCEDURE_REF(BgL_envz00_10672, 
(int)(((long)3))); 
BgL_siza7eza7_10677 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10672, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12746;
BgL_bpz00_12746 = 
VECTOR_REF(
((obj_t)BgL_sz00_10678),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12747;obj_t BgL_a1z00_12748;
BgL_fz00_12747 = 
PROCEDURE_ENTRY(BgL_funz00_10673)(BgL_funz00_10673, BgL_sz00_10678, BEOA); 
BgL_a1z00_12748 = 
PROCEDURE_ENTRY(BgL_a1z00_10674)(BgL_a1z00_10674, BgL_sz00_10678, BEOA); 
if(
PROCEDUREP(BgL_fz00_12747))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10675, BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_12747); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12749;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16982;
BgL_tmpz00_16982 = 
((obj_t)BgL_fz00_12747); 
BgL_ufz00_12749 = 
PROCEDURE_ATTR(BgL_tmpz00_16982); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16985;
if(
STRUCTP(BgL_ufz00_12749))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16985 = 
(
STRUCT_KEY(BgL_ufz00_12749)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16985 = ((bool_t)0)
; } 
if(BgL_testz00_16985)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12750;obj_t BgL_runz00_12751;obj_t BgL_sfz00_12752;
BgL_arityz00_12750 = 
STRUCT_REF(BgL_ufz00_12749, 
(int)(((long)0))); 
BgL_runz00_12751 = 
STRUCT_REF(BgL_ufz00_12749, 
(int)(((long)1))); 
BgL_sfz00_12752 = 
STRUCT_REF(BgL_ufz00_12749, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12753;
BgL_spz00_12753 = 
(
(long)CINT(BgL_bpz00_12746)+BgL_siza7eza7_10677); 
if(
(
(long)CINT(BgL_arityz00_12750)==((long)1)))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1996z00_12754;
BgL_arg1996z00_12754 = 
(BgL_spz00_12753+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10678),BgL_arg1996z00_12754,BgL_a1z00_12748); }  else 
{ 

if(
INTEGERP(BgL_arityz00_12750))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12750)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1998z00_12757;obj_t BgL_arg1999z00_12758;
BgL_arg1998z00_12757 = 
(BgL_spz00_12753+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2000z00_12759;
BgL_list2000z00_12759 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12748, BNIL); 
BgL_arg1999z00_12758 = BgL_list2000z00_12759; } 
VECTOR_SET(
((obj_t)BgL_sz00_10678),BgL_arg1998z00_12757,BgL_arg1999z00_12758); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2001z00_12760;
BgL_arg2001z00_12760 = 
(BgL_spz00_12753+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10678),BgL_arg2001z00_12760,BgL_a1z00_12748); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2002z00_12761;obj_t BgL_arg2003z00_12762;
BgL_arg2002z00_12761 = 
(BgL_spz00_12753+((long)1)); 
BgL_arg2003z00_12762 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10678),BgL_arg2002z00_12761,BgL_arg2003z00_12762); } break;
default: 
BgL_case_else1180z00_12755:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2005z00_12756;
BgL_arg2005z00_12756 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12749), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10675, BgL_arg2005z00_12756, 
(int)(((long)1)), 
CINT(BgL_arityz00_12750)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1180z00_12755;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12763;
BgL_z12denvz12_12763 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12763, BgL_locz00_10675); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10678, 
BINT(BgL_spz00_12753), BgL_sfz00_12752))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12751, BgL_sz00_10678, 
BINT(BgL_spz00_12753));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12764;
BgL_nsz00_12764 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2007z00_12765;
BgL_arg2007z00_12765 = 
(BgL_spz00_12753+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12764, ((long)2), BgL_sz00_10678, 
BINT(BgL_spz00_12753), 
BINT(BgL_arg2007z00_12765)); } 
VECTOR_SET(BgL_nsz00_12764,((long)1),BgL_sz00_10678); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12763, BgL_nsz00_12764); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12766;
BgL_ez00_12766 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12766, BgL_sz00_10678); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12767;
BgL_____rz00_12767 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12751, BgL_nsz00_12764, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12766); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12763, BgL_sz00_10678); 
return BgL_____rz00_12767;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12747, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12768;
BgL_nbpz00_12768 = 
(
(long)CINT(BgL_bpz00_12746)+BgL_siza7eza7_10677); 
VECTOR_SET(
((obj_t)BgL_sz00_10678),((long)0),
BINT(BgL_nbpz00_12768)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17052;
BgL_tmpz00_17052 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17052, BgL_locz00_10675); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12769;
BgL_rz00_12769 = 
PROCEDURE_ENTRY(BgL_fz00_12747)(BgL_fz00_12747, BgL_a1z00_12748, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10678),((long)0),BgL_bpz00_12746); 
return BgL_rz00_12769;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10675, BgL_symbzd2funzd2_10676, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_12747));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2011> */
obj_t BGl_z62zc3anonymousza32011ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10679, obj_t BgL_sz00_10685)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10680;obj_t BgL_a1z00_10681;obj_t BgL_locz00_10682;obj_t BgL_symbzd2funzd2_10683;long BgL_siza7eza7_10684;
BgL_funz00_10680 = 
PROCEDURE_REF(BgL_envz00_10679, 
(int)(((long)0))); 
BgL_a1z00_10681 = 
PROCEDURE_REF(BgL_envz00_10679, 
(int)(((long)1))); 
BgL_locz00_10682 = 
PROCEDURE_REF(BgL_envz00_10679, 
(int)(((long)2))); 
BgL_symbzd2funzd2_10683 = 
PROCEDURE_REF(BgL_envz00_10679, 
(int)(((long)3))); 
BgL_siza7eza7_10684 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10679, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12770;
BgL_bpz00_12770 = 
VECTOR_REF(
((obj_t)BgL_sz00_10685),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12771;obj_t BgL_a1z00_12772;
BgL_fz00_12771 = 
PROCEDURE_ENTRY(BgL_funz00_10680)(BgL_funz00_10680, BgL_sz00_10685, BEOA); 
BgL_a1z00_12772 = 
PROCEDURE_ENTRY(BgL_a1z00_10681)(BgL_a1z00_10681, BgL_sz00_10685, BEOA); 
if(
PROCEDUREP(BgL_fz00_12771))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10682, BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_12771); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12773;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17088;
BgL_tmpz00_17088 = 
((obj_t)BgL_fz00_12771); 
BgL_ufz00_12773 = 
PROCEDURE_ATTR(BgL_tmpz00_17088); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17091;
if(
STRUCTP(BgL_ufz00_12773))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17091 = 
(
STRUCT_KEY(BgL_ufz00_12773)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17091 = ((bool_t)0)
; } 
if(BgL_testz00_17091)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12774;obj_t BgL_runz00_12775;obj_t BgL_sfz00_12776;
BgL_arityz00_12774 = 
STRUCT_REF(BgL_ufz00_12773, 
(int)(((long)0))); 
BgL_runz00_12775 = 
STRUCT_REF(BgL_ufz00_12773, 
(int)(((long)1))); 
BgL_sfz00_12776 = 
STRUCT_REF(BgL_ufz00_12773, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12777;
BgL_spz00_12777 = 
(
(long)CINT(BgL_bpz00_12770)+BgL_siza7eza7_10684); 
if(
(
(long)CINT(BgL_arityz00_12774)==((long)1)))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2015z00_12778;
BgL_arg2015z00_12778 = 
(BgL_spz00_12777+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10685),BgL_arg2015z00_12778,BgL_a1z00_12772); }  else 
{ 

if(
INTEGERP(BgL_arityz00_12774))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12774)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2017z00_12781;obj_t BgL_arg2018z00_12782;
BgL_arg2017z00_12781 = 
(BgL_spz00_12777+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2019z00_12783;
BgL_list2019z00_12783 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12772, BNIL); 
BgL_arg2018z00_12782 = BgL_list2019z00_12783; } 
VECTOR_SET(
((obj_t)BgL_sz00_10685),BgL_arg2017z00_12781,BgL_arg2018z00_12782); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2020z00_12784;
BgL_arg2020z00_12784 = 
(BgL_spz00_12777+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10685),BgL_arg2020z00_12784,BgL_a1z00_12772); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2021z00_12785;obj_t BgL_arg2022z00_12786;
BgL_arg2021z00_12785 = 
(BgL_spz00_12777+((long)1)); 
BgL_arg2022z00_12786 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10685),BgL_arg2021z00_12785,BgL_arg2022z00_12786); } break;
default: 
BgL_case_else1182z00_12779:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2024z00_12780;
BgL_arg2024z00_12780 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12773), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10682, BgL_arg2024z00_12780, 
(int)(((long)1)), 
CINT(BgL_arityz00_12774)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1182z00_12779;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12787;
BgL_z12denvz12_12787 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10685, 
BINT(BgL_spz00_12777), BgL_sfz00_12776))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12775, BgL_sz00_10685, 
BINT(BgL_spz00_12777));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12788;
BgL_nsz00_12788 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2026z00_12789;
BgL_arg2026z00_12789 = 
(BgL_spz00_12777+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12788, ((long)2), BgL_sz00_10685, 
BINT(BgL_spz00_12777), 
BINT(BgL_arg2026z00_12789)); } 
VECTOR_SET(BgL_nsz00_12788,((long)1),BgL_sz00_10685); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12787, BgL_nsz00_12788); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12790;
BgL_ez00_12790 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12790, BgL_sz00_10685); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12791;
BgL_____rz00_12791 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12775, BgL_nsz00_12788, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12790); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12787, BgL_sz00_10685); 
return BgL_____rz00_12791;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12771, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12792;
BgL_nbpz00_12792 = 
(
(long)CINT(BgL_bpz00_12770)+BgL_siza7eza7_10684); 
VECTOR_SET(
((obj_t)BgL_sz00_10685),((long)0),
BINT(BgL_nbpz00_12792)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12793;
BgL_rz00_12793 = 
PROCEDURE_ENTRY(BgL_fz00_12771)(BgL_fz00_12771, BgL_a1z00_12772, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10685),((long)0),BgL_bpz00_12770); 
return BgL_rz00_12793;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10682, BgL_symbzd2funzd2_10683, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_12771));} } } } } } } } 
BGL_FUNCTION_END;
}



/* comp-call2 */
obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_153, BgL_ev_exprz00_bglt BgL_vfunz00_154, obj_t BgL_symbzd2funzd2_155, obj_t BgL_funz00_156, obj_t BgL_tailzf3zf3_157, obj_t BgL_stkz00_158, long BgL_siza7eza7_159, obj_t BgL_a1z00_160, obj_t BgL_a2z00_161)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_cfunz00_2267;
BgL_cfunz00_2267 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_154, ((long)2), BgL_locz00_153, BgL_symbzd2funzd2_155); 
if(
CBOOL(BgL_cfunz00_2267))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17169;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2035z00_2285;
BgL_arg2035z00_2285 = 
bgl_debug(); 
BgL_testz00_17169 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2035z00_2285), 
BINT(((long)0))); } 
if(BgL_testz00_17169)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32032ze3z83_10686;
BgL_zc3anonymousza32032ze3z83_10686 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32032ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza32032ze3z83_10686, 
(int)(((long)0)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32032ze3z83_10686, 
(int)(((long)1)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32032ze3z83_10686, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_159)); 
PROCEDURE_SET(BgL_zc3anonymousza32032ze3z83_10686, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3anonymousza32032ze3z83_10686, 
(int)(((long)4)), BgL_cfunz00_2267); 
return BgL_zc3anonymousza32032ze3z83_10686;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32034ze3z83_10687;
BgL_zc3anonymousza32034ze3z83_10687 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32034ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza32034ze3z83_10687, 
(int)(((long)0)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32034ze3z83_10687, 
(int)(((long)1)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32034ze3z83_10687, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_159)); 
PROCEDURE_SET(BgL_zc3anonymousza32034ze3z83_10687, 
(int)(((long)3)), BgL_cfunz00_2267); 
return BgL_zc3anonymousza32034ze3z83_10687;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
CBOOL(BgL_tailzf3zf3_157))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17202;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2089z00_2377;
BgL_arg2089z00_2377 = 
bgl_debug(); 
BgL_testz00_17202 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2089z00_2377), 
BINT(((long)0))); } 
if(BgL_testz00_17202)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32038ze3z83_10688;
BgL_zc3anonymousza32038ze3z83_10688 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32038ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32038ze3z83_10688, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3anonymousza32038ze3z83_10688, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32038ze3z83_10688, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32038ze3z83_10688, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3anonymousza32038ze3z83_10688, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3anonymousza32038ze3z83_10688, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3anonymousza32038ze3z83_10688;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32064ze3z83_10689;
BgL_zc3anonymousza32064ze3z83_10689 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32064ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32064ze3z83_10689, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3anonymousza32064ze3z83_10689, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32064ze3z83_10689, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32064ze3z83_10689, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3anonymousza32064ze3z83_10689, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3anonymousza32064ze3z83_10689, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3anonymousza32064ze3z83_10689;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17239;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2144z00_2469;
BgL_arg2144z00_2469 = 
bgl_debug(); 
BgL_testz00_17239 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2144z00_2469), 
BINT(((long)0))); } 
if(BgL_testz00_17239)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32092ze3z83_10690;
BgL_zc3anonymousza32092ze3z83_10690 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32092ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32092ze3z83_10690, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3anonymousza32092ze3z83_10690, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32092ze3z83_10690, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32092ze3z83_10690, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3anonymousza32092ze3z83_10690, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3anonymousza32092ze3z83_10690, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3anonymousza32092ze3z83_10690;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32119ze3z83_10691;
BgL_zc3anonymousza32119ze3z83_10691 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32119ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32119ze3z83_10691, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3anonymousza32119ze3z83_10691, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32119ze3z83_10691, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32119ze3z83_10691, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3anonymousza32119ze3z83_10691, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3anonymousza32119ze3z83_10691, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3anonymousza32119ze3z83_10691;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2032> */
obj_t BGl_z62zc3anonymousza32032ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10692, obj_t BgL_sz00_10698)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10693;obj_t BgL_a2z00_10694;long BgL_siza7eza7_10695;obj_t BgL_locz00_10696;obj_t BgL_cfunz00_10697;
BgL_a1z00_10693 = 
PROCEDURE_REF(BgL_envz00_10692, 
(int)(((long)0))); 
BgL_a2z00_10694 = 
PROCEDURE_REF(BgL_envz00_10692, 
(int)(((long)1))); 
BgL_siza7eza7_10695 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10692, 
(int)(((long)2)))); 
BgL_locz00_10696 = 
PROCEDURE_REF(BgL_envz00_10692, 
(int)(((long)3))); 
BgL_cfunz00_10697 = 
PROCEDURE_REF(BgL_envz00_10692, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12794;
BgL_bpz00_12794 = 
VECTOR_REF(
((obj_t)BgL_sz00_10698),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12795;obj_t BgL_a2z00_12796;
BgL_a1z00_12795 = 
PROCEDURE_ENTRY(BgL_a1z00_10693)(BgL_a1z00_10693, BgL_sz00_10698, BEOA); 
BgL_a2z00_12796 = 
PROCEDURE_ENTRY(BgL_a2z00_10694)(BgL_a2z00_10694, BgL_sz00_10698, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12797;
BgL_nbpz00_12797 = 
(
(long)CINT(BgL_bpz00_12794)+BgL_siza7eza7_10695); 
VECTOR_SET(
((obj_t)BgL_sz00_10698),((long)0),
BINT(BgL_nbpz00_12797)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17302;
BgL_tmpz00_17302 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17302, BgL_locz00_10696); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12798;
BgL_rz00_12798 = 
PROCEDURE_ENTRY(BgL_cfunz00_10697)(BgL_cfunz00_10697, BgL_a1z00_12795, BgL_a2z00_12796, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10698),((long)0),BgL_bpz00_12794); 
return BgL_rz00_12798;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2034> */
obj_t BGl_z62zc3anonymousza32034ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10699, obj_t BgL_sz00_10704)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10700;obj_t BgL_a2z00_10701;long BgL_siza7eza7_10702;obj_t BgL_cfunz00_10703;
BgL_a1z00_10700 = 
PROCEDURE_REF(BgL_envz00_10699, 
(int)(((long)0))); 
BgL_a2z00_10701 = 
PROCEDURE_REF(BgL_envz00_10699, 
(int)(((long)1))); 
BgL_siza7eza7_10702 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10699, 
(int)(((long)2)))); 
BgL_cfunz00_10703 = 
PROCEDURE_REF(BgL_envz00_10699, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12799;
BgL_bpz00_12799 = 
VECTOR_REF(
((obj_t)BgL_sz00_10704),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12800;obj_t BgL_a2z00_12801;
BgL_a1z00_12800 = 
PROCEDURE_ENTRY(BgL_a1z00_10700)(BgL_a1z00_10700, BgL_sz00_10704, BEOA); 
BgL_a2z00_12801 = 
PROCEDURE_ENTRY(BgL_a2z00_10701)(BgL_a2z00_10701, BgL_sz00_10704, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12802;
BgL_nbpz00_12802 = 
(
(long)CINT(BgL_bpz00_12799)+BgL_siza7eza7_10702); 
VECTOR_SET(
((obj_t)BgL_sz00_10704),((long)0),
BINT(BgL_nbpz00_12802)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12803;
BgL_rz00_12803 = 
PROCEDURE_ENTRY(BgL_cfunz00_10703)(BgL_cfunz00_10703, BgL_a1z00_12800, BgL_a2z00_12801, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10704),((long)0),BgL_bpz00_12799); 
return BgL_rz00_12803;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2038> */
obj_t BGl_z62zc3anonymousza32038ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10705, obj_t BgL_sz00_10712)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10706;obj_t BgL_a1z00_10707;obj_t BgL_a2z00_10708;obj_t BgL_locz00_10709;obj_t BgL_symbzd2funzd2_10710;long BgL_siza7eza7_10711;
BgL_funz00_10706 = 
PROCEDURE_REF(BgL_envz00_10705, 
(int)(((long)0))); 
BgL_a1z00_10707 = 
PROCEDURE_REF(BgL_envz00_10705, 
(int)(((long)1))); 
BgL_a2z00_10708 = 
PROCEDURE_REF(BgL_envz00_10705, 
(int)(((long)2))); 
BgL_locz00_10709 = 
PROCEDURE_REF(BgL_envz00_10705, 
(int)(((long)3))); 
BgL_symbzd2funzd2_10710 = 
PROCEDURE_REF(BgL_envz00_10705, 
(int)(((long)4))); 
BgL_siza7eza7_10711 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10705, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12804;
BgL_bpz00_12804 = 
VECTOR_REF(
((obj_t)BgL_sz00_10712),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12805;obj_t BgL_a1z00_12806;obj_t BgL_a2z00_12807;
BgL_fz00_12805 = 
PROCEDURE_ENTRY(BgL_funz00_10706)(BgL_funz00_10706, BgL_sz00_10712, BEOA); 
BgL_a1z00_12806 = 
PROCEDURE_ENTRY(BgL_a1z00_10707)(BgL_a1z00_10707, BgL_sz00_10712, BEOA); 
BgL_a2z00_12807 = 
PROCEDURE_ENTRY(BgL_a2z00_10708)(BgL_a2z00_10708, BgL_sz00_10712, BEOA); 
if(
PROCEDUREP(BgL_fz00_12805))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10709, BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_12805); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12808;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17373;
BgL_tmpz00_17373 = 
((obj_t)BgL_fz00_12805); 
BgL_ufz00_12808 = 
PROCEDURE_ATTR(BgL_tmpz00_17373); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17376;
if(
STRUCTP(BgL_ufz00_12808))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17376 = 
(
STRUCT_KEY(BgL_ufz00_12808)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17376 = ((bool_t)0)
; } 
if(BgL_testz00_17376)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12809;obj_t BgL_runz00_12810;obj_t BgL_sfz00_12811;
BgL_arityz00_12809 = 
STRUCT_REF(BgL_ufz00_12808, 
(int)(((long)0))); 
BgL_runz00_12810 = 
STRUCT_REF(BgL_ufz00_12808, 
(int)(((long)1))); 
BgL_sfz00_12811 = 
STRUCT_REF(BgL_ufz00_12808, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12809)==((long)2)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2042z00_12812;
BgL_arg2042z00_12812 = 
(
(long)CINT(BgL_bpz00_12804)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10712),BgL_arg2042z00_12812,BgL_a1z00_12806); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2043z00_12813;
BgL_arg2043z00_12813 = 
(
(long)CINT(BgL_bpz00_12804)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10712),BgL_arg2043z00_12813,BgL_a2z00_12807); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12809))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12809)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2045z00_12816;obj_t BgL_arg2046z00_12817;
BgL_arg2045z00_12816 = 
(
(long)CINT(BgL_bpz00_12804)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2047z00_12818;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2048z00_12819;
BgL_arg2048z00_12819 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12807, BNIL); 
BgL_list2047z00_12818 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12806, BgL_arg2048z00_12819); } 
BgL_arg2046z00_12817 = BgL_list2047z00_12818; } 
VECTOR_SET(
((obj_t)BgL_sz00_10712),BgL_arg2045z00_12816,BgL_arg2046z00_12817); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2049z00_12820;
BgL_arg2049z00_12820 = 
(
(long)CINT(BgL_bpz00_12804)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10712),BgL_arg2049z00_12820,BgL_a1z00_12806); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2050z00_12821;obj_t BgL_arg2051z00_12822;
BgL_arg2050z00_12821 = 
(
(long)CINT(BgL_bpz00_12804)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2052z00_12823;
BgL_list2052z00_12823 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12807, BNIL); 
BgL_arg2051z00_12822 = BgL_list2052z00_12823; } 
VECTOR_SET(
((obj_t)BgL_sz00_10712),BgL_arg2050z00_12821,BgL_arg2051z00_12822); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2053z00_12824;
BgL_arg2053z00_12824 = 
(
(long)CINT(BgL_bpz00_12804)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10712),BgL_arg2053z00_12824,BgL_a1z00_12806); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2054z00_12825;
BgL_arg2054z00_12825 = 
(
(long)CINT(BgL_bpz00_12804)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10712),BgL_arg2054z00_12825,BgL_a2z00_12807); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2055z00_12826;obj_t BgL_arg2056z00_12827;
BgL_arg2055z00_12826 = 
(
(long)CINT(BgL_bpz00_12804)+((long)2)); 
BgL_arg2056z00_12827 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10712),BgL_arg2055z00_12826,BgL_arg2056z00_12827); } break;
default: 
BgL_case_else1184z00_12814:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2058z00_12815;
BgL_arg2058z00_12815 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12808), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10709, BgL_arg2058z00_12815, 
(int)(((long)2)), 
CINT(BgL_arityz00_12809)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1184z00_12814;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12828;
BgL_z12denvz12_12828 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12828, BgL_locz00_10709); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10712, BgL_bpz00_12804, BgL_sfz00_12811))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12810;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12829;
BgL_nsz00_12829 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2060z00_12830;
BgL_arg2060z00_12830 = 
(
(long)CINT(BgL_bpz00_12804)+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12829, ((long)2), BgL_sz00_10712, BgL_bpz00_12804, 
BINT(BgL_arg2060z00_12830)); } 
VECTOR_SET(BgL_nsz00_12829,((long)1),BgL_sz00_10712); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12828, BgL_nsz00_12829); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12831;
BgL_ez00_12831 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12831, BgL_sz00_10712); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12832;
BgL_____rz00_12832 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12810, BgL_nsz00_12829, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12831); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12828, BgL_sz00_10712); 
return BgL_____rz00_12832;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12805, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12833;
BgL_nbpz00_12833 = 
(
(long)CINT(BgL_bpz00_12804)+BgL_siza7eza7_10711); 
VECTOR_SET(
((obj_t)BgL_sz00_10712),((long)0),
BINT(BgL_nbpz00_12833)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17460;
BgL_tmpz00_17460 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17460, BgL_locz00_10709); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12834;
BgL_rz00_12834 = 
PROCEDURE_ENTRY(BgL_fz00_12805)(BgL_fz00_12805, BgL_a1z00_12806, BgL_a2z00_12807, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10712),((long)0),BgL_bpz00_12804); 
return BgL_rz00_12834;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10709, BgL_symbzd2funzd2_10710, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12805));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2064> */
obj_t BGl_z62zc3anonymousza32064ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10713, obj_t BgL_sz00_10720)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10714;obj_t BgL_a1z00_10715;obj_t BgL_a2z00_10716;obj_t BgL_locz00_10717;obj_t BgL_symbzd2funzd2_10718;long BgL_siza7eza7_10719;
BgL_funz00_10714 = 
PROCEDURE_REF(BgL_envz00_10713, 
(int)(((long)0))); 
BgL_a1z00_10715 = 
PROCEDURE_REF(BgL_envz00_10713, 
(int)(((long)1))); 
BgL_a2z00_10716 = 
PROCEDURE_REF(BgL_envz00_10713, 
(int)(((long)2))); 
BgL_locz00_10717 = 
PROCEDURE_REF(BgL_envz00_10713, 
(int)(((long)3))); 
BgL_symbzd2funzd2_10718 = 
PROCEDURE_REF(BgL_envz00_10713, 
(int)(((long)4))); 
BgL_siza7eza7_10719 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10713, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12835;
BgL_bpz00_12835 = 
VECTOR_REF(
((obj_t)BgL_sz00_10720),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12836;obj_t BgL_a1z00_12837;obj_t BgL_a2z00_12838;
BgL_fz00_12836 = 
PROCEDURE_ENTRY(BgL_funz00_10714)(BgL_funz00_10714, BgL_sz00_10720, BEOA); 
BgL_a1z00_12837 = 
PROCEDURE_ENTRY(BgL_a1z00_10715)(BgL_a1z00_10715, BgL_sz00_10720, BEOA); 
BgL_a2z00_12838 = 
PROCEDURE_ENTRY(BgL_a2z00_10716)(BgL_a2z00_10716, BgL_sz00_10720, BEOA); 
if(
PROCEDUREP(BgL_fz00_12836))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10717, BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_12836); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12839;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17503;
BgL_tmpz00_17503 = 
((obj_t)BgL_fz00_12836); 
BgL_ufz00_12839 = 
PROCEDURE_ATTR(BgL_tmpz00_17503); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17506;
if(
STRUCTP(BgL_ufz00_12839))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17506 = 
(
STRUCT_KEY(BgL_ufz00_12839)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17506 = ((bool_t)0)
; } 
if(BgL_testz00_17506)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12840;obj_t BgL_runz00_12841;obj_t BgL_sfz00_12842;
BgL_arityz00_12840 = 
STRUCT_REF(BgL_ufz00_12839, 
(int)(((long)0))); 
BgL_runz00_12841 = 
STRUCT_REF(BgL_ufz00_12839, 
(int)(((long)1))); 
BgL_sfz00_12842 = 
STRUCT_REF(BgL_ufz00_12839, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12840)==((long)2)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2068z00_12843;
BgL_arg2068z00_12843 = 
(
(long)CINT(BgL_bpz00_12835)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10720),BgL_arg2068z00_12843,BgL_a1z00_12837); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2069z00_12844;
BgL_arg2069z00_12844 = 
(
(long)CINT(BgL_bpz00_12835)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10720),BgL_arg2069z00_12844,BgL_a2z00_12838); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12840))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12840)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2071z00_12847;obj_t BgL_arg2072z00_12848;
BgL_arg2071z00_12847 = 
(
(long)CINT(BgL_bpz00_12835)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2073z00_12849;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2074z00_12850;
BgL_arg2074z00_12850 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12838, BNIL); 
BgL_list2073z00_12849 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12837, BgL_arg2074z00_12850); } 
BgL_arg2072z00_12848 = BgL_list2073z00_12849; } 
VECTOR_SET(
((obj_t)BgL_sz00_10720),BgL_arg2071z00_12847,BgL_arg2072z00_12848); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2075z00_12851;
BgL_arg2075z00_12851 = 
(
(long)CINT(BgL_bpz00_12835)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10720),BgL_arg2075z00_12851,BgL_a1z00_12837); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2076z00_12852;obj_t BgL_arg2077z00_12853;
BgL_arg2076z00_12852 = 
(
(long)CINT(BgL_bpz00_12835)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2078z00_12854;
BgL_list2078z00_12854 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12838, BNIL); 
BgL_arg2077z00_12853 = BgL_list2078z00_12854; } 
VECTOR_SET(
((obj_t)BgL_sz00_10720),BgL_arg2076z00_12852,BgL_arg2077z00_12853); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2079z00_12855;
BgL_arg2079z00_12855 = 
(
(long)CINT(BgL_bpz00_12835)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10720),BgL_arg2079z00_12855,BgL_a1z00_12837); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2080z00_12856;
BgL_arg2080z00_12856 = 
(
(long)CINT(BgL_bpz00_12835)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10720),BgL_arg2080z00_12856,BgL_a2z00_12838); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2081z00_12857;obj_t BgL_arg2082z00_12858;
BgL_arg2081z00_12857 = 
(
(long)CINT(BgL_bpz00_12835)+((long)2)); 
BgL_arg2082z00_12858 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10720),BgL_arg2081z00_12857,BgL_arg2082z00_12858); } break;
default: 
BgL_case_else1186z00_12845:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2084z00_12846;
BgL_arg2084z00_12846 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12839), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10717, BgL_arg2084z00_12846, 
(int)(((long)2)), 
CINT(BgL_arityz00_12840)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1186z00_12845;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12859;
BgL_z12denvz12_12859 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10720, BgL_bpz00_12835, BgL_sfz00_12842))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12841;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12860;
BgL_nsz00_12860 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2086z00_12861;
BgL_arg2086z00_12861 = 
(
(long)CINT(BgL_bpz00_12835)+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12860, ((long)2), BgL_sz00_10720, BgL_bpz00_12835, 
BINT(BgL_arg2086z00_12861)); } 
VECTOR_SET(BgL_nsz00_12860,((long)1),BgL_sz00_10720); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12859, BgL_nsz00_12860); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12862;
BgL_ez00_12862 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12862, BgL_sz00_10720); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12863;
BgL_____rz00_12863 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12841, BgL_nsz00_12860, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12862); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12859, BgL_sz00_10720); 
return BgL_____rz00_12863;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12836, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12864;
BgL_nbpz00_12864 = 
(
(long)CINT(BgL_bpz00_12835)+BgL_siza7eza7_10719); 
VECTOR_SET(
((obj_t)BgL_sz00_10720),((long)0),
BINT(BgL_nbpz00_12864)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12865;
BgL_rz00_12865 = 
PROCEDURE_ENTRY(BgL_fz00_12836)(BgL_fz00_12836, BgL_a1z00_12837, BgL_a2z00_12838, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10720),((long)0),BgL_bpz00_12835); 
return BgL_rz00_12865;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10717, BgL_symbzd2funzd2_10718, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12836));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2092> */
obj_t BGl_z62zc3anonymousza32092ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10721, obj_t BgL_sz00_10728)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10722;obj_t BgL_a1z00_10723;obj_t BgL_a2z00_10724;obj_t BgL_locz00_10725;obj_t BgL_symbzd2funzd2_10726;long BgL_siza7eza7_10727;
BgL_funz00_10722 = 
PROCEDURE_REF(BgL_envz00_10721, 
(int)(((long)0))); 
BgL_a1z00_10723 = 
PROCEDURE_REF(BgL_envz00_10721, 
(int)(((long)1))); 
BgL_a2z00_10724 = 
PROCEDURE_REF(BgL_envz00_10721, 
(int)(((long)2))); 
BgL_locz00_10725 = 
PROCEDURE_REF(BgL_envz00_10721, 
(int)(((long)3))); 
BgL_symbzd2funzd2_10726 = 
PROCEDURE_REF(BgL_envz00_10721, 
(int)(((long)4))); 
BgL_siza7eza7_10727 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10721, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12866;
BgL_bpz00_12866 = 
VECTOR_REF(
((obj_t)BgL_sz00_10728),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12867;obj_t BgL_a1z00_12868;obj_t BgL_a2z00_12869;
BgL_fz00_12867 = 
PROCEDURE_ENTRY(BgL_funz00_10722)(BgL_funz00_10722, BgL_sz00_10728, BEOA); 
BgL_a1z00_12868 = 
PROCEDURE_ENTRY(BgL_a1z00_10723)(BgL_a1z00_10723, BgL_sz00_10728, BEOA); 
BgL_a2z00_12869 = 
PROCEDURE_ENTRY(BgL_a2z00_10724)(BgL_a2z00_10724, BgL_sz00_10728, BEOA); 
if(
PROCEDUREP(BgL_fz00_12867))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10725, BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_12867); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12870;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17629;
BgL_tmpz00_17629 = 
((obj_t)BgL_fz00_12867); 
BgL_ufz00_12870 = 
PROCEDURE_ATTR(BgL_tmpz00_17629); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17632;
if(
STRUCTP(BgL_ufz00_12870))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17632 = 
(
STRUCT_KEY(BgL_ufz00_12870)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17632 = ((bool_t)0)
; } 
if(BgL_testz00_17632)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12871;obj_t BgL_runz00_12872;obj_t BgL_sfz00_12873;
BgL_arityz00_12871 = 
STRUCT_REF(BgL_ufz00_12870, 
(int)(((long)0))); 
BgL_runz00_12872 = 
STRUCT_REF(BgL_ufz00_12870, 
(int)(((long)1))); 
BgL_sfz00_12873 = 
STRUCT_REF(BgL_ufz00_12870, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12874;
BgL_spz00_12874 = 
(
(long)CINT(BgL_bpz00_12866)+BgL_siza7eza7_10727); 
if(
(
(long)CINT(BgL_arityz00_12871)==((long)2)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2096z00_12875;
BgL_arg2096z00_12875 = 
(BgL_spz00_12874+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10728),BgL_arg2096z00_12875,BgL_a1z00_12868); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2097z00_12876;
BgL_arg2097z00_12876 = 
(BgL_spz00_12874+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10728),BgL_arg2097z00_12876,BgL_a2z00_12869); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12871))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12871)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2099z00_12879;obj_t BgL_arg2100z00_12880;
BgL_arg2099z00_12879 = 
(BgL_spz00_12874+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2101z00_12881;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2102z00_12882;
BgL_arg2102z00_12882 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12869, BNIL); 
BgL_list2101z00_12881 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12868, BgL_arg2102z00_12882); } 
BgL_arg2100z00_12880 = BgL_list2101z00_12881; } 
VECTOR_SET(
((obj_t)BgL_sz00_10728),BgL_arg2099z00_12879,BgL_arg2100z00_12880); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2103z00_12883;
BgL_arg2103z00_12883 = 
(BgL_spz00_12874+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10728),BgL_arg2103z00_12883,BgL_a1z00_12868); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2104z00_12884;obj_t BgL_arg2105z00_12885;
BgL_arg2104z00_12884 = 
(BgL_spz00_12874+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2106z00_12886;
BgL_list2106z00_12886 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12869, BNIL); 
BgL_arg2105z00_12885 = BgL_list2106z00_12886; } 
VECTOR_SET(
((obj_t)BgL_sz00_10728),BgL_arg2104z00_12884,BgL_arg2105z00_12885); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2107z00_12887;
BgL_arg2107z00_12887 = 
(BgL_spz00_12874+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10728),BgL_arg2107z00_12887,BgL_a1z00_12868); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2108z00_12888;
BgL_arg2108z00_12888 = 
(BgL_spz00_12874+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10728),BgL_arg2108z00_12888,BgL_a2z00_12869); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2109z00_12889;obj_t BgL_arg2111z00_12890;
BgL_arg2109z00_12889 = 
(BgL_spz00_12874+((long)2)); 
BgL_arg2111z00_12890 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10728),BgL_arg2109z00_12889,BgL_arg2111z00_12890); } break;
default: 
BgL_case_else1188z00_12877:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2113z00_12878;
BgL_arg2113z00_12878 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12870), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10725, BgL_arg2113z00_12878, 
(int)(((long)2)), 
CINT(BgL_arityz00_12871)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1188z00_12877;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12891;
BgL_z12denvz12_12891 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12891, BgL_locz00_10725); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10728, 
BINT(BgL_spz00_12874), BgL_sfz00_12873))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12872, BgL_sz00_10728, 
BINT(BgL_spz00_12874));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12892;
BgL_nsz00_12892 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2115z00_12893;
BgL_arg2115z00_12893 = 
(BgL_spz00_12874+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12892, ((long)2), BgL_sz00_10728, 
BINT(BgL_spz00_12874), 
BINT(BgL_arg2115z00_12893)); } 
VECTOR_SET(BgL_nsz00_12892,((long)1),BgL_sz00_10728); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12891, BgL_nsz00_12892); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12894;
BgL_ez00_12894 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12894, BgL_sz00_10728); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12895;
BgL_____rz00_12895 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12872, BgL_nsz00_12892, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12894); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12891, BgL_sz00_10728); 
return BgL_____rz00_12895;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12867, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12896;
BgL_nbpz00_12896 = 
(
(long)CINT(BgL_bpz00_12866)+BgL_siza7eza7_10727); 
VECTOR_SET(
((obj_t)BgL_sz00_10728),((long)0),
BINT(BgL_nbpz00_12896)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17713;
BgL_tmpz00_17713 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17713, BgL_locz00_10725); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12897;
BgL_rz00_12897 = 
PROCEDURE_ENTRY(BgL_fz00_12867)(BgL_fz00_12867, BgL_a1z00_12868, BgL_a2z00_12869, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10728),((long)0),BgL_bpz00_12866); 
return BgL_rz00_12897;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10725, BgL_symbzd2funzd2_10726, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12867));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2119> */
obj_t BGl_z62zc3anonymousza32119ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10729, obj_t BgL_sz00_10736)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10730;obj_t BgL_a1z00_10731;obj_t BgL_a2z00_10732;obj_t BgL_locz00_10733;obj_t BgL_symbzd2funzd2_10734;long BgL_siza7eza7_10735;
BgL_funz00_10730 = 
PROCEDURE_REF(BgL_envz00_10729, 
(int)(((long)0))); 
BgL_a1z00_10731 = 
PROCEDURE_REF(BgL_envz00_10729, 
(int)(((long)1))); 
BgL_a2z00_10732 = 
PROCEDURE_REF(BgL_envz00_10729, 
(int)(((long)2))); 
BgL_locz00_10733 = 
PROCEDURE_REF(BgL_envz00_10729, 
(int)(((long)3))); 
BgL_symbzd2funzd2_10734 = 
PROCEDURE_REF(BgL_envz00_10729, 
(int)(((long)4))); 
BgL_siza7eza7_10735 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10729, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12898;
BgL_bpz00_12898 = 
VECTOR_REF(
((obj_t)BgL_sz00_10736),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12899;obj_t BgL_a1z00_12900;obj_t BgL_a2z00_12901;
BgL_fz00_12899 = 
PROCEDURE_ENTRY(BgL_funz00_10730)(BgL_funz00_10730, BgL_sz00_10736, BEOA); 
BgL_a1z00_12900 = 
PROCEDURE_ENTRY(BgL_a1z00_10731)(BgL_a1z00_10731, BgL_sz00_10736, BEOA); 
BgL_a2z00_12901 = 
PROCEDURE_ENTRY(BgL_a2z00_10732)(BgL_a2z00_10732, BgL_sz00_10736, BEOA); 
if(
PROCEDUREP(BgL_fz00_12899))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10733, BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_12899); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12902;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17756;
BgL_tmpz00_17756 = 
((obj_t)BgL_fz00_12899); 
BgL_ufz00_12902 = 
PROCEDURE_ATTR(BgL_tmpz00_17756); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17759;
if(
STRUCTP(BgL_ufz00_12902))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17759 = 
(
STRUCT_KEY(BgL_ufz00_12902)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17759 = ((bool_t)0)
; } 
if(BgL_testz00_17759)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12903;obj_t BgL_runz00_12904;obj_t BgL_sfz00_12905;
BgL_arityz00_12903 = 
STRUCT_REF(BgL_ufz00_12902, 
(int)(((long)0))); 
BgL_runz00_12904 = 
STRUCT_REF(BgL_ufz00_12902, 
(int)(((long)1))); 
BgL_sfz00_12905 = 
STRUCT_REF(BgL_ufz00_12902, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12906;
BgL_spz00_12906 = 
(
(long)CINT(BgL_bpz00_12898)+BgL_siza7eza7_10735); 
if(
(
(long)CINT(BgL_arityz00_12903)==((long)2)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2123z00_12907;
BgL_arg2123z00_12907 = 
(BgL_spz00_12906+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10736),BgL_arg2123z00_12907,BgL_a1z00_12900); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2124z00_12908;
BgL_arg2124z00_12908 = 
(BgL_spz00_12906+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10736),BgL_arg2124z00_12908,BgL_a2z00_12901); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12903))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12903)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2126z00_12911;obj_t BgL_arg2127z00_12912;
BgL_arg2126z00_12911 = 
(BgL_spz00_12906+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2128z00_12913;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2129z00_12914;
BgL_arg2129z00_12914 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12901, BNIL); 
BgL_list2128z00_12913 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12900, BgL_arg2129z00_12914); } 
BgL_arg2127z00_12912 = BgL_list2128z00_12913; } 
VECTOR_SET(
((obj_t)BgL_sz00_10736),BgL_arg2126z00_12911,BgL_arg2127z00_12912); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2130z00_12915;
BgL_arg2130z00_12915 = 
(BgL_spz00_12906+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10736),BgL_arg2130z00_12915,BgL_a1z00_12900); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2131z00_12916;obj_t BgL_arg2132z00_12917;
BgL_arg2131z00_12916 = 
(BgL_spz00_12906+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2133z00_12918;
BgL_list2133z00_12918 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12901, BNIL); 
BgL_arg2132z00_12917 = BgL_list2133z00_12918; } 
VECTOR_SET(
((obj_t)BgL_sz00_10736),BgL_arg2131z00_12916,BgL_arg2132z00_12917); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2134z00_12919;
BgL_arg2134z00_12919 = 
(BgL_spz00_12906+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10736),BgL_arg2134z00_12919,BgL_a1z00_12900); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2135z00_12920;
BgL_arg2135z00_12920 = 
(BgL_spz00_12906+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10736),BgL_arg2135z00_12920,BgL_a2z00_12901); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2136z00_12921;obj_t BgL_arg2137z00_12922;
BgL_arg2136z00_12921 = 
(BgL_spz00_12906+((long)2)); 
BgL_arg2137z00_12922 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10736),BgL_arg2136z00_12921,BgL_arg2137z00_12922); } break;
default: 
BgL_case_else1190z00_12909:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2139z00_12910;
BgL_arg2139z00_12910 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12902), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10733, BgL_arg2139z00_12910, 
(int)(((long)2)), 
CINT(BgL_arityz00_12903)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1190z00_12909;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12923;
BgL_z12denvz12_12923 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10736, 
BINT(BgL_spz00_12906), BgL_sfz00_12905))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12904, BgL_sz00_10736, 
BINT(BgL_spz00_12906));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12924;
BgL_nsz00_12924 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2141z00_12925;
BgL_arg2141z00_12925 = 
(BgL_spz00_12906+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12924, ((long)2), BgL_sz00_10736, 
BINT(BgL_spz00_12906), 
BINT(BgL_arg2141z00_12925)); } 
VECTOR_SET(BgL_nsz00_12924,((long)1),BgL_sz00_10736); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12923, BgL_nsz00_12924); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12926;
BgL_ez00_12926 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12926, BgL_sz00_10736); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12927;
BgL_____rz00_12927 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12904, BgL_nsz00_12924, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12926); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12923, BgL_sz00_10736); 
return BgL_____rz00_12927;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12899, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12928;
BgL_nbpz00_12928 = 
(
(long)CINT(BgL_bpz00_12898)+BgL_siza7eza7_10735); 
VECTOR_SET(
((obj_t)BgL_sz00_10736),((long)0),
BINT(BgL_nbpz00_12928)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12929;
BgL_rz00_12929 = 
PROCEDURE_ENTRY(BgL_fz00_12899)(BgL_fz00_12899, BgL_a1z00_12900, BgL_a2z00_12901, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10736),((long)0),BgL_bpz00_12898); 
return BgL_rz00_12929;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10733, BgL_symbzd2funzd2_10734, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12899));} } } } } } } } 
BGL_FUNCTION_END;
}



/* comp-call3 */
obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_162, BgL_ev_exprz00_bglt BgL_vfunz00_163, obj_t BgL_symbzd2funzd2_164, obj_t BgL_funz00_165, obj_t BgL_tailzf3zf3_166, obj_t BgL_stkz00_167, long BgL_siza7eza7_168, obj_t BgL_a1z00_169, obj_t BgL_a2z00_170, obj_t BgL_a3z00_171)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_cfunz00_2470;
BgL_cfunz00_2470 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_163, ((long)3), BgL_locz00_162, BgL_symbzd2funzd2_164); 
if(
CBOOL(BgL_cfunz00_2470))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17852;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2150z00_2490;
BgL_arg2150z00_2490 = 
bgl_debug(); 
BgL_testz00_17852 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2150z00_2490), 
BINT(((long)0))); } 
if(BgL_testz00_17852)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32147ze3z83_10737;
BgL_zc3anonymousza32147ze3z83_10737 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32147ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32147ze3z83_10737, 
(int)(((long)0)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32147ze3z83_10737, 
(int)(((long)1)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32147ze3z83_10737, 
(int)(((long)2)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32147ze3z83_10737, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_168)); 
PROCEDURE_SET(BgL_zc3anonymousza32147ze3z83_10737, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3anonymousza32147ze3z83_10737, 
(int)(((long)5)), BgL_cfunz00_2470); 
return BgL_zc3anonymousza32147ze3z83_10737;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32149ze3z83_10738;
BgL_zc3anonymousza32149ze3z83_10738 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32149ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza32149ze3z83_10738, 
(int)(((long)0)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32149ze3z83_10738, 
(int)(((long)1)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32149ze3z83_10738, 
(int)(((long)2)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32149ze3z83_10738, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_168)); 
PROCEDURE_SET(BgL_zc3anonymousza32149ze3z83_10738, 
(int)(((long)4)), BgL_cfunz00_2470); 
return BgL_zc3anonymousza32149ze3z83_10738;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
CBOOL(BgL_tailzf3zf3_166))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17889;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2222z00_2602;
BgL_arg2222z00_2602 = 
bgl_debug(); 
BgL_testz00_17889 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2222z00_2602), 
BINT(((long)0))); } 
if(BgL_testz00_17889)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32153ze3z83_10739;
BgL_zc3anonymousza32153ze3z83_10739 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32153ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza32153ze3z83_10739, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3anonymousza32153ze3z83_10739, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32153ze3z83_10739, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32153ze3z83_10739, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32153ze3z83_10739, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3anonymousza32153ze3z83_10739, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3anonymousza32153ze3z83_10739, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3anonymousza32153ze3z83_10739;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32188ze3z83_10740;
BgL_zc3anonymousza32188ze3z83_10740 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32188ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza32188ze3z83_10740, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3anonymousza32188ze3z83_10740, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32188ze3z83_10740, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32188ze3z83_10740, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32188ze3z83_10740, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3anonymousza32188ze3z83_10740, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3anonymousza32188ze3z83_10740, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3anonymousza32188ze3z83_10740;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17930;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2294z00_2714;
BgL_arg2294z00_2714 = 
bgl_debug(); 
BgL_testz00_17930 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2294z00_2714), 
BINT(((long)0))); } 
if(BgL_testz00_17930)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32225ze3z83_10741;
BgL_zc3anonymousza32225ze3z83_10741 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32225ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza32225ze3z83_10741, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3anonymousza32225ze3z83_10741, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32225ze3z83_10741, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32225ze3z83_10741, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32225ze3z83_10741, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3anonymousza32225ze3z83_10741, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3anonymousza32225ze3z83_10741, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3anonymousza32225ze3z83_10741;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32260ze3z83_10742;
BgL_zc3anonymousza32260ze3z83_10742 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32260ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_10742, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_10742, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_10742, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_10742, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_10742, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_10742, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_10742, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3anonymousza32260ze3z83_10742;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2147> */
obj_t BGl_z62zc3anonymousza32147ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10743, obj_t BgL_sz00_10750)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10744;obj_t BgL_a2z00_10745;obj_t BgL_a3z00_10746;long BgL_siza7eza7_10747;obj_t BgL_locz00_10748;obj_t BgL_cfunz00_10749;
BgL_a1z00_10744 = 
PROCEDURE_REF(BgL_envz00_10743, 
(int)(((long)0))); 
BgL_a2z00_10745 = 
PROCEDURE_REF(BgL_envz00_10743, 
(int)(((long)1))); 
BgL_a3z00_10746 = 
PROCEDURE_REF(BgL_envz00_10743, 
(int)(((long)2))); 
BgL_siza7eza7_10747 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10743, 
(int)(((long)3)))); 
BgL_locz00_10748 = 
PROCEDURE_REF(BgL_envz00_10743, 
(int)(((long)4))); 
BgL_cfunz00_10749 = 
PROCEDURE_REF(BgL_envz00_10743, 
(int)(((long)5))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12930;
BgL_bpz00_12930 = 
VECTOR_REF(
((obj_t)BgL_sz00_10750),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12931;obj_t BgL_a2z00_12932;obj_t BgL_a3z00_12933;
BgL_a1z00_12931 = 
PROCEDURE_ENTRY(BgL_a1z00_10744)(BgL_a1z00_10744, BgL_sz00_10750, BEOA); 
BgL_a2z00_12932 = 
PROCEDURE_ENTRY(BgL_a2z00_10745)(BgL_a2z00_10745, BgL_sz00_10750, BEOA); 
BgL_a3z00_12933 = 
PROCEDURE_ENTRY(BgL_a3z00_10746)(BgL_a3z00_10746, BgL_sz00_10750, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12934;
BgL_nbpz00_12934 = 
(
(long)CINT(BgL_bpz00_12930)+BgL_siza7eza7_10747); 
VECTOR_SET(
((obj_t)BgL_sz00_10750),((long)0),
BINT(BgL_nbpz00_12934)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18003;
BgL_tmpz00_18003 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18003, BgL_locz00_10748); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12935;
BgL_rz00_12935 = 
PROCEDURE_ENTRY(BgL_cfunz00_10749)(BgL_cfunz00_10749, BgL_a1z00_12931, BgL_a2z00_12932, BgL_a3z00_12933, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10750),((long)0),BgL_bpz00_12930); 
return BgL_rz00_12935;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2149> */
obj_t BGl_z62zc3anonymousza32149ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10751, obj_t BgL_sz00_10757)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10752;obj_t BgL_a2z00_10753;obj_t BgL_a3z00_10754;long BgL_siza7eza7_10755;obj_t BgL_cfunz00_10756;
BgL_a1z00_10752 = 
PROCEDURE_REF(BgL_envz00_10751, 
(int)(((long)0))); 
BgL_a2z00_10753 = 
PROCEDURE_REF(BgL_envz00_10751, 
(int)(((long)1))); 
BgL_a3z00_10754 = 
PROCEDURE_REF(BgL_envz00_10751, 
(int)(((long)2))); 
BgL_siza7eza7_10755 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10751, 
(int)(((long)3)))); 
BgL_cfunz00_10756 = 
PROCEDURE_REF(BgL_envz00_10751, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12936;
BgL_bpz00_12936 = 
VECTOR_REF(
((obj_t)BgL_sz00_10757),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12937;obj_t BgL_a2z00_12938;obj_t BgL_a3z00_12939;
BgL_a1z00_12937 = 
PROCEDURE_ENTRY(BgL_a1z00_10752)(BgL_a1z00_10752, BgL_sz00_10757, BEOA); 
BgL_a2z00_12938 = 
PROCEDURE_ENTRY(BgL_a2z00_10753)(BgL_a2z00_10753, BgL_sz00_10757, BEOA); 
BgL_a3z00_12939 = 
PROCEDURE_ENTRY(BgL_a3z00_10754)(BgL_a3z00_10754, BgL_sz00_10757, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12940;
BgL_nbpz00_12940 = 
(
(long)CINT(BgL_bpz00_12936)+BgL_siza7eza7_10755); 
VECTOR_SET(
((obj_t)BgL_sz00_10757),((long)0),
BINT(BgL_nbpz00_12940)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12941;
BgL_rz00_12941 = 
PROCEDURE_ENTRY(BgL_cfunz00_10756)(BgL_cfunz00_10756, BgL_a1z00_12937, BgL_a2z00_12938, BgL_a3z00_12939, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10757),((long)0),BgL_bpz00_12936); 
return BgL_rz00_12941;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2153> */
obj_t BGl_z62zc3anonymousza32153ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10758, obj_t BgL_sz00_10766)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10759;obj_t BgL_a1z00_10760;obj_t BgL_a2z00_10761;obj_t BgL_a3z00_10762;obj_t BgL_locz00_10763;obj_t BgL_symbzd2funzd2_10764;long BgL_siza7eza7_10765;
BgL_funz00_10759 = 
PROCEDURE_REF(BgL_envz00_10758, 
(int)(((long)0))); 
BgL_a1z00_10760 = 
PROCEDURE_REF(BgL_envz00_10758, 
(int)(((long)1))); 
BgL_a2z00_10761 = 
PROCEDURE_REF(BgL_envz00_10758, 
(int)(((long)2))); 
BgL_a3z00_10762 = 
PROCEDURE_REF(BgL_envz00_10758, 
(int)(((long)3))); 
BgL_locz00_10763 = 
PROCEDURE_REF(BgL_envz00_10758, 
(int)(((long)4))); 
BgL_symbzd2funzd2_10764 = 
PROCEDURE_REF(BgL_envz00_10758, 
(int)(((long)5))); 
BgL_siza7eza7_10765 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10758, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12942;
BgL_bpz00_12942 = 
VECTOR_REF(
((obj_t)BgL_sz00_10766),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12943;obj_t BgL_a1z00_12944;obj_t BgL_a2z00_12945;obj_t BgL_a3z00_12946;
BgL_fz00_12943 = 
PROCEDURE_ENTRY(BgL_funz00_10759)(BgL_funz00_10759, BgL_sz00_10766, BEOA); 
BgL_a1z00_12944 = 
PROCEDURE_ENTRY(BgL_a1z00_10760)(BgL_a1z00_10760, BgL_sz00_10766, BEOA); 
BgL_a2z00_12945 = 
PROCEDURE_ENTRY(BgL_a2z00_10761)(BgL_a2z00_10761, BgL_sz00_10766, BEOA); 
BgL_a3z00_12946 = 
PROCEDURE_ENTRY(BgL_a3z00_10762)(BgL_a3z00_10762, BgL_sz00_10766, BEOA); 
if(
PROCEDUREP(BgL_fz00_12943))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10763, BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_12943); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12947;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18088;
BgL_tmpz00_18088 = 
((obj_t)BgL_fz00_12943); 
BgL_ufz00_12947 = 
PROCEDURE_ATTR(BgL_tmpz00_18088); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18091;
if(
STRUCTP(BgL_ufz00_12947))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18091 = 
(
STRUCT_KEY(BgL_ufz00_12947)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18091 = ((bool_t)0)
; } 
if(BgL_testz00_18091)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12948;obj_t BgL_runz00_12949;obj_t BgL_sfz00_12950;
BgL_arityz00_12948 = 
STRUCT_REF(BgL_ufz00_12947, 
(int)(((long)0))); 
BgL_runz00_12949 = 
STRUCT_REF(BgL_ufz00_12947, 
(int)(((long)1))); 
BgL_sfz00_12950 = 
STRUCT_REF(BgL_ufz00_12947, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12948)==((long)3)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2157z00_12951;
BgL_arg2157z00_12951 = 
(
(long)CINT(BgL_bpz00_12942)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10766),BgL_arg2157z00_12951,BgL_a1z00_12944); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2158z00_12952;
BgL_arg2158z00_12952 = 
(
(long)CINT(BgL_bpz00_12942)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10766),BgL_arg2158z00_12952,BgL_a2z00_12945); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2159z00_12953;
BgL_arg2159z00_12953 = 
(
(long)CINT(BgL_bpz00_12942)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10766),BgL_arg2159z00_12953,BgL_a3z00_12946); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12948))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12948)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2161z00_12956;obj_t BgL_arg2162z00_12957;
BgL_arg2161z00_12956 = 
(
(long)CINT(BgL_bpz00_12942)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2163z00_12958;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2164z00_12959;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2165z00_12960;
BgL_arg2165z00_12960 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12946, BNIL); 
BgL_arg2164z00_12959 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12945, BgL_arg2165z00_12960); } 
BgL_list2163z00_12958 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12944, BgL_arg2164z00_12959); } 
BgL_arg2162z00_12957 = BgL_list2163z00_12958; } 
VECTOR_SET(
((obj_t)BgL_sz00_10766),BgL_arg2161z00_12956,BgL_arg2162z00_12957); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2166z00_12961;
BgL_arg2166z00_12961 = 
(
(long)CINT(BgL_bpz00_12942)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10766),BgL_arg2166z00_12961,BgL_a1z00_12944); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2167z00_12962;obj_t BgL_arg2168z00_12963;
BgL_arg2167z00_12962 = 
(
(long)CINT(BgL_bpz00_12942)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2169z00_12964;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2170z00_12965;
BgL_arg2170z00_12965 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12946, BNIL); 
BgL_list2169z00_12964 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12945, BgL_arg2170z00_12965); } 
BgL_arg2168z00_12963 = BgL_list2169z00_12964; } 
VECTOR_SET(
((obj_t)BgL_sz00_10766),BgL_arg2167z00_12962,BgL_arg2168z00_12963); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2171z00_12966;
BgL_arg2171z00_12966 = 
(
(long)CINT(BgL_bpz00_12942)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10766),BgL_arg2171z00_12966,BgL_a1z00_12944); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2172z00_12967;
BgL_arg2172z00_12967 = 
(
(long)CINT(BgL_bpz00_12942)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10766),BgL_arg2172z00_12967,BgL_a2z00_12945); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2173z00_12968;obj_t BgL_arg2174z00_12969;
BgL_arg2173z00_12968 = 
(
(long)CINT(BgL_bpz00_12942)+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2175z00_12970;
BgL_list2175z00_12970 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12946, BNIL); 
BgL_arg2174z00_12969 = BgL_list2175z00_12970; } 
VECTOR_SET(
((obj_t)BgL_sz00_10766),BgL_arg2173z00_12968,BgL_arg2174z00_12969); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2176z00_12971;
BgL_arg2176z00_12971 = 
(
(long)CINT(BgL_bpz00_12942)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10766),BgL_arg2176z00_12971,BgL_a1z00_12944); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2177z00_12972;
BgL_arg2177z00_12972 = 
(
(long)CINT(BgL_bpz00_12942)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10766),BgL_arg2177z00_12972,BgL_a2z00_12945); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2178z00_12973;
BgL_arg2178z00_12973 = 
(
(long)CINT(BgL_bpz00_12942)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10766),BgL_arg2178z00_12973,BgL_a3z00_12946); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2179z00_12974;obj_t BgL_arg2180z00_12975;
BgL_arg2179z00_12974 = 
(
(long)CINT(BgL_bpz00_12942)+((long)3)); 
BgL_arg2180z00_12975 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10766),BgL_arg2179z00_12974,BgL_arg2180z00_12975); } break;
default: 
BgL_case_else1192z00_12954:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2182z00_12955;
BgL_arg2182z00_12955 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12947), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10763, BgL_arg2182z00_12955, 
(int)(((long)3)), 
CINT(BgL_arityz00_12948)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1192z00_12954;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12976;
BgL_z12denvz12_12976 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12976, BgL_locz00_10763); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10766, BgL_bpz00_12942, BgL_sfz00_12950))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12949;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12977;
BgL_nsz00_12977 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2184z00_12978;
BgL_arg2184z00_12978 = 
(
(long)CINT(BgL_bpz00_12942)+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12977, ((long)2), BgL_sz00_10766, BgL_bpz00_12942, 
BINT(BgL_arg2184z00_12978)); } 
VECTOR_SET(BgL_nsz00_12977,((long)1),BgL_sz00_10766); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12976, BgL_nsz00_12977); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12979;
BgL_ez00_12979 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12979, BgL_sz00_10766); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12980;
BgL_____rz00_12980 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12949, BgL_nsz00_12977, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12979); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12976, BgL_sz00_10766); 
return BgL_____rz00_12980;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12943, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12981;
BgL_nbpz00_12981 = 
(
(long)CINT(BgL_bpz00_12942)+BgL_siza7eza7_10765); 
VECTOR_SET(
((obj_t)BgL_sz00_10766),((long)0),
BINT(BgL_nbpz00_12981)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18198;
BgL_tmpz00_18198 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18198, BgL_locz00_10763); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12982;
BgL_rz00_12982 = 
PROCEDURE_ENTRY(BgL_fz00_12943)(BgL_fz00_12943, BgL_a1z00_12944, BgL_a2z00_12945, BgL_a3z00_12946, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10766),((long)0),BgL_bpz00_12942); 
return BgL_rz00_12982;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10763, BgL_symbzd2funzd2_10764, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_12943));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2188> */
obj_t BGl_z62zc3anonymousza32188ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10767, obj_t BgL_sz00_10775)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10768;obj_t BgL_a1z00_10769;obj_t BgL_a2z00_10770;obj_t BgL_a3z00_10771;obj_t BgL_locz00_10772;obj_t BgL_symbzd2funzd2_10773;long BgL_siza7eza7_10774;
BgL_funz00_10768 = 
PROCEDURE_REF(BgL_envz00_10767, 
(int)(((long)0))); 
BgL_a1z00_10769 = 
PROCEDURE_REF(BgL_envz00_10767, 
(int)(((long)1))); 
BgL_a2z00_10770 = 
PROCEDURE_REF(BgL_envz00_10767, 
(int)(((long)2))); 
BgL_a3z00_10771 = 
PROCEDURE_REF(BgL_envz00_10767, 
(int)(((long)3))); 
BgL_locz00_10772 = 
PROCEDURE_REF(BgL_envz00_10767, 
(int)(((long)4))); 
BgL_symbzd2funzd2_10773 = 
PROCEDURE_REF(BgL_envz00_10767, 
(int)(((long)5))); 
BgL_siza7eza7_10774 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10767, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12983;
BgL_bpz00_12983 = 
VECTOR_REF(
((obj_t)BgL_sz00_10775),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12984;obj_t BgL_a1z00_12985;obj_t BgL_a2z00_12986;obj_t BgL_a3z00_12987;
BgL_fz00_12984 = 
PROCEDURE_ENTRY(BgL_funz00_10768)(BgL_funz00_10768, BgL_sz00_10775, BEOA); 
BgL_a1z00_12985 = 
PROCEDURE_ENTRY(BgL_a1z00_10769)(BgL_a1z00_10769, BgL_sz00_10775, BEOA); 
BgL_a2z00_12986 = 
PROCEDURE_ENTRY(BgL_a2z00_10770)(BgL_a2z00_10770, BgL_sz00_10775, BEOA); 
BgL_a3z00_12987 = 
PROCEDURE_ENTRY(BgL_a3z00_10771)(BgL_a3z00_10771, BgL_sz00_10775, BEOA); 
if(
PROCEDUREP(BgL_fz00_12984))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10772, BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_12984); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12988;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18248;
BgL_tmpz00_18248 = 
((obj_t)BgL_fz00_12984); 
BgL_ufz00_12988 = 
PROCEDURE_ATTR(BgL_tmpz00_18248); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18251;
if(
STRUCTP(BgL_ufz00_12988))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18251 = 
(
STRUCT_KEY(BgL_ufz00_12988)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18251 = ((bool_t)0)
; } 
if(BgL_testz00_18251)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12989;obj_t BgL_runz00_12990;obj_t BgL_sfz00_12991;
BgL_arityz00_12989 = 
STRUCT_REF(BgL_ufz00_12988, 
(int)(((long)0))); 
BgL_runz00_12990 = 
STRUCT_REF(BgL_ufz00_12988, 
(int)(((long)1))); 
BgL_sfz00_12991 = 
STRUCT_REF(BgL_ufz00_12988, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12989)==((long)3)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2192z00_12992;
BgL_arg2192z00_12992 = 
(
(long)CINT(BgL_bpz00_12983)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10775),BgL_arg2192z00_12992,BgL_a1z00_12985); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2193z00_12993;
BgL_arg2193z00_12993 = 
(
(long)CINT(BgL_bpz00_12983)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10775),BgL_arg2193z00_12993,BgL_a2z00_12986); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2194z00_12994;
BgL_arg2194z00_12994 = 
(
(long)CINT(BgL_bpz00_12983)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10775),BgL_arg2194z00_12994,BgL_a3z00_12987); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12989))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12989)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2196z00_12997;obj_t BgL_arg2197z00_12998;
BgL_arg2196z00_12997 = 
(
(long)CINT(BgL_bpz00_12983)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2198z00_12999;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2199z00_13000;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2200z00_13001;
BgL_arg2200z00_13001 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12987, BNIL); 
BgL_arg2199z00_13000 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12986, BgL_arg2200z00_13001); } 
BgL_list2198z00_12999 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12985, BgL_arg2199z00_13000); } 
BgL_arg2197z00_12998 = BgL_list2198z00_12999; } 
VECTOR_SET(
((obj_t)BgL_sz00_10775),BgL_arg2196z00_12997,BgL_arg2197z00_12998); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2201z00_13002;
BgL_arg2201z00_13002 = 
(
(long)CINT(BgL_bpz00_12983)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10775),BgL_arg2201z00_13002,BgL_a1z00_12985); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2202z00_13003;obj_t BgL_arg2203z00_13004;
BgL_arg2202z00_13003 = 
(
(long)CINT(BgL_bpz00_12983)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2204z00_13005;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2205z00_13006;
BgL_arg2205z00_13006 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12987, BNIL); 
BgL_list2204z00_13005 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12986, BgL_arg2205z00_13006); } 
BgL_arg2203z00_13004 = BgL_list2204z00_13005; } 
VECTOR_SET(
((obj_t)BgL_sz00_10775),BgL_arg2202z00_13003,BgL_arg2203z00_13004); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2206z00_13007;
BgL_arg2206z00_13007 = 
(
(long)CINT(BgL_bpz00_12983)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10775),BgL_arg2206z00_13007,BgL_a1z00_12985); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2207z00_13008;
BgL_arg2207z00_13008 = 
(
(long)CINT(BgL_bpz00_12983)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10775),BgL_arg2207z00_13008,BgL_a2z00_12986); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2208z00_13009;obj_t BgL_arg2209z00_13010;
BgL_arg2208z00_13009 = 
(
(long)CINT(BgL_bpz00_12983)+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2210z00_13011;
BgL_list2210z00_13011 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12987, BNIL); 
BgL_arg2209z00_13010 = BgL_list2210z00_13011; } 
VECTOR_SET(
((obj_t)BgL_sz00_10775),BgL_arg2208z00_13009,BgL_arg2209z00_13010); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2211z00_13012;
BgL_arg2211z00_13012 = 
(
(long)CINT(BgL_bpz00_12983)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10775),BgL_arg2211z00_13012,BgL_a1z00_12985); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2212z00_13013;
BgL_arg2212z00_13013 = 
(
(long)CINT(BgL_bpz00_12983)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10775),BgL_arg2212z00_13013,BgL_a2z00_12986); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2213z00_13014;
BgL_arg2213z00_13014 = 
(
(long)CINT(BgL_bpz00_12983)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10775),BgL_arg2213z00_13014,BgL_a3z00_12987); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2214z00_13015;obj_t BgL_arg2215z00_13016;
BgL_arg2214z00_13015 = 
(
(long)CINT(BgL_bpz00_12983)+((long)3)); 
BgL_arg2215z00_13016 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10775),BgL_arg2214z00_13015,BgL_arg2215z00_13016); } break;
default: 
BgL_case_else1194z00_12995:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2217z00_12996;
BgL_arg2217z00_12996 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12988), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10772, BgL_arg2217z00_12996, 
(int)(((long)3)), 
CINT(BgL_arityz00_12989)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1194z00_12995;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13017;
BgL_z12denvz12_13017 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10775, BgL_bpz00_12983, BgL_sfz00_12991))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12990;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13018;
BgL_nsz00_13018 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2219z00_13019;
BgL_arg2219z00_13019 = 
(
(long)CINT(BgL_bpz00_12983)+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13018, ((long)2), BgL_sz00_10775, BgL_bpz00_12983, 
BINT(BgL_arg2219z00_13019)); } 
VECTOR_SET(BgL_nsz00_13018,((long)1),BgL_sz00_10775); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13017, BgL_nsz00_13018); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13020;
BgL_ez00_13020 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13020, BgL_sz00_10775); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13021;
BgL_____rz00_13021 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12990, BgL_nsz00_13018, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13020); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13017, BgL_sz00_10775); 
return BgL_____rz00_13021;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12984, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13022;
BgL_nbpz00_13022 = 
(
(long)CINT(BgL_bpz00_12983)+BgL_siza7eza7_10774); 
VECTOR_SET(
((obj_t)BgL_sz00_10775),((long)0),
BINT(BgL_nbpz00_13022)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13023;
BgL_rz00_13023 = 
PROCEDURE_ENTRY(BgL_fz00_12984)(BgL_fz00_12984, BgL_a1z00_12985, BgL_a2z00_12986, BgL_a3z00_12987, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10775),((long)0),BgL_bpz00_12983); 
return BgL_rz00_13023;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10772, BgL_symbzd2funzd2_10773, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_12984));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2225> */
obj_t BGl_z62zc3anonymousza32225ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10776, obj_t BgL_sz00_10784)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10777;obj_t BgL_a1z00_10778;obj_t BgL_a2z00_10779;obj_t BgL_a3z00_10780;obj_t BgL_locz00_10781;obj_t BgL_symbzd2funzd2_10782;long BgL_siza7eza7_10783;
BgL_funz00_10777 = 
PROCEDURE_REF(BgL_envz00_10776, 
(int)(((long)0))); 
BgL_a1z00_10778 = 
PROCEDURE_REF(BgL_envz00_10776, 
(int)(((long)1))); 
BgL_a2z00_10779 = 
PROCEDURE_REF(BgL_envz00_10776, 
(int)(((long)2))); 
BgL_a3z00_10780 = 
PROCEDURE_REF(BgL_envz00_10776, 
(int)(((long)3))); 
BgL_locz00_10781 = 
PROCEDURE_REF(BgL_envz00_10776, 
(int)(((long)4))); 
BgL_symbzd2funzd2_10782 = 
PROCEDURE_REF(BgL_envz00_10776, 
(int)(((long)5))); 
BgL_siza7eza7_10783 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10776, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13024;
BgL_bpz00_13024 = 
VECTOR_REF(
((obj_t)BgL_sz00_10784),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13025;obj_t BgL_a1z00_13026;obj_t BgL_a2z00_13027;obj_t BgL_a3z00_13028;
BgL_fz00_13025 = 
PROCEDURE_ENTRY(BgL_funz00_10777)(BgL_funz00_10777, BgL_sz00_10784, BEOA); 
BgL_a1z00_13026 = 
PROCEDURE_ENTRY(BgL_a1z00_10778)(BgL_a1z00_10778, BgL_sz00_10784, BEOA); 
BgL_a2z00_13027 = 
PROCEDURE_ENTRY(BgL_a2z00_10779)(BgL_a2z00_10779, BgL_sz00_10784, BEOA); 
BgL_a3z00_13028 = 
PROCEDURE_ENTRY(BgL_a3z00_10780)(BgL_a3z00_10780, BgL_sz00_10784, BEOA); 
if(
PROCEDUREP(BgL_fz00_13025))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10781, BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_13025); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13029;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18404;
BgL_tmpz00_18404 = 
((obj_t)BgL_fz00_13025); 
BgL_ufz00_13029 = 
PROCEDURE_ATTR(BgL_tmpz00_18404); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18407;
if(
STRUCTP(BgL_ufz00_13029))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18407 = 
(
STRUCT_KEY(BgL_ufz00_13029)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18407 = ((bool_t)0)
; } 
if(BgL_testz00_18407)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13030;obj_t BgL_runz00_13031;obj_t BgL_sfz00_13032;
BgL_arityz00_13030 = 
STRUCT_REF(BgL_ufz00_13029, 
(int)(((long)0))); 
BgL_runz00_13031 = 
STRUCT_REF(BgL_ufz00_13029, 
(int)(((long)1))); 
BgL_sfz00_13032 = 
STRUCT_REF(BgL_ufz00_13029, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_13033;
BgL_spz00_13033 = 
(
(long)CINT(BgL_bpz00_13024)+BgL_siza7eza7_10783); 
if(
(
(long)CINT(BgL_arityz00_13030)==((long)3)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2229z00_13034;
BgL_arg2229z00_13034 = 
(BgL_spz00_13033+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10784),BgL_arg2229z00_13034,BgL_a1z00_13026); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2230z00_13035;
BgL_arg2230z00_13035 = 
(BgL_spz00_13033+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10784),BgL_arg2230z00_13035,BgL_a2z00_13027); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2231z00_13036;
BgL_arg2231z00_13036 = 
(BgL_spz00_13033+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10784),BgL_arg2231z00_13036,BgL_a3z00_13028); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13030))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13030)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2233z00_13039;obj_t BgL_arg2234z00_13040;
BgL_arg2233z00_13039 = 
(BgL_spz00_13033+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2235z00_13041;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2236z00_13042;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2237z00_13043;
BgL_arg2237z00_13043 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13028, BNIL); 
BgL_arg2236z00_13042 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13027, BgL_arg2237z00_13043); } 
BgL_list2235z00_13041 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13026, BgL_arg2236z00_13042); } 
BgL_arg2234z00_13040 = BgL_list2235z00_13041; } 
VECTOR_SET(
((obj_t)BgL_sz00_10784),BgL_arg2233z00_13039,BgL_arg2234z00_13040); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2238z00_13044;
BgL_arg2238z00_13044 = 
(BgL_spz00_13033+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10784),BgL_arg2238z00_13044,BgL_a1z00_13026); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2239z00_13045;obj_t BgL_arg2240z00_13046;
BgL_arg2239z00_13045 = 
(BgL_spz00_13033+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2241z00_13047;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2242z00_13048;
BgL_arg2242z00_13048 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13028, BNIL); 
BgL_list2241z00_13047 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13027, BgL_arg2242z00_13048); } 
BgL_arg2240z00_13046 = BgL_list2241z00_13047; } 
VECTOR_SET(
((obj_t)BgL_sz00_10784),BgL_arg2239z00_13045,BgL_arg2240z00_13046); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2243z00_13049;
BgL_arg2243z00_13049 = 
(BgL_spz00_13033+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10784),BgL_arg2243z00_13049,BgL_a1z00_13026); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2244z00_13050;
BgL_arg2244z00_13050 = 
(BgL_spz00_13033+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10784),BgL_arg2244z00_13050,BgL_a2z00_13027); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2245z00_13051;obj_t BgL_arg2246z00_13052;
BgL_arg2245z00_13051 = 
(BgL_spz00_13033+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2247z00_13053;
BgL_list2247z00_13053 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13028, BNIL); 
BgL_arg2246z00_13052 = BgL_list2247z00_13053; } 
VECTOR_SET(
((obj_t)BgL_sz00_10784),BgL_arg2245z00_13051,BgL_arg2246z00_13052); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2248z00_13054;
BgL_arg2248z00_13054 = 
(BgL_spz00_13033+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10784),BgL_arg2248z00_13054,BgL_a1z00_13026); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2249z00_13055;
BgL_arg2249z00_13055 = 
(BgL_spz00_13033+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10784),BgL_arg2249z00_13055,BgL_a2z00_13027); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2250z00_13056;
BgL_arg2250z00_13056 = 
(BgL_spz00_13033+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10784),BgL_arg2250z00_13056,BgL_a3z00_13028); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2251z00_13057;obj_t BgL_arg2252z00_13058;
BgL_arg2251z00_13057 = 
(BgL_spz00_13033+((long)3)); 
BgL_arg2252z00_13058 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10784),BgL_arg2251z00_13057,BgL_arg2252z00_13058); } break;
default: 
BgL_case_else1196z00_13037:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2254z00_13038;
BgL_arg2254z00_13038 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13029), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10781, BgL_arg2254z00_13038, 
(int)(((long)3)), 
CINT(BgL_arityz00_13030)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1196z00_13037;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13059;
BgL_z12denvz12_13059 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13059, BgL_locz00_10781); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10784, 
BINT(BgL_spz00_13033), BgL_sfz00_13032))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13031, BgL_sz00_10784, 
BINT(BgL_spz00_13033));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13060;
BgL_nsz00_13060 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2256z00_13061;
BgL_arg2256z00_13061 = 
(BgL_spz00_13033+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13060, ((long)2), BgL_sz00_10784, 
BINT(BgL_spz00_13033), 
BINT(BgL_arg2256z00_13061)); } 
VECTOR_SET(BgL_nsz00_13060,((long)1),BgL_sz00_10784); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13059, BgL_nsz00_13060); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13062;
BgL_ez00_13062 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13062, BgL_sz00_10784); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13063;
BgL_____rz00_13063 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13031, BgL_nsz00_13060, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13062); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13059, BgL_sz00_10784); 
return BgL_____rz00_13063;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13025, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13064;
BgL_nbpz00_13064 = 
(
(long)CINT(BgL_bpz00_13024)+BgL_siza7eza7_10783); 
VECTOR_SET(
((obj_t)BgL_sz00_10784),((long)0),
BINT(BgL_nbpz00_13064)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18506;
BgL_tmpz00_18506 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18506, BgL_locz00_10781); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13065;
BgL_rz00_13065 = 
PROCEDURE_ENTRY(BgL_fz00_13025)(BgL_fz00_13025, BgL_a1z00_13026, BgL_a2z00_13027, BgL_a3z00_13028, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10784),((long)0),BgL_bpz00_13024); 
return BgL_rz00_13065;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10781, BgL_symbzd2funzd2_10782, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13025));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2260> */
obj_t BGl_z62zc3anonymousza32260ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10785, obj_t BgL_sz00_10793)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10786;obj_t BgL_a1z00_10787;obj_t BgL_a2z00_10788;obj_t BgL_a3z00_10789;obj_t BgL_locz00_10790;obj_t BgL_symbzd2funzd2_10791;long BgL_siza7eza7_10792;
BgL_funz00_10786 = 
PROCEDURE_REF(BgL_envz00_10785, 
(int)(((long)0))); 
BgL_a1z00_10787 = 
PROCEDURE_REF(BgL_envz00_10785, 
(int)(((long)1))); 
BgL_a2z00_10788 = 
PROCEDURE_REF(BgL_envz00_10785, 
(int)(((long)2))); 
BgL_a3z00_10789 = 
PROCEDURE_REF(BgL_envz00_10785, 
(int)(((long)3))); 
BgL_locz00_10790 = 
PROCEDURE_REF(BgL_envz00_10785, 
(int)(((long)4))); 
BgL_symbzd2funzd2_10791 = 
PROCEDURE_REF(BgL_envz00_10785, 
(int)(((long)5))); 
BgL_siza7eza7_10792 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10785, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13066;
BgL_bpz00_13066 = 
VECTOR_REF(
((obj_t)BgL_sz00_10793),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13067;obj_t BgL_a1z00_13068;obj_t BgL_a2z00_13069;obj_t BgL_a3z00_13070;
BgL_fz00_13067 = 
PROCEDURE_ENTRY(BgL_funz00_10786)(BgL_funz00_10786, BgL_sz00_10793, BEOA); 
BgL_a1z00_13068 = 
PROCEDURE_ENTRY(BgL_a1z00_10787)(BgL_a1z00_10787, BgL_sz00_10793, BEOA); 
BgL_a2z00_13069 = 
PROCEDURE_ENTRY(BgL_a2z00_10788)(BgL_a2z00_10788, BgL_sz00_10793, BEOA); 
BgL_a3z00_13070 = 
PROCEDURE_ENTRY(BgL_a3z00_10789)(BgL_a3z00_10789, BgL_sz00_10793, BEOA); 
if(
PROCEDUREP(BgL_fz00_13067))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10790, BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_13067); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13071;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18556;
BgL_tmpz00_18556 = 
((obj_t)BgL_fz00_13067); 
BgL_ufz00_13071 = 
PROCEDURE_ATTR(BgL_tmpz00_18556); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18559;
if(
STRUCTP(BgL_ufz00_13071))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18559 = 
(
STRUCT_KEY(BgL_ufz00_13071)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18559 = ((bool_t)0)
; } 
if(BgL_testz00_18559)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13072;obj_t BgL_runz00_13073;obj_t BgL_sfz00_13074;
BgL_arityz00_13072 = 
STRUCT_REF(BgL_ufz00_13071, 
(int)(((long)0))); 
BgL_runz00_13073 = 
STRUCT_REF(BgL_ufz00_13071, 
(int)(((long)1))); 
BgL_sfz00_13074 = 
STRUCT_REF(BgL_ufz00_13071, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_13075;
BgL_spz00_13075 = 
(
(long)CINT(BgL_bpz00_13066)+BgL_siza7eza7_10792); 
if(
(
(long)CINT(BgL_arityz00_13072)==((long)3)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2264z00_13076;
BgL_arg2264z00_13076 = 
(BgL_spz00_13075+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2264z00_13076,BgL_a1z00_13068); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2265z00_13077;
BgL_arg2265z00_13077 = 
(BgL_spz00_13075+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2265z00_13077,BgL_a2z00_13069); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2266z00_13078;
BgL_arg2266z00_13078 = 
(BgL_spz00_13075+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2266z00_13078,BgL_a3z00_13070); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13072))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13072)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2268z00_13081;obj_t BgL_arg2269z00_13082;
BgL_arg2268z00_13081 = 
(BgL_spz00_13075+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2270z00_13083;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2271z00_13084;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2272z00_13085;
BgL_arg2272z00_13085 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13070, BNIL); 
BgL_arg2271z00_13084 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13069, BgL_arg2272z00_13085); } 
BgL_list2270z00_13083 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13068, BgL_arg2271z00_13084); } 
BgL_arg2269z00_13082 = BgL_list2270z00_13083; } 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2268z00_13081,BgL_arg2269z00_13082); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2273z00_13086;
BgL_arg2273z00_13086 = 
(BgL_spz00_13075+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2273z00_13086,BgL_a1z00_13068); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2274z00_13087;obj_t BgL_arg2275z00_13088;
BgL_arg2274z00_13087 = 
(BgL_spz00_13075+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2276z00_13089;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2277z00_13090;
BgL_arg2277z00_13090 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13070, BNIL); 
BgL_list2276z00_13089 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13069, BgL_arg2277z00_13090); } 
BgL_arg2275z00_13088 = BgL_list2276z00_13089; } 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2274z00_13087,BgL_arg2275z00_13088); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2278z00_13091;
BgL_arg2278z00_13091 = 
(BgL_spz00_13075+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2278z00_13091,BgL_a1z00_13068); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2279z00_13092;
BgL_arg2279z00_13092 = 
(BgL_spz00_13075+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2279z00_13092,BgL_a2z00_13069); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2280z00_13093;obj_t BgL_arg2281z00_13094;
BgL_arg2280z00_13093 = 
(BgL_spz00_13075+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2282z00_13095;
BgL_list2282z00_13095 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13070, BNIL); 
BgL_arg2281z00_13094 = BgL_list2282z00_13095; } 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2280z00_13093,BgL_arg2281z00_13094); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2283z00_13096;
BgL_arg2283z00_13096 = 
(BgL_spz00_13075+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2283z00_13096,BgL_a1z00_13068); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2284z00_13097;
BgL_arg2284z00_13097 = 
(BgL_spz00_13075+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2284z00_13097,BgL_a2z00_13069); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2285z00_13098;
BgL_arg2285z00_13098 = 
(BgL_spz00_13075+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2285z00_13098,BgL_a3z00_13070); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2286z00_13099;obj_t BgL_arg2287z00_13100;
BgL_arg2286z00_13099 = 
(BgL_spz00_13075+((long)3)); 
BgL_arg2287z00_13100 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2286z00_13099,BgL_arg2287z00_13100); } break;
default: 
BgL_case_else1198z00_13079:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2289z00_13080;
BgL_arg2289z00_13080 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13071), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10790, BgL_arg2289z00_13080, 
(int)(((long)3)), 
CINT(BgL_arityz00_13072)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1198z00_13079;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13101;
BgL_z12denvz12_13101 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10793, 
BINT(BgL_spz00_13075), BgL_sfz00_13074))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13073, BgL_sz00_10793, 
BINT(BgL_spz00_13075));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13102;
BgL_nsz00_13102 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2291z00_13103;
BgL_arg2291z00_13103 = 
(BgL_spz00_13075+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13102, ((long)2), BgL_sz00_10793, 
BINT(BgL_spz00_13075), 
BINT(BgL_arg2291z00_13103)); } 
VECTOR_SET(BgL_nsz00_13102,((long)1),BgL_sz00_10793); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13101, BgL_nsz00_13102); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13104;
BgL_ez00_13104 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13104, BgL_sz00_10793); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13105;
BgL_____rz00_13105 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13073, BgL_nsz00_13102, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13104); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13101, BgL_sz00_10793); 
return BgL_____rz00_13105;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13067, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13106;
BgL_nbpz00_13106 = 
(
(long)CINT(BgL_bpz00_13066)+BgL_siza7eza7_10792); 
VECTOR_SET(
((obj_t)BgL_sz00_10793),((long)0),
BINT(BgL_nbpz00_13106)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13107;
BgL_rz00_13107 = 
PROCEDURE_ENTRY(BgL_fz00_13067)(BgL_fz00_13067, BgL_a1z00_13068, BgL_a2z00_13069, BgL_a3z00_13070, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10793),((long)0),BgL_bpz00_13066); 
return BgL_rz00_13107;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10790, BgL_symbzd2funzd2_10791, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13067));} } } } } } } } 
BGL_FUNCTION_END;
}



/* comp-call4 */
obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_172, BgL_ev_exprz00_bglt BgL_vfunz00_173, obj_t BgL_symbzd2funzd2_174, obj_t BgL_funz00_175, obj_t BgL_tailzf3zf3_176, obj_t BgL_stkz00_177, long BgL_siza7eza7_178, obj_t BgL_a1z00_179, obj_t BgL_a2z00_180, obj_t BgL_a3z00_181, obj_t BgL_a4z00_182)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_cfunz00_2715;
BgL_cfunz00_2715 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_173, ((long)4), BgL_locz00_172, BgL_symbzd2funzd2_174); 
if(
CBOOL(BgL_cfunz00_2715))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18671;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2300z00_2737;
BgL_arg2300z00_2737 = 
bgl_debug(); 
BgL_testz00_18671 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2300z00_2737), 
BINT(((long)0))); } 
if(BgL_testz00_18671)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32297ze3z83_10794;
BgL_zc3anonymousza32297ze3z83_10794 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32297ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza32297ze3z83_10794, 
(int)(((long)0)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32297ze3z83_10794, 
(int)(((long)1)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32297ze3z83_10794, 
(int)(((long)2)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32297ze3z83_10794, 
(int)(((long)3)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32297ze3z83_10794, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_178)); 
PROCEDURE_SET(BgL_zc3anonymousza32297ze3z83_10794, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3anonymousza32297ze3z83_10794, 
(int)(((long)6)), BgL_cfunz00_2715); 
return BgL_zc3anonymousza32297ze3z83_10794;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32299ze3z83_10795;
BgL_zc3anonymousza32299ze3z83_10795 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32299ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32299ze3z83_10795, 
(int)(((long)0)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32299ze3z83_10795, 
(int)(((long)1)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32299ze3z83_10795, 
(int)(((long)2)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32299ze3z83_10795, 
(int)(((long)3)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32299ze3z83_10795, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_178)); 
PROCEDURE_SET(BgL_zc3anonymousza32299ze3z83_10795, 
(int)(((long)5)), BgL_cfunz00_2715); 
return BgL_zc3anonymousza32299ze3z83_10795;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
CBOOL(BgL_tailzf3zf3_176))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18712;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2394z00_2873;
BgL_arg2394z00_2873 = 
bgl_debug(); 
BgL_testz00_18712 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2394z00_2873), 
BINT(((long)0))); } 
if(BgL_testz00_18712)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32303ze3z83_10796;
BgL_zc3anonymousza32303ze3z83_10796 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32303ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_10796, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_10796, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_10796, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_10796, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_10796, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_10796, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_10796, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_10796, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3anonymousza32303ze3z83_10796;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32349ze3z83_10797;
BgL_zc3anonymousza32349ze3z83_10797 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32349ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3anonymousza32349ze3z83_10797, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3anonymousza32349ze3z83_10797, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32349ze3z83_10797, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32349ze3z83_10797, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32349ze3z83_10797, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32349ze3z83_10797, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3anonymousza32349ze3z83_10797, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3anonymousza32349ze3z83_10797, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3anonymousza32349ze3z83_10797;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18757;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2488z00_3009;
BgL_arg2488z00_3009 = 
bgl_debug(); 
BgL_testz00_18757 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2488z00_3009), 
BINT(((long)0))); } 
if(BgL_testz00_18757)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32397ze3z83_10798;
BgL_zc3anonymousza32397ze3z83_10798 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32397ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3anonymousza32397ze3z83_10798, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3anonymousza32397ze3z83_10798, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32397ze3z83_10798, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32397ze3z83_10798, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32397ze3z83_10798, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32397ze3z83_10798, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3anonymousza32397ze3z83_10798, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3anonymousza32397ze3z83_10798, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3anonymousza32397ze3z83_10798;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32443ze3z83_10799;
BgL_zc3anonymousza32443ze3z83_10799 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32443ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3anonymousza32443ze3z83_10799, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3anonymousza32443ze3z83_10799, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32443ze3z83_10799, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32443ze3z83_10799, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32443ze3z83_10799, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32443ze3z83_10799, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3anonymousza32443ze3z83_10799, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3anonymousza32443ze3z83_10799, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3anonymousza32443ze3z83_10799;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2297> */
obj_t BGl_z62zc3anonymousza32297ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10800, obj_t BgL_sz00_10808)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10801;obj_t BgL_a2z00_10802;obj_t BgL_a3z00_10803;obj_t BgL_a4z00_10804;long BgL_siza7eza7_10805;obj_t BgL_locz00_10806;obj_t BgL_cfunz00_10807;
BgL_a1z00_10801 = 
PROCEDURE_REF(BgL_envz00_10800, 
(int)(((long)0))); 
BgL_a2z00_10802 = 
PROCEDURE_REF(BgL_envz00_10800, 
(int)(((long)1))); 
BgL_a3z00_10803 = 
PROCEDURE_REF(BgL_envz00_10800, 
(int)(((long)2))); 
BgL_a4z00_10804 = 
PROCEDURE_REF(BgL_envz00_10800, 
(int)(((long)3))); 
BgL_siza7eza7_10805 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10800, 
(int)(((long)4)))); 
BgL_locz00_10806 = 
PROCEDURE_REF(BgL_envz00_10800, 
(int)(((long)5))); 
BgL_cfunz00_10807 = 
PROCEDURE_REF(BgL_envz00_10800, 
(int)(((long)6))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13108;
BgL_bpz00_13108 = 
VECTOR_REF(
((obj_t)BgL_sz00_10808),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_13109;obj_t BgL_a2z00_13110;obj_t BgL_a3z00_13111;obj_t BgL_a4z00_13112;
BgL_a1z00_13109 = 
PROCEDURE_ENTRY(BgL_a1z00_10801)(BgL_a1z00_10801, BgL_sz00_10808, BEOA); 
BgL_a2z00_13110 = 
PROCEDURE_ENTRY(BgL_a2z00_10802)(BgL_a2z00_10802, BgL_sz00_10808, BEOA); 
BgL_a3z00_13111 = 
PROCEDURE_ENTRY(BgL_a3z00_10803)(BgL_a3z00_10803, BgL_sz00_10808, BEOA); 
BgL_a4z00_13112 = 
PROCEDURE_ENTRY(BgL_a4z00_10804)(BgL_a4z00_10804, BgL_sz00_10808, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13113;
BgL_nbpz00_13113 = 
(
(long)CINT(BgL_bpz00_13108)+BgL_siza7eza7_10805); 
VECTOR_SET(
((obj_t)BgL_sz00_10808),((long)0),
BINT(BgL_nbpz00_13113)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18840;
BgL_tmpz00_18840 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18840, BgL_locz00_10806); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13114;
BgL_rz00_13114 = 
PROCEDURE_ENTRY(BgL_cfunz00_10807)(BgL_cfunz00_10807, BgL_a1z00_13109, BgL_a2z00_13110, BgL_a3z00_13111, BgL_a4z00_13112, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10808),((long)0),BgL_bpz00_13108); 
return BgL_rz00_13114;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2299> */
obj_t BGl_z62zc3anonymousza32299ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10809, obj_t BgL_sz00_10816)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10810;obj_t BgL_a2z00_10811;obj_t BgL_a3z00_10812;obj_t BgL_a4z00_10813;long BgL_siza7eza7_10814;obj_t BgL_cfunz00_10815;
BgL_a1z00_10810 = 
PROCEDURE_REF(BgL_envz00_10809, 
(int)(((long)0))); 
BgL_a2z00_10811 = 
PROCEDURE_REF(BgL_envz00_10809, 
(int)(((long)1))); 
BgL_a3z00_10812 = 
PROCEDURE_REF(BgL_envz00_10809, 
(int)(((long)2))); 
BgL_a4z00_10813 = 
PROCEDURE_REF(BgL_envz00_10809, 
(int)(((long)3))); 
BgL_siza7eza7_10814 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10809, 
(int)(((long)4)))); 
BgL_cfunz00_10815 = 
PROCEDURE_REF(BgL_envz00_10809, 
(int)(((long)5))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13115;
BgL_bpz00_13115 = 
VECTOR_REF(
((obj_t)BgL_sz00_10816),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_13116;obj_t BgL_a2z00_13117;obj_t BgL_a3z00_13118;obj_t BgL_a4z00_13119;
BgL_a1z00_13116 = 
PROCEDURE_ENTRY(BgL_a1z00_10810)(BgL_a1z00_10810, BgL_sz00_10816, BEOA); 
BgL_a2z00_13117 = 
PROCEDURE_ENTRY(BgL_a2z00_10811)(BgL_a2z00_10811, BgL_sz00_10816, BEOA); 
BgL_a3z00_13118 = 
PROCEDURE_ENTRY(BgL_a3z00_10812)(BgL_a3z00_10812, BgL_sz00_10816, BEOA); 
BgL_a4z00_13119 = 
PROCEDURE_ENTRY(BgL_a4z00_10813)(BgL_a4z00_10813, BgL_sz00_10816, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13120;
BgL_nbpz00_13120 = 
(
(long)CINT(BgL_bpz00_13115)+BgL_siza7eza7_10814); 
VECTOR_SET(
((obj_t)BgL_sz00_10816),((long)0),
BINT(BgL_nbpz00_13120)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13121;
BgL_rz00_13121 = 
PROCEDURE_ENTRY(BgL_cfunz00_10815)(BgL_cfunz00_10815, BgL_a1z00_13116, BgL_a2z00_13117, BgL_a3z00_13118, BgL_a4z00_13119, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10816),((long)0),BgL_bpz00_13115); 
return BgL_rz00_13121;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2303> */
obj_t BGl_z62zc3anonymousza32303ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10817, obj_t BgL_sz00_10826)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10818;obj_t BgL_a1z00_10819;obj_t BgL_a2z00_10820;obj_t BgL_a3z00_10821;obj_t BgL_a4z00_10822;obj_t BgL_locz00_10823;obj_t BgL_symbzd2funzd2_10824;long BgL_siza7eza7_10825;
BgL_funz00_10818 = 
PROCEDURE_REF(BgL_envz00_10817, 
(int)(((long)0))); 
BgL_a1z00_10819 = 
PROCEDURE_REF(BgL_envz00_10817, 
(int)(((long)1))); 
BgL_a2z00_10820 = 
PROCEDURE_REF(BgL_envz00_10817, 
(int)(((long)2))); 
BgL_a3z00_10821 = 
PROCEDURE_REF(BgL_envz00_10817, 
(int)(((long)3))); 
BgL_a4z00_10822 = 
PROCEDURE_REF(BgL_envz00_10817, 
(int)(((long)4))); 
BgL_locz00_10823 = 
PROCEDURE_REF(BgL_envz00_10817, 
(int)(((long)5))); 
BgL_symbzd2funzd2_10824 = 
PROCEDURE_REF(BgL_envz00_10817, 
(int)(((long)6))); 
BgL_siza7eza7_10825 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10817, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13122;
BgL_bpz00_13122 = 
VECTOR_REF(
((obj_t)BgL_sz00_10826),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13123;obj_t BgL_a1z00_13124;obj_t BgL_a2z00_13125;obj_t BgL_a3z00_13126;obj_t BgL_a4z00_13127;
BgL_fz00_13123 = 
PROCEDURE_ENTRY(BgL_funz00_10818)(BgL_funz00_10818, BgL_sz00_10826, BEOA); 
BgL_a1z00_13124 = 
PROCEDURE_ENTRY(BgL_a1z00_10819)(BgL_a1z00_10819, BgL_sz00_10826, BEOA); 
BgL_a2z00_13125 = 
PROCEDURE_ENTRY(BgL_a2z00_10820)(BgL_a2z00_10820, BgL_sz00_10826, BEOA); 
BgL_a3z00_13126 = 
PROCEDURE_ENTRY(BgL_a3z00_10821)(BgL_a3z00_10821, BgL_sz00_10826, BEOA); 
BgL_a4z00_13127 = 
PROCEDURE_ENTRY(BgL_a4z00_10822)(BgL_a4z00_10822, BgL_sz00_10826, BEOA); 
if(
PROCEDUREP(BgL_fz00_13123))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10823, BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_13123); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13128;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18939;
BgL_tmpz00_18939 = 
((obj_t)BgL_fz00_13123); 
BgL_ufz00_13128 = 
PROCEDURE_ATTR(BgL_tmpz00_18939); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18942;
if(
STRUCTP(BgL_ufz00_13128))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18942 = 
(
STRUCT_KEY(BgL_ufz00_13128)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18942 = ((bool_t)0)
; } 
if(BgL_testz00_18942)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13129;obj_t BgL_runz00_13130;obj_t BgL_sfz00_13131;
BgL_arityz00_13129 = 
STRUCT_REF(BgL_ufz00_13128, 
(int)(((long)0))); 
BgL_runz00_13130 = 
STRUCT_REF(BgL_ufz00_13128, 
(int)(((long)1))); 
BgL_sfz00_13131 = 
STRUCT_REF(BgL_ufz00_13128, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13129)==((long)4)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2307z00_13132;
BgL_arg2307z00_13132 = 
(
(long)CINT(BgL_bpz00_13122)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10826),BgL_arg2307z00_13132,BgL_a1z00_13124); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2308z00_13133;
BgL_arg2308z00_13133 = 
(
(long)CINT(BgL_bpz00_13122)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10826),BgL_arg2308z00_13133,BgL_a2z00_13125); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2309z00_13134;
BgL_arg2309z00_13134 = 
(
(long)CINT(BgL_bpz00_13122)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10826),BgL_arg2309z00_13134,BgL_a3z00_13126); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2310z00_13135;
BgL_arg2310z00_13135 = 
(
(long)CINT(BgL_bpz00_13122)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10826),BgL_arg2310z00_13135,BgL_a4z00_13127); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13129))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13129)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2312z00_13138;obj_t BgL_arg2313z00_13139;
BgL_arg2312z00_13138 = 
(
(long)CINT(BgL_bpz00_13122)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2314z00_13140;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2315z00_13141;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2316z00_13142;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2317z00_13143;
BgL_arg2317z00_13143 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13127, BNIL); 
BgL_arg2316z00_13142 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13126, BgL_arg2317z00_13143); } 
BgL_arg2315z00_13141 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13125, BgL_arg2316z00_13142); } 
BgL_list2314z00_13140 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13124, BgL_arg2315z00_13141); } 
BgL_arg2313z00_13139 = BgL_list2314z00_13140; } 
VECTOR_SET(
((obj_t)BgL_sz00_10826),BgL_arg2312z00_13138,BgL_arg2313z00_13139); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2318z00_13144;
BgL_arg2318z00_13144 = 
(
(long)CINT(BgL_bpz00_13122)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10826),BgL_arg2318z00_13144,BgL_a1z00_13124); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2319z00_13145;obj_t BgL_arg2320z00_13146;
BgL_arg2319z00_13145 = 
(
(long)CINT(BgL_bpz00_13122)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2321z00_13147;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2322z00_13148;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2323z00_13149;
BgL_arg2323z00_13149 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13127, BNIL); 
BgL_arg2322z00_13148 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13126, BgL_arg2323z00_13149); } 
BgL_list2321z00_13147 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13125, BgL_arg2322z00_13148); } 
BgL_arg2320z00_13146 = BgL_list2321z00_13147; } 
VECTOR_SET(
((obj_t)BgL_sz00_10826),BgL_arg2319z00_13145,BgL_arg2320z00_13146); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2324z00_13150;
BgL_arg2324z00_13150 = 
(
(long)CINT(BgL_bpz00_13122)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10826),BgL_arg2324z00_13150,BgL_a1z00_13124); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2325z00_13151;
BgL_arg2325z00_13151 = 
(
(long)CINT(BgL_bpz00_13122)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10826),BgL_arg2325z00_13151,BgL_a2z00_13125); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2326z00_13152;obj_t BgL_arg2327z00_13153;
BgL_arg2326z00_13152 = 
(
(long)CINT(BgL_bpz00_13122)+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2328z00_13154;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2329z00_13155;
BgL_arg2329z00_13155 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13127, BNIL); 
BgL_list2328z00_13154 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13126, BgL_arg2329z00_13155); } 
BgL_arg2327z00_13153 = BgL_list2328z00_13154; } 
VECTOR_SET(
((obj_t)BgL_sz00_10826),BgL_arg2326z00_13152,BgL_arg2327z00_13153); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2330z00_13156;
BgL_arg2330z00_13156 = 
(
(long)CINT(BgL_bpz00_13122)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10826),BgL_arg2330z00_13156,BgL_a1z00_13124); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2331z00_13157;
BgL_arg2331z00_13157 = 
(
(long)CINT(BgL_bpz00_13122)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10826),BgL_arg2331z00_13157,BgL_a2z00_13125); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2332z00_13158;
BgL_arg2332z00_13158 = 
(
(long)CINT(BgL_bpz00_13122)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10826),BgL_arg2332z00_13158,BgL_a3z00_13126); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2333z00_13159;obj_t BgL_arg2334z00_13160;
BgL_arg2333z00_13159 = 
(
(long)CINT(BgL_bpz00_13122)+((long)3)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2335z00_13161;
BgL_list2335z00_13161 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13127, BNIL); 
BgL_arg2334z00_13160 = BgL_list2335z00_13161; } 
VECTOR_SET(
((obj_t)BgL_sz00_10826),BgL_arg2333z00_13159,BgL_arg2334z00_13160); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2336z00_13162;
BgL_arg2336z00_13162 = 
(
(long)CINT(BgL_bpz00_13122)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10826),BgL_arg2336z00_13162,BgL_a1z00_13124); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2337z00_13163;
BgL_arg2337z00_13163 = 
(
(long)CINT(BgL_bpz00_13122)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10826),BgL_arg2337z00_13163,BgL_a2z00_13125); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2338z00_13164;
BgL_arg2338z00_13164 = 
(
(long)CINT(BgL_bpz00_13122)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10826),BgL_arg2338z00_13164,BgL_a3z00_13126); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2339z00_13165;
BgL_arg2339z00_13165 = 
(
(long)CINT(BgL_bpz00_13122)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10826),BgL_arg2339z00_13165,BgL_a4z00_13127); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2340z00_13166;obj_t BgL_arg2341z00_13167;
BgL_arg2340z00_13166 = 
(
(long)CINT(BgL_bpz00_13122)+((long)4)); 
BgL_arg2341z00_13167 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10826),BgL_arg2340z00_13166,BgL_arg2341z00_13167); } break;
default: 
BgL_case_else1200z00_13136:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2343z00_13137;
BgL_arg2343z00_13137 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13128), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10823, BgL_arg2343z00_13137, 
(int)(((long)4)), 
CINT(BgL_arityz00_13129)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1200z00_13136;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13168;
BgL_z12denvz12_13168 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13168, BgL_locz00_10823); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10826, BgL_bpz00_13122, BgL_sfz00_13131))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_13130;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13169;
BgL_nsz00_13169 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2345z00_13170;
BgL_arg2345z00_13170 = 
(
(long)CINT(BgL_bpz00_13122)+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13169, ((long)2), BgL_sz00_10826, BgL_bpz00_13122, 
BINT(BgL_arg2345z00_13170)); } 
VECTOR_SET(BgL_nsz00_13169,((long)1),BgL_sz00_10826); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13168, BgL_nsz00_13169); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13171;
BgL_ez00_13171 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13171, BgL_sz00_10826); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13172;
BgL_____rz00_13172 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13130, BgL_nsz00_13169, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13171); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13168, BgL_sz00_10826); 
return BgL_____rz00_13172;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13123, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13173;
BgL_nbpz00_13173 = 
(
(long)CINT(BgL_bpz00_13122)+BgL_siza7eza7_10825); 
VECTOR_SET(
((obj_t)BgL_sz00_10826),((long)0),
BINT(BgL_nbpz00_13173)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19077;
BgL_tmpz00_19077 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19077, BgL_locz00_10823); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13174;
BgL_rz00_13174 = 
PROCEDURE_ENTRY(BgL_fz00_13123)(BgL_fz00_13123, BgL_a1z00_13124, BgL_a2z00_13125, BgL_a3z00_13126, BgL_a4z00_13127, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10826),((long)0),BgL_bpz00_13122); 
return BgL_rz00_13174;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10823, BgL_symbzd2funzd2_10824, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13123));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2349> */
obj_t BGl_z62zc3anonymousza32349ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10827, obj_t BgL_sz00_10836)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10828;obj_t BgL_a1z00_10829;obj_t BgL_a2z00_10830;obj_t BgL_a3z00_10831;obj_t BgL_a4z00_10832;obj_t BgL_locz00_10833;obj_t BgL_symbzd2funzd2_10834;long BgL_siza7eza7_10835;
BgL_funz00_10828 = 
PROCEDURE_REF(BgL_envz00_10827, 
(int)(((long)0))); 
BgL_a1z00_10829 = 
PROCEDURE_REF(BgL_envz00_10827, 
(int)(((long)1))); 
BgL_a2z00_10830 = 
PROCEDURE_REF(BgL_envz00_10827, 
(int)(((long)2))); 
BgL_a3z00_10831 = 
PROCEDURE_REF(BgL_envz00_10827, 
(int)(((long)3))); 
BgL_a4z00_10832 = 
PROCEDURE_REF(BgL_envz00_10827, 
(int)(((long)4))); 
BgL_locz00_10833 = 
PROCEDURE_REF(BgL_envz00_10827, 
(int)(((long)5))); 
BgL_symbzd2funzd2_10834 = 
PROCEDURE_REF(BgL_envz00_10827, 
(int)(((long)6))); 
BgL_siza7eza7_10835 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10827, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13175;
BgL_bpz00_13175 = 
VECTOR_REF(
((obj_t)BgL_sz00_10836),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13176;obj_t BgL_a1z00_13177;obj_t BgL_a2z00_13178;obj_t BgL_a3z00_13179;obj_t BgL_a4z00_13180;
BgL_fz00_13176 = 
PROCEDURE_ENTRY(BgL_funz00_10828)(BgL_funz00_10828, BgL_sz00_10836, BEOA); 
BgL_a1z00_13177 = 
PROCEDURE_ENTRY(BgL_a1z00_10829)(BgL_a1z00_10829, BgL_sz00_10836, BEOA); 
BgL_a2z00_13178 = 
PROCEDURE_ENTRY(BgL_a2z00_10830)(BgL_a2z00_10830, BgL_sz00_10836, BEOA); 
BgL_a3z00_13179 = 
PROCEDURE_ENTRY(BgL_a3z00_10831)(BgL_a3z00_10831, BgL_sz00_10836, BEOA); 
BgL_a4z00_13180 = 
PROCEDURE_ENTRY(BgL_a4z00_10832)(BgL_a4z00_10832, BgL_sz00_10836, BEOA); 
if(
PROCEDUREP(BgL_fz00_13176))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10833, BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_13176); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13181;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19134;
BgL_tmpz00_19134 = 
((obj_t)BgL_fz00_13176); 
BgL_ufz00_13181 = 
PROCEDURE_ATTR(BgL_tmpz00_19134); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_19137;
if(
STRUCTP(BgL_ufz00_13181))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19137 = 
(
STRUCT_KEY(BgL_ufz00_13181)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19137 = ((bool_t)0)
; } 
if(BgL_testz00_19137)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13182;obj_t BgL_runz00_13183;obj_t BgL_sfz00_13184;
BgL_arityz00_13182 = 
STRUCT_REF(BgL_ufz00_13181, 
(int)(((long)0))); 
BgL_runz00_13183 = 
STRUCT_REF(BgL_ufz00_13181, 
(int)(((long)1))); 
BgL_sfz00_13184 = 
STRUCT_REF(BgL_ufz00_13181, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13182)==((long)4)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2353z00_13185;
BgL_arg2353z00_13185 = 
(
(long)CINT(BgL_bpz00_13175)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10836),BgL_arg2353z00_13185,BgL_a1z00_13177); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2354z00_13186;
BgL_arg2354z00_13186 = 
(
(long)CINT(BgL_bpz00_13175)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10836),BgL_arg2354z00_13186,BgL_a2z00_13178); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2355z00_13187;
BgL_arg2355z00_13187 = 
(
(long)CINT(BgL_bpz00_13175)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10836),BgL_arg2355z00_13187,BgL_a3z00_13179); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2356z00_13188;
BgL_arg2356z00_13188 = 
(
(long)CINT(BgL_bpz00_13175)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10836),BgL_arg2356z00_13188,BgL_a4z00_13180); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13182))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13182)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2358z00_13191;obj_t BgL_arg2359z00_13192;
BgL_arg2358z00_13191 = 
(
(long)CINT(BgL_bpz00_13175)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2360z00_13193;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2361z00_13194;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2362z00_13195;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2363z00_13196;
BgL_arg2363z00_13196 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13180, BNIL); 
BgL_arg2362z00_13195 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13179, BgL_arg2363z00_13196); } 
BgL_arg2361z00_13194 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13178, BgL_arg2362z00_13195); } 
BgL_list2360z00_13193 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13177, BgL_arg2361z00_13194); } 
BgL_arg2359z00_13192 = BgL_list2360z00_13193; } 
VECTOR_SET(
((obj_t)BgL_sz00_10836),BgL_arg2358z00_13191,BgL_arg2359z00_13192); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2364z00_13197;
BgL_arg2364z00_13197 = 
(
(long)CINT(BgL_bpz00_13175)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10836),BgL_arg2364z00_13197,BgL_a1z00_13177); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2365z00_13198;obj_t BgL_arg2366z00_13199;
BgL_arg2365z00_13198 = 
(
(long)CINT(BgL_bpz00_13175)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2367z00_13200;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2368z00_13201;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2369z00_13202;
BgL_arg2369z00_13202 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13180, BNIL); 
BgL_arg2368z00_13201 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13179, BgL_arg2369z00_13202); } 
BgL_list2367z00_13200 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13178, BgL_arg2368z00_13201); } 
BgL_arg2366z00_13199 = BgL_list2367z00_13200; } 
VECTOR_SET(
((obj_t)BgL_sz00_10836),BgL_arg2365z00_13198,BgL_arg2366z00_13199); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2370z00_13203;
BgL_arg2370z00_13203 = 
(
(long)CINT(BgL_bpz00_13175)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10836),BgL_arg2370z00_13203,BgL_a1z00_13177); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2371z00_13204;
BgL_arg2371z00_13204 = 
(
(long)CINT(BgL_bpz00_13175)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10836),BgL_arg2371z00_13204,BgL_a2z00_13178); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2372z00_13205;obj_t BgL_arg2373z00_13206;
BgL_arg2372z00_13205 = 
(
(long)CINT(BgL_bpz00_13175)+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2374z00_13207;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2375z00_13208;
BgL_arg2375z00_13208 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13180, BNIL); 
BgL_list2374z00_13207 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13179, BgL_arg2375z00_13208); } 
BgL_arg2373z00_13206 = BgL_list2374z00_13207; } 
VECTOR_SET(
((obj_t)BgL_sz00_10836),BgL_arg2372z00_13205,BgL_arg2373z00_13206); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2376z00_13209;
BgL_arg2376z00_13209 = 
(
(long)CINT(BgL_bpz00_13175)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10836),BgL_arg2376z00_13209,BgL_a1z00_13177); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2377z00_13210;
BgL_arg2377z00_13210 = 
(
(long)CINT(BgL_bpz00_13175)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10836),BgL_arg2377z00_13210,BgL_a2z00_13178); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2378z00_13211;
BgL_arg2378z00_13211 = 
(
(long)CINT(BgL_bpz00_13175)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10836),BgL_arg2378z00_13211,BgL_a3z00_13179); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2379z00_13212;obj_t BgL_arg2380z00_13213;
BgL_arg2379z00_13212 = 
(
(long)CINT(BgL_bpz00_13175)+((long)3)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2381z00_13214;
BgL_list2381z00_13214 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13180, BNIL); 
BgL_arg2380z00_13213 = BgL_list2381z00_13214; } 
VECTOR_SET(
((obj_t)BgL_sz00_10836),BgL_arg2379z00_13212,BgL_arg2380z00_13213); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2382z00_13215;
BgL_arg2382z00_13215 = 
(
(long)CINT(BgL_bpz00_13175)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10836),BgL_arg2382z00_13215,BgL_a1z00_13177); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2383z00_13216;
BgL_arg2383z00_13216 = 
(
(long)CINT(BgL_bpz00_13175)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10836),BgL_arg2383z00_13216,BgL_a2z00_13178); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2384z00_13217;
BgL_arg2384z00_13217 = 
(
(long)CINT(BgL_bpz00_13175)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10836),BgL_arg2384z00_13217,BgL_a3z00_13179); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2385z00_13218;
BgL_arg2385z00_13218 = 
(
(long)CINT(BgL_bpz00_13175)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10836),BgL_arg2385z00_13218,BgL_a4z00_13180); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2386z00_13219;obj_t BgL_arg2387z00_13220;
BgL_arg2386z00_13219 = 
(
(long)CINT(BgL_bpz00_13175)+((long)4)); 
BgL_arg2387z00_13220 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10836),BgL_arg2386z00_13219,BgL_arg2387z00_13220); } break;
default: 
BgL_case_else1202z00_13189:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2389z00_13190;
BgL_arg2389z00_13190 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13181), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10833, BgL_arg2389z00_13190, 
(int)(((long)4)), 
CINT(BgL_arityz00_13182)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1202z00_13189;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13221;
BgL_z12denvz12_13221 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10836, BgL_bpz00_13175, BgL_sfz00_13184))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_13183;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13222;
BgL_nsz00_13222 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2391z00_13223;
BgL_arg2391z00_13223 = 
(
(long)CINT(BgL_bpz00_13175)+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13222, ((long)2), BgL_sz00_10836, BgL_bpz00_13175, 
BINT(BgL_arg2391z00_13223)); } 
VECTOR_SET(BgL_nsz00_13222,((long)1),BgL_sz00_10836); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13221, BgL_nsz00_13222); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13224;
BgL_ez00_13224 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13224, BgL_sz00_10836); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13225;
BgL_____rz00_13225 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13183, BgL_nsz00_13222, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13224); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13221, BgL_sz00_10836); 
return BgL_____rz00_13225;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13176, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13226;
BgL_nbpz00_13226 = 
(
(long)CINT(BgL_bpz00_13175)+BgL_siza7eza7_10835); 
VECTOR_SET(
((obj_t)BgL_sz00_10836),((long)0),
BINT(BgL_nbpz00_13226)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13227;
BgL_rz00_13227 = 
PROCEDURE_ENTRY(BgL_fz00_13176)(BgL_fz00_13176, BgL_a1z00_13177, BgL_a2z00_13178, BgL_a3z00_13179, BgL_a4z00_13180, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10836),((long)0),BgL_bpz00_13175); 
return BgL_rz00_13227;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10833, BgL_symbzd2funzd2_10834, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13176));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2397> */
obj_t BGl_z62zc3anonymousza32397ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10837, obj_t BgL_sz00_10846)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10838;obj_t BgL_a1z00_10839;obj_t BgL_a2z00_10840;obj_t BgL_a3z00_10841;obj_t BgL_a4z00_10842;obj_t BgL_locz00_10843;obj_t BgL_symbzd2funzd2_10844;long BgL_siza7eza7_10845;
BgL_funz00_10838 = 
PROCEDURE_REF(BgL_envz00_10837, 
(int)(((long)0))); 
BgL_a1z00_10839 = 
PROCEDURE_REF(BgL_envz00_10837, 
(int)(((long)1))); 
BgL_a2z00_10840 = 
PROCEDURE_REF(BgL_envz00_10837, 
(int)(((long)2))); 
BgL_a3z00_10841 = 
PROCEDURE_REF(BgL_envz00_10837, 
(int)(((long)3))); 
BgL_a4z00_10842 = 
PROCEDURE_REF(BgL_envz00_10837, 
(int)(((long)4))); 
BgL_locz00_10843 = 
PROCEDURE_REF(BgL_envz00_10837, 
(int)(((long)5))); 
BgL_symbzd2funzd2_10844 = 
PROCEDURE_REF(BgL_envz00_10837, 
(int)(((long)6))); 
BgL_siza7eza7_10845 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10837, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13228;
BgL_bpz00_13228 = 
VECTOR_REF(
((obj_t)BgL_sz00_10846),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13229;obj_t BgL_a1z00_13230;obj_t BgL_a2z00_13231;obj_t BgL_a3z00_13232;obj_t BgL_a4z00_13233;
BgL_fz00_13229 = 
PROCEDURE_ENTRY(BgL_funz00_10838)(BgL_funz00_10838, BgL_sz00_10846, BEOA); 
BgL_a1z00_13230 = 
PROCEDURE_ENTRY(BgL_a1z00_10839)(BgL_a1z00_10839, BgL_sz00_10846, BEOA); 
BgL_a2z00_13231 = 
PROCEDURE_ENTRY(BgL_a2z00_10840)(BgL_a2z00_10840, BgL_sz00_10846, BEOA); 
BgL_a3z00_13232 = 
PROCEDURE_ENTRY(BgL_a3z00_10841)(BgL_a3z00_10841, BgL_sz00_10846, BEOA); 
BgL_a4z00_13233 = 
PROCEDURE_ENTRY(BgL_a4z00_10842)(BgL_a4z00_10842, BgL_sz00_10846, BEOA); 
if(
PROCEDUREP(BgL_fz00_13229))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10843, BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_13229); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13234;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19325;
BgL_tmpz00_19325 = 
((obj_t)BgL_fz00_13229); 
BgL_ufz00_13234 = 
PROCEDURE_ATTR(BgL_tmpz00_19325); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_19328;
if(
STRUCTP(BgL_ufz00_13234))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19328 = 
(
STRUCT_KEY(BgL_ufz00_13234)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19328 = ((bool_t)0)
; } 
if(BgL_testz00_19328)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13235;obj_t BgL_runz00_13236;obj_t BgL_sfz00_13237;
BgL_arityz00_13235 = 
STRUCT_REF(BgL_ufz00_13234, 
(int)(((long)0))); 
BgL_runz00_13236 = 
STRUCT_REF(BgL_ufz00_13234, 
(int)(((long)1))); 
BgL_sfz00_13237 = 
STRUCT_REF(BgL_ufz00_13234, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_13238;
BgL_spz00_13238 = 
(
(long)CINT(BgL_bpz00_13228)+BgL_siza7eza7_10845); 
if(
(
(long)CINT(BgL_arityz00_13235)==((long)4)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2401z00_13239;
BgL_arg2401z00_13239 = 
(BgL_spz00_13238+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10846),BgL_arg2401z00_13239,BgL_a1z00_13230); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2402z00_13240;
BgL_arg2402z00_13240 = 
(BgL_spz00_13238+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10846),BgL_arg2402z00_13240,BgL_a2z00_13231); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2403z00_13241;
BgL_arg2403z00_13241 = 
(BgL_spz00_13238+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10846),BgL_arg2403z00_13241,BgL_a3z00_13232); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2404z00_13242;
BgL_arg2404z00_13242 = 
(BgL_spz00_13238+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10846),BgL_arg2404z00_13242,BgL_a4z00_13233); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13235))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13235)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2406z00_13245;obj_t BgL_arg2407z00_13246;
BgL_arg2406z00_13245 = 
(BgL_spz00_13238+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2408z00_13247;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2409z00_13248;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2410z00_13249;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2411z00_13250;
BgL_arg2411z00_13250 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13233, BNIL); 
BgL_arg2410z00_13249 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13232, BgL_arg2411z00_13250); } 
BgL_arg2409z00_13248 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13231, BgL_arg2410z00_13249); } 
BgL_list2408z00_13247 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13230, BgL_arg2409z00_13248); } 
BgL_arg2407z00_13246 = BgL_list2408z00_13247; } 
VECTOR_SET(
((obj_t)BgL_sz00_10846),BgL_arg2406z00_13245,BgL_arg2407z00_13246); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2412z00_13251;
BgL_arg2412z00_13251 = 
(BgL_spz00_13238+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10846),BgL_arg2412z00_13251,BgL_a1z00_13230); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2413z00_13252;obj_t BgL_arg2414z00_13253;
BgL_arg2413z00_13252 = 
(BgL_spz00_13238+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2415z00_13254;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2416z00_13255;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2417z00_13256;
BgL_arg2417z00_13256 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13233, BNIL); 
BgL_arg2416z00_13255 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13232, BgL_arg2417z00_13256); } 
BgL_list2415z00_13254 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13231, BgL_arg2416z00_13255); } 
BgL_arg2414z00_13253 = BgL_list2415z00_13254; } 
VECTOR_SET(
((obj_t)BgL_sz00_10846),BgL_arg2413z00_13252,BgL_arg2414z00_13253); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2418z00_13257;
BgL_arg2418z00_13257 = 
(BgL_spz00_13238+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10846),BgL_arg2418z00_13257,BgL_a1z00_13230); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2419z00_13258;
BgL_arg2419z00_13258 = 
(BgL_spz00_13238+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10846),BgL_arg2419z00_13258,BgL_a2z00_13231); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2420z00_13259;obj_t BgL_arg2421z00_13260;
BgL_arg2420z00_13259 = 
(BgL_spz00_13238+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2422z00_13261;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2423z00_13262;
BgL_arg2423z00_13262 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13233, BNIL); 
BgL_list2422z00_13261 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13232, BgL_arg2423z00_13262); } 
BgL_arg2421z00_13260 = BgL_list2422z00_13261; } 
VECTOR_SET(
((obj_t)BgL_sz00_10846),BgL_arg2420z00_13259,BgL_arg2421z00_13260); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2424z00_13263;
BgL_arg2424z00_13263 = 
(BgL_spz00_13238+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10846),BgL_arg2424z00_13263,BgL_a1z00_13230); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2425z00_13264;
BgL_arg2425z00_13264 = 
(BgL_spz00_13238+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10846),BgL_arg2425z00_13264,BgL_a2z00_13231); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2426z00_13265;
BgL_arg2426z00_13265 = 
(BgL_spz00_13238+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10846),BgL_arg2426z00_13265,BgL_a3z00_13232); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2427z00_13266;obj_t BgL_arg2428z00_13267;
BgL_arg2427z00_13266 = 
(BgL_spz00_13238+((long)3)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2429z00_13268;
BgL_list2429z00_13268 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13233, BNIL); 
BgL_arg2428z00_13267 = BgL_list2429z00_13268; } 
VECTOR_SET(
((obj_t)BgL_sz00_10846),BgL_arg2427z00_13266,BgL_arg2428z00_13267); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2430z00_13269;
BgL_arg2430z00_13269 = 
(BgL_spz00_13238+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10846),BgL_arg2430z00_13269,BgL_a1z00_13230); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2431z00_13270;
BgL_arg2431z00_13270 = 
(BgL_spz00_13238+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10846),BgL_arg2431z00_13270,BgL_a2z00_13231); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2432z00_13271;
BgL_arg2432z00_13271 = 
(BgL_spz00_13238+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10846),BgL_arg2432z00_13271,BgL_a3z00_13232); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2433z00_13272;
BgL_arg2433z00_13272 = 
(BgL_spz00_13238+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10846),BgL_arg2433z00_13272,BgL_a4z00_13233); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2434z00_13273;obj_t BgL_arg2435z00_13274;
BgL_arg2434z00_13273 = 
(BgL_spz00_13238+((long)4)); 
BgL_arg2435z00_13274 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10846),BgL_arg2434z00_13273,BgL_arg2435z00_13274); } break;
default: 
BgL_case_else1204z00_13243:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2437z00_13244;
BgL_arg2437z00_13244 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13234), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10843, BgL_arg2437z00_13244, 
(int)(((long)4)), 
CINT(BgL_arityz00_13235)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1204z00_13243;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13275;
BgL_z12denvz12_13275 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13275, BgL_locz00_10843); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10846, 
BINT(BgL_spz00_13238), BgL_sfz00_13237))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13236, BgL_sz00_10846, 
BINT(BgL_spz00_13238));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13276;
BgL_nsz00_13276 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2439z00_13277;
BgL_arg2439z00_13277 = 
(BgL_spz00_13238+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13276, ((long)2), BgL_sz00_10846, 
BINT(BgL_spz00_13238), 
BINT(BgL_arg2439z00_13277)); } 
VECTOR_SET(BgL_nsz00_13276,((long)1),BgL_sz00_10846); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13275, BgL_nsz00_13276); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13278;
BgL_ez00_13278 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13278, BgL_sz00_10846); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13279;
BgL_____rz00_13279 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13236, BgL_nsz00_13276, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13278); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13275, BgL_sz00_10846); 
return BgL_____rz00_13279;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13229, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13280;
BgL_nbpz00_13280 = 
(
(long)CINT(BgL_bpz00_13228)+BgL_siza7eza7_10845); 
VECTOR_SET(
((obj_t)BgL_sz00_10846),((long)0),
BINT(BgL_nbpz00_13280)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19449;
BgL_tmpz00_19449 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19449, BgL_locz00_10843); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13281;
BgL_rz00_13281 = 
PROCEDURE_ENTRY(BgL_fz00_13229)(BgL_fz00_13229, BgL_a1z00_13230, BgL_a2z00_13231, BgL_a3z00_13232, BgL_a4z00_13233, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10846),((long)0),BgL_bpz00_13228); 
return BgL_rz00_13281;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10843, BgL_symbzd2funzd2_10844, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13229));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2443> */
obj_t BGl_z62zc3anonymousza32443ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10847, obj_t BgL_sz00_10856)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10848;obj_t BgL_a1z00_10849;obj_t BgL_a2z00_10850;obj_t BgL_a3z00_10851;obj_t BgL_a4z00_10852;obj_t BgL_locz00_10853;obj_t BgL_symbzd2funzd2_10854;long BgL_siza7eza7_10855;
BgL_funz00_10848 = 
PROCEDURE_REF(BgL_envz00_10847, 
(int)(((long)0))); 
BgL_a1z00_10849 = 
PROCEDURE_REF(BgL_envz00_10847, 
(int)(((long)1))); 
BgL_a2z00_10850 = 
PROCEDURE_REF(BgL_envz00_10847, 
(int)(((long)2))); 
BgL_a3z00_10851 = 
PROCEDURE_REF(BgL_envz00_10847, 
(int)(((long)3))); 
BgL_a4z00_10852 = 
PROCEDURE_REF(BgL_envz00_10847, 
(int)(((long)4))); 
BgL_locz00_10853 = 
PROCEDURE_REF(BgL_envz00_10847, 
(int)(((long)5))); 
BgL_symbzd2funzd2_10854 = 
PROCEDURE_REF(BgL_envz00_10847, 
(int)(((long)6))); 
BgL_siza7eza7_10855 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10847, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13282;
BgL_bpz00_13282 = 
VECTOR_REF(
((obj_t)BgL_sz00_10856),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13283;obj_t BgL_a1z00_13284;obj_t BgL_a2z00_13285;obj_t BgL_a3z00_13286;obj_t BgL_a4z00_13287;
BgL_fz00_13283 = 
PROCEDURE_ENTRY(BgL_funz00_10848)(BgL_funz00_10848, BgL_sz00_10856, BEOA); 
BgL_a1z00_13284 = 
PROCEDURE_ENTRY(BgL_a1z00_10849)(BgL_a1z00_10849, BgL_sz00_10856, BEOA); 
BgL_a2z00_13285 = 
PROCEDURE_ENTRY(BgL_a2z00_10850)(BgL_a2z00_10850, BgL_sz00_10856, BEOA); 
BgL_a3z00_13286 = 
PROCEDURE_ENTRY(BgL_a3z00_10851)(BgL_a3z00_10851, BgL_sz00_10856, BEOA); 
BgL_a4z00_13287 = 
PROCEDURE_ENTRY(BgL_a4z00_10852)(BgL_a4z00_10852, BgL_sz00_10856, BEOA); 
if(
PROCEDUREP(BgL_fz00_13283))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10853, BGl_string5161z00zz__evaluate_compz00, BGl_string5177z00zz__evaluate_compz00, BgL_fz00_13283); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13288;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19506;
BgL_tmpz00_19506 = 
((obj_t)BgL_fz00_13283); 
BgL_ufz00_13288 = 
PROCEDURE_ATTR(BgL_tmpz00_19506); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_19509;
if(
STRUCTP(BgL_ufz00_13288))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19509 = 
(
STRUCT_KEY(BgL_ufz00_13288)==BGl_symbol5178z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19509 = ((bool_t)0)
; } 
if(BgL_testz00_19509)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13289;obj_t BgL_runz00_13290;obj_t BgL_sfz00_13291;
BgL_arityz00_13289 = 
STRUCT_REF(BgL_ufz00_13288, 
(int)(((long)0))); 
BgL_runz00_13290 = 
STRUCT_REF(BgL_ufz00_13288, 
(int)(((long)1))); 
BgL_sfz00_13291 = 
STRUCT_REF(BgL_ufz00_13288, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_13292;
BgL_spz00_13292 = 
(
(long)CINT(BgL_bpz00_13282)+BgL_siza7eza7_10855); 
if(
(
(long)CINT(BgL_arityz00_13289)==((long)4)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2447z00_13293;
BgL_arg2447z00_13293 = 
(BgL_spz00_13292+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10856),BgL_arg2447z00_13293,BgL_a1z00_13284); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2448z00_13294;
BgL_arg2448z00_13294 = 
(BgL_spz00_13292+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10856),BgL_arg2448z00_13294,BgL_a2z00_13285); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2449z00_13295;
BgL_arg2449z00_13295 = 
(BgL_spz00_13292+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10856),BgL_arg2449z00_13295,BgL_a3z00_13286); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2450z00_13296;
BgL_arg2450z00_13296 = 
(BgL_spz00_13292+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10856),BgL_arg2450z00_13296,BgL_a4z00_13287); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13289))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13289)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2452z00_13299;obj_t BgL_arg2453z00_13300;
BgL_arg2452z00_13299 = 
(BgL_spz00_13292+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2454z00_13301;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2455z00_13302;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2456z00_13303;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2457z00_13304;
BgL_arg2457z00_13304 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13287, BNIL); 
BgL_arg2456z00_13303 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13286, BgL_arg2457z00_13304); } 
BgL_arg2455z00_13302 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13285, BgL_arg2456z00_13303); } 
BgL_list2454z00_13301 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13284, BgL_arg2455z00_13302); } 
BgL_arg2453z00_13300 = BgL_list2454z00_13301; } 
VECTOR_SET(
((obj_t)BgL_sz00_10856),BgL_arg2452z00_13299,BgL_arg2453z00_13300); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2458z00_13305;
BgL_arg2458z00_13305 = 
(BgL_spz00_13292+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10856),BgL_arg2458z00_13305,BgL_a1z00_13284); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2459z00_13306;obj_t BgL_arg2460z00_13307;
BgL_arg2459z00_13306 = 
(BgL_spz00_13292+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2461z00_13308;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2462z00_13309;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2463z00_13310;
BgL_arg2463z00_13310 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13287, BNIL); 
BgL_arg2462z00_13309 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13286, BgL_arg2463z00_13310); } 
BgL_list2461z00_13308 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13285, BgL_arg2462z00_13309); } 
BgL_arg2460z00_13307 = BgL_list2461z00_13308; } 
VECTOR_SET(
((obj_t)BgL_sz00_10856),BgL_arg2459z00_13306,BgL_arg2460z00_13307); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2464z00_13311;
BgL_arg2464z00_13311 = 
(BgL_spz00_13292+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10856),BgL_arg2464z00_13311,BgL_a1z00_13284); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2465z00_13312;
BgL_arg2465z00_13312 = 
(BgL_spz00_13292+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10856),BgL_arg2465z00_13312,BgL_a2z00_13285); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2466z00_13313;obj_t BgL_arg2467z00_13314;
BgL_arg2466z00_13313 = 
(BgL_spz00_13292+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2468z00_13315;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2469z00_13316;
BgL_arg2469z00_13316 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13287, BNIL); 
BgL_list2468z00_13315 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13286, BgL_arg2469z00_13316); } 
BgL_arg2467z00_13314 = BgL_list2468z00_13315; } 
VECTOR_SET(
((obj_t)BgL_sz00_10856),BgL_arg2466z00_13313,BgL_arg2467z00_13314); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2470z00_13317;
BgL_arg2470z00_13317 = 
(BgL_spz00_13292+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10856),BgL_arg2470z00_13317,BgL_a1z00_13284); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2471z00_13318;
BgL_arg2471z00_13318 = 
(BgL_spz00_13292+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10856),BgL_arg2471z00_13318,BgL_a2z00_13285); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2472z00_13319;
BgL_arg2472z00_13319 = 
(BgL_spz00_13292+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10856),BgL_arg2472z00_13319,BgL_a3z00_13286); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2473z00_13320;obj_t BgL_arg2474z00_13321;
BgL_arg2473z00_13320 = 
(BgL_spz00_13292+((long)3)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2475z00_13322;
BgL_list2475z00_13322 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13287, BNIL); 
BgL_arg2474z00_13321 = BgL_list2475z00_13322; } 
VECTOR_SET(
((obj_t)BgL_sz00_10856),BgL_arg2473z00_13320,BgL_arg2474z00_13321); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2476z00_13323;
BgL_arg2476z00_13323 = 
(BgL_spz00_13292+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10856),BgL_arg2476z00_13323,BgL_a1z00_13284); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2477z00_13324;
BgL_arg2477z00_13324 = 
(BgL_spz00_13292+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10856),BgL_arg2477z00_13324,BgL_a2z00_13285); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2478z00_13325;
BgL_arg2478z00_13325 = 
(BgL_spz00_13292+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10856),BgL_arg2478z00_13325,BgL_a3z00_13286); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2479z00_13326;
BgL_arg2479z00_13326 = 
(BgL_spz00_13292+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10856),BgL_arg2479z00_13326,BgL_a4z00_13287); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2480z00_13327;obj_t BgL_arg2481z00_13328;
BgL_arg2480z00_13327 = 
(BgL_spz00_13292+((long)4)); 
BgL_arg2481z00_13328 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10856),BgL_arg2480z00_13327,BgL_arg2481z00_13328); } break;
default: 
BgL_case_else1206z00_13297:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2483z00_13298;
BgL_arg2483z00_13298 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13288), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10853, BgL_arg2483z00_13298, 
(int)(((long)4)), 
CINT(BgL_arityz00_13289)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1206z00_13297;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13329;
BgL_z12denvz12_13329 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10856, 
BINT(BgL_spz00_13292), BgL_sfz00_13291))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13290, BgL_sz00_10856, 
BINT(BgL_spz00_13292));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13330;
BgL_nsz00_13330 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2485z00_13331;
BgL_arg2485z00_13331 = 
(BgL_spz00_13292+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13330, ((long)2), BgL_sz00_10856, 
BINT(BgL_spz00_13292), 
BINT(BgL_arg2485z00_13331)); } 
VECTOR_SET(BgL_nsz00_13330,((long)1),BgL_sz00_10856); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13329, BgL_nsz00_13330); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13332;
BgL_ez00_13332 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13332, BgL_sz00_10856); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13333;
BgL_____rz00_13333 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13290, BgL_nsz00_13330, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13332); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13329, BgL_sz00_10856); 
return BgL_____rz00_13333;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13283, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13334;
BgL_nbpz00_13334 = 
(
(long)CINT(BgL_bpz00_13282)+BgL_siza7eza7_10855); 
VECTOR_SET(
((obj_t)BgL_sz00_10856),((long)0),
BINT(BgL_nbpz00_13334)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13335;
BgL_rz00_13335 = 
PROCEDURE_ENTRY(BgL_fz00_13283)(BgL_fz00_13283, BgL_a1z00_13284, BgL_a2z00_13285, BgL_a3z00_13286, BgL_a4z00_13287, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10856),((long)0),BgL_bpz00_13282); 
return BgL_rz00_13335;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10853, BgL_symbzd2funzd2_10854, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13283));} } } } } } } } 
BGL_FUNCTION_END;
}



/* is-constant-fun? */
obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_funz00_183, long BgL_nbargsz00_184, obj_t BgL_locz00_185, obj_t BgL_symbzd2funzd2_186)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 892 */
if(
BGl_isazf3zf3zz__objectz00(
((obj_t)BgL_funz00_183), BGl_ev_globalz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_gz00_3012;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2495z00_3020;obj_t BgL_arg2496z00_3021;
BgL_arg2495z00_3020 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_funz00_183)))->BgL_modz00); 
BgL_arg2496z00_3021 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_funz00_183)))->BgL_namez00); 
BgL_gz00_3012 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2495z00_3020, BgL_arg2496z00_3021); } 
if(
CBOOL(BgL_gz00_3012))
{ /* Eval/evaluate_comp.scm 898 */
bool_t BgL_testz00_19651;
{ /* Eval/evaluate_comp.scm 898 */
int BgL_arg2494z00_3019;
{ /* Eval/evaluate_comp.scm 898 */
int BgL_res4515z00_8144;
BgL_res4515z00_8144 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_3012),((long)0))); 
BgL_arg2494z00_3019 = BgL_res4515z00_8144; } 
BgL_testz00_19651 = 
(
(long)(BgL_arg2494z00_3019)==((long)0)); } 
if(BgL_testz00_19651)
{ /* Eval/evaluate_comp.scm 899 */
obj_t BgL_valz00_3015;
BgL_valz00_3015 = 
VECTOR_REF(
((obj_t)BgL_gz00_3012),((long)2)); 
{ /* Eval/evaluate_comp.scm 900 */
bool_t BgL_testz00_19659;
if(
PROCEDUREP(BgL_valz00_3015))
{ /* Eval/evaluate_comp.scm 900 */
BgL_testz00_19659 = 
PROCEDURE_CORRECT_ARITYP(BgL_valz00_3015, 
(int)(BgL_nbargsz00_184))
; }  else 
{ /* Eval/evaluate_comp.scm 900 */
BgL_testz00_19659 = ((bool_t)0)
; } 
if(BgL_testz00_19659)
{ /* Eval/evaluate_comp.scm 900 */
return BgL_valz00_3015;}  else 
{ /* Eval/evaluate_comp.scm 900 */
return BFALSE;} } }  else 
{ /* Eval/evaluate_comp.scm 898 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 897 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 903 */
bool_t BgL_testz00_19664;
if(
BGl_isazf3zf3zz__objectz00(
((obj_t)BgL_funz00_183), BGl_ev_littz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 904 */
obj_t BgL_tmpz00_19668;
BgL_tmpz00_19668 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_testz00_19664 = 
PROCEDUREP(BgL_tmpz00_19668); }  else 
{ /* Eval/evaluate_comp.scm 903 */
BgL_testz00_19664 = ((bool_t)0)
; } 
if(BgL_testz00_19664)
{ /* Eval/evaluate_comp.scm 906 */
bool_t BgL_testz00_19672;
{ /* Eval/evaluate_comp.scm 906 */
obj_t BgL_arg2504z00_3031;
BgL_arg2504z00_3031 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_testz00_19672 = 
PROCEDURE_CORRECT_ARITYP(BgL_arg2504z00_3031, 
(int)(BgL_nbargsz00_184)); } 
if(BgL_testz00_19672)
{ /* Eval/evaluate_comp.scm 906 */
return 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00);}  else 
{ /* Eval/evaluate_comp.scm 908 */
int BgL_arg2502z00_3029;
{ /* Eval/evaluate_comp.scm 908 */
obj_t BgL_arg2503z00_3030;
BgL_arg2503z00_3030 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_arg2502z00_3029 = 
PROCEDURE_ARITY(BgL_arg2503z00_3030); } 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_185, BgL_symbzd2funzd2_186, 
(int)(BgL_nbargsz00_184), BgL_arg2502z00_3029);} }  else 
{ /* Eval/evaluate_comp.scm 903 */
return BFALSE;} } } 
BGL_FUNCTION_END;
}



/* compile-float-arith */
obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_exprz00_187, obj_t BgL_stkz00_188)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 911 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_littz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 915 */
if(
INTEGERP(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00)))
{ /* Eval/evaluate_comp.scm 917 */
obj_t BgL_v1343z00_3040;
BgL_v1343z00_3040 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1343z00_3040,((long)0),
BINT(((long)1))); 
{ /* Eval/evaluate_comp.scm 917 */
double BgL_arg2509z00_3041;
BgL_arg2509z00_3041 = 
(double)(
(long)CINT(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00))); 
VECTOR_SET(BgL_v1343z00_3040,((long)1),
DOUBLE_TO_REAL(BgL_arg2509z00_3041)); } 
return BgL_v1343z00_3040;}  else 
{ /* Eval/evaluate_comp.scm 918 */
bool_t BgL_testz00_19699;
{ /* Eval/evaluate_comp.scm 918 */
obj_t BgL_tmpz00_19700;
BgL_tmpz00_19700 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00); 
BgL_testz00_19699 = 
REALP(BgL_tmpz00_19700); } 
if(BgL_testz00_19699)
{ /* Eval/evaluate_comp.scm 918 */
obj_t BgL_v1344z00_3045;
BgL_v1344z00_3045 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1344z00_3045,((long)0),
BINT(((long)1))); 
{ /* Eval/evaluate_comp.scm 918 */
obj_t BgL_arg2513z00_3046;
BgL_arg2513z00_3046 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00); 
VECTOR_SET(BgL_v1344z00_3045,((long)1),BgL_arg2513z00_3046); } 
return BgL_v1344z00_3045;}  else 
{ /* Eval/evaluate_comp.scm 919 */
obj_t BgL_v1345z00_3047;
BgL_v1345z00_3047 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1345z00_3047,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 919 */
obj_t BgL_arg2514z00_3048;
BgL_arg2514z00_3048 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)
((BgL_ev_littz00_bglt)BgL_exprz00_187)), BgL_stkz00_188); 
VECTOR_SET(BgL_v1345z00_3047,((long)1),BgL_arg2514z00_3048); } 
return BgL_v1345z00_3047;} } }  else 
{ /* Eval/evaluate_comp.scm 915 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 920 */
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_exprz00_187)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 923 */
obj_t BgL_v1346z00_3054;
BgL_v1346z00_3054 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1346z00_3054,((long)0),
BINT(((long)3))); 
VECTOR_SET(BgL_v1346z00_3054,((long)1),
BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187, BgL_stkz00_188)); 
return BgL_v1346z00_3054;}  else 
{ /* Eval/evaluate_comp.scm 924 */
obj_t BgL_v1347z00_3056;
BgL_v1347z00_3056 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1347z00_3056,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1347z00_3056,((long)1),
BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187, BgL_stkz00_188)); 
return BgL_v1347z00_3056;} }  else 
{ /* Eval/evaluate_comp.scm 920 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_globalz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 927 */
obj_t BgL_gz00_3060;
{ /* Eval/evaluate_comp.scm 927 */
obj_t BgL_arg2526z00_3068;obj_t BgL_arg2527z00_3069;
BgL_arg2526z00_3068 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_exprz00_187)))->BgL_modz00); 
BgL_arg2527z00_3069 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_exprz00_187)))->BgL_namez00); 
BgL_gz00_3060 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2526z00_3068, BgL_arg2527z00_3069); } 
if(
CBOOL(BgL_gz00_3060))
{ /* Eval/evaluate_comp.scm 929 */
bool_t BgL_testz00_19742;
{ /* Eval/evaluate_comp.scm 929 */
int BgL_arg2524z00_3065;
{ /* Eval/evaluate_comp.scm 929 */
int BgL_res4522z00_8167;
BgL_res4522z00_8167 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_3060),((long)0))); 
BgL_arg2524z00_3065 = BgL_res4522z00_8167; } 
BgL_testz00_19742 = 
(
BINT(BgL_arg2524z00_3065)==
BINT(((long)1))); } 
if(BgL_testz00_19742)
{ /* Eval/evaluate_comp.scm 930 */
obj_t BgL_v1348z00_3063;
BgL_v1348z00_3063 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1348z00_3063,((long)0),
BINT(((long)4))); 
VECTOR_SET(BgL_v1348z00_3063,((long)1),BgL_gz00_3060); 
return BgL_v1348z00_3063;}  else 
{ /* Eval/evaluate_comp.scm 931 */
obj_t BgL_v1349z00_3064;
BgL_v1349z00_3064 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1349z00_3064,((long)0),
BINT(((long)5))); 
VECTOR_SET(BgL_v1349z00_3064,((long)1),BgL_gz00_3060); 
return BgL_v1349z00_3064;} }  else 
{ /* Eval/evaluate_comp.scm 932 */
obj_t BgL_v1350z00_3066;
BgL_v1350z00_3066 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1350z00_3066,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 932 */
obj_t BgL_arg2525z00_3067;
BgL_arg2525z00_3067 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)
((BgL_ev_globalz00_bglt)BgL_exprz00_187)), BgL_stkz00_188); 
VECTOR_SET(BgL_v1350z00_3066,((long)1),BgL_arg2525z00_3067); } 
return BgL_v1350z00_3066;} }  else 
{ /* Eval/evaluate_comp.scm 925 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_appz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 935 */
obj_t BgL_fvalz00_3072;
{ /* Eval/evaluate_comp.scm 935 */
BgL_ev_exprz00_bglt BgL_arg2569z00_3120;
BgL_arg2569z00_3120 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_fvalz00_3072 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_arg2569z00_3120); } 
if(
(BgL_fvalz00_3072==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_v1351z00_3074;
BgL_v1351z00_3074 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1351z00_3074,((long)0),
BINT(((long)6))); 
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_arg2530z00_3075;
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_arg2531z00_3076;
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_pairz00_8175;
BgL_pairz00_8175 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2531z00_3076 = 
CAR(BgL_pairz00_8175); } 
BgL_arg2530z00_3075 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2531z00_3076, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1351z00_3074,((long)1),BgL_arg2530z00_3075); } 
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_arg2533z00_3078;
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_arg2534z00_3079;
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_pairz00_8177;
BgL_pairz00_8177 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2534z00_3079 = 
CAR(
CDR(BgL_pairz00_8177)); } 
BgL_arg2533z00_3078 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2534z00_3079, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1351z00_3074,((long)2),BgL_arg2533z00_3078); } 
return BgL_v1351z00_3074;}  else 
{ /* Eval/evaluate_comp.scm 937 */
if(
(BgL_fvalz00_3072==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_v1352z00_3082;
BgL_v1352z00_3082 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1352z00_3082,((long)0),
BINT(((long)7))); 
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_arg2537z00_3083;
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_arg2538z00_3084;
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_pairz00_8183;
BgL_pairz00_8183 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2538z00_3084 = 
CAR(BgL_pairz00_8183); } 
BgL_arg2537z00_3083 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2538z00_3084, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1352z00_3082,((long)1),BgL_arg2537z00_3083); } 
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_arg2540z00_3086;
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_arg2541z00_3087;
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_pairz00_8185;
BgL_pairz00_8185 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2541z00_3087 = 
CAR(
CDR(BgL_pairz00_8185)); } 
BgL_arg2540z00_3086 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2541z00_3087, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1352z00_3082,((long)2),BgL_arg2540z00_3086); } 
return BgL_v1352z00_3082;}  else 
{ /* Eval/evaluate_comp.scm 939 */
if(
(BgL_fvalz00_3072==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_v1353z00_3090;
BgL_v1353z00_3090 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1353z00_3090,((long)0),
BINT(((long)8))); 
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_arg2544z00_3091;
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_arg2545z00_3092;
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_pairz00_8191;
BgL_pairz00_8191 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2545z00_3092 = 
CAR(BgL_pairz00_8191); } 
BgL_arg2544z00_3091 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2545z00_3092, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1353z00_3090,((long)1),BgL_arg2544z00_3091); } 
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_arg2547z00_3094;
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_arg2548z00_3095;
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_pairz00_8193;
BgL_pairz00_8193 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2548z00_3095 = 
CAR(
CDR(BgL_pairz00_8193)); } 
BgL_arg2547z00_3094 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2548z00_3095, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1353z00_3090,((long)2),BgL_arg2547z00_3094); } 
return BgL_v1353z00_3090;}  else 
{ /* Eval/evaluate_comp.scm 941 */
if(
(BgL_fvalz00_3072==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_v1354z00_3098;
BgL_v1354z00_3098 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1354z00_3098,((long)0),
BINT(((long)9))); 
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_arg2551z00_3099;
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_arg2552z00_3100;
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_pairz00_8199;
BgL_pairz00_8199 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2552z00_3100 = 
CAR(BgL_pairz00_8199); } 
BgL_arg2551z00_3099 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2552z00_3100, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1354z00_3098,((long)1),BgL_arg2551z00_3099); } 
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_arg2554z00_3102;
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_arg2555z00_3103;
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_pairz00_8201;
BgL_pairz00_8201 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2555z00_3103 = 
CAR(
CDR(BgL_pairz00_8201)); } 
BgL_arg2554z00_3102 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2555z00_3103, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1354z00_3098,((long)2),BgL_arg2554z00_3102); } 
return BgL_v1354z00_3098;}  else 
{ /* Eval/evaluate_comp.scm 943 */
if(
(BgL_fvalz00_3072==BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 946 */
obj_t BgL_v1355z00_3106;
BgL_v1355z00_3106 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1355z00_3106,((long)0),
BINT(((long)10))); 
{ /* Eval/evaluate_comp.scm 946 */
obj_t BgL_arg2558z00_3107;
{ /* Eval/evaluate_comp.scm 946 */
obj_t BgL_arg2559z00_3108;
{ /* Eval/evaluate_comp.scm 946 */
obj_t BgL_pairz00_8207;
BgL_pairz00_8207 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2559z00_3108 = 
CAR(BgL_pairz00_8207); } 
BgL_arg2558z00_3107 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2559z00_3108), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1355z00_3106,((long)1),BgL_arg2558z00_3107); } 
return BgL_v1355z00_3106;}  else 
{ /* Eval/evaluate_comp.scm 945 */
if(
(BgL_fvalz00_3072==BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_v1356z00_3111;
BgL_v1356z00_3111 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1356z00_3111,((long)0),
BINT(((long)11))); 
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_arg2562z00_3112;
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_arg2563z00_3113;
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_pairz00_8210;
BgL_pairz00_8210 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2563z00_3113 = 
CAR(BgL_pairz00_8210); } 
BgL_arg2562z00_3112 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2563z00_3113), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1356z00_3111,((long)1),BgL_arg2562z00_3112); } 
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_arg2565z00_3115;
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_arg2566z00_3116;
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_pairz00_8212;
BgL_pairz00_8212 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2566z00_3116 = 
CAR(
CDR(BgL_pairz00_8212)); } 
BgL_arg2565z00_3115 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2566z00_3116), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1356z00_3111,((long)2),BgL_arg2565z00_3115); } 
return BgL_v1356z00_3111;}  else 
{ /* Eval/evaluate_comp.scm 950 */
obj_t BgL_v1357z00_3118;
BgL_v1357z00_3118 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1357z00_3118,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 950 */
obj_t BgL_arg2568z00_3119;
BgL_arg2568z00_3119 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)
((BgL_ev_appz00_bglt)BgL_exprz00_187)), BgL_stkz00_188); 
VECTOR_SET(BgL_v1357z00_3118,((long)1),BgL_arg2568z00_3119); } 
return BgL_v1357z00_3118;} } } } } } }  else 
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_v1358z00_3121;
BgL_v1358z00_3121 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1358z00_3121,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_arg2570z00_3122;
BgL_arg2570z00_3122 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_exprz00_187), BgL_stkz00_188); 
VECTOR_SET(BgL_v1358z00_3121,((long)1),BgL_arg2570z00_3122); } 
return BgL_v1358z00_3121;} } } } } 
BGL_FUNCTION_END;
}



/* eval-float-arith */
double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_189, obj_t BgL_sz00_190)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 953 */
return 
REAL_TO_DOUBLE(
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_190, BgL_bcz00_189));} 
BGL_FUNCTION_END;
}



/* E~0 */
obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t BgL_sz00_12519, obj_t BgL_bcz00_3127)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 968 */
{ 

{ /* Eval/evaluate_comp.scm 955 */
obj_t BgL_aux1216z00_3130;
BgL_aux1216z00_3130 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)0)); 
if(
INTEGERP(BgL_aux1216z00_3130))
{ /* Eval/evaluate_comp.scm 955 */
switch( 
(long)CINT(BgL_aux1216z00_3130)) { case ((long)0) : 

{ /* Eval/evaluate_comp.scm 956 */
obj_t BgL_fun2574z00_3132;
BgL_fun2574z00_3132 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
return 
PROCEDURE_ENTRY(BgL_fun2574z00_3132)(BgL_fun2574z00_3132, BgL_sz00_12519, BEOA);} break;case ((long)1) : 

return 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1));break;case ((long)2) : 

{ /* Eval/evaluate_comp.scm 958 */
long BgL_arg2575z00_3133;
{ /* Eval/evaluate_comp.scm 958 */
obj_t BgL_arg2576z00_3134;obj_t BgL_arg2577z00_3135;
BgL_arg2576z00_3134 = 
VECTOR_REF(
((obj_t)BgL_sz00_12519),((long)0)); 
BgL_arg2577z00_3135 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
BgL_arg2575z00_3133 = 
(
(long)CINT(BgL_arg2576z00_3134)+
(long)CINT(BgL_arg2577z00_3135)); } 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12519),BgL_arg2575z00_3133);} break;case ((long)3) : 

{ /* Eval/evaluate_comp.scm 959 */
obj_t BgL_arg2578z00_3136;
{ /* Eval/evaluate_comp.scm 959 */
long BgL_arg2579z00_3137;
{ /* Eval/evaluate_comp.scm 959 */
obj_t BgL_arg2580z00_3138;obj_t BgL_arg2581z00_3139;
BgL_arg2580z00_3138 = 
VECTOR_REF(
((obj_t)BgL_sz00_12519),((long)0)); 
BgL_arg2581z00_3139 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
BgL_arg2579z00_3137 = 
(
(long)CINT(BgL_arg2580z00_3138)+
(long)CINT(BgL_arg2581z00_3139)); } 
BgL_arg2578z00_3136 = 
VECTOR_REF(
((obj_t)BgL_sz00_12519),BgL_arg2579z00_3137); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2578z00_3136), 
(int)(((long)0)));} break;case ((long)4) : 

{ /* Eval/evaluate_comp.scm 960 */
obj_t BgL_arg2582z00_3140;
{ /* Eval/evaluate_comp.scm 960 */
obj_t BgL_arg2583z00_3141;
BgL_arg2583z00_3141 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
BgL_arg2582z00_3140 = 
VECTOR_REF(
((obj_t)BgL_arg2583z00_3141),((long)2)); } 
return 
__EVMEANING_ADDRESS_REF(BgL_arg2582z00_3140);} break;case ((long)5) : 

{ /* Eval/evaluate_comp.scm 961 */
obj_t BgL_arg2584z00_3142;
BgL_arg2584z00_3142 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
return 
VECTOR_REF(
((obj_t)BgL_arg2584z00_3142),((long)2));} break;case ((long)6) : 

{ /* Eval/evaluate_comp.scm 962 */
obj_t BgL_arg2585z00_3143;obj_t BgL_arg2586z00_3144;
{ /* Eval/evaluate_comp.scm 962 */
obj_t BgL_arg2587z00_3145;
BgL_arg2587z00_3145 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
BgL_arg2585z00_3143 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12519, BgL_arg2587z00_3145); } 
{ /* Eval/evaluate_comp.scm 962 */
obj_t BgL_arg2588z00_3146;
BgL_arg2588z00_3146 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)2)); 
BgL_arg2586z00_3144 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12519, BgL_arg2588z00_3146); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2585z00_3143)+
REAL_TO_DOUBLE(BgL_arg2586z00_3144)));} break;case ((long)7) : 

{ /* Eval/evaluate_comp.scm 963 */
obj_t BgL_arg2589z00_3147;obj_t BgL_arg2590z00_3148;
{ /* Eval/evaluate_comp.scm 963 */
obj_t BgL_arg2591z00_3149;
BgL_arg2591z00_3149 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
BgL_arg2589z00_3147 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12519, BgL_arg2591z00_3149); } 
{ /* Eval/evaluate_comp.scm 963 */
obj_t BgL_arg2592z00_3150;
BgL_arg2592z00_3150 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)2)); 
BgL_arg2590z00_3148 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12519, BgL_arg2592z00_3150); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2589z00_3147)-
REAL_TO_DOUBLE(BgL_arg2590z00_3148)));} break;case ((long)8) : 

{ /* Eval/evaluate_comp.scm 964 */
obj_t BgL_arg2593z00_3151;obj_t BgL_arg2594z00_3152;
{ /* Eval/evaluate_comp.scm 964 */
obj_t BgL_arg2595z00_3153;
BgL_arg2595z00_3153 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
BgL_arg2593z00_3151 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12519, BgL_arg2595z00_3153); } 
{ /* Eval/evaluate_comp.scm 964 */
obj_t BgL_arg2596z00_3154;
BgL_arg2596z00_3154 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)2)); 
BgL_arg2594z00_3152 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12519, BgL_arg2596z00_3154); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2593z00_3151)*
REAL_TO_DOUBLE(BgL_arg2594z00_3152)));} break;case ((long)9) : 

{ /* Eval/evaluate_comp.scm 965 */
obj_t BgL_arg2597z00_3155;obj_t BgL_arg2598z00_3156;
{ /* Eval/evaluate_comp.scm 965 */
obj_t BgL_arg2599z00_3157;
BgL_arg2599z00_3157 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
BgL_arg2597z00_3155 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12519, BgL_arg2599z00_3157); } 
{ /* Eval/evaluate_comp.scm 965 */
obj_t BgL_arg2600z00_3158;
BgL_arg2600z00_3158 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)2)); 
BgL_arg2598z00_3156 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12519, BgL_arg2600z00_3158); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2597z00_3155)/
REAL_TO_DOUBLE(BgL_arg2598z00_3156)));} break;case ((long)10) : 

{ /* Eval/evaluate_comp.scm 966 */
obj_t BgL_arg2601z00_3159;
{ /* Eval/evaluate_comp.scm 966 */
obj_t BgL_fun2602z00_3160;
BgL_fun2602z00_3160 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
BgL_arg2601z00_3159 = 
PROCEDURE_ENTRY(BgL_fun2602z00_3160)(BgL_fun2602z00_3160, BgL_sz00_12519, BEOA); } 
return 
DOUBLE_TO_REAL(
(double)(
(long)CINT(BgL_arg2601z00_3159)));} break;case ((long)11) : 

{ /* Eval/evaluate_comp.scm 967 */
obj_t BgL_arg2603z00_3161;obj_t BgL_arg2604z00_3162;
{ /* Eval/evaluate_comp.scm 967 */
obj_t BgL_fun2605z00_3163;
BgL_fun2605z00_3163 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
BgL_arg2603z00_3161 = 
PROCEDURE_ENTRY(BgL_fun2605z00_3163)(BgL_fun2605z00_3163, BgL_sz00_12519, BEOA); } 
{ /* Eval/evaluate_comp.scm 967 */
obj_t BgL_fun2606z00_3164;
BgL_fun2606z00_3164 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)2)); 
BgL_arg2604z00_3162 = 
PROCEDURE_ENTRY(BgL_fun2606z00_3164)(BgL_fun2606z00_3164, BgL_sz00_12519, BEOA); } 
{ /* Eval/evaluate_comp.scm 967 */
double BgL_tmpz00_19980;
{ /* Eval/evaluate_comp.scm 967 */
long BgL_tmpz00_19981;
BgL_tmpz00_19981 = 
(long)CINT(BgL_arg2604z00_3162); 
BgL_tmpz00_19980 = 
BGL_F64VREF(BgL_arg2603z00_3161, BgL_tmpz00_19981); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_19980);} } break;
default: 
BgL_case_else1215z00_3129:
{ /* Eval/evaluate_comp.scm 968 */
obj_t BgL_arg2607z00_3165;
BgL_arg2607z00_3165 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)0)); 
return 
BGl_errorz00zz__errorz00(BGl_string5161z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_arg2607z00_3165);} } }  else 
{ /* Eval/evaluate_comp.scm 955 */
goto BgL_case_else1215z00_3129;} } } } 
BGL_FUNCTION_END;
}



/* arith-expression */
obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt BgL_exprz00_191, obj_t BgL_stkz00_192)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 971 */
{ /* Eval/evaluate_comp.scm 973 */
obj_t BgL_fvalz00_3168;
BgL_fvalz00_3168 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_exprz00_191))->BgL_funz00)); 
{ /* Eval/evaluate_comp.scm 974 */
bool_t BgL_testz00_19992;
if(
(BgL_fvalz00_3168==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 974 */
BgL_testz00_19992 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 974 */
if(
(BgL_fvalz00_3168==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 974 */
BgL_testz00_19992 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 974 */
if(
(BgL_fvalz00_3168==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 974 */
BgL_testz00_19992 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 974 */
BgL_testz00_19992 = 
(BgL_fvalz00_3168==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00)
; } } } 
if(BgL_testz00_19992)
{ /* Eval/evaluate_comp.scm 975 */
obj_t BgL_bcz00_3173;
BgL_bcz00_3173 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
((obj_t)BgL_exprz00_191), BgL_stkz00_192); 
{ /* Eval/evaluate_comp.scm 976 */
obj_t BgL_zc3anonymousza32612ze3z83_10874;
BgL_zc3anonymousza32612ze3z83_10874 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32612ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32612ze3z83_10874, 
(int)(((long)0)), BgL_bcz00_3173); 
return BgL_zc3anonymousza32612ze3z83_10874;} }  else 
{ /* Eval/evaluate_comp.scm 974 */
return BFALSE;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2612> */
obj_t BGl_z62zc3anonymousza32612ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10875, obj_t BgL_sz00_10877)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 976 */
{ /* Eval/evaluate_comp.scm 976 */
obj_t BgL_bcz00_10876;
BgL_bcz00_10876 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10875, 
(int)(((long)0)))); 
{ /* Eval/evaluate_comp.scm 976 */
double BgL_tmpz00_20010;
{ /* Eval/evaluate_comp.scm 976 */
obj_t BgL_bpz00_13336;
BgL_bpz00_13336 = 
VECTOR_REF(
((obj_t)BgL_sz00_10877),((long)0)); 
BgL_tmpz00_20010 = 
BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_10876, BgL_sz00_10877); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_20010);} } } 
BGL_FUNCTION_END;
}



/* inline-call */
obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_193, BgL_ev_exprz00_bglt BgL_funz00_194, obj_t BgL_argsz00_195, obj_t BgL_stkz00_196)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1005 */
{ /* Eval/evaluate_comp.scm 1006 */
obj_t BgL_valz00_3181;
BgL_valz00_3181 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_194); 
if(
CBOOL(BgL_valz00_3181))
{ /* Eval/evaluate_comp.scm 1008 */
long BgL_nz00_3182;
BgL_nz00_3182 = 
bgl_list_length(BgL_argsz00_195); 
{ /* Eval/evaluate_comp.scm 1009 */
obj_t BgL__ortest_1222z00_3183;
if(
(BgL_nz00_3182==((long)1)))
{ /* Eval/evaluate_comp.scm 1010 */
obj_t BgL_a1z00_3474;
BgL_a1z00_3474 = 
CAR(
((obj_t)BgL_argsz00_195)); 
if(
(BgL_valz00_3181==BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_3476;
BgL_a1z00_3476 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3474), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_zc3anonymousza32729ze3z83_10907;
BgL_zc3anonymousza32729ze3z83_10907 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32729ze3z83_10907, 
(int)(((long)0)), BgL_a1z00_3476); 
PROCEDURE_SET(BgL_zc3anonymousza32729ze3z83_10907, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1222z00_3183 = BgL_zc3anonymousza32729ze3z83_10907; } }  else 
{ /* Eval/evaluate_comp.scm 1011 */
if(
(BgL_valz00_3181==BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_3483;
BgL_a1z00_3483 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3474), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_zc3anonymousza32732ze3z83_10908;
BgL_zc3anonymousza32732ze3z83_10908 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32732ze3z83_10908, 
(int)(((long)0)), BgL_a1z00_3483); 
PROCEDURE_SET(BgL_zc3anonymousza32732ze3z83_10908, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1222z00_3183 = BgL_zc3anonymousza32732ze3z83_10908; } }  else 
{ /* Eval/evaluate_comp.scm 1011 */
if(
(BgL_valz00_3181==BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_3490;
BgL_a1z00_3490 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3474), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_zc3anonymousza32735ze3z83_10909;
BgL_zc3anonymousza32735ze3z83_10909 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32735ze3z83_10909, 
(int)(((long)0)), BgL_a1z00_3490); 
PROCEDURE_SET(BgL_zc3anonymousza32735ze3z83_10909, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1222z00_3183 = BgL_zc3anonymousza32735ze3z83_10909; } }  else 
{ /* Eval/evaluate_comp.scm 1011 */
BgL__ortest_1222z00_3183 = BFALSE; } } } }  else 
{ /* Eval/evaluate_comp.scm 1009 */
BgL__ortest_1222z00_3183 = BFALSE; } 
if(
CBOOL(BgL__ortest_1222z00_3183))
{ /* Eval/evaluate_comp.scm 1009 */
return BgL__ortest_1222z00_3183;}  else 
{ /* Eval/evaluate_comp.scm 1009 */
if(
(BgL_nz00_3182==((long)2)))
{ /* Eval/evaluate_comp.scm 1013 */
obj_t BgL_a1z00_3185;obj_t BgL_a2z00_3186;
BgL_a1z00_3185 = 
CAR(
((obj_t)BgL_argsz00_195)); 
{ /* Eval/evaluate_comp.scm 1013 */
obj_t BgL_pairz00_8292;
BgL_pairz00_8292 = 
CDR(
((obj_t)BgL_argsz00_195)); 
BgL_a2z00_3186 = 
CAR(BgL_pairz00_8292); } 
if(
(BgL_valz00_3181==BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3188;obj_t BgL_a2z00_3189;
BgL_a1z00_3188 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3189 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32616ze3z83_10878;
BgL_zc3anonymousza32616ze3z83_10878 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32616ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32616ze3z83_10878, 
(int)(((long)0)), BgL_a1z00_3188); 
PROCEDURE_SET(BgL_zc3anonymousza32616ze3z83_10878, 
(int)(((long)1)), BgL_a2z00_3189); 
PROCEDURE_SET(BgL_zc3anonymousza32616ze3z83_10878, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32616ze3z83_10878;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3198;obj_t BgL_a2z00_3199;
BgL_a1z00_3198 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3199 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32620ze3z83_10879;
BgL_zc3anonymousza32620ze3z83_10879 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32620ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32620ze3z83_10879, 
(int)(((long)0)), BgL_a1z00_3198); 
PROCEDURE_SET(BgL_zc3anonymousza32620ze3z83_10879, 
(int)(((long)1)), BgL_a2z00_3199); 
PROCEDURE_SET(BgL_zc3anonymousza32620ze3z83_10879, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32620ze3z83_10879;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_za2zd2envz70zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3208;obj_t BgL_a2z00_3209;
BgL_a1z00_3208 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3209 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32624ze3z83_10880;
BgL_zc3anonymousza32624ze3z83_10880 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32624ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32624ze3z83_10880, 
(int)(((long)0)), BgL_a1z00_3208); 
PROCEDURE_SET(BgL_zc3anonymousza32624ze3z83_10880, 
(int)(((long)1)), BgL_a2z00_3209); 
PROCEDURE_SET(BgL_zc3anonymousza32624ze3z83_10880, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32624ze3z83_10880;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3218;obj_t BgL_a2z00_3219;
BgL_a1z00_3218 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3219 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32628ze3z83_10881;
BgL_zc3anonymousza32628ze3z83_10881 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32628ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32628ze3z83_10881, 
(int)(((long)0)), BgL_a1z00_3218); 
PROCEDURE_SET(BgL_zc3anonymousza32628ze3z83_10881, 
(int)(((long)1)), BgL_a2z00_3219); 
PROCEDURE_SET(BgL_zc3anonymousza32628ze3z83_10881, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32628ze3z83_10881;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3228;obj_t BgL_a2z00_3229;
BgL_a1z00_3228 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3229 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32632ze3z83_10882;
BgL_zc3anonymousza32632ze3z83_10882 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32632ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32632ze3z83_10882, 
(int)(((long)0)), BgL_a1z00_3228); 
PROCEDURE_SET(BgL_zc3anonymousza32632ze3z83_10882, 
(int)(((long)1)), BgL_a2z00_3229); 
PROCEDURE_SET(BgL_zc3anonymousza32632ze3z83_10882, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32632ze3z83_10882;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3238;obj_t BgL_a2z00_3239;
BgL_a1z00_3238 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3239 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32636ze3z83_10883;
BgL_zc3anonymousza32636ze3z83_10883 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32636ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32636ze3z83_10883, 
(int)(((long)0)), BgL_a1z00_3238); 
PROCEDURE_SET(BgL_zc3anonymousza32636ze3z83_10883, 
(int)(((long)1)), BgL_a2z00_3239); 
PROCEDURE_SET(BgL_zc3anonymousza32636ze3z83_10883, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32636ze3z83_10883;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3248;obj_t BgL_a2z00_3249;
BgL_a1z00_3248 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3249 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32640ze3z83_10884;
BgL_zc3anonymousza32640ze3z83_10884 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32640ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32640ze3z83_10884, 
(int)(((long)0)), BgL_a1z00_3248); 
PROCEDURE_SET(BgL_zc3anonymousza32640ze3z83_10884, 
(int)(((long)1)), BgL_a2z00_3249); 
PROCEDURE_SET(BgL_zc3anonymousza32640ze3z83_10884, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32640ze3z83_10884;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3258;obj_t BgL_a2z00_3259;
BgL_a1z00_3258 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3259 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32644ze3z83_10885;
BgL_zc3anonymousza32644ze3z83_10885 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32644ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32644ze3z83_10885, 
(int)(((long)0)), BgL_a1z00_3258); 
PROCEDURE_SET(BgL_zc3anonymousza32644ze3z83_10885, 
(int)(((long)1)), BgL_a2z00_3259); 
PROCEDURE_SET(BgL_zc3anonymousza32644ze3z83_10885, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32644ze3z83_10885;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3268;obj_t BgL_a2z00_3269;
BgL_a1z00_3268 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3269 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32648ze3z83_10886;
BgL_zc3anonymousza32648ze3z83_10886 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32648ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32648ze3z83_10886, 
(int)(((long)0)), BgL_a1z00_3268); 
PROCEDURE_SET(BgL_zc3anonymousza32648ze3z83_10886, 
(int)(((long)1)), BgL_a2z00_3269); 
PROCEDURE_SET(BgL_zc3anonymousza32648ze3z83_10886, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32648ze3z83_10886;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3278;obj_t BgL_a2z00_3279;
BgL_a1z00_3278 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3279 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32652ze3z83_10887;
BgL_zc3anonymousza32652ze3z83_10887 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32652ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32652ze3z83_10887, 
(int)(((long)0)), BgL_a1z00_3278); 
PROCEDURE_SET(BgL_zc3anonymousza32652ze3z83_10887, 
(int)(((long)1)), BgL_a2z00_3279); 
PROCEDURE_SET(BgL_zc3anonymousza32652ze3z83_10887, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32652ze3z83_10887;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3288;obj_t BgL_a2z00_3289;
BgL_a1z00_3288 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3289 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32656ze3z83_10888;
BgL_zc3anonymousza32656ze3z83_10888 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32656ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32656ze3z83_10888, 
(int)(((long)0)), BgL_a1z00_3288); 
PROCEDURE_SET(BgL_zc3anonymousza32656ze3z83_10888, 
(int)(((long)1)), BgL_a2z00_3289); 
PROCEDURE_SET(BgL_zc3anonymousza32656ze3z83_10888, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32656ze3z83_10888;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3298;obj_t BgL_a2z00_3299;
BgL_a1z00_3298 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3299 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32660ze3z83_10889;
BgL_zc3anonymousza32660ze3z83_10889 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32660ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32660ze3z83_10889, 
(int)(((long)0)), BgL_a1z00_3298); 
PROCEDURE_SET(BgL_zc3anonymousza32660ze3z83_10889, 
(int)(((long)1)), BgL_a2z00_3299); 
PROCEDURE_SET(BgL_zc3anonymousza32660ze3z83_10889, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32660ze3z83_10889;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3308;obj_t BgL_a2z00_3309;
BgL_a1z00_3308 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3309 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32664ze3z83_10890;
BgL_zc3anonymousza32664ze3z83_10890 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32664ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32664ze3z83_10890, 
(int)(((long)0)), BgL_a1z00_3308); 
PROCEDURE_SET(BgL_zc3anonymousza32664ze3z83_10890, 
(int)(((long)1)), BgL_a2z00_3309); 
PROCEDURE_SET(BgL_zc3anonymousza32664ze3z83_10890, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32664ze3z83_10890;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3318;obj_t BgL_a2z00_3319;
BgL_a1z00_3318 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3319 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32668ze3z83_10891;
BgL_zc3anonymousza32668ze3z83_10891 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32668ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32668ze3z83_10891, 
(int)(((long)0)), BgL_a1z00_3318); 
PROCEDURE_SET(BgL_zc3anonymousza32668ze3z83_10891, 
(int)(((long)1)), BgL_a2z00_3319); 
PROCEDURE_SET(BgL_zc3anonymousza32668ze3z83_10891, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32668ze3z83_10891;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3328;obj_t BgL_a2z00_3329;
BgL_a1z00_3328 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3329 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32672ze3z83_10892;
BgL_zc3anonymousza32672ze3z83_10892 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32672ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32672ze3z83_10892, 
(int)(((long)0)), BgL_a1z00_3328); 
PROCEDURE_SET(BgL_zc3anonymousza32672ze3z83_10892, 
(int)(((long)1)), BgL_a2z00_3329); 
PROCEDURE_SET(BgL_zc3anonymousza32672ze3z83_10892, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32672ze3z83_10892;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3338;obj_t BgL_a2z00_3339;
BgL_a1z00_3338 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3339 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32676ze3z83_10893;
BgL_zc3anonymousza32676ze3z83_10893 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32676ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32676ze3z83_10893, 
(int)(((long)0)), BgL_a1z00_3338); 
PROCEDURE_SET(BgL_zc3anonymousza32676ze3z83_10893, 
(int)(((long)1)), BgL_a2z00_3339); 
PROCEDURE_SET(BgL_zc3anonymousza32676ze3z83_10893, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32676ze3z83_10893;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3348;obj_t BgL_a2z00_3349;
BgL_a1z00_3348 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3349 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32680ze3z83_10894;
BgL_zc3anonymousza32680ze3z83_10894 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32680ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32680ze3z83_10894, 
(int)(((long)0)), BgL_a1z00_3348); 
PROCEDURE_SET(BgL_zc3anonymousza32680ze3z83_10894, 
(int)(((long)1)), BgL_a2z00_3349); 
PROCEDURE_SET(BgL_zc3anonymousza32680ze3z83_10894, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32680ze3z83_10894;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3358;obj_t BgL_a2z00_3359;
BgL_a1z00_3358 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3359 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32684ze3z83_10895;
BgL_zc3anonymousza32684ze3z83_10895 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32684ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32684ze3z83_10895, 
(int)(((long)0)), BgL_a1z00_3358); 
PROCEDURE_SET(BgL_zc3anonymousza32684ze3z83_10895, 
(int)(((long)1)), BgL_a2z00_3359); 
PROCEDURE_SET(BgL_zc3anonymousza32684ze3z83_10895, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32684ze3z83_10895;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3368;obj_t BgL_a2z00_3369;
BgL_a1z00_3368 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3369 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32688ze3z83_10896;
BgL_zc3anonymousza32688ze3z83_10896 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32688ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32688ze3z83_10896, 
(int)(((long)0)), BgL_a1z00_3368); 
PROCEDURE_SET(BgL_zc3anonymousza32688ze3z83_10896, 
(int)(((long)1)), BgL_a2z00_3369); 
PROCEDURE_SET(BgL_zc3anonymousza32688ze3z83_10896, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32688ze3z83_10896;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3378;obj_t BgL_a2z00_3379;
BgL_a1z00_3378 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3379 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32692ze3z83_10897;
BgL_zc3anonymousza32692ze3z83_10897 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32692ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32692ze3z83_10897, 
(int)(((long)0)), BgL_a1z00_3378); 
PROCEDURE_SET(BgL_zc3anonymousza32692ze3z83_10897, 
(int)(((long)1)), BgL_a2z00_3379); 
PROCEDURE_SET(BgL_zc3anonymousza32692ze3z83_10897, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32692ze3z83_10897;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3388;obj_t BgL_a2z00_3389;
BgL_a1z00_3388 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3389 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32696ze3z83_10898;
BgL_zc3anonymousza32696ze3z83_10898 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32696ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32696ze3z83_10898, 
(int)(((long)0)), BgL_a1z00_3388); 
PROCEDURE_SET(BgL_zc3anonymousza32696ze3z83_10898, 
(int)(((long)1)), BgL_a2z00_3389); 
PROCEDURE_SET(BgL_zc3anonymousza32696ze3z83_10898, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32696ze3z83_10898;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3398;obj_t BgL_a2z00_3399;
BgL_a1z00_3398 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3399 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32700ze3z83_10899;
BgL_zc3anonymousza32700ze3z83_10899 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32700ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32700ze3z83_10899, 
(int)(((long)0)), BgL_a1z00_3398); 
PROCEDURE_SET(BgL_zc3anonymousza32700ze3z83_10899, 
(int)(((long)1)), BgL_a2z00_3399); 
PROCEDURE_SET(BgL_zc3anonymousza32700ze3z83_10899, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32700ze3z83_10899;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3408;obj_t BgL_a2z00_3409;
BgL_a1z00_3408 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3409 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32704ze3z83_10900;
BgL_zc3anonymousza32704ze3z83_10900 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32704ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32704ze3z83_10900, 
(int)(((long)0)), BgL_a1z00_3408); 
PROCEDURE_SET(BgL_zc3anonymousza32704ze3z83_10900, 
(int)(((long)1)), BgL_a2z00_3409); 
PROCEDURE_SET(BgL_zc3anonymousza32704ze3z83_10900, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32704ze3z83_10900;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3418;obj_t BgL_a2z00_3419;
BgL_a1z00_3418 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3419 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32708ze3z83_10901;
BgL_zc3anonymousza32708ze3z83_10901 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32708ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32708ze3z83_10901, 
(int)(((long)0)), BgL_a1z00_3418); 
PROCEDURE_SET(BgL_zc3anonymousza32708ze3z83_10901, 
(int)(((long)1)), BgL_a2z00_3419); 
PROCEDURE_SET(BgL_zc3anonymousza32708ze3z83_10901, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32708ze3z83_10901;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3428;obj_t BgL_a2z00_3429;
BgL_a1z00_3428 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3429 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32712ze3z83_10902;
BgL_zc3anonymousza32712ze3z83_10902 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32712ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32712ze3z83_10902, 
(int)(((long)0)), BgL_a1z00_3428); 
PROCEDURE_SET(BgL_zc3anonymousza32712ze3z83_10902, 
(int)(((long)1)), BgL_a2z00_3429); 
PROCEDURE_SET(BgL_zc3anonymousza32712ze3z83_10902, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32712ze3z83_10902;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3438;obj_t BgL_a2z00_3439;
BgL_a1z00_3438 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3439 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32716ze3z83_10903;
BgL_zc3anonymousza32716ze3z83_10903 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32716ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32716ze3z83_10903, 
(int)(((long)0)), BgL_a1z00_3438); 
PROCEDURE_SET(BgL_zc3anonymousza32716ze3z83_10903, 
(int)(((long)1)), BgL_a2z00_3439); 
PROCEDURE_SET(BgL_zc3anonymousza32716ze3z83_10903, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32716ze3z83_10903;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3448;obj_t BgL_a2z00_3449;
BgL_a1z00_3448 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3449 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32720ze3z83_10904;
BgL_zc3anonymousza32720ze3z83_10904 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32720ze3z83_10904, 
(int)(((long)0)), BgL_a1z00_3448); 
PROCEDURE_SET(BgL_zc3anonymousza32720ze3z83_10904, 
(int)(((long)1)), BgL_a2z00_3449); 
PROCEDURE_SET(BgL_zc3anonymousza32720ze3z83_10904, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32720ze3z83_10904;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3458;obj_t BgL_a2z00_3459;
BgL_a1z00_3458 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3459 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32724ze3z83_10905;
BgL_zc3anonymousza32724ze3z83_10905 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32724ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32724ze3z83_10905, 
(int)(((long)0)), BgL_a1z00_3458); 
PROCEDURE_SET(BgL_zc3anonymousza32724ze3z83_10905, 
(int)(((long)1)), BgL_a2z00_3459); 
return BgL_zc3anonymousza32724ze3z83_10905;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3466;obj_t BgL_a2z00_3467;
BgL_a1z00_3466 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3467 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32726ze3z83_10906;
BgL_zc3anonymousza32726ze3z83_10906 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32726ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32726ze3z83_10906, 
(int)(((long)0)), BgL_a1z00_3466); 
PROCEDURE_SET(BgL_zc3anonymousza32726ze3z83_10906, 
(int)(((long)1)), BgL_a2z00_3467); 
return BgL_zc3anonymousza32726ze3z83_10906;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
return BFALSE;} } } } } } } } } } } } } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate_comp.scm 1012 */
return BFALSE;} } } }  else 
{ /* Eval/evaluate_comp.scm 1007 */
return BFALSE;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2616> */
obj_t BGl_z62zc3anonymousza32616ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10910, obj_t BgL_sz00_10914)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10911;obj_t BgL_a2z00_10912;obj_t BgL_locz00_10913;
BgL_a1z00_10911 = 
PROCEDURE_REF(BgL_envz00_10910, 
(int)(((long)0))); 
BgL_a2z00_10912 = 
PROCEDURE_REF(BgL_envz00_10910, 
(int)(((long)1))); 
BgL_locz00_10913 = 
PROCEDURE_REF(BgL_envz00_10910, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13337;
BgL_bpz00_13337 = 
VECTOR_REF(
((obj_t)BgL_sz00_10914),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13338;obj_t BgL_a2z00_13339;
BgL_a1z00_13338 = 
PROCEDURE_ENTRY(BgL_a1z00_10911)(BgL_a1z00_10911, BgL_sz00_10914, BEOA); 
BgL_a2z00_13339 = 
PROCEDURE_ENTRY(BgL_a2z00_10912)(BgL_a2z00_10912, BgL_sz00_10914, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13338))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5181z00zz__evaluate_compz00, BGl_symbol5183z00zz__evaluate_compz00, BgL_a1z00_13338, BgL_locz00_10913); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13339))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5181z00zz__evaluate_compz00, BGl_symbol5183z00zz__evaluate_compz00, BgL_a2z00_13339, BgL_locz00_10913); } 
return 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_13338, BgL_a2z00_13339);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2620> */
obj_t BGl_z62zc3anonymousza32620ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10915, obj_t BgL_sz00_10919)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10916;obj_t BgL_a2z00_10917;obj_t BgL_locz00_10918;
BgL_a1z00_10916 = 
PROCEDURE_REF(BgL_envz00_10915, 
(int)(((long)0))); 
BgL_a2z00_10917 = 
PROCEDURE_REF(BgL_envz00_10915, 
(int)(((long)1))); 
BgL_locz00_10918 = 
PROCEDURE_REF(BgL_envz00_10915, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13340;
BgL_bpz00_13340 = 
VECTOR_REF(
((obj_t)BgL_sz00_10919),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13341;obj_t BgL_a2z00_13342;
BgL_a1z00_13341 = 
PROCEDURE_ENTRY(BgL_a1z00_10916)(BgL_a1z00_10916, BgL_sz00_10919, BEOA); 
BgL_a2z00_13342 = 
PROCEDURE_ENTRY(BgL_a2z00_10917)(BgL_a2z00_10917, BgL_sz00_10919, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13341))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5185z00zz__evaluate_compz00, BGl_symbol5183z00zz__evaluate_compz00, BgL_a1z00_13341, BgL_locz00_10918); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13342))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5185z00zz__evaluate_compz00, BGl_symbol5183z00zz__evaluate_compz00, BgL_a2z00_13342, BgL_locz00_10918); } 
return 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_13341, BgL_a2z00_13342);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2624> */
obj_t BGl_z62zc3anonymousza32624ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10920, obj_t BgL_sz00_10924)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10921;obj_t BgL_a2z00_10922;obj_t BgL_locz00_10923;
BgL_a1z00_10921 = 
PROCEDURE_REF(BgL_envz00_10920, 
(int)(((long)0))); 
BgL_a2z00_10922 = 
PROCEDURE_REF(BgL_envz00_10920, 
(int)(((long)1))); 
BgL_locz00_10923 = 
PROCEDURE_REF(BgL_envz00_10920, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13343;
BgL_bpz00_13343 = 
VECTOR_REF(
((obj_t)BgL_sz00_10924),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13344;obj_t BgL_a2z00_13345;
BgL_a1z00_13344 = 
PROCEDURE_ENTRY(BgL_a1z00_10921)(BgL_a1z00_10921, BgL_sz00_10924, BEOA); 
BgL_a2z00_13345 = 
PROCEDURE_ENTRY(BgL_a2z00_10922)(BgL_a2z00_10922, BgL_sz00_10924, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13344))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5187z00zz__evaluate_compz00, BGl_symbol5183z00zz__evaluate_compz00, BgL_a1z00_13344, BgL_locz00_10923); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13345))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5187z00zz__evaluate_compz00, BGl_symbol5183z00zz__evaluate_compz00, BgL_a2z00_13345, BgL_locz00_10923); } 
return 
BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_13344, BgL_a2z00_13345);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2628> */
obj_t BGl_z62zc3anonymousza32628ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10925, obj_t BgL_sz00_10929)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10926;obj_t BgL_a2z00_10927;obj_t BgL_locz00_10928;
BgL_a1z00_10926 = 
PROCEDURE_REF(BgL_envz00_10925, 
(int)(((long)0))); 
BgL_a2z00_10927 = 
PROCEDURE_REF(BgL_envz00_10925, 
(int)(((long)1))); 
BgL_locz00_10928 = 
PROCEDURE_REF(BgL_envz00_10925, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13346;
BgL_bpz00_13346 = 
VECTOR_REF(
((obj_t)BgL_sz00_10929),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13347;obj_t BgL_a2z00_13348;
BgL_a1z00_13347 = 
PROCEDURE_ENTRY(BgL_a1z00_10926)(BgL_a1z00_10926, BgL_sz00_10929, BEOA); 
BgL_a2z00_13348 = 
PROCEDURE_ENTRY(BgL_a2z00_10927)(BgL_a2z00_10927, BgL_sz00_10929, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13347))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5189z00zz__evaluate_compz00, BGl_symbol5183z00zz__evaluate_compz00, BgL_a1z00_13347, BgL_locz00_10928); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13348))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5189z00zz__evaluate_compz00, BGl_symbol5183z00zz__evaluate_compz00, BgL_a2z00_13348, BgL_locz00_10928); } 
return 
BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_13347, BgL_a2z00_13348);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2632> */
obj_t BGl_z62zc3anonymousza32632ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10930, obj_t BgL_sz00_10934)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10931;obj_t BgL_a2z00_10932;obj_t BgL_locz00_10933;
BgL_a1z00_10931 = 
PROCEDURE_REF(BgL_envz00_10930, 
(int)(((long)0))); 
BgL_a2z00_10932 = 
PROCEDURE_REF(BgL_envz00_10930, 
(int)(((long)1))); 
BgL_locz00_10933 = 
PROCEDURE_REF(BgL_envz00_10930, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20594;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13349;
BgL_bpz00_13349 = 
VECTOR_REF(
((obj_t)BgL_sz00_10934),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13350;obj_t BgL_a2z00_13351;
BgL_a1z00_13350 = 
PROCEDURE_ENTRY(BgL_a1z00_10931)(BgL_a1z00_10931, BgL_sz00_10934, BEOA); 
BgL_a2z00_13351 = 
PROCEDURE_ENTRY(BgL_a2z00_10932)(BgL_a2z00_10932, BgL_sz00_10934, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13350))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5191z00zz__evaluate_compz00, BGl_symbol5183z00zz__evaluate_compz00, BgL_a1z00_13350, BgL_locz00_10933); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13351))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5191z00zz__evaluate_compz00, BGl_symbol5183z00zz__evaluate_compz00, BgL_a2z00_13351, BgL_locz00_10933); } 
BgL_tmpz00_20594 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_13350, BgL_a2z00_13351); } } 
return 
BBOOL(BgL_tmpz00_20594);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2636> */
obj_t BGl_z62zc3anonymousza32636ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10935, obj_t BgL_sz00_10939)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10936;obj_t BgL_a2z00_10937;obj_t BgL_locz00_10938;
BgL_a1z00_10936 = 
PROCEDURE_REF(BgL_envz00_10935, 
(int)(((long)0))); 
BgL_a2z00_10937 = 
PROCEDURE_REF(BgL_envz00_10935, 
(int)(((long)1))); 
BgL_locz00_10938 = 
PROCEDURE_REF(BgL_envz00_10935, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20619;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13352;
BgL_bpz00_13352 = 
VECTOR_REF(
((obj_t)BgL_sz00_10939),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13353;obj_t BgL_a2z00_13354;
BgL_a1z00_13353 = 
PROCEDURE_ENTRY(BgL_a1z00_10936)(BgL_a1z00_10936, BgL_sz00_10939, BEOA); 
BgL_a2z00_13354 = 
PROCEDURE_ENTRY(BgL_a2z00_10937)(BgL_a2z00_10937, BgL_sz00_10939, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13353))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5193z00zz__evaluate_compz00, BGl_symbol5183z00zz__evaluate_compz00, BgL_a1z00_13353, BgL_locz00_10938); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13354))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5193z00zz__evaluate_compz00, BGl_symbol5183z00zz__evaluate_compz00, BgL_a2z00_13354, BgL_locz00_10938); } 
BgL_tmpz00_20619 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_13353, BgL_a2z00_13354); } } 
return 
BBOOL(BgL_tmpz00_20619);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2640> */
obj_t BGl_z62zc3anonymousza32640ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10940, obj_t BgL_sz00_10944)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10941;obj_t BgL_a2z00_10942;obj_t BgL_locz00_10943;
BgL_a1z00_10941 = 
PROCEDURE_REF(BgL_envz00_10940, 
(int)(((long)0))); 
BgL_a2z00_10942 = 
PROCEDURE_REF(BgL_envz00_10940, 
(int)(((long)1))); 
BgL_locz00_10943 = 
PROCEDURE_REF(BgL_envz00_10940, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20644;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13355;
BgL_bpz00_13355 = 
VECTOR_REF(
((obj_t)BgL_sz00_10944),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13356;obj_t BgL_a2z00_13357;
BgL_a1z00_13356 = 
PROCEDURE_ENTRY(BgL_a1z00_10941)(BgL_a1z00_10941, BgL_sz00_10944, BEOA); 
BgL_a2z00_13357 = 
PROCEDURE_ENTRY(BgL_a2z00_10942)(BgL_a2z00_10942, BgL_sz00_10944, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13356))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5195z00zz__evaluate_compz00, BGl_symbol5183z00zz__evaluate_compz00, BgL_a1z00_13356, BgL_locz00_10943); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13357))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5195z00zz__evaluate_compz00, BGl_symbol5183z00zz__evaluate_compz00, BgL_a2z00_13357, BgL_locz00_10943); } 
BgL_tmpz00_20644 = 
BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_13356, BgL_a2z00_13357); } } 
return 
BBOOL(BgL_tmpz00_20644);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2644> */
obj_t BGl_z62zc3anonymousza32644ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10945, obj_t BgL_sz00_10949)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10946;obj_t BgL_a2z00_10947;obj_t BgL_locz00_10948;
BgL_a1z00_10946 = 
PROCEDURE_REF(BgL_envz00_10945, 
(int)(((long)0))); 
BgL_a2z00_10947 = 
PROCEDURE_REF(BgL_envz00_10945, 
(int)(((long)1))); 
BgL_locz00_10948 = 
PROCEDURE_REF(BgL_envz00_10945, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20669;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13358;
BgL_bpz00_13358 = 
VECTOR_REF(
((obj_t)BgL_sz00_10949),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13359;obj_t BgL_a2z00_13360;
BgL_a1z00_13359 = 
PROCEDURE_ENTRY(BgL_a1z00_10946)(BgL_a1z00_10946, BgL_sz00_10949, BEOA); 
BgL_a2z00_13360 = 
PROCEDURE_ENTRY(BgL_a2z00_10947)(BgL_a2z00_10947, BgL_sz00_10949, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13359))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5197z00zz__evaluate_compz00, BGl_symbol5183z00zz__evaluate_compz00, BgL_a1z00_13359, BgL_locz00_10948); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13360))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5197z00zz__evaluate_compz00, BGl_symbol5183z00zz__evaluate_compz00, BgL_a2z00_13360, BgL_locz00_10948); } 
BgL_tmpz00_20669 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_13359, BgL_a2z00_13360); } } 
return 
BBOOL(BgL_tmpz00_20669);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2648> */
obj_t BGl_z62zc3anonymousza32648ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10950, obj_t BgL_sz00_10954)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10951;obj_t BgL_a2z00_10952;obj_t BgL_locz00_10953;
BgL_a1z00_10951 = 
PROCEDURE_REF(BgL_envz00_10950, 
(int)(((long)0))); 
BgL_a2z00_10952 = 
PROCEDURE_REF(BgL_envz00_10950, 
(int)(((long)1))); 
BgL_locz00_10953 = 
PROCEDURE_REF(BgL_envz00_10950, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20694;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13361;
BgL_bpz00_13361 = 
VECTOR_REF(
((obj_t)BgL_sz00_10954),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13362;obj_t BgL_a2z00_13363;
BgL_a1z00_13362 = 
PROCEDURE_ENTRY(BgL_a1z00_10951)(BgL_a1z00_10951, BgL_sz00_10954, BEOA); 
BgL_a2z00_13363 = 
PROCEDURE_ENTRY(BgL_a2z00_10952)(BgL_a2z00_10952, BgL_sz00_10954, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13362))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5199z00zz__evaluate_compz00, BGl_symbol5183z00zz__evaluate_compz00, BgL_a1z00_13362, BgL_locz00_10953); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13363))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5199z00zz__evaluate_compz00, BGl_symbol5183z00zz__evaluate_compz00, BgL_a2z00_13363, BgL_locz00_10953); } 
BgL_tmpz00_20694 = 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_13362, BgL_a2z00_13363); } } 
return 
BBOOL(BgL_tmpz00_20694);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2652> */
obj_t BGl_z62zc3anonymousza32652ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10955, obj_t BgL_sz00_10959)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10956;obj_t BgL_a2z00_10957;obj_t BgL_locz00_10958;
BgL_a1z00_10956 = 
PROCEDURE_REF(BgL_envz00_10955, 
(int)(((long)0))); 
BgL_a2z00_10957 = 
PROCEDURE_REF(BgL_envz00_10955, 
(int)(((long)1))); 
BgL_locz00_10958 = 
PROCEDURE_REF(BgL_envz00_10955, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
long BgL_tmpz00_20719;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13364;
BgL_bpz00_13364 = 
VECTOR_REF(
((obj_t)BgL_sz00_10959),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13365;obj_t BgL_a2z00_13366;
BgL_a1z00_13365 = 
PROCEDURE_ENTRY(BgL_a1z00_10956)(BgL_a1z00_10956, BgL_sz00_10959, BEOA); 
BgL_a2z00_13366 = 
PROCEDURE_ENTRY(BgL_a2z00_10957)(BgL_a2z00_10957, BgL_sz00_10959, BEOA); 
if(
INTEGERP(BgL_a1z00_13365))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5201z00zz__evaluate_compz00, BGl_symbol5203z00zz__evaluate_compz00, BgL_a1z00_13365, BgL_locz00_10958); } 
if(
INTEGERP(BgL_a2z00_13366))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5201z00zz__evaluate_compz00, BGl_symbol5203z00zz__evaluate_compz00, BgL_a2z00_13366, BgL_locz00_10958); } 
BgL_tmpz00_20719 = 
(
(long)CINT(BgL_a1z00_13365)+
(long)CINT(BgL_a2z00_13366)); } } 
return 
BINT(BgL_tmpz00_20719);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2656> */
obj_t BGl_z62zc3anonymousza32656ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10960, obj_t BgL_sz00_10964)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10961;obj_t BgL_a2z00_10962;obj_t BgL_locz00_10963;
BgL_a1z00_10961 = 
PROCEDURE_REF(BgL_envz00_10960, 
(int)(((long)0))); 
BgL_a2z00_10962 = 
PROCEDURE_REF(BgL_envz00_10960, 
(int)(((long)1))); 
BgL_locz00_10963 = 
PROCEDURE_REF(BgL_envz00_10960, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
long BgL_tmpz00_20746;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13367;
BgL_bpz00_13367 = 
VECTOR_REF(
((obj_t)BgL_sz00_10964),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13368;obj_t BgL_a2z00_13369;
BgL_a1z00_13368 = 
PROCEDURE_ENTRY(BgL_a1z00_10961)(BgL_a1z00_10961, BgL_sz00_10964, BEOA); 
BgL_a2z00_13369 = 
PROCEDURE_ENTRY(BgL_a2z00_10962)(BgL_a2z00_10962, BgL_sz00_10964, BEOA); 
if(
INTEGERP(BgL_a1z00_13368))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5205z00zz__evaluate_compz00, BGl_symbol5203z00zz__evaluate_compz00, BgL_a1z00_13368, BgL_locz00_10963); } 
if(
INTEGERP(BgL_a2z00_13369))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5205z00zz__evaluate_compz00, BGl_symbol5203z00zz__evaluate_compz00, BgL_a2z00_13369, BgL_locz00_10963); } 
BgL_tmpz00_20746 = 
(
(long)CINT(BgL_a1z00_13368)-
(long)CINT(BgL_a2z00_13369)); } } 
return 
BINT(BgL_tmpz00_20746);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2660> */
obj_t BGl_z62zc3anonymousza32660ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10965, obj_t BgL_sz00_10969)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10966;obj_t BgL_a2z00_10967;obj_t BgL_locz00_10968;
BgL_a1z00_10966 = 
PROCEDURE_REF(BgL_envz00_10965, 
(int)(((long)0))); 
BgL_a2z00_10967 = 
PROCEDURE_REF(BgL_envz00_10965, 
(int)(((long)1))); 
BgL_locz00_10968 = 
PROCEDURE_REF(BgL_envz00_10965, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
long BgL_tmpz00_20773;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13370;
BgL_bpz00_13370 = 
VECTOR_REF(
((obj_t)BgL_sz00_10969),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13371;obj_t BgL_a2z00_13372;
BgL_a1z00_13371 = 
PROCEDURE_ENTRY(BgL_a1z00_10966)(BgL_a1z00_10966, BgL_sz00_10969, BEOA); 
BgL_a2z00_13372 = 
PROCEDURE_ENTRY(BgL_a2z00_10967)(BgL_a2z00_10967, BgL_sz00_10969, BEOA); 
if(
INTEGERP(BgL_a1z00_13371))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5207z00zz__evaluate_compz00, BGl_symbol5203z00zz__evaluate_compz00, BgL_a1z00_13371, BgL_locz00_10968); } 
if(
INTEGERP(BgL_a2z00_13372))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5207z00zz__evaluate_compz00, BGl_symbol5203z00zz__evaluate_compz00, BgL_a2z00_13372, BgL_locz00_10968); } 
BgL_tmpz00_20773 = 
(
(long)CINT(BgL_a1z00_13371)*
(long)CINT(BgL_a2z00_13372)); } } 
return 
BINT(BgL_tmpz00_20773);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2664> */
obj_t BGl_z62zc3anonymousza32664ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10970, obj_t BgL_sz00_10974)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10971;obj_t BgL_a2z00_10972;obj_t BgL_locz00_10973;
BgL_a1z00_10971 = 
PROCEDURE_REF(BgL_envz00_10970, 
(int)(((long)0))); 
BgL_a2z00_10972 = 
PROCEDURE_REF(BgL_envz00_10970, 
(int)(((long)1))); 
BgL_locz00_10973 = 
PROCEDURE_REF(BgL_envz00_10970, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
long BgL_tmpz00_20800;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13373;
BgL_bpz00_13373 = 
VECTOR_REF(
((obj_t)BgL_sz00_10974),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13374;obj_t BgL_a2z00_13375;
BgL_a1z00_13374 = 
PROCEDURE_ENTRY(BgL_a1z00_10971)(BgL_a1z00_10971, BgL_sz00_10974, BEOA); 
BgL_a2z00_13375 = 
PROCEDURE_ENTRY(BgL_a2z00_10972)(BgL_a2z00_10972, BgL_sz00_10974, BEOA); 
if(
INTEGERP(BgL_a1z00_13374))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5209z00zz__evaluate_compz00, BGl_symbol5203z00zz__evaluate_compz00, BgL_a1z00_13374, BgL_locz00_10973); } 
if(
INTEGERP(BgL_a2z00_13375))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5209z00zz__evaluate_compz00, BGl_symbol5203z00zz__evaluate_compz00, BgL_a2z00_13375, BgL_locz00_10973); } 
BgL_tmpz00_20800 = 
(
(long)CINT(BgL_a1z00_13374)/
(long)CINT(BgL_a2z00_13375)); } } 
return 
BINT(BgL_tmpz00_20800);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2668> */
obj_t BGl_z62zc3anonymousza32668ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10975, obj_t BgL_sz00_10979)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10976;obj_t BgL_a2z00_10977;obj_t BgL_locz00_10978;
BgL_a1z00_10976 = 
PROCEDURE_REF(BgL_envz00_10975, 
(int)(((long)0))); 
BgL_a2z00_10977 = 
PROCEDURE_REF(BgL_envz00_10975, 
(int)(((long)1))); 
BgL_locz00_10978 = 
PROCEDURE_REF(BgL_envz00_10975, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20827;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13376;
BgL_bpz00_13376 = 
VECTOR_REF(
((obj_t)BgL_sz00_10979),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13377;obj_t BgL_a2z00_13378;
BgL_a1z00_13377 = 
PROCEDURE_ENTRY(BgL_a1z00_10976)(BgL_a1z00_10976, BgL_sz00_10979, BEOA); 
BgL_a2z00_13378 = 
PROCEDURE_ENTRY(BgL_a2z00_10977)(BgL_a2z00_10977, BgL_sz00_10979, BEOA); 
if(
INTEGERP(BgL_a1z00_13377))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5211z00zz__evaluate_compz00, BGl_symbol5203z00zz__evaluate_compz00, BgL_a1z00_13377, BgL_locz00_10978); } 
if(
INTEGERP(BgL_a2z00_13378))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5211z00zz__evaluate_compz00, BGl_symbol5203z00zz__evaluate_compz00, BgL_a2z00_13378, BgL_locz00_10978); } 
BgL_tmpz00_20827 = 
(
(long)CINT(BgL_a1z00_13377)<
(long)CINT(BgL_a2z00_13378)); } } 
return 
BBOOL(BgL_tmpz00_20827);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2672> */
obj_t BGl_z62zc3anonymousza32672ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10980, obj_t BgL_sz00_10984)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10981;obj_t BgL_a2z00_10982;obj_t BgL_locz00_10983;
BgL_a1z00_10981 = 
PROCEDURE_REF(BgL_envz00_10980, 
(int)(((long)0))); 
BgL_a2z00_10982 = 
PROCEDURE_REF(BgL_envz00_10980, 
(int)(((long)1))); 
BgL_locz00_10983 = 
PROCEDURE_REF(BgL_envz00_10980, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20854;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13379;
BgL_bpz00_13379 = 
VECTOR_REF(
((obj_t)BgL_sz00_10984),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13380;obj_t BgL_a2z00_13381;
BgL_a1z00_13380 = 
PROCEDURE_ENTRY(BgL_a1z00_10981)(BgL_a1z00_10981, BgL_sz00_10984, BEOA); 
BgL_a2z00_13381 = 
PROCEDURE_ENTRY(BgL_a2z00_10982)(BgL_a2z00_10982, BgL_sz00_10984, BEOA); 
if(
INTEGERP(BgL_a1z00_13380))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5213z00zz__evaluate_compz00, BGl_symbol5203z00zz__evaluate_compz00, BgL_a1z00_13380, BgL_locz00_10983); } 
if(
INTEGERP(BgL_a2z00_13381))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5213z00zz__evaluate_compz00, BGl_symbol5203z00zz__evaluate_compz00, BgL_a2z00_13381, BgL_locz00_10983); } 
BgL_tmpz00_20854 = 
(
(long)CINT(BgL_a1z00_13380)>
(long)CINT(BgL_a2z00_13381)); } } 
return 
BBOOL(BgL_tmpz00_20854);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2676> */
obj_t BGl_z62zc3anonymousza32676ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10985, obj_t BgL_sz00_10989)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10986;obj_t BgL_a2z00_10987;obj_t BgL_locz00_10988;
BgL_a1z00_10986 = 
PROCEDURE_REF(BgL_envz00_10985, 
(int)(((long)0))); 
BgL_a2z00_10987 = 
PROCEDURE_REF(BgL_envz00_10985, 
(int)(((long)1))); 
BgL_locz00_10988 = 
PROCEDURE_REF(BgL_envz00_10985, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20881;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13382;
BgL_bpz00_13382 = 
VECTOR_REF(
((obj_t)BgL_sz00_10989),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13383;obj_t BgL_a2z00_13384;
BgL_a1z00_13383 = 
PROCEDURE_ENTRY(BgL_a1z00_10986)(BgL_a1z00_10986, BgL_sz00_10989, BEOA); 
BgL_a2z00_13384 = 
PROCEDURE_ENTRY(BgL_a2z00_10987)(BgL_a2z00_10987, BgL_sz00_10989, BEOA); 
if(
INTEGERP(BgL_a1z00_13383))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5215z00zz__evaluate_compz00, BGl_symbol5203z00zz__evaluate_compz00, BgL_a1z00_13383, BgL_locz00_10988); } 
if(
INTEGERP(BgL_a2z00_13384))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5215z00zz__evaluate_compz00, BGl_symbol5203z00zz__evaluate_compz00, BgL_a2z00_13384, BgL_locz00_10988); } 
BgL_tmpz00_20881 = 
(
(long)CINT(BgL_a1z00_13383)<=
(long)CINT(BgL_a2z00_13384)); } } 
return 
BBOOL(BgL_tmpz00_20881);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2680> */
obj_t BGl_z62zc3anonymousza32680ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10990, obj_t BgL_sz00_10994)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10991;obj_t BgL_a2z00_10992;obj_t BgL_locz00_10993;
BgL_a1z00_10991 = 
PROCEDURE_REF(BgL_envz00_10990, 
(int)(((long)0))); 
BgL_a2z00_10992 = 
PROCEDURE_REF(BgL_envz00_10990, 
(int)(((long)1))); 
BgL_locz00_10993 = 
PROCEDURE_REF(BgL_envz00_10990, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20908;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13385;
BgL_bpz00_13385 = 
VECTOR_REF(
((obj_t)BgL_sz00_10994),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13386;obj_t BgL_a2z00_13387;
BgL_a1z00_13386 = 
PROCEDURE_ENTRY(BgL_a1z00_10991)(BgL_a1z00_10991, BgL_sz00_10994, BEOA); 
BgL_a2z00_13387 = 
PROCEDURE_ENTRY(BgL_a2z00_10992)(BgL_a2z00_10992, BgL_sz00_10994, BEOA); 
if(
INTEGERP(BgL_a1z00_13386))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5217z00zz__evaluate_compz00, BGl_symbol5203z00zz__evaluate_compz00, BgL_a1z00_13386, BgL_locz00_10993); } 
if(
INTEGERP(BgL_a2z00_13387))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5217z00zz__evaluate_compz00, BGl_symbol5203z00zz__evaluate_compz00, BgL_a2z00_13387, BgL_locz00_10993); } 
BgL_tmpz00_20908 = 
(
(long)CINT(BgL_a1z00_13386)>=
(long)CINT(BgL_a2z00_13387)); } } 
return 
BBOOL(BgL_tmpz00_20908);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2684> */
obj_t BGl_z62zc3anonymousza32684ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10995, obj_t BgL_sz00_10999)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10996;obj_t BgL_a2z00_10997;obj_t BgL_locz00_10998;
BgL_a1z00_10996 = 
PROCEDURE_REF(BgL_envz00_10995, 
(int)(((long)0))); 
BgL_a2z00_10997 = 
PROCEDURE_REF(BgL_envz00_10995, 
(int)(((long)1))); 
BgL_locz00_10998 = 
PROCEDURE_REF(BgL_envz00_10995, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20935;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13388;
BgL_bpz00_13388 = 
VECTOR_REF(
((obj_t)BgL_sz00_10999),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13389;obj_t BgL_a2z00_13390;
BgL_a1z00_13389 = 
PROCEDURE_ENTRY(BgL_a1z00_10996)(BgL_a1z00_10996, BgL_sz00_10999, BEOA); 
BgL_a2z00_13390 = 
PROCEDURE_ENTRY(BgL_a2z00_10997)(BgL_a2z00_10997, BgL_sz00_10999, BEOA); 
if(
INTEGERP(BgL_a1z00_13389))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5219z00zz__evaluate_compz00, BGl_symbol5203z00zz__evaluate_compz00, BgL_a1z00_13389, BgL_locz00_10998); } 
if(
INTEGERP(BgL_a2z00_13390))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5219z00zz__evaluate_compz00, BGl_symbol5203z00zz__evaluate_compz00, BgL_a2z00_13390, BgL_locz00_10998); } 
BgL_tmpz00_20935 = 
(
(long)CINT(BgL_a1z00_13389)==
(long)CINT(BgL_a2z00_13390)); } } 
return 
BBOOL(BgL_tmpz00_20935);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2688> */
obj_t BGl_z62zc3anonymousza32688ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11000, obj_t BgL_sz00_11004)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11001;obj_t BgL_a2z00_11002;obj_t BgL_locz00_11003;
BgL_a1z00_11001 = 
PROCEDURE_REF(BgL_envz00_11000, 
(int)(((long)0))); 
BgL_a2z00_11002 = 
PROCEDURE_REF(BgL_envz00_11000, 
(int)(((long)1))); 
BgL_locz00_11003 = 
PROCEDURE_REF(BgL_envz00_11000, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
double BgL_tmpz00_20962;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13391;
BgL_bpz00_13391 = 
VECTOR_REF(
((obj_t)BgL_sz00_11004),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13392;obj_t BgL_a2z00_13393;
BgL_a1z00_13392 = 
PROCEDURE_ENTRY(BgL_a1z00_11001)(BgL_a1z00_11001, BgL_sz00_11004, BEOA); 
BgL_a2z00_13393 = 
PROCEDURE_ENTRY(BgL_a2z00_11002)(BgL_a2z00_11002, BgL_sz00_11004, BEOA); 
if(
REALP(BgL_a1z00_13392))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5221z00zz__evaluate_compz00, BGl_symbol5223z00zz__evaluate_compz00, BgL_a1z00_13392, BgL_locz00_11003); } 
if(
REALP(BgL_a2z00_13393))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5221z00zz__evaluate_compz00, BGl_symbol5223z00zz__evaluate_compz00, BgL_a2z00_13393, BgL_locz00_11003); } 
BgL_tmpz00_20962 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13392)+
REAL_TO_DOUBLE(BgL_a2z00_13393)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_20962);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2692> */
obj_t BGl_z62zc3anonymousza32692ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11005, obj_t BgL_sz00_11009)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11006;obj_t BgL_a2z00_11007;obj_t BgL_locz00_11008;
BgL_a1z00_11006 = 
PROCEDURE_REF(BgL_envz00_11005, 
(int)(((long)0))); 
BgL_a2z00_11007 = 
PROCEDURE_REF(BgL_envz00_11005, 
(int)(((long)1))); 
BgL_locz00_11008 = 
PROCEDURE_REF(BgL_envz00_11005, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
double BgL_tmpz00_20989;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13394;
BgL_bpz00_13394 = 
VECTOR_REF(
((obj_t)BgL_sz00_11009),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13395;obj_t BgL_a2z00_13396;
BgL_a1z00_13395 = 
PROCEDURE_ENTRY(BgL_a1z00_11006)(BgL_a1z00_11006, BgL_sz00_11009, BEOA); 
BgL_a2z00_13396 = 
PROCEDURE_ENTRY(BgL_a2z00_11007)(BgL_a2z00_11007, BgL_sz00_11009, BEOA); 
if(
REALP(BgL_a1z00_13395))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5225z00zz__evaluate_compz00, BGl_symbol5223z00zz__evaluate_compz00, BgL_a1z00_13395, BgL_locz00_11008); } 
if(
REALP(BgL_a2z00_13396))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5225z00zz__evaluate_compz00, BGl_symbol5223z00zz__evaluate_compz00, BgL_a2z00_13396, BgL_locz00_11008); } 
BgL_tmpz00_20989 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13395)-
REAL_TO_DOUBLE(BgL_a2z00_13396)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_20989);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2696> */
obj_t BGl_z62zc3anonymousza32696ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11010, obj_t BgL_sz00_11014)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11011;obj_t BgL_a2z00_11012;obj_t BgL_locz00_11013;
BgL_a1z00_11011 = 
PROCEDURE_REF(BgL_envz00_11010, 
(int)(((long)0))); 
BgL_a2z00_11012 = 
PROCEDURE_REF(BgL_envz00_11010, 
(int)(((long)1))); 
BgL_locz00_11013 = 
PROCEDURE_REF(BgL_envz00_11010, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
double BgL_tmpz00_21016;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13397;
BgL_bpz00_13397 = 
VECTOR_REF(
((obj_t)BgL_sz00_11014),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13398;obj_t BgL_a2z00_13399;
BgL_a1z00_13398 = 
PROCEDURE_ENTRY(BgL_a1z00_11011)(BgL_a1z00_11011, BgL_sz00_11014, BEOA); 
BgL_a2z00_13399 = 
PROCEDURE_ENTRY(BgL_a2z00_11012)(BgL_a2z00_11012, BgL_sz00_11014, BEOA); 
if(
REALP(BgL_a1z00_13398))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5227z00zz__evaluate_compz00, BGl_symbol5223z00zz__evaluate_compz00, BgL_a1z00_13398, BgL_locz00_11013); } 
if(
REALP(BgL_a2z00_13399))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5227z00zz__evaluate_compz00, BGl_symbol5223z00zz__evaluate_compz00, BgL_a2z00_13399, BgL_locz00_11013); } 
BgL_tmpz00_21016 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13398)*
REAL_TO_DOUBLE(BgL_a2z00_13399)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21016);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2700> */
obj_t BGl_z62zc3anonymousza32700ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11015, obj_t BgL_sz00_11019)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11016;obj_t BgL_a2z00_11017;obj_t BgL_locz00_11018;
BgL_a1z00_11016 = 
PROCEDURE_REF(BgL_envz00_11015, 
(int)(((long)0))); 
BgL_a2z00_11017 = 
PROCEDURE_REF(BgL_envz00_11015, 
(int)(((long)1))); 
BgL_locz00_11018 = 
PROCEDURE_REF(BgL_envz00_11015, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
double BgL_tmpz00_21043;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13400;
BgL_bpz00_13400 = 
VECTOR_REF(
((obj_t)BgL_sz00_11019),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13401;obj_t BgL_a2z00_13402;
BgL_a1z00_13401 = 
PROCEDURE_ENTRY(BgL_a1z00_11016)(BgL_a1z00_11016, BgL_sz00_11019, BEOA); 
BgL_a2z00_13402 = 
PROCEDURE_ENTRY(BgL_a2z00_11017)(BgL_a2z00_11017, BgL_sz00_11019, BEOA); 
if(
REALP(BgL_a1z00_13401))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5229z00zz__evaluate_compz00, BGl_symbol5223z00zz__evaluate_compz00, BgL_a1z00_13401, BgL_locz00_11018); } 
if(
REALP(BgL_a2z00_13402))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5229z00zz__evaluate_compz00, BGl_symbol5223z00zz__evaluate_compz00, BgL_a2z00_13402, BgL_locz00_11018); } 
BgL_tmpz00_21043 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13401)/
REAL_TO_DOUBLE(BgL_a2z00_13402)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21043);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2704> */
obj_t BGl_z62zc3anonymousza32704ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11020, obj_t BgL_sz00_11024)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11021;obj_t BgL_a2z00_11022;obj_t BgL_locz00_11023;
BgL_a1z00_11021 = 
PROCEDURE_REF(BgL_envz00_11020, 
(int)(((long)0))); 
BgL_a2z00_11022 = 
PROCEDURE_REF(BgL_envz00_11020, 
(int)(((long)1))); 
BgL_locz00_11023 = 
PROCEDURE_REF(BgL_envz00_11020, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21070;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13403;
BgL_bpz00_13403 = 
VECTOR_REF(
((obj_t)BgL_sz00_11024),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13404;obj_t BgL_a2z00_13405;
BgL_a1z00_13404 = 
PROCEDURE_ENTRY(BgL_a1z00_11021)(BgL_a1z00_11021, BgL_sz00_11024, BEOA); 
BgL_a2z00_13405 = 
PROCEDURE_ENTRY(BgL_a2z00_11022)(BgL_a2z00_11022, BgL_sz00_11024, BEOA); 
if(
REALP(BgL_a1z00_13404))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5231z00zz__evaluate_compz00, BGl_symbol5223z00zz__evaluate_compz00, BgL_a1z00_13404, BgL_locz00_11023); } 
if(
REALP(BgL_a2z00_13405))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5231z00zz__evaluate_compz00, BGl_symbol5223z00zz__evaluate_compz00, BgL_a2z00_13405, BgL_locz00_11023); } 
BgL_tmpz00_21070 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13404)<
REAL_TO_DOUBLE(BgL_a2z00_13405)); } } 
return 
BBOOL(BgL_tmpz00_21070);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2708> */
obj_t BGl_z62zc3anonymousza32708ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11025, obj_t BgL_sz00_11029)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11026;obj_t BgL_a2z00_11027;obj_t BgL_locz00_11028;
BgL_a1z00_11026 = 
PROCEDURE_REF(BgL_envz00_11025, 
(int)(((long)0))); 
BgL_a2z00_11027 = 
PROCEDURE_REF(BgL_envz00_11025, 
(int)(((long)1))); 
BgL_locz00_11028 = 
PROCEDURE_REF(BgL_envz00_11025, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21097;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13406;
BgL_bpz00_13406 = 
VECTOR_REF(
((obj_t)BgL_sz00_11029),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13407;obj_t BgL_a2z00_13408;
BgL_a1z00_13407 = 
PROCEDURE_ENTRY(BgL_a1z00_11026)(BgL_a1z00_11026, BgL_sz00_11029, BEOA); 
BgL_a2z00_13408 = 
PROCEDURE_ENTRY(BgL_a2z00_11027)(BgL_a2z00_11027, BgL_sz00_11029, BEOA); 
if(
REALP(BgL_a1z00_13407))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5233z00zz__evaluate_compz00, BGl_symbol5223z00zz__evaluate_compz00, BgL_a1z00_13407, BgL_locz00_11028); } 
if(
REALP(BgL_a2z00_13408))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5233z00zz__evaluate_compz00, BGl_symbol5223z00zz__evaluate_compz00, BgL_a2z00_13408, BgL_locz00_11028); } 
BgL_tmpz00_21097 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13407)>
REAL_TO_DOUBLE(BgL_a2z00_13408)); } } 
return 
BBOOL(BgL_tmpz00_21097);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2712> */
obj_t BGl_z62zc3anonymousza32712ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11030, obj_t BgL_sz00_11034)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11031;obj_t BgL_a2z00_11032;obj_t BgL_locz00_11033;
BgL_a1z00_11031 = 
PROCEDURE_REF(BgL_envz00_11030, 
(int)(((long)0))); 
BgL_a2z00_11032 = 
PROCEDURE_REF(BgL_envz00_11030, 
(int)(((long)1))); 
BgL_locz00_11033 = 
PROCEDURE_REF(BgL_envz00_11030, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21124;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13409;
BgL_bpz00_13409 = 
VECTOR_REF(
((obj_t)BgL_sz00_11034),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13410;obj_t BgL_a2z00_13411;
BgL_a1z00_13410 = 
PROCEDURE_ENTRY(BgL_a1z00_11031)(BgL_a1z00_11031, BgL_sz00_11034, BEOA); 
BgL_a2z00_13411 = 
PROCEDURE_ENTRY(BgL_a2z00_11032)(BgL_a2z00_11032, BgL_sz00_11034, BEOA); 
if(
REALP(BgL_a1z00_13410))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5235z00zz__evaluate_compz00, BGl_symbol5223z00zz__evaluate_compz00, BgL_a1z00_13410, BgL_locz00_11033); } 
if(
REALP(BgL_a2z00_13411))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5235z00zz__evaluate_compz00, BGl_symbol5223z00zz__evaluate_compz00, BgL_a2z00_13411, BgL_locz00_11033); } 
BgL_tmpz00_21124 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13410)<=
REAL_TO_DOUBLE(BgL_a2z00_13411)); } } 
return 
BBOOL(BgL_tmpz00_21124);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2716> */
obj_t BGl_z62zc3anonymousza32716ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11035, obj_t BgL_sz00_11039)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11036;obj_t BgL_a2z00_11037;obj_t BgL_locz00_11038;
BgL_a1z00_11036 = 
PROCEDURE_REF(BgL_envz00_11035, 
(int)(((long)0))); 
BgL_a2z00_11037 = 
PROCEDURE_REF(BgL_envz00_11035, 
(int)(((long)1))); 
BgL_locz00_11038 = 
PROCEDURE_REF(BgL_envz00_11035, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21151;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13412;
BgL_bpz00_13412 = 
VECTOR_REF(
((obj_t)BgL_sz00_11039),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13413;obj_t BgL_a2z00_13414;
BgL_a1z00_13413 = 
PROCEDURE_ENTRY(BgL_a1z00_11036)(BgL_a1z00_11036, BgL_sz00_11039, BEOA); 
BgL_a2z00_13414 = 
PROCEDURE_ENTRY(BgL_a2z00_11037)(BgL_a2z00_11037, BgL_sz00_11039, BEOA); 
if(
REALP(BgL_a1z00_13413))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5237z00zz__evaluate_compz00, BGl_symbol5223z00zz__evaluate_compz00, BgL_a1z00_13413, BgL_locz00_11038); } 
if(
REALP(BgL_a2z00_13414))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5237z00zz__evaluate_compz00, BGl_symbol5223z00zz__evaluate_compz00, BgL_a2z00_13414, BgL_locz00_11038); } 
BgL_tmpz00_21151 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13413)>=
REAL_TO_DOUBLE(BgL_a2z00_13414)); } } 
return 
BBOOL(BgL_tmpz00_21151);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2720> */
obj_t BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11040, obj_t BgL_sz00_11044)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11041;obj_t BgL_a2z00_11042;obj_t BgL_locz00_11043;
BgL_a1z00_11041 = 
PROCEDURE_REF(BgL_envz00_11040, 
(int)(((long)0))); 
BgL_a2z00_11042 = 
PROCEDURE_REF(BgL_envz00_11040, 
(int)(((long)1))); 
BgL_locz00_11043 = 
PROCEDURE_REF(BgL_envz00_11040, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21178;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13415;
BgL_bpz00_13415 = 
VECTOR_REF(
((obj_t)BgL_sz00_11044),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13416;obj_t BgL_a2z00_13417;
BgL_a1z00_13416 = 
PROCEDURE_ENTRY(BgL_a1z00_11041)(BgL_a1z00_11041, BgL_sz00_11044, BEOA); 
BgL_a2z00_13417 = 
PROCEDURE_ENTRY(BgL_a2z00_11042)(BgL_a2z00_11042, BgL_sz00_11044, BEOA); 
if(
REALP(BgL_a1z00_13416))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5239z00zz__evaluate_compz00, BGl_symbol5223z00zz__evaluate_compz00, BgL_a1z00_13416, BgL_locz00_11043); } 
if(
REALP(BgL_a2z00_13417))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5239z00zz__evaluate_compz00, BGl_symbol5223z00zz__evaluate_compz00, BgL_a2z00_13417, BgL_locz00_11043); } 
BgL_tmpz00_21178 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13416)==
REAL_TO_DOUBLE(BgL_a2z00_13417)); } } 
return 
BBOOL(BgL_tmpz00_21178);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2724> */
obj_t BGl_z62zc3anonymousza32724ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11045, obj_t BgL_sz00_11048)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11046;obj_t BgL_a2z00_11047;
BgL_a1z00_11046 = 
PROCEDURE_REF(BgL_envz00_11045, 
(int)(((long)0))); 
BgL_a2z00_11047 = 
PROCEDURE_REF(BgL_envz00_11045, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21203;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13418;
BgL_bpz00_13418 = 
VECTOR_REF(
((obj_t)BgL_sz00_11048),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13419;obj_t BgL_a2z00_13420;
BgL_a1z00_13419 = 
PROCEDURE_ENTRY(BgL_a1z00_11046)(BgL_a1z00_11046, BgL_sz00_11048, BEOA); 
BgL_a2z00_13420 = 
PROCEDURE_ENTRY(BgL_a2z00_11047)(BgL_a2z00_11047, BgL_sz00_11048, BEOA); 
BgL_tmpz00_21203 = 
(BgL_a1z00_13419==BgL_a2z00_13420); } } 
return 
BBOOL(BgL_tmpz00_21203);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2726> */
obj_t BGl_z62zc3anonymousza32726ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11049, obj_t BgL_sz00_11052)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11050;obj_t BgL_a2z00_11051;
BgL_a1z00_11050 = 
PROCEDURE_REF(BgL_envz00_11049, 
(int)(((long)0))); 
BgL_a2z00_11051 = 
PROCEDURE_REF(BgL_envz00_11049, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13421;
BgL_bpz00_13421 = 
VECTOR_REF(
((obj_t)BgL_sz00_11052),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13422;obj_t BgL_a2z00_13423;
BgL_a1z00_13422 = 
PROCEDURE_ENTRY(BgL_a1z00_11050)(BgL_a1z00_11050, BgL_sz00_11052, BEOA); 
BgL_a2z00_13423 = 
PROCEDURE_ENTRY(BgL_a2z00_11051)(BgL_a2z00_11051, BgL_sz00_11052, BEOA); 
return 
MAKE_YOUNG_PAIR(BgL_a1z00_13422, BgL_a2z00_13423);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2729> */
obj_t BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11053, obj_t BgL_sz00_11056)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1011 */
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_11054;obj_t BgL_locz00_11055;
BgL_a1z00_11054 = 
PROCEDURE_REF(BgL_envz00_11053, 
(int)(((long)0))); 
BgL_locz00_11055 = 
PROCEDURE_REF(BgL_envz00_11053, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_bpz00_13424;
BgL_bpz00_13424 = 
VECTOR_REF(
((obj_t)BgL_sz00_11056),((long)0)); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_13425;
BgL_a1z00_13425 = 
PROCEDURE_ENTRY(BgL_a1z00_11054)(BgL_a1z00_11054, BgL_sz00_11056, BEOA); 
if(
PAIRP(BgL_a1z00_13425))
{ /* Eval/evaluate_comp.scm 1011 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1011 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5241z00zz__evaluate_compz00, BGl_symbol5243z00zz__evaluate_compz00, BgL_a1z00_13425, BgL_locz00_11055); } 
return 
CAR(
((obj_t)BgL_a1z00_13425));} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2732> */
obj_t BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11057, obj_t BgL_sz00_11060)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1011 */
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_11058;obj_t BgL_locz00_11059;
BgL_a1z00_11058 = 
PROCEDURE_REF(BgL_envz00_11057, 
(int)(((long)0))); 
BgL_locz00_11059 = 
PROCEDURE_REF(BgL_envz00_11057, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_bpz00_13426;
BgL_bpz00_13426 = 
VECTOR_REF(
((obj_t)BgL_sz00_11060),((long)0)); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_13427;
BgL_a1z00_13427 = 
PROCEDURE_ENTRY(BgL_a1z00_11058)(BgL_a1z00_11058, BgL_sz00_11060, BEOA); 
if(
PAIRP(BgL_a1z00_13427))
{ /* Eval/evaluate_comp.scm 1011 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1011 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5245z00zz__evaluate_compz00, BGl_symbol5243z00zz__evaluate_compz00, BgL_a1z00_13427, BgL_locz00_11059); } 
return 
CDR(
((obj_t)BgL_a1z00_13427));} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2735> */
obj_t BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11061, obj_t BgL_sz00_11064)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1011 */
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_11062;obj_t BgL_locz00_11063;
BgL_a1z00_11062 = 
PROCEDURE_REF(BgL_envz00_11061, 
(int)(((long)0))); 
BgL_locz00_11063 = 
PROCEDURE_REF(BgL_envz00_11061, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_bpz00_13428;
BgL_bpz00_13428 = 
VECTOR_REF(
((obj_t)BgL_sz00_11064),((long)0)); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_13429;
BgL_a1z00_13429 = 
PROCEDURE_ENTRY(BgL_a1z00_11062)(BgL_a1z00_11062, BgL_sz00_11064, BEOA); 
if(
BGl_cadrzf3zf3zz__evaluate_compz00(BgL_a1z00_13429))
{ /* Eval/evaluate_comp.scm 1011 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_arg2737z00_13430;
BgL_arg2737z00_13430 = 
BGl_cadrerrvz00zz__evaluate_compz00(BgL_a1z00_13429); 
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5247z00zz__evaluate_compz00, BGl_symbol5243z00zz__evaluate_compz00, BgL_arg2737z00_13430, BgL_locz00_11063); } 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_pairz00_13431;
BgL_pairz00_13431 = 
CDR(
((obj_t)BgL_a1z00_13429)); 
return 
CAR(BgL_pairz00_13431);} } } } } 
BGL_FUNCTION_END;
}



/* cadr? */
bool_t BGl_cadrzf3zf3zz__evaluate_compz00(obj_t BgL_lz00_197)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1019 */
if(
PAIRP(BgL_lz00_197))
{ /* Eval/evaluate_comp.scm 1020 */
obj_t BgL_tmpz00_21280;
BgL_tmpz00_21280 = 
CDR(BgL_lz00_197); 
return 
PAIRP(BgL_tmpz00_21280);}  else 
{ /* Eval/evaluate_comp.scm 1020 */
return ((bool_t)0);} } 
BGL_FUNCTION_END;
}



/* cadrerrv */
obj_t BGl_cadrerrvz00zz__evaluate_compz00(obj_t BgL_vz00_198)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1022 */
if(
PAIRP(BgL_vz00_198))
{ /* Eval/evaluate_comp.scm 1023 */
return 
CDR(BgL_vz00_198);}  else 
{ /* Eval/evaluate_comp.scm 1023 */
return BgL_vz00_198;} } 
BGL_FUNCTION_END;
}



/* correct */
long BGl_correctz00zz__evaluate_compz00(obj_t BgL_nz00_201, long BgL_donez00_202)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1051 */
if(
(
(long)CINT(BgL_nz00_201)<((long)0)))
{ /* Eval/evaluate_comp.scm 1052 */
return 
(
(long)CINT(BgL_nz00_201)+BgL_donez00_202);}  else 
{ /* Eval/evaluate_comp.scm 1052 */
return 
(
(long)CINT(BgL_nz00_201)-BgL_donez00_202);} } 
BGL_FUNCTION_END;
}



/* bind-frame */
obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_203, obj_t BgL_wherez00_204, long BgL_spz00_205, long BgL_arityz00_206, obj_t BgL_valsz00_207, obj_t BgL_locz00_208)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1056 */
if(
(BgL_arityz00_206<((long)0)))
{ /* Eval/evaluate_comp.scm 1058 */
long BgL_g1232z00_3502;
BgL_g1232z00_3502 = 
(((long)-1)-BgL_arityz00_206); 
{ 
long BgL_rz00_3504;long BgL_spz00_3505;obj_t BgL_lz00_3506;
BgL_rz00_3504 = BgL_g1232z00_3502; 
BgL_spz00_3505 = BgL_spz00_205; 
BgL_lz00_3506 = BgL_valsz00_207; 
BgL_zc3anonymousza32742ze3z83_3507:
if(
(BgL_rz00_3504==((long)0)))
{ /* Eval/evaluate_comp.scm 1060 */
return 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3505,BgL_lz00_3506);}  else 
{ /* Eval/evaluate_comp.scm 1060 */
if(
PAIRP(BgL_lz00_3506))
{ /* Eval/evaluate_comp.scm 1062 */
{ /* Eval/evaluate_comp.scm 1065 */
obj_t BgL_arg2745z00_3510;
BgL_arg2745z00_3510 = 
CAR(BgL_lz00_3506); 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3505,BgL_arg2745z00_3510); } 
{ 
obj_t BgL_lz00_21309;long BgL_spz00_21307;long BgL_rz00_21305;
BgL_rz00_21305 = 
(BgL_rz00_3504-((long)1)); 
BgL_spz00_21307 = 
(BgL_spz00_3505+((long)1)); 
BgL_lz00_21309 = 
CDR(BgL_lz00_3506); 
BgL_lz00_3506 = BgL_lz00_21309; 
BgL_spz00_3505 = BgL_spz00_21307; 
BgL_rz00_3504 = BgL_rz00_21305; 
goto BgL_zc3anonymousza32742ze3z83_3507;} }  else 
{ /* Eval/evaluate_comp.scm 1063 */
long BgL_arg2749z00_3514;
BgL_arg2749z00_3514 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2749z00_3514));} } } }  else 
{ 
long BgL_rz00_3517;long BgL_spz00_3518;obj_t BgL_lz00_3519;
BgL_rz00_3517 = BgL_arityz00_206; 
BgL_spz00_3518 = BgL_spz00_205; 
BgL_lz00_3519 = BgL_valsz00_207; 
BgL_zc3anonymousza32750ze3z83_3520:
if(
(BgL_rz00_3517==((long)0)))
{ /* Eval/evaluate_comp.scm 1069 */
if(
NULLP(BgL_lz00_3519))
{ /* Eval/evaluate_comp.scm 1070 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 1071 */
long BgL_arg2753z00_3523;
BgL_arg2753z00_3523 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2753z00_3523));} }  else 
{ /* Eval/evaluate_comp.scm 1069 */
if(
PAIRP(BgL_lz00_3519))
{ /* Eval/evaluate_comp.scm 1072 */
{ /* Eval/evaluate_comp.scm 1075 */
obj_t BgL_arg2755z00_3525;
BgL_arg2755z00_3525 = 
CAR(BgL_lz00_3519); 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3518,BgL_arg2755z00_3525); } 
{ 
obj_t BgL_lz00_21332;long BgL_spz00_21330;long BgL_rz00_21328;
BgL_rz00_21328 = 
(BgL_rz00_3517-((long)1)); 
BgL_spz00_21330 = 
(BgL_spz00_3518+((long)1)); 
BgL_lz00_21332 = 
CDR(BgL_lz00_3519); 
BgL_lz00_3519 = BgL_lz00_21332; 
BgL_spz00_3518 = BgL_spz00_21330; 
BgL_rz00_3517 = BgL_rz00_21328; 
goto BgL_zc3anonymousza32750ze3z83_3520;} }  else 
{ /* Eval/evaluate_comp.scm 1073 */
long BgL_arg2759z00_3529;
BgL_arg2759z00_3529 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2759z00_3529));} } } } 
BGL_FUNCTION_END;
}



/* make-boxes */
bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_211, obj_t BgL_ibza2za2_212, obj_t BgL_bpz00_213)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1170 */
{ 
long BgL_iz00_3533;
BgL_iz00_3533 = ((long)0); 
BgL_zc3anonymousza32760ze3z83_3534:
{ /* Eval/evaluate_comp.scm 1173 */
long BgL_spz00_3535;
{ /* Eval/evaluate_comp.scm 1173 */
obj_t BgL_arg2764z00_3540;
BgL_arg2764z00_3540 = 
VECTOR_REF(
((obj_t)BgL_ibza2za2_212),BgL_iz00_3533); 
BgL_spz00_3535 = 
(
(long)CINT(BgL_bpz00_213)+
(long)CINT(BgL_arg2764z00_3540)); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg2761z00_3536;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg2762z00_3537;
BgL_arg2762z00_3537 = 
VECTOR_REF(
((obj_t)BgL_sz00_211),BgL_spz00_3535); 
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_8462;
BgL_newz00_8462 = 
create_struct(BGl_symbol5171z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_21347;
BgL_tmpz00_21347 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_8462, BgL_tmpz00_21347, BgL_arg2762z00_3537); } 
BgL_arg2761z00_3536 = BgL_newz00_8462; } } 
VECTOR_SET(
((obj_t)BgL_sz00_211),BgL_spz00_3535,BgL_arg2761z00_3536); } 
{ /* Eval/evaluate_comp.scm 1175 */
long BgL_niz00_3538;
BgL_niz00_3538 = 
(BgL_iz00_3533+((long)1)); 
if(
(BgL_niz00_3538<
VECTOR_LENGTH(
((obj_t)BgL_ibza2za2_212))))
{ 
long BgL_iz00_21357;
BgL_iz00_21357 = BgL_niz00_3538; 
BgL_iz00_3533 = BgL_iz00_21357; 
goto BgL_zc3anonymousza32760ze3z83_3534;}  else 
{ /* Eval/evaluate_comp.scm 1176 */
return ((bool_t)0);} } } } } 
BGL_FUNCTION_END;
}



/* free-collect */
obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_214, obj_t BgL_bpz00_215, obj_t BgL_iza2za2_216)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1178 */
{ /* Eval/evaluate_comp.scm 1179 */
obj_t BgL_rz00_3543;
BgL_rz00_3543 = 
make_vector(
VECTOR_LENGTH(
((obj_t)BgL_iza2za2_216)), BUNSPEC); 
{ /* Eval/evaluate_comp.scm 1179 */

{ 
long BgL_iz00_3545;
BgL_iz00_3545 = ((long)0); 
BgL_zc3anonymousza32765ze3z83_3546:
if(
(BgL_iz00_3545>=
VECTOR_LENGTH(
((obj_t)BgL_iza2za2_216))))
{ /* Eval/evaluate_comp.scm 1181 */
return BgL_rz00_3543;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1184 */
obj_t BgL_arg2767z00_3548;
{ /* Eval/evaluate_comp.scm 1184 */
long BgL_arg2768z00_3549;
{ /* Eval/evaluate_comp.scm 1184 */
obj_t BgL_arg2769z00_3550;
BgL_arg2769z00_3550 = 
VECTOR_REF(
((obj_t)BgL_iza2za2_216),BgL_iz00_3545); 
BgL_arg2768z00_3549 = 
(
(long)CINT(BgL_bpz00_215)+
(long)CINT(BgL_arg2769z00_3550)); } 
BgL_arg2767z00_3548 = 
VECTOR_REF(
((obj_t)BgL_sz00_214),BgL_arg2768z00_3549); } 
VECTOR_SET(BgL_rz00_3543,BgL_iz00_3545,BgL_arg2767z00_3548); } 
{ 
long BgL_iz00_21373;
BgL_iz00_21373 = 
(BgL_iz00_3545+((long)1)); 
BgL_iz00_3545 = BgL_iz00_21373; 
goto BgL_zc3anonymousza32765ze3z83_3546;} } } } } } 
BGL_FUNCTION_END;
}



/* free-restore */
bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_217, obj_t BgL_valza2za2_218, long BgL_spz00_219)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1187 */
{ /* Eval/evaluate_comp.scm 1188 */
long BgL_stopz00_3554;
BgL_stopz00_3554 = 
(BgL_spz00_219+
VECTOR_LENGTH(
((obj_t)BgL_valza2za2_218))); 
{ 
long BgL_iz00_3556;long BgL_spz00_3557;
BgL_iz00_3556 = ((long)0); 
BgL_spz00_3557 = BgL_spz00_219; 
BgL_zc3anonymousza32772ze3z83_3558:
if(
(BgL_spz00_3557<BgL_stopz00_3554))
{ /* Eval/evaluate_comp.scm 1190 */
{ /* Eval/evaluate_comp.scm 1191 */
obj_t BgL_arg2774z00_3560;
BgL_arg2774z00_3560 = 
VECTOR_REF(
((obj_t)BgL_valza2za2_218),BgL_iz00_3556); 
VECTOR_SET(
((obj_t)BgL_sz00_217),BgL_spz00_3557,BgL_arg2774z00_3560); } 
{ 
long BgL_spz00_21386;long BgL_iz00_21384;
BgL_iz00_21384 = 
(BgL_iz00_3556+((long)1)); 
BgL_spz00_21386 = 
(BgL_spz00_3557+((long)1)); 
BgL_spz00_3557 = BgL_spz00_21386; 
BgL_iz00_3556 = BgL_iz00_21384; 
goto BgL_zc3anonymousza32772ze3z83_3558;} }  else 
{ /* Eval/evaluate_comp.scm 1190 */
return ((bool_t)0);} } } } 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_proc5249z00zz__evaluate_compz00, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string5250z00zz__evaluate_compz00);} 
BGL_FUNCTION_END;
}



/* &comp1381 */
obj_t BGl_z62comp1381z62zz__evaluate_compz00(obj_t BgL_envz00_11150, obj_t BgL_ez00_11151, obj_t BgL_stkz00_11152)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 276 */
return 
BGl_errorz00zz__errorz00(BGl_string5161z00zz__evaluate_compz00, BGl_string5251z00zz__evaluate_compz00, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_11151)));} 
BGL_FUNCTION_END;
}



/* comp */
obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35, obj_t BgL_stkz00_36)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 276 */
{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_method1383z00_3570;
{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_res4622z00_8530;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_objzd2classzd2numz00_8503;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_res4616z00_8506;
BgL_res4616z00_8506 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_35)); 
BgL_objzd2classzd2numz00_8503 = BgL_res4616z00_8506; } 
{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_arg3949z00_8504;
BgL_arg3949z00_8504 = 
PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 276 */
int BgL_offsetz00_8508;
BgL_offsetz00_8508 = 
(int)(BgL_objzd2classzd2numz00_8503); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_offsetz00_8509;
BgL_offsetz00_8509 = 
(
(long)(BgL_offsetz00_8508)-OBJECT_TYPE); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_modz00_8510;
{ /* Eval/evaluate_comp.scm 276 */
int BgL_arg3951z00_8511;
BgL_arg3951z00_8511 = 
(int)(((long)16)); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_res4619z00_8521;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_tmpz00_21400;
BgL_tmpz00_21400 = 
(long)(BgL_arg3951z00_8511); 
BgL_res4619z00_8521 = 
(BgL_offsetz00_8509/BgL_tmpz00_21400); } 
BgL_modz00_8510 = BgL_res4619z00_8521; } } 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_restz00_8512;
{ /* Eval/evaluate_comp.scm 276 */
int BgL_arg3950z00_8513;
BgL_arg3950z00_8513 = 
(int)(((long)16)); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_res4621z00_8525;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_tmpz00_21404;
BgL_tmpz00_21404 = 
(long)(BgL_arg3950z00_8513); 
BgL_res4621z00_8525 = 
(BgL_offsetz00_8509%BgL_tmpz00_21404); } 
BgL_restz00_8512 = BgL_res4621z00_8525; } } 
{ /* Eval/evaluate_comp.scm 276 */

{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_bucketz00_8514;
BgL_bucketz00_8514 = 
VECTOR_REF(
((obj_t)BgL_arg3949z00_8504),BgL_modz00_8510); 
BgL_res4622z00_8530 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_8514),BgL_restz00_8512); } } } } } } } } 
BgL_method1383z00_3570 = BgL_res4622z00_8530; } 
return 
PROCEDURE_ENTRY(BgL_method1383z00_3570)(BgL_method1383z00_3570, 
((obj_t)BgL_ez00_35), BgL_stkz00_36, BEOA);} } 
BGL_FUNCTION_END;
}



/* &comp */
obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_11153, obj_t BgL_ez00_11154, obj_t BgL_stkz00_11155)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 276 */
{ /* Eval/evaluate_comp.scm 276 */
BgL_ev_exprz00_bglt BgL_auxz00_21417;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_11154, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 276 */
BgL_auxz00_21417 = 
((BgL_ev_exprz00_bglt)BgL_ez00_11154)
; }  else 
{ 
obj_t BgL_auxz00_21421;
BgL_auxz00_21421 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string5166z00zz__evaluate_compz00, 
BINT(((long)7022)), BGl_string5252z00zz__evaluate_compz00, BGl_string5168z00zz__evaluate_compz00, BgL_ez00_11154); 
FAILURE(BgL_auxz00_21421,BFALSE,BFALSE);} 
return 
BGl_compz00zz__evaluate_compz00(BgL_auxz00_21417, BgL_stkz00_11155);} } 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_trapz00zz__evaluate_typesz00, BGl_proc5253z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc5255z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_setlocalz00zz__evaluate_typesz00, BGl_proc5256z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc5257z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_setglobalz00zz__evaluate_typesz00, BGl_proc5258z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_defglobalz00zz__evaluate_typesz00, BGl_proc5259z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc5260z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc5261z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_orz00zz__evaluate_typesz00, BGl_proc5262z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_andz00zz__evaluate_typesz00, BGl_proc5263z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc5264z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letz00zz__evaluate_typesz00, BGl_proc5265z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letza2za2zz__evaluate_typesz00, BGl_proc5266z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letrecz00zz__evaluate_typesz00, BGl_proc5267z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc5268z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc5269z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc5270z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc5271z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc5272z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc5273z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc5274z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc5275z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00);} 
BGL_FUNCTION_END;
}



/* &comp-ev_abs1427 */
obj_t BGl_z62compzd2ev_abs1427zb0zz__evaluate_compz00(obj_t BgL_envz00_11350, obj_t BgL_ez00_11351, obj_t BgL_stkz00_11352)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1158 */
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_ifreesz00_13434;obj_t BgL_iboxesz00_13435;long BgL_siza7eza7_13436;long BgL_siza7ezd2framez75_13437;obj_t BgL_nstkz00_13438;
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_arg3666z00_13439;
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_l1359z00_13440;
BgL_l1359z00_13440 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11351)))->BgL_freez00); 
if(
NULLP(BgL_l1359z00_13440))
{ /* Eval/evaluate_comp.scm 1160 */
BgL_arg3666z00_13439 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_head1361z00_13441;
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_res4712z00_13442;
BgL_res4712z00_13442 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1361z00_13441 = BgL_res4712z00_13442; } 
{ 
obj_t BgL_l1359z00_13444;obj_t BgL_tail1362z00_13445;
BgL_l1359z00_13444 = BgL_l1359z00_13440; 
BgL_tail1362z00_13445 = BgL_head1361z00_13441; 
BgL_zc3anonymousza33668ze3z83_13443:
if(
NULLP(BgL_l1359z00_13444))
{ /* Eval/evaluate_comp.scm 1160 */
BgL_arg3666z00_13439 = 
CDR(BgL_head1361z00_13441); }  else 
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_newtail1363z00_13446;
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_arg3671z00_13447;
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_vz00_13448;
BgL_vz00_13448 = 
CAR(
((obj_t)BgL_l1359z00_13444)); 
BgL_arg3671z00_13447 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_13448, BgL_stkz00_11352); } 
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_res4714z00_13449;
BgL_res4714z00_13449 = 
MAKE_YOUNG_PAIR(BgL_arg3671z00_13447, BNIL); 
BgL_newtail1363z00_13446 = BgL_res4714z00_13449; } } 
SET_CDR(BgL_tail1362z00_13445, BgL_newtail1363z00_13446); 
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_arg3670z00_13450;
BgL_arg3670z00_13450 = 
CDR(
((obj_t)BgL_l1359z00_13444)); 
{ 
obj_t BgL_tail1362z00_21464;obj_t BgL_l1359z00_21463;
BgL_l1359z00_21463 = BgL_arg3670z00_13450; 
BgL_tail1362z00_21464 = BgL_newtail1363z00_13446; 
BgL_tail1362z00_13445 = BgL_tail1362z00_21464; 
BgL_l1359z00_13444 = BgL_l1359z00_21463; 
goto BgL_zc3anonymousza33668ze3z83_13443;} } } } } } 
BgL_ifreesz00_13434 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3666z00_13439); } 
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_arg3672z00_13451;
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_l1364z00_13452;
BgL_l1364z00_13452 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11351)))->BgL_boxesz00); 
if(
NULLP(BgL_l1364z00_13452))
{ /* Eval/evaluate_comp.scm 1161 */
BgL_arg3672z00_13451 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_head1366z00_13453;
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_res4716z00_13454;
BgL_res4716z00_13454 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1366z00_13453 = BgL_res4716z00_13454; } 
{ 
obj_t BgL_l1364z00_13456;obj_t BgL_tail1367z00_13457;
BgL_l1364z00_13456 = BgL_l1364z00_13452; 
BgL_tail1367z00_13457 = BgL_head1366z00_13453; 
BgL_zc3anonymousza33674ze3z83_13455:
if(
NULLP(BgL_l1364z00_13456))
{ /* Eval/evaluate_comp.scm 1161 */
BgL_arg3672z00_13451 = 
CDR(BgL_head1366z00_13453); }  else 
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_newtail1368z00_13458;
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_arg3677z00_13459;
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_vz00_13460;
BgL_vz00_13460 = 
CAR(
((obj_t)BgL_l1364z00_13456)); 
BgL_arg3677z00_13459 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_13460, 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11351)))->BgL_varsz00)); } 
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_res4718z00_13461;
BgL_res4718z00_13461 = 
MAKE_YOUNG_PAIR(BgL_arg3677z00_13459, BNIL); 
BgL_newtail1368z00_13458 = BgL_res4718z00_13461; } } 
SET_CDR(BgL_tail1367z00_13457, BgL_newtail1368z00_13458); 
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_arg3676z00_13462;
BgL_arg3676z00_13462 = 
CDR(
((obj_t)BgL_l1364z00_13456)); 
{ 
obj_t BgL_tail1367z00_21484;obj_t BgL_l1364z00_21483;
BgL_l1364z00_21483 = BgL_arg3676z00_13462; 
BgL_tail1367z00_21484 = BgL_newtail1368z00_13458; 
BgL_tail1367z00_13457 = BgL_tail1367z00_21484; 
BgL_l1364z00_13456 = BgL_l1364z00_21483; 
goto BgL_zc3anonymousza33674ze3z83_13455;} } } } } } 
BgL_iboxesz00_13435 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3672z00_13451); } 
BgL_siza7eza7_13436 = 
bgl_list_length(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11351)))->BgL_varsz00)); 
BgL_siza7ezd2framez75_13437 = 
(
(long)(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11351)))->BgL_siza7eza7))+
bgl_list_length(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11351)))->BgL_freez00))); 
BgL_nstkz00_13438 = 
BGl_appendzd221009zd2zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11351)))->BgL_varsz00), 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11351)))->BgL_freez00)); 
{ /* Eval/evaluate_comp.scm 1165 */
obj_t BgL_bodyz00_13463;
BgL_bodyz00_13463 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11351)))->BgL_bodyz00), BgL_nstkz00_13438); 
{ 

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_aux1244z00_13469;
BgL_aux1244z00_13469 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11351)))->BgL_arityz00); 
if(
INTEGERP(BgL_aux1244z00_13469))
{ /* Eval/evaluate_comp.scm 1167 */
switch( 
(long)CINT(BgL_aux1244z00_13469)) { case ((long)0) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33128ze3z83_13470;
BgL_zc3anonymousza33128ze3z83_13470 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33128ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33128ze3z83_13470, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33128ze3z83_13470, 
(int)(((long)1)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33128ze3z83_13470, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33128ze3z83_13470;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33134ze3z83_13471;
BgL_zc3anonymousza33134ze3z83_13471 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33134ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33134ze3z83_13471, 
(int)(((long)0)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33134ze3z83_13471, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33134ze3z83_13471, 
(int)(((long)2)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33134ze3z83_13471, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33134ze3z83_13471;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33143ze3z83_13472;
BgL_zc3anonymousza33143ze3z83_13472 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33143ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33143ze3z83_13472, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33143ze3z83_13472, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33143ze3z83_13472, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33143ze3z83_13472, 
(int)(((long)3)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33143ze3z83_13472, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33143ze3z83_13472;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33150ze3z83_13473;
BgL_zc3anonymousza33150ze3z83_13473 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33150ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33150ze3z83_13473, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33150ze3z83_13473, 
(int)(((long)1)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33150ze3z83_13473, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33150ze3z83_13473, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33150ze3z83_13473, 
(int)(((long)4)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33150ze3z83_13473, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33150ze3z83_13473;} } break;case ((long)-1) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33163ze3z83_13474;
BgL_zc3anonymousza33163ze3z83_13474 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33163ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33163ze3z83_13474, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33163ze3z83_13474, 
(int)(((long)1)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33163ze3z83_13474, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33163ze3z83_13474;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33170ze3z83_13475;
BgL_zc3anonymousza33170ze3z83_13475 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33170ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33170ze3z83_13475, 
(int)(((long)0)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33170ze3z83_13475, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33170ze3z83_13475, 
(int)(((long)2)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33170ze3z83_13475, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33170ze3z83_13475;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33180ze3z83_13476;
BgL_zc3anonymousza33180ze3z83_13476 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33180ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33180ze3z83_13476, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33180ze3z83_13476, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33180ze3z83_13476, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33180ze3z83_13476, 
(int)(((long)3)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33180ze3z83_13476, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33180ze3z83_13476;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33188ze3z83_13477;
BgL_zc3anonymousza33188ze3z83_13477 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33188ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33188ze3z83_13477, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33188ze3z83_13477, 
(int)(((long)1)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33188ze3z83_13477, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33188ze3z83_13477, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33188ze3z83_13477, 
(int)(((long)4)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33188ze3z83_13477, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33188ze3z83_13477;} } break;case ((long)1) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33202ze3z83_13478;
BgL_zc3anonymousza33202ze3z83_13478 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33202ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33202ze3z83_13478, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33202ze3z83_13478, 
(int)(((long)1)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33202ze3z83_13478, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33202ze3z83_13478;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33209ze3z83_13479;
BgL_zc3anonymousza33209ze3z83_13479 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33209ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33209ze3z83_13479, 
(int)(((long)0)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33209ze3z83_13479, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33209ze3z83_13479, 
(int)(((long)2)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33209ze3z83_13479, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33209ze3z83_13479;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33219ze3z83_13480;
BgL_zc3anonymousza33219ze3z83_13480 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33219ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33219ze3z83_13480, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33219ze3z83_13480, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33219ze3z83_13480, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33219ze3z83_13480, 
(int)(((long)3)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33219ze3z83_13480, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33219ze3z83_13480;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33227ze3z83_13481;
BgL_zc3anonymousza33227ze3z83_13481 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33227ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33227ze3z83_13481, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33227ze3z83_13481, 
(int)(((long)1)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33227ze3z83_13481, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33227ze3z83_13481, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33227ze3z83_13481, 
(int)(((long)4)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33227ze3z83_13481, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33227ze3z83_13481;} } break;case ((long)-2) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33241ze3z83_13482;
BgL_zc3anonymousza33241ze3z83_13482 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33241ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33241ze3z83_13482, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33241ze3z83_13482, 
(int)(((long)1)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33241ze3z83_13482, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33241ze3z83_13482;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33249ze3z83_13483;
BgL_zc3anonymousza33249ze3z83_13483 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33249ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33249ze3z83_13483, 
(int)(((long)0)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33249ze3z83_13483, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33249ze3z83_13483, 
(int)(((long)2)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33249ze3z83_13483, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33249ze3z83_13483;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33260ze3z83_13484;
BgL_zc3anonymousza33260ze3z83_13484 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33260ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33260ze3z83_13484, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33260ze3z83_13484, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33260ze3z83_13484, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33260ze3z83_13484, 
(int)(((long)3)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33260ze3z83_13484, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33260ze3z83_13484;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33269ze3z83_13485;
BgL_zc3anonymousza33269ze3z83_13485 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33269ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33269ze3z83_13485, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33269ze3z83_13485, 
(int)(((long)1)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33269ze3z83_13485, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33269ze3z83_13485, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33269ze3z83_13485, 
(int)(((long)4)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33269ze3z83_13485, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33269ze3z83_13485;} } break;case ((long)2) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33284ze3z83_13486;
BgL_zc3anonymousza33284ze3z83_13486 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33284ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33284ze3z83_13486, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33284ze3z83_13486, 
(int)(((long)1)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33284ze3z83_13486, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33284ze3z83_13486;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33292ze3z83_13487;
BgL_zc3anonymousza33292ze3z83_13487 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33292ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33292ze3z83_13487, 
(int)(((long)0)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33292ze3z83_13487, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33292ze3z83_13487, 
(int)(((long)2)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33292ze3z83_13487, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33292ze3z83_13487;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33303ze3z83_13488;
BgL_zc3anonymousza33303ze3z83_13488 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33303ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33303ze3z83_13488, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33303ze3z83_13488, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33303ze3z83_13488, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33303ze3z83_13488, 
(int)(((long)3)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33303ze3z83_13488, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33303ze3z83_13488;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33312ze3z83_13489;
BgL_zc3anonymousza33312ze3z83_13489 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33312ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33312ze3z83_13489, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33312ze3z83_13489, 
(int)(((long)1)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33312ze3z83_13489, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33312ze3z83_13489, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33312ze3z83_13489, 
(int)(((long)4)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33312ze3z83_13489, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33312ze3z83_13489;} } break;case ((long)-3) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33327ze3z83_13490;
BgL_zc3anonymousza33327ze3z83_13490 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33327ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33327ze3z83_13490, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33327ze3z83_13490, 
(int)(((long)1)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33327ze3z83_13490, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33327ze3z83_13490;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33336ze3z83_13491;
BgL_zc3anonymousza33336ze3z83_13491 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33336ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33336ze3z83_13491, 
(int)(((long)0)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33336ze3z83_13491, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33336ze3z83_13491, 
(int)(((long)2)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33336ze3z83_13491, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33336ze3z83_13491;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33348ze3z83_13492;
BgL_zc3anonymousza33348ze3z83_13492 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33348ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33348ze3z83_13492, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33348ze3z83_13492, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33348ze3z83_13492, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33348ze3z83_13492, 
(int)(((long)3)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33348ze3z83_13492, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33348ze3z83_13492;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33358ze3z83_13493;
BgL_zc3anonymousza33358ze3z83_13493 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33358ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33358ze3z83_13493, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33358ze3z83_13493, 
(int)(((long)1)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33358ze3z83_13493, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33358ze3z83_13493, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33358ze3z83_13493, 
(int)(((long)4)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33358ze3z83_13493, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33358ze3z83_13493;} } break;case ((long)3) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33374ze3z83_13494;
BgL_zc3anonymousza33374ze3z83_13494 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33374ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33374ze3z83_13494, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33374ze3z83_13494, 
(int)(((long)1)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33374ze3z83_13494, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33374ze3z83_13494;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33383ze3z83_13495;
BgL_zc3anonymousza33383ze3z83_13495 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33383ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33383ze3z83_13495, 
(int)(((long)0)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33383ze3z83_13495, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33383ze3z83_13495, 
(int)(((long)2)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33383ze3z83_13495, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33383ze3z83_13495;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33395ze3z83_13496;
BgL_zc3anonymousza33395ze3z83_13496 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33395ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33395ze3z83_13496, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33395ze3z83_13496, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33395ze3z83_13496, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33395ze3z83_13496, 
(int)(((long)3)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33395ze3z83_13496, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33395ze3z83_13496;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33405ze3z83_13497;
BgL_zc3anonymousza33405ze3z83_13497 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33405ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33405ze3z83_13497, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33405ze3z83_13497, 
(int)(((long)1)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33405ze3z83_13497, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33405ze3z83_13497, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33405ze3z83_13497, 
(int)(((long)4)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33405ze3z83_13497, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33405ze3z83_13497;} } break;case ((long)-4) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33421ze3z83_13498;
BgL_zc3anonymousza33421ze3z83_13498 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33421ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33421ze3z83_13498, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33421ze3z83_13498, 
(int)(((long)1)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33421ze3z83_13498, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33421ze3z83_13498;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33431ze3z83_13499;
BgL_zc3anonymousza33431ze3z83_13499 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33431ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33431ze3z83_13499, 
(int)(((long)0)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33431ze3z83_13499, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33431ze3z83_13499, 
(int)(((long)2)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33431ze3z83_13499, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33431ze3z83_13499;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33444ze3z83_13500;
BgL_zc3anonymousza33444ze3z83_13500 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33444ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33444ze3z83_13500, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33444ze3z83_13500, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33444ze3z83_13500, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33444ze3z83_13500, 
(int)(((long)3)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33444ze3z83_13500, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33444ze3z83_13500;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33455ze3z83_13501;
BgL_zc3anonymousza33455ze3z83_13501 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33455ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33455ze3z83_13501, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33455ze3z83_13501, 
(int)(((long)1)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33455ze3z83_13501, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33455ze3z83_13501, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33455ze3z83_13501, 
(int)(((long)4)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33455ze3z83_13501, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33455ze3z83_13501;} } break;case ((long)4) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33472ze3z83_13502;
BgL_zc3anonymousza33472ze3z83_13502 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33472ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33472ze3z83_13502, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33472ze3z83_13502, 
(int)(((long)1)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33472ze3z83_13502, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33472ze3z83_13502;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33482ze3z83_13503;
BgL_zc3anonymousza33482ze3z83_13503 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33482ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33482ze3z83_13503, 
(int)(((long)0)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33482ze3z83_13503, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33482ze3z83_13503, 
(int)(((long)2)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33482ze3z83_13503, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33482ze3z83_13503;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33495ze3z83_13504;
BgL_zc3anonymousza33495ze3z83_13504 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33495ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33495ze3z83_13504, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33495ze3z83_13504, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33495ze3z83_13504, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33495ze3z83_13504, 
(int)(((long)3)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33495ze3z83_13504, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33495ze3z83_13504;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33506ze3z83_13505;
BgL_zc3anonymousza33506ze3z83_13505 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33506ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33506ze3z83_13505, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33506ze3z83_13505, 
(int)(((long)1)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33506ze3z83_13505, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33506ze3z83_13505, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33506ze3z83_13505, 
(int)(((long)4)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33506ze3z83_13505, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33506ze3z83_13505;} } break;case ((long)-5) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33523ze3z83_13506;
BgL_zc3anonymousza33523ze3z83_13506 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33523ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33523ze3z83_13506, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33523ze3z83_13506, 
(int)(((long)1)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33523ze3z83_13506, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33523ze3z83_13506;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33534ze3z83_13507;
BgL_zc3anonymousza33534ze3z83_13507 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33534ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33534ze3z83_13507, 
(int)(((long)0)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33534ze3z83_13507, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33534ze3z83_13507, 
(int)(((long)2)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33534ze3z83_13507, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33534ze3z83_13507;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33548ze3z83_13508;
BgL_zc3anonymousza33548ze3z83_13508 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33548ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33548ze3z83_13508, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33548ze3z83_13508, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33548ze3z83_13508, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33548ze3z83_13508, 
(int)(((long)3)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33548ze3z83_13508, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33548ze3z83_13508;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33560ze3z83_13509;
BgL_zc3anonymousza33560ze3z83_13509 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33560ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33560ze3z83_13509, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33560ze3z83_13509, 
(int)(((long)1)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33560ze3z83_13509, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33560ze3z83_13509, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33560ze3z83_13509, 
(int)(((long)4)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33560ze3z83_13509, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33560ze3z83_13509;} } break;
default: 
BgL_case_else1243z00_13464:
if(
(
VECTOR_LENGTH(BgL_ifreesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33578ze3z83_13465;
BgL_zc3anonymousza33578ze3z83_13465 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33578ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33578ze3z83_13465, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33578ze3z83_13465, 
(int)(((long)1)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33578ze3z83_13465, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33578ze3z83_13465;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33598ze3z83_13466;
BgL_zc3anonymousza33598ze3z83_13466 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33598ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33598ze3z83_13466, 
(int)(((long)0)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33598ze3z83_13466, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33598ze3z83_13466, 
(int)(((long)2)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33598ze3z83_13466, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33598ze3z83_13466;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13435)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33621ze3z83_13467;
BgL_zc3anonymousza33621ze3z83_13467 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33621ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33621ze3z83_13467, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33621ze3z83_13467, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33621ze3z83_13467, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33621ze3z83_13467, 
(int)(((long)3)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33621ze3z83_13467, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33621ze3z83_13467;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33642ze3z83_13468;
BgL_zc3anonymousza33642ze3z83_13468 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33642ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33642ze3z83_13468, 
(int)(((long)0)), BgL_ifreesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33642ze3z83_13468, 
(int)(((long)1)), BgL_iboxesz00_13435); 
PROCEDURE_SET(BgL_zc3anonymousza33642ze3z83_13468, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13436)); 
PROCEDURE_SET(BgL_zc3anonymousza33642ze3z83_13468, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11351))); 
PROCEDURE_SET(BgL_zc3anonymousza33642ze3z83_13468, 
(int)(((long)4)), BgL_bodyz00_13463); 
PROCEDURE_SET(BgL_zc3anonymousza33642ze3z83_13468, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13437)); 
return BgL_zc3anonymousza33642ze3z83_13468;} } } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
goto BgL_case_else1243z00_13464;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3523> */
obj_t BGl_z62zc3anonymousza33523ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11353, obj_t BgL_sz00_11357)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11354;obj_t BgL_bodyz00_11355;long BgL_siza7ezd2framez75_11356;
BgL_i1242z00_11354 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11353, 
(int)(((long)0)))); 
BgL_bodyz00_11355 = 
PROCEDURE_REF(BgL_envz00_11353, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11356 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11353, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13510;
BgL_bpz00_13510 = 
VECTOR_REF(
((obj_t)BgL_sz00_11357),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13511;
BgL_runz00_13511 = 
MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13511, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11354)); 
PROCEDURE_SET(BgL_runz00_13511, 
(int)(((long)1)), BgL_bodyz00_11355); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13512;
BgL_mainz00_13512 = 
MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13512, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11354)); 
PROCEDURE_SET(BgL_mainz00_13512, 
(int)(((long)1)), BgL_bodyz00_11355); 
PROCEDURE_SET(BgL_mainz00_13512, 
(int)(((long)2)), BgL_runz00_13511); 
PROCEDURE_SET(BgL_mainz00_13512, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11356)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13513;
BgL_objz00_13513 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13511, BgL_objz00_13513); BgL_objz00_13513; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3524z00_13514;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3525z00_13515;
BgL_arg3525z00_13515 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11354))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13516;
BgL_newz00_13516 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22326;
BgL_tmpz00_22326 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13516, BgL_tmpz00_22326, BgL_arg3525z00_13515); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22331;int BgL_tmpz00_22329;
BgL_auxz00_22331 = 
BINT(BgL_siza7ezd2framez75_11356); 
BgL_tmpz00_22329 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13516, BgL_tmpz00_22329, BgL_auxz00_22331); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22334;
BgL_tmpz00_22334 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13516, BgL_tmpz00_22334, BgL_runz00_13511); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22339;int BgL_tmpz00_22337;
BgL_auxz00_22339 = 
BINT(((long)-5)); 
BgL_tmpz00_22337 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13516, BgL_tmpz00_22337, BgL_auxz00_22339); } 
BgL_arg3524z00_13514 = BgL_newz00_13516; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13512, BgL_arg3524z00_13514); BgL_arg3524z00_13514; } 
return BgL_mainz00_13512;} } } } } } 
BGL_FUNCTION_END;
}



/* &main */
obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_11358, obj_t BgL_az00_11363, obj_t BgL_bz00_11364, obj_t BgL_cz00_11365, obj_t BgL_dz00_11366, obj_t BgL_lastz00_11367)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11361;long BgL_siza7ezd2framez75_11362;
BgL_runz00_11361 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11358, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11362 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11358, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13517;
BgL_sz00_13517 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13518;
BgL_bpz00_13518 = 
VECTOR_REF(
((obj_t)BgL_sz00_13517),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13517, BgL_bpz00_13518, 
BINT(BgL_siza7ezd2framez75_11362)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3528z00_13519;
BgL_arg3528z00_13519 = 
(
(long)CINT(BgL_bpz00_13518)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13517),BgL_arg3528z00_13519,BgL_az00_11363); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3529z00_13520;
BgL_arg3529z00_13520 = 
(
(long)CINT(BgL_bpz00_13518)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13517),BgL_arg3529z00_13520,BgL_bz00_11364); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3530z00_13521;
BgL_arg3530z00_13521 = 
(
(long)CINT(BgL_bpz00_13518)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13517),BgL_arg3530z00_13521,BgL_cz00_11365); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3531z00_13522;
BgL_arg3531z00_13522 = 
(
(long)CINT(BgL_bpz00_13518)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13517),BgL_arg3531z00_13522,BgL_dz00_11366); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3532z00_13523;
BgL_arg3532z00_13523 = 
(
(long)CINT(BgL_bpz00_13518)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_13517),BgL_arg3532z00_13523,BgL_lastz00_11367); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13524;
BgL_ez00_13524 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13524, BgL_bpz00_13518); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13525;
BgL_accz00_13525 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11361, BgL_sz00_13517, BgL_bpz00_13518); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13524); 
VECTOR_SET(
((obj_t)BgL_sz00_13517),((long)0),BgL_bpz00_13518); 
return BgL_accz00_13525;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13526;
BgL_nsz00_13526 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13526,((long)1),BgL_sz00_13517); 
VECTOR_SET(BgL_nsz00_13526,((long)2),BgL_az00_11363); 
VECTOR_SET(BgL_nsz00_13526,((long)3),BgL_bz00_11364); 
VECTOR_SET(BgL_nsz00_13526,((long)4),BgL_cz00_11365); 
VECTOR_SET(BgL_nsz00_13526,((long)5),BgL_dz00_11366); 
VECTOR_SET(BgL_nsz00_13526,((long)6),BgL_lastz00_11367); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13527;
BgL_z12denvz12_13527 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13527, BgL_nsz00_13526); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13528;
BgL_ez00_13528 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13528, BgL_sz00_13517); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13529;
BgL_____rz00_13529 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11361, BgL_nsz00_13526, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13528); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13527, BgL_sz00_13517); 
return BgL_____rz00_13529;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run */
obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_11368, obj_t BgL_sz00_11371)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11369;obj_t BgL_bodyz00_11370;
BgL_i1242z00_11369 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11368, 
(int)(((long)0)))); 
BgL_bodyz00_11370 = 
PROCEDURE_REF(BgL_envz00_11368, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13530;
BgL_bpz00_13530 = 
VECTOR_REF(
((obj_t)BgL_sz00_11371),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13531;obj_t BgL_wherez00_13532;obj_t BgL_locz00_13533;
BgL_z12denvz12_13531 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13532 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11369))->BgL_wherez00); 
BgL_locz00_13533 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11369))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13531, BgL_wherez00_13532, BgL_locz00_13533); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13534;
BgL_za2za2resza2za2z00_13534 = 
PROCEDURE_ENTRY(BgL_bodyz00_11370)(BgL_bodyz00_11370, BgL_sz00_11371, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13531); 
return BgL_za2za2resza2za2z00_13534;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3534> */
obj_t BGl_z62zc3anonymousza33534ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11372, obj_t BgL_sz00_11377)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11373;BgL_ev_absz00_bglt BgL_i1242z00_11374;obj_t BgL_bodyz00_11375;long BgL_siza7ezd2framez75_11376;
BgL_iboxesz00_11373 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11372, 
(int)(((long)0)))); 
BgL_i1242z00_11374 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11372, 
(int)(((long)1)))); 
BgL_bodyz00_11375 = 
PROCEDURE_REF(BgL_envz00_11372, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11376 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11372, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13535;
BgL_bpz00_13535 = 
VECTOR_REF(
((obj_t)BgL_sz00_11377),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13536;
BgL_runz00_13536 = 
MAKE_FX_PROCEDURE(BGl_z62run5064z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13536, 
(int)(((long)0)), BgL_iboxesz00_11373); 
PROCEDURE_SET(BgL_runz00_13536, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11374)); 
PROCEDURE_SET(BgL_runz00_13536, 
(int)(((long)2)), BgL_bodyz00_11375); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13537;
BgL_mainz00_13537 = 
MAKE_VA_PROCEDURE(BGl_z62main5063z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13537, 
(int)(((long)0)), BgL_iboxesz00_11373); 
PROCEDURE_SET(BgL_mainz00_13537, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11374)); 
PROCEDURE_SET(BgL_mainz00_13537, 
(int)(((long)2)), BgL_bodyz00_11375); 
PROCEDURE_SET(BgL_mainz00_13537, 
(int)(((long)3)), BgL_runz00_13536); 
PROCEDURE_SET(BgL_mainz00_13537, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11376)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13538;
BgL_objz00_13538 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13536, BgL_objz00_13538); BgL_objz00_13538; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3535z00_13539;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3536z00_13540;
BgL_arg3536z00_13540 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11374))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13541;
BgL_newz00_13541 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22454;
BgL_tmpz00_22454 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13541, BgL_tmpz00_22454, BgL_arg3536z00_13540); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22459;int BgL_tmpz00_22457;
BgL_auxz00_22459 = 
BINT(BgL_siza7ezd2framez75_11376); 
BgL_tmpz00_22457 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13541, BgL_tmpz00_22457, BgL_auxz00_22459); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22462;
BgL_tmpz00_22462 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13541, BgL_tmpz00_22462, BgL_runz00_13536); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22467;int BgL_tmpz00_22465;
BgL_auxz00_22467 = 
BINT(((long)-5)); 
BgL_tmpz00_22465 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13541, BgL_tmpz00_22465, BgL_auxz00_22467); } 
BgL_arg3535z00_13539 = BgL_newz00_13541; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13537, BgL_arg3535z00_13539); BgL_arg3535z00_13539; } 
return BgL_mainz00_13537;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5063 */
obj_t BGl_z62main5063z62zz__evaluate_compz00(obj_t BgL_envz00_11378, obj_t BgL_az00_11384, obj_t BgL_bz00_11385, obj_t BgL_cz00_11386, obj_t BgL_dz00_11387, obj_t BgL_lastz00_11388)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11382;long BgL_siza7ezd2framez75_11383;
BgL_runz00_11382 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11378, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11383 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11378, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13542;
BgL_sz00_13542 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13543;
BgL_bpz00_13543 = 
VECTOR_REF(
((obj_t)BgL_sz00_13542),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13542, BgL_bpz00_13543, 
BINT(BgL_siza7ezd2framez75_11383)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3539z00_13544;
BgL_arg3539z00_13544 = 
(
(long)CINT(BgL_bpz00_13543)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13542),BgL_arg3539z00_13544,BgL_az00_11384); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3540z00_13545;
BgL_arg3540z00_13545 = 
(
(long)CINT(BgL_bpz00_13543)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13542),BgL_arg3540z00_13545,BgL_bz00_11385); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3541z00_13546;
BgL_arg3541z00_13546 = 
(
(long)CINT(BgL_bpz00_13543)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13542),BgL_arg3541z00_13546,BgL_cz00_11386); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3542z00_13547;
BgL_arg3542z00_13547 = 
(
(long)CINT(BgL_bpz00_13543)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13542),BgL_arg3542z00_13547,BgL_dz00_11387); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3543z00_13548;
BgL_arg3543z00_13548 = 
(
(long)CINT(BgL_bpz00_13543)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_13542),BgL_arg3543z00_13548,BgL_lastz00_11388); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13549;
BgL_ez00_13549 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13549, BgL_bpz00_13543); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13550;
BgL_accz00_13550 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11382, BgL_sz00_13542, BgL_bpz00_13543); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13549); 
VECTOR_SET(
((obj_t)BgL_sz00_13542),((long)0),BgL_bpz00_13543); 
return BgL_accz00_13550;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13551;
BgL_nsz00_13551 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13551,((long)1),BgL_sz00_13542); 
VECTOR_SET(BgL_nsz00_13551,((long)2),BgL_az00_11384); 
VECTOR_SET(BgL_nsz00_13551,((long)3),BgL_bz00_11385); 
VECTOR_SET(BgL_nsz00_13551,((long)4),BgL_cz00_11386); 
VECTOR_SET(BgL_nsz00_13551,((long)5),BgL_dz00_11387); 
VECTOR_SET(BgL_nsz00_13551,((long)6),BgL_lastz00_11388); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13552;
BgL_z12denvz12_13552 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13552, BgL_nsz00_13551); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13553;
BgL_ez00_13553 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13553, BgL_sz00_13542); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13554;
BgL_____rz00_13554 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11382, BgL_nsz00_13551, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13553); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13552, BgL_sz00_13542); 
return BgL_____rz00_13554;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5064 */
obj_t BGl_z62run5064z62zz__evaluate_compz00(obj_t BgL_envz00_11389, obj_t BgL_sz00_11393)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11390;BgL_ev_absz00_bglt BgL_i1242z00_11391;obj_t BgL_bodyz00_11392;
BgL_iboxesz00_11390 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11389, 
(int)(((long)0)))); 
BgL_i1242z00_11391 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11389, 
(int)(((long)1)))); 
BgL_bodyz00_11392 = 
PROCEDURE_REF(BgL_envz00_11389, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13555;
BgL_bpz00_13555 = 
VECTOR_REF(
((obj_t)BgL_sz00_11393),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11393, BgL_iboxesz00_11390, BgL_bpz00_13555); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13556;obj_t BgL_wherez00_13557;obj_t BgL_locz00_13558;
BgL_z12denvz12_13556 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13557 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11391))->BgL_wherez00); 
BgL_locz00_13558 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11391))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13556, BgL_wherez00_13557, BgL_locz00_13558); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13559;
BgL_za2za2resza2za2z00_13559 = 
PROCEDURE_ENTRY(BgL_bodyz00_11392)(BgL_bodyz00_11392, BgL_sz00_11393, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13556); 
return BgL_za2za2resza2za2z00_13559;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3548> */
obj_t BGl_z62zc3anonymousza33548ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11394, obj_t BgL_sz00_11400)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11395;long BgL_siza7eza7_11396;BgL_ev_absz00_bglt BgL_i1242z00_11397;obj_t BgL_bodyz00_11398;long BgL_siza7ezd2framez75_11399;
BgL_ifreesz00_11395 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11394, 
(int)(((long)0)))); 
BgL_siza7eza7_11396 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11394, 
(int)(((long)1)))); 
BgL_i1242z00_11397 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11394, 
(int)(((long)2)))); 
BgL_bodyz00_11398 = 
PROCEDURE_REF(BgL_envz00_11394, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11399 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11394, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13560;
BgL_bpz00_13560 = 
VECTOR_REF(
((obj_t)BgL_sz00_11400),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13561;
BgL_valza2za2_13561 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11400, BgL_bpz00_13560, BgL_ifreesz00_11395); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13562;
BgL_runz00_13562 = 
MAKE_FX_PROCEDURE(BGl_z62run5066z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13562, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11396)); 
PROCEDURE_SET(BgL_runz00_13562, 
(int)(((long)1)), BgL_valza2za2_13561); 
PROCEDURE_SET(BgL_runz00_13562, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11397)); 
PROCEDURE_SET(BgL_runz00_13562, 
(int)(((long)3)), BgL_bodyz00_11398); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13563;
BgL_mainz00_13563 = 
MAKE_VA_PROCEDURE(BGl_z62main5065z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13563, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11396)); 
PROCEDURE_SET(BgL_mainz00_13563, 
(int)(((long)1)), BgL_valza2za2_13561); 
PROCEDURE_SET(BgL_mainz00_13563, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11397)); 
PROCEDURE_SET(BgL_mainz00_13563, 
(int)(((long)3)), BgL_bodyz00_11398); 
PROCEDURE_SET(BgL_mainz00_13563, 
(int)(((long)4)), BgL_runz00_13562); 
PROCEDURE_SET(BgL_mainz00_13563, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11399)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13564;
BgL_objz00_13564 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13562, BgL_objz00_13564); BgL_objz00_13564; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3549z00_13565;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3550z00_13566;
BgL_arg3550z00_13566 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11397))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13567;
BgL_newz00_13567 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22596;
BgL_tmpz00_22596 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13567, BgL_tmpz00_22596, BgL_arg3550z00_13566); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22601;int BgL_tmpz00_22599;
BgL_auxz00_22601 = 
BINT(BgL_siza7ezd2framez75_11399); 
BgL_tmpz00_22599 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13567, BgL_tmpz00_22599, BgL_auxz00_22601); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22604;
BgL_tmpz00_22604 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13567, BgL_tmpz00_22604, BgL_runz00_13562); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22609;int BgL_tmpz00_22607;
BgL_auxz00_22609 = 
BINT(((long)-5)); 
BgL_tmpz00_22607 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13567, BgL_tmpz00_22607, BgL_auxz00_22609); } 
BgL_arg3549z00_13565 = BgL_newz00_13567; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13563, BgL_arg3549z00_13565); BgL_arg3549z00_13565; } 
return BgL_mainz00_13563;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5065 */
obj_t BGl_z62main5065z62zz__evaluate_compz00(obj_t BgL_envz00_11401, obj_t BgL_az00_11408, obj_t BgL_bz00_11409, obj_t BgL_cz00_11410, obj_t BgL_dz00_11411, obj_t BgL_lastz00_11412)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11406;long BgL_siza7ezd2framez75_11407;
BgL_runz00_11406 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11401, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11407 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11401, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13568;
BgL_sz00_13568 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13569;
BgL_bpz00_13569 = 
VECTOR_REF(
((obj_t)BgL_sz00_13568),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13568, BgL_bpz00_13569, 
BINT(BgL_siza7ezd2framez75_11407)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3553z00_13570;
BgL_arg3553z00_13570 = 
(
(long)CINT(BgL_bpz00_13569)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13568),BgL_arg3553z00_13570,BgL_az00_11408); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3554z00_13571;
BgL_arg3554z00_13571 = 
(
(long)CINT(BgL_bpz00_13569)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13568),BgL_arg3554z00_13571,BgL_bz00_11409); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3555z00_13572;
BgL_arg3555z00_13572 = 
(
(long)CINT(BgL_bpz00_13569)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13568),BgL_arg3555z00_13572,BgL_cz00_11410); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3556z00_13573;
BgL_arg3556z00_13573 = 
(
(long)CINT(BgL_bpz00_13569)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13568),BgL_arg3556z00_13573,BgL_dz00_11411); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3557z00_13574;
BgL_arg3557z00_13574 = 
(
(long)CINT(BgL_bpz00_13569)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_13568),BgL_arg3557z00_13574,BgL_lastz00_11412); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13575;
BgL_ez00_13575 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13575, BgL_bpz00_13569); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13576;
BgL_accz00_13576 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11406, BgL_sz00_13568, BgL_bpz00_13569); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13575); 
VECTOR_SET(
((obj_t)BgL_sz00_13568),((long)0),BgL_bpz00_13569); 
return BgL_accz00_13576;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13577;
BgL_nsz00_13577 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13577,((long)1),BgL_sz00_13568); 
VECTOR_SET(BgL_nsz00_13577,((long)2),BgL_az00_11408); 
VECTOR_SET(BgL_nsz00_13577,((long)3),BgL_bz00_11409); 
VECTOR_SET(BgL_nsz00_13577,((long)4),BgL_cz00_11410); 
VECTOR_SET(BgL_nsz00_13577,((long)5),BgL_dz00_11411); 
VECTOR_SET(BgL_nsz00_13577,((long)6),BgL_lastz00_11412); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13578;
BgL_z12denvz12_13578 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13578, BgL_nsz00_13577); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13579;
BgL_ez00_13579 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13579, BgL_sz00_13568); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13580;
BgL_____rz00_13580 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11406, BgL_nsz00_13577, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13579); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13578, BgL_sz00_13568); 
return BgL_____rz00_13580;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5066 */
obj_t BGl_z62run5066z62zz__evaluate_compz00(obj_t BgL_envz00_11413, obj_t BgL_sz00_11418)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11414;obj_t BgL_valza2za2_11415;BgL_ev_absz00_bglt BgL_i1242z00_11416;obj_t BgL_bodyz00_11417;
BgL_siza7eza7_11414 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11413, 
(int)(((long)0)))); 
BgL_valza2za2_11415 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11413, 
(int)(((long)1)))); 
BgL_i1242z00_11416 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11413, 
(int)(((long)2)))); 
BgL_bodyz00_11417 = 
PROCEDURE_REF(BgL_envz00_11413, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13581;
BgL_bpz00_13581 = 
VECTOR_REF(
((obj_t)BgL_sz00_11418),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11418, BgL_valza2za2_11415, 
(
(long)CINT(BgL_bpz00_13581)+BgL_siza7eza7_11414)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13582;obj_t BgL_wherez00_13583;obj_t BgL_locz00_13584;
BgL_z12denvz12_13582 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13583 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11416))->BgL_wherez00); 
BgL_locz00_13584 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11416))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13582, BgL_wherez00_13583, BgL_locz00_13584); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13585;
BgL_za2za2resza2za2z00_13585 = 
PROCEDURE_ENTRY(BgL_bodyz00_11417)(BgL_bodyz00_11417, BgL_sz00_11418, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13582); 
return BgL_za2za2resza2za2z00_13585;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3560> */
obj_t BGl_z62zc3anonymousza33560ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11419, obj_t BgL_sz00_11426)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11420;obj_t BgL_iboxesz00_11421;long BgL_siza7eza7_11422;BgL_ev_absz00_bglt BgL_i1242z00_11423;obj_t BgL_bodyz00_11424;long BgL_siza7ezd2framez75_11425;
BgL_ifreesz00_11420 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11419, 
(int)(((long)0)))); 
BgL_iboxesz00_11421 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11419, 
(int)(((long)1)))); 
BgL_siza7eza7_11422 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11419, 
(int)(((long)2)))); 
BgL_i1242z00_11423 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11419, 
(int)(((long)3)))); 
BgL_bodyz00_11424 = 
PROCEDURE_REF(BgL_envz00_11419, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11425 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11419, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13586;
BgL_bpz00_13586 = 
VECTOR_REF(
((obj_t)BgL_sz00_11426),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13587;
BgL_valza2za2_13587 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11426, BgL_bpz00_13586, BgL_ifreesz00_11420); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13588;
BgL_runz00_13588 = 
MAKE_FX_PROCEDURE(BGl_z62run5068z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13588, 
(int)(((long)0)), BgL_iboxesz00_11421); 
PROCEDURE_SET(BgL_runz00_13588, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11422)); 
PROCEDURE_SET(BgL_runz00_13588, 
(int)(((long)2)), BgL_valza2za2_13587); 
PROCEDURE_SET(BgL_runz00_13588, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11423)); 
PROCEDURE_SET(BgL_runz00_13588, 
(int)(((long)4)), BgL_bodyz00_11424); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13589;
BgL_mainz00_13589 = 
MAKE_VA_PROCEDURE(BGl_z62main5067z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13589, 
(int)(((long)0)), BgL_iboxesz00_11421); 
PROCEDURE_SET(BgL_mainz00_13589, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11422)); 
PROCEDURE_SET(BgL_mainz00_13589, 
(int)(((long)2)), BgL_valza2za2_13587); 
PROCEDURE_SET(BgL_mainz00_13589, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11423)); 
PROCEDURE_SET(BgL_mainz00_13589, 
(int)(((long)4)), BgL_bodyz00_11424); 
PROCEDURE_SET(BgL_mainz00_13589, 
(int)(((long)5)), BgL_runz00_13588); 
PROCEDURE_SET(BgL_mainz00_13589, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11425)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13590;
BgL_objz00_13590 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13588, BgL_objz00_13590); BgL_objz00_13590; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3561z00_13591;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3562z00_13592;
BgL_arg3562z00_13592 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11423))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13593;
BgL_newz00_13593 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22750;
BgL_tmpz00_22750 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13593, BgL_tmpz00_22750, BgL_arg3562z00_13592); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22755;int BgL_tmpz00_22753;
BgL_auxz00_22755 = 
BINT(BgL_siza7ezd2framez75_11425); 
BgL_tmpz00_22753 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13593, BgL_tmpz00_22753, BgL_auxz00_22755); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22758;
BgL_tmpz00_22758 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13593, BgL_tmpz00_22758, BgL_runz00_13588); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22763;int BgL_tmpz00_22761;
BgL_auxz00_22763 = 
BINT(((long)-5)); 
BgL_tmpz00_22761 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13593, BgL_tmpz00_22761, BgL_auxz00_22763); } 
BgL_arg3561z00_13591 = BgL_newz00_13593; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13589, BgL_arg3561z00_13591); BgL_arg3561z00_13591; } 
return BgL_mainz00_13589;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5067 */
obj_t BGl_z62main5067z62zz__evaluate_compz00(obj_t BgL_envz00_11427, obj_t BgL_az00_11435, obj_t BgL_bz00_11436, obj_t BgL_cz00_11437, obj_t BgL_dz00_11438, obj_t BgL_lastz00_11439)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11433;long BgL_siza7ezd2framez75_11434;
BgL_runz00_11433 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11427, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11434 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11427, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13594;
BgL_sz00_13594 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13595;
BgL_bpz00_13595 = 
VECTOR_REF(
((obj_t)BgL_sz00_13594),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13594, BgL_bpz00_13595, 
BINT(BgL_siza7ezd2framez75_11434)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3565z00_13596;
BgL_arg3565z00_13596 = 
(
(long)CINT(BgL_bpz00_13595)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13594),BgL_arg3565z00_13596,BgL_az00_11435); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3566z00_13597;
BgL_arg3566z00_13597 = 
(
(long)CINT(BgL_bpz00_13595)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13594),BgL_arg3566z00_13597,BgL_bz00_11436); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3567z00_13598;
BgL_arg3567z00_13598 = 
(
(long)CINT(BgL_bpz00_13595)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13594),BgL_arg3567z00_13598,BgL_cz00_11437); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3568z00_13599;
BgL_arg3568z00_13599 = 
(
(long)CINT(BgL_bpz00_13595)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13594),BgL_arg3568z00_13599,BgL_dz00_11438); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3569z00_13600;
BgL_arg3569z00_13600 = 
(
(long)CINT(BgL_bpz00_13595)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_13594),BgL_arg3569z00_13600,BgL_lastz00_11439); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13601;
BgL_ez00_13601 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13601, BgL_bpz00_13595); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13602;
BgL_accz00_13602 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11433, BgL_sz00_13594, BgL_bpz00_13595); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13601); 
VECTOR_SET(
((obj_t)BgL_sz00_13594),((long)0),BgL_bpz00_13595); 
return BgL_accz00_13602;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13603;
BgL_nsz00_13603 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13603,((long)1),BgL_sz00_13594); 
VECTOR_SET(BgL_nsz00_13603,((long)2),BgL_az00_11435); 
VECTOR_SET(BgL_nsz00_13603,((long)3),BgL_bz00_11436); 
VECTOR_SET(BgL_nsz00_13603,((long)4),BgL_cz00_11437); 
VECTOR_SET(BgL_nsz00_13603,((long)5),BgL_dz00_11438); 
VECTOR_SET(BgL_nsz00_13603,((long)6),BgL_lastz00_11439); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13604;
BgL_z12denvz12_13604 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13604, BgL_nsz00_13603); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13605;
BgL_ez00_13605 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13605, BgL_sz00_13594); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13606;
BgL_____rz00_13606 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11433, BgL_nsz00_13603, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13605); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13604, BgL_sz00_13594); 
return BgL_____rz00_13606;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5068 */
obj_t BGl_z62run5068z62zz__evaluate_compz00(obj_t BgL_envz00_11440, obj_t BgL_sz00_11446)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11441;long BgL_siza7eza7_11442;obj_t BgL_valza2za2_11443;BgL_ev_absz00_bglt BgL_i1242z00_11444;obj_t BgL_bodyz00_11445;
BgL_iboxesz00_11441 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11440, 
(int)(((long)0)))); 
BgL_siza7eza7_11442 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11440, 
(int)(((long)1)))); 
BgL_valza2za2_11443 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11440, 
(int)(((long)2)))); 
BgL_i1242z00_11444 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11440, 
(int)(((long)3)))); 
BgL_bodyz00_11445 = 
PROCEDURE_REF(BgL_envz00_11440, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13607;
BgL_bpz00_13607 = 
VECTOR_REF(
((obj_t)BgL_sz00_11446),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11446, BgL_iboxesz00_11441, BgL_bpz00_13607); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11446, BgL_valza2za2_11443, 
(
(long)CINT(BgL_bpz00_13607)+BgL_siza7eza7_11442)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13608;obj_t BgL_wherez00_13609;obj_t BgL_locz00_13610;
BgL_z12denvz12_13608 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13609 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11444))->BgL_wherez00); 
BgL_locz00_13610 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11444))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13608, BgL_wherez00_13609, BgL_locz00_13610); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13611;
BgL_za2za2resza2za2z00_13611 = 
PROCEDURE_ENTRY(BgL_bodyz00_11445)(BgL_bodyz00_11445, BgL_sz00_11446, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13608); 
return BgL_za2za2resza2za2z00_13611;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3472> */
obj_t BGl_z62zc3anonymousza33472ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11447, obj_t BgL_sz00_11451)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11448;obj_t BgL_bodyz00_11449;long BgL_siza7ezd2framez75_11450;
BgL_i1242z00_11448 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11447, 
(int)(((long)0)))); 
BgL_bodyz00_11449 = 
PROCEDURE_REF(BgL_envz00_11447, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11450 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11447, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13612;
BgL_bpz00_13612 = 
VECTOR_REF(
((obj_t)BgL_sz00_11451),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13613;
BgL_runz00_13613 = 
MAKE_FX_PROCEDURE(BGl_z62run5070z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13613, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11448)); 
PROCEDURE_SET(BgL_runz00_13613, 
(int)(((long)1)), BgL_bodyz00_11449); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13614;
BgL_mainz00_13614 = 
MAKE_FX_PROCEDURE(BGl_z62main5069z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13614, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11448)); 
PROCEDURE_SET(BgL_mainz00_13614, 
(int)(((long)1)), BgL_bodyz00_11449); 
PROCEDURE_SET(BgL_mainz00_13614, 
(int)(((long)2)), BgL_runz00_13613); 
PROCEDURE_SET(BgL_mainz00_13614, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11450)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13615;
BgL_objz00_13615 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13613, BgL_objz00_13615); BgL_objz00_13615; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3473z00_13616;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3474z00_13617;
BgL_arg3474z00_13617 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11448))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13618;
BgL_newz00_13618 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22884;
BgL_tmpz00_22884 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13618, BgL_tmpz00_22884, BgL_arg3474z00_13617); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22889;int BgL_tmpz00_22887;
BgL_auxz00_22889 = 
BINT(BgL_siza7ezd2framez75_11450); 
BgL_tmpz00_22887 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13618, BgL_tmpz00_22887, BgL_auxz00_22889); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22892;
BgL_tmpz00_22892 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13618, BgL_tmpz00_22892, BgL_runz00_13613); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22897;int BgL_tmpz00_22895;
BgL_auxz00_22897 = 
BINT(((long)4)); 
BgL_tmpz00_22895 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13618, BgL_tmpz00_22895, BgL_auxz00_22897); } 
BgL_arg3473z00_13616 = BgL_newz00_13618; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13614, BgL_arg3473z00_13616); BgL_arg3473z00_13616; } 
return BgL_mainz00_13614;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5069 */
obj_t BGl_z62main5069z62zz__evaluate_compz00(obj_t BgL_envz00_11452, obj_t BgL_az00_11457, obj_t BgL_bz00_11458, obj_t BgL_cz00_11459, obj_t BgL_dz00_11460)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11455;long BgL_siza7ezd2framez75_11456;
BgL_runz00_11455 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11452, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11456 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11452, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13619;
BgL_sz00_13619 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13620;
BgL_bpz00_13620 = 
VECTOR_REF(
((obj_t)BgL_sz00_13619),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13619, BgL_bpz00_13620, 
BINT(BgL_siza7ezd2framez75_11456)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3477z00_13621;
BgL_arg3477z00_13621 = 
(
(long)CINT(BgL_bpz00_13620)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13619),BgL_arg3477z00_13621,BgL_az00_11457); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3478z00_13622;
BgL_arg3478z00_13622 = 
(
(long)CINT(BgL_bpz00_13620)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13619),BgL_arg3478z00_13622,BgL_bz00_11458); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3479z00_13623;
BgL_arg3479z00_13623 = 
(
(long)CINT(BgL_bpz00_13620)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13619),BgL_arg3479z00_13623,BgL_cz00_11459); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3480z00_13624;
BgL_arg3480z00_13624 = 
(
(long)CINT(BgL_bpz00_13620)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13619),BgL_arg3480z00_13624,BgL_dz00_11460); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13625;
BgL_ez00_13625 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13625, BgL_bpz00_13620); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13626;
BgL_accz00_13626 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11455, BgL_sz00_13619, BgL_bpz00_13620); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13625); 
VECTOR_SET(
((obj_t)BgL_sz00_13619),((long)0),BgL_bpz00_13620); 
return BgL_accz00_13626;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13627;
BgL_nsz00_13627 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13627,((long)1),BgL_sz00_13619); 
VECTOR_SET(BgL_nsz00_13627,((long)2),BgL_az00_11457); 
VECTOR_SET(BgL_nsz00_13627,((long)3),BgL_bz00_11458); 
VECTOR_SET(BgL_nsz00_13627,((long)4),BgL_cz00_11459); 
VECTOR_SET(BgL_nsz00_13627,((long)5),BgL_dz00_11460); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13628;
BgL_z12denvz12_13628 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13628, BgL_nsz00_13627); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13629;
BgL_ez00_13629 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13629, BgL_sz00_13619); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13630;
BgL_____rz00_13630 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11455, BgL_nsz00_13627, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13629); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13628, BgL_sz00_13619); 
return BgL_____rz00_13630;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5070 */
obj_t BGl_z62run5070z62zz__evaluate_compz00(obj_t BgL_envz00_11461, obj_t BgL_sz00_11464)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11462;obj_t BgL_bodyz00_11463;
BgL_i1242z00_11462 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11461, 
(int)(((long)0)))); 
BgL_bodyz00_11463 = 
PROCEDURE_REF(BgL_envz00_11461, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13631;
BgL_bpz00_13631 = 
VECTOR_REF(
((obj_t)BgL_sz00_11464),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13632;obj_t BgL_wherez00_13633;obj_t BgL_locz00_13634;
BgL_z12denvz12_13632 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13633 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11462))->BgL_wherez00); 
BgL_locz00_13634 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11462))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13632, BgL_wherez00_13633, BgL_locz00_13634); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13635;
BgL_za2za2resza2za2z00_13635 = 
PROCEDURE_ENTRY(BgL_bodyz00_11463)(BgL_bodyz00_11463, BgL_sz00_11464, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13632); 
return BgL_za2za2resza2za2z00_13635;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3482> */
obj_t BGl_z62zc3anonymousza33482ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11465, obj_t BgL_sz00_11470)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11466;BgL_ev_absz00_bglt BgL_i1242z00_11467;obj_t BgL_bodyz00_11468;long BgL_siza7ezd2framez75_11469;
BgL_iboxesz00_11466 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11465, 
(int)(((long)0)))); 
BgL_i1242z00_11467 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11465, 
(int)(((long)1)))); 
BgL_bodyz00_11468 = 
PROCEDURE_REF(BgL_envz00_11465, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11469 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11465, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13636;
BgL_bpz00_13636 = 
VECTOR_REF(
((obj_t)BgL_sz00_11470),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13637;
BgL_runz00_13637 = 
MAKE_FX_PROCEDURE(BGl_z62run5072z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13637, 
(int)(((long)0)), BgL_iboxesz00_11466); 
PROCEDURE_SET(BgL_runz00_13637, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11467)); 
PROCEDURE_SET(BgL_runz00_13637, 
(int)(((long)2)), BgL_bodyz00_11468); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13638;
BgL_mainz00_13638 = 
MAKE_FX_PROCEDURE(BGl_z62main5071z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13638, 
(int)(((long)0)), BgL_iboxesz00_11466); 
PROCEDURE_SET(BgL_mainz00_13638, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11467)); 
PROCEDURE_SET(BgL_mainz00_13638, 
(int)(((long)2)), BgL_bodyz00_11468); 
PROCEDURE_SET(BgL_mainz00_13638, 
(int)(((long)3)), BgL_runz00_13637); 
PROCEDURE_SET(BgL_mainz00_13638, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11469)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13639;
BgL_objz00_13639 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13637, BgL_objz00_13639); BgL_objz00_13639; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3483z00_13640;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3484z00_13641;
BgL_arg3484z00_13641 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11467))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13642;
BgL_newz00_13642 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23007;
BgL_tmpz00_23007 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13642, BgL_tmpz00_23007, BgL_arg3484z00_13641); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23012;int BgL_tmpz00_23010;
BgL_auxz00_23012 = 
BINT(BgL_siza7ezd2framez75_11469); 
BgL_tmpz00_23010 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13642, BgL_tmpz00_23010, BgL_auxz00_23012); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23015;
BgL_tmpz00_23015 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13642, BgL_tmpz00_23015, BgL_runz00_13637); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23020;int BgL_tmpz00_23018;
BgL_auxz00_23020 = 
BINT(((long)4)); 
BgL_tmpz00_23018 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13642, BgL_tmpz00_23018, BgL_auxz00_23020); } 
BgL_arg3483z00_13640 = BgL_newz00_13642; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13638, BgL_arg3483z00_13640); BgL_arg3483z00_13640; } 
return BgL_mainz00_13638;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5071 */
obj_t BGl_z62main5071z62zz__evaluate_compz00(obj_t BgL_envz00_11471, obj_t BgL_az00_11477, obj_t BgL_bz00_11478, obj_t BgL_cz00_11479, obj_t BgL_dz00_11480)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11475;long BgL_siza7ezd2framez75_11476;
BgL_runz00_11475 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11471, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11476 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11471, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13643;
BgL_sz00_13643 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13644;
BgL_bpz00_13644 = 
VECTOR_REF(
((obj_t)BgL_sz00_13643),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13643, BgL_bpz00_13644, 
BINT(BgL_siza7ezd2framez75_11476)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3487z00_13645;
BgL_arg3487z00_13645 = 
(
(long)CINT(BgL_bpz00_13644)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13643),BgL_arg3487z00_13645,BgL_az00_11477); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3488z00_13646;
BgL_arg3488z00_13646 = 
(
(long)CINT(BgL_bpz00_13644)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13643),BgL_arg3488z00_13646,BgL_bz00_11478); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3489z00_13647;
BgL_arg3489z00_13647 = 
(
(long)CINT(BgL_bpz00_13644)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13643),BgL_arg3489z00_13647,BgL_cz00_11479); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3490z00_13648;
BgL_arg3490z00_13648 = 
(
(long)CINT(BgL_bpz00_13644)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13643),BgL_arg3490z00_13648,BgL_dz00_11480); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13649;
BgL_ez00_13649 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13649, BgL_bpz00_13644); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13650;
BgL_accz00_13650 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11475, BgL_sz00_13643, BgL_bpz00_13644); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13649); 
VECTOR_SET(
((obj_t)BgL_sz00_13643),((long)0),BgL_bpz00_13644); 
return BgL_accz00_13650;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13651;
BgL_nsz00_13651 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13651,((long)1),BgL_sz00_13643); 
VECTOR_SET(BgL_nsz00_13651,((long)2),BgL_az00_11477); 
VECTOR_SET(BgL_nsz00_13651,((long)3),BgL_bz00_11478); 
VECTOR_SET(BgL_nsz00_13651,((long)4),BgL_cz00_11479); 
VECTOR_SET(BgL_nsz00_13651,((long)5),BgL_dz00_11480); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13652;
BgL_z12denvz12_13652 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13652, BgL_nsz00_13651); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13653;
BgL_ez00_13653 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13653, BgL_sz00_13643); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13654;
BgL_____rz00_13654 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11475, BgL_nsz00_13651, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13653); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13652, BgL_sz00_13643); 
return BgL_____rz00_13654;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5072 */
obj_t BGl_z62run5072z62zz__evaluate_compz00(obj_t BgL_envz00_11481, obj_t BgL_sz00_11485)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11482;BgL_ev_absz00_bglt BgL_i1242z00_11483;obj_t BgL_bodyz00_11484;
BgL_iboxesz00_11482 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11481, 
(int)(((long)0)))); 
BgL_i1242z00_11483 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11481, 
(int)(((long)1)))); 
BgL_bodyz00_11484 = 
PROCEDURE_REF(BgL_envz00_11481, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13655;
BgL_bpz00_13655 = 
VECTOR_REF(
((obj_t)BgL_sz00_11485),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11485, BgL_iboxesz00_11482, BgL_bpz00_13655); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13656;obj_t BgL_wherez00_13657;obj_t BgL_locz00_13658;
BgL_z12denvz12_13656 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13657 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11483))->BgL_wherez00); 
BgL_locz00_13658 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11483))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13656, BgL_wherez00_13657, BgL_locz00_13658); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13659;
BgL_za2za2resza2za2z00_13659 = 
PROCEDURE_ENTRY(BgL_bodyz00_11484)(BgL_bodyz00_11484, BgL_sz00_11485, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13656); 
return BgL_za2za2resza2za2z00_13659;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3495> */
obj_t BGl_z62zc3anonymousza33495ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11486, obj_t BgL_sz00_11492)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11487;long BgL_siza7eza7_11488;BgL_ev_absz00_bglt BgL_i1242z00_11489;obj_t BgL_bodyz00_11490;long BgL_siza7ezd2framez75_11491;
BgL_ifreesz00_11487 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11486, 
(int)(((long)0)))); 
BgL_siza7eza7_11488 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11486, 
(int)(((long)1)))); 
BgL_i1242z00_11489 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11486, 
(int)(((long)2)))); 
BgL_bodyz00_11490 = 
PROCEDURE_REF(BgL_envz00_11486, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11491 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11486, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13660;
BgL_bpz00_13660 = 
VECTOR_REF(
((obj_t)BgL_sz00_11492),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13661;
BgL_valza2za2_13661 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11492, BgL_bpz00_13660, BgL_ifreesz00_11487); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13662;
BgL_runz00_13662 = 
MAKE_FX_PROCEDURE(BGl_z62run5074z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13662, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11488)); 
PROCEDURE_SET(BgL_runz00_13662, 
(int)(((long)1)), BgL_valza2za2_13661); 
PROCEDURE_SET(BgL_runz00_13662, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11489)); 
PROCEDURE_SET(BgL_runz00_13662, 
(int)(((long)3)), BgL_bodyz00_11490); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13663;
BgL_mainz00_13663 = 
MAKE_FX_PROCEDURE(BGl_z62main5073z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13663, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11488)); 
PROCEDURE_SET(BgL_mainz00_13663, 
(int)(((long)1)), BgL_valza2za2_13661); 
PROCEDURE_SET(BgL_mainz00_13663, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11489)); 
PROCEDURE_SET(BgL_mainz00_13663, 
(int)(((long)3)), BgL_bodyz00_11490); 
PROCEDURE_SET(BgL_mainz00_13663, 
(int)(((long)4)), BgL_runz00_13662); 
PROCEDURE_SET(BgL_mainz00_13663, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11491)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13664;
BgL_objz00_13664 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13662, BgL_objz00_13664); BgL_objz00_13664; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3496z00_13665;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3497z00_13666;
BgL_arg3497z00_13666 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11489))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13667;
BgL_newz00_13667 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23144;
BgL_tmpz00_23144 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13667, BgL_tmpz00_23144, BgL_arg3497z00_13666); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23149;int BgL_tmpz00_23147;
BgL_auxz00_23149 = 
BINT(BgL_siza7ezd2framez75_11491); 
BgL_tmpz00_23147 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13667, BgL_tmpz00_23147, BgL_auxz00_23149); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23152;
BgL_tmpz00_23152 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13667, BgL_tmpz00_23152, BgL_runz00_13662); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23157;int BgL_tmpz00_23155;
BgL_auxz00_23157 = 
BINT(((long)4)); 
BgL_tmpz00_23155 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13667, BgL_tmpz00_23155, BgL_auxz00_23157); } 
BgL_arg3496z00_13665 = BgL_newz00_13667; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13663, BgL_arg3496z00_13665); BgL_arg3496z00_13665; } 
return BgL_mainz00_13663;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5073 */
obj_t BGl_z62main5073z62zz__evaluate_compz00(obj_t BgL_envz00_11493, obj_t BgL_az00_11500, obj_t BgL_bz00_11501, obj_t BgL_cz00_11502, obj_t BgL_dz00_11503)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11498;long BgL_siza7ezd2framez75_11499;
BgL_runz00_11498 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11493, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11499 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11493, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13668;
BgL_sz00_13668 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13669;
BgL_bpz00_13669 = 
VECTOR_REF(
((obj_t)BgL_sz00_13668),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13668, BgL_bpz00_13669, 
BINT(BgL_siza7ezd2framez75_11499)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3500z00_13670;
BgL_arg3500z00_13670 = 
(
(long)CINT(BgL_bpz00_13669)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13668),BgL_arg3500z00_13670,BgL_az00_11500); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3501z00_13671;
BgL_arg3501z00_13671 = 
(
(long)CINT(BgL_bpz00_13669)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13668),BgL_arg3501z00_13671,BgL_bz00_11501); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3502z00_13672;
BgL_arg3502z00_13672 = 
(
(long)CINT(BgL_bpz00_13669)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13668),BgL_arg3502z00_13672,BgL_cz00_11502); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3503z00_13673;
BgL_arg3503z00_13673 = 
(
(long)CINT(BgL_bpz00_13669)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13668),BgL_arg3503z00_13673,BgL_dz00_11503); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13674;
BgL_ez00_13674 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13674, BgL_bpz00_13669); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13675;
BgL_accz00_13675 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11498, BgL_sz00_13668, BgL_bpz00_13669); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13674); 
VECTOR_SET(
((obj_t)BgL_sz00_13668),((long)0),BgL_bpz00_13669); 
return BgL_accz00_13675;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13676;
BgL_nsz00_13676 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13676,((long)1),BgL_sz00_13668); 
VECTOR_SET(BgL_nsz00_13676,((long)2),BgL_az00_11500); 
VECTOR_SET(BgL_nsz00_13676,((long)3),BgL_bz00_11501); 
VECTOR_SET(BgL_nsz00_13676,((long)4),BgL_cz00_11502); 
VECTOR_SET(BgL_nsz00_13676,((long)5),BgL_dz00_11503); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13677;
BgL_z12denvz12_13677 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13677, BgL_nsz00_13676); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13678;
BgL_ez00_13678 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13678, BgL_sz00_13668); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13679;
BgL_____rz00_13679 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11498, BgL_nsz00_13676, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13678); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13677, BgL_sz00_13668); 
return BgL_____rz00_13679;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5074 */
obj_t BGl_z62run5074z62zz__evaluate_compz00(obj_t BgL_envz00_11504, obj_t BgL_sz00_11509)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11505;obj_t BgL_valza2za2_11506;BgL_ev_absz00_bglt BgL_i1242z00_11507;obj_t BgL_bodyz00_11508;
BgL_siza7eza7_11505 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11504, 
(int)(((long)0)))); 
BgL_valza2za2_11506 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11504, 
(int)(((long)1)))); 
BgL_i1242z00_11507 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11504, 
(int)(((long)2)))); 
BgL_bodyz00_11508 = 
PROCEDURE_REF(BgL_envz00_11504, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13680;
BgL_bpz00_13680 = 
VECTOR_REF(
((obj_t)BgL_sz00_11509),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11509, BgL_valza2za2_11506, 
(
(long)CINT(BgL_bpz00_13680)+BgL_siza7eza7_11505)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13681;obj_t BgL_wherez00_13682;obj_t BgL_locz00_13683;
BgL_z12denvz12_13681 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13682 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11507))->BgL_wherez00); 
BgL_locz00_13683 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11507))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13681, BgL_wherez00_13682, BgL_locz00_13683); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13684;
BgL_za2za2resza2za2z00_13684 = 
PROCEDURE_ENTRY(BgL_bodyz00_11508)(BgL_bodyz00_11508, BgL_sz00_11509, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13681); 
return BgL_za2za2resza2za2z00_13684;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3506> */
obj_t BGl_z62zc3anonymousza33506ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11510, obj_t BgL_sz00_11517)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11511;obj_t BgL_iboxesz00_11512;long BgL_siza7eza7_11513;BgL_ev_absz00_bglt BgL_i1242z00_11514;obj_t BgL_bodyz00_11515;long BgL_siza7ezd2framez75_11516;
BgL_ifreesz00_11511 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11510, 
(int)(((long)0)))); 
BgL_iboxesz00_11512 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11510, 
(int)(((long)1)))); 
BgL_siza7eza7_11513 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11510, 
(int)(((long)2)))); 
BgL_i1242z00_11514 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11510, 
(int)(((long)3)))); 
BgL_bodyz00_11515 = 
PROCEDURE_REF(BgL_envz00_11510, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11516 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11510, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13685;
BgL_bpz00_13685 = 
VECTOR_REF(
((obj_t)BgL_sz00_11517),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13686;
BgL_valza2za2_13686 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11517, BgL_bpz00_13685, BgL_ifreesz00_11511); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13687;
BgL_runz00_13687 = 
MAKE_FX_PROCEDURE(BGl_z62run5076z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13687, 
(int)(((long)0)), BgL_iboxesz00_11512); 
PROCEDURE_SET(BgL_runz00_13687, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11513)); 
PROCEDURE_SET(BgL_runz00_13687, 
(int)(((long)2)), BgL_valza2za2_13686); 
PROCEDURE_SET(BgL_runz00_13687, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11514)); 
PROCEDURE_SET(BgL_runz00_13687, 
(int)(((long)4)), BgL_bodyz00_11515); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13688;
BgL_mainz00_13688 = 
MAKE_FX_PROCEDURE(BGl_z62main5075z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13688, 
(int)(((long)0)), BgL_iboxesz00_11512); 
PROCEDURE_SET(BgL_mainz00_13688, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11513)); 
PROCEDURE_SET(BgL_mainz00_13688, 
(int)(((long)2)), BgL_valza2za2_13686); 
PROCEDURE_SET(BgL_mainz00_13688, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11514)); 
PROCEDURE_SET(BgL_mainz00_13688, 
(int)(((long)4)), BgL_bodyz00_11515); 
PROCEDURE_SET(BgL_mainz00_13688, 
(int)(((long)5)), BgL_runz00_13687); 
PROCEDURE_SET(BgL_mainz00_13688, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11516)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13689;
BgL_objz00_13689 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13687, BgL_objz00_13689); BgL_objz00_13689; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3507z00_13690;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3508z00_13691;
BgL_arg3508z00_13691 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11514))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13692;
BgL_newz00_13692 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23293;
BgL_tmpz00_23293 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13692, BgL_tmpz00_23293, BgL_arg3508z00_13691); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23298;int BgL_tmpz00_23296;
BgL_auxz00_23298 = 
BINT(BgL_siza7ezd2framez75_11516); 
BgL_tmpz00_23296 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13692, BgL_tmpz00_23296, BgL_auxz00_23298); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23301;
BgL_tmpz00_23301 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13692, BgL_tmpz00_23301, BgL_runz00_13687); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23306;int BgL_tmpz00_23304;
BgL_auxz00_23306 = 
BINT(((long)4)); 
BgL_tmpz00_23304 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13692, BgL_tmpz00_23304, BgL_auxz00_23306); } 
BgL_arg3507z00_13690 = BgL_newz00_13692; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13688, BgL_arg3507z00_13690); BgL_arg3507z00_13690; } 
return BgL_mainz00_13688;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5075 */
obj_t BGl_z62main5075z62zz__evaluate_compz00(obj_t BgL_envz00_11518, obj_t BgL_az00_11526, obj_t BgL_bz00_11527, obj_t BgL_cz00_11528, obj_t BgL_dz00_11529)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11524;long BgL_siza7ezd2framez75_11525;
BgL_runz00_11524 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11518, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11525 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11518, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13693;
BgL_sz00_13693 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13694;
BgL_bpz00_13694 = 
VECTOR_REF(
((obj_t)BgL_sz00_13693),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13693, BgL_bpz00_13694, 
BINT(BgL_siza7ezd2framez75_11525)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3511z00_13695;
BgL_arg3511z00_13695 = 
(
(long)CINT(BgL_bpz00_13694)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13693),BgL_arg3511z00_13695,BgL_az00_11526); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3512z00_13696;
BgL_arg3512z00_13696 = 
(
(long)CINT(BgL_bpz00_13694)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13693),BgL_arg3512z00_13696,BgL_bz00_11527); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3513z00_13697;
BgL_arg3513z00_13697 = 
(
(long)CINT(BgL_bpz00_13694)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13693),BgL_arg3513z00_13697,BgL_cz00_11528); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3514z00_13698;
BgL_arg3514z00_13698 = 
(
(long)CINT(BgL_bpz00_13694)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13693),BgL_arg3514z00_13698,BgL_dz00_11529); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13699;
BgL_ez00_13699 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13699, BgL_bpz00_13694); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13700;
BgL_accz00_13700 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11524, BgL_sz00_13693, BgL_bpz00_13694); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13699); 
VECTOR_SET(
((obj_t)BgL_sz00_13693),((long)0),BgL_bpz00_13694); 
return BgL_accz00_13700;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13701;
BgL_nsz00_13701 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13701,((long)1),BgL_sz00_13693); 
VECTOR_SET(BgL_nsz00_13701,((long)2),BgL_az00_11526); 
VECTOR_SET(BgL_nsz00_13701,((long)3),BgL_bz00_11527); 
VECTOR_SET(BgL_nsz00_13701,((long)4),BgL_cz00_11528); 
VECTOR_SET(BgL_nsz00_13701,((long)5),BgL_dz00_11529); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13702;
BgL_z12denvz12_13702 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13702, BgL_nsz00_13701); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13703;
BgL_ez00_13703 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13703, BgL_sz00_13693); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13704;
BgL_____rz00_13704 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11524, BgL_nsz00_13701, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13703); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13702, BgL_sz00_13693); 
return BgL_____rz00_13704;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5076 */
obj_t BGl_z62run5076z62zz__evaluate_compz00(obj_t BgL_envz00_11530, obj_t BgL_sz00_11536)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11531;long BgL_siza7eza7_11532;obj_t BgL_valza2za2_11533;BgL_ev_absz00_bglt BgL_i1242z00_11534;obj_t BgL_bodyz00_11535;
BgL_iboxesz00_11531 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11530, 
(int)(((long)0)))); 
BgL_siza7eza7_11532 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11530, 
(int)(((long)1)))); 
BgL_valza2za2_11533 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11530, 
(int)(((long)2)))); 
BgL_i1242z00_11534 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11530, 
(int)(((long)3)))); 
BgL_bodyz00_11535 = 
PROCEDURE_REF(BgL_envz00_11530, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13705;
BgL_bpz00_13705 = 
VECTOR_REF(
((obj_t)BgL_sz00_11536),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11536, BgL_iboxesz00_11531, BgL_bpz00_13705); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11536, BgL_valza2za2_11533, 
(
(long)CINT(BgL_bpz00_13705)+BgL_siza7eza7_11532)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13706;obj_t BgL_wherez00_13707;obj_t BgL_locz00_13708;
BgL_z12denvz12_13706 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13707 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11534))->BgL_wherez00); 
BgL_locz00_13708 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11534))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13706, BgL_wherez00_13707, BgL_locz00_13708); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13709;
BgL_za2za2resza2za2z00_13709 = 
PROCEDURE_ENTRY(BgL_bodyz00_11535)(BgL_bodyz00_11535, BgL_sz00_11536, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13706); 
return BgL_za2za2resza2za2z00_13709;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3421> */
obj_t BGl_z62zc3anonymousza33421ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11537, obj_t BgL_sz00_11541)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11538;obj_t BgL_bodyz00_11539;long BgL_siza7ezd2framez75_11540;
BgL_i1242z00_11538 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11537, 
(int)(((long)0)))); 
BgL_bodyz00_11539 = 
PROCEDURE_REF(BgL_envz00_11537, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11540 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11537, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13710;
BgL_bpz00_13710 = 
VECTOR_REF(
((obj_t)BgL_sz00_11541),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13711;
BgL_runz00_13711 = 
MAKE_FX_PROCEDURE(BGl_z62run5078z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13711, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11538)); 
PROCEDURE_SET(BgL_runz00_13711, 
(int)(((long)1)), BgL_bodyz00_11539); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13712;
BgL_mainz00_13712 = 
MAKE_VA_PROCEDURE(BGl_z62main5077z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13712, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11538)); 
PROCEDURE_SET(BgL_mainz00_13712, 
(int)(((long)1)), BgL_bodyz00_11539); 
PROCEDURE_SET(BgL_mainz00_13712, 
(int)(((long)2)), BgL_runz00_13711); 
PROCEDURE_SET(BgL_mainz00_13712, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11540)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13713;
BgL_objz00_13713 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13711, BgL_objz00_13713); BgL_objz00_13713; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3422z00_13714;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3423z00_13715;
BgL_arg3423z00_13715 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11538))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13716;
BgL_newz00_13716 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23422;
BgL_tmpz00_23422 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13716, BgL_tmpz00_23422, BgL_arg3423z00_13715); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23427;int BgL_tmpz00_23425;
BgL_auxz00_23427 = 
BINT(BgL_siza7ezd2framez75_11540); 
BgL_tmpz00_23425 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13716, BgL_tmpz00_23425, BgL_auxz00_23427); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23430;
BgL_tmpz00_23430 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13716, BgL_tmpz00_23430, BgL_runz00_13711); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23435;int BgL_tmpz00_23433;
BgL_auxz00_23435 = 
BINT(((long)-4)); 
BgL_tmpz00_23433 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13716, BgL_tmpz00_23433, BgL_auxz00_23435); } 
BgL_arg3422z00_13714 = BgL_newz00_13716; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13712, BgL_arg3422z00_13714); BgL_arg3422z00_13714; } 
return BgL_mainz00_13712;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5077 */
obj_t BGl_z62main5077z62zz__evaluate_compz00(obj_t BgL_envz00_11542, obj_t BgL_bz00_11547, obj_t BgL_cz00_11548, obj_t BgL_dz00_11549, obj_t BgL_lastz00_11550)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11545;long BgL_siza7ezd2framez75_11546;
BgL_runz00_11545 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11542, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11546 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11542, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13717;
BgL_sz00_13717 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13718;
BgL_bpz00_13718 = 
VECTOR_REF(
((obj_t)BgL_sz00_13717),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13717, BgL_bpz00_13718, 
BINT(BgL_siza7ezd2framez75_11546)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3426z00_13719;
BgL_arg3426z00_13719 = 
(
(long)CINT(BgL_bpz00_13718)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13717),BgL_arg3426z00_13719,BgL_bz00_11547); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3427z00_13720;
BgL_arg3427z00_13720 = 
(
(long)CINT(BgL_bpz00_13718)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13717),BgL_arg3427z00_13720,BgL_cz00_11548); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3428z00_13721;
BgL_arg3428z00_13721 = 
(
(long)CINT(BgL_bpz00_13718)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13717),BgL_arg3428z00_13721,BgL_dz00_11549); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3429z00_13722;
BgL_arg3429z00_13722 = 
(
(long)CINT(BgL_bpz00_13718)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13717),BgL_arg3429z00_13722,BgL_lastz00_11550); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13723;
BgL_ez00_13723 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13723, BgL_bpz00_13718); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13724;
BgL_accz00_13724 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11545, BgL_sz00_13717, BgL_bpz00_13718); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13723); 
VECTOR_SET(
((obj_t)BgL_sz00_13717),((long)0),BgL_bpz00_13718); 
return BgL_accz00_13724;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13725;
BgL_nsz00_13725 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13725,((long)1),BgL_sz00_13717); 
VECTOR_SET(BgL_nsz00_13725,((long)2),BgL_bz00_11547); 
VECTOR_SET(BgL_nsz00_13725,((long)3),BgL_cz00_11548); 
VECTOR_SET(BgL_nsz00_13725,((long)4),BgL_dz00_11549); 
VECTOR_SET(BgL_nsz00_13725,((long)5),BgL_lastz00_11550); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13726;
BgL_z12denvz12_13726 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13726, BgL_nsz00_13725); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13727;
BgL_ez00_13727 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13727, BgL_sz00_13717); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13728;
BgL_____rz00_13728 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11545, BgL_nsz00_13725, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13727); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13726, BgL_sz00_13717); 
return BgL_____rz00_13728;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5078 */
obj_t BGl_z62run5078z62zz__evaluate_compz00(obj_t BgL_envz00_11551, obj_t BgL_sz00_11554)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11552;obj_t BgL_bodyz00_11553;
BgL_i1242z00_11552 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11551, 
(int)(((long)0)))); 
BgL_bodyz00_11553 = 
PROCEDURE_REF(BgL_envz00_11551, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13729;
BgL_bpz00_13729 = 
VECTOR_REF(
((obj_t)BgL_sz00_11554),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13730;obj_t BgL_wherez00_13731;obj_t BgL_locz00_13732;
BgL_z12denvz12_13730 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13731 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11552))->BgL_wherez00); 
BgL_locz00_13732 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11552))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13730, BgL_wherez00_13731, BgL_locz00_13732); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13733;
BgL_za2za2resza2za2z00_13733 = 
PROCEDURE_ENTRY(BgL_bodyz00_11553)(BgL_bodyz00_11553, BgL_sz00_11554, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13730); 
return BgL_za2za2resza2za2z00_13733;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3431> */
obj_t BGl_z62zc3anonymousza33431ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11555, obj_t BgL_sz00_11560)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11556;BgL_ev_absz00_bglt BgL_i1242z00_11557;obj_t BgL_bodyz00_11558;long BgL_siza7ezd2framez75_11559;
BgL_iboxesz00_11556 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11555, 
(int)(((long)0)))); 
BgL_i1242z00_11557 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11555, 
(int)(((long)1)))); 
BgL_bodyz00_11558 = 
PROCEDURE_REF(BgL_envz00_11555, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11559 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11555, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13734;
BgL_bpz00_13734 = 
VECTOR_REF(
((obj_t)BgL_sz00_11560),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13735;
BgL_runz00_13735 = 
MAKE_FX_PROCEDURE(BGl_z62run5080z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13735, 
(int)(((long)0)), BgL_iboxesz00_11556); 
PROCEDURE_SET(BgL_runz00_13735, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11557)); 
PROCEDURE_SET(BgL_runz00_13735, 
(int)(((long)2)), BgL_bodyz00_11558); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13736;
BgL_mainz00_13736 = 
MAKE_VA_PROCEDURE(BGl_z62main5079z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13736, 
(int)(((long)0)), BgL_iboxesz00_11556); 
PROCEDURE_SET(BgL_mainz00_13736, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11557)); 
PROCEDURE_SET(BgL_mainz00_13736, 
(int)(((long)2)), BgL_bodyz00_11558); 
PROCEDURE_SET(BgL_mainz00_13736, 
(int)(((long)3)), BgL_runz00_13735); 
PROCEDURE_SET(BgL_mainz00_13736, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11559)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13737;
BgL_objz00_13737 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13735, BgL_objz00_13737); BgL_objz00_13737; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3432z00_13738;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3433z00_13739;
BgL_arg3433z00_13739 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11557))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13740;
BgL_newz00_13740 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23545;
BgL_tmpz00_23545 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13740, BgL_tmpz00_23545, BgL_arg3433z00_13739); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23550;int BgL_tmpz00_23548;
BgL_auxz00_23550 = 
BINT(BgL_siza7ezd2framez75_11559); 
BgL_tmpz00_23548 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13740, BgL_tmpz00_23548, BgL_auxz00_23550); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23553;
BgL_tmpz00_23553 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13740, BgL_tmpz00_23553, BgL_runz00_13735); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23558;int BgL_tmpz00_23556;
BgL_auxz00_23558 = 
BINT(((long)-4)); 
BgL_tmpz00_23556 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13740, BgL_tmpz00_23556, BgL_auxz00_23558); } 
BgL_arg3432z00_13738 = BgL_newz00_13740; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13736, BgL_arg3432z00_13738); BgL_arg3432z00_13738; } 
return BgL_mainz00_13736;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5079 */
obj_t BGl_z62main5079z62zz__evaluate_compz00(obj_t BgL_envz00_11561, obj_t BgL_bz00_11567, obj_t BgL_cz00_11568, obj_t BgL_dz00_11569, obj_t BgL_lastz00_11570)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11565;long BgL_siza7ezd2framez75_11566;
BgL_runz00_11565 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11561, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11566 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11561, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13741;
BgL_sz00_13741 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13742;
BgL_bpz00_13742 = 
VECTOR_REF(
((obj_t)BgL_sz00_13741),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13741, BgL_bpz00_13742, 
BINT(BgL_siza7ezd2framez75_11566)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3436z00_13743;
BgL_arg3436z00_13743 = 
(
(long)CINT(BgL_bpz00_13742)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13741),BgL_arg3436z00_13743,BgL_bz00_11567); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3437z00_13744;
BgL_arg3437z00_13744 = 
(
(long)CINT(BgL_bpz00_13742)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13741),BgL_arg3437z00_13744,BgL_cz00_11568); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3438z00_13745;
BgL_arg3438z00_13745 = 
(
(long)CINT(BgL_bpz00_13742)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13741),BgL_arg3438z00_13745,BgL_dz00_11569); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3439z00_13746;
BgL_arg3439z00_13746 = 
(
(long)CINT(BgL_bpz00_13742)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13741),BgL_arg3439z00_13746,BgL_lastz00_11570); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13747;
BgL_ez00_13747 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13747, BgL_bpz00_13742); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13748;
BgL_accz00_13748 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11565, BgL_sz00_13741, BgL_bpz00_13742); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13747); 
VECTOR_SET(
((obj_t)BgL_sz00_13741),((long)0),BgL_bpz00_13742); 
return BgL_accz00_13748;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13749;
BgL_nsz00_13749 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13749,((long)1),BgL_sz00_13741); 
VECTOR_SET(BgL_nsz00_13749,((long)2),BgL_bz00_11567); 
VECTOR_SET(BgL_nsz00_13749,((long)3),BgL_cz00_11568); 
VECTOR_SET(BgL_nsz00_13749,((long)4),BgL_dz00_11569); 
VECTOR_SET(BgL_nsz00_13749,((long)5),BgL_lastz00_11570); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13750;
BgL_z12denvz12_13750 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13750, BgL_nsz00_13749); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13751;
BgL_ez00_13751 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13751, BgL_sz00_13741); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13752;
BgL_____rz00_13752 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11565, BgL_nsz00_13749, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13751); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13750, BgL_sz00_13741); 
return BgL_____rz00_13752;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5080 */
obj_t BGl_z62run5080z62zz__evaluate_compz00(obj_t BgL_envz00_11571, obj_t BgL_sz00_11575)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11572;BgL_ev_absz00_bglt BgL_i1242z00_11573;obj_t BgL_bodyz00_11574;
BgL_iboxesz00_11572 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11571, 
(int)(((long)0)))); 
BgL_i1242z00_11573 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11571, 
(int)(((long)1)))); 
BgL_bodyz00_11574 = 
PROCEDURE_REF(BgL_envz00_11571, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13753;
BgL_bpz00_13753 = 
VECTOR_REF(
((obj_t)BgL_sz00_11575),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11575, BgL_iboxesz00_11572, BgL_bpz00_13753); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13754;obj_t BgL_wherez00_13755;obj_t BgL_locz00_13756;
BgL_z12denvz12_13754 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13755 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11573))->BgL_wherez00); 
BgL_locz00_13756 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11573))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13754, BgL_wherez00_13755, BgL_locz00_13756); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13757;
BgL_za2za2resza2za2z00_13757 = 
PROCEDURE_ENTRY(BgL_bodyz00_11574)(BgL_bodyz00_11574, BgL_sz00_11575, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13754); 
return BgL_za2za2resza2za2z00_13757;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3444> */
obj_t BGl_z62zc3anonymousza33444ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11576, obj_t BgL_sz00_11582)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11577;long BgL_siza7eza7_11578;BgL_ev_absz00_bglt BgL_i1242z00_11579;obj_t BgL_bodyz00_11580;long BgL_siza7ezd2framez75_11581;
BgL_ifreesz00_11577 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11576, 
(int)(((long)0)))); 
BgL_siza7eza7_11578 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11576, 
(int)(((long)1)))); 
BgL_i1242z00_11579 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11576, 
(int)(((long)2)))); 
BgL_bodyz00_11580 = 
PROCEDURE_REF(BgL_envz00_11576, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11581 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11576, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13758;
BgL_bpz00_13758 = 
VECTOR_REF(
((obj_t)BgL_sz00_11582),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13759;
BgL_valza2za2_13759 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11582, BgL_bpz00_13758, BgL_ifreesz00_11577); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13760;
BgL_runz00_13760 = 
MAKE_FX_PROCEDURE(BGl_z62run5082z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13760, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11578)); 
PROCEDURE_SET(BgL_runz00_13760, 
(int)(((long)1)), BgL_valza2za2_13759); 
PROCEDURE_SET(BgL_runz00_13760, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11579)); 
PROCEDURE_SET(BgL_runz00_13760, 
(int)(((long)3)), BgL_bodyz00_11580); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13761;
BgL_mainz00_13761 = 
MAKE_VA_PROCEDURE(BGl_z62main5081z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13761, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11578)); 
PROCEDURE_SET(BgL_mainz00_13761, 
(int)(((long)1)), BgL_valza2za2_13759); 
PROCEDURE_SET(BgL_mainz00_13761, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11579)); 
PROCEDURE_SET(BgL_mainz00_13761, 
(int)(((long)3)), BgL_bodyz00_11580); 
PROCEDURE_SET(BgL_mainz00_13761, 
(int)(((long)4)), BgL_runz00_13760); 
PROCEDURE_SET(BgL_mainz00_13761, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11581)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13762;
BgL_objz00_13762 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13760, BgL_objz00_13762); BgL_objz00_13762; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3445z00_13763;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3446z00_13764;
BgL_arg3446z00_13764 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11579))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13765;
BgL_newz00_13765 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23682;
BgL_tmpz00_23682 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13765, BgL_tmpz00_23682, BgL_arg3446z00_13764); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23687;int BgL_tmpz00_23685;
BgL_auxz00_23687 = 
BINT(BgL_siza7ezd2framez75_11581); 
BgL_tmpz00_23685 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13765, BgL_tmpz00_23685, BgL_auxz00_23687); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23690;
BgL_tmpz00_23690 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13765, BgL_tmpz00_23690, BgL_runz00_13760); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23695;int BgL_tmpz00_23693;
BgL_auxz00_23695 = 
BINT(((long)-4)); 
BgL_tmpz00_23693 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13765, BgL_tmpz00_23693, BgL_auxz00_23695); } 
BgL_arg3445z00_13763 = BgL_newz00_13765; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13761, BgL_arg3445z00_13763); BgL_arg3445z00_13763; } 
return BgL_mainz00_13761;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5081 */
obj_t BGl_z62main5081z62zz__evaluate_compz00(obj_t BgL_envz00_11583, obj_t BgL_bz00_11590, obj_t BgL_cz00_11591, obj_t BgL_dz00_11592, obj_t BgL_lastz00_11593)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11588;long BgL_siza7ezd2framez75_11589;
BgL_runz00_11588 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11583, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11589 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11583, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13766;
BgL_sz00_13766 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13767;
BgL_bpz00_13767 = 
VECTOR_REF(
((obj_t)BgL_sz00_13766),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13766, BgL_bpz00_13767, 
BINT(BgL_siza7ezd2framez75_11589)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3449z00_13768;
BgL_arg3449z00_13768 = 
(
(long)CINT(BgL_bpz00_13767)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13766),BgL_arg3449z00_13768,BgL_bz00_11590); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3450z00_13769;
BgL_arg3450z00_13769 = 
(
(long)CINT(BgL_bpz00_13767)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13766),BgL_arg3450z00_13769,BgL_cz00_11591); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3451z00_13770;
BgL_arg3451z00_13770 = 
(
(long)CINT(BgL_bpz00_13767)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13766),BgL_arg3451z00_13770,BgL_dz00_11592); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3452z00_13771;
BgL_arg3452z00_13771 = 
(
(long)CINT(BgL_bpz00_13767)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13766),BgL_arg3452z00_13771,BgL_lastz00_11593); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13772;
BgL_ez00_13772 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13772, BgL_bpz00_13767); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13773;
BgL_accz00_13773 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11588, BgL_sz00_13766, BgL_bpz00_13767); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13772); 
VECTOR_SET(
((obj_t)BgL_sz00_13766),((long)0),BgL_bpz00_13767); 
return BgL_accz00_13773;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13774;
BgL_nsz00_13774 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13774,((long)1),BgL_sz00_13766); 
VECTOR_SET(BgL_nsz00_13774,((long)2),BgL_bz00_11590); 
VECTOR_SET(BgL_nsz00_13774,((long)3),BgL_cz00_11591); 
VECTOR_SET(BgL_nsz00_13774,((long)4),BgL_dz00_11592); 
VECTOR_SET(BgL_nsz00_13774,((long)5),BgL_lastz00_11593); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13775;
BgL_z12denvz12_13775 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13775, BgL_nsz00_13774); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13776;
BgL_ez00_13776 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13776, BgL_sz00_13766); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13777;
BgL_____rz00_13777 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11588, BgL_nsz00_13774, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13776); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13775, BgL_sz00_13766); 
return BgL_____rz00_13777;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5082 */
obj_t BGl_z62run5082z62zz__evaluate_compz00(obj_t BgL_envz00_11594, obj_t BgL_sz00_11599)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11595;obj_t BgL_valza2za2_11596;BgL_ev_absz00_bglt BgL_i1242z00_11597;obj_t BgL_bodyz00_11598;
BgL_siza7eza7_11595 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11594, 
(int)(((long)0)))); 
BgL_valza2za2_11596 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11594, 
(int)(((long)1)))); 
BgL_i1242z00_11597 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11594, 
(int)(((long)2)))); 
BgL_bodyz00_11598 = 
PROCEDURE_REF(BgL_envz00_11594, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13778;
BgL_bpz00_13778 = 
VECTOR_REF(
((obj_t)BgL_sz00_11599),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11599, BgL_valza2za2_11596, 
(
(long)CINT(BgL_bpz00_13778)+BgL_siza7eza7_11595)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13779;obj_t BgL_wherez00_13780;obj_t BgL_locz00_13781;
BgL_z12denvz12_13779 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13780 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11597))->BgL_wherez00); 
BgL_locz00_13781 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11597))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13779, BgL_wherez00_13780, BgL_locz00_13781); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13782;
BgL_za2za2resza2za2z00_13782 = 
PROCEDURE_ENTRY(BgL_bodyz00_11598)(BgL_bodyz00_11598, BgL_sz00_11599, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13779); 
return BgL_za2za2resza2za2z00_13782;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3455> */
obj_t BGl_z62zc3anonymousza33455ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11600, obj_t BgL_sz00_11607)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11601;obj_t BgL_iboxesz00_11602;long BgL_siza7eza7_11603;BgL_ev_absz00_bglt BgL_i1242z00_11604;obj_t BgL_bodyz00_11605;long BgL_siza7ezd2framez75_11606;
BgL_ifreesz00_11601 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11600, 
(int)(((long)0)))); 
BgL_iboxesz00_11602 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11600, 
(int)(((long)1)))); 
BgL_siza7eza7_11603 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11600, 
(int)(((long)2)))); 
BgL_i1242z00_11604 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11600, 
(int)(((long)3)))); 
BgL_bodyz00_11605 = 
PROCEDURE_REF(BgL_envz00_11600, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11606 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11600, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13783;
BgL_bpz00_13783 = 
VECTOR_REF(
((obj_t)BgL_sz00_11607),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13784;
BgL_valza2za2_13784 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11607, BgL_bpz00_13783, BgL_ifreesz00_11601); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13785;
BgL_runz00_13785 = 
MAKE_FX_PROCEDURE(BGl_z62run5084z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13785, 
(int)(((long)0)), BgL_iboxesz00_11602); 
PROCEDURE_SET(BgL_runz00_13785, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11603)); 
PROCEDURE_SET(BgL_runz00_13785, 
(int)(((long)2)), BgL_valza2za2_13784); 
PROCEDURE_SET(BgL_runz00_13785, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11604)); 
PROCEDURE_SET(BgL_runz00_13785, 
(int)(((long)4)), BgL_bodyz00_11605); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13786;
BgL_mainz00_13786 = 
MAKE_VA_PROCEDURE(BGl_z62main5083z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13786, 
(int)(((long)0)), BgL_iboxesz00_11602); 
PROCEDURE_SET(BgL_mainz00_13786, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11603)); 
PROCEDURE_SET(BgL_mainz00_13786, 
(int)(((long)2)), BgL_valza2za2_13784); 
PROCEDURE_SET(BgL_mainz00_13786, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11604)); 
PROCEDURE_SET(BgL_mainz00_13786, 
(int)(((long)4)), BgL_bodyz00_11605); 
PROCEDURE_SET(BgL_mainz00_13786, 
(int)(((long)5)), BgL_runz00_13785); 
PROCEDURE_SET(BgL_mainz00_13786, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11606)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13787;
BgL_objz00_13787 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13785, BgL_objz00_13787); BgL_objz00_13787; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3456z00_13788;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3457z00_13789;
BgL_arg3457z00_13789 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11604))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13790;
BgL_newz00_13790 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23831;
BgL_tmpz00_23831 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13790, BgL_tmpz00_23831, BgL_arg3457z00_13789); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23836;int BgL_tmpz00_23834;
BgL_auxz00_23836 = 
BINT(BgL_siza7ezd2framez75_11606); 
BgL_tmpz00_23834 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13790, BgL_tmpz00_23834, BgL_auxz00_23836); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23839;
BgL_tmpz00_23839 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13790, BgL_tmpz00_23839, BgL_runz00_13785); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23844;int BgL_tmpz00_23842;
BgL_auxz00_23844 = 
BINT(((long)-4)); 
BgL_tmpz00_23842 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13790, BgL_tmpz00_23842, BgL_auxz00_23844); } 
BgL_arg3456z00_13788 = BgL_newz00_13790; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13786, BgL_arg3456z00_13788); BgL_arg3456z00_13788; } 
return BgL_mainz00_13786;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5083 */
obj_t BGl_z62main5083z62zz__evaluate_compz00(obj_t BgL_envz00_11608, obj_t BgL_bz00_11616, obj_t BgL_cz00_11617, obj_t BgL_dz00_11618, obj_t BgL_lastz00_11619)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11614;long BgL_siza7ezd2framez75_11615;
BgL_runz00_11614 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11608, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11615 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11608, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13791;
BgL_sz00_13791 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13792;
BgL_bpz00_13792 = 
VECTOR_REF(
((obj_t)BgL_sz00_13791),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13791, BgL_bpz00_13792, 
BINT(BgL_siza7ezd2framez75_11615)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3460z00_13793;
BgL_arg3460z00_13793 = 
(
(long)CINT(BgL_bpz00_13792)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13791),BgL_arg3460z00_13793,BgL_bz00_11616); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3461z00_13794;
BgL_arg3461z00_13794 = 
(
(long)CINT(BgL_bpz00_13792)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13791),BgL_arg3461z00_13794,BgL_cz00_11617); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3462z00_13795;
BgL_arg3462z00_13795 = 
(
(long)CINT(BgL_bpz00_13792)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13791),BgL_arg3462z00_13795,BgL_dz00_11618); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3463z00_13796;
BgL_arg3463z00_13796 = 
(
(long)CINT(BgL_bpz00_13792)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13791),BgL_arg3463z00_13796,BgL_lastz00_11619); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13797;
BgL_ez00_13797 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13797, BgL_bpz00_13792); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13798;
BgL_accz00_13798 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11614, BgL_sz00_13791, BgL_bpz00_13792); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13797); 
VECTOR_SET(
((obj_t)BgL_sz00_13791),((long)0),BgL_bpz00_13792); 
return BgL_accz00_13798;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13799;
BgL_nsz00_13799 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13799,((long)1),BgL_sz00_13791); 
VECTOR_SET(BgL_nsz00_13799,((long)2),BgL_bz00_11616); 
VECTOR_SET(BgL_nsz00_13799,((long)3),BgL_cz00_11617); 
VECTOR_SET(BgL_nsz00_13799,((long)4),BgL_dz00_11618); 
VECTOR_SET(BgL_nsz00_13799,((long)5),BgL_lastz00_11619); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13800;
BgL_z12denvz12_13800 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13800, BgL_nsz00_13799); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13801;
BgL_ez00_13801 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13801, BgL_sz00_13791); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13802;
BgL_____rz00_13802 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11614, BgL_nsz00_13799, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13801); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13800, BgL_sz00_13791); 
return BgL_____rz00_13802;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5084 */
obj_t BGl_z62run5084z62zz__evaluate_compz00(obj_t BgL_envz00_11620, obj_t BgL_sz00_11626)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11621;long BgL_siza7eza7_11622;obj_t BgL_valza2za2_11623;BgL_ev_absz00_bglt BgL_i1242z00_11624;obj_t BgL_bodyz00_11625;
BgL_iboxesz00_11621 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11620, 
(int)(((long)0)))); 
BgL_siza7eza7_11622 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11620, 
(int)(((long)1)))); 
BgL_valza2za2_11623 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11620, 
(int)(((long)2)))); 
BgL_i1242z00_11624 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11620, 
(int)(((long)3)))); 
BgL_bodyz00_11625 = 
PROCEDURE_REF(BgL_envz00_11620, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13803;
BgL_bpz00_13803 = 
VECTOR_REF(
((obj_t)BgL_sz00_11626),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11626, BgL_iboxesz00_11621, BgL_bpz00_13803); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11626, BgL_valza2za2_11623, 
(
(long)CINT(BgL_bpz00_13803)+BgL_siza7eza7_11622)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13804;obj_t BgL_wherez00_13805;obj_t BgL_locz00_13806;
BgL_z12denvz12_13804 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13805 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11624))->BgL_wherez00); 
BgL_locz00_13806 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11624))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13804, BgL_wherez00_13805, BgL_locz00_13806); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13807;
BgL_za2za2resza2za2z00_13807 = 
PROCEDURE_ENTRY(BgL_bodyz00_11625)(BgL_bodyz00_11625, BgL_sz00_11626, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13804); 
return BgL_za2za2resza2za2z00_13807;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3374> */
obj_t BGl_z62zc3anonymousza33374ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11627, obj_t BgL_sz00_11631)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11628;obj_t BgL_bodyz00_11629;long BgL_siza7ezd2framez75_11630;
BgL_i1242z00_11628 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11627, 
(int)(((long)0)))); 
BgL_bodyz00_11629 = 
PROCEDURE_REF(BgL_envz00_11627, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11630 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11627, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13808;
BgL_bpz00_13808 = 
VECTOR_REF(
((obj_t)BgL_sz00_11631),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13809;
BgL_runz00_13809 = 
MAKE_FX_PROCEDURE(BGl_z62run5086z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13809, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11628)); 
PROCEDURE_SET(BgL_runz00_13809, 
(int)(((long)1)), BgL_bodyz00_11629); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13810;
BgL_mainz00_13810 = 
MAKE_FX_PROCEDURE(BGl_z62main5085z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13810, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11628)); 
PROCEDURE_SET(BgL_mainz00_13810, 
(int)(((long)1)), BgL_bodyz00_11629); 
PROCEDURE_SET(BgL_mainz00_13810, 
(int)(((long)2)), BgL_runz00_13809); 
PROCEDURE_SET(BgL_mainz00_13810, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11630)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13811;
BgL_objz00_13811 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13809, BgL_objz00_13811); BgL_objz00_13811; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3375z00_13812;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3376z00_13813;
BgL_arg3376z00_13813 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11628))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13814;
BgL_newz00_13814 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23960;
BgL_tmpz00_23960 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13814, BgL_tmpz00_23960, BgL_arg3376z00_13813); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23965;int BgL_tmpz00_23963;
BgL_auxz00_23965 = 
BINT(BgL_siza7ezd2framez75_11630); 
BgL_tmpz00_23963 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13814, BgL_tmpz00_23963, BgL_auxz00_23965); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23968;
BgL_tmpz00_23968 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13814, BgL_tmpz00_23968, BgL_runz00_13809); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23973;int BgL_tmpz00_23971;
BgL_auxz00_23973 = 
BINT(((long)3)); 
BgL_tmpz00_23971 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13814, BgL_tmpz00_23971, BgL_auxz00_23973); } 
BgL_arg3375z00_13812 = BgL_newz00_13814; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13810, BgL_arg3375z00_13812); BgL_arg3375z00_13812; } 
return BgL_mainz00_13810;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5085 */
obj_t BGl_z62main5085z62zz__evaluate_compz00(obj_t BgL_envz00_11632, obj_t BgL_bz00_11637, obj_t BgL_cz00_11638, obj_t BgL_dz00_11639)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11635;long BgL_siza7ezd2framez75_11636;
BgL_runz00_11635 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11632, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11636 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11632, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13815;
BgL_sz00_13815 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13816;
BgL_bpz00_13816 = 
VECTOR_REF(
((obj_t)BgL_sz00_13815),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13815, BgL_bpz00_13816, 
BINT(BgL_siza7ezd2framez75_11636)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3379z00_13817;
BgL_arg3379z00_13817 = 
(
(long)CINT(BgL_bpz00_13816)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13815),BgL_arg3379z00_13817,BgL_bz00_11637); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3380z00_13818;
BgL_arg3380z00_13818 = 
(
(long)CINT(BgL_bpz00_13816)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13815),BgL_arg3380z00_13818,BgL_cz00_11638); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3381z00_13819;
BgL_arg3381z00_13819 = 
(
(long)CINT(BgL_bpz00_13816)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13815),BgL_arg3381z00_13819,BgL_dz00_11639); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13820;
BgL_ez00_13820 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13820, BgL_bpz00_13816); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13821;
BgL_accz00_13821 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11635, BgL_sz00_13815, BgL_bpz00_13816); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13820); 
VECTOR_SET(
((obj_t)BgL_sz00_13815),((long)0),BgL_bpz00_13816); 
return BgL_accz00_13821;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13822;
BgL_nsz00_13822 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13822,((long)1),BgL_sz00_13815); 
VECTOR_SET(BgL_nsz00_13822,((long)2),BgL_bz00_11637); 
VECTOR_SET(BgL_nsz00_13822,((long)3),BgL_cz00_11638); 
VECTOR_SET(BgL_nsz00_13822,((long)4),BgL_dz00_11639); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13823;
BgL_z12denvz12_13823 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13823, BgL_nsz00_13822); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13824;
BgL_ez00_13824 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13824, BgL_sz00_13815); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13825;
BgL_____rz00_13825 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11635, BgL_nsz00_13822, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13824); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13823, BgL_sz00_13815); 
return BgL_____rz00_13825;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5086 */
obj_t BGl_z62run5086z62zz__evaluate_compz00(obj_t BgL_envz00_11640, obj_t BgL_sz00_11643)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11641;obj_t BgL_bodyz00_11642;
BgL_i1242z00_11641 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11640, 
(int)(((long)0)))); 
BgL_bodyz00_11642 = 
PROCEDURE_REF(BgL_envz00_11640, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13826;
BgL_bpz00_13826 = 
VECTOR_REF(
((obj_t)BgL_sz00_11643),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13827;obj_t BgL_wherez00_13828;obj_t BgL_locz00_13829;
BgL_z12denvz12_13827 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13828 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11641))->BgL_wherez00); 
BgL_locz00_13829 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11641))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13827, BgL_wherez00_13828, BgL_locz00_13829); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13830;
BgL_za2za2resza2za2z00_13830 = 
PROCEDURE_ENTRY(BgL_bodyz00_11642)(BgL_bodyz00_11642, BgL_sz00_11643, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13827); 
return BgL_za2za2resza2za2z00_13830;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3383> */
obj_t BGl_z62zc3anonymousza33383ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11644, obj_t BgL_sz00_11649)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11645;BgL_ev_absz00_bglt BgL_i1242z00_11646;obj_t BgL_bodyz00_11647;long BgL_siza7ezd2framez75_11648;
BgL_iboxesz00_11645 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11644, 
(int)(((long)0)))); 
BgL_i1242z00_11646 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11644, 
(int)(((long)1)))); 
BgL_bodyz00_11647 = 
PROCEDURE_REF(BgL_envz00_11644, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11648 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11644, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13831;
BgL_bpz00_13831 = 
VECTOR_REF(
((obj_t)BgL_sz00_11649),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13832;
BgL_runz00_13832 = 
MAKE_FX_PROCEDURE(BGl_z62run5088z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13832, 
(int)(((long)0)), BgL_iboxesz00_11645); 
PROCEDURE_SET(BgL_runz00_13832, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11646)); 
PROCEDURE_SET(BgL_runz00_13832, 
(int)(((long)2)), BgL_bodyz00_11647); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13833;
BgL_mainz00_13833 = 
MAKE_FX_PROCEDURE(BGl_z62main5087z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13833, 
(int)(((long)0)), BgL_iboxesz00_11645); 
PROCEDURE_SET(BgL_mainz00_13833, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11646)); 
PROCEDURE_SET(BgL_mainz00_13833, 
(int)(((long)2)), BgL_bodyz00_11647); 
PROCEDURE_SET(BgL_mainz00_13833, 
(int)(((long)3)), BgL_runz00_13832); 
PROCEDURE_SET(BgL_mainz00_13833, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11648)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13834;
BgL_objz00_13834 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13832, BgL_objz00_13834); BgL_objz00_13834; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3384z00_13835;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3385z00_13836;
BgL_arg3385z00_13836 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11646))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13837;
BgL_newz00_13837 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24078;
BgL_tmpz00_24078 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13837, BgL_tmpz00_24078, BgL_arg3385z00_13836); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24083;int BgL_tmpz00_24081;
BgL_auxz00_24083 = 
BINT(BgL_siza7ezd2framez75_11648); 
BgL_tmpz00_24081 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13837, BgL_tmpz00_24081, BgL_auxz00_24083); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24086;
BgL_tmpz00_24086 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13837, BgL_tmpz00_24086, BgL_runz00_13832); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24091;int BgL_tmpz00_24089;
BgL_auxz00_24091 = 
BINT(((long)3)); 
BgL_tmpz00_24089 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13837, BgL_tmpz00_24089, BgL_auxz00_24091); } 
BgL_arg3384z00_13835 = BgL_newz00_13837; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13833, BgL_arg3384z00_13835); BgL_arg3384z00_13835; } 
return BgL_mainz00_13833;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5087 */
obj_t BGl_z62main5087z62zz__evaluate_compz00(obj_t BgL_envz00_11650, obj_t BgL_bz00_11656, obj_t BgL_cz00_11657, obj_t BgL_dz00_11658)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11654;long BgL_siza7ezd2framez75_11655;
BgL_runz00_11654 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11650, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11655 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11650, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13838;
BgL_sz00_13838 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13839;
BgL_bpz00_13839 = 
VECTOR_REF(
((obj_t)BgL_sz00_13838),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13838, BgL_bpz00_13839, 
BINT(BgL_siza7ezd2framez75_11655)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3388z00_13840;
BgL_arg3388z00_13840 = 
(
(long)CINT(BgL_bpz00_13839)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13838),BgL_arg3388z00_13840,BgL_bz00_11656); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3389z00_13841;
BgL_arg3389z00_13841 = 
(
(long)CINT(BgL_bpz00_13839)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13838),BgL_arg3389z00_13841,BgL_cz00_11657); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3390z00_13842;
BgL_arg3390z00_13842 = 
(
(long)CINT(BgL_bpz00_13839)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13838),BgL_arg3390z00_13842,BgL_dz00_11658); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13843;
BgL_ez00_13843 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13843, BgL_bpz00_13839); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13844;
BgL_accz00_13844 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11654, BgL_sz00_13838, BgL_bpz00_13839); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13843); 
VECTOR_SET(
((obj_t)BgL_sz00_13838),((long)0),BgL_bpz00_13839); 
return BgL_accz00_13844;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13845;
BgL_nsz00_13845 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13845,((long)1),BgL_sz00_13838); 
VECTOR_SET(BgL_nsz00_13845,((long)2),BgL_bz00_11656); 
VECTOR_SET(BgL_nsz00_13845,((long)3),BgL_cz00_11657); 
VECTOR_SET(BgL_nsz00_13845,((long)4),BgL_dz00_11658); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13846;
BgL_z12denvz12_13846 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13846, BgL_nsz00_13845); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13847;
BgL_ez00_13847 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13847, BgL_sz00_13838); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13848;
BgL_____rz00_13848 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11654, BgL_nsz00_13845, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13847); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13846, BgL_sz00_13838); 
return BgL_____rz00_13848;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5088 */
obj_t BGl_z62run5088z62zz__evaluate_compz00(obj_t BgL_envz00_11659, obj_t BgL_sz00_11663)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11660;BgL_ev_absz00_bglt BgL_i1242z00_11661;obj_t BgL_bodyz00_11662;
BgL_iboxesz00_11660 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11659, 
(int)(((long)0)))); 
BgL_i1242z00_11661 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11659, 
(int)(((long)1)))); 
BgL_bodyz00_11662 = 
PROCEDURE_REF(BgL_envz00_11659, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13849;
BgL_bpz00_13849 = 
VECTOR_REF(
((obj_t)BgL_sz00_11663),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11663, BgL_iboxesz00_11660, BgL_bpz00_13849); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13850;obj_t BgL_wherez00_13851;obj_t BgL_locz00_13852;
BgL_z12denvz12_13850 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13851 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11661))->BgL_wherez00); 
BgL_locz00_13852 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11661))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13850, BgL_wherez00_13851, BgL_locz00_13852); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13853;
BgL_za2za2resza2za2z00_13853 = 
PROCEDURE_ENTRY(BgL_bodyz00_11662)(BgL_bodyz00_11662, BgL_sz00_11663, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13850); 
return BgL_za2za2resza2za2z00_13853;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3395> */
obj_t BGl_z62zc3anonymousza33395ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11664, obj_t BgL_sz00_11670)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11665;long BgL_siza7eza7_11666;BgL_ev_absz00_bglt BgL_i1242z00_11667;obj_t BgL_bodyz00_11668;long BgL_siza7ezd2framez75_11669;
BgL_ifreesz00_11665 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11664, 
(int)(((long)0)))); 
BgL_siza7eza7_11666 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11664, 
(int)(((long)1)))); 
BgL_i1242z00_11667 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11664, 
(int)(((long)2)))); 
BgL_bodyz00_11668 = 
PROCEDURE_REF(BgL_envz00_11664, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11669 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11664, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13854;
BgL_bpz00_13854 = 
VECTOR_REF(
((obj_t)BgL_sz00_11670),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13855;
BgL_valza2za2_13855 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11670, BgL_bpz00_13854, BgL_ifreesz00_11665); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13856;
BgL_runz00_13856 = 
MAKE_FX_PROCEDURE(BGl_z62run5090z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13856, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11666)); 
PROCEDURE_SET(BgL_runz00_13856, 
(int)(((long)1)), BgL_valza2za2_13855); 
PROCEDURE_SET(BgL_runz00_13856, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11667)); 
PROCEDURE_SET(BgL_runz00_13856, 
(int)(((long)3)), BgL_bodyz00_11668); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13857;
BgL_mainz00_13857 = 
MAKE_FX_PROCEDURE(BGl_z62main5089z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13857, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11666)); 
PROCEDURE_SET(BgL_mainz00_13857, 
(int)(((long)1)), BgL_valza2za2_13855); 
PROCEDURE_SET(BgL_mainz00_13857, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11667)); 
PROCEDURE_SET(BgL_mainz00_13857, 
(int)(((long)3)), BgL_bodyz00_11668); 
PROCEDURE_SET(BgL_mainz00_13857, 
(int)(((long)4)), BgL_runz00_13856); 
PROCEDURE_SET(BgL_mainz00_13857, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11669)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13858;
BgL_objz00_13858 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13856, BgL_objz00_13858); BgL_objz00_13858; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3396z00_13859;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3397z00_13860;
BgL_arg3397z00_13860 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11667))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13861;
BgL_newz00_13861 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24210;
BgL_tmpz00_24210 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13861, BgL_tmpz00_24210, BgL_arg3397z00_13860); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24215;int BgL_tmpz00_24213;
BgL_auxz00_24215 = 
BINT(BgL_siza7ezd2framez75_11669); 
BgL_tmpz00_24213 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13861, BgL_tmpz00_24213, BgL_auxz00_24215); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24218;
BgL_tmpz00_24218 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13861, BgL_tmpz00_24218, BgL_runz00_13856); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24223;int BgL_tmpz00_24221;
BgL_auxz00_24223 = 
BINT(((long)3)); 
BgL_tmpz00_24221 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13861, BgL_tmpz00_24221, BgL_auxz00_24223); } 
BgL_arg3396z00_13859 = BgL_newz00_13861; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13857, BgL_arg3396z00_13859); BgL_arg3396z00_13859; } 
return BgL_mainz00_13857;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5089 */
obj_t BGl_z62main5089z62zz__evaluate_compz00(obj_t BgL_envz00_11671, obj_t BgL_bz00_11678, obj_t BgL_cz00_11679, obj_t BgL_dz00_11680)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11676;long BgL_siza7ezd2framez75_11677;
BgL_runz00_11676 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11671, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11677 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11671, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13862;
BgL_sz00_13862 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13863;
BgL_bpz00_13863 = 
VECTOR_REF(
((obj_t)BgL_sz00_13862),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13862, BgL_bpz00_13863, 
BINT(BgL_siza7ezd2framez75_11677)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3400z00_13864;
BgL_arg3400z00_13864 = 
(
(long)CINT(BgL_bpz00_13863)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13862),BgL_arg3400z00_13864,BgL_bz00_11678); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3401z00_13865;
BgL_arg3401z00_13865 = 
(
(long)CINT(BgL_bpz00_13863)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13862),BgL_arg3401z00_13865,BgL_cz00_11679); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3402z00_13866;
BgL_arg3402z00_13866 = 
(
(long)CINT(BgL_bpz00_13863)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13862),BgL_arg3402z00_13866,BgL_dz00_11680); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13867;
BgL_ez00_13867 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13867, BgL_bpz00_13863); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13868;
BgL_accz00_13868 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11676, BgL_sz00_13862, BgL_bpz00_13863); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13867); 
VECTOR_SET(
((obj_t)BgL_sz00_13862),((long)0),BgL_bpz00_13863); 
return BgL_accz00_13868;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13869;
BgL_nsz00_13869 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13869,((long)1),BgL_sz00_13862); 
VECTOR_SET(BgL_nsz00_13869,((long)2),BgL_bz00_11678); 
VECTOR_SET(BgL_nsz00_13869,((long)3),BgL_cz00_11679); 
VECTOR_SET(BgL_nsz00_13869,((long)4),BgL_dz00_11680); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13870;
BgL_z12denvz12_13870 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13870, BgL_nsz00_13869); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13871;
BgL_ez00_13871 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13871, BgL_sz00_13862); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13872;
BgL_____rz00_13872 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11676, BgL_nsz00_13869, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13871); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13870, BgL_sz00_13862); 
return BgL_____rz00_13872;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5090 */
obj_t BGl_z62run5090z62zz__evaluate_compz00(obj_t BgL_envz00_11681, obj_t BgL_sz00_11686)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11682;obj_t BgL_valza2za2_11683;BgL_ev_absz00_bglt BgL_i1242z00_11684;obj_t BgL_bodyz00_11685;
BgL_siza7eza7_11682 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11681, 
(int)(((long)0)))); 
BgL_valza2za2_11683 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11681, 
(int)(((long)1)))); 
BgL_i1242z00_11684 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11681, 
(int)(((long)2)))); 
BgL_bodyz00_11685 = 
PROCEDURE_REF(BgL_envz00_11681, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13873;
BgL_bpz00_13873 = 
VECTOR_REF(
((obj_t)BgL_sz00_11686),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11686, BgL_valza2za2_11683, 
(
(long)CINT(BgL_bpz00_13873)+BgL_siza7eza7_11682)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13874;obj_t BgL_wherez00_13875;obj_t BgL_locz00_13876;
BgL_z12denvz12_13874 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13875 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11684))->BgL_wherez00); 
BgL_locz00_13876 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11684))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13874, BgL_wherez00_13875, BgL_locz00_13876); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13877;
BgL_za2za2resza2za2z00_13877 = 
PROCEDURE_ENTRY(BgL_bodyz00_11685)(BgL_bodyz00_11685, BgL_sz00_11686, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13874); 
return BgL_za2za2resza2za2z00_13877;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3405> */
obj_t BGl_z62zc3anonymousza33405ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11687, obj_t BgL_sz00_11694)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11688;obj_t BgL_iboxesz00_11689;long BgL_siza7eza7_11690;BgL_ev_absz00_bglt BgL_i1242z00_11691;obj_t BgL_bodyz00_11692;long BgL_siza7ezd2framez75_11693;
BgL_ifreesz00_11688 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11687, 
(int)(((long)0)))); 
BgL_iboxesz00_11689 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11687, 
(int)(((long)1)))); 
BgL_siza7eza7_11690 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11687, 
(int)(((long)2)))); 
BgL_i1242z00_11691 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11687, 
(int)(((long)3)))); 
BgL_bodyz00_11692 = 
PROCEDURE_REF(BgL_envz00_11687, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11693 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11687, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13878;
BgL_bpz00_13878 = 
VECTOR_REF(
((obj_t)BgL_sz00_11694),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13879;
BgL_valza2za2_13879 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11694, BgL_bpz00_13878, BgL_ifreesz00_11688); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13880;
BgL_runz00_13880 = 
MAKE_FX_PROCEDURE(BGl_z62run5092z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13880, 
(int)(((long)0)), BgL_iboxesz00_11689); 
PROCEDURE_SET(BgL_runz00_13880, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11690)); 
PROCEDURE_SET(BgL_runz00_13880, 
(int)(((long)2)), BgL_valza2za2_13879); 
PROCEDURE_SET(BgL_runz00_13880, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11691)); 
PROCEDURE_SET(BgL_runz00_13880, 
(int)(((long)4)), BgL_bodyz00_11692); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13881;
BgL_mainz00_13881 = 
MAKE_FX_PROCEDURE(BGl_z62main5091z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13881, 
(int)(((long)0)), BgL_iboxesz00_11689); 
PROCEDURE_SET(BgL_mainz00_13881, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11690)); 
PROCEDURE_SET(BgL_mainz00_13881, 
(int)(((long)2)), BgL_valza2za2_13879); 
PROCEDURE_SET(BgL_mainz00_13881, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11691)); 
PROCEDURE_SET(BgL_mainz00_13881, 
(int)(((long)4)), BgL_bodyz00_11692); 
PROCEDURE_SET(BgL_mainz00_13881, 
(int)(((long)5)), BgL_runz00_13880); 
PROCEDURE_SET(BgL_mainz00_13881, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11693)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13882;
BgL_objz00_13882 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13880, BgL_objz00_13882); BgL_objz00_13882; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3406z00_13883;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3407z00_13884;
BgL_arg3407z00_13884 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11691))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13885;
BgL_newz00_13885 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24354;
BgL_tmpz00_24354 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13885, BgL_tmpz00_24354, BgL_arg3407z00_13884); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24359;int BgL_tmpz00_24357;
BgL_auxz00_24359 = 
BINT(BgL_siza7ezd2framez75_11693); 
BgL_tmpz00_24357 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13885, BgL_tmpz00_24357, BgL_auxz00_24359); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24362;
BgL_tmpz00_24362 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13885, BgL_tmpz00_24362, BgL_runz00_13880); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24367;int BgL_tmpz00_24365;
BgL_auxz00_24367 = 
BINT(((long)3)); 
BgL_tmpz00_24365 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13885, BgL_tmpz00_24365, BgL_auxz00_24367); } 
BgL_arg3406z00_13883 = BgL_newz00_13885; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13881, BgL_arg3406z00_13883); BgL_arg3406z00_13883; } 
return BgL_mainz00_13881;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5091 */
obj_t BGl_z62main5091z62zz__evaluate_compz00(obj_t BgL_envz00_11695, obj_t BgL_bz00_11703, obj_t BgL_cz00_11704, obj_t BgL_dz00_11705)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11701;long BgL_siza7ezd2framez75_11702;
BgL_runz00_11701 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11695, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11702 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11695, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13886;
BgL_sz00_13886 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13887;
BgL_bpz00_13887 = 
VECTOR_REF(
((obj_t)BgL_sz00_13886),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13886, BgL_bpz00_13887, 
BINT(BgL_siza7ezd2framez75_11702)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3410z00_13888;
BgL_arg3410z00_13888 = 
(
(long)CINT(BgL_bpz00_13887)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13886),BgL_arg3410z00_13888,BgL_bz00_11703); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3411z00_13889;
BgL_arg3411z00_13889 = 
(
(long)CINT(BgL_bpz00_13887)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13886),BgL_arg3411z00_13889,BgL_cz00_11704); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3412z00_13890;
BgL_arg3412z00_13890 = 
(
(long)CINT(BgL_bpz00_13887)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13886),BgL_arg3412z00_13890,BgL_dz00_11705); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13891;
BgL_ez00_13891 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13891, BgL_bpz00_13887); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13892;
BgL_accz00_13892 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11701, BgL_sz00_13886, BgL_bpz00_13887); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13891); 
VECTOR_SET(
((obj_t)BgL_sz00_13886),((long)0),BgL_bpz00_13887); 
return BgL_accz00_13892;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13893;
BgL_nsz00_13893 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13893,((long)1),BgL_sz00_13886); 
VECTOR_SET(BgL_nsz00_13893,((long)2),BgL_bz00_11703); 
VECTOR_SET(BgL_nsz00_13893,((long)3),BgL_cz00_11704); 
VECTOR_SET(BgL_nsz00_13893,((long)4),BgL_dz00_11705); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13894;
BgL_z12denvz12_13894 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13894, BgL_nsz00_13893); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13895;
BgL_ez00_13895 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13895, BgL_sz00_13886); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13896;
BgL_____rz00_13896 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11701, BgL_nsz00_13893, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13895); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13894, BgL_sz00_13886); 
return BgL_____rz00_13896;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5092 */
obj_t BGl_z62run5092z62zz__evaluate_compz00(obj_t BgL_envz00_11706, obj_t BgL_sz00_11712)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11707;long BgL_siza7eza7_11708;obj_t BgL_valza2za2_11709;BgL_ev_absz00_bglt BgL_i1242z00_11710;obj_t BgL_bodyz00_11711;
BgL_iboxesz00_11707 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11706, 
(int)(((long)0)))); 
BgL_siza7eza7_11708 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11706, 
(int)(((long)1)))); 
BgL_valza2za2_11709 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11706, 
(int)(((long)2)))); 
BgL_i1242z00_11710 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11706, 
(int)(((long)3)))); 
BgL_bodyz00_11711 = 
PROCEDURE_REF(BgL_envz00_11706, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13897;
BgL_bpz00_13897 = 
VECTOR_REF(
((obj_t)BgL_sz00_11712),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11712, BgL_iboxesz00_11707, BgL_bpz00_13897); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11712, BgL_valza2za2_11709, 
(
(long)CINT(BgL_bpz00_13897)+BgL_siza7eza7_11708)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13898;obj_t BgL_wherez00_13899;obj_t BgL_locz00_13900;
BgL_z12denvz12_13898 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13899 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11710))->BgL_wherez00); 
BgL_locz00_13900 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11710))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13898, BgL_wherez00_13899, BgL_locz00_13900); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13901;
BgL_za2za2resza2za2z00_13901 = 
PROCEDURE_ENTRY(BgL_bodyz00_11711)(BgL_bodyz00_11711, BgL_sz00_11712, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13898); 
return BgL_za2za2resza2za2z00_13901;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3327> */
obj_t BGl_z62zc3anonymousza33327ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11713, obj_t BgL_sz00_11717)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11714;obj_t BgL_bodyz00_11715;long BgL_siza7ezd2framez75_11716;
BgL_i1242z00_11714 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11713, 
(int)(((long)0)))); 
BgL_bodyz00_11715 = 
PROCEDURE_REF(BgL_envz00_11713, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11716 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11713, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13902;
BgL_bpz00_13902 = 
VECTOR_REF(
((obj_t)BgL_sz00_11717),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13903;
BgL_runz00_13903 = 
MAKE_FX_PROCEDURE(BGl_z62run5094z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13903, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11714)); 
PROCEDURE_SET(BgL_runz00_13903, 
(int)(((long)1)), BgL_bodyz00_11715); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13904;
BgL_mainz00_13904 = 
MAKE_VA_PROCEDURE(BGl_z62main5093z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13904, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11714)); 
PROCEDURE_SET(BgL_mainz00_13904, 
(int)(((long)1)), BgL_bodyz00_11715); 
PROCEDURE_SET(BgL_mainz00_13904, 
(int)(((long)2)), BgL_runz00_13903); 
PROCEDURE_SET(BgL_mainz00_13904, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11716)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13905;
BgL_objz00_13905 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13903, BgL_objz00_13905); BgL_objz00_13905; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3328z00_13906;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3329z00_13907;
BgL_arg3329z00_13907 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11714))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13908;
BgL_newz00_13908 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24478;
BgL_tmpz00_24478 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13908, BgL_tmpz00_24478, BgL_arg3329z00_13907); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24483;int BgL_tmpz00_24481;
BgL_auxz00_24483 = 
BINT(BgL_siza7ezd2framez75_11716); 
BgL_tmpz00_24481 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13908, BgL_tmpz00_24481, BgL_auxz00_24483); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24486;
BgL_tmpz00_24486 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13908, BgL_tmpz00_24486, BgL_runz00_13903); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24491;int BgL_tmpz00_24489;
BgL_auxz00_24491 = 
BINT(((long)-3)); 
BgL_tmpz00_24489 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13908, BgL_tmpz00_24489, BgL_auxz00_24491); } 
BgL_arg3328z00_13906 = BgL_newz00_13908; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13904, BgL_arg3328z00_13906); BgL_arg3328z00_13906; } 
return BgL_mainz00_13904;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5093 */
obj_t BGl_z62main5093z62zz__evaluate_compz00(obj_t BgL_envz00_11718, obj_t BgL_cz00_11723, obj_t BgL_dz00_11724, obj_t BgL_lastz00_11725)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11721;long BgL_siza7ezd2framez75_11722;
BgL_runz00_11721 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11718, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11722 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11718, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13909;
BgL_sz00_13909 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13910;
BgL_bpz00_13910 = 
VECTOR_REF(
((obj_t)BgL_sz00_13909),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13909, BgL_bpz00_13910, 
BINT(BgL_siza7ezd2framez75_11722)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3332z00_13911;
BgL_arg3332z00_13911 = 
(
(long)CINT(BgL_bpz00_13910)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13909),BgL_arg3332z00_13911,BgL_cz00_11723); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3333z00_13912;
BgL_arg3333z00_13912 = 
(
(long)CINT(BgL_bpz00_13910)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13909),BgL_arg3333z00_13912,BgL_dz00_11724); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3334z00_13913;
BgL_arg3334z00_13913 = 
(
(long)CINT(BgL_bpz00_13910)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13909),BgL_arg3334z00_13913,BgL_lastz00_11725); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13914;
BgL_ez00_13914 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13914, BgL_bpz00_13910); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13915;
BgL_accz00_13915 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11721, BgL_sz00_13909, BgL_bpz00_13910); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13914); 
VECTOR_SET(
((obj_t)BgL_sz00_13909),((long)0),BgL_bpz00_13910); 
return BgL_accz00_13915;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13916;
BgL_nsz00_13916 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13916,((long)1),BgL_sz00_13909); 
VECTOR_SET(BgL_nsz00_13916,((long)2),BgL_cz00_11723); 
VECTOR_SET(BgL_nsz00_13916,((long)3),BgL_dz00_11724); 
VECTOR_SET(BgL_nsz00_13916,((long)4),BgL_lastz00_11725); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13917;
BgL_z12denvz12_13917 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13917, BgL_nsz00_13916); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13918;
BgL_ez00_13918 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13918, BgL_sz00_13909); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13919;
BgL_____rz00_13919 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11721, BgL_nsz00_13916, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13918); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13917, BgL_sz00_13909); 
return BgL_____rz00_13919;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5094 */
obj_t BGl_z62run5094z62zz__evaluate_compz00(obj_t BgL_envz00_11726, obj_t BgL_sz00_11729)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11727;obj_t BgL_bodyz00_11728;
BgL_i1242z00_11727 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11726, 
(int)(((long)0)))); 
BgL_bodyz00_11728 = 
PROCEDURE_REF(BgL_envz00_11726, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13920;
BgL_bpz00_13920 = 
VECTOR_REF(
((obj_t)BgL_sz00_11729),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13921;obj_t BgL_wherez00_13922;obj_t BgL_locz00_13923;
BgL_z12denvz12_13921 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13922 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11727))->BgL_wherez00); 
BgL_locz00_13923 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11727))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13921, BgL_wherez00_13922, BgL_locz00_13923); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13924;
BgL_za2za2resza2za2z00_13924 = 
PROCEDURE_ENTRY(BgL_bodyz00_11728)(BgL_bodyz00_11728, BgL_sz00_11729, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13921); 
return BgL_za2za2resza2za2z00_13924;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3336> */
obj_t BGl_z62zc3anonymousza33336ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11730, obj_t BgL_sz00_11735)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11731;BgL_ev_absz00_bglt BgL_i1242z00_11732;obj_t BgL_bodyz00_11733;long BgL_siza7ezd2framez75_11734;
BgL_iboxesz00_11731 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11730, 
(int)(((long)0)))); 
BgL_i1242z00_11732 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11730, 
(int)(((long)1)))); 
BgL_bodyz00_11733 = 
PROCEDURE_REF(BgL_envz00_11730, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11734 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11730, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13925;
BgL_bpz00_13925 = 
VECTOR_REF(
((obj_t)BgL_sz00_11735),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13926;
BgL_runz00_13926 = 
MAKE_FX_PROCEDURE(BGl_z62run5096z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13926, 
(int)(((long)0)), BgL_iboxesz00_11731); 
PROCEDURE_SET(BgL_runz00_13926, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11732)); 
PROCEDURE_SET(BgL_runz00_13926, 
(int)(((long)2)), BgL_bodyz00_11733); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13927;
BgL_mainz00_13927 = 
MAKE_VA_PROCEDURE(BGl_z62main5095z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13927, 
(int)(((long)0)), BgL_iboxesz00_11731); 
PROCEDURE_SET(BgL_mainz00_13927, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11732)); 
PROCEDURE_SET(BgL_mainz00_13927, 
(int)(((long)2)), BgL_bodyz00_11733); 
PROCEDURE_SET(BgL_mainz00_13927, 
(int)(((long)3)), BgL_runz00_13926); 
PROCEDURE_SET(BgL_mainz00_13927, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11734)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13928;
BgL_objz00_13928 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13926, BgL_objz00_13928); BgL_objz00_13928; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3337z00_13929;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3338z00_13930;
BgL_arg3338z00_13930 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11732))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13931;
BgL_newz00_13931 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24596;
BgL_tmpz00_24596 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13931, BgL_tmpz00_24596, BgL_arg3338z00_13930); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24601;int BgL_tmpz00_24599;
BgL_auxz00_24601 = 
BINT(BgL_siza7ezd2framez75_11734); 
BgL_tmpz00_24599 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13931, BgL_tmpz00_24599, BgL_auxz00_24601); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24604;
BgL_tmpz00_24604 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13931, BgL_tmpz00_24604, BgL_runz00_13926); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24609;int BgL_tmpz00_24607;
BgL_auxz00_24609 = 
BINT(((long)-3)); 
BgL_tmpz00_24607 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13931, BgL_tmpz00_24607, BgL_auxz00_24609); } 
BgL_arg3337z00_13929 = BgL_newz00_13931; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13927, BgL_arg3337z00_13929); BgL_arg3337z00_13929; } 
return BgL_mainz00_13927;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5095 */
obj_t BGl_z62main5095z62zz__evaluate_compz00(obj_t BgL_envz00_11736, obj_t BgL_cz00_11742, obj_t BgL_dz00_11743, obj_t BgL_lastz00_11744)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11740;long BgL_siza7ezd2framez75_11741;
BgL_runz00_11740 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11736, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11741 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11736, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13932;
BgL_sz00_13932 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13933;
BgL_bpz00_13933 = 
VECTOR_REF(
((obj_t)BgL_sz00_13932),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13932, BgL_bpz00_13933, 
BINT(BgL_siza7ezd2framez75_11741)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3341z00_13934;
BgL_arg3341z00_13934 = 
(
(long)CINT(BgL_bpz00_13933)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13932),BgL_arg3341z00_13934,BgL_cz00_11742); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3342z00_13935;
BgL_arg3342z00_13935 = 
(
(long)CINT(BgL_bpz00_13933)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13932),BgL_arg3342z00_13935,BgL_dz00_11743); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3343z00_13936;
BgL_arg3343z00_13936 = 
(
(long)CINT(BgL_bpz00_13933)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13932),BgL_arg3343z00_13936,BgL_lastz00_11744); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13937;
BgL_ez00_13937 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13937, BgL_bpz00_13933); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13938;
BgL_accz00_13938 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11740, BgL_sz00_13932, BgL_bpz00_13933); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13937); 
VECTOR_SET(
((obj_t)BgL_sz00_13932),((long)0),BgL_bpz00_13933); 
return BgL_accz00_13938;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13939;
BgL_nsz00_13939 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13939,((long)1),BgL_sz00_13932); 
VECTOR_SET(BgL_nsz00_13939,((long)2),BgL_cz00_11742); 
VECTOR_SET(BgL_nsz00_13939,((long)3),BgL_dz00_11743); 
VECTOR_SET(BgL_nsz00_13939,((long)4),BgL_lastz00_11744); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13940;
BgL_z12denvz12_13940 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13940, BgL_nsz00_13939); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13941;
BgL_ez00_13941 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13941, BgL_sz00_13932); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13942;
BgL_____rz00_13942 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11740, BgL_nsz00_13939, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13941); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13940, BgL_sz00_13932); 
return BgL_____rz00_13942;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5096 */
obj_t BGl_z62run5096z62zz__evaluate_compz00(obj_t BgL_envz00_11745, obj_t BgL_sz00_11749)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11746;BgL_ev_absz00_bglt BgL_i1242z00_11747;obj_t BgL_bodyz00_11748;
BgL_iboxesz00_11746 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11745, 
(int)(((long)0)))); 
BgL_i1242z00_11747 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11745, 
(int)(((long)1)))); 
BgL_bodyz00_11748 = 
PROCEDURE_REF(BgL_envz00_11745, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13943;
BgL_bpz00_13943 = 
VECTOR_REF(
((obj_t)BgL_sz00_11749),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11749, BgL_iboxesz00_11746, BgL_bpz00_13943); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13944;obj_t BgL_wherez00_13945;obj_t BgL_locz00_13946;
BgL_z12denvz12_13944 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13945 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11747))->BgL_wherez00); 
BgL_locz00_13946 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11747))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13944, BgL_wherez00_13945, BgL_locz00_13946); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13947;
BgL_za2za2resza2za2z00_13947 = 
PROCEDURE_ENTRY(BgL_bodyz00_11748)(BgL_bodyz00_11748, BgL_sz00_11749, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13944); 
return BgL_za2za2resza2za2z00_13947;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3348> */
obj_t BGl_z62zc3anonymousza33348ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11750, obj_t BgL_sz00_11756)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11751;long BgL_siza7eza7_11752;BgL_ev_absz00_bglt BgL_i1242z00_11753;obj_t BgL_bodyz00_11754;long BgL_siza7ezd2framez75_11755;
BgL_ifreesz00_11751 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11750, 
(int)(((long)0)))); 
BgL_siza7eza7_11752 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11750, 
(int)(((long)1)))); 
BgL_i1242z00_11753 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11750, 
(int)(((long)2)))); 
BgL_bodyz00_11754 = 
PROCEDURE_REF(BgL_envz00_11750, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11755 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11750, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13948;
BgL_bpz00_13948 = 
VECTOR_REF(
((obj_t)BgL_sz00_11756),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13949;
BgL_valza2za2_13949 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11756, BgL_bpz00_13948, BgL_ifreesz00_11751); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13950;
BgL_runz00_13950 = 
MAKE_FX_PROCEDURE(BGl_z62run5098z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13950, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11752)); 
PROCEDURE_SET(BgL_runz00_13950, 
(int)(((long)1)), BgL_valza2za2_13949); 
PROCEDURE_SET(BgL_runz00_13950, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11753)); 
PROCEDURE_SET(BgL_runz00_13950, 
(int)(((long)3)), BgL_bodyz00_11754); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13951;
BgL_mainz00_13951 = 
MAKE_VA_PROCEDURE(BGl_z62main5097z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13951, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11752)); 
PROCEDURE_SET(BgL_mainz00_13951, 
(int)(((long)1)), BgL_valza2za2_13949); 
PROCEDURE_SET(BgL_mainz00_13951, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11753)); 
PROCEDURE_SET(BgL_mainz00_13951, 
(int)(((long)3)), BgL_bodyz00_11754); 
PROCEDURE_SET(BgL_mainz00_13951, 
(int)(((long)4)), BgL_runz00_13950); 
PROCEDURE_SET(BgL_mainz00_13951, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11755)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13952;
BgL_objz00_13952 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13950, BgL_objz00_13952); BgL_objz00_13952; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3349z00_13953;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3350z00_13954;
BgL_arg3350z00_13954 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11753))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13955;
BgL_newz00_13955 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24728;
BgL_tmpz00_24728 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13955, BgL_tmpz00_24728, BgL_arg3350z00_13954); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24733;int BgL_tmpz00_24731;
BgL_auxz00_24733 = 
BINT(BgL_siza7ezd2framez75_11755); 
BgL_tmpz00_24731 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13955, BgL_tmpz00_24731, BgL_auxz00_24733); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24736;
BgL_tmpz00_24736 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13955, BgL_tmpz00_24736, BgL_runz00_13950); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24741;int BgL_tmpz00_24739;
BgL_auxz00_24741 = 
BINT(((long)-3)); 
BgL_tmpz00_24739 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13955, BgL_tmpz00_24739, BgL_auxz00_24741); } 
BgL_arg3349z00_13953 = BgL_newz00_13955; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13951, BgL_arg3349z00_13953); BgL_arg3349z00_13953; } 
return BgL_mainz00_13951;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5097 */
obj_t BGl_z62main5097z62zz__evaluate_compz00(obj_t BgL_envz00_11757, obj_t BgL_cz00_11764, obj_t BgL_dz00_11765, obj_t BgL_lastz00_11766)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11762;long BgL_siza7ezd2framez75_11763;
BgL_runz00_11762 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11757, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11763 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11757, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13956;
BgL_sz00_13956 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13957;
BgL_bpz00_13957 = 
VECTOR_REF(
((obj_t)BgL_sz00_13956),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13956, BgL_bpz00_13957, 
BINT(BgL_siza7ezd2framez75_11763)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3353z00_13958;
BgL_arg3353z00_13958 = 
(
(long)CINT(BgL_bpz00_13957)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13956),BgL_arg3353z00_13958,BgL_cz00_11764); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3354z00_13959;
BgL_arg3354z00_13959 = 
(
(long)CINT(BgL_bpz00_13957)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13956),BgL_arg3354z00_13959,BgL_dz00_11765); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3355z00_13960;
BgL_arg3355z00_13960 = 
(
(long)CINT(BgL_bpz00_13957)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13956),BgL_arg3355z00_13960,BgL_lastz00_11766); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13961;
BgL_ez00_13961 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13961, BgL_bpz00_13957); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13962;
BgL_accz00_13962 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11762, BgL_sz00_13956, BgL_bpz00_13957); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13961); 
VECTOR_SET(
((obj_t)BgL_sz00_13956),((long)0),BgL_bpz00_13957); 
return BgL_accz00_13962;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13963;
BgL_nsz00_13963 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13963,((long)1),BgL_sz00_13956); 
VECTOR_SET(BgL_nsz00_13963,((long)2),BgL_cz00_11764); 
VECTOR_SET(BgL_nsz00_13963,((long)3),BgL_dz00_11765); 
VECTOR_SET(BgL_nsz00_13963,((long)4),BgL_lastz00_11766); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13964;
BgL_z12denvz12_13964 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13964, BgL_nsz00_13963); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13965;
BgL_ez00_13965 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13965, BgL_sz00_13956); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13966;
BgL_____rz00_13966 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11762, BgL_nsz00_13963, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13965); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13964, BgL_sz00_13956); 
return BgL_____rz00_13966;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5098 */
obj_t BGl_z62run5098z62zz__evaluate_compz00(obj_t BgL_envz00_11767, obj_t BgL_sz00_11772)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11768;obj_t BgL_valza2za2_11769;BgL_ev_absz00_bglt BgL_i1242z00_11770;obj_t BgL_bodyz00_11771;
BgL_siza7eza7_11768 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11767, 
(int)(((long)0)))); 
BgL_valza2za2_11769 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11767, 
(int)(((long)1)))); 
BgL_i1242z00_11770 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11767, 
(int)(((long)2)))); 
BgL_bodyz00_11771 = 
PROCEDURE_REF(BgL_envz00_11767, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13967;
BgL_bpz00_13967 = 
VECTOR_REF(
((obj_t)BgL_sz00_11772),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11772, BgL_valza2za2_11769, 
(
(long)CINT(BgL_bpz00_13967)+BgL_siza7eza7_11768)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13968;obj_t BgL_wherez00_13969;obj_t BgL_locz00_13970;
BgL_z12denvz12_13968 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13969 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11770))->BgL_wherez00); 
BgL_locz00_13970 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11770))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13968, BgL_wherez00_13969, BgL_locz00_13970); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13971;
BgL_za2za2resza2za2z00_13971 = 
PROCEDURE_ENTRY(BgL_bodyz00_11771)(BgL_bodyz00_11771, BgL_sz00_11772, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13968); 
return BgL_za2za2resza2za2z00_13971;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3358> */
obj_t BGl_z62zc3anonymousza33358ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11773, obj_t BgL_sz00_11780)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11774;obj_t BgL_iboxesz00_11775;long BgL_siza7eza7_11776;BgL_ev_absz00_bglt BgL_i1242z00_11777;obj_t BgL_bodyz00_11778;long BgL_siza7ezd2framez75_11779;
BgL_ifreesz00_11774 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11773, 
(int)(((long)0)))); 
BgL_iboxesz00_11775 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11773, 
(int)(((long)1)))); 
BgL_siza7eza7_11776 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11773, 
(int)(((long)2)))); 
BgL_i1242z00_11777 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11773, 
(int)(((long)3)))); 
BgL_bodyz00_11778 = 
PROCEDURE_REF(BgL_envz00_11773, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11779 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11773, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13972;
BgL_bpz00_13972 = 
VECTOR_REF(
((obj_t)BgL_sz00_11780),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13973;
BgL_valza2za2_13973 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11780, BgL_bpz00_13972, BgL_ifreesz00_11774); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13974;
BgL_runz00_13974 = 
MAKE_FX_PROCEDURE(BGl_z62run5100z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13974, 
(int)(((long)0)), BgL_iboxesz00_11775); 
PROCEDURE_SET(BgL_runz00_13974, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11776)); 
PROCEDURE_SET(BgL_runz00_13974, 
(int)(((long)2)), BgL_valza2za2_13973); 
PROCEDURE_SET(BgL_runz00_13974, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11777)); 
PROCEDURE_SET(BgL_runz00_13974, 
(int)(((long)4)), BgL_bodyz00_11778); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13975;
BgL_mainz00_13975 = 
MAKE_VA_PROCEDURE(BGl_z62main5099z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13975, 
(int)(((long)0)), BgL_iboxesz00_11775); 
PROCEDURE_SET(BgL_mainz00_13975, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11776)); 
PROCEDURE_SET(BgL_mainz00_13975, 
(int)(((long)2)), BgL_valza2za2_13973); 
PROCEDURE_SET(BgL_mainz00_13975, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11777)); 
PROCEDURE_SET(BgL_mainz00_13975, 
(int)(((long)4)), BgL_bodyz00_11778); 
PROCEDURE_SET(BgL_mainz00_13975, 
(int)(((long)5)), BgL_runz00_13974); 
PROCEDURE_SET(BgL_mainz00_13975, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11779)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13976;
BgL_objz00_13976 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13974, BgL_objz00_13976); BgL_objz00_13976; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3359z00_13977;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3360z00_13978;
BgL_arg3360z00_13978 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11777))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13979;
BgL_newz00_13979 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24872;
BgL_tmpz00_24872 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13979, BgL_tmpz00_24872, BgL_arg3360z00_13978); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24877;int BgL_tmpz00_24875;
BgL_auxz00_24877 = 
BINT(BgL_siza7ezd2framez75_11779); 
BgL_tmpz00_24875 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13979, BgL_tmpz00_24875, BgL_auxz00_24877); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24880;
BgL_tmpz00_24880 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13979, BgL_tmpz00_24880, BgL_runz00_13974); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24885;int BgL_tmpz00_24883;
BgL_auxz00_24885 = 
BINT(((long)-3)); 
BgL_tmpz00_24883 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13979, BgL_tmpz00_24883, BgL_auxz00_24885); } 
BgL_arg3359z00_13977 = BgL_newz00_13979; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13975, BgL_arg3359z00_13977); BgL_arg3359z00_13977; } 
return BgL_mainz00_13975;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5099 */
obj_t BGl_z62main5099z62zz__evaluate_compz00(obj_t BgL_envz00_11781, obj_t BgL_cz00_11789, obj_t BgL_dz00_11790, obj_t BgL_lastz00_11791)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11787;long BgL_siza7ezd2framez75_11788;
BgL_runz00_11787 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11781, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11788 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11781, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13980;
BgL_sz00_13980 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13981;
BgL_bpz00_13981 = 
VECTOR_REF(
((obj_t)BgL_sz00_13980),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13980, BgL_bpz00_13981, 
BINT(BgL_siza7ezd2framez75_11788)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3363z00_13982;
BgL_arg3363z00_13982 = 
(
(long)CINT(BgL_bpz00_13981)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13980),BgL_arg3363z00_13982,BgL_cz00_11789); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3364z00_13983;
BgL_arg3364z00_13983 = 
(
(long)CINT(BgL_bpz00_13981)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13980),BgL_arg3364z00_13983,BgL_dz00_11790); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3365z00_13984;
BgL_arg3365z00_13984 = 
(
(long)CINT(BgL_bpz00_13981)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13980),BgL_arg3365z00_13984,BgL_lastz00_11791); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13985;
BgL_ez00_13985 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13985, BgL_bpz00_13981); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13986;
BgL_accz00_13986 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11787, BgL_sz00_13980, BgL_bpz00_13981); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13985); 
VECTOR_SET(
((obj_t)BgL_sz00_13980),((long)0),BgL_bpz00_13981); 
return BgL_accz00_13986;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13987;
BgL_nsz00_13987 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13987,((long)1),BgL_sz00_13980); 
VECTOR_SET(BgL_nsz00_13987,((long)2),BgL_cz00_11789); 
VECTOR_SET(BgL_nsz00_13987,((long)3),BgL_dz00_11790); 
VECTOR_SET(BgL_nsz00_13987,((long)4),BgL_lastz00_11791); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13988;
BgL_z12denvz12_13988 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13988, BgL_nsz00_13987); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13989;
BgL_ez00_13989 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13989, BgL_sz00_13980); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13990;
BgL_____rz00_13990 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11787, BgL_nsz00_13987, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13989); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13988, BgL_sz00_13980); 
return BgL_____rz00_13990;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5100 */
obj_t BGl_z62run5100z62zz__evaluate_compz00(obj_t BgL_envz00_11792, obj_t BgL_sz00_11798)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11793;long BgL_siza7eza7_11794;obj_t BgL_valza2za2_11795;BgL_ev_absz00_bglt BgL_i1242z00_11796;obj_t BgL_bodyz00_11797;
BgL_iboxesz00_11793 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11792, 
(int)(((long)0)))); 
BgL_siza7eza7_11794 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11792, 
(int)(((long)1)))); 
BgL_valza2za2_11795 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11792, 
(int)(((long)2)))); 
BgL_i1242z00_11796 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11792, 
(int)(((long)3)))); 
BgL_bodyz00_11797 = 
PROCEDURE_REF(BgL_envz00_11792, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13991;
BgL_bpz00_13991 = 
VECTOR_REF(
((obj_t)BgL_sz00_11798),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11798, BgL_iboxesz00_11793, BgL_bpz00_13991); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11798, BgL_valza2za2_11795, 
(
(long)CINT(BgL_bpz00_13991)+BgL_siza7eza7_11794)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13992;obj_t BgL_wherez00_13993;obj_t BgL_locz00_13994;
BgL_z12denvz12_13992 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13993 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11796))->BgL_wherez00); 
BgL_locz00_13994 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11796))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13992, BgL_wherez00_13993, BgL_locz00_13994); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13995;
BgL_za2za2resza2za2z00_13995 = 
PROCEDURE_ENTRY(BgL_bodyz00_11797)(BgL_bodyz00_11797, BgL_sz00_11798, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13992); 
return BgL_za2za2resza2za2z00_13995;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3284> */
obj_t BGl_z62zc3anonymousza33284ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11799, obj_t BgL_sz00_11803)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11800;obj_t BgL_bodyz00_11801;long BgL_siza7ezd2framez75_11802;
BgL_i1242z00_11800 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11799, 
(int)(((long)0)))); 
BgL_bodyz00_11801 = 
PROCEDURE_REF(BgL_envz00_11799, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11802 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11799, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13996;
BgL_bpz00_13996 = 
VECTOR_REF(
((obj_t)BgL_sz00_11803),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13997;
BgL_runz00_13997 = 
MAKE_FX_PROCEDURE(BGl_z62run5102z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13997, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11800)); 
PROCEDURE_SET(BgL_runz00_13997, 
(int)(((long)1)), BgL_bodyz00_11801); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13998;
BgL_mainz00_13998 = 
MAKE_FX_PROCEDURE(BGl_z62main5101z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13998, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11800)); 
PROCEDURE_SET(BgL_mainz00_13998, 
(int)(((long)1)), BgL_bodyz00_11801); 
PROCEDURE_SET(BgL_mainz00_13998, 
(int)(((long)2)), BgL_runz00_13997); 
PROCEDURE_SET(BgL_mainz00_13998, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11802)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13999;
BgL_objz00_13999 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13997, BgL_objz00_13999); BgL_objz00_13999; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3285z00_14000;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3286z00_14001;
BgL_arg3286z00_14001 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11800))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14002;
BgL_newz00_14002 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24996;
BgL_tmpz00_24996 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14002, BgL_tmpz00_24996, BgL_arg3286z00_14001); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25001;int BgL_tmpz00_24999;
BgL_auxz00_25001 = 
BINT(BgL_siza7ezd2framez75_11802); 
BgL_tmpz00_24999 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14002, BgL_tmpz00_24999, BgL_auxz00_25001); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25004;
BgL_tmpz00_25004 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14002, BgL_tmpz00_25004, BgL_runz00_13997); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25009;int BgL_tmpz00_25007;
BgL_auxz00_25009 = 
BINT(((long)2)); 
BgL_tmpz00_25007 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14002, BgL_tmpz00_25007, BgL_auxz00_25009); } 
BgL_arg3285z00_14000 = BgL_newz00_14002; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13998, BgL_arg3285z00_14000); BgL_arg3285z00_14000; } 
return BgL_mainz00_13998;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5101 */
obj_t BGl_z62main5101z62zz__evaluate_compz00(obj_t BgL_envz00_11804, obj_t BgL_cz00_11809, obj_t BgL_dz00_11810)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11807;long BgL_siza7ezd2framez75_11808;
BgL_runz00_11807 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11804, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11808 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11804, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14003;
BgL_sz00_14003 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14004;
BgL_bpz00_14004 = 
VECTOR_REF(
((obj_t)BgL_sz00_14003),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14003, BgL_bpz00_14004, 
BINT(BgL_siza7ezd2framez75_11808)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3289z00_14005;
BgL_arg3289z00_14005 = 
(
(long)CINT(BgL_bpz00_14004)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14003),BgL_arg3289z00_14005,BgL_cz00_11809); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3290z00_14006;
BgL_arg3290z00_14006 = 
(
(long)CINT(BgL_bpz00_14004)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14003),BgL_arg3290z00_14006,BgL_dz00_11810); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14007;
BgL_ez00_14007 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14007, BgL_bpz00_14004); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14008;
BgL_accz00_14008 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11807, BgL_sz00_14003, BgL_bpz00_14004); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14007); 
VECTOR_SET(
((obj_t)BgL_sz00_14003),((long)0),BgL_bpz00_14004); 
return BgL_accz00_14008;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14009;
BgL_nsz00_14009 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14009,((long)1),BgL_sz00_14003); 
VECTOR_SET(BgL_nsz00_14009,((long)2),BgL_cz00_11809); 
VECTOR_SET(BgL_nsz00_14009,((long)3),BgL_dz00_11810); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14010;
BgL_z12denvz12_14010 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14010, BgL_nsz00_14009); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14011;
BgL_ez00_14011 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14011, BgL_sz00_14003); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14012;
BgL_____rz00_14012 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11807, BgL_nsz00_14009, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14011); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14010, BgL_sz00_14003); 
return BgL_____rz00_14012;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5102 */
obj_t BGl_z62run5102z62zz__evaluate_compz00(obj_t BgL_envz00_11811, obj_t BgL_sz00_11814)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11812;obj_t BgL_bodyz00_11813;
BgL_i1242z00_11812 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11811, 
(int)(((long)0)))); 
BgL_bodyz00_11813 = 
PROCEDURE_REF(BgL_envz00_11811, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14013;
BgL_bpz00_14013 = 
VECTOR_REF(
((obj_t)BgL_sz00_11814),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14014;obj_t BgL_wherez00_14015;obj_t BgL_locz00_14016;
BgL_z12denvz12_14014 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14015 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11812))->BgL_wherez00); 
BgL_locz00_14016 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11812))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14014, BgL_wherez00_14015, BgL_locz00_14016); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14017;
BgL_za2za2resza2za2z00_14017 = 
PROCEDURE_ENTRY(BgL_bodyz00_11813)(BgL_bodyz00_11813, BgL_sz00_11814, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14014); 
return BgL_za2za2resza2za2z00_14017;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3292> */
obj_t BGl_z62zc3anonymousza33292ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11815, obj_t BgL_sz00_11820)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11816;BgL_ev_absz00_bglt BgL_i1242z00_11817;obj_t BgL_bodyz00_11818;long BgL_siza7ezd2framez75_11819;
BgL_iboxesz00_11816 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11815, 
(int)(((long)0)))); 
BgL_i1242z00_11817 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11815, 
(int)(((long)1)))); 
BgL_bodyz00_11818 = 
PROCEDURE_REF(BgL_envz00_11815, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11819 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11815, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14018;
BgL_bpz00_14018 = 
VECTOR_REF(
((obj_t)BgL_sz00_11820),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14019;
BgL_runz00_14019 = 
MAKE_FX_PROCEDURE(BGl_z62run5104z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14019, 
(int)(((long)0)), BgL_iboxesz00_11816); 
PROCEDURE_SET(BgL_runz00_14019, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11817)); 
PROCEDURE_SET(BgL_runz00_14019, 
(int)(((long)2)), BgL_bodyz00_11818); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14020;
BgL_mainz00_14020 = 
MAKE_FX_PROCEDURE(BGl_z62main5103z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14020, 
(int)(((long)0)), BgL_iboxesz00_11816); 
PROCEDURE_SET(BgL_mainz00_14020, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11817)); 
PROCEDURE_SET(BgL_mainz00_14020, 
(int)(((long)2)), BgL_bodyz00_11818); 
PROCEDURE_SET(BgL_mainz00_14020, 
(int)(((long)3)), BgL_runz00_14019); 
PROCEDURE_SET(BgL_mainz00_14020, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11819)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14021;
BgL_objz00_14021 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14019, BgL_objz00_14021); BgL_objz00_14021; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3293z00_14022;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3294z00_14023;
BgL_arg3294z00_14023 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11817))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14024;
BgL_newz00_14024 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25109;
BgL_tmpz00_25109 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14024, BgL_tmpz00_25109, BgL_arg3294z00_14023); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25114;int BgL_tmpz00_25112;
BgL_auxz00_25114 = 
BINT(BgL_siza7ezd2framez75_11819); 
BgL_tmpz00_25112 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14024, BgL_tmpz00_25112, BgL_auxz00_25114); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25117;
BgL_tmpz00_25117 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14024, BgL_tmpz00_25117, BgL_runz00_14019); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25122;int BgL_tmpz00_25120;
BgL_auxz00_25122 = 
BINT(((long)2)); 
BgL_tmpz00_25120 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14024, BgL_tmpz00_25120, BgL_auxz00_25122); } 
BgL_arg3293z00_14022 = BgL_newz00_14024; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14020, BgL_arg3293z00_14022); BgL_arg3293z00_14022; } 
return BgL_mainz00_14020;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5103 */
obj_t BGl_z62main5103z62zz__evaluate_compz00(obj_t BgL_envz00_11821, obj_t BgL_cz00_11827, obj_t BgL_dz00_11828)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11825;long BgL_siza7ezd2framez75_11826;
BgL_runz00_11825 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11821, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11826 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11821, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14025;
BgL_sz00_14025 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14026;
BgL_bpz00_14026 = 
VECTOR_REF(
((obj_t)BgL_sz00_14025),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14025, BgL_bpz00_14026, 
BINT(BgL_siza7ezd2framez75_11826)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3297z00_14027;
BgL_arg3297z00_14027 = 
(
(long)CINT(BgL_bpz00_14026)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14025),BgL_arg3297z00_14027,BgL_cz00_11827); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3298z00_14028;
BgL_arg3298z00_14028 = 
(
(long)CINT(BgL_bpz00_14026)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14025),BgL_arg3298z00_14028,BgL_dz00_11828); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14029;
BgL_ez00_14029 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14029, BgL_bpz00_14026); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14030;
BgL_accz00_14030 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11825, BgL_sz00_14025, BgL_bpz00_14026); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14029); 
VECTOR_SET(
((obj_t)BgL_sz00_14025),((long)0),BgL_bpz00_14026); 
return BgL_accz00_14030;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14031;
BgL_nsz00_14031 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14031,((long)1),BgL_sz00_14025); 
VECTOR_SET(BgL_nsz00_14031,((long)2),BgL_cz00_11827); 
VECTOR_SET(BgL_nsz00_14031,((long)3),BgL_dz00_11828); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14032;
BgL_z12denvz12_14032 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14032, BgL_nsz00_14031); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14033;
BgL_ez00_14033 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14033, BgL_sz00_14025); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14034;
BgL_____rz00_14034 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11825, BgL_nsz00_14031, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14033); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14032, BgL_sz00_14025); 
return BgL_____rz00_14034;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5104 */
obj_t BGl_z62run5104z62zz__evaluate_compz00(obj_t BgL_envz00_11829, obj_t BgL_sz00_11833)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11830;BgL_ev_absz00_bglt BgL_i1242z00_11831;obj_t BgL_bodyz00_11832;
BgL_iboxesz00_11830 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11829, 
(int)(((long)0)))); 
BgL_i1242z00_11831 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11829, 
(int)(((long)1)))); 
BgL_bodyz00_11832 = 
PROCEDURE_REF(BgL_envz00_11829, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14035;
BgL_bpz00_14035 = 
VECTOR_REF(
((obj_t)BgL_sz00_11833),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11833, BgL_iboxesz00_11830, BgL_bpz00_14035); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14036;obj_t BgL_wherez00_14037;obj_t BgL_locz00_14038;
BgL_z12denvz12_14036 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14037 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11831))->BgL_wherez00); 
BgL_locz00_14038 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11831))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14036, BgL_wherez00_14037, BgL_locz00_14038); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14039;
BgL_za2za2resza2za2z00_14039 = 
PROCEDURE_ENTRY(BgL_bodyz00_11832)(BgL_bodyz00_11832, BgL_sz00_11833, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14036); 
return BgL_za2za2resza2za2z00_14039;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3303> */
obj_t BGl_z62zc3anonymousza33303ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11834, obj_t BgL_sz00_11840)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11835;long BgL_siza7eza7_11836;BgL_ev_absz00_bglt BgL_i1242z00_11837;obj_t BgL_bodyz00_11838;long BgL_siza7ezd2framez75_11839;
BgL_ifreesz00_11835 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11834, 
(int)(((long)0)))); 
BgL_siza7eza7_11836 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11834, 
(int)(((long)1)))); 
BgL_i1242z00_11837 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11834, 
(int)(((long)2)))); 
BgL_bodyz00_11838 = 
PROCEDURE_REF(BgL_envz00_11834, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11839 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11834, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14040;
BgL_bpz00_14040 = 
VECTOR_REF(
((obj_t)BgL_sz00_11840),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14041;
BgL_valza2za2_14041 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11840, BgL_bpz00_14040, BgL_ifreesz00_11835); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14042;
BgL_runz00_14042 = 
MAKE_FX_PROCEDURE(BGl_z62run5106z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14042, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11836)); 
PROCEDURE_SET(BgL_runz00_14042, 
(int)(((long)1)), BgL_valza2za2_14041); 
PROCEDURE_SET(BgL_runz00_14042, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11837)); 
PROCEDURE_SET(BgL_runz00_14042, 
(int)(((long)3)), BgL_bodyz00_11838); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14043;
BgL_mainz00_14043 = 
MAKE_FX_PROCEDURE(BGl_z62main5105z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14043, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11836)); 
PROCEDURE_SET(BgL_mainz00_14043, 
(int)(((long)1)), BgL_valza2za2_14041); 
PROCEDURE_SET(BgL_mainz00_14043, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11837)); 
PROCEDURE_SET(BgL_mainz00_14043, 
(int)(((long)3)), BgL_bodyz00_11838); 
PROCEDURE_SET(BgL_mainz00_14043, 
(int)(((long)4)), BgL_runz00_14042); 
PROCEDURE_SET(BgL_mainz00_14043, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11839)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14044;
BgL_objz00_14044 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14042, BgL_objz00_14044); BgL_objz00_14044; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3304z00_14045;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3305z00_14046;
BgL_arg3305z00_14046 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11837))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14047;
BgL_newz00_14047 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25236;
BgL_tmpz00_25236 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14047, BgL_tmpz00_25236, BgL_arg3305z00_14046); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25241;int BgL_tmpz00_25239;
BgL_auxz00_25241 = 
BINT(BgL_siza7ezd2framez75_11839); 
BgL_tmpz00_25239 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14047, BgL_tmpz00_25239, BgL_auxz00_25241); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25244;
BgL_tmpz00_25244 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14047, BgL_tmpz00_25244, BgL_runz00_14042); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25249;int BgL_tmpz00_25247;
BgL_auxz00_25249 = 
BINT(((long)2)); 
BgL_tmpz00_25247 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14047, BgL_tmpz00_25247, BgL_auxz00_25249); } 
BgL_arg3304z00_14045 = BgL_newz00_14047; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14043, BgL_arg3304z00_14045); BgL_arg3304z00_14045; } 
return BgL_mainz00_14043;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5105 */
obj_t BGl_z62main5105z62zz__evaluate_compz00(obj_t BgL_envz00_11841, obj_t BgL_cz00_11848, obj_t BgL_dz00_11849)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11846;long BgL_siza7ezd2framez75_11847;
BgL_runz00_11846 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11841, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11847 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11841, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14048;
BgL_sz00_14048 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14049;
BgL_bpz00_14049 = 
VECTOR_REF(
((obj_t)BgL_sz00_14048),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14048, BgL_bpz00_14049, 
BINT(BgL_siza7ezd2framez75_11847)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3308z00_14050;
BgL_arg3308z00_14050 = 
(
(long)CINT(BgL_bpz00_14049)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14048),BgL_arg3308z00_14050,BgL_cz00_11848); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3309z00_14051;
BgL_arg3309z00_14051 = 
(
(long)CINT(BgL_bpz00_14049)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14048),BgL_arg3309z00_14051,BgL_dz00_11849); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14052;
BgL_ez00_14052 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14052, BgL_bpz00_14049); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14053;
BgL_accz00_14053 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11846, BgL_sz00_14048, BgL_bpz00_14049); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14052); 
VECTOR_SET(
((obj_t)BgL_sz00_14048),((long)0),BgL_bpz00_14049); 
return BgL_accz00_14053;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14054;
BgL_nsz00_14054 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14054,((long)1),BgL_sz00_14048); 
VECTOR_SET(BgL_nsz00_14054,((long)2),BgL_cz00_11848); 
VECTOR_SET(BgL_nsz00_14054,((long)3),BgL_dz00_11849); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14055;
BgL_z12denvz12_14055 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14055, BgL_nsz00_14054); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14056;
BgL_ez00_14056 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14056, BgL_sz00_14048); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14057;
BgL_____rz00_14057 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11846, BgL_nsz00_14054, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14056); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14055, BgL_sz00_14048); 
return BgL_____rz00_14057;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5106 */
obj_t BGl_z62run5106z62zz__evaluate_compz00(obj_t BgL_envz00_11850, obj_t BgL_sz00_11855)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11851;obj_t BgL_valza2za2_11852;BgL_ev_absz00_bglt BgL_i1242z00_11853;obj_t BgL_bodyz00_11854;
BgL_siza7eza7_11851 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11850, 
(int)(((long)0)))); 
BgL_valza2za2_11852 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11850, 
(int)(((long)1)))); 
BgL_i1242z00_11853 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11850, 
(int)(((long)2)))); 
BgL_bodyz00_11854 = 
PROCEDURE_REF(BgL_envz00_11850, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14058;
BgL_bpz00_14058 = 
VECTOR_REF(
((obj_t)BgL_sz00_11855),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11855, BgL_valza2za2_11852, 
(
(long)CINT(BgL_bpz00_14058)+BgL_siza7eza7_11851)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14059;obj_t BgL_wherez00_14060;obj_t BgL_locz00_14061;
BgL_z12denvz12_14059 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14060 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11853))->BgL_wherez00); 
BgL_locz00_14061 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11853))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14059, BgL_wherez00_14060, BgL_locz00_14061); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14062;
BgL_za2za2resza2za2z00_14062 = 
PROCEDURE_ENTRY(BgL_bodyz00_11854)(BgL_bodyz00_11854, BgL_sz00_11855, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14059); 
return BgL_za2za2resza2za2z00_14062;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3312> */
obj_t BGl_z62zc3anonymousza33312ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11856, obj_t BgL_sz00_11863)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11857;obj_t BgL_iboxesz00_11858;long BgL_siza7eza7_11859;BgL_ev_absz00_bglt BgL_i1242z00_11860;obj_t BgL_bodyz00_11861;long BgL_siza7ezd2framez75_11862;
BgL_ifreesz00_11857 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11856, 
(int)(((long)0)))); 
BgL_iboxesz00_11858 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11856, 
(int)(((long)1)))); 
BgL_siza7eza7_11859 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11856, 
(int)(((long)2)))); 
BgL_i1242z00_11860 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11856, 
(int)(((long)3)))); 
BgL_bodyz00_11861 = 
PROCEDURE_REF(BgL_envz00_11856, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11862 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11856, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14063;
BgL_bpz00_14063 = 
VECTOR_REF(
((obj_t)BgL_sz00_11863),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14064;
BgL_valza2za2_14064 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11863, BgL_bpz00_14063, BgL_ifreesz00_11857); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14065;
BgL_runz00_14065 = 
MAKE_FX_PROCEDURE(BGl_z62run5108z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14065, 
(int)(((long)0)), BgL_iboxesz00_11858); 
PROCEDURE_SET(BgL_runz00_14065, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11859)); 
PROCEDURE_SET(BgL_runz00_14065, 
(int)(((long)2)), BgL_valza2za2_14064); 
PROCEDURE_SET(BgL_runz00_14065, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11860)); 
PROCEDURE_SET(BgL_runz00_14065, 
(int)(((long)4)), BgL_bodyz00_11861); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14066;
BgL_mainz00_14066 = 
MAKE_FX_PROCEDURE(BGl_z62main5107z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14066, 
(int)(((long)0)), BgL_iboxesz00_11858); 
PROCEDURE_SET(BgL_mainz00_14066, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11859)); 
PROCEDURE_SET(BgL_mainz00_14066, 
(int)(((long)2)), BgL_valza2za2_14064); 
PROCEDURE_SET(BgL_mainz00_14066, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11860)); 
PROCEDURE_SET(BgL_mainz00_14066, 
(int)(((long)4)), BgL_bodyz00_11861); 
PROCEDURE_SET(BgL_mainz00_14066, 
(int)(((long)5)), BgL_runz00_14065); 
PROCEDURE_SET(BgL_mainz00_14066, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11862)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14067;
BgL_objz00_14067 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14065, BgL_objz00_14067); BgL_objz00_14067; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3313z00_14068;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3314z00_14069;
BgL_arg3314z00_14069 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11860))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14070;
BgL_newz00_14070 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25375;
BgL_tmpz00_25375 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14070, BgL_tmpz00_25375, BgL_arg3314z00_14069); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25380;int BgL_tmpz00_25378;
BgL_auxz00_25380 = 
BINT(BgL_siza7ezd2framez75_11862); 
BgL_tmpz00_25378 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14070, BgL_tmpz00_25378, BgL_auxz00_25380); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25383;
BgL_tmpz00_25383 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14070, BgL_tmpz00_25383, BgL_runz00_14065); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25388;int BgL_tmpz00_25386;
BgL_auxz00_25388 = 
BINT(((long)2)); 
BgL_tmpz00_25386 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14070, BgL_tmpz00_25386, BgL_auxz00_25388); } 
BgL_arg3313z00_14068 = BgL_newz00_14070; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14066, BgL_arg3313z00_14068); BgL_arg3313z00_14068; } 
return BgL_mainz00_14066;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5107 */
obj_t BGl_z62main5107z62zz__evaluate_compz00(obj_t BgL_envz00_11864, obj_t BgL_cz00_11872, obj_t BgL_dz00_11873)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11870;long BgL_siza7ezd2framez75_11871;
BgL_runz00_11870 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11864, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11871 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11864, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14071;
BgL_sz00_14071 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14072;
BgL_bpz00_14072 = 
VECTOR_REF(
((obj_t)BgL_sz00_14071),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14071, BgL_bpz00_14072, 
BINT(BgL_siza7ezd2framez75_11871)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3317z00_14073;
BgL_arg3317z00_14073 = 
(
(long)CINT(BgL_bpz00_14072)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14071),BgL_arg3317z00_14073,BgL_cz00_11872); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3318z00_14074;
BgL_arg3318z00_14074 = 
(
(long)CINT(BgL_bpz00_14072)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14071),BgL_arg3318z00_14074,BgL_dz00_11873); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14075;
BgL_ez00_14075 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14075, BgL_bpz00_14072); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14076;
BgL_accz00_14076 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11870, BgL_sz00_14071, BgL_bpz00_14072); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14075); 
VECTOR_SET(
((obj_t)BgL_sz00_14071),((long)0),BgL_bpz00_14072); 
return BgL_accz00_14076;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14077;
BgL_nsz00_14077 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14077,((long)1),BgL_sz00_14071); 
VECTOR_SET(BgL_nsz00_14077,((long)2),BgL_cz00_11872); 
VECTOR_SET(BgL_nsz00_14077,((long)3),BgL_dz00_11873); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14078;
BgL_z12denvz12_14078 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14078, BgL_nsz00_14077); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14079;
BgL_ez00_14079 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14079, BgL_sz00_14071); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14080;
BgL_____rz00_14080 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11870, BgL_nsz00_14077, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14079); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14078, BgL_sz00_14071); 
return BgL_____rz00_14080;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5108 */
obj_t BGl_z62run5108z62zz__evaluate_compz00(obj_t BgL_envz00_11874, obj_t BgL_sz00_11880)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11875;long BgL_siza7eza7_11876;obj_t BgL_valza2za2_11877;BgL_ev_absz00_bglt BgL_i1242z00_11878;obj_t BgL_bodyz00_11879;
BgL_iboxesz00_11875 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11874, 
(int)(((long)0)))); 
BgL_siza7eza7_11876 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11874, 
(int)(((long)1)))); 
BgL_valza2za2_11877 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11874, 
(int)(((long)2)))); 
BgL_i1242z00_11878 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11874, 
(int)(((long)3)))); 
BgL_bodyz00_11879 = 
PROCEDURE_REF(BgL_envz00_11874, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14081;
BgL_bpz00_14081 = 
VECTOR_REF(
((obj_t)BgL_sz00_11880),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11880, BgL_iboxesz00_11875, BgL_bpz00_14081); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11880, BgL_valza2za2_11877, 
(
(long)CINT(BgL_bpz00_14081)+BgL_siza7eza7_11876)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14082;obj_t BgL_wherez00_14083;obj_t BgL_locz00_14084;
BgL_z12denvz12_14082 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14083 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11878))->BgL_wherez00); 
BgL_locz00_14084 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11878))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14082, BgL_wherez00_14083, BgL_locz00_14084); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14085;
BgL_za2za2resza2za2z00_14085 = 
PROCEDURE_ENTRY(BgL_bodyz00_11879)(BgL_bodyz00_11879, BgL_sz00_11880, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14082); 
return BgL_za2za2resza2za2z00_14085;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3241> */
obj_t BGl_z62zc3anonymousza33241ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11881, obj_t BgL_sz00_11885)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11882;obj_t BgL_bodyz00_11883;long BgL_siza7ezd2framez75_11884;
BgL_i1242z00_11882 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11881, 
(int)(((long)0)))); 
BgL_bodyz00_11883 = 
PROCEDURE_REF(BgL_envz00_11881, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11884 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11881, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14086;
BgL_bpz00_14086 = 
VECTOR_REF(
((obj_t)BgL_sz00_11885),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14087;
BgL_runz00_14087 = 
MAKE_FX_PROCEDURE(BGl_z62run5110z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14087, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11882)); 
PROCEDURE_SET(BgL_runz00_14087, 
(int)(((long)1)), BgL_bodyz00_11883); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14088;
BgL_mainz00_14088 = 
MAKE_VA_PROCEDURE(BGl_z62main5109z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14088, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11882)); 
PROCEDURE_SET(BgL_mainz00_14088, 
(int)(((long)1)), BgL_bodyz00_11883); 
PROCEDURE_SET(BgL_mainz00_14088, 
(int)(((long)2)), BgL_runz00_14087); 
PROCEDURE_SET(BgL_mainz00_14088, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11884)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14089;
BgL_objz00_14089 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14087, BgL_objz00_14089); BgL_objz00_14089; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3242z00_14090;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3243z00_14091;
BgL_arg3243z00_14091 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11882))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14092;
BgL_newz00_14092 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25494;
BgL_tmpz00_25494 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14092, BgL_tmpz00_25494, BgL_arg3243z00_14091); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25499;int BgL_tmpz00_25497;
BgL_auxz00_25499 = 
BINT(BgL_siza7ezd2framez75_11884); 
BgL_tmpz00_25497 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14092, BgL_tmpz00_25497, BgL_auxz00_25499); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25502;
BgL_tmpz00_25502 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14092, BgL_tmpz00_25502, BgL_runz00_14087); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25507;int BgL_tmpz00_25505;
BgL_auxz00_25507 = 
BINT(((long)-2)); 
BgL_tmpz00_25505 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14092, BgL_tmpz00_25505, BgL_auxz00_25507); } 
BgL_arg3242z00_14090 = BgL_newz00_14092; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14088, BgL_arg3242z00_14090); BgL_arg3242z00_14090; } 
return BgL_mainz00_14088;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5109 */
obj_t BGl_z62main5109z62zz__evaluate_compz00(obj_t BgL_envz00_11886, obj_t BgL_dz00_11891, obj_t BgL_lastz00_11892)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11889;long BgL_siza7ezd2framez75_11890;
BgL_runz00_11889 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11886, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11890 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11886, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14093;
BgL_sz00_14093 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14094;
BgL_bpz00_14094 = 
VECTOR_REF(
((obj_t)BgL_sz00_14093),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14093, BgL_bpz00_14094, 
BINT(BgL_siza7ezd2framez75_11890)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3246z00_14095;
BgL_arg3246z00_14095 = 
(
(long)CINT(BgL_bpz00_14094)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14093),BgL_arg3246z00_14095,BgL_dz00_11891); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3247z00_14096;
BgL_arg3247z00_14096 = 
(
(long)CINT(BgL_bpz00_14094)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14093),BgL_arg3247z00_14096,BgL_lastz00_11892); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14097;
BgL_ez00_14097 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14097, BgL_bpz00_14094); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14098;
BgL_accz00_14098 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11889, BgL_sz00_14093, BgL_bpz00_14094); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14097); 
VECTOR_SET(
((obj_t)BgL_sz00_14093),((long)0),BgL_bpz00_14094); 
return BgL_accz00_14098;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14099;
BgL_nsz00_14099 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14099,((long)1),BgL_sz00_14093); 
VECTOR_SET(BgL_nsz00_14099,((long)2),BgL_dz00_11891); 
VECTOR_SET(BgL_nsz00_14099,((long)3),BgL_lastz00_11892); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14100;
BgL_z12denvz12_14100 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14100, BgL_nsz00_14099); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14101;
BgL_ez00_14101 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14101, BgL_sz00_14093); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14102;
BgL_____rz00_14102 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11889, BgL_nsz00_14099, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14101); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14100, BgL_sz00_14093); 
return BgL_____rz00_14102;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5110 */
obj_t BGl_z62run5110z62zz__evaluate_compz00(obj_t BgL_envz00_11893, obj_t BgL_sz00_11896)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11894;obj_t BgL_bodyz00_11895;
BgL_i1242z00_11894 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11893, 
(int)(((long)0)))); 
BgL_bodyz00_11895 = 
PROCEDURE_REF(BgL_envz00_11893, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14103;
BgL_bpz00_14103 = 
VECTOR_REF(
((obj_t)BgL_sz00_11896),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14104;obj_t BgL_wherez00_14105;obj_t BgL_locz00_14106;
BgL_z12denvz12_14104 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14105 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11894))->BgL_wherez00); 
BgL_locz00_14106 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11894))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14104, BgL_wherez00_14105, BgL_locz00_14106); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14107;
BgL_za2za2resza2za2z00_14107 = 
PROCEDURE_ENTRY(BgL_bodyz00_11895)(BgL_bodyz00_11895, BgL_sz00_11896, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14104); 
return BgL_za2za2resza2za2z00_14107;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3249> */
obj_t BGl_z62zc3anonymousza33249ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11897, obj_t BgL_sz00_11902)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11898;BgL_ev_absz00_bglt BgL_i1242z00_11899;obj_t BgL_bodyz00_11900;long BgL_siza7ezd2framez75_11901;
BgL_iboxesz00_11898 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)0)))); 
BgL_i1242z00_11899 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)1)))); 
BgL_bodyz00_11900 = 
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11901 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14108;
BgL_bpz00_14108 = 
VECTOR_REF(
((obj_t)BgL_sz00_11902),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14109;
BgL_runz00_14109 = 
MAKE_FX_PROCEDURE(BGl_z62run5112z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14109, 
(int)(((long)0)), BgL_iboxesz00_11898); 
PROCEDURE_SET(BgL_runz00_14109, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11899)); 
PROCEDURE_SET(BgL_runz00_14109, 
(int)(((long)2)), BgL_bodyz00_11900); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14110;
BgL_mainz00_14110 = 
MAKE_VA_PROCEDURE(BGl_z62main5111z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14110, 
(int)(((long)0)), BgL_iboxesz00_11898); 
PROCEDURE_SET(BgL_mainz00_14110, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11899)); 
PROCEDURE_SET(BgL_mainz00_14110, 
(int)(((long)2)), BgL_bodyz00_11900); 
PROCEDURE_SET(BgL_mainz00_14110, 
(int)(((long)3)), BgL_runz00_14109); 
PROCEDURE_SET(BgL_mainz00_14110, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11901)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14111;
BgL_objz00_14111 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14109, BgL_objz00_14111); BgL_objz00_14111; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3250z00_14112;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3251z00_14113;
BgL_arg3251z00_14113 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11899))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14114;
BgL_newz00_14114 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25607;
BgL_tmpz00_25607 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14114, BgL_tmpz00_25607, BgL_arg3251z00_14113); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25612;int BgL_tmpz00_25610;
BgL_auxz00_25612 = 
BINT(BgL_siza7ezd2framez75_11901); 
BgL_tmpz00_25610 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14114, BgL_tmpz00_25610, BgL_auxz00_25612); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25615;
BgL_tmpz00_25615 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14114, BgL_tmpz00_25615, BgL_runz00_14109); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25620;int BgL_tmpz00_25618;
BgL_auxz00_25620 = 
BINT(((long)-2)); 
BgL_tmpz00_25618 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14114, BgL_tmpz00_25618, BgL_auxz00_25620); } 
BgL_arg3250z00_14112 = BgL_newz00_14114; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14110, BgL_arg3250z00_14112); BgL_arg3250z00_14112; } 
return BgL_mainz00_14110;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5111 */
obj_t BGl_z62main5111z62zz__evaluate_compz00(obj_t BgL_envz00_11903, obj_t BgL_dz00_11909, obj_t BgL_lastz00_11910)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11907;long BgL_siza7ezd2framez75_11908;
BgL_runz00_11907 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11903, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11908 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11903, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14115;
BgL_sz00_14115 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14116;
BgL_bpz00_14116 = 
VECTOR_REF(
((obj_t)BgL_sz00_14115),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14115, BgL_bpz00_14116, 
BINT(BgL_siza7ezd2framez75_11908)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3254z00_14117;
BgL_arg3254z00_14117 = 
(
(long)CINT(BgL_bpz00_14116)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14115),BgL_arg3254z00_14117,BgL_dz00_11909); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3255z00_14118;
BgL_arg3255z00_14118 = 
(
(long)CINT(BgL_bpz00_14116)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14115),BgL_arg3255z00_14118,BgL_lastz00_11910); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14119;
BgL_ez00_14119 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14119, BgL_bpz00_14116); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14120;
BgL_accz00_14120 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11907, BgL_sz00_14115, BgL_bpz00_14116); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14119); 
VECTOR_SET(
((obj_t)BgL_sz00_14115),((long)0),BgL_bpz00_14116); 
return BgL_accz00_14120;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14121;
BgL_nsz00_14121 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14121,((long)1),BgL_sz00_14115); 
VECTOR_SET(BgL_nsz00_14121,((long)2),BgL_dz00_11909); 
VECTOR_SET(BgL_nsz00_14121,((long)3),BgL_lastz00_11910); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14122;
BgL_z12denvz12_14122 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14122, BgL_nsz00_14121); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14123;
BgL_ez00_14123 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14123, BgL_sz00_14115); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14124;
BgL_____rz00_14124 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11907, BgL_nsz00_14121, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14123); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14122, BgL_sz00_14115); 
return BgL_____rz00_14124;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5112 */
obj_t BGl_z62run5112z62zz__evaluate_compz00(obj_t BgL_envz00_11911, obj_t BgL_sz00_11915)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11912;BgL_ev_absz00_bglt BgL_i1242z00_11913;obj_t BgL_bodyz00_11914;
BgL_iboxesz00_11912 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11911, 
(int)(((long)0)))); 
BgL_i1242z00_11913 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11911, 
(int)(((long)1)))); 
BgL_bodyz00_11914 = 
PROCEDURE_REF(BgL_envz00_11911, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14125;
BgL_bpz00_14125 = 
VECTOR_REF(
((obj_t)BgL_sz00_11915),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11915, BgL_iboxesz00_11912, BgL_bpz00_14125); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14126;obj_t BgL_wherez00_14127;obj_t BgL_locz00_14128;
BgL_z12denvz12_14126 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14127 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11913))->BgL_wherez00); 
BgL_locz00_14128 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11913))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14126, BgL_wherez00_14127, BgL_locz00_14128); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14129;
BgL_za2za2resza2za2z00_14129 = 
PROCEDURE_ENTRY(BgL_bodyz00_11914)(BgL_bodyz00_11914, BgL_sz00_11915, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14126); 
return BgL_za2za2resza2za2z00_14129;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3260> */
obj_t BGl_z62zc3anonymousza33260ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11916, obj_t BgL_sz00_11922)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11917;long BgL_siza7eza7_11918;BgL_ev_absz00_bglt BgL_i1242z00_11919;obj_t BgL_bodyz00_11920;long BgL_siza7ezd2framez75_11921;
BgL_ifreesz00_11917 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11916, 
(int)(((long)0)))); 
BgL_siza7eza7_11918 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11916, 
(int)(((long)1)))); 
BgL_i1242z00_11919 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11916, 
(int)(((long)2)))); 
BgL_bodyz00_11920 = 
PROCEDURE_REF(BgL_envz00_11916, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11921 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11916, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14130;
BgL_bpz00_14130 = 
VECTOR_REF(
((obj_t)BgL_sz00_11922),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14131;
BgL_valza2za2_14131 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11922, BgL_bpz00_14130, BgL_ifreesz00_11917); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14132;
BgL_runz00_14132 = 
MAKE_FX_PROCEDURE(BGl_z62run5114z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14132, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11918)); 
PROCEDURE_SET(BgL_runz00_14132, 
(int)(((long)1)), BgL_valza2za2_14131); 
PROCEDURE_SET(BgL_runz00_14132, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11919)); 
PROCEDURE_SET(BgL_runz00_14132, 
(int)(((long)3)), BgL_bodyz00_11920); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14133;
BgL_mainz00_14133 = 
MAKE_VA_PROCEDURE(BGl_z62main5113z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14133, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11918)); 
PROCEDURE_SET(BgL_mainz00_14133, 
(int)(((long)1)), BgL_valza2za2_14131); 
PROCEDURE_SET(BgL_mainz00_14133, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11919)); 
PROCEDURE_SET(BgL_mainz00_14133, 
(int)(((long)3)), BgL_bodyz00_11920); 
PROCEDURE_SET(BgL_mainz00_14133, 
(int)(((long)4)), BgL_runz00_14132); 
PROCEDURE_SET(BgL_mainz00_14133, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11921)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14134;
BgL_objz00_14134 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14132, BgL_objz00_14134); BgL_objz00_14134; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3261z00_14135;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3262z00_14136;
BgL_arg3262z00_14136 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11919))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14137;
BgL_newz00_14137 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25734;
BgL_tmpz00_25734 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14137, BgL_tmpz00_25734, BgL_arg3262z00_14136); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25739;int BgL_tmpz00_25737;
BgL_auxz00_25739 = 
BINT(BgL_siza7ezd2framez75_11921); 
BgL_tmpz00_25737 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14137, BgL_tmpz00_25737, BgL_auxz00_25739); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25742;
BgL_tmpz00_25742 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14137, BgL_tmpz00_25742, BgL_runz00_14132); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25747;int BgL_tmpz00_25745;
BgL_auxz00_25747 = 
BINT(((long)-2)); 
BgL_tmpz00_25745 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14137, BgL_tmpz00_25745, BgL_auxz00_25747); } 
BgL_arg3261z00_14135 = BgL_newz00_14137; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14133, BgL_arg3261z00_14135); BgL_arg3261z00_14135; } 
return BgL_mainz00_14133;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5113 */
obj_t BGl_z62main5113z62zz__evaluate_compz00(obj_t BgL_envz00_11923, obj_t BgL_dz00_11930, obj_t BgL_lastz00_11931)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11928;long BgL_siza7ezd2framez75_11929;
BgL_runz00_11928 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11923, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11929 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11923, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14138;
BgL_sz00_14138 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14139;
BgL_bpz00_14139 = 
VECTOR_REF(
((obj_t)BgL_sz00_14138),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14138, BgL_bpz00_14139, 
BINT(BgL_siza7ezd2framez75_11929)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3265z00_14140;
BgL_arg3265z00_14140 = 
(
(long)CINT(BgL_bpz00_14139)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14138),BgL_arg3265z00_14140,BgL_dz00_11930); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3266z00_14141;
BgL_arg3266z00_14141 = 
(
(long)CINT(BgL_bpz00_14139)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14138),BgL_arg3266z00_14141,BgL_lastz00_11931); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14142;
BgL_ez00_14142 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14142, BgL_bpz00_14139); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14143;
BgL_accz00_14143 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11928, BgL_sz00_14138, BgL_bpz00_14139); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14142); 
VECTOR_SET(
((obj_t)BgL_sz00_14138),((long)0),BgL_bpz00_14139); 
return BgL_accz00_14143;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14144;
BgL_nsz00_14144 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14144,((long)1),BgL_sz00_14138); 
VECTOR_SET(BgL_nsz00_14144,((long)2),BgL_dz00_11930); 
VECTOR_SET(BgL_nsz00_14144,((long)3),BgL_lastz00_11931); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14145;
BgL_z12denvz12_14145 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14145, BgL_nsz00_14144); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14146;
BgL_ez00_14146 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14146, BgL_sz00_14138); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14147;
BgL_____rz00_14147 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11928, BgL_nsz00_14144, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14146); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14145, BgL_sz00_14138); 
return BgL_____rz00_14147;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5114 */
obj_t BGl_z62run5114z62zz__evaluate_compz00(obj_t BgL_envz00_11932, obj_t BgL_sz00_11937)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11933;obj_t BgL_valza2za2_11934;BgL_ev_absz00_bglt BgL_i1242z00_11935;obj_t BgL_bodyz00_11936;
BgL_siza7eza7_11933 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11932, 
(int)(((long)0)))); 
BgL_valza2za2_11934 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11932, 
(int)(((long)1)))); 
BgL_i1242z00_11935 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11932, 
(int)(((long)2)))); 
BgL_bodyz00_11936 = 
PROCEDURE_REF(BgL_envz00_11932, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14148;
BgL_bpz00_14148 = 
VECTOR_REF(
((obj_t)BgL_sz00_11937),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11937, BgL_valza2za2_11934, 
(
(long)CINT(BgL_bpz00_14148)+BgL_siza7eza7_11933)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14149;obj_t BgL_wherez00_14150;obj_t BgL_locz00_14151;
BgL_z12denvz12_14149 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14150 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11935))->BgL_wherez00); 
BgL_locz00_14151 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11935))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14149, BgL_wherez00_14150, BgL_locz00_14151); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14152;
BgL_za2za2resza2za2z00_14152 = 
PROCEDURE_ENTRY(BgL_bodyz00_11936)(BgL_bodyz00_11936, BgL_sz00_11937, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14149); 
return BgL_za2za2resza2za2z00_14152;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3269> */
obj_t BGl_z62zc3anonymousza33269ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11938, obj_t BgL_sz00_11945)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11939;obj_t BgL_iboxesz00_11940;long BgL_siza7eza7_11941;BgL_ev_absz00_bglt BgL_i1242z00_11942;obj_t BgL_bodyz00_11943;long BgL_siza7ezd2framez75_11944;
BgL_ifreesz00_11939 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11938, 
(int)(((long)0)))); 
BgL_iboxesz00_11940 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11938, 
(int)(((long)1)))); 
BgL_siza7eza7_11941 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11938, 
(int)(((long)2)))); 
BgL_i1242z00_11942 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11938, 
(int)(((long)3)))); 
BgL_bodyz00_11943 = 
PROCEDURE_REF(BgL_envz00_11938, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11944 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11938, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14153;
BgL_bpz00_14153 = 
VECTOR_REF(
((obj_t)BgL_sz00_11945),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14154;
BgL_valza2za2_14154 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11945, BgL_bpz00_14153, BgL_ifreesz00_11939); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14155;
BgL_runz00_14155 = 
MAKE_FX_PROCEDURE(BGl_z62run5116z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14155, 
(int)(((long)0)), BgL_iboxesz00_11940); 
PROCEDURE_SET(BgL_runz00_14155, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11941)); 
PROCEDURE_SET(BgL_runz00_14155, 
(int)(((long)2)), BgL_valza2za2_14154); 
PROCEDURE_SET(BgL_runz00_14155, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11942)); 
PROCEDURE_SET(BgL_runz00_14155, 
(int)(((long)4)), BgL_bodyz00_11943); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14156;
BgL_mainz00_14156 = 
MAKE_VA_PROCEDURE(BGl_z62main5115z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14156, 
(int)(((long)0)), BgL_iboxesz00_11940); 
PROCEDURE_SET(BgL_mainz00_14156, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11941)); 
PROCEDURE_SET(BgL_mainz00_14156, 
(int)(((long)2)), BgL_valza2za2_14154); 
PROCEDURE_SET(BgL_mainz00_14156, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11942)); 
PROCEDURE_SET(BgL_mainz00_14156, 
(int)(((long)4)), BgL_bodyz00_11943); 
PROCEDURE_SET(BgL_mainz00_14156, 
(int)(((long)5)), BgL_runz00_14155); 
PROCEDURE_SET(BgL_mainz00_14156, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11944)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14157;
BgL_objz00_14157 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14155, BgL_objz00_14157); BgL_objz00_14157; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3270z00_14158;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3271z00_14159;
BgL_arg3271z00_14159 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11942))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14160;
BgL_newz00_14160 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25873;
BgL_tmpz00_25873 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14160, BgL_tmpz00_25873, BgL_arg3271z00_14159); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25878;int BgL_tmpz00_25876;
BgL_auxz00_25878 = 
BINT(BgL_siza7ezd2framez75_11944); 
BgL_tmpz00_25876 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14160, BgL_tmpz00_25876, BgL_auxz00_25878); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25881;
BgL_tmpz00_25881 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14160, BgL_tmpz00_25881, BgL_runz00_14155); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25886;int BgL_tmpz00_25884;
BgL_auxz00_25886 = 
BINT(((long)-2)); 
BgL_tmpz00_25884 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14160, BgL_tmpz00_25884, BgL_auxz00_25886); } 
BgL_arg3270z00_14158 = BgL_newz00_14160; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14156, BgL_arg3270z00_14158); BgL_arg3270z00_14158; } 
return BgL_mainz00_14156;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5115 */
obj_t BGl_z62main5115z62zz__evaluate_compz00(obj_t BgL_envz00_11946, obj_t BgL_dz00_11954, obj_t BgL_lastz00_11955)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11952;long BgL_siza7ezd2framez75_11953;
BgL_runz00_11952 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11946, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11953 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11946, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14161;
BgL_sz00_14161 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14162;
BgL_bpz00_14162 = 
VECTOR_REF(
((obj_t)BgL_sz00_14161),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14161, BgL_bpz00_14162, 
BINT(BgL_siza7ezd2framez75_11953)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3274z00_14163;
BgL_arg3274z00_14163 = 
(
(long)CINT(BgL_bpz00_14162)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14161),BgL_arg3274z00_14163,BgL_dz00_11954); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3275z00_14164;
BgL_arg3275z00_14164 = 
(
(long)CINT(BgL_bpz00_14162)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14161),BgL_arg3275z00_14164,BgL_lastz00_11955); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14165;
BgL_ez00_14165 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14165, BgL_bpz00_14162); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14166;
BgL_accz00_14166 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11952, BgL_sz00_14161, BgL_bpz00_14162); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14165); 
VECTOR_SET(
((obj_t)BgL_sz00_14161),((long)0),BgL_bpz00_14162); 
return BgL_accz00_14166;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14167;
BgL_nsz00_14167 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14167,((long)1),BgL_sz00_14161); 
VECTOR_SET(BgL_nsz00_14167,((long)2),BgL_dz00_11954); 
VECTOR_SET(BgL_nsz00_14167,((long)3),BgL_lastz00_11955); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14168;
BgL_z12denvz12_14168 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14168, BgL_nsz00_14167); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14169;
BgL_ez00_14169 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14169, BgL_sz00_14161); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14170;
BgL_____rz00_14170 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11952, BgL_nsz00_14167, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14169); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14168, BgL_sz00_14161); 
return BgL_____rz00_14170;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5116 */
obj_t BGl_z62run5116z62zz__evaluate_compz00(obj_t BgL_envz00_11956, obj_t BgL_sz00_11962)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11957;long BgL_siza7eza7_11958;obj_t BgL_valza2za2_11959;BgL_ev_absz00_bglt BgL_i1242z00_11960;obj_t BgL_bodyz00_11961;
BgL_iboxesz00_11957 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11956, 
(int)(((long)0)))); 
BgL_siza7eza7_11958 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11956, 
(int)(((long)1)))); 
BgL_valza2za2_11959 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11956, 
(int)(((long)2)))); 
BgL_i1242z00_11960 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11956, 
(int)(((long)3)))); 
BgL_bodyz00_11961 = 
PROCEDURE_REF(BgL_envz00_11956, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14171;
BgL_bpz00_14171 = 
VECTOR_REF(
((obj_t)BgL_sz00_11962),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11962, BgL_iboxesz00_11957, BgL_bpz00_14171); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11962, BgL_valza2za2_11959, 
(
(long)CINT(BgL_bpz00_14171)+BgL_siza7eza7_11958)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14172;obj_t BgL_wherez00_14173;obj_t BgL_locz00_14174;
BgL_z12denvz12_14172 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14173 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11960))->BgL_wherez00); 
BgL_locz00_14174 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11960))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14172, BgL_wherez00_14173, BgL_locz00_14174); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14175;
BgL_za2za2resza2za2z00_14175 = 
PROCEDURE_ENTRY(BgL_bodyz00_11961)(BgL_bodyz00_11961, BgL_sz00_11962, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14172); 
return BgL_za2za2resza2za2z00_14175;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3202> */
obj_t BGl_z62zc3anonymousza33202ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11963, obj_t BgL_sz00_11967)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11964;obj_t BgL_bodyz00_11965;long BgL_siza7ezd2framez75_11966;
BgL_i1242z00_11964 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11963, 
(int)(((long)0)))); 
BgL_bodyz00_11965 = 
PROCEDURE_REF(BgL_envz00_11963, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11966 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11963, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14176;
BgL_bpz00_14176 = 
VECTOR_REF(
((obj_t)BgL_sz00_11967),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14177;
BgL_runz00_14177 = 
MAKE_FX_PROCEDURE(BGl_z62run5118z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14177, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11964)); 
PROCEDURE_SET(BgL_runz00_14177, 
(int)(((long)1)), BgL_bodyz00_11965); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14178;
BgL_mainz00_14178 = 
MAKE_FX_PROCEDURE(BGl_z62main5117z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14178, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11964)); 
PROCEDURE_SET(BgL_mainz00_14178, 
(int)(((long)1)), BgL_bodyz00_11965); 
PROCEDURE_SET(BgL_mainz00_14178, 
(int)(((long)2)), BgL_runz00_14177); 
PROCEDURE_SET(BgL_mainz00_14178, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11966)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14179;
BgL_objz00_14179 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14177, BgL_objz00_14179); BgL_objz00_14179; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3203z00_14180;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3204z00_14181;
BgL_arg3204z00_14181 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11964))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14182;
BgL_newz00_14182 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25992;
BgL_tmpz00_25992 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14182, BgL_tmpz00_25992, BgL_arg3204z00_14181); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25997;int BgL_tmpz00_25995;
BgL_auxz00_25997 = 
BINT(BgL_siza7ezd2framez75_11966); 
BgL_tmpz00_25995 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14182, BgL_tmpz00_25995, BgL_auxz00_25997); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26000;
BgL_tmpz00_26000 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14182, BgL_tmpz00_26000, BgL_runz00_14177); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26005;int BgL_tmpz00_26003;
BgL_auxz00_26005 = 
BINT(((long)1)); 
BgL_tmpz00_26003 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14182, BgL_tmpz00_26003, BgL_auxz00_26005); } 
BgL_arg3203z00_14180 = BgL_newz00_14182; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14178, BgL_arg3203z00_14180); BgL_arg3203z00_14180; } 
return BgL_mainz00_14178;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5117 */
obj_t BGl_z62main5117z62zz__evaluate_compz00(obj_t BgL_envz00_11968, obj_t BgL_dz00_11973)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11971;long BgL_siza7ezd2framez75_11972;
BgL_runz00_11971 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11968, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11972 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11968, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14183;
BgL_sz00_14183 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14184;
BgL_bpz00_14184 = 
VECTOR_REF(
((obj_t)BgL_sz00_14183),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14183, BgL_bpz00_14184, 
BINT(BgL_siza7ezd2framez75_11972)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3207z00_14185;
BgL_arg3207z00_14185 = 
(
(long)CINT(BgL_bpz00_14184)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14183),BgL_arg3207z00_14185,BgL_dz00_11973); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14186;
BgL_ez00_14186 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14186, BgL_bpz00_14184); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14187;
BgL_accz00_14187 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11971, BgL_sz00_14183, BgL_bpz00_14184); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14186); 
VECTOR_SET(
((obj_t)BgL_sz00_14183),((long)0),BgL_bpz00_14184); 
return BgL_accz00_14187;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14188;
BgL_nsz00_14188 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14188,((long)1),BgL_sz00_14183); 
VECTOR_SET(BgL_nsz00_14188,((long)2),BgL_dz00_11973); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14189;
BgL_z12denvz12_14189 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14189, BgL_nsz00_14188); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14190;
BgL_ez00_14190 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14190, BgL_sz00_14183); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14191;
BgL_____rz00_14191 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11971, BgL_nsz00_14188, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14190); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14189, BgL_sz00_14183); 
return BgL_____rz00_14191;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5118 */
obj_t BGl_z62run5118z62zz__evaluate_compz00(obj_t BgL_envz00_11974, obj_t BgL_sz00_11977)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11975;obj_t BgL_bodyz00_11976;
BgL_i1242z00_11975 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11974, 
(int)(((long)0)))); 
BgL_bodyz00_11976 = 
PROCEDURE_REF(BgL_envz00_11974, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14192;
BgL_bpz00_14192 = 
VECTOR_REF(
((obj_t)BgL_sz00_11977),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14193;obj_t BgL_wherez00_14194;obj_t BgL_locz00_14195;
BgL_z12denvz12_14193 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14194 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11975))->BgL_wherez00); 
BgL_locz00_14195 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11975))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14193, BgL_wherez00_14194, BgL_locz00_14195); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14196;
BgL_za2za2resza2za2z00_14196 = 
PROCEDURE_ENTRY(BgL_bodyz00_11976)(BgL_bodyz00_11976, BgL_sz00_11977, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14193); 
return BgL_za2za2resza2za2z00_14196;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3209> */
obj_t BGl_z62zc3anonymousza33209ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11978, obj_t BgL_sz00_11983)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11979;BgL_ev_absz00_bglt BgL_i1242z00_11980;obj_t BgL_bodyz00_11981;long BgL_siza7ezd2framez75_11982;
BgL_iboxesz00_11979 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11978, 
(int)(((long)0)))); 
BgL_i1242z00_11980 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11978, 
(int)(((long)1)))); 
BgL_bodyz00_11981 = 
PROCEDURE_REF(BgL_envz00_11978, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11982 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11978, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14197;
BgL_bpz00_14197 = 
VECTOR_REF(
((obj_t)BgL_sz00_11983),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14198;
BgL_runz00_14198 = 
MAKE_FX_PROCEDURE(BGl_z62run5120z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14198, 
(int)(((long)0)), BgL_iboxesz00_11979); 
PROCEDURE_SET(BgL_runz00_14198, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11980)); 
PROCEDURE_SET(BgL_runz00_14198, 
(int)(((long)2)), BgL_bodyz00_11981); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14199;
BgL_mainz00_14199 = 
MAKE_FX_PROCEDURE(BGl_z62main5119z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14199, 
(int)(((long)0)), BgL_iboxesz00_11979); 
PROCEDURE_SET(BgL_mainz00_14199, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11980)); 
PROCEDURE_SET(BgL_mainz00_14199, 
(int)(((long)2)), BgL_bodyz00_11981); 
PROCEDURE_SET(BgL_mainz00_14199, 
(int)(((long)3)), BgL_runz00_14198); 
PROCEDURE_SET(BgL_mainz00_14199, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11982)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14200;
BgL_objz00_14200 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14198, BgL_objz00_14200); BgL_objz00_14200; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3210z00_14201;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3211z00_14202;
BgL_arg3211z00_14202 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11980))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14203;
BgL_newz00_14203 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26100;
BgL_tmpz00_26100 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14203, BgL_tmpz00_26100, BgL_arg3211z00_14202); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26105;int BgL_tmpz00_26103;
BgL_auxz00_26105 = 
BINT(BgL_siza7ezd2framez75_11982); 
BgL_tmpz00_26103 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14203, BgL_tmpz00_26103, BgL_auxz00_26105); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26108;
BgL_tmpz00_26108 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14203, BgL_tmpz00_26108, BgL_runz00_14198); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26113;int BgL_tmpz00_26111;
BgL_auxz00_26113 = 
BINT(((long)1)); 
BgL_tmpz00_26111 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14203, BgL_tmpz00_26111, BgL_auxz00_26113); } 
BgL_arg3210z00_14201 = BgL_newz00_14203; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14199, BgL_arg3210z00_14201); BgL_arg3210z00_14201; } 
return BgL_mainz00_14199;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5119 */
obj_t BGl_z62main5119z62zz__evaluate_compz00(obj_t BgL_envz00_11984, obj_t BgL_dz00_11990)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11988;long BgL_siza7ezd2framez75_11989;
BgL_runz00_11988 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11984, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11989 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11984, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14204;
BgL_sz00_14204 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14205;
BgL_bpz00_14205 = 
VECTOR_REF(
((obj_t)BgL_sz00_14204),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14204, BgL_bpz00_14205, 
BINT(BgL_siza7ezd2framez75_11989)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3214z00_14206;
BgL_arg3214z00_14206 = 
(
(long)CINT(BgL_bpz00_14205)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14204),BgL_arg3214z00_14206,BgL_dz00_11990); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14207;
BgL_ez00_14207 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14207, BgL_bpz00_14205); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14208;
BgL_accz00_14208 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11988, BgL_sz00_14204, BgL_bpz00_14205); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14207); 
VECTOR_SET(
((obj_t)BgL_sz00_14204),((long)0),BgL_bpz00_14205); 
return BgL_accz00_14208;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14209;
BgL_nsz00_14209 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14209,((long)1),BgL_sz00_14204); 
VECTOR_SET(BgL_nsz00_14209,((long)2),BgL_dz00_11990); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14210;
BgL_z12denvz12_14210 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14210, BgL_nsz00_14209); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14211;
BgL_ez00_14211 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14211, BgL_sz00_14204); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14212;
BgL_____rz00_14212 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11988, BgL_nsz00_14209, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14211); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14210, BgL_sz00_14204); 
return BgL_____rz00_14212;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5120 */
obj_t BGl_z62run5120z62zz__evaluate_compz00(obj_t BgL_envz00_11991, obj_t BgL_sz00_11995)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11992;BgL_ev_absz00_bglt BgL_i1242z00_11993;obj_t BgL_bodyz00_11994;
BgL_iboxesz00_11992 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11991, 
(int)(((long)0)))); 
BgL_i1242z00_11993 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11991, 
(int)(((long)1)))); 
BgL_bodyz00_11994 = 
PROCEDURE_REF(BgL_envz00_11991, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14213;
BgL_bpz00_14213 = 
VECTOR_REF(
((obj_t)BgL_sz00_11995),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11995, BgL_iboxesz00_11992, BgL_bpz00_14213); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14214;obj_t BgL_wherez00_14215;obj_t BgL_locz00_14216;
BgL_z12denvz12_14214 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14215 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11993))->BgL_wherez00); 
BgL_locz00_14216 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11993))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14214, BgL_wherez00_14215, BgL_locz00_14216); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14217;
BgL_za2za2resza2za2z00_14217 = 
PROCEDURE_ENTRY(BgL_bodyz00_11994)(BgL_bodyz00_11994, BgL_sz00_11995, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14214); 
return BgL_za2za2resza2za2z00_14217;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3219> */
obj_t BGl_z62zc3anonymousza33219ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11996, obj_t BgL_sz00_12002)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11997;long BgL_siza7eza7_11998;BgL_ev_absz00_bglt BgL_i1242z00_11999;obj_t BgL_bodyz00_12000;long BgL_siza7ezd2framez75_12001;
BgL_ifreesz00_11997 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11996, 
(int)(((long)0)))); 
BgL_siza7eza7_11998 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11996, 
(int)(((long)1)))); 
BgL_i1242z00_11999 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11996, 
(int)(((long)2)))); 
BgL_bodyz00_12000 = 
PROCEDURE_REF(BgL_envz00_11996, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12001 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11996, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14218;
BgL_bpz00_14218 = 
VECTOR_REF(
((obj_t)BgL_sz00_12002),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14219;
BgL_valza2za2_14219 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12002, BgL_bpz00_14218, BgL_ifreesz00_11997); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14220;
BgL_runz00_14220 = 
MAKE_FX_PROCEDURE(BGl_z62run5122z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14220, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11998)); 
PROCEDURE_SET(BgL_runz00_14220, 
(int)(((long)1)), BgL_valza2za2_14219); 
PROCEDURE_SET(BgL_runz00_14220, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11999)); 
PROCEDURE_SET(BgL_runz00_14220, 
(int)(((long)3)), BgL_bodyz00_12000); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14221;
BgL_mainz00_14221 = 
MAKE_FX_PROCEDURE(BGl_z62main5121z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14221, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11998)); 
PROCEDURE_SET(BgL_mainz00_14221, 
(int)(((long)1)), BgL_valza2za2_14219); 
PROCEDURE_SET(BgL_mainz00_14221, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11999)); 
PROCEDURE_SET(BgL_mainz00_14221, 
(int)(((long)3)), BgL_bodyz00_12000); 
PROCEDURE_SET(BgL_mainz00_14221, 
(int)(((long)4)), BgL_runz00_14220); 
PROCEDURE_SET(BgL_mainz00_14221, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12001)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14222;
BgL_objz00_14222 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14220, BgL_objz00_14222); BgL_objz00_14222; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3220z00_14223;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3221z00_14224;
BgL_arg3221z00_14224 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11999))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14225;
BgL_newz00_14225 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26222;
BgL_tmpz00_26222 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14225, BgL_tmpz00_26222, BgL_arg3221z00_14224); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26227;int BgL_tmpz00_26225;
BgL_auxz00_26227 = 
BINT(BgL_siza7ezd2framez75_12001); 
BgL_tmpz00_26225 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14225, BgL_tmpz00_26225, BgL_auxz00_26227); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26230;
BgL_tmpz00_26230 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14225, BgL_tmpz00_26230, BgL_runz00_14220); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26235;int BgL_tmpz00_26233;
BgL_auxz00_26235 = 
BINT(((long)1)); 
BgL_tmpz00_26233 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14225, BgL_tmpz00_26233, BgL_auxz00_26235); } 
BgL_arg3220z00_14223 = BgL_newz00_14225; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14221, BgL_arg3220z00_14223); BgL_arg3220z00_14223; } 
return BgL_mainz00_14221;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5121 */
obj_t BGl_z62main5121z62zz__evaluate_compz00(obj_t BgL_envz00_12003, obj_t BgL_dz00_12010)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12008;long BgL_siza7ezd2framez75_12009;
BgL_runz00_12008 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12003, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12009 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12003, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14226;
BgL_sz00_14226 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14227;
BgL_bpz00_14227 = 
VECTOR_REF(
((obj_t)BgL_sz00_14226),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14226, BgL_bpz00_14227, 
BINT(BgL_siza7ezd2framez75_12009)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3224z00_14228;
BgL_arg3224z00_14228 = 
(
(long)CINT(BgL_bpz00_14227)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14226),BgL_arg3224z00_14228,BgL_dz00_12010); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14229;
BgL_ez00_14229 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14229, BgL_bpz00_14227); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14230;
BgL_accz00_14230 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12008, BgL_sz00_14226, BgL_bpz00_14227); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14229); 
VECTOR_SET(
((obj_t)BgL_sz00_14226),((long)0),BgL_bpz00_14227); 
return BgL_accz00_14230;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14231;
BgL_nsz00_14231 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14231,((long)1),BgL_sz00_14226); 
VECTOR_SET(BgL_nsz00_14231,((long)2),BgL_dz00_12010); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14232;
BgL_z12denvz12_14232 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14232, BgL_nsz00_14231); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14233;
BgL_ez00_14233 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14233, BgL_sz00_14226); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14234;
BgL_____rz00_14234 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12008, BgL_nsz00_14231, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14233); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14232, BgL_sz00_14226); 
return BgL_____rz00_14234;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5122 */
obj_t BGl_z62run5122z62zz__evaluate_compz00(obj_t BgL_envz00_12011, obj_t BgL_sz00_12016)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_12012;obj_t BgL_valza2za2_12013;BgL_ev_absz00_bglt BgL_i1242z00_12014;obj_t BgL_bodyz00_12015;
BgL_siza7eza7_12012 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12011, 
(int)(((long)0)))); 
BgL_valza2za2_12013 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12011, 
(int)(((long)1)))); 
BgL_i1242z00_12014 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12011, 
(int)(((long)2)))); 
BgL_bodyz00_12015 = 
PROCEDURE_REF(BgL_envz00_12011, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14235;
BgL_bpz00_14235 = 
VECTOR_REF(
((obj_t)BgL_sz00_12016),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12016, BgL_valza2za2_12013, 
(
(long)CINT(BgL_bpz00_14235)+BgL_siza7eza7_12012)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14236;obj_t BgL_wherez00_14237;obj_t BgL_locz00_14238;
BgL_z12denvz12_14236 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14237 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12014))->BgL_wherez00); 
BgL_locz00_14238 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12014))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14236, BgL_wherez00_14237, BgL_locz00_14238); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14239;
BgL_za2za2resza2za2z00_14239 = 
PROCEDURE_ENTRY(BgL_bodyz00_12015)(BgL_bodyz00_12015, BgL_sz00_12016, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14236); 
return BgL_za2za2resza2za2z00_14239;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3227> */
obj_t BGl_z62zc3anonymousza33227ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12017, obj_t BgL_sz00_12024)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12018;obj_t BgL_iboxesz00_12019;long BgL_siza7eza7_12020;BgL_ev_absz00_bglt BgL_i1242z00_12021;obj_t BgL_bodyz00_12022;long BgL_siza7ezd2framez75_12023;
BgL_ifreesz00_12018 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12017, 
(int)(((long)0)))); 
BgL_iboxesz00_12019 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12017, 
(int)(((long)1)))); 
BgL_siza7eza7_12020 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12017, 
(int)(((long)2)))); 
BgL_i1242z00_12021 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12017, 
(int)(((long)3)))); 
BgL_bodyz00_12022 = 
PROCEDURE_REF(BgL_envz00_12017, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12023 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12017, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14240;
BgL_bpz00_14240 = 
VECTOR_REF(
((obj_t)BgL_sz00_12024),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14241;
BgL_valza2za2_14241 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12024, BgL_bpz00_14240, BgL_ifreesz00_12018); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14242;
BgL_runz00_14242 = 
MAKE_FX_PROCEDURE(BGl_z62run5124z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14242, 
(int)(((long)0)), BgL_iboxesz00_12019); 
PROCEDURE_SET(BgL_runz00_14242, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12020)); 
PROCEDURE_SET(BgL_runz00_14242, 
(int)(((long)2)), BgL_valza2za2_14241); 
PROCEDURE_SET(BgL_runz00_14242, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_12021)); 
PROCEDURE_SET(BgL_runz00_14242, 
(int)(((long)4)), BgL_bodyz00_12022); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14243;
BgL_mainz00_14243 = 
MAKE_FX_PROCEDURE(BGl_z62main5123z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14243, 
(int)(((long)0)), BgL_iboxesz00_12019); 
PROCEDURE_SET(BgL_mainz00_14243, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12020)); 
PROCEDURE_SET(BgL_mainz00_14243, 
(int)(((long)2)), BgL_valza2za2_14241); 
PROCEDURE_SET(BgL_mainz00_14243, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_12021)); 
PROCEDURE_SET(BgL_mainz00_14243, 
(int)(((long)4)), BgL_bodyz00_12022); 
PROCEDURE_SET(BgL_mainz00_14243, 
(int)(((long)5)), BgL_runz00_14242); 
PROCEDURE_SET(BgL_mainz00_14243, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12023)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14244;
BgL_objz00_14244 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14242, BgL_objz00_14244); BgL_objz00_14244; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3228z00_14245;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3229z00_14246;
BgL_arg3229z00_14246 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12021))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14247;
BgL_newz00_14247 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26356;
BgL_tmpz00_26356 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14247, BgL_tmpz00_26356, BgL_arg3229z00_14246); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26361;int BgL_tmpz00_26359;
BgL_auxz00_26361 = 
BINT(BgL_siza7ezd2framez75_12023); 
BgL_tmpz00_26359 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14247, BgL_tmpz00_26359, BgL_auxz00_26361); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26364;
BgL_tmpz00_26364 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14247, BgL_tmpz00_26364, BgL_runz00_14242); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26369;int BgL_tmpz00_26367;
BgL_auxz00_26369 = 
BINT(((long)1)); 
BgL_tmpz00_26367 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14247, BgL_tmpz00_26367, BgL_auxz00_26369); } 
BgL_arg3228z00_14245 = BgL_newz00_14247; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14243, BgL_arg3228z00_14245); BgL_arg3228z00_14245; } 
return BgL_mainz00_14243;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5123 */
obj_t BGl_z62main5123z62zz__evaluate_compz00(obj_t BgL_envz00_12025, obj_t BgL_dz00_12033)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12031;long BgL_siza7ezd2framez75_12032;
BgL_runz00_12031 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12025, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12032 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12025, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14248;
BgL_sz00_14248 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14249;
BgL_bpz00_14249 = 
VECTOR_REF(
((obj_t)BgL_sz00_14248),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14248, BgL_bpz00_14249, 
BINT(BgL_siza7ezd2framez75_12032)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3232z00_14250;
BgL_arg3232z00_14250 = 
(
(long)CINT(BgL_bpz00_14249)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14248),BgL_arg3232z00_14250,BgL_dz00_12033); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14251;
BgL_ez00_14251 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14251, BgL_bpz00_14249); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14252;
BgL_accz00_14252 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12031, BgL_sz00_14248, BgL_bpz00_14249); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14251); 
VECTOR_SET(
((obj_t)BgL_sz00_14248),((long)0),BgL_bpz00_14249); 
return BgL_accz00_14252;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14253;
BgL_nsz00_14253 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14253,((long)1),BgL_sz00_14248); 
VECTOR_SET(BgL_nsz00_14253,((long)2),BgL_dz00_12033); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14254;
BgL_z12denvz12_14254 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14254, BgL_nsz00_14253); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14255;
BgL_ez00_14255 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14255, BgL_sz00_14248); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14256;
BgL_____rz00_14256 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12031, BgL_nsz00_14253, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14255); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14254, BgL_sz00_14248); 
return BgL_____rz00_14256;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5124 */
obj_t BGl_z62run5124z62zz__evaluate_compz00(obj_t BgL_envz00_12034, obj_t BgL_sz00_12040)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12035;long BgL_siza7eza7_12036;obj_t BgL_valza2za2_12037;BgL_ev_absz00_bglt BgL_i1242z00_12038;obj_t BgL_bodyz00_12039;
BgL_iboxesz00_12035 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12034, 
(int)(((long)0)))); 
BgL_siza7eza7_12036 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12034, 
(int)(((long)1)))); 
BgL_valza2za2_12037 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12034, 
(int)(((long)2)))); 
BgL_i1242z00_12038 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12034, 
(int)(((long)3)))); 
BgL_bodyz00_12039 = 
PROCEDURE_REF(BgL_envz00_12034, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14257;
BgL_bpz00_14257 = 
VECTOR_REF(
((obj_t)BgL_sz00_12040),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12040, BgL_iboxesz00_12035, BgL_bpz00_14257); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12040, BgL_valza2za2_12037, 
(
(long)CINT(BgL_bpz00_14257)+BgL_siza7eza7_12036)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14258;obj_t BgL_wherez00_14259;obj_t BgL_locz00_14260;
BgL_z12denvz12_14258 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14259 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12038))->BgL_wherez00); 
BgL_locz00_14260 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12038))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14258, BgL_wherez00_14259, BgL_locz00_14260); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14261;
BgL_za2za2resza2za2z00_14261 = 
PROCEDURE_ENTRY(BgL_bodyz00_12039)(BgL_bodyz00_12039, BgL_sz00_12040, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14258); 
return BgL_za2za2resza2za2z00_14261;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3163> */
obj_t BGl_z62zc3anonymousza33163ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12041, obj_t BgL_sz00_12045)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12042;obj_t BgL_bodyz00_12043;long BgL_siza7ezd2framez75_12044;
BgL_i1242z00_12042 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12041, 
(int)(((long)0)))); 
BgL_bodyz00_12043 = 
PROCEDURE_REF(BgL_envz00_12041, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12044 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12041, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14262;
BgL_bpz00_14262 = 
VECTOR_REF(
((obj_t)BgL_sz00_12045),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14263;
BgL_runz00_14263 = 
MAKE_FX_PROCEDURE(BGl_z62run5126z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14263, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_12042)); 
PROCEDURE_SET(BgL_runz00_14263, 
(int)(((long)1)), BgL_bodyz00_12043); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14264;
BgL_mainz00_14264 = 
MAKE_VA_PROCEDURE(BGl_z62main5125z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14264, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_12042)); 
PROCEDURE_SET(BgL_mainz00_14264, 
(int)(((long)1)), BgL_bodyz00_12043); 
PROCEDURE_SET(BgL_mainz00_14264, 
(int)(((long)2)), BgL_runz00_14263); 
PROCEDURE_SET(BgL_mainz00_14264, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12044)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14265;
BgL_objz00_14265 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14263, BgL_objz00_14265); BgL_objz00_14265; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3164z00_14266;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3165z00_14267;
BgL_arg3165z00_14267 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12042))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14268;
BgL_newz00_14268 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26470;
BgL_tmpz00_26470 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14268, BgL_tmpz00_26470, BgL_arg3165z00_14267); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26475;int BgL_tmpz00_26473;
BgL_auxz00_26475 = 
BINT(BgL_siza7ezd2framez75_12044); 
BgL_tmpz00_26473 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14268, BgL_tmpz00_26473, BgL_auxz00_26475); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26478;
BgL_tmpz00_26478 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14268, BgL_tmpz00_26478, BgL_runz00_14263); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26483;int BgL_tmpz00_26481;
BgL_auxz00_26483 = 
BINT(((long)-1)); 
BgL_tmpz00_26481 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14268, BgL_tmpz00_26481, BgL_auxz00_26483); } 
BgL_arg3164z00_14266 = BgL_newz00_14268; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14264, BgL_arg3164z00_14266); BgL_arg3164z00_14266; } 
return BgL_mainz00_14264;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5125 */
obj_t BGl_z62main5125z62zz__evaluate_compz00(obj_t BgL_envz00_12046, obj_t BgL_lastz00_12051)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12049;long BgL_siza7ezd2framez75_12050;
BgL_runz00_12049 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12046, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12050 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12046, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14269;
BgL_sz00_14269 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14270;
BgL_bpz00_14270 = 
VECTOR_REF(
((obj_t)BgL_sz00_14269),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14269, BgL_bpz00_14270, 
BINT(BgL_siza7ezd2framez75_12050)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3168z00_14271;
BgL_arg3168z00_14271 = 
(
(long)CINT(BgL_bpz00_14270)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14269),BgL_arg3168z00_14271,BgL_lastz00_12051); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14272;
BgL_ez00_14272 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14272, BgL_bpz00_14270); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14273;
BgL_accz00_14273 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12049, BgL_sz00_14269, BgL_bpz00_14270); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14272); 
VECTOR_SET(
((obj_t)BgL_sz00_14269),((long)0),BgL_bpz00_14270); 
return BgL_accz00_14273;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14274;
BgL_nsz00_14274 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14274,((long)1),BgL_sz00_14269); 
VECTOR_SET(BgL_nsz00_14274,((long)2),BgL_lastz00_12051); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14275;
BgL_z12denvz12_14275 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14275, BgL_nsz00_14274); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14276;
BgL_ez00_14276 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14276, BgL_sz00_14269); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14277;
BgL_____rz00_14277 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12049, BgL_nsz00_14274, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14276); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14275, BgL_sz00_14269); 
return BgL_____rz00_14277;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5126 */
obj_t BGl_z62run5126z62zz__evaluate_compz00(obj_t BgL_envz00_12052, obj_t BgL_sz00_12055)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12053;obj_t BgL_bodyz00_12054;
BgL_i1242z00_12053 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12052, 
(int)(((long)0)))); 
BgL_bodyz00_12054 = 
PROCEDURE_REF(BgL_envz00_12052, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14278;
BgL_bpz00_14278 = 
VECTOR_REF(
((obj_t)BgL_sz00_12055),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14279;obj_t BgL_wherez00_14280;obj_t BgL_locz00_14281;
BgL_z12denvz12_14279 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14280 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12053))->BgL_wherez00); 
BgL_locz00_14281 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12053))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14279, BgL_wherez00_14280, BgL_locz00_14281); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14282;
BgL_za2za2resza2za2z00_14282 = 
PROCEDURE_ENTRY(BgL_bodyz00_12054)(BgL_bodyz00_12054, BgL_sz00_12055, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14279); 
return BgL_za2za2resza2za2z00_14282;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3170> */
obj_t BGl_z62zc3anonymousza33170ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12056, obj_t BgL_sz00_12061)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12057;BgL_ev_absz00_bglt BgL_i1242z00_12058;obj_t BgL_bodyz00_12059;long BgL_siza7ezd2framez75_12060;
BgL_iboxesz00_12057 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12056, 
(int)(((long)0)))); 
BgL_i1242z00_12058 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12056, 
(int)(((long)1)))); 
BgL_bodyz00_12059 = 
PROCEDURE_REF(BgL_envz00_12056, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12060 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12056, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14283;
BgL_bpz00_14283 = 
VECTOR_REF(
((obj_t)BgL_sz00_12061),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14284;
BgL_runz00_14284 = 
MAKE_FX_PROCEDURE(BGl_z62run5128z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14284, 
(int)(((long)0)), BgL_iboxesz00_12057); 
PROCEDURE_SET(BgL_runz00_14284, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_12058)); 
PROCEDURE_SET(BgL_runz00_14284, 
(int)(((long)2)), BgL_bodyz00_12059); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14285;
BgL_mainz00_14285 = 
MAKE_VA_PROCEDURE(BGl_z62main5127z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14285, 
(int)(((long)0)), BgL_iboxesz00_12057); 
PROCEDURE_SET(BgL_mainz00_14285, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_12058)); 
PROCEDURE_SET(BgL_mainz00_14285, 
(int)(((long)2)), BgL_bodyz00_12059); 
PROCEDURE_SET(BgL_mainz00_14285, 
(int)(((long)3)), BgL_runz00_14284); 
PROCEDURE_SET(BgL_mainz00_14285, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12060)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14286;
BgL_objz00_14286 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14284, BgL_objz00_14286); BgL_objz00_14286; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3171z00_14287;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3172z00_14288;
BgL_arg3172z00_14288 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12058))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14289;
BgL_newz00_14289 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26578;
BgL_tmpz00_26578 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14289, BgL_tmpz00_26578, BgL_arg3172z00_14288); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26583;int BgL_tmpz00_26581;
BgL_auxz00_26583 = 
BINT(BgL_siza7ezd2framez75_12060); 
BgL_tmpz00_26581 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14289, BgL_tmpz00_26581, BgL_auxz00_26583); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26586;
BgL_tmpz00_26586 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14289, BgL_tmpz00_26586, BgL_runz00_14284); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26591;int BgL_tmpz00_26589;
BgL_auxz00_26591 = 
BINT(((long)-1)); 
BgL_tmpz00_26589 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14289, BgL_tmpz00_26589, BgL_auxz00_26591); } 
BgL_arg3171z00_14287 = BgL_newz00_14289; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14285, BgL_arg3171z00_14287); BgL_arg3171z00_14287; } 
return BgL_mainz00_14285;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5127 */
obj_t BGl_z62main5127z62zz__evaluate_compz00(obj_t BgL_envz00_12062, obj_t BgL_lastz00_12068)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12066;long BgL_siza7ezd2framez75_12067;
BgL_runz00_12066 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12062, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12067 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12062, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14290;
BgL_sz00_14290 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14291;
BgL_bpz00_14291 = 
VECTOR_REF(
((obj_t)BgL_sz00_14290),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14290, BgL_bpz00_14291, 
BINT(BgL_siza7ezd2framez75_12067)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3175z00_14292;
BgL_arg3175z00_14292 = 
(
(long)CINT(BgL_bpz00_14291)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14290),BgL_arg3175z00_14292,BgL_lastz00_12068); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14293;
BgL_ez00_14293 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14293, BgL_bpz00_14291); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14294;
BgL_accz00_14294 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12066, BgL_sz00_14290, BgL_bpz00_14291); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14293); 
VECTOR_SET(
((obj_t)BgL_sz00_14290),((long)0),BgL_bpz00_14291); 
return BgL_accz00_14294;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14295;
BgL_nsz00_14295 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14295,((long)1),BgL_sz00_14290); 
VECTOR_SET(BgL_nsz00_14295,((long)2),BgL_lastz00_12068); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14296;
BgL_z12denvz12_14296 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14296, BgL_nsz00_14295); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14297;
BgL_ez00_14297 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14297, BgL_sz00_14290); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14298;
BgL_____rz00_14298 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12066, BgL_nsz00_14295, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14297); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14296, BgL_sz00_14290); 
return BgL_____rz00_14298;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5128 */
obj_t BGl_z62run5128z62zz__evaluate_compz00(obj_t BgL_envz00_12069, obj_t BgL_sz00_12073)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12070;BgL_ev_absz00_bglt BgL_i1242z00_12071;obj_t BgL_bodyz00_12072;
BgL_iboxesz00_12070 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12069, 
(int)(((long)0)))); 
BgL_i1242z00_12071 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12069, 
(int)(((long)1)))); 
BgL_bodyz00_12072 = 
PROCEDURE_REF(BgL_envz00_12069, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14299;
BgL_bpz00_14299 = 
VECTOR_REF(
((obj_t)BgL_sz00_12073),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12073, BgL_iboxesz00_12070, BgL_bpz00_14299); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14300;obj_t BgL_wherez00_14301;obj_t BgL_locz00_14302;
BgL_z12denvz12_14300 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14301 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12071))->BgL_wherez00); 
BgL_locz00_14302 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12071))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14300, BgL_wherez00_14301, BgL_locz00_14302); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14303;
BgL_za2za2resza2za2z00_14303 = 
PROCEDURE_ENTRY(BgL_bodyz00_12072)(BgL_bodyz00_12072, BgL_sz00_12073, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14300); 
return BgL_za2za2resza2za2z00_14303;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3180> */
obj_t BGl_z62zc3anonymousza33180ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12074, obj_t BgL_sz00_12080)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12075;long BgL_siza7eza7_12076;BgL_ev_absz00_bglt BgL_i1242z00_12077;obj_t BgL_bodyz00_12078;long BgL_siza7ezd2framez75_12079;
BgL_ifreesz00_12075 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12074, 
(int)(((long)0)))); 
BgL_siza7eza7_12076 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12074, 
(int)(((long)1)))); 
BgL_i1242z00_12077 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12074, 
(int)(((long)2)))); 
BgL_bodyz00_12078 = 
PROCEDURE_REF(BgL_envz00_12074, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12079 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12074, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14304;
BgL_bpz00_14304 = 
VECTOR_REF(
((obj_t)BgL_sz00_12080),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14305;
BgL_valza2za2_14305 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12080, BgL_bpz00_14304, BgL_ifreesz00_12075); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14306;
BgL_runz00_14306 = 
MAKE_FX_PROCEDURE(BGl_z62run5130z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14306, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12076)); 
PROCEDURE_SET(BgL_runz00_14306, 
(int)(((long)1)), BgL_valza2za2_14305); 
PROCEDURE_SET(BgL_runz00_14306, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_12077)); 
PROCEDURE_SET(BgL_runz00_14306, 
(int)(((long)3)), BgL_bodyz00_12078); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14307;
BgL_mainz00_14307 = 
MAKE_VA_PROCEDURE(BGl_z62main5129z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14307, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12076)); 
PROCEDURE_SET(BgL_mainz00_14307, 
(int)(((long)1)), BgL_valza2za2_14305); 
PROCEDURE_SET(BgL_mainz00_14307, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_12077)); 
PROCEDURE_SET(BgL_mainz00_14307, 
(int)(((long)3)), BgL_bodyz00_12078); 
PROCEDURE_SET(BgL_mainz00_14307, 
(int)(((long)4)), BgL_runz00_14306); 
PROCEDURE_SET(BgL_mainz00_14307, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12079)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14308;
BgL_objz00_14308 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14306, BgL_objz00_14308); BgL_objz00_14308; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3181z00_14309;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3182z00_14310;
BgL_arg3182z00_14310 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12077))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14311;
BgL_newz00_14311 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26700;
BgL_tmpz00_26700 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14311, BgL_tmpz00_26700, BgL_arg3182z00_14310); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26705;int BgL_tmpz00_26703;
BgL_auxz00_26705 = 
BINT(BgL_siza7ezd2framez75_12079); 
BgL_tmpz00_26703 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14311, BgL_tmpz00_26703, BgL_auxz00_26705); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26708;
BgL_tmpz00_26708 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14311, BgL_tmpz00_26708, BgL_runz00_14306); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26713;int BgL_tmpz00_26711;
BgL_auxz00_26713 = 
BINT(((long)-1)); 
BgL_tmpz00_26711 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14311, BgL_tmpz00_26711, BgL_auxz00_26713); } 
BgL_arg3181z00_14309 = BgL_newz00_14311; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14307, BgL_arg3181z00_14309); BgL_arg3181z00_14309; } 
return BgL_mainz00_14307;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5129 */
obj_t BGl_z62main5129z62zz__evaluate_compz00(obj_t BgL_envz00_12081, obj_t BgL_lastz00_12088)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12086;long BgL_siza7ezd2framez75_12087;
BgL_runz00_12086 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12081, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12087 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12081, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14312;
BgL_sz00_14312 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14313;
BgL_bpz00_14313 = 
VECTOR_REF(
((obj_t)BgL_sz00_14312),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14312, BgL_bpz00_14313, 
BINT(BgL_siza7ezd2framez75_12087)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3185z00_14314;
BgL_arg3185z00_14314 = 
(
(long)CINT(BgL_bpz00_14313)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14312),BgL_arg3185z00_14314,BgL_lastz00_12088); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14315;
BgL_ez00_14315 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14315, BgL_bpz00_14313); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14316;
BgL_accz00_14316 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12086, BgL_sz00_14312, BgL_bpz00_14313); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14315); 
VECTOR_SET(
((obj_t)BgL_sz00_14312),((long)0),BgL_bpz00_14313); 
return BgL_accz00_14316;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14317;
BgL_nsz00_14317 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14317,((long)1),BgL_sz00_14312); 
VECTOR_SET(BgL_nsz00_14317,((long)2),BgL_lastz00_12088); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14318;
BgL_z12denvz12_14318 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14318, BgL_nsz00_14317); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14319;
BgL_ez00_14319 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14319, BgL_sz00_14312); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14320;
BgL_____rz00_14320 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12086, BgL_nsz00_14317, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14319); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14318, BgL_sz00_14312); 
return BgL_____rz00_14320;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5130 */
obj_t BGl_z62run5130z62zz__evaluate_compz00(obj_t BgL_envz00_12089, obj_t BgL_sz00_12094)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_12090;obj_t BgL_valza2za2_12091;BgL_ev_absz00_bglt BgL_i1242z00_12092;obj_t BgL_bodyz00_12093;
BgL_siza7eza7_12090 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12089, 
(int)(((long)0)))); 
BgL_valza2za2_12091 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12089, 
(int)(((long)1)))); 
BgL_i1242z00_12092 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12089, 
(int)(((long)2)))); 
BgL_bodyz00_12093 = 
PROCEDURE_REF(BgL_envz00_12089, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14321;
BgL_bpz00_14321 = 
VECTOR_REF(
((obj_t)BgL_sz00_12094),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12094, BgL_valza2za2_12091, 
(
(long)CINT(BgL_bpz00_14321)+BgL_siza7eza7_12090)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14322;obj_t BgL_wherez00_14323;obj_t BgL_locz00_14324;
BgL_z12denvz12_14322 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14323 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12092))->BgL_wherez00); 
BgL_locz00_14324 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12092))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14322, BgL_wherez00_14323, BgL_locz00_14324); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14325;
BgL_za2za2resza2za2z00_14325 = 
PROCEDURE_ENTRY(BgL_bodyz00_12093)(BgL_bodyz00_12093, BgL_sz00_12094, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14322); 
return BgL_za2za2resza2za2z00_14325;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3188> */
obj_t BGl_z62zc3anonymousza33188ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12095, obj_t BgL_sz00_12102)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12096;obj_t BgL_iboxesz00_12097;long BgL_siza7eza7_12098;BgL_ev_absz00_bglt BgL_i1242z00_12099;obj_t BgL_bodyz00_12100;long BgL_siza7ezd2framez75_12101;
BgL_ifreesz00_12096 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12095, 
(int)(((long)0)))); 
BgL_iboxesz00_12097 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12095, 
(int)(((long)1)))); 
BgL_siza7eza7_12098 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12095, 
(int)(((long)2)))); 
BgL_i1242z00_12099 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12095, 
(int)(((long)3)))); 
BgL_bodyz00_12100 = 
PROCEDURE_REF(BgL_envz00_12095, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12101 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12095, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14326;
BgL_bpz00_14326 = 
VECTOR_REF(
((obj_t)BgL_sz00_12102),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14327;
BgL_valza2za2_14327 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12102, BgL_bpz00_14326, BgL_ifreesz00_12096); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14328;
BgL_runz00_14328 = 
MAKE_FX_PROCEDURE(BGl_z62run5132z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14328, 
(int)(((long)0)), BgL_iboxesz00_12097); 
PROCEDURE_SET(BgL_runz00_14328, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12098)); 
PROCEDURE_SET(BgL_runz00_14328, 
(int)(((long)2)), BgL_valza2za2_14327); 
PROCEDURE_SET(BgL_runz00_14328, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_12099)); 
PROCEDURE_SET(BgL_runz00_14328, 
(int)(((long)4)), BgL_bodyz00_12100); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14329;
BgL_mainz00_14329 = 
MAKE_VA_PROCEDURE(BGl_z62main5131z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14329, 
(int)(((long)0)), BgL_iboxesz00_12097); 
PROCEDURE_SET(BgL_mainz00_14329, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12098)); 
PROCEDURE_SET(BgL_mainz00_14329, 
(int)(((long)2)), BgL_valza2za2_14327); 
PROCEDURE_SET(BgL_mainz00_14329, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_12099)); 
PROCEDURE_SET(BgL_mainz00_14329, 
(int)(((long)4)), BgL_bodyz00_12100); 
PROCEDURE_SET(BgL_mainz00_14329, 
(int)(((long)5)), BgL_runz00_14328); 
PROCEDURE_SET(BgL_mainz00_14329, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12101)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14330;
BgL_objz00_14330 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14328, BgL_objz00_14330); BgL_objz00_14330; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3189z00_14331;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3190z00_14332;
BgL_arg3190z00_14332 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12099))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14333;
BgL_newz00_14333 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26834;
BgL_tmpz00_26834 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14333, BgL_tmpz00_26834, BgL_arg3190z00_14332); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26839;int BgL_tmpz00_26837;
BgL_auxz00_26839 = 
BINT(BgL_siza7ezd2framez75_12101); 
BgL_tmpz00_26837 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14333, BgL_tmpz00_26837, BgL_auxz00_26839); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26842;
BgL_tmpz00_26842 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14333, BgL_tmpz00_26842, BgL_runz00_14328); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26847;int BgL_tmpz00_26845;
BgL_auxz00_26847 = 
BINT(((long)-1)); 
BgL_tmpz00_26845 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14333, BgL_tmpz00_26845, BgL_auxz00_26847); } 
BgL_arg3189z00_14331 = BgL_newz00_14333; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14329, BgL_arg3189z00_14331); BgL_arg3189z00_14331; } 
return BgL_mainz00_14329;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5131 */
obj_t BGl_z62main5131z62zz__evaluate_compz00(obj_t BgL_envz00_12103, obj_t BgL_lastz00_12111)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12109;long BgL_siza7ezd2framez75_12110;
BgL_runz00_12109 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12103, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12110 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12103, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14334;
BgL_sz00_14334 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14335;
BgL_bpz00_14335 = 
VECTOR_REF(
((obj_t)BgL_sz00_14334),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14334, BgL_bpz00_14335, 
BINT(BgL_siza7ezd2framez75_12110)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3193z00_14336;
BgL_arg3193z00_14336 = 
(
(long)CINT(BgL_bpz00_14335)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14334),BgL_arg3193z00_14336,BgL_lastz00_12111); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14337;
BgL_ez00_14337 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14337, BgL_bpz00_14335); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14338;
BgL_accz00_14338 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12109, BgL_sz00_14334, BgL_bpz00_14335); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14337); 
VECTOR_SET(
((obj_t)BgL_sz00_14334),((long)0),BgL_bpz00_14335); 
return BgL_accz00_14338;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14339;
BgL_nsz00_14339 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14339,((long)1),BgL_sz00_14334); 
VECTOR_SET(BgL_nsz00_14339,((long)2),BgL_lastz00_12111); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14340;
BgL_z12denvz12_14340 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14340, BgL_nsz00_14339); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14341;
BgL_ez00_14341 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14341, BgL_sz00_14334); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14342;
BgL_____rz00_14342 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12109, BgL_nsz00_14339, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14341); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14340, BgL_sz00_14334); 
return BgL_____rz00_14342;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5132 */
obj_t BGl_z62run5132z62zz__evaluate_compz00(obj_t BgL_envz00_12112, obj_t BgL_sz00_12118)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12113;long BgL_siza7eza7_12114;obj_t BgL_valza2za2_12115;BgL_ev_absz00_bglt BgL_i1242z00_12116;obj_t BgL_bodyz00_12117;
BgL_iboxesz00_12113 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12112, 
(int)(((long)0)))); 
BgL_siza7eza7_12114 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12112, 
(int)(((long)1)))); 
BgL_valza2za2_12115 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12112, 
(int)(((long)2)))); 
BgL_i1242z00_12116 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12112, 
(int)(((long)3)))); 
BgL_bodyz00_12117 = 
PROCEDURE_REF(BgL_envz00_12112, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14343;
BgL_bpz00_14343 = 
VECTOR_REF(
((obj_t)BgL_sz00_12118),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12118, BgL_iboxesz00_12113, BgL_bpz00_14343); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12118, BgL_valza2za2_12115, 
(
(long)CINT(BgL_bpz00_14343)+BgL_siza7eza7_12114)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14344;obj_t BgL_wherez00_14345;obj_t BgL_locz00_14346;
BgL_z12denvz12_14344 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14345 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12116))->BgL_wherez00); 
BgL_locz00_14346 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12116))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14344, BgL_wherez00_14345, BgL_locz00_14346); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14347;
BgL_za2za2resza2za2z00_14347 = 
PROCEDURE_ENTRY(BgL_bodyz00_12117)(BgL_bodyz00_12117, BgL_sz00_12118, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14344); 
return BgL_za2za2resza2za2z00_14347;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3128> */
obj_t BGl_z62zc3anonymousza33128ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12119, obj_t BgL_sz00_12123)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12120;obj_t BgL_bodyz00_12121;long BgL_siza7ezd2framez75_12122;
BgL_i1242z00_12120 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12119, 
(int)(((long)0)))); 
BgL_bodyz00_12121 = 
PROCEDURE_REF(BgL_envz00_12119, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12122 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12119, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14348;
BgL_bpz00_14348 = 
VECTOR_REF(
((obj_t)BgL_sz00_12123),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14349;
BgL_runz00_14349 = 
MAKE_FX_PROCEDURE(BGl_z62run5134z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14349, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_12120)); 
PROCEDURE_SET(BgL_runz00_14349, 
(int)(((long)1)), BgL_bodyz00_12121); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14350;
BgL_mainz00_14350 = 
MAKE_FX_PROCEDURE(BGl_z62main5133z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14350, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_12120)); 
PROCEDURE_SET(BgL_mainz00_14350, 
(int)(((long)1)), BgL_bodyz00_12121); 
PROCEDURE_SET(BgL_mainz00_14350, 
(int)(((long)2)), BgL_runz00_14349); 
PROCEDURE_SET(BgL_mainz00_14350, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12122)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14351;
BgL_objz00_14351 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14349, BgL_objz00_14351); BgL_objz00_14351; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3129z00_14352;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3130z00_14353;
BgL_arg3130z00_14353 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12120))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14354;
BgL_newz00_14354 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26948;
BgL_tmpz00_26948 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14354, BgL_tmpz00_26948, BgL_arg3130z00_14353); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26953;int BgL_tmpz00_26951;
BgL_auxz00_26953 = 
BINT(BgL_siza7ezd2framez75_12122); 
BgL_tmpz00_26951 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14354, BgL_tmpz00_26951, BgL_auxz00_26953); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26956;
BgL_tmpz00_26956 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14354, BgL_tmpz00_26956, BgL_runz00_14349); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26961;int BgL_tmpz00_26959;
BgL_auxz00_26961 = 
BINT(((long)0)); 
BgL_tmpz00_26959 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14354, BgL_tmpz00_26959, BgL_auxz00_26961); } 
BgL_arg3129z00_14352 = BgL_newz00_14354; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14350, BgL_arg3129z00_14352); BgL_arg3129z00_14352; } 
return BgL_mainz00_14350;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5133 */
obj_t BGl_z62main5133z62zz__evaluate_compz00(obj_t BgL_envz00_12124)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12127;long BgL_siza7ezd2framez75_12128;
BgL_runz00_12127 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12124, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12128 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12124, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14355;
BgL_sz00_14355 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14356;
BgL_bpz00_14356 = 
VECTOR_REF(
((obj_t)BgL_sz00_14355),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14355, BgL_bpz00_14356, 
BINT(BgL_siza7ezd2framez75_12128)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14357;
BgL_ez00_14357 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14357, BgL_bpz00_14356); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14358;
BgL_accz00_14358 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12127, BgL_sz00_14355, BgL_bpz00_14356); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14357); 
VECTOR_SET(
((obj_t)BgL_sz00_14355),((long)0),BgL_bpz00_14356); 
return BgL_accz00_14358;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14359;
BgL_nsz00_14359 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14359,((long)1),BgL_sz00_14355); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14360;
BgL_z12denvz12_14360 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14360, BgL_nsz00_14359); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14361;
BgL_ez00_14361 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14361, BgL_sz00_14355); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14362;
BgL_____rz00_14362 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12127, BgL_nsz00_14359, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14361); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14360, BgL_sz00_14355); 
return BgL_____rz00_14362;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5134 */
obj_t BGl_z62run5134z62zz__evaluate_compz00(obj_t BgL_envz00_12129, obj_t BgL_sz00_12132)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12130;obj_t BgL_bodyz00_12131;
BgL_i1242z00_12130 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12129, 
(int)(((long)0)))); 
BgL_bodyz00_12131 = 
PROCEDURE_REF(BgL_envz00_12129, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14363;
BgL_bpz00_14363 = 
VECTOR_REF(
((obj_t)BgL_sz00_12132),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14364;obj_t BgL_wherez00_14365;obj_t BgL_locz00_14366;
BgL_z12denvz12_14364 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14365 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12130))->BgL_wherez00); 
BgL_locz00_14366 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12130))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14364, BgL_wherez00_14365, BgL_locz00_14366); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14367;
BgL_za2za2resza2za2z00_14367 = 
PROCEDURE_ENTRY(BgL_bodyz00_12131)(BgL_bodyz00_12131, BgL_sz00_12132, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14364); 
return BgL_za2za2resza2za2z00_14367;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3134> */
obj_t BGl_z62zc3anonymousza33134ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12133, obj_t BgL_sz00_12138)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12134;BgL_ev_absz00_bglt BgL_i1242z00_12135;obj_t BgL_bodyz00_12136;long BgL_siza7ezd2framez75_12137;
BgL_iboxesz00_12134 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12133, 
(int)(((long)0)))); 
BgL_i1242z00_12135 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12133, 
(int)(((long)1)))); 
BgL_bodyz00_12136 = 
PROCEDURE_REF(BgL_envz00_12133, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12137 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12133, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14368;
BgL_bpz00_14368 = 
VECTOR_REF(
((obj_t)BgL_sz00_12138),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14369;
BgL_runz00_14369 = 
MAKE_FX_PROCEDURE(BGl_z62run5136z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14369, 
(int)(((long)0)), BgL_iboxesz00_12134); 
PROCEDURE_SET(BgL_runz00_14369, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_12135)); 
PROCEDURE_SET(BgL_runz00_14369, 
(int)(((long)2)), BgL_bodyz00_12136); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14370;
BgL_mainz00_14370 = 
MAKE_FX_PROCEDURE(BGl_z62main5135z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14370, 
(int)(((long)0)), BgL_iboxesz00_12134); 
PROCEDURE_SET(BgL_mainz00_14370, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_12135)); 
PROCEDURE_SET(BgL_mainz00_14370, 
(int)(((long)2)), BgL_bodyz00_12136); 
PROCEDURE_SET(BgL_mainz00_14370, 
(int)(((long)3)), BgL_runz00_14369); 
PROCEDURE_SET(BgL_mainz00_14370, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12137)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14371;
BgL_objz00_14371 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14369, BgL_objz00_14371); BgL_objz00_14371; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3135z00_14372;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3136z00_14373;
BgL_arg3136z00_14373 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12135))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14374;
BgL_newz00_14374 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27051;
BgL_tmpz00_27051 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14374, BgL_tmpz00_27051, BgL_arg3136z00_14373); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27056;int BgL_tmpz00_27054;
BgL_auxz00_27056 = 
BINT(BgL_siza7ezd2framez75_12137); 
BgL_tmpz00_27054 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14374, BgL_tmpz00_27054, BgL_auxz00_27056); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27059;
BgL_tmpz00_27059 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14374, BgL_tmpz00_27059, BgL_runz00_14369); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27064;int BgL_tmpz00_27062;
BgL_auxz00_27064 = 
BINT(((long)0)); 
BgL_tmpz00_27062 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14374, BgL_tmpz00_27062, BgL_auxz00_27064); } 
BgL_arg3135z00_14372 = BgL_newz00_14374; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14370, BgL_arg3135z00_14372); BgL_arg3135z00_14372; } 
return BgL_mainz00_14370;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5135 */
obj_t BGl_z62main5135z62zz__evaluate_compz00(obj_t BgL_envz00_12139)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12143;long BgL_siza7ezd2framez75_12144;
BgL_runz00_12143 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12139, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12144 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12139, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14375;
BgL_sz00_14375 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14376;
BgL_bpz00_14376 = 
VECTOR_REF(
((obj_t)BgL_sz00_14375),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14375, BgL_bpz00_14376, 
BINT(BgL_siza7ezd2framez75_12144)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14377;
BgL_ez00_14377 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14377, BgL_bpz00_14376); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14378;
BgL_accz00_14378 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12143, BgL_sz00_14375, BgL_bpz00_14376); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14377); 
VECTOR_SET(
((obj_t)BgL_sz00_14375),((long)0),BgL_bpz00_14376); 
return BgL_accz00_14378;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14379;
BgL_nsz00_14379 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14379,((long)1),BgL_sz00_14375); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14380;
BgL_z12denvz12_14380 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14380, BgL_nsz00_14379); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14381;
BgL_ez00_14381 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14381, BgL_sz00_14375); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14382;
BgL_____rz00_14382 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12143, BgL_nsz00_14379, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14381); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14380, BgL_sz00_14375); 
return BgL_____rz00_14382;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5136 */
obj_t BGl_z62run5136z62zz__evaluate_compz00(obj_t BgL_envz00_12145, obj_t BgL_sz00_12149)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12146;BgL_ev_absz00_bglt BgL_i1242z00_12147;obj_t BgL_bodyz00_12148;
BgL_iboxesz00_12146 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12145, 
(int)(((long)0)))); 
BgL_i1242z00_12147 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12145, 
(int)(((long)1)))); 
BgL_bodyz00_12148 = 
PROCEDURE_REF(BgL_envz00_12145, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14383;
BgL_bpz00_14383 = 
VECTOR_REF(
((obj_t)BgL_sz00_12149),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12149, BgL_iboxesz00_12146, BgL_bpz00_14383); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14384;obj_t BgL_wherez00_14385;obj_t BgL_locz00_14386;
BgL_z12denvz12_14384 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14385 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12147))->BgL_wherez00); 
BgL_locz00_14386 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12147))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14384, BgL_wherez00_14385, BgL_locz00_14386); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14387;
BgL_za2za2resza2za2z00_14387 = 
PROCEDURE_ENTRY(BgL_bodyz00_12148)(BgL_bodyz00_12148, BgL_sz00_12149, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14384); 
return BgL_za2za2resza2za2z00_14387;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3143> */
obj_t BGl_z62zc3anonymousza33143ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12150, obj_t BgL_sz00_12156)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12151;long BgL_siza7eza7_12152;BgL_ev_absz00_bglt BgL_i1242z00_12153;obj_t BgL_bodyz00_12154;long BgL_siza7ezd2framez75_12155;
BgL_ifreesz00_12151 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12150, 
(int)(((long)0)))); 
BgL_siza7eza7_12152 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12150, 
(int)(((long)1)))); 
BgL_i1242z00_12153 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12150, 
(int)(((long)2)))); 
BgL_bodyz00_12154 = 
PROCEDURE_REF(BgL_envz00_12150, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12155 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12150, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14388;
BgL_bpz00_14388 = 
VECTOR_REF(
((obj_t)BgL_sz00_12156),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14389;
BgL_valza2za2_14389 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12156, BgL_bpz00_14388, BgL_ifreesz00_12151); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14390;
BgL_runz00_14390 = 
MAKE_FX_PROCEDURE(BGl_z62run5138z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14390, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12152)); 
PROCEDURE_SET(BgL_runz00_14390, 
(int)(((long)1)), BgL_valza2za2_14389); 
PROCEDURE_SET(BgL_runz00_14390, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_12153)); 
PROCEDURE_SET(BgL_runz00_14390, 
(int)(((long)3)), BgL_bodyz00_12154); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14391;
BgL_mainz00_14391 = 
MAKE_FX_PROCEDURE(BGl_z62main5137z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14391, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12152)); 
PROCEDURE_SET(BgL_mainz00_14391, 
(int)(((long)1)), BgL_valza2za2_14389); 
PROCEDURE_SET(BgL_mainz00_14391, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_12153)); 
PROCEDURE_SET(BgL_mainz00_14391, 
(int)(((long)3)), BgL_bodyz00_12154); 
PROCEDURE_SET(BgL_mainz00_14391, 
(int)(((long)4)), BgL_runz00_14390); 
PROCEDURE_SET(BgL_mainz00_14391, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12155)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14392;
BgL_objz00_14392 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14390, BgL_objz00_14392); BgL_objz00_14392; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3144z00_14393;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3145z00_14394;
BgL_arg3145z00_14394 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12153))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14395;
BgL_newz00_14395 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27168;
BgL_tmpz00_27168 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14395, BgL_tmpz00_27168, BgL_arg3145z00_14394); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27173;int BgL_tmpz00_27171;
BgL_auxz00_27173 = 
BINT(BgL_siza7ezd2framez75_12155); 
BgL_tmpz00_27171 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14395, BgL_tmpz00_27171, BgL_auxz00_27173); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27176;
BgL_tmpz00_27176 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14395, BgL_tmpz00_27176, BgL_runz00_14390); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27181;int BgL_tmpz00_27179;
BgL_auxz00_27181 = 
BINT(((long)0)); 
BgL_tmpz00_27179 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14395, BgL_tmpz00_27179, BgL_auxz00_27181); } 
BgL_arg3144z00_14393 = BgL_newz00_14395; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14391, BgL_arg3144z00_14393); BgL_arg3144z00_14393; } 
return BgL_mainz00_14391;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5137 */
obj_t BGl_z62main5137z62zz__evaluate_compz00(obj_t BgL_envz00_12157)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12162;long BgL_siza7ezd2framez75_12163;
BgL_runz00_12162 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12157, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12163 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12157, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14396;
BgL_sz00_14396 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14397;
BgL_bpz00_14397 = 
VECTOR_REF(
((obj_t)BgL_sz00_14396),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14396, BgL_bpz00_14397, 
BINT(BgL_siza7ezd2framez75_12163)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14398;
BgL_ez00_14398 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14398, BgL_bpz00_14397); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14399;
BgL_accz00_14399 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12162, BgL_sz00_14396, BgL_bpz00_14397); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14398); 
VECTOR_SET(
((obj_t)BgL_sz00_14396),((long)0),BgL_bpz00_14397); 
return BgL_accz00_14399;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14400;
BgL_nsz00_14400 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14400,((long)1),BgL_sz00_14396); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14401;
BgL_z12denvz12_14401 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14401, BgL_nsz00_14400); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14402;
BgL_ez00_14402 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14402, BgL_sz00_14396); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14403;
BgL_____rz00_14403 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12162, BgL_nsz00_14400, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14402); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14401, BgL_sz00_14396); 
return BgL_____rz00_14403;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5138 */
obj_t BGl_z62run5138z62zz__evaluate_compz00(obj_t BgL_envz00_12164, obj_t BgL_sz00_12169)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_12165;obj_t BgL_valza2za2_12166;BgL_ev_absz00_bglt BgL_i1242z00_12167;obj_t BgL_bodyz00_12168;
BgL_siza7eza7_12165 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12164, 
(int)(((long)0)))); 
BgL_valza2za2_12166 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12164, 
(int)(((long)1)))); 
BgL_i1242z00_12167 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12164, 
(int)(((long)2)))); 
BgL_bodyz00_12168 = 
PROCEDURE_REF(BgL_envz00_12164, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14404;
BgL_bpz00_14404 = 
VECTOR_REF(
((obj_t)BgL_sz00_12169),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12169, BgL_valza2za2_12166, 
(
(long)CINT(BgL_bpz00_14404)+BgL_siza7eza7_12165)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14405;obj_t BgL_wherez00_14406;obj_t BgL_locz00_14407;
BgL_z12denvz12_14405 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14406 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12167))->BgL_wherez00); 
BgL_locz00_14407 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12167))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14405, BgL_wherez00_14406, BgL_locz00_14407); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14408;
BgL_za2za2resza2za2z00_14408 = 
PROCEDURE_ENTRY(BgL_bodyz00_12168)(BgL_bodyz00_12168, BgL_sz00_12169, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14405); 
return BgL_za2za2resza2za2z00_14408;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3150> */
obj_t BGl_z62zc3anonymousza33150ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12170, obj_t BgL_sz00_12177)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12171;obj_t BgL_iboxesz00_12172;long BgL_siza7eza7_12173;BgL_ev_absz00_bglt BgL_i1242z00_12174;obj_t BgL_bodyz00_12175;long BgL_siza7ezd2framez75_12176;
BgL_ifreesz00_12171 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12170, 
(int)(((long)0)))); 
BgL_iboxesz00_12172 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12170, 
(int)(((long)1)))); 
BgL_siza7eza7_12173 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12170, 
(int)(((long)2)))); 
BgL_i1242z00_12174 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12170, 
(int)(((long)3)))); 
BgL_bodyz00_12175 = 
PROCEDURE_REF(BgL_envz00_12170, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12176 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12170, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14409;
BgL_bpz00_14409 = 
VECTOR_REF(
((obj_t)BgL_sz00_12177),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14410;
BgL_valza2za2_14410 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12177, BgL_bpz00_14409, BgL_ifreesz00_12171); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14411;
BgL_runz00_14411 = 
MAKE_FX_PROCEDURE(BGl_z62run5140z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14411, 
(int)(((long)0)), BgL_iboxesz00_12172); 
PROCEDURE_SET(BgL_runz00_14411, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12173)); 
PROCEDURE_SET(BgL_runz00_14411, 
(int)(((long)2)), BgL_valza2za2_14410); 
PROCEDURE_SET(BgL_runz00_14411, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_12174)); 
PROCEDURE_SET(BgL_runz00_14411, 
(int)(((long)4)), BgL_bodyz00_12175); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14412;
BgL_mainz00_14412 = 
MAKE_FX_PROCEDURE(BGl_z62main5139z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14412, 
(int)(((long)0)), BgL_iboxesz00_12172); 
PROCEDURE_SET(BgL_mainz00_14412, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12173)); 
PROCEDURE_SET(BgL_mainz00_14412, 
(int)(((long)2)), BgL_valza2za2_14410); 
PROCEDURE_SET(BgL_mainz00_14412, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_12174)); 
PROCEDURE_SET(BgL_mainz00_14412, 
(int)(((long)4)), BgL_bodyz00_12175); 
PROCEDURE_SET(BgL_mainz00_14412, 
(int)(((long)5)), BgL_runz00_14411); 
PROCEDURE_SET(BgL_mainz00_14412, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12176)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14413;
BgL_objz00_14413 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14411, BgL_objz00_14413); BgL_objz00_14413; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3151z00_14414;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3152z00_14415;
BgL_arg3152z00_14415 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12174))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14416;
BgL_newz00_14416 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27297;
BgL_tmpz00_27297 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14416, BgL_tmpz00_27297, BgL_arg3152z00_14415); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27302;int BgL_tmpz00_27300;
BgL_auxz00_27302 = 
BINT(BgL_siza7ezd2framez75_12176); 
BgL_tmpz00_27300 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14416, BgL_tmpz00_27300, BgL_auxz00_27302); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27305;
BgL_tmpz00_27305 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14416, BgL_tmpz00_27305, BgL_runz00_14411); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27310;int BgL_tmpz00_27308;
BgL_auxz00_27310 = 
BINT(((long)0)); 
BgL_tmpz00_27308 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14416, BgL_tmpz00_27308, BgL_auxz00_27310); } 
BgL_arg3151z00_14414 = BgL_newz00_14416; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14412, BgL_arg3151z00_14414); BgL_arg3151z00_14414; } 
return BgL_mainz00_14412;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5139 */
obj_t BGl_z62main5139z62zz__evaluate_compz00(obj_t BgL_envz00_12178)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12184;long BgL_siza7ezd2framez75_12185;
BgL_runz00_12184 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12178, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12185 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12178, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14417;
BgL_sz00_14417 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14418;
BgL_bpz00_14418 = 
VECTOR_REF(
((obj_t)BgL_sz00_14417),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14417, BgL_bpz00_14418, 
BINT(BgL_siza7ezd2framez75_12185)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14419;
BgL_ez00_14419 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14419, BgL_bpz00_14418); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14420;
BgL_accz00_14420 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12184, BgL_sz00_14417, BgL_bpz00_14418); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14419); 
VECTOR_SET(
((obj_t)BgL_sz00_14417),((long)0),BgL_bpz00_14418); 
return BgL_accz00_14420;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14421;
BgL_nsz00_14421 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14421,((long)1),BgL_sz00_14417); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14422;
BgL_z12denvz12_14422 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14422, BgL_nsz00_14421); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14423;
BgL_ez00_14423 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14423, BgL_sz00_14417); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14424;
BgL_____rz00_14424 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12184, BgL_nsz00_14421, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14423); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14422, BgL_sz00_14417); 
return BgL_____rz00_14424;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5140 */
obj_t BGl_z62run5140z62zz__evaluate_compz00(obj_t BgL_envz00_12186, obj_t BgL_sz00_12192)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12187;long BgL_siza7eza7_12188;obj_t BgL_valza2za2_12189;BgL_ev_absz00_bglt BgL_i1242z00_12190;obj_t BgL_bodyz00_12191;
BgL_iboxesz00_12187 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12186, 
(int)(((long)0)))); 
BgL_siza7eza7_12188 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12186, 
(int)(((long)1)))); 
BgL_valza2za2_12189 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12186, 
(int)(((long)2)))); 
BgL_i1242z00_12190 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12186, 
(int)(((long)3)))); 
BgL_bodyz00_12191 = 
PROCEDURE_REF(BgL_envz00_12186, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14425;
BgL_bpz00_14425 = 
VECTOR_REF(
((obj_t)BgL_sz00_12192),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12192, BgL_iboxesz00_12187, BgL_bpz00_14425); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12192, BgL_valza2za2_12189, 
(
(long)CINT(BgL_bpz00_14425)+BgL_siza7eza7_12188)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14426;obj_t BgL_wherez00_14427;obj_t BgL_locz00_14428;
BgL_z12denvz12_14426 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14427 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12190))->BgL_wherez00); 
BgL_locz00_14428 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12190))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14426, BgL_wherez00_14427, BgL_locz00_14428); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14429;
BgL_za2za2resza2za2z00_14429 = 
PROCEDURE_ENTRY(BgL_bodyz00_12191)(BgL_bodyz00_12191, BgL_sz00_12192, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14426); 
return BgL_za2za2resza2za2z00_14429;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3578> */
obj_t BGl_z62zc3anonymousza33578ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12193, obj_t BgL_sz00_12197)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12194;obj_t BgL_bodyz00_12195;long BgL_siza7ezd2framez75_12196;
BgL_i1242z00_12194 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12193, 
(int)(((long)0)))); 
BgL_bodyz00_12195 = 
PROCEDURE_REF(BgL_envz00_12193, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12196 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12193, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14430;
BgL_bpz00_14430 = 
VECTOR_REF(
((obj_t)BgL_sz00_12197),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14431;
BgL_runz00_14431 = 
MAKE_FX_PROCEDURE(BGl_z62run5142z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14431, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_12194)); 
PROCEDURE_SET(BgL_runz00_14431, 
(int)(((long)1)), BgL_bodyz00_12195); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14432;
BgL_mainz00_14432 = 
MAKE_VA_PROCEDURE(BGl_z62main5141z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14432, 
(int)(((long)0)), BgL_bodyz00_12195); 
PROCEDURE_SET(BgL_mainz00_14432, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_12194)); 
PROCEDURE_SET(BgL_mainz00_14432, 
(int)(((long)2)), BgL_runz00_14431); 
PROCEDURE_SET(BgL_mainz00_14432, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12196)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14433;
BgL_objz00_14433 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14431, BgL_objz00_14433); BgL_objz00_14433; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3579z00_14434;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3580z00_14435;obj_t BgL_arg3581z00_14436;
BgL_arg3580z00_14435 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12194))->BgL_arityz00); 
BgL_arg3581z00_14436 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12194))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14437;
BgL_newz00_14437 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27407;
BgL_tmpz00_27407 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14437, BgL_tmpz00_27407, BgL_arg3581z00_14436); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27412;int BgL_tmpz00_27410;
BgL_auxz00_27412 = 
BINT(BgL_siza7ezd2framez75_12196); 
BgL_tmpz00_27410 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14437, BgL_tmpz00_27410, BgL_auxz00_27412); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27415;
BgL_tmpz00_27415 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14437, BgL_tmpz00_27415, BgL_runz00_14431); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27418;
BgL_tmpz00_27418 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14437, BgL_tmpz00_27418, BgL_arg3580z00_14435); } 
BgL_arg3579z00_14434 = BgL_newz00_14437; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14432, BgL_arg3579z00_14434); BgL_arg3579z00_14434; } 
return BgL_mainz00_14432;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5141 */
obj_t BGl_z62main5141z62zz__evaluate_compz00(obj_t BgL_envz00_12198, obj_t BgL_az00_12203, obj_t BgL_bz00_12204, obj_t BgL_cz00_12205, obj_t BgL_dz00_12206, obj_t BgL_restz00_12207)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12200;obj_t BgL_runz00_12201;long BgL_siza7ezd2framez75_12202;
BgL_i1242z00_12200 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12198, 
(int)(((long)1)))); 
BgL_runz00_12201 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12198, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12202 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12198, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14438;
BgL_sz00_14438 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14439;
BgL_bpz00_14439 = 
VECTOR_REF(
((obj_t)BgL_sz00_14438),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14438, BgL_bpz00_14439, 
BINT(BgL_siza7ezd2framez75_12202)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3584z00_14440;
BgL_arg3584z00_14440 = 
(
(long)CINT(BgL_bpz00_14439)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14438),BgL_arg3584z00_14440,BgL_az00_12203); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3585z00_14441;
BgL_arg3585z00_14441 = 
(
(long)CINT(BgL_bpz00_14439)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14438),BgL_arg3585z00_14441,BgL_bz00_12204); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3586z00_14442;
BgL_arg3586z00_14442 = 
(
(long)CINT(BgL_bpz00_14439)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14438),BgL_arg3586z00_14442,BgL_cz00_12205); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3587z00_14443;
BgL_arg3587z00_14443 = 
(
(long)CINT(BgL_bpz00_14439)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14438),BgL_arg3587z00_14443,BgL_dz00_12206); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_14438, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12200))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_14439)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12200))->BgL_arityz00), ((long)4)), BgL_restz00_12207, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12200))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14444;
BgL_ez00_14444 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14444, BgL_bpz00_14439); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14445;
BgL_accz00_14445 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12201, BgL_sz00_14438, BgL_bpz00_14439); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14444); 
VECTOR_SET(
((obj_t)BgL_sz00_14438),((long)0),BgL_bpz00_14439); 
return BgL_accz00_14445;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14446;
BgL_nsz00_14446 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14446,((long)1),BgL_sz00_14438); 
VECTOR_SET(BgL_nsz00_14446,((long)2),BgL_az00_12203); 
VECTOR_SET(BgL_nsz00_14446,((long)3),BgL_bz00_12204); 
VECTOR_SET(BgL_nsz00_14446,((long)4),BgL_cz00_12205); 
VECTOR_SET(BgL_nsz00_14446,((long)5),BgL_dz00_12206); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_14446, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12200))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12200))->BgL_arityz00), ((long)4)), BgL_restz00_12207, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12200))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14447;
BgL_z12denvz12_14447 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14447, BgL_nsz00_14446); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14448;
BgL_ez00_14448 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14448, BgL_sz00_14438); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14449;
BgL_____rz00_14449 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12201, BgL_nsz00_14446, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14448); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14447, BgL_sz00_14438); 
return BgL_____rz00_14449;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5142 */
obj_t BGl_z62run5142z62zz__evaluate_compz00(obj_t BgL_envz00_12208, obj_t BgL_sz00_12211)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12209;obj_t BgL_bodyz00_12210;
BgL_i1242z00_12209 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12208, 
(int)(((long)0)))); 
BgL_bodyz00_12210 = 
PROCEDURE_REF(BgL_envz00_12208, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14450;
BgL_bpz00_14450 = 
VECTOR_REF(
((obj_t)BgL_sz00_12211),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14451;obj_t BgL_wherez00_14452;obj_t BgL_locz00_14453;
BgL_z12denvz12_14451 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14452 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12209))->BgL_wherez00); 
BgL_locz00_14453 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12209))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14451, BgL_wherez00_14452, BgL_locz00_14453); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14454;
BgL_za2za2resza2za2z00_14454 = 
PROCEDURE_ENTRY(BgL_bodyz00_12210)(BgL_bodyz00_12210, BgL_sz00_12211, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14451); 
return BgL_za2za2resza2za2z00_14454;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3598> */
obj_t BGl_z62zc3anonymousza33598ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12212, obj_t BgL_sz00_12217)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12213;BgL_ev_absz00_bglt BgL_i1242z00_12214;obj_t BgL_bodyz00_12215;long BgL_siza7ezd2framez75_12216;
BgL_iboxesz00_12213 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12212, 
(int)(((long)0)))); 
BgL_i1242z00_12214 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12212, 
(int)(((long)1)))); 
BgL_bodyz00_12215 = 
PROCEDURE_REF(BgL_envz00_12212, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12216 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12212, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14455;
BgL_bpz00_14455 = 
VECTOR_REF(
((obj_t)BgL_sz00_12217),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14456;
BgL_runz00_14456 = 
MAKE_FX_PROCEDURE(BGl_z62run5144z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14456, 
(int)(((long)0)), BgL_iboxesz00_12213); 
PROCEDURE_SET(BgL_runz00_14456, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_12214)); 
PROCEDURE_SET(BgL_runz00_14456, 
(int)(((long)2)), BgL_bodyz00_12215); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14457;
BgL_mainz00_14457 = 
MAKE_VA_PROCEDURE(BGl_z62main5143z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14457, 
(int)(((long)0)), BgL_iboxesz00_12213); 
PROCEDURE_SET(BgL_mainz00_14457, 
(int)(((long)1)), BgL_bodyz00_12215); 
PROCEDURE_SET(BgL_mainz00_14457, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_12214)); 
PROCEDURE_SET(BgL_mainz00_14457, 
(int)(((long)3)), BgL_runz00_14456); 
PROCEDURE_SET(BgL_mainz00_14457, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12216)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14458;
BgL_objz00_14458 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14456, BgL_objz00_14458); BgL_objz00_14458; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3599z00_14459;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3600z00_14460;obj_t BgL_arg3601z00_14461;
BgL_arg3600z00_14460 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12214))->BgL_arityz00); 
BgL_arg3601z00_14461 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12214))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14462;
BgL_newz00_14462 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27544;
BgL_tmpz00_27544 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14462, BgL_tmpz00_27544, BgL_arg3601z00_14461); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27549;int BgL_tmpz00_27547;
BgL_auxz00_27549 = 
BINT(BgL_siza7ezd2framez75_12216); 
BgL_tmpz00_27547 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14462, BgL_tmpz00_27547, BgL_auxz00_27549); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27552;
BgL_tmpz00_27552 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14462, BgL_tmpz00_27552, BgL_runz00_14456); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27555;
BgL_tmpz00_27555 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14462, BgL_tmpz00_27555, BgL_arg3600z00_14460); } 
BgL_arg3599z00_14459 = BgL_newz00_14462; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14457, BgL_arg3599z00_14459); BgL_arg3599z00_14459; } 
return BgL_mainz00_14457;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5143 */
obj_t BGl_z62main5143z62zz__evaluate_compz00(obj_t BgL_envz00_12218, obj_t BgL_az00_12224, obj_t BgL_bz00_12225, obj_t BgL_cz00_12226, obj_t BgL_dz00_12227, obj_t BgL_restz00_12228)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12221;obj_t BgL_runz00_12222;long BgL_siza7ezd2framez75_12223;
BgL_i1242z00_12221 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12218, 
(int)(((long)2)))); 
BgL_runz00_12222 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12218, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12223 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12218, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14463;
BgL_sz00_14463 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14464;
BgL_bpz00_14464 = 
VECTOR_REF(
((obj_t)BgL_sz00_14463),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14463, BgL_bpz00_14464, 
BINT(BgL_siza7ezd2framez75_12223)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3604z00_14465;
BgL_arg3604z00_14465 = 
(
(long)CINT(BgL_bpz00_14464)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14463),BgL_arg3604z00_14465,BgL_az00_12224); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3605z00_14466;
BgL_arg3605z00_14466 = 
(
(long)CINT(BgL_bpz00_14464)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14463),BgL_arg3605z00_14466,BgL_bz00_12225); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3606z00_14467;
BgL_arg3606z00_14467 = 
(
(long)CINT(BgL_bpz00_14464)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14463),BgL_arg3606z00_14467,BgL_cz00_12226); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3607z00_14468;
BgL_arg3607z00_14468 = 
(
(long)CINT(BgL_bpz00_14464)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14463),BgL_arg3607z00_14468,BgL_dz00_12227); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_14463, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12221))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_14464)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12221))->BgL_arityz00), ((long)4)), BgL_restz00_12228, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12221))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14469;
BgL_ez00_14469 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14469, BgL_bpz00_14464); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14470;
BgL_accz00_14470 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12222, BgL_sz00_14463, BgL_bpz00_14464); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14469); 
VECTOR_SET(
((obj_t)BgL_sz00_14463),((long)0),BgL_bpz00_14464); 
return BgL_accz00_14470;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14471;
BgL_nsz00_14471 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14471,((long)1),BgL_sz00_14463); 
VECTOR_SET(BgL_nsz00_14471,((long)2),BgL_az00_12224); 
VECTOR_SET(BgL_nsz00_14471,((long)3),BgL_bz00_12225); 
VECTOR_SET(BgL_nsz00_14471,((long)4),BgL_cz00_12226); 
VECTOR_SET(BgL_nsz00_14471,((long)5),BgL_dz00_12227); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_14471, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12221))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12221))->BgL_arityz00), ((long)4)), BgL_restz00_12228, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12221))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14472;
BgL_z12denvz12_14472 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14472, BgL_nsz00_14471); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14473;
BgL_ez00_14473 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14473, BgL_sz00_14463); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14474;
BgL_____rz00_14474 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12222, BgL_nsz00_14471, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14473); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14472, BgL_sz00_14463); 
return BgL_____rz00_14474;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5144 */
obj_t BGl_z62run5144z62zz__evaluate_compz00(obj_t BgL_envz00_12229, obj_t BgL_sz00_12233)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12230;BgL_ev_absz00_bglt BgL_i1242z00_12231;obj_t BgL_bodyz00_12232;
BgL_iboxesz00_12230 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12229, 
(int)(((long)0)))); 
BgL_i1242z00_12231 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12229, 
(int)(((long)1)))); 
BgL_bodyz00_12232 = 
PROCEDURE_REF(BgL_envz00_12229, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14475;
BgL_bpz00_14475 = 
VECTOR_REF(
((obj_t)BgL_sz00_12233),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12233, BgL_iboxesz00_12230, BgL_bpz00_14475); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14476;obj_t BgL_wherez00_14477;obj_t BgL_locz00_14478;
BgL_z12denvz12_14476 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14477 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12231))->BgL_wherez00); 
BgL_locz00_14478 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12231))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14476, BgL_wherez00_14477, BgL_locz00_14478); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14479;
BgL_za2za2resza2za2z00_14479 = 
PROCEDURE_ENTRY(BgL_bodyz00_12232)(BgL_bodyz00_12232, BgL_sz00_12233, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14476); 
return BgL_za2za2resza2za2z00_14479;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3621> */
obj_t BGl_z62zc3anonymousza33621ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12234, obj_t BgL_sz00_12240)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12235;long BgL_siza7eza7_12236;BgL_ev_absz00_bglt BgL_i1242z00_12237;obj_t BgL_bodyz00_12238;long BgL_siza7ezd2framez75_12239;
BgL_ifreesz00_12235 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12234, 
(int)(((long)0)))); 
BgL_siza7eza7_12236 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12234, 
(int)(((long)1)))); 
BgL_i1242z00_12237 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12234, 
(int)(((long)2)))); 
BgL_bodyz00_12238 = 
PROCEDURE_REF(BgL_envz00_12234, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12239 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12234, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14480;
BgL_bpz00_14480 = 
VECTOR_REF(
((obj_t)BgL_sz00_12240),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14481;
BgL_valza2za2_14481 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12240, BgL_bpz00_14480, BgL_ifreesz00_12235); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14482;
BgL_runz00_14482 = 
MAKE_FX_PROCEDURE(BGl_z62run5146z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14482, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12236)); 
PROCEDURE_SET(BgL_runz00_14482, 
(int)(((long)1)), BgL_valza2za2_14481); 
PROCEDURE_SET(BgL_runz00_14482, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_12237)); 
PROCEDURE_SET(BgL_runz00_14482, 
(int)(((long)3)), BgL_bodyz00_12238); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14483;
BgL_mainz00_14483 = 
MAKE_VA_PROCEDURE(BGl_z62main5145z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14483, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12236)); 
PROCEDURE_SET(BgL_mainz00_14483, 
(int)(((long)1)), BgL_valza2za2_14481); 
PROCEDURE_SET(BgL_mainz00_14483, 
(int)(((long)2)), BgL_bodyz00_12238); 
PROCEDURE_SET(BgL_mainz00_14483, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_12237)); 
PROCEDURE_SET(BgL_mainz00_14483, 
(int)(((long)4)), BgL_runz00_14482); 
PROCEDURE_SET(BgL_mainz00_14483, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12239)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14484;
BgL_objz00_14484 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14482, BgL_objz00_14484); BgL_objz00_14484; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3622z00_14485;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3623z00_14486;obj_t BgL_arg3624z00_14487;
BgL_arg3623z00_14486 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12237))->BgL_arityz00); 
BgL_arg3624z00_14487 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12237))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14488;
BgL_newz00_14488 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27695;
BgL_tmpz00_27695 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14488, BgL_tmpz00_27695, BgL_arg3624z00_14487); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27700;int BgL_tmpz00_27698;
BgL_auxz00_27700 = 
BINT(BgL_siza7ezd2framez75_12239); 
BgL_tmpz00_27698 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14488, BgL_tmpz00_27698, BgL_auxz00_27700); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27703;
BgL_tmpz00_27703 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14488, BgL_tmpz00_27703, BgL_runz00_14482); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27706;
BgL_tmpz00_27706 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14488, BgL_tmpz00_27706, BgL_arg3623z00_14486); } 
BgL_arg3622z00_14485 = BgL_newz00_14488; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14483, BgL_arg3622z00_14485); BgL_arg3622z00_14485; } 
return BgL_mainz00_14483;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5145 */
obj_t BGl_z62main5145z62zz__evaluate_compz00(obj_t BgL_envz00_12241, obj_t BgL_az00_12248, obj_t BgL_bz00_12249, obj_t BgL_cz00_12250, obj_t BgL_dz00_12251, obj_t BgL_restz00_12252)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12245;obj_t BgL_runz00_12246;long BgL_siza7ezd2framez75_12247;
BgL_i1242z00_12245 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12241, 
(int)(((long)3)))); 
BgL_runz00_12246 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12241, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12247 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12241, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14489;
BgL_sz00_14489 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14490;
BgL_bpz00_14490 = 
VECTOR_REF(
((obj_t)BgL_sz00_14489),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14489, BgL_bpz00_14490, 
BINT(BgL_siza7ezd2framez75_12247)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3627z00_14491;
BgL_arg3627z00_14491 = 
(
(long)CINT(BgL_bpz00_14490)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14489),BgL_arg3627z00_14491,BgL_az00_12248); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3628z00_14492;
BgL_arg3628z00_14492 = 
(
(long)CINT(BgL_bpz00_14490)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14489),BgL_arg3628z00_14492,BgL_bz00_12249); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3629z00_14493;
BgL_arg3629z00_14493 = 
(
(long)CINT(BgL_bpz00_14490)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14489),BgL_arg3629z00_14493,BgL_cz00_12250); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3630z00_14494;
BgL_arg3630z00_14494 = 
(
(long)CINT(BgL_bpz00_14490)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14489),BgL_arg3630z00_14494,BgL_dz00_12251); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_14489, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12245))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_14490)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12245))->BgL_arityz00), ((long)4)), BgL_restz00_12252, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12245))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14495;
BgL_ez00_14495 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14495, BgL_bpz00_14490); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14496;
BgL_accz00_14496 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12246, BgL_sz00_14489, BgL_bpz00_14490); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14495); 
VECTOR_SET(
((obj_t)BgL_sz00_14489),((long)0),BgL_bpz00_14490); 
return BgL_accz00_14496;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14497;
BgL_nsz00_14497 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14497,((long)1),BgL_sz00_14489); 
VECTOR_SET(BgL_nsz00_14497,((long)2),BgL_az00_12248); 
VECTOR_SET(BgL_nsz00_14497,((long)3),BgL_bz00_12249); 
VECTOR_SET(BgL_nsz00_14497,((long)4),BgL_cz00_12250); 
VECTOR_SET(BgL_nsz00_14497,((long)5),BgL_dz00_12251); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_14497, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12245))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12245))->BgL_arityz00), ((long)4)), BgL_restz00_12252, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12245))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14498;
BgL_z12denvz12_14498 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14498, BgL_nsz00_14497); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14499;
BgL_ez00_14499 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14499, BgL_sz00_14489); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14500;
BgL_____rz00_14500 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12246, BgL_nsz00_14497, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14499); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14498, BgL_sz00_14489); 
return BgL_____rz00_14500;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5146 */
obj_t BGl_z62run5146z62zz__evaluate_compz00(obj_t BgL_envz00_12253, obj_t BgL_sz00_12258)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_12254;obj_t BgL_valza2za2_12255;BgL_ev_absz00_bglt BgL_i1242z00_12256;obj_t BgL_bodyz00_12257;
BgL_siza7eza7_12254 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12253, 
(int)(((long)0)))); 
BgL_valza2za2_12255 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12253, 
(int)(((long)1)))); 
BgL_i1242z00_12256 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12253, 
(int)(((long)2)))); 
BgL_bodyz00_12257 = 
PROCEDURE_REF(BgL_envz00_12253, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14501;
BgL_bpz00_14501 = 
VECTOR_REF(
((obj_t)BgL_sz00_12258),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12258, BgL_valza2za2_12255, 
(
(long)CINT(BgL_bpz00_14501)+BgL_siza7eza7_12254)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14502;obj_t BgL_wherez00_14503;obj_t BgL_locz00_14504;
BgL_z12denvz12_14502 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14503 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12256))->BgL_wherez00); 
BgL_locz00_14504 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12256))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14502, BgL_wherez00_14503, BgL_locz00_14504); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14505;
BgL_za2za2resza2za2z00_14505 = 
PROCEDURE_ENTRY(BgL_bodyz00_12257)(BgL_bodyz00_12257, BgL_sz00_12258, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14502); 
return BgL_za2za2resza2za2z00_14505;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3642> */
obj_t BGl_z62zc3anonymousza33642ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12259, obj_t BgL_sz00_12266)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12260;obj_t BgL_iboxesz00_12261;long BgL_siza7eza7_12262;BgL_ev_absz00_bglt BgL_i1242z00_12263;obj_t BgL_bodyz00_12264;long BgL_siza7ezd2framez75_12265;
BgL_ifreesz00_12260 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12259, 
(int)(((long)0)))); 
BgL_iboxesz00_12261 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12259, 
(int)(((long)1)))); 
BgL_siza7eza7_12262 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12259, 
(int)(((long)2)))); 
BgL_i1242z00_12263 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12259, 
(int)(((long)3)))); 
BgL_bodyz00_12264 = 
PROCEDURE_REF(BgL_envz00_12259, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12265 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12259, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14506;
BgL_bpz00_14506 = 
VECTOR_REF(
((obj_t)BgL_sz00_12266),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14507;
BgL_valza2za2_14507 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12266, BgL_bpz00_14506, BgL_ifreesz00_12260); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14508;
BgL_runz00_14508 = 
MAKE_FX_PROCEDURE(BGl_z62run5148z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14508, 
(int)(((long)0)), BgL_iboxesz00_12261); 
PROCEDURE_SET(BgL_runz00_14508, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12262)); 
PROCEDURE_SET(BgL_runz00_14508, 
(int)(((long)2)), BgL_valza2za2_14507); 
PROCEDURE_SET(BgL_runz00_14508, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_12263)); 
PROCEDURE_SET(BgL_runz00_14508, 
(int)(((long)4)), BgL_bodyz00_12264); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14509;
BgL_mainz00_14509 = 
MAKE_VA_PROCEDURE(BGl_z62main5147z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14509, 
(int)(((long)0)), BgL_iboxesz00_12261); 
PROCEDURE_SET(BgL_mainz00_14509, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12262)); 
PROCEDURE_SET(BgL_mainz00_14509, 
(int)(((long)2)), BgL_valza2za2_14507); 
PROCEDURE_SET(BgL_mainz00_14509, 
(int)(((long)3)), BgL_bodyz00_12264); 
PROCEDURE_SET(BgL_mainz00_14509, 
(int)(((long)4)), 
((obj_t)BgL_i1242z00_12263)); 
PROCEDURE_SET(BgL_mainz00_14509, 
(int)(((long)5)), BgL_runz00_14508); 
PROCEDURE_SET(BgL_mainz00_14509, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12265)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14510;
BgL_objz00_14510 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14508, BgL_objz00_14510); BgL_objz00_14510; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3643z00_14511;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3644z00_14512;obj_t BgL_arg3645z00_14513;
BgL_arg3644z00_14512 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12263))->BgL_arityz00); 
BgL_arg3645z00_14513 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12263))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14514;
BgL_newz00_14514 = 
create_struct(BGl_symbol5178z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27858;
BgL_tmpz00_27858 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14514, BgL_tmpz00_27858, BgL_arg3645z00_14513); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27863;int BgL_tmpz00_27861;
BgL_auxz00_27863 = 
BINT(BgL_siza7ezd2framez75_12265); 
BgL_tmpz00_27861 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14514, BgL_tmpz00_27861, BgL_auxz00_27863); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27866;
BgL_tmpz00_27866 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14514, BgL_tmpz00_27866, BgL_runz00_14508); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27869;
BgL_tmpz00_27869 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14514, BgL_tmpz00_27869, BgL_arg3644z00_14512); } 
BgL_arg3643z00_14511 = BgL_newz00_14514; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14509, BgL_arg3643z00_14511); BgL_arg3643z00_14511; } 
return BgL_mainz00_14509;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5147 */
obj_t BGl_z62main5147z62zz__evaluate_compz00(obj_t BgL_envz00_12267, obj_t BgL_az00_12275, obj_t BgL_bz00_12276, obj_t BgL_cz00_12277, obj_t BgL_dz00_12278, obj_t BgL_restz00_12279)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12272;obj_t BgL_runz00_12273;long BgL_siza7ezd2framez75_12274;
BgL_i1242z00_12272 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12267, 
(int)(((long)4)))); 
BgL_runz00_12273 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12267, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12274 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12267, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14515;
BgL_sz00_14515 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14516;
BgL_bpz00_14516 = 
VECTOR_REF(
((obj_t)BgL_sz00_14515),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14515, BgL_bpz00_14516, 
BINT(BgL_siza7ezd2framez75_12274)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3648z00_14517;
BgL_arg3648z00_14517 = 
(
(long)CINT(BgL_bpz00_14516)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14515),BgL_arg3648z00_14517,BgL_az00_12275); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3649z00_14518;
BgL_arg3649z00_14518 = 
(
(long)CINT(BgL_bpz00_14516)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14515),BgL_arg3649z00_14518,BgL_bz00_12276); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3650z00_14519;
BgL_arg3650z00_14519 = 
(
(long)CINT(BgL_bpz00_14516)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14515),BgL_arg3650z00_14519,BgL_cz00_12277); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3651z00_14520;
BgL_arg3651z00_14520 = 
(
(long)CINT(BgL_bpz00_14516)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14515),BgL_arg3651z00_14520,BgL_dz00_12278); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_14515, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12272))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_14516)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12272))->BgL_arityz00), ((long)4)), BgL_restz00_12279, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12272))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14521;
BgL_ez00_14521 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14521, BgL_bpz00_14516); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14522;
BgL_accz00_14522 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12273, BgL_sz00_14515, BgL_bpz00_14516); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14521); 
VECTOR_SET(
((obj_t)BgL_sz00_14515),((long)0),BgL_bpz00_14516); 
return BgL_accz00_14522;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14523;
BgL_nsz00_14523 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14523,((long)1),BgL_sz00_14515); 
VECTOR_SET(BgL_nsz00_14523,((long)2),BgL_az00_12275); 
VECTOR_SET(BgL_nsz00_14523,((long)3),BgL_bz00_12276); 
VECTOR_SET(BgL_nsz00_14523,((long)4),BgL_cz00_12277); 
VECTOR_SET(BgL_nsz00_14523,((long)5),BgL_dz00_12278); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_14523, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12272))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12272))->BgL_arityz00), ((long)4)), BgL_restz00_12279, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12272))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14524;
BgL_z12denvz12_14524 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14524, BgL_nsz00_14523); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14525;
BgL_ez00_14525 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14525, BgL_sz00_14515); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14526;
BgL_____rz00_14526 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12273, BgL_nsz00_14523, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14525); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14524, BgL_sz00_14515); 
return BgL_____rz00_14526;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5148 */
obj_t BGl_z62run5148z62zz__evaluate_compz00(obj_t BgL_envz00_12280, obj_t BgL_sz00_12286)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12281;long BgL_siza7eza7_12282;obj_t BgL_valza2za2_12283;BgL_ev_absz00_bglt BgL_i1242z00_12284;obj_t BgL_bodyz00_12285;
BgL_iboxesz00_12281 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12280, 
(int)(((long)0)))); 
BgL_siza7eza7_12282 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12280, 
(int)(((long)1)))); 
BgL_valza2za2_12283 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12280, 
(int)(((long)2)))); 
BgL_i1242z00_12284 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12280, 
(int)(((long)3)))); 
BgL_bodyz00_12285 = 
PROCEDURE_REF(BgL_envz00_12280, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14527;
BgL_bpz00_14527 = 
VECTOR_REF(
((obj_t)BgL_sz00_12286),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12286, BgL_iboxesz00_12281, BgL_bpz00_14527); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12286, BgL_valza2za2_12283, 
(
(long)CINT(BgL_bpz00_14527)+BgL_siza7eza7_12282)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14528;obj_t BgL_wherez00_14529;obj_t BgL_locz00_14530;
BgL_z12denvz12_14528 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14529 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12284))->BgL_wherez00); 
BgL_locz00_14530 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12284))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14528, BgL_wherez00_14529, BgL_locz00_14530); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14531;
BgL_za2za2resza2za2z00_14531 = 
PROCEDURE_ENTRY(BgL_bodyz00_12285)(BgL_bodyz00_12285, BgL_sz00_12286, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14528); 
return BgL_za2za2resza2za2z00_14531;} } } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_app1425 */
obj_t BGl_z62compzd2ev_app1425zb0zz__evaluate_compz00(obj_t BgL_envz00_12287, obj_t BgL_ez00_12288, obj_t BgL_stkz00_12289)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1037 */
{ /* Eval/evaluate_comp.scm 1039 */
obj_t BgL__ortest_1228z00_14533;
BgL__ortest_1228z00_14533 = 
BGl_arithzd2expressionzd2zz__evaluate_compz00(
((BgL_ev_appz00_bglt)BgL_ez00_12288), BgL_stkz00_12289); 
if(
CBOOL(BgL__ortest_1228z00_14533))
{ /* Eval/evaluate_comp.scm 1039 */
return BgL__ortest_1228z00_14533;}  else 
{ /* Eval/evaluate_comp.scm 1040 */
obj_t BgL__ortest_1229z00_14534;
BgL__ortest_1229z00_14534 = 
BGl_inlinezd2callzd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_funz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_argsz00), BgL_stkz00_12289); 
if(
CBOOL(BgL__ortest_1229z00_14534))
{ /* Eval/evaluate_comp.scm 1040 */
return BgL__ortest_1229z00_14534;}  else 
{ /* Eval/evaluate_comp.scm 1040 */
if(
(
bgl_list_length(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_argsz00))>((long)4)))
{ /* Eval/evaluate_comp.scm 1041 */
return 
BGl_compzd2oldzd2callz00zz__evaluate_compz00(
((BgL_ev_appz00_bglt)BgL_ez00_12288), BgL_stkz00_12289);}  else 
{ /* Eval/evaluate_comp.scm 1043 */
obj_t BgL_fz00_14535;long BgL_siza7eza7_14536;obj_t BgL_symbzd2funzd2_14537;
BgL_fz00_14535 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_funz00), BgL_stkz00_12289); 
BgL_siza7eza7_14536 = 
bgl_list_length(BgL_stkz00_12289); 
BgL_symbzd2funzd2_14537 = 
BGl_uncompilez00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_funz00)); 
if(
NULLP(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_argsz00)))
{ /* Eval/evaluate_comp.scm 1044 */
return 
BGl_compzd2call0zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_funz00), BgL_symbzd2funzd2_14537, BgL_fz00_14535, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_tailzf3zf3), BgL_stkz00_12289, BgL_siza7eza7_14536);}  else 
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_a1z00_14538;obj_t BgL_argsz00_14539;
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_arg3112z00_14540;
BgL_arg3112z00_14540 = 
CAR(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_argsz00)); 
BgL_a1z00_14538 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3112z00_14540), BgL_stkz00_12289); } 
BgL_argsz00_14539 = 
CDR(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_argsz00)); 
if(
NULLP(BgL_argsz00_14539))
{ /* Eval/evaluate_comp.scm 1046 */
return 
BGl_compzd2call1zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_funz00), BgL_symbzd2funzd2_14537, BgL_fz00_14535, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_tailzf3zf3), BgL_stkz00_12289, BgL_siza7eza7_14536, BgL_a1z00_14538);}  else 
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_a2z00_14541;obj_t BgL_argsz00_14542;
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_arg3111z00_14543;
BgL_arg3111z00_14543 = 
CAR(
((obj_t)BgL_argsz00_14539)); 
BgL_a2z00_14541 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3111z00_14543), BgL_stkz00_12289); } 
BgL_argsz00_14542 = 
CDR(
((obj_t)BgL_argsz00_14539)); 
if(
NULLP(BgL_argsz00_14542))
{ /* Eval/evaluate_comp.scm 1046 */
return 
BGl_compzd2call2zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_funz00), BgL_symbzd2funzd2_14537, BgL_fz00_14535, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_tailzf3zf3), BgL_stkz00_12289, BgL_siza7eza7_14536, BgL_a1z00_14538, BgL_a2z00_14541);}  else 
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_a3z00_14544;obj_t BgL_argsz00_14545;
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_arg3110z00_14546;
BgL_arg3110z00_14546 = 
CAR(
((obj_t)BgL_argsz00_14542)); 
BgL_a3z00_14544 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3110z00_14546), BgL_stkz00_12289); } 
BgL_argsz00_14545 = 
CDR(
((obj_t)BgL_argsz00_14542)); 
if(
NULLP(BgL_argsz00_14545))
{ /* Eval/evaluate_comp.scm 1046 */
return 
BGl_compzd2call3zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_funz00), BgL_symbzd2funzd2_14537, BgL_fz00_14535, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_tailzf3zf3), BgL_stkz00_12289, BgL_siza7eza7_14536, BgL_a1z00_14538, BgL_a2z00_14541, BgL_a3z00_14544);}  else 
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_a4z00_14547;obj_t BgL_argsz00_14548;
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_arg3109z00_14549;
BgL_arg3109z00_14549 = 
CAR(
((obj_t)BgL_argsz00_14545)); 
BgL_a4z00_14547 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3109z00_14549), BgL_stkz00_12289); } 
BgL_argsz00_14548 = 
CDR(
((obj_t)BgL_argsz00_14545)); 
if(
NULLP(BgL_argsz00_14548))
{ /* Eval/evaluate_comp.scm 1046 */
return 
BGl_compzd2call4zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_funz00), BgL_symbzd2funzd2_14537, BgL_fz00_14535, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12288)))->BgL_tailzf3zf3), BgL_stkz00_12289, BgL_siza7eza7_14536, BgL_a1z00_14538, BgL_a2z00_14541, BgL_a3z00_14544, BgL_a4z00_14547);}  else 
{ /* Eval/evaluate_comp.scm 1046 */
return 
BGl_errorz00zz__errorz00(BGl_string5161z00zz__evaluate_compz00, BGl_string5276z00zz__evaluate_compz00, BGl_string5277z00zz__evaluate_compz00);} } } } } } } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_goto1423 */
obj_t BGl_z62compzd2ev_goto1423zb0zz__evaluate_compz00(obj_t BgL_envz00_12290, obj_t BgL_ez00_12291, obj_t BgL_stkz00_12292)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 597 */
{ /* Eval/evaluate_comp.scm 600 */
obj_t BgL_slotz00_14553;long BgL_siza7eza7_14554;obj_t BgL_lstkz00_14555;
BgL_slotz00_14553 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12291)))->BgL_labelz00)), 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12291)))->BgL_labelsz00)))->BgL_envz00)); 
BgL_siza7eza7_14554 = 
bgl_list_length(BgL_stkz00_12292); 
BgL_lstkz00_14555 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12291)))->BgL_labelsz00)))->BgL_stkz00); 
{ /* Eval/evaluate_comp.scm 602 */
long BgL_llstkz00_14556;obj_t BgL_substkz00_14557;obj_t BgL_boxesz00_14558;
BgL_llstkz00_14556 = 
bgl_list_length(BgL_lstkz00_14555); 
BgL_substkz00_14557 = 
BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_14555, BgL_stkz00_12292); 
{ /* Eval/evaluate_comp.scm 602 */
obj_t BgL_pairz00_14559;
BgL_pairz00_14559 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12291)))->BgL_labelz00)), 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12291)))->BgL_labelsz00)))->BgL_boxesz00)); 
BgL_boxesz00_14558 = 
CDR(BgL_pairz00_14559); } 
if(
BGl_needzd2shiftzd2zz__evaluate_compz00(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12291)))->BgL_argsz00), BgL_substkz00_14557))
{ /* Eval/evaluate_comp.scm 605 */
obj_t BgL_argsz00_14560;long BgL_nbargsz00_14561;
BgL_argsz00_14560 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12291)))->BgL_argsz00), BgL_stkz00_12292); 
BgL_nbargsz00_14561 = 
bgl_list_length(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12291)))->BgL_argsz00)); 
{ /* Eval/evaluate_comp.scm 606 */
obj_t BgL_zc3anonymousza33067ze3z83_14562;
BgL_zc3anonymousza33067ze3z83_14562 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33067ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza33067ze3z83_14562, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14554)); 
PROCEDURE_SET(BgL_zc3anonymousza33067ze3z83_14562, 
(int)(((long)1)), 
BINT(BgL_llstkz00_14556)); 
PROCEDURE_SET(BgL_zc3anonymousza33067ze3z83_14562, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_gotoz00_bglt)BgL_ez00_12291))); 
PROCEDURE_SET(BgL_zc3anonymousza33067ze3z83_14562, 
(int)(((long)3)), BgL_argsz00_14560); 
PROCEDURE_SET(BgL_zc3anonymousza33067ze3z83_14562, 
(int)(((long)4)), BgL_boxesz00_14558); 
PROCEDURE_SET(BgL_zc3anonymousza33067ze3z83_14562, 
(int)(((long)5)), 
BINT(BgL_nbargsz00_14561)); 
PROCEDURE_SET(BgL_zc3anonymousza33067ze3z83_14562, 
(int)(((long)6)), BgL_slotz00_14553); 
return BgL_zc3anonymousza33067ze3z83_14562;} }  else 
{ /* Eval/evaluate_comp.scm 611 */
obj_t BgL_argsz00_14563;
{ /* Eval/evaluate_comp.scm 611 */
obj_t BgL_lz00_14564;long BgL_nz00_14565;
BgL_lz00_14564 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12291)))->BgL_argsz00); 
BgL_nz00_14565 = 
(BgL_siza7eza7_14554-BgL_llstkz00_14556); 
BgL_argsz00_14563 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_12292, BgL_lz00_14564, BgL_nz00_14565); } 
{ /* Eval/evaluate_comp.scm 612 */
obj_t BgL_zc3anonymousza33073ze3z83_14566;
BgL_zc3anonymousza33073ze3z83_14566 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33073ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33073ze3z83_14566, 
(int)(((long)0)), 
BINT(BgL_llstkz00_14556)); 
PROCEDURE_SET(BgL_zc3anonymousza33073ze3z83_14566, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_gotoz00_bglt)BgL_ez00_12291))); 
PROCEDURE_SET(BgL_zc3anonymousza33073ze3z83_14566, 
(int)(((long)2)), BgL_argsz00_14563); 
PROCEDURE_SET(BgL_zc3anonymousza33073ze3z83_14566, 
(int)(((long)3)), BgL_boxesz00_14558); 
PROCEDURE_SET(BgL_zc3anonymousza33073ze3z83_14566, 
(int)(((long)4)), BgL_slotz00_14553); 
return BgL_zc3anonymousza33073ze3z83_14566;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3067> */
obj_t BGl_z62zc3anonymousza33067ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12293, obj_t BgL_sz00_12301)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 606 */
{ /* Eval/evaluate_comp.scm 606 */
long BgL_siza7eza7_12294;long BgL_llstkz00_12295;BgL_ev_gotoz00_bglt BgL_i1140z00_12296;obj_t BgL_argsz00_12297;obj_t BgL_boxesz00_12298;long BgL_nbargsz00_12299;obj_t BgL_slotz00_12300;
BgL_siza7eza7_12294 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12293, 
(int)(((long)0)))); 
BgL_llstkz00_12295 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12293, 
(int)(((long)1)))); 
BgL_i1140z00_12296 = 
((BgL_ev_gotoz00_bglt)
PROCEDURE_REF(BgL_envz00_12293, 
(int)(((long)2)))); 
BgL_argsz00_12297 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12293, 
(int)(((long)3)))); 
BgL_boxesz00_12298 = 
PROCEDURE_REF(BgL_envz00_12293, 
(int)(((long)4))); 
BgL_nbargsz00_12299 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12293, 
(int)(((long)5)))); 
BgL_slotz00_12300 = 
PROCEDURE_REF(BgL_envz00_12293, 
(int)(((long)6))); 
{ /* Eval/evaluate_comp.scm 606 */
obj_t BgL_bpz00_14567;
BgL_bpz00_14567 = 
VECTOR_REF(
((obj_t)BgL_sz00_12301),((long)0)); 
{ /* Eval/evaluate_comp.scm 607 */
long BgL_spz00_14568;long BgL_lspz00_14569;
BgL_spz00_14568 = 
(
(long)CINT(BgL_bpz00_14567)+BgL_siza7eza7_12294); 
BgL_lspz00_14569 = 
(
(long)CINT(BgL_bpz00_14567)+BgL_llstkz00_12295); 
BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(BgL_sz00_12301, BgL_argsz00_12297, BgL_boxesz00_12298, BgL_spz00_14568, 
(((BgL_ev_gotoz00_bglt)COBJECT(BgL_i1140z00_12296))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 609 */
long BgL_arg3069z00_14570;
BgL_arg3069z00_14570 = 
(BgL_spz00_14568+BgL_nbargsz00_12299); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_12301, BgL_lspz00_14569, BgL_sz00_12301, 
BINT(BgL_spz00_14568), 
BINT(BgL_arg3069z00_14570)); } 
return 
CDR(
((obj_t)BgL_slotz00_12300));} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3073> */
obj_t BGl_z62zc3anonymousza33073ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12302, obj_t BgL_sz00_12308)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 612 */
{ /* Eval/evaluate_comp.scm 612 */
long BgL_llstkz00_12303;BgL_ev_gotoz00_bglt BgL_i1140z00_12304;obj_t BgL_argsz00_12305;obj_t BgL_boxesz00_12306;obj_t BgL_slotz00_12307;
BgL_llstkz00_12303 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12302, 
(int)(((long)0)))); 
BgL_i1140z00_12304 = 
((BgL_ev_gotoz00_bglt)
PROCEDURE_REF(BgL_envz00_12302, 
(int)(((long)1)))); 
BgL_argsz00_12305 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12302, 
(int)(((long)2)))); 
BgL_boxesz00_12306 = 
PROCEDURE_REF(BgL_envz00_12302, 
(int)(((long)3))); 
BgL_slotz00_12307 = 
PROCEDURE_REF(BgL_envz00_12302, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 612 */
obj_t BgL_bpz00_14571;
BgL_bpz00_14571 = 
VECTOR_REF(
((obj_t)BgL_sz00_12308),((long)0)); 
BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(BgL_sz00_12308, BgL_argsz00_12305, BgL_boxesz00_12306, 
(
(long)CINT(BgL_bpz00_14571)+BgL_llstkz00_12303), 
(((BgL_ev_gotoz00_bglt)COBJECT(BgL_i1140z00_12304))->BgL_locz00)); 
return 
CDR(
((obj_t)BgL_slotz00_12307));} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_labels1421 */
obj_t BGl_z62compzd2ev_labels1421zb0zz__evaluate_compz00(obj_t BgL_envz00_12309, obj_t BgL_ez00_12310, obj_t BgL_stkz00_12311)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 565 */
{ 
obj_t BgL_fz00_14574;
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12310)))->BgL_stkz00)=((obj_t)BgL_stkz00_12311),BUNSPEC); 
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_envz00_14576;
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_l1325z00_14577;
BgL_l1325z00_14577 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12310)))->BgL_varsz00); 
if(
NULLP(BgL_l1325z00_14577))
{ /* Eval/evaluate_comp.scm 572 */
BgL_envz00_14576 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_head1327z00_14578;
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_res4696z00_14579;
BgL_res4696z00_14579 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1327z00_14578 = BgL_res4696z00_14579; } 
{ 
obj_t BgL_l1325z00_14581;obj_t BgL_tail1328z00_14582;
BgL_l1325z00_14581 = BgL_l1325z00_14577; 
BgL_tail1328z00_14582 = BgL_head1327z00_14578; 
BgL_zc3anonymousza33058ze3z83_14580:
if(
NULLP(BgL_l1325z00_14581))
{ /* Eval/evaluate_comp.scm 572 */
BgL_envz00_14576 = 
CDR(BgL_head1327z00_14578); }  else 
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_newtail1329z00_14583;
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_arg3061z00_14584;
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_vz00_14585;
BgL_vz00_14585 = 
CAR(
((obj_t)BgL_l1325z00_14581)); 
BgL_arg3061z00_14584 = 
MAKE_YOUNG_PAIR(BgL_vz00_14585, BGl_symbol5278z00zz__evaluate_compz00); } 
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_res4698z00_14586;
BgL_res4698z00_14586 = 
MAKE_YOUNG_PAIR(BgL_arg3061z00_14584, BNIL); 
BgL_newtail1329z00_14583 = BgL_res4698z00_14586; } } 
SET_CDR(BgL_tail1328z00_14582, BgL_newtail1329z00_14583); 
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_arg3060z00_14587;
BgL_arg3060z00_14587 = 
CDR(
((obj_t)BgL_l1325z00_14581)); 
{ 
obj_t BgL_tail1328z00_28211;obj_t BgL_l1325z00_28210;
BgL_l1325z00_28210 = BgL_arg3060z00_14587; 
BgL_tail1328z00_28211 = BgL_newtail1329z00_14583; 
BgL_tail1328z00_14582 = BgL_tail1328z00_28211; 
BgL_l1325z00_14581 = BgL_l1325z00_28210; 
goto BgL_zc3anonymousza33058ze3z83_14580;} } } } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12310)))->BgL_envz00)=((obj_t)BgL_envz00_14576),BUNSPEC); 
{ /* Eval/evaluate_comp.scm 575 */
obj_t BgL_g1333z00_14588;
BgL_g1333z00_14588 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12310)))->BgL_valsz00); 
{ 
obj_t BgL_ll1330z00_14590;obj_t BgL_ll1331z00_14591;
BgL_ll1330z00_14590 = BgL_envz00_14576; 
BgL_ll1331z00_14591 = BgL_g1333z00_14588; 
BgL_zc3anonymousza33048ze3z83_14589:
if(
NULLP(BgL_ll1330z00_14590))
{ /* Eval/evaluate_comp.scm 575 */((bool_t)1); }  else 
{ /* Eval/evaluate_comp.scm 575 */
{ /* Eval/evaluate_comp.scm 577 */
obj_t BgL_slotz00_14592;obj_t BgL_valz00_14593;
BgL_slotz00_14592 = 
CAR(
((obj_t)BgL_ll1330z00_14590)); 
BgL_valz00_14593 = 
CAR(
((obj_t)BgL_ll1331z00_14591)); 
{ /* Eval/evaluate_comp.scm 578 */
obj_t BgL_arg3050z00_14594;
{ /* Eval/evaluate_comp.scm 578 */
obj_t BgL_arg3051z00_14595;
{ /* Eval/evaluate_comp.scm 578 */
obj_t BgL_arg3052z00_14596;obj_t BgL_arg3053z00_14597;
BgL_arg3052z00_14596 = 
CDR(
((obj_t)BgL_valz00_14593)); 
{ /* Eval/evaluate_comp.scm 578 */
obj_t BgL_arg3054z00_14598;
BgL_arg3054z00_14598 = 
CAR(
((obj_t)BgL_valz00_14593)); 
BgL_arg3053z00_14597 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_12311, BgL_arg3054z00_14598); } 
BgL_arg3051z00_14595 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3052z00_14596), BgL_arg3053z00_14597); } 
BgL_fz00_14574 = BgL_arg3051z00_14595; 
{ /* Eval/evaluate_comp.scm 567 */
obj_t BgL_objz00_14575;
BgL_objz00_14575 = BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00; 
{ /* Eval/evaluate_comp.scm 567 */
obj_t BgL_tmpz00_28229;
BgL_tmpz00_28229 = 
((obj_t)BgL_fz00_14574); 
PROCEDURE_ATTR_SET(BgL_tmpz00_28229, BgL_objz00_14575); } BgL_objz00_14575; } 
BgL_arg3050z00_14594 = BgL_fz00_14574; } 
{ /* Eval/evaluate_comp.scm 577 */
obj_t BgL_tmpz00_28232;
BgL_tmpz00_28232 = 
((obj_t)BgL_slotz00_14592); 
SET_CDR(BgL_tmpz00_28232, BgL_arg3050z00_14594); } } } 
{ /* Eval/evaluate_comp.scm 575 */
obj_t BgL_arg3055z00_14599;obj_t BgL_arg3056z00_14600;
BgL_arg3055z00_14599 = 
CDR(
((obj_t)BgL_ll1330z00_14590)); 
BgL_arg3056z00_14600 = 
CDR(
((obj_t)BgL_ll1331z00_14591)); 
{ 
obj_t BgL_ll1331z00_28240;obj_t BgL_ll1330z00_28239;
BgL_ll1330z00_28239 = BgL_arg3055z00_14599; 
BgL_ll1331z00_28240 = BgL_arg3056z00_14600; 
BgL_ll1331z00_14591 = BgL_ll1331z00_28240; 
BgL_ll1330z00_14590 = BgL_ll1330z00_28239; 
goto BgL_zc3anonymousza33048ze3z83_14589;} } } } } } 
{ /* Eval/evaluate_comp.scm 582 */
obj_t BgL_bodyz00_14601;
BgL_bodyz00_14601 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12310)))->BgL_bodyz00), BgL_stkz00_12311); 
{ /* Eval/evaluate_comp.scm 583 */
obj_t BgL_zc3anonymousza33062ze3z83_14602;
BgL_zc3anonymousza33062ze3z83_14602 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33062ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza33062ze3z83_14602, 
(int)(((long)0)), BgL_bodyz00_14601); 
return BgL_zc3anonymousza33062ze3z83_14602;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3062> */
obj_t BGl_z62zc3anonymousza33062ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12312, obj_t BgL_sz00_12314)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 583 */
{ /* Eval/evaluate_comp.scm 583 */
obj_t BgL_bodyz00_12313;
BgL_bodyz00_12313 = 
PROCEDURE_REF(BgL_envz00_12312, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 583 */
obj_t BgL_bpz00_14603;
BgL_bpz00_14603 = 
VECTOR_REF(
((obj_t)BgL_sz00_12314),((long)0)); 
return 
BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(BgL_bodyz00_12313, BgL_sz00_12314);} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_synchronize1419 */
obj_t BGl_z62compzd2ev_synchroniza7e1419z17zz__evaluate_compz00(obj_t BgL_envz00_12315, obj_t BgL_ez00_12316, obj_t BgL_stkz00_12317)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 545 */
{ /* Eval/evaluate_comp.scm 547 */
obj_t BgL_mutexz00_14605;obj_t BgL_prelockz00_14606;obj_t BgL_bodyz00_14607;
BgL_mutexz00_14605 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12316)))->BgL_mutexz00), BgL_stkz00_12317); 
BgL_prelockz00_14606 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12316)))->BgL_prelockz00), BgL_stkz00_12317); 
BgL_bodyz00_14607 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12316)))->BgL_bodyz00), BgL_stkz00_12317); 
{ /* Eval/evaluate_comp.scm 550 */
obj_t BgL_zc3anonymousza33041ze3z83_14608;
BgL_zc3anonymousza33041ze3z83_14608 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33041ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33041ze3z83_14608, 
(int)(((long)0)), BgL_mutexz00_14605); 
PROCEDURE_SET(BgL_zc3anonymousza33041ze3z83_14608, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12316))); 
PROCEDURE_SET(BgL_zc3anonymousza33041ze3z83_14608, 
(int)(((long)2)), BgL_prelockz00_14606); 
PROCEDURE_SET(BgL_zc3anonymousza33041ze3z83_14608, 
(int)(((long)3)), BgL_bodyz00_14607); 
return BgL_zc3anonymousza33041ze3z83_14608;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3041> */
obj_t BGl_z62zc3anonymousza33041ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12318, obj_t BgL_sz00_12323)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 550 */
{ /* Eval/evaluate_comp.scm 550 */
obj_t BgL_mutexz00_12319;BgL_ev_synchroniza7eza7_bglt BgL_i1137z00_12320;obj_t BgL_prelockz00_12321;obj_t BgL_bodyz00_12322;
BgL_mutexz00_12319 = 
PROCEDURE_REF(BgL_envz00_12318, 
(int)(((long)0))); 
BgL_i1137z00_12320 = 
((BgL_ev_synchroniza7eza7_bglt)
PROCEDURE_REF(BgL_envz00_12318, 
(int)(((long)1)))); 
BgL_prelockz00_12321 = 
PROCEDURE_REF(BgL_envz00_12318, 
(int)(((long)2))); 
BgL_bodyz00_12322 = 
PROCEDURE_REF(BgL_envz00_12318, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 550 */
obj_t BgL_bpz00_14609;
BgL_bpz00_14609 = 
VECTOR_REF(
((obj_t)BgL_sz00_12323),((long)0)); 
{ /* Eval/evaluate_comp.scm 551 */
obj_t BgL_mz00_14610;
BgL_mz00_14610 = 
PROCEDURE_ENTRY(BgL_mutexz00_12319)(BgL_mutexz00_12319, BgL_sz00_12323, BEOA); 
{ /* Eval/evaluate_comp.scm 552 */
bool_t BgL_testz00_28291;
{ /* Eval/evaluate_comp.scm 552 */
bool_t BgL_res4693z00_14611;
BgL_res4693z00_14611 = 
BGL_MUTEXP(BgL_mz00_14610); 
BgL_testz00_28291 = BgL_res4693z00_14611; } 
if(BgL_testz00_28291)
{ /* Eval/evaluate_comp.scm 553 */
obj_t BgL_pz00_14612;
BgL_pz00_14612 = 
PROCEDURE_ENTRY(BgL_prelockz00_12321)(BgL_prelockz00_12321, BgL_sz00_12323, BEOA); 
{ /* Eval/evaluate_comp.scm 555 */
obj_t BgL_za2za2resza2za2z00_14613;
if(
PAIRP(BgL_pz00_14612))
{ /* Eval/evaluate_comp.scm 556 */
obj_t BgL_top5415z00_28300;
BgL_top5415z00_28300 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK_PRELOCK(BgL_mz00_14610, BgL_pz00_14612); 
BGL_EXITD_PUSH_PROTECT(BgL_top5415z00_28300, BgL_mz00_14610); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 556 */
obj_t BgL_tmp5414z00_28299;
BgL_tmp5414z00_28299 = 
PROCEDURE_ENTRY(BgL_bodyz00_12322)(BgL_bodyz00_12322, BgL_sz00_12323, BEOA); 
BGL_EXITD_POP_PROTECT(BgL_top5415z00_28300); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mz00_14610); 
BgL_za2za2resza2za2z00_14613 = BgL_tmp5414z00_28299; } }  else 
{ /* Eval/evaluate_comp.scm 557 */
obj_t BgL_top5417z00_28311;
BgL_top5417z00_28311 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mz00_14610); 
BGL_EXITD_PUSH_PROTECT(BgL_top5417z00_28311, BgL_mz00_14610); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 557 */
obj_t BgL_tmp5416z00_28310;
BgL_tmp5416z00_28310 = 
PROCEDURE_ENTRY(BgL_bodyz00_12322)(BgL_bodyz00_12322, BgL_sz00_12323, BEOA); 
BGL_EXITD_POP_PROTECT(BgL_top5417z00_28311); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mz00_14610); 
BgL_za2za2resza2za2z00_14613 = BgL_tmp5416z00_28310; } } 
VECTOR_SET(
((obj_t)BgL_sz00_12323),((long)0),BgL_bpz00_14609); 
return BgL_za2za2resza2za2z00_14613;} }  else 
{ /* Eval/evaluate_comp.scm 552 */
return 
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_string5280z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00, BgL_mz00_14610, 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_i1137z00_12320))->BgL_locz00));} } } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_with-handler1417 */
obj_t BGl_z62compzd2ev_withzd2handler1417z62zz__evaluate_compz00(obj_t BgL_envz00_12324, obj_t BgL_ez00_12325, obj_t BgL_stkz00_12326)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 536 */
{ /* Eval/evaluate_comp.scm 538 */
obj_t BgL_handlerz00_14615;obj_t BgL_bodyz00_14616;
BgL_handlerz00_14615 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_12325)))->BgL_handlerz00), BgL_stkz00_12326); 
BgL_bodyz00_14616 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_12325)))->BgL_bodyz00), BgL_stkz00_12326); 
{ /* Eval/evaluate_comp.scm 539 */
obj_t BgL_zc3anonymousza33027ze3z83_14617;
BgL_zc3anonymousza33027ze3z83_14617 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33027ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza33027ze3z83_14617, 
(int)(((long)0)), BgL_handlerz00_14615); 
PROCEDURE_SET(BgL_zc3anonymousza33027ze3z83_14617, 
(int)(((long)1)), BgL_bodyz00_14616); 
return BgL_zc3anonymousza33027ze3z83_14617;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3027> */
obj_t BGl_z62zc3anonymousza33027ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12327, obj_t BgL_sz00_12330)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 539 */
{ /* Eval/evaluate_comp.scm 539 */
obj_t BgL_handlerz00_12328;obj_t BgL_bodyz00_12329;
BgL_handlerz00_12328 = 
PROCEDURE_REF(BgL_envz00_12327, 
(int)(((long)0))); 
BgL_bodyz00_12329 = 
PROCEDURE_REF(BgL_envz00_12327, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 539 */
obj_t BgL_bpz00_14618;
BgL_bpz00_14618 = 
VECTOR_REF(
((obj_t)BgL_sz00_12330),((long)0)); 
{ /* Eval/evaluate_comp.scm 540 */
obj_t BgL_hz00_14619;
BgL_hz00_14619 = 
PROCEDURE_ENTRY(BgL_handlerz00_12328)(BgL_handlerz00_12328, BgL_sz00_12330, BEOA); 
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_za2za2resza2za2z00_14620;
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_res1127z00_14621;
BgL_res1127z00_14621 = 
MAKE_CELL(BUNSPEC); 
if(
CBOOL(
BGl_zc3exitza33034ze3ze70z64zz__evaluate_compz00(BgL_sz00_12330, BgL_bodyz00_12329, BgL_res1127z00_14621)))
{ /* Eval/evaluate_comp.scm 542 */
BgL_za2za2resza2za2z00_14620 = 
PROCEDURE_ENTRY(BgL_hz00_14619)(BgL_hz00_14619, 
CELL_REF(BgL_res1127z00_14621), BEOA); }  else 
{ /* Eval/evaluate_comp.scm 542 */
BgL_za2za2resza2za2z00_14620 = 
CELL_REF(BgL_res1127z00_14621); } } 
VECTOR_SET(
((obj_t)BgL_sz00_12330),((long)0),BgL_bpz00_14618); 
return BgL_za2za2resza2za2z00_14620;} } } } } 
BGL_FUNCTION_END;
}



/* <exit:3034>~0 */
obj_t BGl_zc3exitza33034ze3ze70z64zz__evaluate_compz00(obj_t BgL_sz00_12518, obj_t BgL_bodyz00_12517, obj_t BgL_res1127z00_12516)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 542 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1133z00_4186;
if( SET_EXIT(BgL_an_exit1133z00_4186) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1133z00_4186 = 
(void *)jmpbuf; 
{ /* Eval/evaluate_comp.scm 542 */

PUSH_EXIT(BgL_an_exit1133z00_4186, ((long)1)); 
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_an_exitd1134z00_4187;
BgL_an_exitd1134z00_4187 = 
((obj_t)(&exitd)); 
{ /* Eval/evaluate_comp.scm 542 */
bool_t BgL_res1136z00_4190;
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_ohs1125z00_4191;
BgL_ohs1125z00_4191 = 
BGL_ERROR_HANDLER_GET(); 
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_exitd1130z00_4192;
BgL_exitd1130z00_4192 = 
((obj_t)(&exitd)); 
{ 
obj_t BgL_zc3anonymousza33038ze3z83_11298;
BgL_zc3anonymousza33038ze3z83_11298 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33038ze3ze1zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza33038ze3z83_11298, 
(int)(((long)0)), BgL_ohs1125z00_4191); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1130z00_4192, BgL_zc3anonymousza33038ze3z83_11298); 
{ /* Eval/evaluate_comp.scm 542 */
bool_t BgL_tmp1132z00_4194;
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_arg3035z00_4195;
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_zc3anonymousza33037ze3z83_11297;
BgL_zc3anonymousza33037ze3z83_11297 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33037ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza33037ze3z83_11297, 
(int)(((long)0)), 
((obj_t)BgL_res1127z00_12516)); 
PROCEDURE_SET(BgL_zc3anonymousza33037ze3z83_11297, 
(int)(((long)1)), BgL_an_exitd1134z00_4187); 
BgL_arg3035z00_4195 = 
MAKE_YOUNG_PAIR(BgL_zc3anonymousza33037ze3z83_11297, BgL_ohs1125z00_4191); } 
BGL_ERROR_HANDLER_SET(BgL_arg3035z00_4195); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_auxz00_12332;
BgL_auxz00_12332 = 
PROCEDURE_ENTRY(BgL_bodyz00_12517)(BgL_bodyz00_12517, BgL_sz00_12518, BEOA); 
CELL_SET(BgL_res1127z00_12516, BgL_auxz00_12332); } 
BgL_tmp1132z00_4194 = ((bool_t)0); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1130z00_4192); 
BGl_z62zc3anonymousza33038ze3ze1zz__evaluate_compz00(BgL_zc3anonymousza33038ze3z83_11298); 
BgL_res1136z00_4190 = BgL_tmp1132z00_4194; } } } } 
POP_EXIT(); 
return 
BBOOL(BgL_res1136z00_4190);} } } 
} } 
BGL_FUNCTION_END;
}



/* &<anonymous:3037> */
obj_t BGl_z62zc3anonymousza33037ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12334, obj_t BgL_ez00_12337)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 542 */
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_res1127z00_12335;obj_t BgL_an_exitd1134z00_12336;
BgL_res1127z00_12335 = 
PROCEDURE_REF(BgL_envz00_12334, 
(int)(((long)0))); 
BgL_an_exitd1134z00_12336 = 
PROCEDURE_REF(BgL_envz00_12334, 
(int)(((long)1))); 
CELL_SET(BgL_res1127z00_12335, BgL_ez00_12337); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1134z00_12336, BTRUE);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:3038> */
obj_t BGl_z62zc3anonymousza33038ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12339)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 542 */
{ 
obj_t BgL_ohs1125z00_12340;
BgL_ohs1125z00_12340 = 
PROCEDURE_REF(BgL_envz00_12339, 
(int)(((long)0))); 
BGL_ERROR_HANDLER_SET(BgL_ohs1125z00_12340); 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* &comp-ev_unwind-prote1415 */
obj_t BGl_z62compzd2ev_unwindzd2prote1415z62zz__evaluate_compz00(obj_t BgL_envz00_12341, obj_t BgL_ez00_12342, obj_t BgL_stkz00_12343)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 527 */
{ /* Eval/evaluate_comp.scm 529 */
obj_t BgL_ez00_14623;obj_t BgL_bodyz00_14624;
BgL_ez00_14623 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_12342)))->BgL_ez00), BgL_stkz00_12343); 
BgL_bodyz00_14624 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_12342)))->BgL_bodyz00), BgL_stkz00_12343); 
{ /* Eval/evaluate_comp.scm 530 */
obj_t BgL_zc3anonymousza33023ze3z83_14625;
BgL_zc3anonymousza33023ze3z83_14625 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33023ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza33023ze3z83_14625, 
(int)(((long)0)), BgL_bodyz00_14624); 
PROCEDURE_SET(BgL_zc3anonymousza33023ze3z83_14625, 
(int)(((long)1)), BgL_ez00_14623); 
return BgL_zc3anonymousza33023ze3z83_14625;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3023> */
obj_t BGl_z62zc3anonymousza33023ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12344, obj_t BgL_sz00_12347)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 530 */
{ /* Eval/evaluate_comp.scm 530 */
obj_t BgL_bodyz00_12345;obj_t BgL_ez00_12346;
BgL_bodyz00_12345 = 
PROCEDURE_REF(BgL_envz00_12344, 
(int)(((long)0))); 
BgL_ez00_12346 = 
PROCEDURE_REF(BgL_envz00_12344, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 530 */
obj_t BgL_bpz00_14626;
BgL_bpz00_14626 = 
VECTOR_REF(
((obj_t)BgL_sz00_12347),((long)0)); 
{ /* Eval/evaluate_comp.scm 532 */
obj_t BgL_exitd1121z00_14627;
BgL_exitd1121z00_14627 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 533 */
obj_t BgL_zc3anonymousza33024ze3z83_14628;
BgL_zc3anonymousza33024ze3z83_14628 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33024ze3ze1zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33024ze3z83_14628, 
(int)(((long)0)), BgL_sz00_12347); 
PROCEDURE_SET(BgL_zc3anonymousza33024ze3z83_14628, 
(int)(((long)1)), BgL_bpz00_14626); 
PROCEDURE_SET(BgL_zc3anonymousza33024ze3z83_14628, 
(int)(((long)2)), BgL_bodyz00_12345); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1121z00_14627, BgL_zc3anonymousza33024ze3z83_14628); 
{ /* Eval/evaluate_comp.scm 532 */
obj_t BgL_tmp1123z00_14629;
BgL_tmp1123z00_14629 = 
PROCEDURE_ENTRY(BgL_ez00_12346)(BgL_ez00_12346, BgL_sz00_12347, BEOA); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1121z00_14627); 
BGl_z62zc3anonymousza33024ze3ze1zz__evaluate_compz00(BgL_zc3anonymousza33024ze3z83_14628); 
return BgL_tmp1123z00_14629;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3024> */
obj_t BGl_z62zc3anonymousza33024ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12348)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 532 */
{ /* Eval/evaluate_comp.scm 533 */
obj_t BgL_sz00_12349;obj_t BgL_savedzd2bpzd2_12350;obj_t BgL_bodyz00_12351;
BgL_sz00_12349 = 
PROCEDURE_REF(BgL_envz00_12348, 
(int)(((long)0))); 
BgL_savedzd2bpzd2_12350 = 
PROCEDURE_REF(BgL_envz00_12348, 
(int)(((long)1))); 
BgL_bodyz00_12351 = 
PROCEDURE_REF(BgL_envz00_12348, 
(int)(((long)2))); 
VECTOR_SET(
((obj_t)BgL_sz00_12349),((long)0),BgL_savedzd2bpzd2_12350); 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12351)(BgL_bodyz00_12351, BgL_sz00_12349, BEOA);} } 
BGL_FUNCTION_END;
}



/* &comp-ev_bind-exit1413 */
obj_t BGl_z62compzd2ev_bindzd2exit1413z62zz__evaluate_compz00(obj_t BgL_envz00_12352, obj_t BgL_ez00_12353, obj_t BgL_stkz00_12354)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 516 */
{ /* Eval/evaluate_comp.scm 518 */
long BgL_siza7eza7_14631;obj_t BgL_nstkz00_14632;
BgL_siza7eza7_14631 = 
bgl_list_length(BgL_stkz00_12354); 
{ /* Eval/evaluate_comp.scm 518 */
obj_t BgL_arg3021z00_14633;
{ /* Eval/evaluate_comp.scm 518 */
BgL_ev_varz00_bglt BgL_arg3022z00_14634;
BgL_arg3022z00_14634 = 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12353)))->BgL_varz00); 
BgL_arg3021z00_14633 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg3022z00_14634), BNIL); } 
BgL_nstkz00_14632 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_12354, BgL_arg3021z00_14633); } 
{ /* Eval/evaluate_comp.scm 519 */
obj_t BgL_bodyz00_14635;obj_t BgL_effzf3zf3_14636;
BgL_bodyz00_14635 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12353)))->BgL_bodyz00), BgL_nstkz00_14632); 
BgL_effzf3zf3_14636 = 
(((BgL_ev_varz00_bglt)COBJECT(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12353)))->BgL_varz00)))->BgL_effz00); 
{ /* Eval/evaluate_comp.scm 520 */
obj_t BgL_zc3anonymousza33016ze3z83_14637;
BgL_zc3anonymousza33016ze3z83_14637 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33016ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33016ze3z83_14637, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14631)); 
PROCEDURE_SET(BgL_zc3anonymousza33016ze3z83_14637, 
(int)(((long)1)), BgL_effzf3zf3_14636); 
PROCEDURE_SET(BgL_zc3anonymousza33016ze3z83_14637, 
(int)(((long)2)), BgL_bodyz00_14635); 
return BgL_zc3anonymousza33016ze3z83_14637;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3016> */
obj_t BGl_z62zc3anonymousza33016ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12355, obj_t BgL_sz00_12359)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 520 */
{ /* Eval/evaluate_comp.scm 520 */
long BgL_siza7eza7_12356;obj_t BgL_effzf3zf3_12357;obj_t BgL_bodyz00_12358;
BgL_siza7eza7_12356 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12355, 
(int)(((long)0)))); 
BgL_effzf3zf3_12357 = 
PROCEDURE_REF(BgL_envz00_12355, 
(int)(((long)1))); 
BgL_bodyz00_12358 = 
PROCEDURE_REF(BgL_envz00_12355, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 520 */
obj_t BgL_bpz00_14638;
BgL_bpz00_14638 = 
VECTOR_REF(
((obj_t)BgL_sz00_12359),((long)0)); 
{ /* Eval/evaluate_comp.scm 522 */
obj_t BgL_za2za2resza2za2z00_14639;
BgL_za2za2resza2za2z00_14639 = 
BGl_zc3exitza33017ze3ze70z64zz__evaluate_compz00(BgL_bodyz00_12358, BgL_sz00_12359, BgL_effzf3zf3_12357, BgL_siza7eza7_12356, BgL_bpz00_14638); 
VECTOR_SET(
((obj_t)BgL_sz00_12359),((long)0),BgL_bpz00_14638); 
return BgL_za2za2resza2za2z00_14639;} } } } 
BGL_FUNCTION_END;
}



/* <exit:3017>~0 */
obj_t BGl_zc3exitza33017ze3ze70z64zz__evaluate_compz00(obj_t BgL_bodyz00_12515, obj_t BgL_sz00_12514, obj_t BgL_effzf3zf3_12513, long BgL_siza7eza7_12512, obj_t BgL_bpz00_12511)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 522 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1116z00_4121;
if( SET_EXIT(BgL_an_exit1116z00_4121) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1116z00_4121 = 
(void *)jmpbuf; 
{ /* Eval/evaluate_comp.scm 522 */

PUSH_EXIT(BgL_an_exit1116z00_4121, ((long)1)); 
{ /* Eval/evaluate_comp.scm 522 */
obj_t BgL_an_exitd1117z00_4122;
BgL_an_exitd1117z00_4122 = 
((obj_t)(&exitd)); 
{ /* Eval/evaluate_comp.scm 522 */
obj_t BgL_exitz00_11304;
BgL_exitz00_11304 = 
MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_exitz00_11304, 
(int)(((long)0)), BgL_an_exitd1117z00_4122); 
{ /* Eval/evaluate_comp.scm 522 */
obj_t BgL_res1119z00_4125;
{ /* Eval/evaluate_comp.scm 523 */
long BgL_arg3018z00_4126;obj_t BgL_arg3019z00_4127;
BgL_arg3018z00_4126 = 
(
(long)CINT(BgL_bpz00_12511)+BgL_siza7eza7_12512); 
if(
CBOOL(BgL_effzf3zf3_12513))
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_8835;
BgL_newz00_8835 = 
create_struct(BGl_symbol5171z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28489;
BgL_tmpz00_28489 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_8835, BgL_tmpz00_28489, BgL_exitz00_11304); } 
BgL_arg3019z00_4127 = BgL_newz00_8835; }  else 
{ /* Eval/evaluate_comp.scm 523 */
BgL_arg3019z00_4127 = BgL_exitz00_11304; } 
VECTOR_SET(
((obj_t)BgL_sz00_12514),BgL_arg3018z00_4126,BgL_arg3019z00_4127); } 
BgL_res1119z00_4125 = 
PROCEDURE_ENTRY(BgL_bodyz00_12515)(BgL_bodyz00_12515, BgL_sz00_12514, BEOA); 
POP_EXIT(); 
return BgL_res1119z00_4125;} } } } 
} } 
BGL_FUNCTION_END;
}



/* &exit */
obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_12360, obj_t BgL_val1118z00_12362)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 522 */
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(
PROCEDURE_REF(BgL_envz00_12360, 
(int)(((long)0))), BgL_val1118z00_12362);} 
BGL_FUNCTION_END;
}



/* &comp-ev_letrec1411 */
obj_t BGl_z62compzd2ev_letrec1411zb0zz__evaluate_compz00(obj_t BgL_envz00_12363, obj_t BgL_ez00_12364, obj_t BgL_stkz00_12365)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 487 */
{ /* Eval/evaluate_comp.scm 489 */
long BgL_siza7eza7_14641;obj_t BgL_nstkz00_14642;
BgL_siza7eza7_14641 = 
bgl_list_length(BgL_stkz00_12365); 
{ /* Eval/evaluate_comp.scm 489 */
obj_t BgL_arg3015z00_14643;
BgL_arg3015z00_14643 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12364))))->BgL_varsz00); 
BgL_nstkz00_14642 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_12365, BgL_arg3015z00_14643); } 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_cvalsz00_14644;obj_t BgL_bodyz00_14645;
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_l1311z00_14646;
BgL_l1311z00_14646 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12364))))->BgL_valsz00); 
if(
NULLP(BgL_l1311z00_14646))
{ /* Eval/evaluate_comp.scm 490 */
BgL_cvalsz00_14644 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_head1313z00_14647;
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_res4672z00_14648;
BgL_res4672z00_14648 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1313z00_14647 = BgL_res4672z00_14648; } 
{ 
obj_t BgL_l1311z00_14650;obj_t BgL_tail1314z00_14651;
BgL_l1311z00_14650 = BgL_l1311z00_14646; 
BgL_tail1314z00_14651 = BgL_head1313z00_14647; 
BgL_zc3anonymousza33010ze3z83_14649:
if(
NULLP(BgL_l1311z00_14650))
{ /* Eval/evaluate_comp.scm 490 */
BgL_cvalsz00_14644 = 
CDR(BgL_head1313z00_14647); }  else 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_newtail1315z00_14652;
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_arg3013z00_14653;
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_vz00_14654;
BgL_vz00_14654 = 
CAR(
((obj_t)BgL_l1311z00_14650)); 
BgL_arg3013z00_14653 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_vz00_14654), BgL_nstkz00_14642); } 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_res4674z00_14655;
BgL_res4674z00_14655 = 
MAKE_YOUNG_PAIR(BgL_arg3013z00_14653, BNIL); 
BgL_newtail1315z00_14652 = BgL_res4674z00_14655; } } 
SET_CDR(BgL_tail1314z00_14651, BgL_newtail1315z00_14652); 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_arg3012z00_14656;
BgL_arg3012z00_14656 = 
CDR(
((obj_t)BgL_l1311z00_14650)); 
{ 
obj_t BgL_tail1314z00_28525;obj_t BgL_l1311z00_28524;
BgL_l1311z00_28524 = BgL_arg3012z00_14656; 
BgL_tail1314z00_28525 = BgL_newtail1315z00_14652; 
BgL_tail1314z00_14651 = BgL_tail1314z00_28525; 
BgL_l1311z00_14650 = BgL_l1311z00_28524; 
goto BgL_zc3anonymousza33010ze3z83_14649;} } } } } } 
{ /* Eval/evaluate_comp.scm 491 */
BgL_ev_exprz00_bglt BgL_arg3014z00_14657;
BgL_arg3014z00_14657 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12364))))->BgL_bodyz00); 
BgL_bodyz00_14645 = 
BGl_compz00zz__evaluate_compz00(BgL_arg3014z00_14657, BgL_nstkz00_14642); } 
{ /* Eval/evaluate_comp.scm 492 */
bool_t BgL_testz00_28530;
{ 
obj_t BgL_l1316z00_14659;
BgL_l1316z00_14659 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12364))))->BgL_valsz00); 
BgL_zc3anonymousza33007ze3z83_14658:
if(
NULLP(BgL_l1316z00_14659))
{ /* Eval/evaluate_comp.scm 492 */
BgL_testz00_28530 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 492 */
bool_t BgL_testz00_28533;
{ /* Eval/evaluate_comp.scm 492 */
obj_t BgL_vz00_14660;
BgL_vz00_14660 = 
CAR(
((obj_t)BgL_l1316z00_14659)); 
BgL_testz00_28533 = 
BGl_isazf3zf3zz__objectz00(BgL_vz00_14660, BGl_ev_absz00zz__evaluate_typesz00); } 
if(BgL_testz00_28533)
{ 
obj_t BgL_l1316z00_28537;
BgL_l1316z00_28537 = 
CDR(
((obj_t)BgL_l1316z00_14659)); 
BgL_l1316z00_14659 = BgL_l1316z00_28537; 
goto BgL_zc3anonymousza33007ze3z83_14658;}  else 
{ /* Eval/evaluate_comp.scm 492 */
BgL_testz00_28530 = ((bool_t)0)
; } } } 
if(BgL_testz00_28530)
{ /* Eval/evaluate_comp.scm 493 */
obj_t BgL_zc3anonymousza32977ze3z83_14661;
BgL_zc3anonymousza32977ze3z83_14661 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32977ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32977ze3z83_14661, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14641)); 
PROCEDURE_SET(BgL_zc3anonymousza32977ze3z83_14661, 
(int)(((long)1)), BgL_cvalsz00_14644); 
PROCEDURE_SET(BgL_zc3anonymousza32977ze3z83_14661, 
(int)(((long)2)), BgL_bodyz00_14645); 
return BgL_zc3anonymousza32977ze3z83_14661;}  else 
{ /* Eval/evaluate_comp.scm 503 */
obj_t BgL_zc3anonymousza32990ze3z83_14662;
BgL_zc3anonymousza32990ze3z83_14662 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32990ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32990ze3z83_14662, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14641)); 
PROCEDURE_SET(BgL_zc3anonymousza32990ze3z83_14662, 
(int)(((long)1)), BgL_cvalsz00_14644); 
PROCEDURE_SET(BgL_zc3anonymousza32990ze3z83_14662, 
(int)(((long)2)), BgL_bodyz00_14645); 
return BgL_zc3anonymousza32990ze3z83_14662;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2977> */
obj_t BGl_z62zc3anonymousza32977ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12366, obj_t BgL_sz00_12370)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 493 */
{ /* Eval/evaluate_comp.scm 493 */
long BgL_siza7eza7_12367;obj_t BgL_cvalsz00_12368;obj_t BgL_bodyz00_12369;
BgL_siza7eza7_12367 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12366, 
(int)(((long)0)))); 
BgL_cvalsz00_12368 = 
PROCEDURE_REF(BgL_envz00_12366, 
(int)(((long)1))); 
BgL_bodyz00_12369 = 
PROCEDURE_REF(BgL_envz00_12366, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 493 */
obj_t BgL_bpz00_14663;
BgL_bpz00_14663 = 
VECTOR_REF(
((obj_t)BgL_sz00_12370),((long)0)); 
{ /* Eval/evaluate_comp.scm 494 */
long BgL_g1110z00_14664;
BgL_g1110z00_14664 = 
(
(long)CINT(BgL_bpz00_14663)+BgL_siza7eza7_12367); 
{ 
obj_t BgL_lz00_14666;long BgL_iz00_14667;
BgL_lz00_14666 = BgL_cvalsz00_12368; 
BgL_iz00_14667 = BgL_g1110z00_14664; 
BgL_recz00_14665:
if(
NULLP(BgL_lz00_14666))
{ /* Eval/evaluate_comp.scm 495 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 495 */
{ /* Eval/evaluate_comp.scm 496 */
obj_t BgL_arg2980z00_14668;
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_14669;
BgL_newz00_14669 = 
create_struct(BGl_symbol5171z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28578;
BgL_tmpz00_28578 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14669, BgL_tmpz00_28578, BUNSPEC); } 
BgL_arg2980z00_14668 = BgL_newz00_14669; } 
VECTOR_SET(
((obj_t)BgL_sz00_12370),BgL_iz00_14667,BgL_arg2980z00_14668); } 
{ /* Eval/evaluate_comp.scm 497 */
obj_t BgL_arg2981z00_14670;long BgL_arg2982z00_14671;
BgL_arg2981z00_14670 = 
CDR(
((obj_t)BgL_lz00_14666)); 
BgL_arg2982z00_14671 = 
(BgL_iz00_14667+((long)1)); 
{ 
long BgL_iz00_28587;obj_t BgL_lz00_28586;
BgL_lz00_28586 = BgL_arg2981z00_14670; 
BgL_iz00_28587 = BgL_arg2982z00_14671; 
BgL_iz00_14667 = BgL_iz00_28587; 
BgL_lz00_14666 = BgL_lz00_28586; 
goto BgL_recz00_14665;} } } } } 
{ /* Eval/evaluate_comp.scm 498 */
long BgL_g1111z00_14672;
BgL_g1111z00_14672 = 
(
(long)CINT(BgL_bpz00_14663)+BgL_siza7eza7_12367); 
{ 
obj_t BgL_lz00_14674;long BgL_iz00_14675;
BgL_lz00_14674 = BgL_cvalsz00_12368; 
BgL_iz00_14675 = BgL_g1111z00_14672; 
BgL_recz00_14673:
if(
NULLP(BgL_lz00_14674))
{ /* Eval/evaluate_comp.scm 499 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 499 */
{ /* Eval/evaluate_comp.scm 500 */
obj_t BgL_arg2985z00_14676;obj_t BgL_arg2986z00_14677;
BgL_arg2985z00_14676 = 
VECTOR_REF(
((obj_t)BgL_sz00_12370),BgL_iz00_14675); 
{ /* Eval/evaluate_comp.scm 500 */
obj_t BgL_fun2987z00_14678;
BgL_fun2987z00_14678 = 
CAR(
((obj_t)BgL_lz00_14674)); 
BgL_arg2986z00_14677 = 
PROCEDURE_ENTRY(BgL_fun2987z00_14678)(BgL_fun2987z00_14678, BgL_sz00_12370, BEOA); } 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_auxz00_28602;obj_t BgL_tmpz00_28600;
BgL_auxz00_28602 = 
(int)(((long)0)); 
BgL_tmpz00_28600 = 
((obj_t)BgL_arg2985z00_14676); 
STRUCT_SET(BgL_tmpz00_28600, BgL_auxz00_28602, BgL_arg2986z00_14677); } } 
{ /* Eval/evaluate_comp.scm 501 */
obj_t BgL_arg2988z00_14679;long BgL_arg2989z00_14680;
BgL_arg2988z00_14679 = 
CDR(
((obj_t)BgL_lz00_14674)); 
BgL_arg2989z00_14680 = 
(BgL_iz00_14675+((long)1)); 
{ 
long BgL_iz00_28609;obj_t BgL_lz00_28608;
BgL_lz00_28608 = BgL_arg2988z00_14679; 
BgL_iz00_28609 = BgL_arg2989z00_14680; 
BgL_iz00_14675 = BgL_iz00_28609; 
BgL_lz00_14674 = BgL_lz00_28608; 
goto BgL_recz00_14673;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12369)(BgL_bodyz00_12369, BgL_sz00_12370, BEOA);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2990> */
obj_t BGl_z62zc3anonymousza32990ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12371, obj_t BgL_sz00_12375)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 503 */
{ /* Eval/evaluate_comp.scm 503 */
long BgL_siza7eza7_12372;obj_t BgL_cvalsz00_12373;obj_t BgL_bodyz00_12374;
BgL_siza7eza7_12372 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12371, 
(int)(((long)0)))); 
BgL_cvalsz00_12373 = 
PROCEDURE_REF(BgL_envz00_12371, 
(int)(((long)1))); 
BgL_bodyz00_12374 = 
PROCEDURE_REF(BgL_envz00_12371, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 503 */
obj_t BgL_bpz00_14681;
BgL_bpz00_14681 = 
VECTOR_REF(
((obj_t)BgL_sz00_12375),((long)0)); 
{ /* Eval/evaluate_comp.scm 504 */
long BgL_g1112z00_14682;
BgL_g1112z00_14682 = 
(
(long)CINT(BgL_bpz00_14681)+BgL_siza7eza7_12372); 
{ 
obj_t BgL_lz00_14684;long BgL_iz00_14685;
BgL_lz00_14684 = BgL_cvalsz00_12373; 
BgL_iz00_14685 = BgL_g1112z00_14682; 
BgL_recz00_14683:
if(
NULLP(BgL_lz00_14684))
{ /* Eval/evaluate_comp.scm 505 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 505 */
{ /* Eval/evaluate_comp.scm 506 */
obj_t BgL_arg2993z00_14686;
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_14687;
BgL_newz00_14687 = 
create_struct(BGl_symbol5171z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28629;
BgL_tmpz00_28629 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14687, BgL_tmpz00_28629, BUNSPEC); } 
BgL_arg2993z00_14686 = BgL_newz00_14687; } 
VECTOR_SET(
((obj_t)BgL_sz00_12375),BgL_iz00_14685,BgL_arg2993z00_14686); } 
{ /* Eval/evaluate_comp.scm 507 */
obj_t BgL_arg2994z00_14688;long BgL_arg2995z00_14689;
BgL_arg2994z00_14688 = 
CDR(
((obj_t)BgL_lz00_14684)); 
BgL_arg2995z00_14689 = 
(BgL_iz00_14685+((long)1)); 
{ 
long BgL_iz00_28638;obj_t BgL_lz00_28637;
BgL_lz00_28637 = BgL_arg2994z00_14688; 
BgL_iz00_28638 = BgL_arg2995z00_14689; 
BgL_iz00_14685 = BgL_iz00_28638; 
BgL_lz00_14684 = BgL_lz00_28637; 
goto BgL_recz00_14683;} } } } } 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_rvalsz00_14690;
if(
NULLP(BgL_cvalsz00_12373))
{ /* Eval/evaluate_comp.scm 508 */
BgL_rvalsz00_14690 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_head1322z00_14691;
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_res4686z00_14692;
BgL_res4686z00_14692 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1322z00_14691 = BgL_res4686z00_14692; } 
{ 
obj_t BgL_l1320z00_14694;obj_t BgL_tail1323z00_14695;
BgL_l1320z00_14694 = BgL_cvalsz00_12373; 
BgL_tail1323z00_14695 = BgL_head1322z00_14691; 
BgL_zc3anonymousza33003ze3z83_14693:
if(
NULLP(BgL_l1320z00_14694))
{ /* Eval/evaluate_comp.scm 508 */
BgL_rvalsz00_14690 = 
CDR(BgL_head1322z00_14691); }  else 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_newtail1324z00_14696;
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_arg3006z00_14697;
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_vz00_14698;
BgL_vz00_14698 = 
CAR(
((obj_t)BgL_l1320z00_14694)); 
BgL_arg3006z00_14697 = 
PROCEDURE_ENTRY(BgL_vz00_14698)(BgL_vz00_14698, BgL_sz00_12375, BEOA); } 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_res4688z00_14699;
BgL_res4688z00_14699 = 
MAKE_YOUNG_PAIR(BgL_arg3006z00_14697, BNIL); 
BgL_newtail1324z00_14696 = BgL_res4688z00_14699; } } 
SET_CDR(BgL_tail1323z00_14695, BgL_newtail1324z00_14696); 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_arg3005z00_14700;
BgL_arg3005z00_14700 = 
CDR(
((obj_t)BgL_l1320z00_14694)); 
{ 
obj_t BgL_tail1323z00_28656;obj_t BgL_l1320z00_28655;
BgL_l1320z00_28655 = BgL_arg3005z00_14700; 
BgL_tail1323z00_28656 = BgL_newtail1324z00_14696; 
BgL_tail1323z00_14695 = BgL_tail1323z00_28656; 
BgL_l1320z00_14694 = BgL_l1320z00_28655; 
goto BgL_zc3anonymousza33003ze3z83_14693;} } } } } 
{ /* Eval/evaluate_comp.scm 509 */
long BgL_g1113z00_14701;
BgL_g1113z00_14701 = 
(
(long)CINT(BgL_bpz00_14681)+BgL_siza7eza7_12372); 
{ 
obj_t BgL_lz00_14703;long BgL_iz00_14704;
BgL_lz00_14703 = BgL_rvalsz00_14690; 
BgL_iz00_14704 = BgL_g1113z00_14701; 
BgL_recz00_14702:
if(
NULLP(BgL_lz00_14703))
{ /* Eval/evaluate_comp.scm 510 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 510 */
{ /* Eval/evaluate_comp.scm 511 */
obj_t BgL_arg2998z00_14705;obj_t BgL_arg2999z00_14706;
BgL_arg2998z00_14705 = 
VECTOR_REF(
((obj_t)BgL_sz00_12375),BgL_iz00_14704); 
BgL_arg2999z00_14706 = 
CAR(
((obj_t)BgL_lz00_14703)); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_auxz00_28667;obj_t BgL_tmpz00_28665;
BgL_auxz00_28667 = 
(int)(((long)0)); 
BgL_tmpz00_28665 = 
((obj_t)BgL_arg2998z00_14705); 
STRUCT_SET(BgL_tmpz00_28665, BgL_auxz00_28667, BgL_arg2999z00_14706); } } 
{ /* Eval/evaluate_comp.scm 512 */
obj_t BgL_arg3000z00_14707;long BgL_arg3001z00_14708;
BgL_arg3000z00_14707 = 
CDR(
((obj_t)BgL_lz00_14703)); 
BgL_arg3001z00_14708 = 
(BgL_iz00_14704+((long)1)); 
{ 
long BgL_iz00_28674;obj_t BgL_lz00_28673;
BgL_lz00_28673 = BgL_arg3000z00_14707; 
BgL_iz00_28674 = BgL_arg3001z00_14708; 
BgL_iz00_14704 = BgL_iz00_28674; 
BgL_lz00_14703 = BgL_lz00_28673; 
goto BgL_recz00_14702;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12374)(BgL_bodyz00_12374, BgL_sz00_12375, BEOA);} } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_let*1409 */
obj_t BGl_z62compzd2ev_letza21409z12zz__evaluate_compz00(obj_t BgL_envz00_12376, obj_t BgL_ez00_12377, obj_t BgL_stkz00_12378)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 474 */
{ /* Eval/evaluate_comp.scm 476 */
long BgL_siza7eza7_14710;obj_t BgL_nstkz00_14711;
BgL_siza7eza7_14710 = 
bgl_list_length(BgL_stkz00_12378); 
{ /* Eval/evaluate_comp.scm 476 */
obj_t BgL_arg2972z00_14712;
BgL_arg2972z00_14712 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12377))))->BgL_varsz00); 
BgL_nstkz00_14711 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_12378, BgL_arg2972z00_14712); } 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_valsz00_14713;obj_t BgL_bodyz00_14714;
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_l1306z00_14715;
BgL_l1306z00_14715 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12377))))->BgL_valsz00); 
if(
NULLP(BgL_l1306z00_14715))
{ /* Eval/evaluate_comp.scm 477 */
BgL_valsz00_14713 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_head1308z00_14716;
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_res4665z00_14717;
BgL_res4665z00_14717 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1308z00_14716 = BgL_res4665z00_14717; } 
{ 
obj_t BgL_l1306z00_14719;obj_t BgL_tail1309z00_14720;
BgL_l1306z00_14719 = BgL_l1306z00_14715; 
BgL_tail1309z00_14720 = BgL_head1308z00_14716; 
BgL_zc3anonymousza32967ze3z83_14718:
if(
NULLP(BgL_l1306z00_14719))
{ /* Eval/evaluate_comp.scm 477 */
BgL_valsz00_14713 = 
CDR(BgL_head1308z00_14716); }  else 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_newtail1310z00_14721;
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_arg2970z00_14722;
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_vz00_14723;
BgL_vz00_14723 = 
CAR(
((obj_t)BgL_l1306z00_14719)); 
BgL_arg2970z00_14722 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_vz00_14723), BgL_nstkz00_14711); } 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_res4667z00_14724;
BgL_res4667z00_14724 = 
MAKE_YOUNG_PAIR(BgL_arg2970z00_14722, BNIL); 
BgL_newtail1310z00_14721 = BgL_res4667z00_14724; } } 
SET_CDR(BgL_tail1309z00_14720, BgL_newtail1310z00_14721); 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_arg2969z00_14725;
BgL_arg2969z00_14725 = 
CDR(
((obj_t)BgL_l1306z00_14719)); 
{ 
obj_t BgL_tail1309z00_28702;obj_t BgL_l1306z00_28701;
BgL_l1306z00_28701 = BgL_arg2969z00_14725; 
BgL_tail1309z00_28702 = BgL_newtail1310z00_14721; 
BgL_tail1309z00_14720 = BgL_tail1309z00_28702; 
BgL_l1306z00_14719 = BgL_l1306z00_28701; 
goto BgL_zc3anonymousza32967ze3z83_14718;} } } } } } 
{ /* Eval/evaluate_comp.scm 478 */
BgL_ev_exprz00_bglt BgL_arg2971z00_14726;
BgL_arg2971z00_14726 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12377))))->BgL_bodyz00); 
BgL_bodyz00_14714 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2971z00_14726, BgL_nstkz00_14711); } 
{ /* Eval/evaluate_comp.scm 479 */
obj_t BgL_zc3anonymousza32956ze3z83_14727;
BgL_zc3anonymousza32956ze3z83_14727 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32956ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza32956ze3z83_14727, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14710)); 
PROCEDURE_SET(BgL_zc3anonymousza32956ze3z83_14727, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_letza2za2_bglt)BgL_ez00_12377))); 
PROCEDURE_SET(BgL_zc3anonymousza32956ze3z83_14727, 
(int)(((long)2)), BgL_valsz00_14713); 
PROCEDURE_SET(BgL_zc3anonymousza32956ze3z83_14727, 
(int)(((long)3)), BgL_bodyz00_14714); 
return BgL_zc3anonymousza32956ze3z83_14727;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2956> */
obj_t BGl_z62zc3anonymousza32956ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12379, obj_t BgL_sz00_12384)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 479 */
{ /* Eval/evaluate_comp.scm 479 */
long BgL_siza7eza7_12380;BgL_ev_letza2za2_bglt BgL_i1107z00_12381;obj_t BgL_valsz00_12382;obj_t BgL_bodyz00_12383;
BgL_siza7eza7_12380 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12379, 
(int)(((long)0)))); 
BgL_i1107z00_12381 = 
((BgL_ev_letza2za2_bglt)
PROCEDURE_REF(BgL_envz00_12379, 
(int)(((long)1)))); 
BgL_valsz00_12382 = 
PROCEDURE_REF(BgL_envz00_12379, 
(int)(((long)2))); 
BgL_bodyz00_12383 = 
PROCEDURE_REF(BgL_envz00_12379, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 479 */
obj_t BgL_bpz00_14728;
BgL_bpz00_14728 = 
VECTOR_REF(
((obj_t)BgL_sz00_12384),((long)0)); 
{ /* Eval/evaluate_comp.scm 480 */
long BgL_g1108z00_14729;
BgL_g1108z00_14729 = 
(
(long)CINT(BgL_bpz00_14728)+BgL_siza7eza7_12380); 
{ 
obj_t BgL_lz00_14731;long BgL_iz00_14732;obj_t BgL_bza2za2_14733;
BgL_lz00_14731 = BgL_valsz00_12382; 
BgL_iz00_14732 = BgL_g1108z00_14729; 
BgL_bza2za2_14733 = 
(((BgL_ev_letza2za2_bglt)COBJECT(BgL_i1107z00_12381))->BgL_boxesz00); 
BgL_recz00_14730:
if(
NULLP(BgL_lz00_14731))
{ /* Eval/evaluate_comp.scm 481 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 481 */
{ /* Eval/evaluate_comp.scm 482 */
obj_t BgL_valz00_14734;
{ /* Eval/evaluate_comp.scm 482 */
obj_t BgL_fun2962z00_14735;
BgL_fun2962z00_14735 = 
CAR(
((obj_t)BgL_lz00_14731)); 
BgL_valz00_14734 = 
PROCEDURE_ENTRY(BgL_fun2962z00_14735)(BgL_fun2962z00_14735, BgL_sz00_12384, BEOA); } 
{ /* Eval/evaluate_comp.scm 483 */
obj_t BgL_arg2960z00_14736;
if(
CBOOL(
CAR(
((obj_t)BgL_bza2za2_14733))))
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_14737;
BgL_newz00_14737 = 
create_struct(BGl_symbol5171z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28749;
BgL_tmpz00_28749 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14737, BgL_tmpz00_28749, BgL_valz00_14734); } 
BgL_arg2960z00_14736 = BgL_newz00_14737; }  else 
{ /* Eval/evaluate_comp.scm 483 */
BgL_arg2960z00_14736 = BgL_valz00_14734; } 
VECTOR_SET(
((obj_t)BgL_sz00_12384),BgL_iz00_14732,BgL_arg2960z00_14736); } } 
{ /* Eval/evaluate_comp.scm 484 */
obj_t BgL_arg2963z00_14738;long BgL_arg2964z00_14739;obj_t BgL_arg2965z00_14740;
BgL_arg2963z00_14738 = 
CDR(
((obj_t)BgL_lz00_14731)); 
BgL_arg2964z00_14739 = 
(BgL_iz00_14732+((long)1)); 
BgL_arg2965z00_14740 = 
CDR(
((obj_t)BgL_bza2za2_14733)); 
{ 
obj_t BgL_bza2za2_28761;long BgL_iz00_28760;obj_t BgL_lz00_28759;
BgL_lz00_28759 = BgL_arg2963z00_14738; 
BgL_iz00_28760 = BgL_arg2964z00_14739; 
BgL_bza2za2_28761 = BgL_arg2965z00_14740; 
BgL_bza2za2_14733 = BgL_bza2za2_28761; 
BgL_iz00_14732 = BgL_iz00_28760; 
BgL_lz00_14731 = BgL_lz00_28759; 
goto BgL_recz00_14730;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12383)(BgL_bodyz00_12383, BgL_sz00_12384, BEOA);} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_let1407 */
obj_t BGl_z62compzd2ev_let1407zb0zz__evaluate_compz00(obj_t BgL_envz00_12385, obj_t BgL_ez00_12386, obj_t BgL_stkz00_12387)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 455 */
{ /* Eval/evaluate_comp.scm 457 */
long BgL_siza7eza7_14742;obj_t BgL_nstkz00_14743;
BgL_siza7eza7_14742 = 
bgl_list_length(BgL_stkz00_12387); 
{ /* Eval/evaluate_comp.scm 457 */
obj_t BgL_arg2955z00_14744;
BgL_arg2955z00_14744 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12386))))->BgL_varsz00); 
BgL_nstkz00_14743 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_12387, BgL_arg2955z00_14744); } 
{ /* Eval/evaluate_comp.scm 458 */
obj_t BgL_valsz00_14745;obj_t BgL_iboxesz00_14746;obj_t BgL_bodyz00_14747;
{ /* Eval/evaluate_comp.scm 459 */
obj_t BgL_arg2948z00_14748;
BgL_arg2948z00_14748 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12386))))->BgL_valsz00); 
BgL_valsz00_14745 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg2948z00_14748, BgL_stkz00_12387); } 
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_l1301z00_14749;
BgL_l1301z00_14749 = 
(((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_ez00_12386)))->BgL_boxesz00); 
if(
NULLP(BgL_l1301z00_14749))
{ /* Eval/evaluate_comp.scm 460 */
BgL_iboxesz00_14746 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_head1303z00_14750;
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_res4656z00_14751;
BgL_res4656z00_14751 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1303z00_14750 = BgL_res4656z00_14751; } 
{ 
obj_t BgL_l1301z00_14753;obj_t BgL_tail1304z00_14754;
BgL_l1301z00_14753 = BgL_l1301z00_14749; 
BgL_tail1304z00_14754 = BgL_head1303z00_14750; 
BgL_zc3anonymousza32950ze3z83_14752:
if(
NULLP(BgL_l1301z00_14753))
{ /* Eval/evaluate_comp.scm 460 */
BgL_iboxesz00_14746 = 
CDR(BgL_head1303z00_14750); }  else 
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_newtail1305z00_14755;
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_arg2953z00_14756;
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_vz00_14757;
BgL_vz00_14757 = 
CAR(
((obj_t)BgL_l1301z00_14753)); 
BgL_arg2953z00_14756 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_14757, BgL_nstkz00_14743); } 
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_res4658z00_14758;
BgL_res4658z00_14758 = 
MAKE_YOUNG_PAIR(BgL_arg2953z00_14756, BNIL); 
BgL_newtail1305z00_14755 = BgL_res4658z00_14758; } } 
SET_CDR(BgL_tail1304z00_14754, BgL_newtail1305z00_14755); 
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_arg2952z00_14759;
BgL_arg2952z00_14759 = 
CDR(
((obj_t)BgL_l1301z00_14753)); 
{ 
obj_t BgL_tail1304z00_28792;obj_t BgL_l1301z00_28791;
BgL_l1301z00_28791 = BgL_arg2952z00_14759; 
BgL_tail1304z00_28792 = BgL_newtail1305z00_14755; 
BgL_tail1304z00_14754 = BgL_tail1304z00_28792; 
BgL_l1301z00_14753 = BgL_l1301z00_28791; 
goto BgL_zc3anonymousza32950ze3z83_14752;} } } } } } 
{ /* Eval/evaluate_comp.scm 461 */
BgL_ev_exprz00_bglt BgL_arg2954z00_14760;
BgL_arg2954z00_14760 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12386))))->BgL_bodyz00); 
BgL_bodyz00_14747 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2954z00_14760, BgL_nstkz00_14743); } 
{ /* Eval/evaluate_comp.scm 462 */
obj_t BgL_zc3anonymousza32935ze3z83_14761;
BgL_zc3anonymousza32935ze3z83_14761 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza32935ze3z83_14761, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14742)); 
PROCEDURE_SET(BgL_zc3anonymousza32935ze3z83_14761, 
(int)(((long)1)), BgL_valsz00_14745); 
PROCEDURE_SET(BgL_zc3anonymousza32935ze3z83_14761, 
(int)(((long)2)), BgL_iboxesz00_14746); 
PROCEDURE_SET(BgL_zc3anonymousza32935ze3z83_14761, 
(int)(((long)3)), BgL_bodyz00_14747); 
return BgL_zc3anonymousza32935ze3z83_14761;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2935> */
obj_t BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12388, obj_t BgL_sz00_12393)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 462 */
{ /* Eval/evaluate_comp.scm 462 */
long BgL_siza7eza7_12389;obj_t BgL_valsz00_12390;obj_t BgL_iboxesz00_12391;obj_t BgL_bodyz00_12392;
BgL_siza7eza7_12389 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12388, 
(int)(((long)0)))); 
BgL_valsz00_12390 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12388, 
(int)(((long)1)))); 
BgL_iboxesz00_12391 = 
PROCEDURE_REF(BgL_envz00_12388, 
(int)(((long)2))); 
BgL_bodyz00_12392 = 
PROCEDURE_REF(BgL_envz00_12388, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 462 */
obj_t BgL_bpz00_14762;
BgL_bpz00_14762 = 
VECTOR_REF(
((obj_t)BgL_sz00_12393),((long)0)); 
{ /* Eval/evaluate_comp.scm 463 */
long BgL_g1106z00_14763;
BgL_g1106z00_14763 = 
(
(long)CINT(BgL_bpz00_14762)+BgL_siza7eza7_12389); 
{ 
obj_t BgL_lz00_14765;long BgL_iz00_14766;
BgL_lz00_14765 = BgL_valsz00_12390; 
BgL_iz00_14766 = BgL_g1106z00_14763; 
BgL_recz00_14764:
if(
NULLP(BgL_lz00_14765))
{ /* Eval/evaluate_comp.scm 464 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 464 */
{ /* Eval/evaluate_comp.scm 465 */
obj_t BgL_arg2938z00_14767;
{ /* Eval/evaluate_comp.scm 465 */
obj_t BgL_fun2939z00_14768;
BgL_fun2939z00_14768 = 
CAR(
((obj_t)BgL_lz00_14765)); 
BgL_arg2938z00_14767 = 
PROCEDURE_ENTRY(BgL_fun2939z00_14768)(BgL_fun2939z00_14768, BgL_sz00_12393, BEOA); } 
VECTOR_SET(
((obj_t)BgL_sz00_12393),BgL_iz00_14766,BgL_arg2938z00_14767); } 
{ /* Eval/evaluate_comp.scm 466 */
obj_t BgL_arg2940z00_14769;long BgL_arg2941z00_14770;
BgL_arg2940z00_14769 = 
CDR(
((obj_t)BgL_lz00_14765)); 
BgL_arg2941z00_14770 = 
(BgL_iz00_14766+((long)1)); 
{ 
long BgL_iz00_28837;obj_t BgL_lz00_28836;
BgL_lz00_28836 = BgL_arg2940z00_14769; 
BgL_iz00_28837 = BgL_arg2941z00_14770; 
BgL_iz00_14766 = BgL_iz00_28837; 
BgL_lz00_14765 = BgL_lz00_28836; 
goto BgL_recz00_14764;} } } } } 
{ 
obj_t BgL_lz00_14772;
BgL_lz00_14772 = BgL_iboxesz00_12391; 
BgL_recz00_14771:
if(
NULLP(BgL_lz00_14772))
{ /* Eval/evaluate_comp.scm 468 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 468 */
{ /* Eval/evaluate_comp.scm 469 */
long BgL_iz00_14773;
BgL_iz00_14773 = 
(
(long)CINT(BgL_bpz00_14762)+
(long)CINT(
CAR(
((obj_t)BgL_lz00_14772)))); 
{ /* Eval/evaluate_comp.scm 470 */
obj_t BgL_arg2944z00_14774;
{ /* Eval/evaluate_comp.scm 470 */
obj_t BgL_arg2945z00_14775;
BgL_arg2945z00_14775 = 
VECTOR_REF(
((obj_t)BgL_sz00_12393),BgL_iz00_14773); 
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_14776;
BgL_newz00_14776 = 
create_struct(BGl_symbol5171z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28849;
BgL_tmpz00_28849 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14776, BgL_tmpz00_28849, BgL_arg2945z00_14775); } 
BgL_arg2944z00_14774 = BgL_newz00_14776; } } 
VECTOR_SET(
((obj_t)BgL_sz00_12393),BgL_iz00_14773,BgL_arg2944z00_14774); } } 
{ /* Eval/evaluate_comp.scm 471 */
obj_t BgL_arg2947z00_14777;
BgL_arg2947z00_14777 = 
CDR(
((obj_t)BgL_lz00_14772)); 
{ 
obj_t BgL_lz00_28856;
BgL_lz00_28856 = BgL_arg2947z00_14777; 
BgL_lz00_14772 = BgL_lz00_28856; 
goto BgL_recz00_14771;} } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12392)(BgL_bodyz00_12392, BgL_sz00_12393, BEOA);} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_prog21405 */
obj_t BGl_z62compzd2ev_prog21405zb0zz__evaluate_compz00(obj_t BgL_envz00_12394, obj_t BgL_ez00_12395, obj_t BgL_stkz00_12396)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 449 */
{ /* Eval/evaluate_comp.scm 451 */
obj_t BgL_e1z00_14779;obj_t BgL_e2z00_14780;
BgL_e1z00_14779 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_12395)))->BgL_e1z00), BgL_stkz00_12396); 
BgL_e2z00_14780 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_12395)))->BgL_e2z00), BgL_stkz00_12396); 
{ /* Eval/evaluate_comp.scm 452 */
obj_t BgL_zc3anonymousza32932ze3z83_14781;
BgL_zc3anonymousza32932ze3z83_14781 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32932ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32932ze3z83_14781, 
(int)(((long)0)), BgL_e1z00_14779); 
PROCEDURE_SET(BgL_zc3anonymousza32932ze3z83_14781, 
(int)(((long)1)), BgL_e2z00_14780); 
return BgL_zc3anonymousza32932ze3z83_14781;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2932> */
obj_t BGl_z62zc3anonymousza32932ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12397, obj_t BgL_sz00_12400)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 452 */
{ /* Eval/evaluate_comp.scm 452 */
obj_t BgL_e1z00_12398;obj_t BgL_e2z00_12399;
BgL_e1z00_12398 = 
PROCEDURE_REF(BgL_envz00_12397, 
(int)(((long)0))); 
BgL_e2z00_12399 = 
PROCEDURE_REF(BgL_envz00_12397, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 452 */
obj_t BgL_bpz00_14782;
BgL_bpz00_14782 = 
VECTOR_REF(
((obj_t)BgL_sz00_12400),((long)0)); 
PROCEDURE_ENTRY(BgL_e1z00_12398)(BgL_e1z00_12398, BgL_sz00_12400, BEOA); 
return 
PROCEDURE_ENTRY(BgL_e2z00_12399)(BgL_e2z00_12399, BgL_sz00_12400, BEOA);} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_and1403 */
obj_t BGl_z62compzd2ev_and1403zb0zz__evaluate_compz00(obj_t BgL_envz00_12401, obj_t BgL_ez00_12402, obj_t BgL_stkz00_12403)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 439 */
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_argsz00_14784;
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_l1296z00_14785;
BgL_l1296z00_14785 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_ez00_12402))))->BgL_argsz00); 
if(
NULLP(BgL_l1296z00_14785))
{ /* Eval/evaluate_comp.scm 441 */
BgL_argsz00_14784 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_head1298z00_14786;
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_res4651z00_14787;
BgL_res4651z00_14787 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1298z00_14786 = BgL_res4651z00_14787; } 
{ 
obj_t BgL_l1296z00_14789;obj_t BgL_tail1299z00_14790;
BgL_l1296z00_14789 = BgL_l1296z00_14785; 
BgL_tail1299z00_14790 = BgL_head1298z00_14786; 
BgL_zc3anonymousza32928ze3z83_14788:
if(
NULLP(BgL_l1296z00_14789))
{ /* Eval/evaluate_comp.scm 441 */
BgL_argsz00_14784 = 
CDR(BgL_head1298z00_14786); }  else 
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_newtail1300z00_14791;
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_arg2931z00_14792;
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_ez00_14793;
BgL_ez00_14793 = 
CAR(
((obj_t)BgL_l1296z00_14789)); 
BgL_arg2931z00_14792 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_ez00_14793), BgL_stkz00_12403); } 
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_res4653z00_14794;
BgL_res4653z00_14794 = 
MAKE_YOUNG_PAIR(BgL_arg2931z00_14792, BNIL); 
BgL_newtail1300z00_14791 = BgL_res4653z00_14794; } } 
SET_CDR(BgL_tail1299z00_14790, BgL_newtail1300z00_14791); 
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_arg2930z00_14795;
BgL_arg2930z00_14795 = 
CDR(
((obj_t)BgL_l1296z00_14789)); 
{ 
obj_t BgL_tail1299z00_28906;obj_t BgL_l1296z00_28905;
BgL_l1296z00_28905 = BgL_arg2930z00_14795; 
BgL_tail1299z00_28906 = BgL_newtail1300z00_14791; 
BgL_tail1299z00_14790 = BgL_tail1299z00_28906; 
BgL_l1296z00_14789 = BgL_l1296z00_28905; 
goto BgL_zc3anonymousza32928ze3z83_14788;} } } } } } 
{ /* Eval/evaluate_comp.scm 442 */
obj_t BgL_zc3anonymousza32922ze3z83_14796;
BgL_zc3anonymousza32922ze3z83_14796 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32922ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32922ze3z83_14796, 
(int)(((long)0)), BgL_argsz00_14784); 
return BgL_zc3anonymousza32922ze3z83_14796;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2922> */
obj_t BGl_z62zc3anonymousza32922ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12404, obj_t BgL_sz00_12406)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 442 */
{ /* Eval/evaluate_comp.scm 442 */
obj_t BgL_argsz00_12405;
BgL_argsz00_12405 = 
PROCEDURE_REF(BgL_envz00_12404, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 442 */
obj_t BgL_bpz00_14797;
BgL_bpz00_14797 = 
VECTOR_REF(
((obj_t)BgL_sz00_12406),((long)0)); 
{ 
obj_t BgL_lz00_14799;obj_t BgL_rz00_14800;
BgL_lz00_14799 = BgL_argsz00_12405; 
BgL_rz00_14800 = BTRUE; 
BgL_recz00_14798:
if(
NULLP(BgL_lz00_14799))
{ /* Eval/evaluate_comp.scm 444 */
return BgL_rz00_14800;}  else 
{ /* Eval/evaluate_comp.scm 446 */
obj_t BgL_vz00_14801;
{ /* Eval/evaluate_comp.scm 446 */
obj_t BgL_fun2926z00_14802;
BgL_fun2926z00_14802 = 
CAR(
((obj_t)BgL_lz00_14799)); 
BgL_vz00_14801 = 
PROCEDURE_ENTRY(BgL_fun2926z00_14802)(BgL_fun2926z00_14802, BgL_sz00_12406, BEOA); } 
if(
CBOOL(BgL_vz00_14801))
{ /* Eval/evaluate_comp.scm 447 */
obj_t BgL_arg2925z00_14803;
BgL_arg2925z00_14803 = 
CDR(
((obj_t)BgL_lz00_14799)); 
{ 
obj_t BgL_rz00_28929;obj_t BgL_lz00_28928;
BgL_lz00_28928 = BgL_arg2925z00_14803; 
BgL_rz00_28929 = BgL_vz00_14801; 
BgL_rz00_14800 = BgL_rz00_28929; 
BgL_lz00_14799 = BgL_lz00_28928; 
goto BgL_recz00_14798;} }  else 
{ /* Eval/evaluate_comp.scm 447 */
return BFALSE;} } } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_or1401 */
obj_t BGl_z62compzd2ev_or1401zb0zz__evaluate_compz00(obj_t BgL_envz00_12407, obj_t BgL_ez00_12408, obj_t BgL_stkz00_12409)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 430 */
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_argsz00_14805;
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_l1291z00_14806;
BgL_l1291z00_14806 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_ez00_12408))))->BgL_argsz00); 
if(
NULLP(BgL_l1291z00_14806))
{ /* Eval/evaluate_comp.scm 432 */
BgL_argsz00_14805 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_head1293z00_14807;
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_res4646z00_14808;
BgL_res4646z00_14808 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1293z00_14807 = BgL_res4646z00_14808; } 
{ 
obj_t BgL_l1291z00_14810;obj_t BgL_tail1294z00_14811;
BgL_l1291z00_14810 = BgL_l1291z00_14806; 
BgL_tail1294z00_14811 = BgL_head1293z00_14807; 
BgL_zc3anonymousza32918ze3z83_14809:
if(
NULLP(BgL_l1291z00_14810))
{ /* Eval/evaluate_comp.scm 432 */
BgL_argsz00_14805 = 
CDR(BgL_head1293z00_14807); }  else 
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_newtail1295z00_14812;
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_arg2921z00_14813;
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_ez00_14814;
BgL_ez00_14814 = 
CAR(
((obj_t)BgL_l1291z00_14810)); 
BgL_arg2921z00_14813 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_ez00_14814), BgL_stkz00_12409); } 
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_res4648z00_14815;
BgL_res4648z00_14815 = 
MAKE_YOUNG_PAIR(BgL_arg2921z00_14813, BNIL); 
BgL_newtail1295z00_14812 = BgL_res4648z00_14815; } } 
SET_CDR(BgL_tail1294z00_14811, BgL_newtail1295z00_14812); 
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_arg2920z00_14816;
BgL_arg2920z00_14816 = 
CDR(
((obj_t)BgL_l1291z00_14810)); 
{ 
obj_t BgL_tail1294z00_28948;obj_t BgL_l1291z00_28947;
BgL_l1291z00_28947 = BgL_arg2920z00_14816; 
BgL_tail1294z00_28948 = BgL_newtail1295z00_14812; 
BgL_tail1294z00_14811 = BgL_tail1294z00_28948; 
BgL_l1291z00_14810 = BgL_l1291z00_28947; 
goto BgL_zc3anonymousza32918ze3z83_14809;} } } } } } 
{ /* Eval/evaluate_comp.scm 433 */
obj_t BgL_zc3anonymousza32912ze3z83_14817;
BgL_zc3anonymousza32912ze3z83_14817 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32912ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32912ze3z83_14817, 
(int)(((long)0)), BgL_argsz00_14805); 
return BgL_zc3anonymousza32912ze3z83_14817;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2912> */
obj_t BGl_z62zc3anonymousza32912ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12410, obj_t BgL_sz00_12412)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 433 */
{ /* Eval/evaluate_comp.scm 433 */
obj_t BgL_argsz00_12411;
BgL_argsz00_12411 = 
PROCEDURE_REF(BgL_envz00_12410, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 433 */
obj_t BgL_bpz00_14818;
BgL_bpz00_14818 = 
VECTOR_REF(
((obj_t)BgL_sz00_12412),((long)0)); 
{ 
obj_t BgL_lz00_14820;
BgL_lz00_14820 = BgL_argsz00_12411; 
BgL_recz00_14819:
if(
NULLP(BgL_lz00_14820))
{ /* Eval/evaluate_comp.scm 435 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 437 */
obj_t BgL__ortest_1101z00_14821;
{ /* Eval/evaluate_comp.scm 437 */
obj_t BgL_fun2916z00_14822;
BgL_fun2916z00_14822 = 
CAR(
((obj_t)BgL_lz00_14820)); 
BgL__ortest_1101z00_14821 = 
PROCEDURE_ENTRY(BgL_fun2916z00_14822)(BgL_fun2916z00_14822, BgL_sz00_12412, BEOA); } 
if(
CBOOL(BgL__ortest_1101z00_14821))
{ /* Eval/evaluate_comp.scm 437 */
return BgL__ortest_1101z00_14821;}  else 
{ /* Eval/evaluate_comp.scm 437 */
obj_t BgL_arg2915z00_14823;
BgL_arg2915z00_14823 = 
CDR(
((obj_t)BgL_lz00_14820)); 
{ 
obj_t BgL_lz00_28970;
BgL_lz00_28970 = BgL_arg2915z00_14823; 
BgL_lz00_14820 = BgL_lz00_28970; 
goto BgL_recz00_14819;} } } } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_if1399 */
obj_t BGl_z62compzd2ev_if1399zb0zz__evaluate_compz00(obj_t BgL_envz00_12413, obj_t BgL_ez00_12414, obj_t BgL_stkz00_12415)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 424 */
{ /* Eval/evaluate_comp.scm 426 */
obj_t BgL_pz00_14825;obj_t BgL_tz00_14826;obj_t BgL_ez00_14827;
BgL_pz00_14825 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12414)))->BgL_pz00), BgL_stkz00_12415); 
BgL_tz00_14826 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12414)))->BgL_tz00), BgL_stkz00_12415); 
BgL_ez00_14827 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12414)))->BgL_ez00), BgL_stkz00_12415); 
{ /* Eval/evaluate_comp.scm 427 */
obj_t BgL_zc3anonymousza32907ze3z83_14828;
BgL_zc3anonymousza32907ze3z83_14828 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32907ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32907ze3z83_14828, 
(int)(((long)0)), BgL_ez00_14827); 
PROCEDURE_SET(BgL_zc3anonymousza32907ze3z83_14828, 
(int)(((long)1)), BgL_tz00_14826); 
PROCEDURE_SET(BgL_zc3anonymousza32907ze3z83_14828, 
(int)(((long)2)), BgL_pz00_14825); 
return BgL_zc3anonymousza32907ze3z83_14828;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2907> */
obj_t BGl_z62zc3anonymousza32907ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12416, obj_t BgL_sz00_12420)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 427 */
{ /* Eval/evaluate_comp.scm 427 */
obj_t BgL_ez00_12417;obj_t BgL_tz00_12418;obj_t BgL_pz00_12419;
BgL_ez00_12417 = 
PROCEDURE_REF(BgL_envz00_12416, 
(int)(((long)0))); 
BgL_tz00_12418 = 
PROCEDURE_REF(BgL_envz00_12416, 
(int)(((long)1))); 
BgL_pz00_12419 = 
PROCEDURE_REF(BgL_envz00_12416, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 427 */
obj_t BgL_bpz00_14829;
BgL_bpz00_14829 = 
VECTOR_REF(
((obj_t)BgL_sz00_12420),((long)0)); 
if(
CBOOL(
PROCEDURE_ENTRY(BgL_pz00_12419)(BgL_pz00_12419, BgL_sz00_12420, BEOA)))
{ /* Eval/evaluate_comp.scm 428 */
return 
PROCEDURE_ENTRY(BgL_tz00_12418)(BgL_tz00_12418, BgL_sz00_12420, BEOA);}  else 
{ /* Eval/evaluate_comp.scm 428 */
return 
PROCEDURE_ENTRY(BgL_ez00_12417)(BgL_ez00_12417, BgL_sz00_12420, BEOA);} } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_litt1397 */
obj_t BGl_z62compzd2ev_litt1397zb0zz__evaluate_compz00(obj_t BgL_envz00_12421, obj_t BgL_ez00_12422, obj_t BgL_stkz00_12423)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 419 */
{ /* Eval/evaluate_comp.scm 421 */
obj_t BgL_zc3anonymousza32906ze3z83_14831;
BgL_zc3anonymousza32906ze3z83_14831 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32906ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32906ze3z83_14831, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_littz00_bglt)BgL_ez00_12422))); 
return BgL_zc3anonymousza32906ze3z83_14831;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2906> */
obj_t BGl_z62zc3anonymousza32906ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12424, obj_t BgL_sz00_12426)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 421 */
{ /* Eval/evaluate_comp.scm 421 */
BgL_ev_littz00_bglt BgL_i1098z00_12425;
BgL_i1098z00_12425 = 
((BgL_ev_littz00_bglt)
PROCEDURE_REF(BgL_envz00_12424, 
(int)(((long)0)))); 
{ /* Eval/evaluate_comp.scm 421 */
obj_t BgL_bpz00_14832;
BgL_bpz00_14832 = 
VECTOR_REF(
((obj_t)BgL_sz00_12426),((long)0)); 
return 
(((BgL_ev_littz00_bglt)COBJECT(BgL_i1098z00_12425))->BgL_valuez00);} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_defglobal1395 */
obj_t BGl_z62compzd2ev_defglobal1395zb0zz__evaluate_compz00(obj_t BgL_envz00_12427, obj_t BgL_ez00_12428, obj_t BgL_stkz00_12429)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 388 */
{ /* Eval/evaluate_comp.scm 390 */
obj_t BgL_ez00_14834;
{ /* Eval/evaluate_comp.scm 390 */
BgL_ev_exprz00_bglt BgL_arg2905z00_14835;
BgL_arg2905z00_14835 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_ez00_12428))))->BgL_ez00); 
BgL_ez00_14834 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2905z00_14835, BgL_stkz00_12429); } 
{ /* Eval/evaluate_comp.scm 391 */
obj_t BgL_zc3anonymousza32880ze3z83_14836;
BgL_zc3anonymousza32880ze3z83_14836 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32880ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32880ze3z83_14836, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_defglobalz00_bglt)BgL_ez00_12428))); 
PROCEDURE_SET(BgL_zc3anonymousza32880ze3z83_14836, 
(int)(((long)1)), BgL_ez00_14834); 
return BgL_zc3anonymousza32880ze3z83_14836;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2880> */
obj_t BGl_z62zc3anonymousza32880ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12430, obj_t BgL_sz00_12433)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 391 */
{ /* Eval/evaluate_comp.scm 391 */
BgL_ev_defglobalz00_bglt BgL_i1095z00_12431;obj_t BgL_ez00_12432;
BgL_i1095z00_12431 = 
((BgL_ev_defglobalz00_bglt)
PROCEDURE_REF(BgL_envz00_12430, 
(int)(((long)0)))); 
BgL_ez00_12432 = 
PROCEDURE_REF(BgL_envz00_12430, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 391 */
obj_t BgL_bpz00_14837;
BgL_bpz00_14837 = 
VECTOR_REF(
((obj_t)BgL_sz00_12433),((long)0)); 
{ /* Eval/evaluate_comp.scm 392 */
obj_t BgL_gz00_14838;
{ /* Eval/evaluate_comp.scm 392 */
obj_t BgL_arg2903z00_14839;obj_t BgL_arg2904z00_14840;
BgL_arg2903z00_14839 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12431)))->BgL_modz00); 
BgL_arg2904z00_14840 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12431)))->BgL_namez00); 
BgL_gz00_14838 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2903z00_14839, BgL_arg2904z00_14840); } 
if(
CBOOL(BgL_gz00_14838))
{ /* Eval/evaluate_comp.scm 394 */
{ 

{ /* Eval/evaluate_comp.scm 396 */
int BgL_aux1097z00_14844;
{ /* Eval/evaluate_comp.scm 396 */
int BgL_res4644z00_14845;
BgL_res4644z00_14845 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_14838),((long)0))); 
BgL_aux1097z00_14844 = BgL_res4644z00_14845; } 
switch( 
(long)(BgL_aux1097z00_14844)) { case ((long)0) : 

{ /* Eval/evaluate_comp.scm 398 */
obj_t BgL_arg2882z00_14846;obj_t BgL_arg2883z00_14847;
BgL_arg2882z00_14846 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12431)))->BgL_locz00); 
BgL_arg2883z00_14847 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12431)))->BgL_namez00); 
BGl_everrorz00zz__everrorz00(BgL_arg2882z00_14846, BGl_string5282z00zz__evaluate_compz00, BGl_string5283z00zz__evaluate_compz00, BgL_arg2883z00_14847); } break;case ((long)1) : 

{ /* Eval/evaluate_comp.scm 400 */
obj_t BgL_arg2884z00_14848;obj_t BgL_arg2885z00_14849;
BgL_arg2884z00_14848 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12431)))->BgL_locz00); 
BgL_arg2885z00_14849 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12431)))->BgL_namez00); 
{ /* Eval/evaluate_comp.scm 400 */
obj_t BgL_list2886z00_14850;
{ /* Eval/evaluate_comp.scm 400 */
obj_t BgL_arg2887z00_14851;
{ /* Eval/evaluate_comp.scm 400 */
obj_t BgL_arg2888z00_14852;
BgL_arg2888z00_14852 = 
MAKE_YOUNG_PAIR(BgL_arg2885z00_14849, BNIL); 
BgL_arg2887z00_14851 = 
MAKE_YOUNG_PAIR(BGl_string5284z00zz__evaluate_compz00, BgL_arg2888z00_14852); } 
BgL_list2886z00_14850 = 
MAKE_YOUNG_PAIR(BGl_string5161z00zz__evaluate_compz00, BgL_arg2887z00_14851); } 
BGl_evwarningz00zz__everrorz00(BgL_arg2884z00_14848, BgL_list2886z00_14850); } } 
{ /* Eval/evaluate_comp.scm 402 */
obj_t BgL_arg2889z00_14853;obj_t BgL_arg2890z00_14854;
BgL_arg2889z00_14853 = 
VECTOR_REF(
((obj_t)BgL_gz00_14838),((long)2)); 
BgL_arg2890z00_14854 = 
PROCEDURE_ENTRY(BgL_ez00_12432)(BgL_ez00_12432, BgL_sz00_12433, BEOA); 
__EVMEANING_ADDRESS_SET(BgL_arg2889z00_14853, BgL_arg2890z00_14854); } break;case ((long)2) : 

{ /* Eval/evaluate_comp.scm 404 */
obj_t BgL_arg2891z00_14855;
BgL_arg2891z00_14855 = 
PROCEDURE_ENTRY(BgL_ez00_12432)(BgL_ez00_12432, BgL_sz00_12433, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_14838),((long)2),BgL_arg2891z00_14855); } break;case ((long)3) : 

{ /* Eval/evaluate_comp.scm 406 */
obj_t BgL_arg2892z00_14856;
BgL_arg2892z00_14856 = 
PROCEDURE_ENTRY(BgL_ez00_12432)(BgL_ez00_12432, BgL_sz00_12433, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_14838),((long)2),BgL_arg2892z00_14856); } 
VECTOR_SET(
((obj_t)BgL_gz00_14838),((long)0),
BINT(((long)2))); break;case ((long)4) : 

{ /* Eval/evaluate_comp.scm 409 */
obj_t BgL_arg2893z00_14857;
BgL_arg2893z00_14857 = 
PROCEDURE_ENTRY(BgL_ez00_12432)(BgL_ez00_12432, BgL_sz00_12433, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_14838),((long)2),BgL_arg2893z00_14857); } 
VECTOR_SET(
((obj_t)BgL_gz00_14838),((long)0),
BINT(((long)5))); break;
default: 
{ /* Eval/evaluate_comp.scm 412 */
obj_t BgL_arg2894z00_14842;obj_t BgL_arg2895z00_14843;
BgL_arg2894z00_14842 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12431)))->BgL_locz00); 
BgL_arg2895z00_14843 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12431)))->BgL_namez00); 
BGl_everrorz00zz__everrorz00(BgL_arg2894z00_14842, BGl_string5282z00zz__evaluate_compz00, BGl_string5283z00zz__evaluate_compz00, BgL_arg2895z00_14843); } } } } 
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12431)))->BgL_namez00);}  else 
{ /* Eval/evaluate_comp.scm 414 */
obj_t BgL_gz00_14858;
{ /* Eval/evaluate_comp.scm 414 */
obj_t BgL_arg2900z00_14859;obj_t BgL_arg2901z00_14860;obj_t BgL_arg2902z00_14861;
BgL_arg2900z00_14859 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12431)))->BgL_namez00); 
BgL_arg2901z00_14860 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12431)))->BgL_modz00); 
BgL_arg2902z00_14861 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12431)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 414 */
obj_t BgL_v1369z00_14862;
BgL_v1369z00_14862 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1369z00_14862,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1369z00_14862,((long)1),BgL_arg2900z00_14859); 
VECTOR_SET(BgL_v1369z00_14862,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1369z00_14862,((long)3),BgL_arg2901z00_14860); 
VECTOR_SET(BgL_v1369z00_14862,((long)4),BgL_arg2902z00_14861); 
BgL_gz00_14858 = BgL_v1369z00_14862; } } 
{ /* Eval/evaluate_comp.scm 415 */
obj_t BgL_arg2896z00_14863;
BgL_arg2896z00_14863 = 
PROCEDURE_ENTRY(BgL_ez00_12432)(BgL_ez00_12432, BgL_sz00_12433, BEOA); 
VECTOR_SET(BgL_gz00_14858,((long)2),BgL_arg2896z00_14863); } 
{ /* Eval/evaluate_comp.scm 416 */
obj_t BgL_arg2897z00_14864;obj_t BgL_arg2898z00_14865;obj_t BgL_arg2899z00_14866;
BgL_arg2897z00_14864 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12431)))->BgL_modz00); 
BgL_arg2898z00_14865 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12431)))->BgL_namez00); 
BgL_arg2899z00_14866 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12431)))->BgL_locz00); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(BgL_arg2897z00_14864, BgL_arg2898z00_14865, BgL_gz00_14858, BgL_arg2899z00_14866); } 
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12431)))->BgL_namez00);} } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_setglobal1393 */
obj_t BGl_z62compzd2ev_setglobal1393zb0zz__evaluate_compz00(obj_t BgL_envz00_12434, obj_t BgL_ez00_12435, obj_t BgL_stkz00_12436)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 365 */
{ /* Eval/evaluate_comp.scm 367 */
obj_t BgL_gz00_14868;obj_t BgL_ez00_14869;
BgL_gz00_14868 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12435)))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12435)))->BgL_namez00)); 
{ /* Eval/evaluate_comp.scm 367 */
BgL_ev_exprz00_bglt BgL_arg2879z00_14870;
BgL_arg2879z00_14870 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_ez00_12435))))->BgL_ez00); 
BgL_ez00_14869 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2879z00_14870, BgL_stkz00_12436); } 
if(
CBOOL(BgL_gz00_14868))
{ 

{ /* Eval/evaluate_comp.scm 369 */
int BgL_aux1094z00_14873;
{ /* Eval/evaluate_comp.scm 369 */
int BgL_res4643z00_14874;
BgL_res4643z00_14874 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_14868),((long)0))); 
BgL_aux1094z00_14873 = BgL_res4643z00_14874; } 
switch( 
(long)(BgL_aux1094z00_14873)) { case ((long)1) : 

{ /* Eval/evaluate_comp.scm 371 */
obj_t BgL_zc3anonymousza32855ze3z83_14875;
BgL_zc3anonymousza32855ze3z83_14875 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32855ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32855ze3z83_14875, 
(int)(((long)0)), BgL_gz00_14868); 
PROCEDURE_SET(BgL_zc3anonymousza32855ze3z83_14875, 
(int)(((long)1)), BgL_ez00_14869); 
return BgL_zc3anonymousza32855ze3z83_14875;} break;case ((long)0) : 
case ((long)4) : 
case ((long)5) : 

return 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12435)))->BgL_locz00), BGl_string5282z00zz__evaluate_compz00, BGl_string5283z00zz__evaluate_compz00, 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12435)))->BgL_namez00));break;
default: 
{ /* Eval/evaluate_comp.scm 376 */
obj_t BgL_zc3anonymousza32860ze3z83_14872;
BgL_zc3anonymousza32860ze3z83_14872 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32860ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32860ze3z83_14872, 
(int)(((long)0)), BgL_ez00_14869); 
PROCEDURE_SET(BgL_zc3anonymousza32860ze3z83_14872, 
(int)(((long)1)), BgL_gz00_14868); 
return BgL_zc3anonymousza32860ze3z83_14872;} } } }  else 
{ /* Eval/evaluate_comp.scm 377 */
obj_t BgL_slotz00_14876;
BgL_slotz00_14876 = 
MAKE_CELL(BFALSE); 
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12435)))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 379 */
obj_t BgL_gz00_14877;
{ /* Eval/evaluate_comp.scm 379 */
obj_t BgL_arg2867z00_14878;obj_t BgL_arg2868z00_14879;obj_t BgL_arg2869z00_14880;
BgL_arg2867z00_14878 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12435)))->BgL_namez00); 
BgL_arg2868z00_14879 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12435)))->BgL_modz00); 
BgL_arg2869z00_14880 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12435)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 379 */
obj_t BgL_v1369z00_14881;
BgL_v1369z00_14881 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1369z00_14881,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1369z00_14881,((long)1),BgL_arg2867z00_14878); 
VECTOR_SET(BgL_v1369z00_14881,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1369z00_14881,((long)3),BgL_arg2868z00_14879); 
VECTOR_SET(BgL_v1369z00_14881,((long)4),BgL_arg2869z00_14880); 
BgL_gz00_14877 = BgL_v1369z00_14881; } } 
VECTOR_SET(BgL_gz00_14877,((long)0),
BINT(((long)3))); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12435)))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12435)))->BgL_namez00), BgL_gz00_14877, 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12435)))->BgL_locz00)); }  else 
{ /* Eval/evaluate_comp.scm 378 */BFALSE; } 
{ /* Eval/evaluate_comp.scm 382 */
obj_t BgL_zc3anonymousza32871ze3z83_14882;
BgL_zc3anonymousza32871ze3z83_14882 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32871ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32871ze3z83_14882, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_setglobalz00_bglt)BgL_ez00_12435))); 
PROCEDURE_SET(BgL_zc3anonymousza32871ze3z83_14882, 
(int)(((long)1)), 
((obj_t)BgL_slotz00_14876)); 
PROCEDURE_SET(BgL_zc3anonymousza32871ze3z83_14882, 
(int)(((long)2)), BgL_ez00_14869); 
return BgL_zc3anonymousza32871ze3z83_14882;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2855> */
obj_t BGl_z62zc3anonymousza32855ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12439, obj_t BgL_sz00_12442)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 371 */
{ /* Eval/evaluate_comp.scm 371 */
obj_t BgL_gz00_12440;obj_t BgL_ez00_12441;
BgL_gz00_12440 = 
PROCEDURE_REF(BgL_envz00_12439, 
(int)(((long)0))); 
BgL_ez00_12441 = 
PROCEDURE_REF(BgL_envz00_12439, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 371 */
obj_t BgL_bpz00_14883;
BgL_bpz00_14883 = 
VECTOR_REF(
((obj_t)BgL_sz00_12442),((long)0)); 
{ /* Eval/evaluate_comp.scm 372 */
obj_t BgL_arg2856z00_14884;obj_t BgL_arg2857z00_14885;
BgL_arg2856z00_14884 = 
VECTOR_REF(
((obj_t)BgL_gz00_12440),((long)2)); 
BgL_arg2857z00_14885 = 
PROCEDURE_ENTRY(BgL_ez00_12441)(BgL_ez00_12441, BgL_sz00_12442, BEOA); 
return 
__EVMEANING_ADDRESS_SET(BgL_arg2856z00_14884, BgL_arg2857z00_14885);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2860> */
obj_t BGl_z62zc3anonymousza32860ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12443, obj_t BgL_sz00_12446)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 376 */
{ /* Eval/evaluate_comp.scm 376 */
obj_t BgL_ez00_12444;obj_t BgL_gz00_12445;
BgL_ez00_12444 = 
PROCEDURE_REF(BgL_envz00_12443, 
(int)(((long)0))); 
BgL_gz00_12445 = 
PROCEDURE_REF(BgL_envz00_12443, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 376 */
obj_t BgL_bpz00_14886;
BgL_bpz00_14886 = 
VECTOR_REF(
((obj_t)BgL_sz00_12446),((long)0)); 
{ /* Eval/evaluate_comp.scm 376 */
obj_t BgL_arg2861z00_14887;
BgL_arg2861z00_14887 = 
PROCEDURE_ENTRY(BgL_ez00_12444)(BgL_ez00_12444, BgL_sz00_12446, BEOA); 
return 
VECTOR_SET(
((obj_t)BgL_gz00_12445),((long)2),BgL_arg2861z00_14887);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2871> */
obj_t BGl_z62zc3anonymousza32871ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12447, obj_t BgL_sz00_12451)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 382 */
{ /* Eval/evaluate_comp.scm 382 */
BgL_ev_setglobalz00_bglt BgL_i1092z00_12448;obj_t BgL_slotz00_12449;obj_t BgL_ez00_12450;
BgL_i1092z00_12448 = 
((BgL_ev_setglobalz00_bglt)
PROCEDURE_REF(BgL_envz00_12447, 
(int)(((long)0)))); 
BgL_slotz00_12449 = 
PROCEDURE_REF(BgL_envz00_12447, 
(int)(((long)1))); 
BgL_ez00_12450 = 
PROCEDURE_REF(BgL_envz00_12447, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 382 */
obj_t BgL_bpz00_14888;
BgL_bpz00_14888 = 
VECTOR_REF(
((obj_t)BgL_sz00_12451),((long)0)); 
if(
CBOOL(
CELL_REF(BgL_slotz00_12449)))
{ /* Eval/evaluate_comp.scm 383 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 383 */
{ /* Eval/evaluate_comp.scm 384 */
obj_t BgL_auxz00_14889;
BgL_auxz00_14889 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1092z00_12448))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1092z00_12448))->BgL_namez00)); 
CELL_SET(BgL_slotz00_12449, BgL_auxz00_14889); } 
if(
CBOOL(
CELL_REF(BgL_slotz00_12449)))
{ /* Eval/evaluate_comp.scm 385 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 385 */
BGl_everrorz00zz__everrorz00(
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1092z00_12448))->BgL_locz00), BGl_string5161z00zz__evaluate_compz00, BGl_string5285z00zz__evaluate_compz00, 
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1092z00_12448))->BgL_namez00)); } } 
{ /* Eval/evaluate_comp.scm 386 */
obj_t BgL_arg2876z00_14890;
BgL_arg2876z00_14890 = 
PROCEDURE_ENTRY(BgL_ez00_12450)(BgL_ez00_12450, BgL_sz00_12451, BEOA); 
{ /* Eval/evaluate_comp.scm 386 */
obj_t BgL_evalzd2globalzd2_14891;
BgL_evalzd2globalzd2_14891 = 
CELL_REF(BgL_slotz00_12449); 
return 
VECTOR_SET(BgL_evalzd2globalzd2_14891,((long)2),BgL_arg2876z00_14890);} } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_global1391 */
obj_t BGl_z62compzd2ev_global1391zb0zz__evaluate_compz00(obj_t BgL_envz00_12453, obj_t BgL_varz00_12454, obj_t BgL_stkz00_12455)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 339 */
{ /* Eval/evaluate_comp.scm 341 */
obj_t BgL_gz00_14893;
BgL_gz00_14893 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12454)))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12454)))->BgL_namez00)); 
if(
CBOOL(BgL_gz00_14893))
{ /* Eval/evaluate_comp.scm 343 */
bool_t BgL_testz00_29263;
{ /* Eval/evaluate_comp.scm 343 */
int BgL_arg2832z00_14894;
{ /* Eval/evaluate_comp.scm 343 */
int BgL_res4639z00_14895;
BgL_res4639z00_14895 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_14893),((long)0))); 
BgL_arg2832z00_14894 = BgL_res4639z00_14895; } 
BgL_testz00_29263 = 
(
BINT(BgL_arg2832z00_14894)==
BINT(((long)1))); } 
if(BgL_testz00_29263)
{ /* Eval/evaluate_comp.scm 344 */
obj_t BgL_zc3anonymousza32829ze3z83_14896;
BgL_zc3anonymousza32829ze3z83_14896 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32829ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32829ze3z83_14896, 
(int)(((long)0)), BgL_gz00_14893); 
return BgL_zc3anonymousza32829ze3z83_14896;}  else 
{ /* Eval/evaluate_comp.scm 346 */
obj_t BgL_zc3anonymousza32831ze3z83_14897;
BgL_zc3anonymousza32831ze3z83_14897 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32831ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32831ze3z83_14897, 
(int)(((long)0)), BgL_gz00_14893); 
return BgL_zc3anonymousza32831ze3z83_14897;} }  else 
{ /* Eval/evaluate_comp.scm 348 */
obj_t BgL_slotz00_14898;
BgL_slotz00_14898 = 
MAKE_CELL(BFALSE); 
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12454)))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 350 */
obj_t BgL_gz00_14899;
{ /* Eval/evaluate_comp.scm 350 */
obj_t BgL_arg2838z00_14900;obj_t BgL_arg2839z00_14901;obj_t BgL_arg2840z00_14902;
BgL_arg2838z00_14900 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12454)))->BgL_namez00); 
BgL_arg2839z00_14901 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12454)))->BgL_modz00); 
BgL_arg2840z00_14902 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12454)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 350 */
obj_t BgL_v1369z00_14903;
BgL_v1369z00_14903 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1369z00_14903,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1369z00_14903,((long)1),BgL_arg2838z00_14900); 
VECTOR_SET(BgL_v1369z00_14903,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1369z00_14903,((long)3),BgL_arg2839z00_14901); 
VECTOR_SET(BgL_v1369z00_14903,((long)4),BgL_arg2840z00_14902); 
BgL_gz00_14899 = BgL_v1369z00_14903; } } 
VECTOR_SET(BgL_gz00_14899,((long)0),
BINT(((long)3))); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12454)))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12454)))->BgL_namez00), BgL_gz00_14899, 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12454)))->BgL_locz00)); }  else 
{ /* Eval/evaluate_comp.scm 349 */BFALSE; } 
{ /* Eval/evaluate_comp.scm 353 */
obj_t BgL_zc3anonymousza32842ze3z83_14904;
BgL_zc3anonymousza32842ze3z83_14904 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32842ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32842ze3z83_14904, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_globalz00_bglt)BgL_varz00_12454))); 
PROCEDURE_SET(BgL_zc3anonymousza32842ze3z83_14904, 
(int)(((long)1)), 
((obj_t)BgL_slotz00_14898)); 
return BgL_zc3anonymousza32842ze3z83_14904;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2829> */
obj_t BGl_z62zc3anonymousza32829ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12458, obj_t BgL_sz00_12460)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 344 */
{ /* Eval/evaluate_comp.scm 344 */
obj_t BgL_gz00_12459;
BgL_gz00_12459 = 
PROCEDURE_REF(BgL_envz00_12458, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 344 */
obj_t BgL_bpz00_14905;
BgL_bpz00_14905 = 
VECTOR_REF(
((obj_t)BgL_sz00_12460),((long)0)); 
{ /* Eval/evaluate_comp.scm 345 */
obj_t BgL_arg2830z00_14906;
BgL_arg2830z00_14906 = 
VECTOR_REF(
((obj_t)BgL_gz00_12459),((long)2)); 
return 
__EVMEANING_ADDRESS_REF(BgL_arg2830z00_14906);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2831> */
obj_t BGl_z62zc3anonymousza32831ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12461, obj_t BgL_sz00_12463)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 346 */
{ /* Eval/evaluate_comp.scm 346 */
obj_t BgL_gz00_12462;
BgL_gz00_12462 = 
PROCEDURE_REF(BgL_envz00_12461, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 346 */
obj_t BgL_bpz00_14907;
BgL_bpz00_14907 = 
VECTOR_REF(
((obj_t)BgL_sz00_12463),((long)0)); 
return 
VECTOR_REF(
((obj_t)BgL_gz00_12462),((long)2));} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2842> */
obj_t BGl_z62zc3anonymousza32842ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12464, obj_t BgL_sz00_12467)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 353 */
{ /* Eval/evaluate_comp.scm 353 */
BgL_ev_globalz00_bglt BgL_i1091z00_12465;obj_t BgL_slotz00_12466;
BgL_i1091z00_12465 = 
((BgL_ev_globalz00_bglt)
PROCEDURE_REF(BgL_envz00_12464, 
(int)(((long)0)))); 
BgL_slotz00_12466 = 
PROCEDURE_REF(BgL_envz00_12464, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 353 */
obj_t BgL_bpz00_14908;
BgL_bpz00_14908 = 
VECTOR_REF(
((obj_t)BgL_sz00_12467),((long)0)); 
if(
CBOOL(
CELL_REF(BgL_slotz00_12466)))
{ /* Eval/evaluate_comp.scm 354 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 354 */
{ /* Eval/evaluate_comp.scm 355 */
obj_t BgL_auxz00_14909;
BgL_auxz00_14909 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1091z00_12465))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1091z00_12465))->BgL_namez00)); 
CELL_SET(BgL_slotz00_12466, BgL_auxz00_14909); } 
if(
CBOOL(
CELL_REF(BgL_slotz00_12466)))
{ /* Eval/evaluate_comp.scm 356 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 356 */
BGl_everrorz00zz__everrorz00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1091z00_12465))->BgL_locz00), BGl_string5161z00zz__evaluate_compz00, BGl_string5285z00zz__evaluate_compz00, 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1091z00_12465))->BgL_namez00)); } } 
{ /* Eval/evaluate_comp.scm 357 */
obj_t BgL_vz00_14910;
{ /* Eval/evaluate_comp.scm 357 */
obj_t BgL_evalzd2globalzd2_14911;
BgL_evalzd2globalzd2_14911 = 
CELL_REF(BgL_slotz00_12466); 
BgL_vz00_14910 = 
VECTOR_REF(BgL_evalzd2globalzd2_14911,((long)2)); } 
if(
(BgL_vz00_14910==BUNSPEC))
{ /* Eval/evaluate_comp.scm 359 */
int BgL_tz00_14912;
{ /* Eval/evaluate_comp.scm 359 */
int BgL_res4640z00_14913;
{ /* Eval/evaluate_comp.scm 359 */
obj_t BgL_evalzd2globalzd2_14914;
BgL_evalzd2globalzd2_14914 = 
CELL_REF(BgL_slotz00_12466); 
BgL_res4640z00_14913 = 
CINT(
VECTOR_REF(BgL_evalzd2globalzd2_14914,((long)0))); } 
BgL_tz00_14912 = BgL_res4640z00_14913; } 
{ /* Eval/evaluate_comp.scm 360 */
bool_t BgL_testz00_29351;
if(
(
(long)(BgL_tz00_14912)==((long)3)))
{ /* Eval/evaluate_comp.scm 360 */
BgL_testz00_29351 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 360 */
BgL_testz00_29351 = 
(
(long)(BgL_tz00_14912)==((long)4))
; } 
if(BgL_testz00_29351)
{ /* Eval/evaluate_comp.scm 360 */
return 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1091z00_12465))->BgL_locz00), BGl_string5161z00zz__evaluate_compz00, BGl_string5286z00zz__evaluate_compz00, 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1091z00_12465))->BgL_namez00));}  else 
{ /* Eval/evaluate_comp.scm 360 */
return BgL_vz00_14910;} } }  else 
{ /* Eval/evaluate_comp.scm 358 */
return BgL_vz00_14910;} } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_setlocal1389 */
obj_t BGl_z62compzd2ev_setlocal1389zb0zz__evaluate_compz00(obj_t BgL_envz00_12469, obj_t BgL_ez00_12470, obj_t BgL_stkz00_12471)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 321 */
{ /* Eval/evaluate_comp.scm 323 */
obj_t BgL_iz00_14916;obj_t BgL_ez00_14917;
{ /* Eval/evaluate_comp.scm 323 */
BgL_ev_varz00_bglt BgL_arg2825z00_14918;
BgL_arg2825z00_14918 = 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_12470)))->BgL_vz00); 
BgL_iz00_14916 = 
BGl__indexz00zz__evaluate_compz00(
((obj_t)BgL_arg2825z00_14918), BgL_stkz00_12471); } 
{ /* Eval/evaluate_comp.scm 323 */
BgL_ev_exprz00_bglt BgL_arg2826z00_14919;
BgL_arg2826z00_14919 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_ez00_12470))))->BgL_ez00); 
BgL_ez00_14917 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2826z00_14919, BgL_stkz00_12471); } 
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_12470)))->BgL_vz00)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 326 */
obj_t BgL_zc3anonymousza32818ze3z83_14920;
BgL_zc3anonymousza32818ze3z83_14920 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32818ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32818ze3z83_14920, 
(int)(((long)0)), BgL_iz00_14916); 
PROCEDURE_SET(BgL_zc3anonymousza32818ze3z83_14920, 
(int)(((long)1)), BgL_ez00_14917); 
return BgL_zc3anonymousza32818ze3z83_14920;}  else 
{ /* Eval/evaluate_comp.scm 328 */
obj_t BgL_zc3anonymousza32822ze3z83_14921;
BgL_zc3anonymousza32822ze3z83_14921 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32822ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32822ze3z83_14921, 
(int)(((long)0)), BgL_iz00_14916); 
PROCEDURE_SET(BgL_zc3anonymousza32822ze3z83_14921, 
(int)(((long)1)), BgL_ez00_14917); 
return BgL_zc3anonymousza32822ze3z83_14921;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2818> */
obj_t BGl_z62zc3anonymousza32818ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12472, obj_t BgL_sz00_12475)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 326 */
{ /* Eval/evaluate_comp.scm 326 */
obj_t BgL_iz00_12473;obj_t BgL_ez00_12474;
BgL_iz00_12473 = 
PROCEDURE_REF(BgL_envz00_12472, 
(int)(((long)0))); 
BgL_ez00_12474 = 
PROCEDURE_REF(BgL_envz00_12472, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 326 */
obj_t BgL_bpz00_14922;
BgL_bpz00_14922 = 
VECTOR_REF(
((obj_t)BgL_sz00_12475),((long)0)); 
{ /* Eval/evaluate_comp.scm 327 */
obj_t BgL_arg2819z00_14923;obj_t BgL_arg2820z00_14924;
{ /* Eval/evaluate_comp.scm 327 */
long BgL_arg2821z00_14925;
BgL_arg2821z00_14925 = 
(
(long)CINT(BgL_bpz00_14922)+
(long)CINT(BgL_iz00_12473)); 
BgL_arg2819z00_14923 = 
VECTOR_REF(
((obj_t)BgL_sz00_12475),BgL_arg2821z00_14925); } 
BgL_arg2820z00_14924 = 
PROCEDURE_ENTRY(BgL_ez00_12474)(BgL_ez00_12474, BgL_sz00_12475, BEOA); 
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_xz00_14926;
{ /* Eval/evaluate_comp.scm 202 */
int BgL_auxz00_29404;obj_t BgL_tmpz00_29402;
BgL_auxz00_29404 = 
(int)(((long)0)); 
BgL_tmpz00_29402 = 
((obj_t)BgL_arg2819z00_14923); 
BgL_xz00_14926 = 
STRUCT_SET(BgL_tmpz00_29402, BgL_auxz00_29404, BgL_arg2820z00_14924); } 
return BUNSPEC;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2822> */
obj_t BGl_z62zc3anonymousza32822ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12476, obj_t BgL_sz00_12479)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 328 */
{ /* Eval/evaluate_comp.scm 328 */
obj_t BgL_iz00_12477;obj_t BgL_ez00_12478;
BgL_iz00_12477 = 
PROCEDURE_REF(BgL_envz00_12476, 
(int)(((long)0))); 
BgL_ez00_12478 = 
PROCEDURE_REF(BgL_envz00_12476, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 328 */
obj_t BgL_bpz00_14927;
BgL_bpz00_14927 = 
VECTOR_REF(
((obj_t)BgL_sz00_12479),((long)0)); 
{ /* Eval/evaluate_comp.scm 329 */
long BgL_arg2823z00_14928;obj_t BgL_arg2824z00_14929;
BgL_arg2823z00_14928 = 
(
(long)CINT(BgL_bpz00_14927)+
(long)CINT(BgL_iz00_12477)); 
BgL_arg2824z00_14929 = 
PROCEDURE_ENTRY(BgL_ez00_12478)(BgL_ez00_12478, BgL_sz00_12479, BEOA); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_12479),BgL_arg2823z00_14928,BgL_arg2824z00_14929);} } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_var1387 */
obj_t BGl_z62compzd2ev_var1387zb0zz__evaluate_compz00(obj_t BgL_envz00_12480, obj_t BgL_varz00_12481, obj_t BgL_stkz00_12482)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 316 */
{ /* Eval/evaluate_comp.scm 317 */
obj_t BgL_iz00_14931;
BgL_iz00_14931 = 
BGl__indexz00zz__evaluate_compz00(
((obj_t)
((BgL_ev_varz00_bglt)BgL_varz00_12481)), BgL_stkz00_12482); 
{ 

if(
INTEGERP(BgL_iz00_14931))
{ /* Eval/evaluate_comp.scm 319 */
switch( 
(long)CINT(BgL_iz00_14931)) { case ((long)0) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12481)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5287z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5288z00zz__evaluate_compz00;} break;case ((long)1) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12481)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5289z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5290z00zz__evaluate_compz00;} break;case ((long)2) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12481)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5291z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5292z00zz__evaluate_compz00;} break;case ((long)3) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12481)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5293z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5294z00zz__evaluate_compz00;} break;
default: 
BgL_case_else1086z00_14932:
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12481)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_zc3anonymousza32812ze3z83_14933;
BgL_zc3anonymousza32812ze3z83_14933 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32812ze3z83_14933, 
(int)(((long)0)), BgL_iz00_14931); 
return BgL_zc3anonymousza32812ze3z83_14933;}  else 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_zc3anonymousza32815ze3z83_14934;
BgL_zc3anonymousza32815ze3z83_14934 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32815ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32815ze3z83_14934, 
(int)(((long)0)), BgL_iz00_14931); 
return BgL_zc3anonymousza32815ze3z83_14934;} } }  else 
{ /* Eval/evaluate_comp.scm 319 */
goto BgL_case_else1086z00_14932;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2806> */
obj_t BGl_z62zc3anonymousza32806ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12483, obj_t BgL_sz00_12484)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14935;
BgL_bpz00_14935 = 
VECTOR_REF(
((obj_t)BgL_sz00_12484),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2807z00_14936;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2808z00_14937;
BgL_arg2808z00_14937 = 
(
(long)CINT(BgL_bpz00_14935)+((long)3)); 
BgL_arg2807z00_14936 = 
VECTOR_REF(
((obj_t)BgL_sz00_12484),BgL_arg2808z00_14937); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2807z00_14936), 
(int)(((long)0)));} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2809> */
obj_t BGl_z62zc3anonymousza32809ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12485, obj_t BgL_sz00_12486)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14938;
BgL_bpz00_14938 = 
VECTOR_REF(
((obj_t)BgL_sz00_12486),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2810z00_14939;
BgL_arg2810z00_14939 = 
(
(long)CINT(BgL_bpz00_14938)+((long)3)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12486),BgL_arg2810z00_14939);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2800> */
obj_t BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12487, obj_t BgL_sz00_12488)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14940;
BgL_bpz00_14940 = 
VECTOR_REF(
((obj_t)BgL_sz00_12488),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2801z00_14941;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2802z00_14942;
BgL_arg2802z00_14942 = 
(
(long)CINT(BgL_bpz00_14940)+((long)2)); 
BgL_arg2801z00_14941 = 
VECTOR_REF(
((obj_t)BgL_sz00_12488),BgL_arg2802z00_14942); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2801z00_14941), 
(int)(((long)0)));} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2803> */
obj_t BGl_z62zc3anonymousza32803ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12489, obj_t BgL_sz00_12490)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14943;
BgL_bpz00_14943 = 
VECTOR_REF(
((obj_t)BgL_sz00_12490),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2804z00_14944;
BgL_arg2804z00_14944 = 
(
(long)CINT(BgL_bpz00_14943)+((long)2)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12490),BgL_arg2804z00_14944);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2794> */
obj_t BGl_z62zc3anonymousza32794ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12491, obj_t BgL_sz00_12492)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14945;
BgL_bpz00_14945 = 
VECTOR_REF(
((obj_t)BgL_sz00_12492),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2795z00_14946;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2796z00_14947;
BgL_arg2796z00_14947 = 
(
(long)CINT(BgL_bpz00_14945)+((long)1)); 
BgL_arg2795z00_14946 = 
VECTOR_REF(
((obj_t)BgL_sz00_12492),BgL_arg2796z00_14947); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2795z00_14946), 
(int)(((long)0)));} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2797> */
obj_t BGl_z62zc3anonymousza32797ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12493, obj_t BgL_sz00_12494)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14948;
BgL_bpz00_14948 = 
VECTOR_REF(
((obj_t)BgL_sz00_12494),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2798z00_14949;
BgL_arg2798z00_14949 = 
(
(long)CINT(BgL_bpz00_14948)+((long)1)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12494),BgL_arg2798z00_14949);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2788> */
obj_t BGl_z62zc3anonymousza32788ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12495, obj_t BgL_sz00_12496)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14950;
BgL_bpz00_14950 = 
VECTOR_REF(
((obj_t)BgL_sz00_12496),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2789z00_14951;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2790z00_14952;
BgL_arg2790z00_14952 = 
(
(long)CINT(BgL_bpz00_14950)+((long)0)); 
BgL_arg2789z00_14951 = 
VECTOR_REF(
((obj_t)BgL_sz00_12496),BgL_arg2790z00_14952); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2789z00_14951), 
(int)(((long)0)));} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2791> */
obj_t BGl_z62zc3anonymousza32791ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12497, obj_t BgL_sz00_12498)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14953;
BgL_bpz00_14953 = 
VECTOR_REF(
((obj_t)BgL_sz00_12498),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2792z00_14954;
BgL_arg2792z00_14954 = 
(
(long)CINT(BgL_bpz00_14953)+((long)0)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12498),BgL_arg2792z00_14954);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2812> */
obj_t BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12499, obj_t BgL_sz00_12501)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_iz00_12500;
BgL_iz00_12500 = 
PROCEDURE_REF(BgL_envz00_12499, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14955;
BgL_bpz00_14955 = 
VECTOR_REF(
((obj_t)BgL_sz00_12501),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2813z00_14956;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2814z00_14957;
BgL_arg2814z00_14957 = 
(
(long)CINT(BgL_bpz00_14955)+
(long)CINT(BgL_iz00_12500)); 
BgL_arg2813z00_14956 = 
VECTOR_REF(
((obj_t)BgL_sz00_12501),BgL_arg2814z00_14957); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2813z00_14956), 
(int)(((long)0)));} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2815> */
obj_t BGl_z62zc3anonymousza32815ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12502, obj_t BgL_sz00_12504)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_iz00_12503;
BgL_iz00_12503 = 
PROCEDURE_REF(BgL_envz00_12502, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14958;
BgL_bpz00_14958 = 
VECTOR_REF(
((obj_t)BgL_sz00_12504),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2816z00_14959;
BgL_arg2816z00_14959 = 
(
(long)CINT(BgL_bpz00_14958)+
(long)CINT(BgL_iz00_12503)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12504),BgL_arg2816z00_14959);} } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_trap1385 */
obj_t BGl_z62compzd2ev_trap1385zb0zz__evaluate_compz00(obj_t BgL_envz00_12505, obj_t BgL_ez00_12506, obj_t BgL_stkz00_12507)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 289 */
{ /* Eval/evaluate_comp.scm 291 */
obj_t BgL_ez00_14961;
{ /* Eval/evaluate_comp.scm 291 */
BgL_ev_exprz00_bglt BgL_arg2785z00_14962;
BgL_arg2785z00_14962 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_ez00_12506))))->BgL_ez00); 
BgL_ez00_14961 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2785z00_14962, BgL_stkz00_12507); } 
{ /* Eval/evaluate_comp.scm 292 */
obj_t BgL_zc3anonymousza32779ze3z83_14963;
BgL_zc3anonymousza32779ze3z83_14963 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32779ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32779ze3z83_14963, 
(int)(((long)0)), BgL_ez00_14961); 
return BgL_zc3anonymousza32779ze3z83_14963;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2779> */
obj_t BGl_z62zc3anonymousza32779ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12508, obj_t BgL_sz00_12510)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 292 */
{ /* Eval/evaluate_comp.scm 292 */
obj_t BgL_ez00_12509;
BgL_ez00_12509 = 
PROCEDURE_REF(BgL_envz00_12508, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 292 */
obj_t BgL_bpz00_14964;
BgL_bpz00_14964 = 
VECTOR_REF(
((obj_t)BgL_sz00_12510),((long)0)); 
{ /* Eval/evaluate_comp.scm 293 */
obj_t BgL_cmdz00_14965;
BgL_cmdz00_14965 = 
PROCEDURE_ENTRY(BgL_ez00_12509)(BgL_ez00_12509, BgL_sz00_12510, BEOA); 
if(
(BgL_cmdz00_14965==BGl_symbol5295z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return BgL_bpz00_14964;}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_14965==BGl_symbol5297z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_reset_profilez00zz__evaluate_compz00();}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_14965==BGl_symbol5299z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_get_profilez00zz__evaluate_compz00();}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_14965==BGl_symbol5301z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 302 */
obj_t BgL_arg2784z00_14966;
BgL_arg2784z00_14966 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
return 
VECTOR_SET(
((obj_t)BgL_arg2784z00_14966),((long)0),
BINT(((long)2)));}  else 
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_errorz00zz__errorz00(BGl_string5161z00zz__evaluate_compz00, BGl_string5303z00zz__evaluate_compz00, BgL_cmdz00_14965);} } } } } } } } 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)321192832), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)298117150), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)1047446), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)316564232), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__srfi4z00(((long)467924966), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)454272164), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)357154522), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)434692624), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-400105135), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)525089668), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)80758636), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)23062368), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)6183155), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long)193509656), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)20669940), 
BSTRING_TO_STRING(BGl_string5304z00zz__evaluate_compz00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
